package pwc.taxtech.atms.vat.dao;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.invoice.InputInvoiceMapper;
import pwc.taxtech.atms.vat.entity.InputInvoice;
import pwc.taxtech.atms.vat.entity.InputInvoiceExample;
import pwc.taxtech.atms.vat.entity.InputVatInvoice;
import pwc.taxtech.atms.vat.entity.InputVatInvoiceExample;

import java.util.List;

@Service
public class InputInvoiceDao {
    @Autowired
    InputInvoiceMapper inputInvoiceMapper;

    public List<InputInvoice> getInputInvoice(Integer period, String invoiceType, String checkPass, String scanPass, String notPass) {
        InputInvoiceExample example = new InputInvoiceExample();
        InputInvoiceExample.Criteria criteria = example.createCriteria();
        InputInvoiceExample.Criteria criteria1 = example.createCriteria();

        if (period != null) {

            criteria.andRZSQEqualTo(String.valueOf(period));
            criteria1.andRZSQEqualTo(String.valueOf(period));
        }
        if (invoiceType != null) {
            criteria.andFPLXEqualTo(String.valueOf(invoiceType));
            criteria1.andFPLXEqualTo(String.valueOf(invoiceType));
        }

        if (StringUtils.isNotBlank(notPass)) {
            String unPass = "1";
            criteria.andRZJGEqualTo(unPass);
            criteria1.andRZJGEqualTo(unPass);
        } else if (StringUtils.isNotBlank(checkPass) && StringUtils.isNotBlank(scanPass)) {
            String pass = "0";
            criteria.andRZJGEqualTo(pass);
            criteria1.andRZJGEqualTo(pass);
            example.or(criteria1);
        }

        return inputInvoiceMapper.selectByExample(example);
    }
}
