/*! atms-web 2018-10-22 */


        var entityModule = {
            OrganizationList: [],

            allOrgs: $translate.instant('AllOrganization'),
            name: 'name',
            id: 'id',
            uiOrgID: 'ApplyingEntitesControls',
            orgText: $translate.instant('AllOrganization'),

            // 选中机构ID列表
            selectOrgList: [],
            selectOrgMap: {},


            // 有效的机构列表,包括所有机构,id,name,parentID,expanded
            orgList: [],
            main: function() {

                $scope.openEntityModal = function() {

                    if ($scope.editModel.type === 'query' || $scope.editModel.type === 'edit' || $scope.editModel.type === 'copy') {
                        entityModule.openEditModal($scope.editModel.applyEntities);
                    } else {
                        entityModule.openModal();
                    }
                }
            },

            loadData: function() {
                orgService.getOrganizationFilterList().success(function(data) {

                    entityModule.OrganizationList = data;
                    entityModule.orgList = entityModule.getOrgDropDownList();

                });
            },

            openModal: function() {

                var editModel = {

                };

                $scope.editEntityModel = editModel;

                mainModule.initModalControls();

                var parnet = $('#outputReconciliationConfigurationEditModalBody');

                var modalInstance = $uibModal.open({
                    animation: true,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'ApplyingEntitesDetailsModal.html',
                    windowClass: 'edit-invoice-modal-wrapper',
                    scope: $scope,
                    size: 'entity-size',
                    appendTo: parnet,
                    resolve: {
                        editModel: $scope.editModel
                    }
                });

                modalInstance.result.then(function(data) {
                    // 确定关闭
                }, function() {
                    // 取消关闭
                });

                $scope.saveApplyingEntitesDetailsModal = function() {

                    $scope.editModel.selectOrgList = entityModule.selectOrgList;
                    modalInstance.close({});
                };

                $scope.cancelApplyingEntitesDetailsModal = function() {
                    modalInstance.dismiss('cancel');
                };

                $timeout(function() {
                    entityModule.drawOrgDropDownList(entityModule.orgList);
                }, 100);
            },

            openEditModal: function(selectOrgList) {

                var orgIdList = _.pluck(selectOrgList, 'organizationID');

                var data = angular.copy(entityModule.orgList);

                data.forEach(function(r) {

                    if (orgIdList.indexOf(r.id) > -1) {
                        r.selected = true;
                    } else {
                        r.selected = false;
                    }

                    if ($scope.editModel.isReadOnly) {
                        r.disabled = true;
                    }

                });

                var editModel = {

                };

                $scope.editEntityModel = editModel;

                mainModule.initModalControls();

                var parnet = $('#outputReconciliationConfigurationEditModalBody');

                var modalInstance = $uibModal.open({
                    animation: true,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'ApplyingEntitesDetailsModal.html',
                    windowClass: 'edit-invoice-modal-wrapper',
                    scope: $scope,
                    size: 'entity-size',
                    appendTo: parnet,
                    resolve: {
                        editModel: $scope.editModel
                    }
                });

                modalInstance.result.then(function(data) {
                    // 确定关闭
                }, function() {
                    // 取消关闭
                });

                $scope.saveApplyingEntitesDetailsModal = function() {

                    $scope.editModel.selectOrgList = entityModule.selectOrgList;
                    modalInstance.close({});
                };

                $scope.cancelApplyingEntitesDetailsModal = function() {
                    modalInstance.dismiss('cancel');
                };

                $timeout(function() {
                    entityModule.drawOrgDropDownList(data);
                }, 100);
            },

            filterDropDownOrgList: function(orgList, selectIDList, idCol) {
                if (!orgList || orgList.length === 0) {
                    return orgList;
                }

                // 什么都没有选
                if (!selectIDList) {
                    return orgList;
                }

                // 按照条件进行过滤
                orgList = _.filter(orgList, function(row) {

                    return selectIDList.indexOf(row[idCol]) > -1;
                });

                return orgList;
            },


            filterOrgs: function() {
                if (entityModule.OrganizationList && entityModule.OrganizationList.length > 0) {

                    // 只要启用的和有权限的机构
                    var filter = _.filter(entityModule.OrganizationList, function(row) {
                        return row.isActive;
                    });


                    return filter;

                } else {
                    return [];
                }
            },

            // 获取机构drop down的list
            getOrgDropDownList: function() {
                var showList = entityModule.filterOrgs();
                showList = angular.copy(showList);
                for (var i = 0; i < showList.length; i++) {
                    var item = showList[i];
                    item.selected = false;
                    item.expanded = true;


                    if (item.parentID === null) {
                        continue;
                    }

                    var parentNode = _.find(showList, function(num) {
                        return num.id === item.parentID
                    });

                    if (parentNode) {
                        continue;
                    }

                    item.parentID = getParentID(item, entityModule.OrganizationList, showList);
                }

                var idList = _.pluck(showList, 'id');

                $scope.selectedOrganizationList = idList;

                return showList;
            },

            // 机构drop down list
            drawOrgDropDownList: function(data) {

                entityModule.selectOrgList = _.pluck(data, 'id');

                $scope.onChanged({ model: entityModule.selectOrgList });

                var syncTreeViewSelection = function(treeView, value, isReady) {

                    if (isReady) {
                        $scope.selectedOrganizationList = entityModule.selectOrgList;
                        $scope.onChanged({ model: entityModule.selectOrgList });
                    } else {
                        $scope.selectedOrganizationList = value;
                        $scope.onChanged({ model: value });
                    }
                };


                entityModule.orgDropDownInstantce = $("#" + entityModule.uiOrgID).dxDropDownBox({
                    value: '',
                    showClearButton: false,
                    contentTemplate: function(e) {
                        var value = e.component.option("value"),
                            $treeView = $("<div>").dxTreeView({
                                dataSource: data,
                                dataStructure: "plain",
                                keyExpr: "id",
                                parentIdExpr: "parentIDStr",
                                selectionMode: "multiple",
                                displayExpr: "name",
                                selectByClick: true,
                                noDataText: '',
                                height: 300,
                                itemTemplate: function(itemData, itemIndex, itemElement) {

                                    var str = itemData.code + ' ' + itemData.name;
                                    itemElement.append("<span title='" + str + "'>" + str + "</span>");
                                },
                                onContentReady: function(args) {},
                                selectNodesRecursive: false,
                                expandAllEnabled: true,
                                showCheckBoxesMode: "selectAll",
                                selectAllText: entityModule.allOrgs,
                                onItemSelectionChanged: function(args) {

                                },
                                onSelectionChanged: function(args) {
                                    var value = args.component.getSelectedNodesKeys();
                                    var text = '';
                                    if (value && value.length === data.length) {
                                        text = entityModule.allOrgs;
                                    } else {
                                        text = '选中' + value.length + '个机构';
                                    }

                                    entityModule.selectOrgList = value;
                                    e.component.option("value", text);
                                    entityModule.orgText = text;
                                    syncTreeViewSelection(entityModule.orgTreeView, value, false);
                                }
                            });

                        entityModule.orgTreeView = $treeView.dxTreeView("instance");
                        entityModule.orgText = e.component.option("text");


                        return $treeView;
                    }
                });
            }

        };


        var mainModule = {

            TagList: [
                { id: constant.TagRule.Aggregation, name: Resources.Aggregation },
            ],

            main: function() {

                // 设置一个默认
                $scope.editModel = {
                    preVoucherNumberType: 0
                };

                mainModule.watchCollection();

                entityModule.main();
            },

            initModalControls: function() {


                $scope.modalControls = {};


                $scope.editModel.TagList = mainModule.TagList;

                $scope.editModel.TaxRateList = ["17%", "6%"];

                $scope.modalControls.dxOptions = {
                    ruleNoOpt: {
                        bindingOptions: {
                            value: 'editModel.ruleNo',
                            // readOnly: 'editModel.isReadOnly',
                        },
                        readOnly: true,
                        maxLength: 50
                    },

                    tagOpt: {
                        bindingOptions: {
                            'value': 'editModel.tag',
                            'dataSource': 'editModel.TagList',
                            readOnly: 'editModel.isReadOnly',
                        },
                        onSelectionChanged: function(args) {

                        },
                        displayExpr: 'name',
                        valueExpr: 'id'
                    },
                    categoryOpt: {
                        bindingOptions: {
                            value: 'editModel.category',
                            readOnly: 'editModel.isReadOnly',
                        },
                        maxLength: 50
                    },
                    preVoucherNumberOpt: {
                        bindingOptions: {
                            value: 'editModel.preVoucherNumberText',
                            readOnly: 'editModel.voucherNumberTypeReadOnly',
                        },
                        maxLength: 50
                    },
                    postedByOpt: {
                        bindingOptions: {
                            value: 'editModel.postedByText',
                            readOnly: 'editModel.postedByTypeReadOnly',
                        },
                        maxLength: 50
                    },
                    journalKeywordsOpt: {
                        bindingOptions: {
                            value: 'editModel.journalKeywordsText',
                            readOnly: 'editModel.isReadOnly',
                        },
                        disabled: true,
                        maxLength: 250
                    },
                    vehicleNumberOpt: {
                        bindingOptions: {
                            value: 'editModel.vehicleNumberText',
                            readOnly: 'editModel.vehicleNumberReadOnly',
                        },
                        maxLength: 50
                    },
                    taxRateOpt: {
                        bindingOptions: {
                            'value': 'editModel.taxRateValue',
                            'dataSource': 'editModel.TaxRateList',
                            readOnly: 'editModel.isReadOnly',
                        },
                        onSelectionChanged: function(args) {

                        },
                    },

                    fapiaoTaxRateOpt: {
                        bindingOptions: {
                            'value': 'editModel.fapiaoTaxRateValue',
                            'dataSource': 'editModel.TaxRateList',
                            readOnly: 'editModel.isReadOnly',
                        },
                        onSelectionChanged: function(args) {

                        },
                    },
                    fapiaoKeywordsOpt: {
                        bindingOptions: {
                            value: 'editModel.fapiaoKeywordsText',
                            readOnly: 'editModel.isReadOnly',
                        },
                        maxLength: 250
                    },
                    beginYearMonthOptions: {
                        type: 'date',
                        width: 326,
                        bindingOptions: {
                            value: 'editModel.activeStartTime',
                            readOnly: 'editModel.isReadOnly',
                        },
                        placeholder: $scope.pleaseSelect,
                        showClearButton: false,
                        displayFormat: "yyyy-MM",
                        maxZoomLevel: 'year'
                    },
                    endYearMonthOptions: {
                        type: 'date',
                        width: 326,
                        bindingOptions: {
                            value: 'editModel.activeEndTime',
                            readOnly: 'editModel.isReadOnly',
                            min: 'editModel.activeStartTime'
                        },
                        placeholder: $scope.pleaseSelect,
                        showClearButton: true,
                        displayFormat: "yyyy-MM",
                        maxZoomLevel: 'year',
                        dateOutOfRangeMessage: Resources.EndYearMonthValidateMsg,
                        invalidDateMessage: Resources.EndYearMonthValidateMsg
                    }
                };


                $scope.modalControls.validateOption = {
                    ruleNoOpt: {
                        validationRules: [{
                            type: "required",
                            message: $translate.instant('RuleNoRequire')
                        }]
                    },

                    categoryOpt: {
                        validationRules: [{
                            type: "required",
                            message: $translate.instant('CategoryRequire')
                        }]
                    },

                    beginYearMonthOptions: {
                        validationRules: [{
                            type: "required",
                            message: Resources.BeginYearMonthRequire
                        }]
                    }
                }

                // mainModule.generateKeywordsList('journalKeywords');


                // mainModule.generateKeywordsList('fapiaoKeywords');
            },

            parseDBKeywords: function(list) {
                if (!list) {
                    list = [];
                }

                var valueList = _.pluck(list, 'value');

                var str = valueList.join(thisConstant.semicolonEnglist);

                return str;
            },

            parseViewKeywords: function(str) {
                if (!str) {
                    return [];
                }

                var array = str.split(/;/g);

                array = _.filter(array, function(row) {

                    return row;
                });

                var result = [];
                array.forEach(function(r) {
                    result.push({

                        id: window.PWC.newGuid(),
                        value: r,
                        prefix: ';'
                    });
                });

                if (result && result.length > 0) {
                    result[0].prefix = '';
                }

                return result;
            },

            parseDBField: function(type, value) {
                if (value) {
                    return value;
                } else {
                    if (type === InputType.NotAvailable) {
                        return InputTypeValue.NotAvailable;
                    } else {
                        return InputTypeValue.NullInput;
                    }
                }
            },

            parseViewField: function(value) {
                var obj = {
                    type: InputType.NotAvailable,
                    text: null
                };

                if (value === InputTypeValue.NotAvailable) {
                    obj.type = InputType.NotAvailable;
                } else if (value === InputTypeValue.NullInput) {
                    obj.type = InputType.NullInput;
                } else {
                    obj.type = InputType.OtherType;
                    obj.text = value;
                }

                return obj;
            },

            getPercent: function(value) {

                if (value) {
                    var str = parseInt(value.replace('%', '')) / 100;
                    return str;
                }
            },

            parseDBModel: function(editModel) {

                editModel = angular.copy(editModel);

                editModel.preVoucherNumber = mainModule.parseDBField(editModel.preVoucherNumberType, editModel.preVoucherNumberText);

                editModel.postedBy = mainModule.parseDBField(editModel.postedByType, editModel.postedByText);

                editModel.vehicleNumber = mainModule.parseDBField(editModel.vehicleNumberType, editModel.vehicleNumberText);

                editModel.purchaserTesla = parseInt(editModel.purchaserTesla);
                editModel.sellerTesla = parseInt(editModel.sellerTesla);

                editModel.journalKeywords = mainModule.parseDBKeywords(editModel.journalKeywordsList);
                editModel.fapiaoKeywords = mainModule.parseDBKeywords(editModel.fapiaoKeywordsList);

                editModel.taxRate = mainModule.getPercent(editModel.taxRateValue);
                editModel.fapiaoTaxRate = mainModule.getPercent(editModel.fapiaoTaxRateValue);

                if (!editModel.applyEntities) {
                    editModel.applyEntities = [];
                }

                editModel.dxOptions = null;
                editModel.validateOption = null;


                if (editModel.activeStartTime) {
                    editModel.activeStartTime = editModel.activeStartTime.formatDateTime('yyyy-MM-dd');
                }

                if (editModel.activeEndTime) {
                    editModel.activeEndTime = editModel.activeEndTime.formatDateTime('yyyy-MM-dd');
                } else {
                    editModel.activeEndTime = null;
                }

                if (editModel.applyEntities && editModel.applyEntities.length > 0) {

                    editModel.applyEntities.forEach(function(r) {
                        r.outputReconciliationConfigurationID = $scope.editModel.id;
                    });
                }

                return editModel;
            },
            parseViewModel: function(dbModel) {
                var viewModel = angular.copy(dbModel);
                viewModel.ruleNo = dbModel.ruleNO;

                var obj = mainModule.parseViewField(dbModel.preVoucherNumber);
                viewModel.preVoucherNumberType = obj.type;
                viewModel.preVoucherNumberText = obj.text;

                obj = mainModule.parseViewField(dbModel.postedBy);
                viewModel.postedByType = obj.type;
                viewModel.postedByText = obj.text;

                obj = mainModule.parseViewField(dbModel.vehicleNumber);
                viewModel.vehicleNumberType = obj.type;
                viewModel.vehicleNumberText = obj.text;

                viewModel.fapiaoKeywordsList = mainModule.parseViewKeywords(dbModel.fapiaoKeywords);

                viewModel.journalKeywordsList = mainModule.parseViewKeywords(dbModel.journalKeywords);

                viewModel.taxRateValue = dbModel.taxRate * 100 + '%';

                viewModel.fapiaoTaxRateValue = dbModel.fapiaoTaxRate * 100 + '%';

                viewModel.selectOrgList = _.pluck(dbModel.applyEntities, 'organizationID');

                viewModel.activeStartTime = new Date(viewModel.activeStartTime);

                if (viewModel.activeEndTime) {
                    viewModel.activeEndTime = new Date(viewModel.activeEndTime);
                }

                return viewModel;

            },

            openEditModal: function() {

                var editModel = $scope.configModel;

                $scope.editModel = mainModule.parseViewModel(editModel);

                $scope.editModel.isReadOnly = true;
                $scope.editModel.postedByTypeReadOnly = true;
                $scope.editModel.voucherNumberTypeReadOnly = true;
                $scope.editModel.vehicleNumberReadOnly = true;

                $scope.editModel.type = 'query';

                mainModule.initModalControls();

                var modalInstance = $uibModal.open({
                    animation: true,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'outputReconciliationConfigurationEdit.html',
                    windowClass: 'edit-invoice-modal-wrapper',
                    scope: $scope,
                    size: 'output-reconciliation-configuration-edit',
                    resolve: {
                        editModel: $scope.editModel
                    }
                });

                modalInstance.result.then(function(data) {
                    $scope.isUpdate = true;
                    $scope.operateType = null;

                    if ($scope.onChanged) {
                        $scope.onChanged();
                    }
                }, function() {
                    $scope.operateType = null;
                    $log.info('Modal dismissed at: ' + new Date());
                });

                $scope.edit = function() {

                    $scope.editModel.isReadOnly = false;
                    $scope.editModel.type = "edit";
                };

                $scope.saveAs = function() {

                    //var newModel = mainModule.parseViewModel($scope.configModel);
                    //newModel.id = null;
                    //newModel.category = null;
                    //newModel.ruleNo = null;
                    //newModel.type = "copy";
                    //newModel.isReadOnly = false;
                    //$scope.editModel = newModel;

                    outputReconciliationConfiguration.getNextRuleNo().success(function(data) {
                        if (data && data.result) {
                            $scope.editModel.id = null;
                            $scope.editModel.category = null;
                            $scope.editModel.ruleNo = data.data;
                            $scope.editModel.type = "copy";
                            $scope.editModel.isReadOnly = false;
                        }
                    });
                };


                $scope.update = function() {

                    var model = $scope.editModel;

                    model = mainModule.parseDBModel(model);

                    var dxResult = DevExpress.validationEngine.validateGroup($('#outputReconciliationConfigurationEditForm').dxValidationGroup("instance")).isValid;
                    if (!dxResult) {
                        return;
                    }

                    console.log(JSON.stringify(model));
                    outputReconciliationConfiguration.update(model).success(function(ret) {
                        // console.log(JSON.stringify(ret));
                        //  modalInstance.close({});
                        if (ret) {
                            if (ret.result) {
                                modalInstance.close({});
                            } else {
                                SweetAlert.warning($translate.instant(ret.resultMsg));
                            }
                        }
                    });
                };

                $scope.cancel = function() {
                    modalInstance.dismiss('cancel');
                };

                $scope.save = function() {
                    var model = $scope.editModel;

                    model = mainModule.parseDBModel(model);

                    var dxResult = DevExpress.validationEngine.validateGroup($('#outputReconciliationConfigurationEditForm').dxValidationGroup("instance")).isValid;
                    if (!dxResult) {
                        return;
                    }

                    console.log(JSON.stringify(model));
                    outputReconciliationConfiguration.add(model).success(function(ret) {
                        // console.log(JSON.stringify(ret));
                        // modalInstance.close({});

                        if (ret) {
                            if (ret.result) {
                                modalInstance.close({});
                            } else {
                                SweetAlert.warning($translate.instant(ret.resultMsg));
                            }
                        }
                    });
                };

                entityModule.loadData();

            },
            openModal: function() {

                var editModel = {
                    status: true,
                    preVoucherNumberType: InputType.NotAvailable,
                    postedByType: InputType.NotAvailable,
                    ruleNo: mainModule.nexRuleNo,
                    vehicleNumberType: InputType.NotAvailable,
                    purchaserTesla: '2',
                    sellerTesla: '2',
                    journalKeywordsType: '2',
                    journalKeywordsText: 'test',
                    fapiaoKeywordsType: '2',
                    taxRateValue: '17%',
                    fapiaoTaxRateValue: '17%',
                    tag: constant.TagRule.Aggregation,
                    type: 'add',
                    journalKeywordsList: [],
                    fapiaoKeywordsList: [],
                    voucherNumberTypeReadOnly: true,
                    postedByTypeReadOnly: true
                };

                $scope.editModel = editModel;

                mainModule.initModalControls();

                var modalInstance = $uibModal.open({
                    animation: true,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'outputReconciliationConfigurationEdit.html',
                    windowClass: 'edit-invoice-modal-wrapper',
                    scope: $scope,
                    size: 'output-reconciliation-configuration-edit',
                    resolve: {
                        editModel: $scope.editModel
                    }
                });

                modalInstance.result.then(function(data) {
                    $scope.isUpdate = true;
                    $scope.operateType = null;
                    if ($scope.onChanged) {
                        $scope.onChanged();
                    }
                }, function() {
                    $scope.operateType = null;
                    $log.info('Modal dismissed at: ' + new Date());
                });

                $scope.save = function() {
                    var model = $scope.editModel;

                    model = mainModule.parseDBModel(model);

                    var dxResult = DevExpress.validationEngine.validateGroup($('#outputReconciliationConfigurationEditForm').dxValidationGroup("instance")).isValid;
                    if (!dxResult) {
                        return;
                    }

                    console.log(JSON.stringify(model));
                    outputReconciliationConfiguration.add(model).success(function(ret) {
                        console.log(JSON.stringify(ret));

                        if (ret) {
                            if (ret.result) {
                                modalInstance.close({});
                            } else {
                                SweetAlert.warning($translate.instant(ret.resultMsg));
                            }
                        }

                    });
                };

                $scope.cancel = function() {
                    modalInstance.dismiss('cancel');
                };


                $scope.addJournalKeywords = function() {
                    mainModule.addKeywords('journalKeywords');
                };

                $scope.deleteJournalKeywords = mainModule.deleteJournalKeywords;

                entityModule.loadData();
            },
            watchCollection: function() {
                $scope.$watch('operateType', function(newValue, oldValue) {
                    if (newValue) {

                        if (newValue === constant.Operation.Add) {

                            outputReconciliationConfiguration.getNextRuleNo().success(function(data) {

                                if (data && data.result) {
                                    mainModule.nexRuleNo = data.data;
                                    mainModule.openModal();
                                }
                            });
                        } else if (newValue === constant.Operation.Edit) {

                            mainModule.openEditModal();
                        } else if (newValue === constant.Operation.Query) {
                            mainModule.openEditModal();
                        }
                    }
                });


                // $scope.$watch('editModel.preVoucherNumberType', function(newValue, oldValue) {
                //     if (newValue) {

                //         if ($scope.editModel.preVoucherNumberType === 1 && !$scope.editModel.isReadOnly) {
                //             $scope.editModel.voucherNumberTypeReadOnly = false;
                //         } else {
                //             $scope.editModel.voucherNumberTypeReadOnly = true;
                //         }
                //     }
                // });


                $scope.preVoucherNumberTypeChange = function() {

                    if (!$scope.editModel.isReadOnly) {
                        if ($scope.editModel.preVoucherNumberType == 1) {
                            $scope.editModel.voucherNumberTypeReadOnly = false;
                        } else {
                            $scope.editModel.voucherNumberTypeReadOnly = true;
                            $scope.editModel.preVoucherNumberText = null;
                        }
                    }

                }


                $scope.postedByTypeChange = function() {

                    if (!$scope.editModel.isReadOnly) {
                        if ($scope.editModel.postedByType == 1) {
                            $scope.editModel.postedByTypeReadOnly = false;
                        } else {
                            $scope.editModel.postedByTypeReadOnly = true;
                            $scope.editModel.postedByText = null;
                        }
                    }

                }


                 $scope.vehicleNumberTypeChange = function() {

                    if (!$scope.editModel.isReadOnly) {
                        if ($scope.editModel.vehicleNumberType == 1) {
                            $scope.editModel.vehicleNumberReadOnly = false;
                        } else {
                            $scope.editModel.vehicleNumberReadOnly = true;
                            $scope.editModel.vehicleNumberText = null;
                        }
                    }
                }
            }
        };

        (function initializa() {

            mainModule.main();

            $log.debug('outputReconciliationConfigurationEditController.ctor()...');


        })();
    }
]);
invoiceModule.directive('outputReconciliationConfigurationEdit', ['$log',
    function($log) {
        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-configuration-edit.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                operateType: '=',
                configModel: '=?',
                onClosed: '&',
                onChanged: '&'
            },
            controller: 'outputReconciliationConfigurationEditController',
            link: function(scope, element, attr) {

            }
        }
    }
]);

invoiceModule.controller('outputReconciliationConfigurationController', ['$log', '$scope', '$q', '$timeout',
    '$translate', 'outputReconciliationConfiguration', 'SweetAlert', 'outputCommonService', 'messagebox', '$state',
    function ($log, $scope, $q, $timeout, $translate, outputReconciliationConfiguration, SweetAlert, outputCommonService, messagebox, $state) {
        var tagRevertArray = _.invert(constant.TagRule);
        var purchaserSellerArray = _.invert(constant.purchaserSeller);
        var dateFormat = 'yyyy-MM-dd';


        var initGrid = function () {
            $scope.reconciliationGrid = {
                bindingOptions: {
                    height: 'gridTable',
                },
                dataSource: new DevExpress.data.CustomStore({
                    key: "id",
                    load: function (loadOptions) {
                        return outputReconciliationConfiguration.load()
                            .then(function (res) {


                                res.data.data.forEach(function (r) {
                                    r.rowCss = "dx-row dx-data-row dx-row-lines dx-column-lines ui-state-disabled";
                                    if (r.tag === 2) {

                                        if ($scope.hasReSortPermission) {
                                            r.tdCss = "index";
                                            r.rowCss = "dx-row dx-data-row dx-row-lines dx-column-lines sortRow";
                                        } else {
                                            r.rowCss = "dx-row dx-data-row dx-row-lines dx-column-lines";
                                        }
                                    }
                                });

                                if ($scope.hasReSortPermission) {
                                    $timeout(function () {
                                        setSortable();
                                    }, 1000);
                                }


                                return { data: res.data.data, totalCount: res.data.data.length };
                            }, function (response) {
                                return $q.reject($translate.instant("DataLoadingError"));
                            });
                    }
                }),
                noDataText: $translate.instant('NoDataText'),
                columnAutoWidth: true,
                showRowLines: true,
                showBorders: true,
                columnChooser: {
                    enabled: true
                },
                searchPanel: {
                    placeholder: $translate.instant("SearchHintText"),
                    visible: true,
                },
                loadPanel: {
                    enabled: false
                },
                onToolbarPreparing: function (e) {
                    var toolbarItems = e.toolbarOptions.items;
                    toolbarItems.unshift({
                        location: "before",
                        template: "add"
                    }, {
                        location: "before",
                        template: "delete"
                    }, {
                        location: "before",
                        template: "saveSort"
                    });
                },
                selection: {
                    mode: "single"
                },
                onSelectionChanged: function (e) {
                    $scope.selectedRows = e.selectedRowsData;
                },
                //rowTemplate: 'rowTemplateName',

                columns: [
                    {
                        dataField: 'ruleNO', caption: $translate.instant('RuleNo'),
                        cellTemplate: function (container, options) {

                            var data = options.data;

                            try {
                                if (data.tag === 2) {
                                    //$(container).addClass("index");

                                    if ($scope.hasReSortPermission) {
                                        $("<span class='rule-id' dataid=" + data.id + ">").text(data.ruleNO).appendTo(container);
                                        $(container).parent().addClass('sortRow');
                                    } else {
                                        $("<span>").text(data.ruleNO).appendTo(container);
                                    }

                                } else {
                                    $("<span>").text(data.ruleNO).appendTo(container);
                                    $(container).parent().addClass('ui-state-disabled');
                                }
                            } catch (e) {
                                $log.debug(e);
                            }
                        }
                    },
                    { dataField: 'category', caption: $translate.instant('Category') },
                    {
                        dataField: 'journalKeywords',
                        caption: $translate.instant('JournalKeywords'),
                        calculateDisplayValue: function (rowData) {
                            return rowData.journalKeywords;
                        }
                    },
                    {
                        dataField: 'preVoucherNumber',
                        caption: $translate.instant('PreVoucherNumber'),
                        calculateDisplayValue: function (rowData) {
                            return outputCommonService.transferReconciliationSpecial(rowData.preVoucherNumber).text;
                        }
                    },
                     {
                         dataField: 'vehicleNumber', caption: $translate.instant('VehicleNumber'),
                         calculateDisplayValue: function (rowData) {
                             return outputCommonService.transferReconciliationSpecial(rowData.vehicleNumber).text;
                         }
                     },
                    {
                        dataField: 'postedBy',
                        caption: $translate.instant('PostedBy'),
                        calculateDisplayValue: function (rowData) {
                            return outputCommonService.transferReconciliationSpecial(rowData.postedBy).text;
                        }
                    },
                    {
                        dataField: 'fapiaoKeywords',
                        caption: $translate.instant('FapiaoKeywords'),
                        calculateDisplayValue: function (rowData) {
                            return rowData.fapiaoKeywords;
                        }
                    },
                    {
                        dataField: 'taxRate',
                        caption: $translate.instant('TaxRate'),
                        calculateDisplayValue: function (rowData) {
                            // return rowData.taxRate.formatRate(0);
                            var num = (rowData.taxRate * 100).formatAmount(0);
                            return num + "%";
                        }
                    },
                    {
                        dataField: 'purchaserTesla',
                        caption: $translate.instant('PurchaserTesla'),
                        alignment: 'left',
                        calculateDisplayValue: function (rowData) {
                            return $translate.instant(purchaserSellerArray[rowData.purchaserTesla]);
                        }
                    },
                    {
                        dataField: 'sellerTesla',
                        caption: $translate.instant('SellerTesla'),
                        alignment: 'left',
                        calculateDisplayValue: function (rowData) {
                            return $translate.instant(purchaserSellerArray[rowData.sellerTesla]);
                        }
                    },
                    {
                        dataField: 'activeStartTime',
                        caption: $translate.instant('ActiveStartTime'),
                        dataType: 'date',
                        format: dateFormat,
                        visible: false
                    },
                    {
                        dataField: 'activeEndTime',
                        caption: $translate.instant('ActiveEndTime'),
                        dataType: 'date',
                        format: dateFormat,
                        visible: false
                    },
                    {
                        dataField: 'tag',
                        caption: $translate.instant('Tag'),
                        alignment: 'left',
                        calculateDisplayValue: function (rowData) {
                            return $translate.instant(tagRevertArray[rowData.tag]);
                        }
                    },
                    { dataField: 'status', caption: $translate.instant('RuleStatus') },
                    {
                        caption: $translate.instant('Action'),
                        cellTemplate: 'details'
                    }
                ]
            };
        };


        $scope.eventService = {
            refreshTable: function () {
                $('#reconciliation-grid').dxDataGrid('instance').refresh();
            },
            deleteRule: function () {
                if (!$scope.selectedRows || $scope.selectedRows.length < 1) {
                    SweetAlert.warning($translate.instant('SelectCheck'));
                    return;
                }

                var msg = $translate.instant('Confirm') + ' ' + $translate.instant('Delete') + '?';

                messagebox.confirm(msg, '', constant.teslaConfirmClassName).then(function (isConfirm) {
                    if (isConfirm) {
                        var id = $scope.selectedRows[0].id;
                        outputReconciliationConfiguration.deleteRule(id).success(function (response) {
                            if (response.result) {
                                $("#reconciliation-grid").dxDataGrid('instance').refresh();
                            }
                        }).error(function () {
                            SweetAlert.error($translate.instant('CommonFail'));
                        });
                    }
                });

            },
            addOutputReconciliationConfiguration: function () {
                $scope.editType = constant.Operation.Add;

                $scope.editModel = {};
            },
            showRule: function (rule) {
                $scope.editModel = rule;
                $scope.editType = constant.Operation.Query;
            },
            saveSort: function () {
                var ruleIdList = $('.rule-id');
                var list = [];
                $('.rule-id').each(function () {
                    var obj = this;
                    list.push($(obj).attr('dataid'));
                });

                outputReconciliationConfiguration.saveSort(list).success(function (data) {
                    if (data && data.result) {

                        messagebox.success('SaveSuccess');
                        $scope.eventService.refreshTable();
                    }
                });
            }
        };

        var setSortable = function () {
            var fixHelperModified = function (e, tr) {
                var $originals = tr.children();
                var $helper = tr.clone();
                $helper.children().each(function (index) {
                    $(this).width($originals.eq(index).width())
                });
                return $helper;
            };

            var updateIndex = function (e, ui) {

                var prefix = "RN";
                $('.rule-id', ui.item.parent()).each(function (i) {

                    var obj = this;
                    var no = i + 2;

                    $(obj).text(prefix + no);
                });
            };

            //#reconciliation-grid .dx-datagrid-rowsview tbody
            $('#reconciliation-grid .dx-datagrid-rowsview tbody').sortable({
                helper: fixHelperModified,
                stop: updateIndex,
                //cancel: ".ui-state-disabled"
                items: '.sortRow'
                //items: 'tr:not(.ui-state-disabled)',
            });

            $("#reconciliation-grid .sortRow").disableSelection();
        };

        //检查用户机构权限
        var checkUserOrganizationPermissionList = function () {
            var tempPermission = constant.vatPermission.outputInvoice.reconciliationConfig;
            var list = [];
            list.push(tempPermission.queryCode);
            list.push(tempPermission.deleteCode);
            list.push(tempPermission.addCode);
            list.push(tempPermission.editCode);

            list.push(tempPermission.reSortCode);

            $scope.hasDeletePermission = false;
            $scope.hasAddPermission = false;
            $scope.hasEditPermission = false;
            $scope.hasReSortPermission = false;

            $scope.$root.checkUserPermissionList(list).success(function (data) {
                var permissionMap = data;

                if (!data[tempPermission.queryCode]) {
                    $state.go('noPermissionPage');
                    return;
                }

                if (data[tempPermission.reSortCode]) {
                    $scope.hasReSortPermission = true;
                }

                if (data[tempPermission.deleteCode]) {
                    $scope.hasDeletePermission = true;
                }

                if (data[tempPermission.addCode]) {
                    $scope.hasAddPermission = true;
                }

                if (data[tempPermission.editCode]) {
                    $scope.hasEditPermission = true;
                }

                initGrid();

                //设置表格高度
                $timeout(function () {
                    $scope.setInvoiceGridHeight();
                }, 500);
            });
        };

        (function () {

            // 加权限
            checkUserOrganizationPermissionList();




        })();
    }
]);
invoiceModule.directive('outputReconciliationConfiguration', ['$log',
    function ($log) {
        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-configuration.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'outputReconciliationConfigurationController',
            link: function (scope, element, attr) {


                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var pageHeight = $(document).height();
                    //var smallTitleHeight = $('#litterTitle').outerHeight();
                    var topTitleHeight = $('.menu-header').outerHeight();
                    //var pageSearchHeight = $('.query-panel').outerHeight();
                    //var pageFastSearchHeight = $('.action-row').outerHeight();
                    ////var dataGridLineHeight = $('.grid-container .prompt-line').outerHeight();
                    //var dataGridPagerHeight = $('.page-footer').outerHeight();
                    //if (dataGridPagerHeight === 0) dataGridPagerHeight = 60;
                    //var subHeight = pageHeight - topTitleHeight - pageSearchHeight - pageFastSearchHeight - dataGridPagerHeight;
                    //scope.height = subHeight - 50;
                    var containerHeight = $('.content-container').outerHeight();
                    if (containerHeight === 0) dataGridPagerHeight = 660;
                    scope.gridTable = containerHeight - 30;
                    try {

                        $('#reconciliation-grid').dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };

                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }
        }
    }]);
invoiceModule.controller('outputReconciliationEntitiesController', ['$scope', '$log', 'uiGridConstants', 'SweetAlert', '$translate', 'stdAccountService', '$interval', 'orgService', '$timeout', '$q', 'commonWebService', 'loginContext', '$uibModal', 'outputReconciliationConfiguration',
    function($scope, $log, uiGridConstants, SweetAlert, $translate, stdAccountService, $interval, orgService, $timeout, $q, commonWebService, loginContext, $uibModal, outputReconciliationConfiguration) {
        'use strict';


        var entityModule = {
            OrganizationList: [],

            allOrgs: $translate.instant('AllOrganization'),
            name: 'name',
            id: 'id',
            // uiOrgID: 'ApplyingEntitesControls',
            uiOrgID: window.PWC.newGuid(),
            orgText: $translate.instant('AllOrganization'),

            // 选中机构ID列表
            selectOrgList: [],
            selectOrgMap: {},


            // 有效的机构列表,包括所有机构,id,name,parentID,expanded
            orgList: [],
            main: function() {

                $scope.uiOrgID = entityModule.uiOrgID;
                $scope.openEntityModal = function() {

                    if ($scope.editModel.type === 'query' || $scope.editModel.type === 'edit' || $scope.editModel.type === 'copy') {
                        entityModule.openEditModal($scope.editModel.applyEntities);
                    } else {
                        entityModule.openModal();
                    }
                };

                $scope.add = function() {
                    entityModule.openEditModal($scope.selectList);
                };
            },

            loadData: function() {
                orgService.getOrganizationFilterList().success(function(data) {

                    entityModule.OrganizationList = data;
                    entityModule.orgList = entityModule.getOrgDropDownList();

                    mainModule.parseViewList();
                });
            },

            openModal: function() {

                var editModel = {

                };

                $scope.editEntityModel = editModel;

                mainModule.initModalControls();

                var parnet = $('#outputReconciliationConfigurationEditModalBody');

                var modalInstance = $uibModal.open({
                    animation: true,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'ApplyingEntitesDetailsModal.html',
                    windowClass: 'edit-invoice-modal-wrapper',
                    scope: $scope,
                    size: 'entity-size',
                    appendTo: parnet,
                    resolve: {
                        editModel: $scope.editModel
                    }
                });

                modalInstance.result.then(function(data) {
                    // 确定关闭
                }, function() {
                    // 取消关闭
                });

                $scope.saveApplyingEntitesDetailsModal = function() {

                    $scope.editModel.selectOrgList = entityModule.selectOrgList;
                    modalInstance.close({});
                };

                $scope.cancelApplyingEntitesDetailsModal = function() {
                    modalInstance.dismiss('cancel');
                };

                $timeout(function() {
                    entityModule.drawGridList(entityModule.orgList);
                }, 100);
            },

            openEditModal: function(selectOrgList) {

                var orgIdList = _.pluck(selectOrgList, 'organizationID');

                var data = angular.copy(entityModule.orgList);

                var index = 0;

                data.forEach(function(r) {

                    if (orgIdList.indexOf(r.id) > -1) {
                        r.isSelected = true;
                    } else {
                        r.isSelected = false;
                    }

                    r.viewName = r.code + ' ' + r.name;
                    r.index = index;
                    index ++;

                });

                var editModel = {

                };

                $scope.editEntityModel = editModel;

                // mainModule.initModalControls();

                var parnet = $('#outputReconciliationConfigurationEditModalBody');

                var modalInstance = $uibModal.open({
                    animation: true,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'ApplyingEntitesDetailsModal.html',
                    windowClass: 'edit-invoice-modal-wrapper',
                    scope: $scope,
                    size: 'entity-size',
                    appendTo: parnet,
                    resolve: {
                        editModel: $scope.editModel
                    }
                });

                modalInstance.result.then(function(data) {
                    // 确定关闭
                }, function() {
                    // 取消关闭
                });

                $scope.saveApplyingEntitesDetailsModal = function() {

                    // $scope.editModel.selectOrgList = entityModule.selectOrgList;

                    var selectOrgTempList = [];

                    if (!entityModule.selectOrgList || entityModule.selectOrgList.length === 0) {
                        entityModule.selectOrgList = [];

                        selectOrgTempList = [];
                    } else {
                        selectOrgTempList = entityModule.selectOrgList;
                    }

                    var result = [];

                    selectOrgTempList.forEach(function(r) {

                        var item = {};

                        item.organizationID = r.id;
                        item.organizationCode = r.code;

                        result.push(item);
                    });

                    $scope.selectList = result;

                    mainModule.parseViewList();

                    modalInstance.close({});
                };

                $scope.cancelApplyingEntitesDetailsModal = function() {
                    modalInstance.dismiss('cancel');
                };

                $timeout(function() {
                    console.log('open');
                    entityModule.drawGridList(data);
                    console.log('open end');
                }, 100);
            },

            filterDropDownOrgList: function(orgList, selectIDList, idCol) {
                if (!orgList || orgList.length === 0) {
                    return orgList;
                }

                // 什么都没有选
                if (!selectIDList) {
                    return orgList;
                }

                // 按照条件进行过滤
                orgList = _.filter(orgList, function(row) {

                    return selectIDList.indexOf(row[idCol]) > -1;
                });

                return orgList;
            },


            filterOrgs: function() {
                if (entityModule.OrganizationList && entityModule.OrganizationList.length > 0) {

                    // 只要启用的和有权限的机构
                    var filter = _.filter(entityModule.OrganizationList, function(row) {
                        return row.isActive;
                    });


                    return filter;

                } else {
                    return [];
                }
            },

            // 获取机构drop down的list
            getOrgDropDownList: function() {
                var showList = entityModule.filterOrgs();
                showList = angular.copy(showList);
                for (var i = 0; i < showList.length; i++) {
                    var item = showList[i];
                    item.selected = false;
                    item.expanded = true;


                    if (item.parentID === null) {
                        continue;
                    }

                    var parentNode = _.find(showList, function(num) {
                        return num.id === item.parentID
                    });

                    if (parentNode) {
                        continue;
                    }

                    item.parentID = getParentID(item, entityModule.OrganizationList, showList);
                }

                var idList = _.pluck(showList, 'id');

                $scope.selectedOrganizationList = idList;

                return showList;
            },

            drawGridList: function(data) {
                if (!$scope.selectList) {
                    $scope.selectList = [];
                }

                var selectKeyIDs = _.pluck($scope.selectList, 'organizationCode');
                $("#" + entityModule.uiOrgID).dxDataGrid({
                    dataSource: data,
                    keyExpr: 'code',
                    height: 400,
                    selectAllText: $translate.instant('SelectAll'),
                    // rowAlternationEnabled: true,
                    selectedRowKeys: selectKeyIDs,
                    paging: {
                        enabled: false
                    },
                    columns: [
                        { dataField: 'viewName', caption: $translate.instant('SelectAll') }
                    ],
                    showBorders: true,
                    selection: {
                        mode: 'multiple',
                        showCheckBoxesMode: "always"
                    },
                    onSelectionChanged: function(args) {
                        entityModule.selectOrgList = args.selectedRowsData;
                    }
                });

                // $timeout(function(){
                //     $("#" + entityModule.uiOrgID).dxDataGrid('instance').selectRows(selectKeyIDs, false);
                // },10);


                // $("#" + entityModule.uiOrgID).dxDataGrid({
                //     "dataSource": [{
                //             "ID": 1,
                //             "CompanyName": "Super Mart of the West",
                //             "City": "Bentonville",
                //             "State": "Arkansas"
                //         },
                //         {
                //             "ID": 2,
                //             "CompanyName": "Electronics Depot",
                //             "City": "Atlanta",
                //             "State": "Georgia"
                //         },
                //         {
                //             "ID": 3,
                //             "CompanyName": "K&S Music",
                //             "City": "Minneapolis",
                //             "State": "Minnesota"
                //         },
                //         {
                //             "ID": 4,
                //             "CompanyName": "Tom's Club",
                //             "City": "Issaquah",
                //             "State": "Washington"
                //         },
                //         {
                //             "ID": 5,
                //             "CompanyName": "E-Mart",
                //             "City": "Hoffman Estates",
                //             "State": "Illinois"
                //         }
                //     ],
                //     "keyExpr": "ID",
                //     "selectedRowKeys": [
                //         1,
                //         2,
                //         3
                //     ],
                //     "selection": {
                //         "mode": "multiple",
                //         "showCheckBoxesMode": "always"
                //     }
                // });



            
            },
            drawOrgTreeList: function(data) {

                // var getShowData = function(){

                //     var data = angular.copy(entityModule.orgList);
                //     if (data && $scope.selectList && $scope.selectList.length > 0){

                //         $scope.selectList.forEach(function(s){

                //             var find = _.find(data, function(d){
                //                 return d.id === s.organizationID;
                //             });

                //             find.selected = true;
                //         });
                //     }

                //     return data;
                // };


                // var showData = getShowData();




                $("#" + entityModule.uiOrgID).dxTreeView({
                    dataSource: data,
                    dataStructure: "plain",
                    keyExpr: "id",
                    parentIdExpr: "parentIDStr",
                    selectionMode: "multiple",
                    displayExpr: "name",
                    selectByClick: true,
                    noDataText: '',
                    // height: 300,
                    itemTemplate: function(itemData, itemIndex, itemElement) {

                        var str = itemData.code + ' ' + itemData.name;
                        itemElement.append("<span title='" + str + "'>" + str + "</span>");
                    },
                    onContentReady: function(args) {},
                    selectNodesRecursive: false,
                    expandAllEnabled: true,
                    showCheckBoxesMode: "selectAll",
                    selectAllText: entityModule.allOrgs,
                    onItemSelectionChanged: function(args) {

                    },
                    onSelectionChanged: function(args) {
                        entityModule.selectOrgList = args.component.getSelectedNodesKeys();
                    }
                });

            },

            // 机构drop down list
            drawOrgDropDownList: function(data) {

                entityModule.selectOrgList = _.pluck(data, 'id');

                $scope.onChanged({ model: entityModule.selectOrgList });

                var syncTreeViewSelection = function(treeView, value, isReady) {

                    if (isReady) {
                        $scope.selectedOrganizationList = entityModule.selectOrgList;
                        $scope.onChanged({ model: entityModule.selectOrgList });
                    } else {
                        $scope.selectedOrganizationList = value;
                        $scope.onChanged({ model: value });
                    }
                };


                entityModule.orgDropDownInstantce = $("#" + entityModule.uiOrgID).dxDropDownBox({
                    value: '',
                    showClearButton: false,
                    contentTemplate: function(e) {
                        var value = e.component.option("value"),
                            $treeView = $("<div>").dxTreeView({
                                dataSource: data,
                                dataStructure: "plain",
                                keyExpr: "id",
                                parentIdExpr: "parentIDStr",
                                selectionMode: "multiple",
                                displayExpr: "name",
                                selectByClick: true,
                                noDataText: '',
                                height: 300,
                                itemTemplate: function(itemData, itemIndex, itemElement) {

                                    var str = itemData.code + ' ' + itemData.name;
                                    itemElement.append("<span title='" + str + "'>" + str + "</span>");
                                },
                                onContentReady: function(args) {},
                                selectNodesRecursive: false,
                                expandAllEnabled: true,
                                showCheckBoxesMode: "selectAll",
                                selectAllText: entityModule.allOrgs,
                                onItemSelectionChanged: function(args) {

                                },
                                onSelectionChanged: function(args) {
                                    var value = args.component.getSelectedNodesKeys();
                                    var text = '';
                                    if (value && value.length === data.length) {
                                        text = entityModule.allOrgs;
                                    } else {
                                        text = '选中' + value.length + '个机构';
                                    }

                                    entityModule.selectOrgList = value;
                                    e.component.option("value", text);
                                    entityModule.orgText = text;
                                    syncTreeViewSelection(entityModule.orgTreeView, value, false);
                                }
                            });

                        entityModule.orgTreeView = $treeView.dxTreeView("instance");
                        entityModule.orgText = e.component.option("text");


                        return $treeView;
                    }
                });
            }

        };



        var mainModule = {

            main: function() {

                if (!$scope.selectList) {
                    $scope.selectList = [];
                }

                entityModule.loadData();
                entityModule.main();

                // $scope.add = mainModule.add;

                $scope.delete = mainModule.delete;
            },

            parseViewList: function() {
                $scope.selectList.forEach(function(r) {
                    var org = _.find(entityModule.orgList, function(o) {

                        return o.id === r.organizationID;
                    });

                    if (org) {
                        r.value = org.code + ' ' + org.name;
                    }

                    r.suffix = ';';
                });


                if ($scope.selectList && $scope.selectList.length > 0) {

                    var length = $scope.selectList.length - 1;
                    $scope.selectList[length].suffix = '';
                }
            },
            add: function() {
                var length = $scope.selectList.length;

                var prefixStr = '';
                if (length !== 0) {
                    prefixStr = ';';
                }

                var obj = {
                    id: window.PWC.newGuid(),
                    value: '',
                    suffix: prefixStr,
                };

                $scope.selectList.push(obj);
            },

            delete: function(obj) {
                if ($scope.selectList && $scope.selectList.length > 0) {

                    var findIndex = _.indexOf($scope.selectList, obj);

                    if (findIndex > -1) {
                        $scope.selectList.splice(findIndex, 1);
                    }

                    if (findIndex === 0 && $scope.selectList.length >= 0) {
                        $scope.selectList[0].prefix = '';
                    }
                }
            },

        };

        (function initializa() {

            mainModule.main();

            $log.debug('outputReconciliationKeywordsController.ctor()...');


        })();
    }
]);
invoiceModule.directive('outputReconciliationEntities', ['$log',
    function ($log) {
        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-entities.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectList: "=",
                isReadonly: '=',
            },
            controller: 'outputReconciliationEntitiesController',
            link: function (scope, element, attr) {

            }
        }
    }
]);

invoiceModule.controller('outputReconciliationKeywordsController', ['$scope', '$log', 'uiGridConstants', 'SweetAlert', '$translate', 'stdAccountService', '$interval', 'orgService', '$timeout', '$q', 'commonWebService', 'loginContext', '$uibModal', 'outputReconciliationConfiguration',
    function ($scope, $log, uiGridConstants, SweetAlert, $translate, stdAccountService, $interval, orgService, $timeout, $q, commonWebService, loginContext, $uibModal, outputReconciliationConfiguration) {
        'use strict';

     
        var mainModule = {

            main: function () {

                if (!$scope.keywordsList) {
                    $scope.keywordsList = [];
                }
                $scope.addKeywords = mainModule.addKeywords;

                $scope.deleteKeywords = mainModule.deleteKeywords;
            },
            addKeywords: function () {
                var length = $scope.keywordsList.length;

                if (length >= 5) {
                    SweetAlert.warning($translate.instant('LimitKeyWords'));
                    return;
                };

                var prefixStr = '';
                if (length !== 0) {
                    prefixStr = ';';
                }

                var obj = {
                    id: window.PWC.newGuid(),
                    value: '',
                    prefix: prefixStr,
                };

                $scope.keywordsList.push(obj);
            },

            deleteKeywords: function (obj) {
                if ($scope.keywordsList && $scope.keywordsList.length > 0) {

                    var findIndex = _.indexOf($scope.keywordsList, obj);

                    if (findIndex > -1) {
                        $scope.keywordsList.splice(findIndex, 1);
                    }

                    if (findIndex === 0 && $scope.keywordsList.length >= 0) {
                        $scope.keywordsList[0].prefix = '';
                    }
                }
            },

        };

        (function initializa() {

            mainModule.main();

            $log.debug('outputReconciliationKeywordsController.ctor()...');


        })();
    }
]);
invoiceModule.directive('outputReconciliationKeywords', ['$log',
    function ($log) {
        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-keywords.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                keywordsList: "=",
                isReadonly: '='
            },
            controller: 'outputReconciliationKeywordsController',
            link: function (scope, element, attr) {

            }
        }
    }
]);

vatModule.controller('specialVatInvoiceController', ['$log', '$timeout', '$scope', '$translate', 'vatOutputInvoiceManageService',
    'SweetAlert', 'orgService', 'enums', 'modalAdapterService',
    function ($log, $timeout, $scope, $translate, vatOutputInvoiceManageService, SweetAlert,
        orgService, enums, modalAdapterService) {
        //分页的设置
        var dateFormat = 'yyyy-MM-dd';
        $scope.pleaseSelect = $translate.instant("ChoosePlaceholder");
        $scope.pleaseInput = $translate.instant('InputPlaceholder');
        $scope.pagingOptions = {
            pageIndex: 1,  //当前页码
            totalItems: 0,  //总数据
            pageSize: constant.page.pageSizeArrary[1],  //每页多少条数据 
        };
        $scope.specialSearchEntity = {
            invoiceNumberVaule: null,
            VRLValue: null,
            issuedPeriodFromValue: null,
            issuedPeriodToValue: null,
            entityCodeValue: null,
            statusValue: [],
            revertStatusList:[]
        };
        $scope.specialInvoiceVariables = {
            selectedTableRows: [],
            selectedTotalAmount: 0.00,
            pageName: $translate.instant('IssuedInvoiceSpecial'),
            selectedInvoice:null
           
        };
        $scope.specialInvoice = {
            invoiceNumberOptions: {
                bindingOptions: {
                    'value': 'specialSearchEntity.invoiceNumberVaule'
                },
                showClearButton: true,
                placeholder: $scope.pleaseInput
            },
            VRLOptions: {
                bindingOptions: {
                    'dataSource': 'allDBVRL',
                    'value': 'specialSearchEntity.VRLValue'
                },
                showClearButton: true,
                placeholder: $scope.pleaseSelect
            },
            issuedPeriodFromOptions: {
                type: "date",
                dateSerializationFormat:dateFormat,
                displayFormat: dateFormat,
                bindingOptions: {
                    'value': 'specialSearchEntity.issuedPeriodFromValue'
                },
                width: '100%',
                showClearButton: true,
                placeholder: $scope.pleaseSelect
            },
            issuedPeriodToOptions: {
                type: "date",
                dateSerializationFormat: dateFormat,
                displayFormat: dateFormat,
                bindingOptions: {
                    'value': 'specialSearchEntity.issuedPeriodToValue'
                },
                width: '100%',
                showClearButton: true,
                placeholder: $scope.pleaseSelect
            },
            entityOptions:{
                bindingOptions: {
                    'value': 'specialSearchEntity.entityCodeValue',
                    'dataSource':'entitySource'
                },
                showClearButton: true,
                displayExpr: 'name',
                valueExpr: 'id',
                placeholder: $scope.pleaseSelect
            },
            statusOptions:{
                bindingOptions: {
                    'value': 'specialSearchEntity.statusValue',
                    'dataSource': 'specialStatus'
                },
                showClearButton: true,
                showDropButton: true,
                multiline: false,
                showSelectionControls: true,
                applyValueMode: "useButtons",
                displayExpr: 'name',
                valueExpr: 'id',
                //fieldTemplate: function (selectedItems, fieldElement) {                   
                //    selectedItems = Array.isArray(selectedItems) ? selectedItems : [selectedItems];
                   
                //    var selCount = selectedItems.length,
                //         $textBox = $('<div>', { class: "input-field" }).dxTextBox({});
                   
                //    var $field = $("<div>", { class: "tag-container" }).text(
                //        selCount > 1 ? selCount + " selected" : selCount===1?selectedItems[0].name:null
                //    );

                //    return fieldElement.append($field).append($textBox);
                //},              
                placeholder: $scope.pleaseSelect
            },
            specialGridContainer: {
                //height:'260px',
                bindingOptions: {
                    dataSource: 'specialInvoiceList',
                    'height': 'height'
                },
                loadPanel: {
                    enabled: false,
                },
                noDataText:$translate.instant('NoDataText'),
                columnAutoWidth:true,
                showRowLines: true,
                showBorders: true,
                columnChooser: {
                    enabled: true
                },
                paging: {
                    enabled: false
                },
                selection:{
                    mode: 'multiple',
                    showCheckBoxesMode: 'always'
                },
                onSelectionChanged: function (e) {
                    $scope.specialInvoiceVariables.selectedTotalAmount = 0.00;
                    $scope.specialInvoiceVariables.selectedTableRows = e.selectedRowsData;
                    _.each(e.selectedRowsData, function (item) {
                        $scope.specialInvoiceVariables.selectedTotalAmount += item.totalAmount;
                    });
                },
                headerFilter:{
                    visible: false,
                    texts: {
                        cancel: $translate.instant('ENCancel'),
                        emptyValue: $translate.instant('Blank'),
                        ok:$translate.instant('Confirm')
                    }
                },
                columns: [
                    { dataField: 'vrl', caption: $translate.instant('VRL'),allowHeaderFiltering:false,visible:false },
                    { dataField: 'buyerOrganizationCode', caption: $translate.instant('Entity'), allowHeaderFiltering: false },
                    { dataField: 'gdInvoiceNumber', caption: $translate.instant('InvoiceNo'), allowHeaderFiltering: false },
                    { dataField: 'gdInvoiceCode', caption: $translate.instant('InvoiceCode'), allowHeaderFiltering: false },
                    { dataField: 'buyerOrganizationName', caption: $translate.instant('BuyerName'), allowHeaderFiltering: false },
                    { dataField: 'buyerOrganizationTaxID', caption: $translate.instant('BuyerTaxID'), allowHeaderFiltering: false },
                    {
                        dataField: 'totalAmount', caption: $translate.instant('Amount'),
                        format: { type: 'fixedPoint', precision: 2 }, allowHeaderFiltering: false
                    },
                     {
                         dataField: 'totalTaxAmount', caption: $translate.instant('TaxAmount'),
                         format: { type: 'fixedPoint', precision: 2 }, allowHeaderFiltering: false
                     },
                    {
                        dataField: 'gdIssuedDate', caption: $translate.instant('IssuedDate'),
                        dataType: 'date', format: dateFormat, allowHeaderFiltering: false
                    },
                    {
                        dataField: 'status', caption: $translate.instant('Status'),
                        calculateDisplayValue: function (rowData) {
                            return $translate.instant($scope.specialSearchEntity.revertStatusList[rowData.status]);
                        }
                        //headerFilter: {
                        //    dataSource: {
                        //        load: function () {
                        //           return _.map(enums.GDInvoiceStatusEnum, function (item, key) {                                       
                        //               return {
                        //                   text: $translate.instant(key),
                        //                   value: ["status", "=", item]
                        //               };
                        //            });
                        //        }
                        //    }
                        //}
                    },
                    {
                        caption: $translate.instant('Details'),
                        cellTemplate: 'detailTemplate', allowHeaderFiltering: false
                    }

                ]
            }
        };


        $scope.eventService = {
            checkBeforCancel: function () {
                var list = $scope.specialInvoiceVariables.selectedTableRows;
                //过月的不能cancel
                var currentMonth = new Date().getMonth();//1-12
                var notValidMonthCount = 0;
                var notValidStatus = true;
                var isRed = false;
                _.each(list, function (item) {
                    var m = new Date(item.gdIssuedDate).getMonth();
                    notValidMonthCount = m === currentMonth ? notValidMonthCount : ++notValidMonthCount;
                    if (item.status !== enums.GDInvoiceStatusEnum.issued) {
                        notValidStatus = false;
                    } 
                    if (item.isRedInvoice) {
                        //红票不能cancel
                        isRed = true;
                    }
                    
                });
                var result = {
                    pass: notValidMonthCount === 0 && notValidStatus && !isRed,
                    notMatchMonth: notValidMonthCount,
                    notValidStatus: notValidStatus,
                    isRedInvoice: isRed
                }
                return result;
            },
            cancelInvoiceCore: function () {
                var dto = {
                    items: $scope.specialInvoiceVariables.selectedTableRows,
                    reprint: $scope.isReprint,
                    userName: null,
                    userID: null
                }
                //need call baiwang jie kou
                vatOutputInvoiceManageService.cancelGDInvoice(dto).success(function (response) {
                    if (response.result) {
                        //_.each($scope.specialInvoiceVariables.selectedTableRows, function (item) {
                        //    item.status = enums.GDInvoiceStatusEnum.cancelled;
                        //});
                        modalAdapterService.close(constant.OutputInvoiceCancalDialog, 'special-vat-page');
                        $scope.eventService.refreshInvoiceDataGrid();
                    }
                }).error(function () {
                    SweetAlert.error('', $translate.instant('CommonFail'));
                });
            },
            cancelFapiao: function (reprint) {
                if (!$scope.specialInvoiceVariables.selectedTableRows || $scope.specialInvoiceVariables.selectedTableRows.length < 1) {
                    SweetAlert.warning($translate.instant('SelectBdInvoiceCheck'));
                    return;
                }
                var result=$scope.eventService.checkBeforCancel();
                if (result.pass) {
                    $scope.title = reprint ? $translate.instant("CancelReprintInvoiceGDTitle") : $translate.instant("CancelInvoiceGDTitle")
                   $scope.isReprint = reprint ? reprint : false;
                   modalAdapterService.open(constant.OutputInvoiceCancalDialog, 'special-vat-page');
                }else
                {
                    var message =result.notMatchMonth===0?"": $translate.instant('HasNotMatchMonth') + result.notMatchMonth + $translate.instant('Separator');
                    message = result.notValidStatus ? message : message + $translate.instant('HasNotMatchStatus');
                    message = result.isRedInvoice ? message + $translate.instant('RedInvoiceWarrning') : message;
                    SweetAlert.warning('', message);
                }
               
            },
            cancelandPrintFapiao:function(){
                $scope.eventService.cancelFapiao(true);
            },
            getQueryBasicData: function () {
                $scope.specialStatus = _.map(enums.GDInvoiceStatusEnum, function (item, key) {
                    return { id: item, name: $translate.instant(key) };
                });
                orgService.getBdList().success(function (res) {
                    $scope.entitySource=  _.map(res,function(item){
                        return { id: item.code, name: item.code + item.name };
                    });
                    $scope.allDBVRL = _.filter(_.uniq(_.pluck(res, 'vehicleroutinglocation')),
                        function (item) { return item !== null });
                });
                
            },
            refreshInvoiceDataGrid: function () {
                var dataDto = {
                    parameters:$scope.specialSearchEntity,
                        pagingInfo: $scope.pagingOptions
                }
                vatOutputInvoiceManageService.getSpecailGBInvoiceList(dataDto).success(function (response) {
                    $scope.specialInvoiceList = response.list;
                    $scope.pagingOptions.totalItems = response.pageInfo.totalCount;
                }).error(function () {
                    SweetAlert.error('', $translate.instant('CommonFail'));
                });
     
            },
            showDetail: function (rowData) {
                $scope.specialInvoiceVariables.selectedInvoice = rowData;
                $scope.$broadcast("openGDDetailDialog");
            },
            //隐藏或者展示搜索框
            showOrHideSearchBox: function () {
                $scope.hasShowMoreSearchBox = !$scope.hasShowMoreSearchBox;
                // $scope.eventService.refreshInvoiceDataGrid();
                $timeout(function () {
                    $scope.setInvoiceGridHeight();
                }, 500);

            }
        };

      
        (function () {
            $scope.specialSearchEntity.revertStatusList = _.invert(enums.GDInvoiceStatusEnum);
            $scope.eventService.getQueryBasicData();
            $scope.eventService.refreshInvoiceDataGrid();
            $scope.hasShowMoreSearchBox = false;
            //设置表格高度
            $timeout(function () {
                $scope.setInvoiceGridHeight();
            }, 500);
        })();
    }
])
vatModule.directive('specialVatInvoice', ['$log', function ($log) {
    'use strict';
    $log.debug('issuedInvoiceBdView.ctor()...');
    return {
        restrict: 'E',
        templateUrl: '/app/vat/output-invoice/special-vat-invoice/special-vat-invoice.html' + '?_=' + Math.random(),
        scope:
        {

        },
        controller: 'specialVatInvoiceController',
        link: function (scope, element) {
            //计算datagrid的高度
            scope.setInvoiceGridHeight = function () {
                var pageHeight = $(document).height();
                //var smallTitleHeight = $('#litterTitle').outerHeight();
                var topTitleHeight = $('.header-title').outerHeight();
                var pageSearchHeight = $('.query-panel').outerHeight();
                var pageFastSearchHeight = $('.action-row').outerHeight();
                //var dataGridLineHeight = $('.grid-container .prompt-line').outerHeight();
                var dataGridPagerHeight = $('.page-footer').outerHeight();
                if (dataGridPagerHeight === 0) dataGridPagerHeight = 60;
                var subHeight = pageHeight  - topTitleHeight - pageSearchHeight - pageFastSearchHeight  - dataGridPagerHeight;
                scope.height = subHeight - 50;

                try {
                    $('#specialGrid').dxDataGrid('instance').repaint();
                }
                catch (e) {
                    console.log(e);
                }
            };

            $(window).on('resize', function () {
                scope.setInvoiceGridHeight();
            });
        }
    };
}]);
vatModule.controller('taxControlDiskController', ['$log', '$scope', '$q', '$timeout',
    '$translate', 'SweetAlert', 'outputCommonService', 'messagebox', '$state', 'vatOutputInvoiceManageService', '$uibModal',
    function($log, $scope, $q, $timeout, $translate, SweetAlert, outputCommonService, messagebox, $state, vatOutputInvoiceManageService, $uibModal) {

        var thisConstant = {
            DiskType: {
                1: $translate.instant('BaiWang'),
                2: $translate.instant('HangXing'),
            }
        };

        var replaceService = {
            nameReplace:function(value){

                if (value){
                    value=value.replace(/[^\(\)（）\w\u4e00-\u9fa5]/g,'')
                }

                return value;
            },
            codeReplace:function(value){
             
                if (value){
                    value=value.replace(/[^\w]/g,'')
                }

                return value;
            }
        };

        var editAlertService = {
            open: function() {
                var editModel = {};

                if ($scope.selectedRows && $scope.selectedRows.length === 1) {
                    $scope.editModel = angular.copy($scope.selectedRows[0]);
                } else {
                    return;
                }

                var modalInstance = $uibModal.open({
                    animation: false,
                    backdrop: false,
                    ariaLabelledBy: 'modal-title',
                    ariaDescribedBy: 'modal-body',
                    templateUrl: 'EditTaxControlDiskConfirmModal.html',
                    windowClass: 'EditTaxControlDiskConfirmModal',
                    size: 'edit-taxcontrol',
                    scope: $scope,
                    resolve: {
                        editModel: editModel
                    }
                });

                $scope.dxOptions={
                    mainTaxAuthoritiesName: {
                        valueChangeEvent: "keyup",
                        maxLength: 50,
                        onValueChanged: function (e) {
                            $scope.editModel.mainTaxAuthoritiesName=replaceService.nameReplace(e.value);
                        }
                    },
                    mainTaxAuthoritiesCode: {
                        valueChangeEvent: "keyup",
                        maxLength: 50,
                        onValueChanged: function (e) {
                            $scope.editModel.mainTaxAuthoritiesCode=replaceService.codeReplace(e.value);
                        }
                    },

                }

                modalInstance.result.then(function(data) {

                }, function() {

                });


                $scope.saveDisk = function() {

                    var model = $scope.editModel;
                    vatOutputInvoiceManageService.updateTaxControlDisk(model).success(function(data) {

                        if (data && data.result) {
                            messagebox.info($translate.instant("SaveSuccess"));
                            modalInstance.close($scope.editModel);

                            $scope.eventService.refreshTable();
                        } else {
                            messagebox.warning(data.resultMsg, true);
                        }
                    });

                };

                // 取消
                $scope.cancel = function() {

                    modalInstance.dismiss('cancel');
                };
            }
        };

        var mainModule = {
            main: function() {
                mainModule.initControl();

                mainModule.bindEvent();

                mainModule.loadData();

                $scope.showEditBtn = false;

                //设置表格高度
                $timeout(function() {
                    $scope.setInvoiceGridHeight();
                }, 500);
            },
            initControl: function() {

                $scope.taxControlDiskData = [];
                $scope.taxControlDiskGrid = {
                    bindingOptions: {
                        height: 'gridTable',
                        dataSource: 'taxControlDiskData'
                    },
                    // dataSource: new DevExpress.data.CustomStore({
                    //     key: "id",
                    //     load: function(loadOptions) {

                    //         var model = {};
                    //         return vatOutputInvoiceManageService.getTaxControlDiskList(model, false)
                    //             .then(function(res) {

                    //                 var list = res.data.list;

                    //                 if (list && list.length > 0) {

                    //                     list.forEach(function(r) {
                    //                         r.taxControlStatusBool = r.taxControlStatus === 1;
                    //                     });
                    //                 }

                    //                 $scope.taxControlDiskData = list;

                    //                 return { data: list, totalCount: res.data.list.length };
                    //             }, function(response) {
                    //                 return $q.reject($translate.instant("DataLoadingError"));
                    //             });
                    //     }
                    // }),
                    onToolbarPreparing: function(e) {
                        var toolbarItems = e.toolbarOptions.items;
                        toolbarItems.unshift({
                            location: "before",
                            template: "checkStatusTempl"
                        });
                    },
                    noDataText: $translate.instant('NoDataText'),
                    columnAutoWidth: true,
                    showRowLines: true,
                    showBorders: true,
                    columnFixing: {
                        enabled: true
                    },
                    columnChooser: {
                        enabled: true
                    },
                    searchPanel: {
                        placeholder: $translate.instant("SearchHintText"),
                        visible: true,
                    },
                    loadPanel: {
                        enabled: false
                    },
                    selection: {
                        mode: "single"
                    },
                    onSelectionChanged: function(e) {
                        $scope.selectedRows = e.selectedRowsData;

                        if ($scope.selectedRows && $scope.selectedRows.length > 0) {
                            $scope.showEditBtn = true;
                        }
                    },
                    columns: [
                        { dataField: 'kpjh', caption: $translate.instant('KPJH'), visible: false },
                        { dataField: 'qymc', caption: $translate.instant('qymc'), visible: false },
                        { dataField: 'qysh', caption: $translate.instant('qysh'), visible: false },
                        { dataField: 'jmbbh', caption: $translate.instant('jmbbh'), visible: false },
                        { dataField: 'dzfpFlag', caption: $translate.instant('dzfpFlag'), visible: false },
                        { dataField: 'sfjyzs', caption: $translate.instant('sfjyzs'), visible: false },
                        { dataField: 'swjgdm', caption: $translate.instant('swjgdm'), visible: false },
                        { dataField: 'jssz', caption: $translate.instant('jssz'), visible: false },
                        { dataField: 'jspbh', caption: $translate.instant('jspbh'), visible: false },
                        { dataField: 'equipmentSupplier', caption: $translate.instant('equipmentSupplier'), visible: false },
                        { dataField: 'organizationName', caption: $translate.instant('Entity') },
                        { dataField: 'organizationCode', caption: $translate.instant('EntityCode') },
                        { dataField: 'taxControlDiskSerialNumber', caption: $translate.instant('TaxControlDiskSerialNumber') },
                        { cellTemplate: 'statusTempl', caption: $translate.instant('TaxControlStatus'), alignment: 'center', width: '120' },
                        { dataField: 'diskTyeText', caption: $translate.instant('Type') },
                        { dataField: 'mainTaxAuthoritiesName', caption: $translate.instant('MainTaxAuthoritiesName') },
                        { dataField: 'mainTaxAuthoritiesCode', caption: $translate.instant('MainTaxAuthoritiesCode') },
                        { dataField: 'topMargin', caption: $translate.instant('Top') },
                        { dataField: 'leftMargin', caption: $translate.instant('Left') },
                        { dataField: 'taxControlDiskNo', caption: $translate.instant('TaxControlDiskNo') },
                        { dataField: 'taxControlDiskDescribe', caption: $translate.instant('TaxControlDiskDescribe') },
                        { dataField: 'taxControlDiskUser', caption: $translate.instant('TaxControlDiskUser') },
                        { dataField: 'department', caption: $translate.instant('Department') },
                        { dataField: 'mobile', caption: $translate.instant('Mobile') },
                        { dataField: 'email', caption: $translate.instant('Email') },
                        { dataField: 'taxControlUrl', caption: $translate.instant('TaxControlUrl') },

                    ]
                };

            },

            loadData: function() {
                // body...
                var model = {};

                var parseViewData = function(r) {
                    if (r) {
                        r.taxControlStatusBool = r.taxControlStatus === 1;
                        r.diskTyeText = thisConstant.DiskType[r.diskType];
                    }

                    return r;
                };

                vatOutputInvoiceManageService.getTaxControlDiskList(model, false)
                    .then(function(res) {

                        var list = res.data.list;

                        if (list && list.length > 0) {

                            list.forEach(function(r) {
                                r = parseViewData(r);
                            });
                        }

                        $scope.taxControlDiskData = list;

                    }, function(response) {
                        // return $q.reject($translate.instant("DataLoadingError"));
                    });
            },
            bindEvent: function() {
                $scope.eventService = {
                    checkStatus: function() {

                        // 正在查询
                        if ($scope.Checking) {
                            return;
                        }

                        var dataList = $scope.taxControlDiskData;

                        var dataLength = dataList.length;

                        $scope.Checking = true;
                        var testStatusFunction = function(i) {

                            if (i < dataLength) {
                                var row = dataList[i];
                                row.isTest = true;
                                // row.failMsg="Testing";
                                $scope.taxControlDiskData = dataList;
                                vatOutputInvoiceManageService.testIsActive(row, false).then(function(res) {
                                    row.isTest = false;
                                    var data = res.data;
                                    if (data && data.result) {
                                        $scope.eventService.refreshTable();
                                    }

                                    if (i === dataLength - 1) {
                                        // 最后一个
                                        $scope.Checking = false;
                                    } else {
                                        i++;
                                        testStatusFunction(i);
                                    }


                                });

                            }
                        }

                        testStatusFunction(0);
                    },
                    refreshTable: function() {
                        // $('#taxControlDiskGridID').dxDataGrid('instance').refresh();

                        mainModule.loadData();
                    },
                    updateAlert: function() {
                        editAlertService.open();
                    },



                };
            }
        };




        (function() {

            mainModule.main();

        })();
    }
]);
vatModule.directive('taxControlDisk', ['$log',
    function ($log) {
        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/taxControlDisk/tax-control-disk.html' + '?_=' + Math.random(),
            replace: true,
            scope: {

            },
            controller: 'taxControlDiskController',
            link: function (scope, element, attr) {
                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var containerHeight = $('.content-container').outerHeight();
                    scope.gridTable = containerHeight - 30;
                };

                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }
        }
    }
]);

vatModule.controller('uploadFileModalController', ['$scope', '$log', '$translate', '$timeout', 'apiInterceptor', 'Upload', '$uibModal',
    'vatOutputInvoiceManageService',
    function ($scope, $log, $translate, $timeout, apiInterceptor, Upload, $uibModal, vatOutputInvoiceManageService) {

        var uploadFileController = function () {
            $scope.uploadOption = {};
            $scope.uploadOption.uploadFiles = null;

            $scope.confirmUpload = function () {
                $scope.uploadFileOption.files = $scope.files;
                $scope.modalInstance.dismiss('confirm');
                $scope.uploadFileType = null;

            };

            $scope.concelUpload = function () {
                $scope.modalInstance.dismiss('cancel');

                $scope.uploadFileType = null;
            };

            $scope.$watch('uploadOption.uploadFiles', function (newValue, oldValue) {
                if (newValue && newValue !== oldValue) {
                    doUploadFile();
                }
            });
        };

        $scope.chunkSize = 10 * 1024 * 1024;
        $scope.success = false;

        var resumable = true;
        var allFilesCount = 0;
        var successCount = 0;

        var updateProgressToZero = function () {
            $scope.percentNumber = '0%';
            $scope.showLoading = false;
        };

        $scope.files = [];
        var uploadSuccess = function (resp) {
            successCount++;
            $scope.files.push(resp);
            if (successCount === allFilesCount) {
                $scope.showLoading = false;
            }
        };

        var changeloadingTitle = function (title) {
            $scope.loadingTitle = $translate.instant(title);
        };

        var doUploadFile = function () {
            changeloadingTitle('fileUploading');
            uploadfile($scope.uploadOption.uploadFiles);
            $scope.uploadOption.uploadFiles = null;
        };

        //更新滚动条
        var updateProgress = function (evt) {
            $scope.showLoading = true;


            // console.log(evt.loaded + '/' + evt.total);
            var progressPercentage = parseInt(100.0 * evt.loaded / evt.total);

            // 不知道为什么evt.loaded有可能比evt.total还要大---julius 2017/11/7
            if (progressPercentage > 100){
                progressPercentage = 100;
            }

            $scope.percentNumber = progressPercentage + '%';
        };

        //执行上传文件操作。
        var uploadfile = function (files) {
            if (files && files.length) {
                allFilesCount = files.length;
                successCount = 0;
                var uploadSuccessCallBack = function () {
                    updateProgressToZero();
                }
                for (var i = 0; i < files.length; i++) {
                    var file = files[i];

                    if (!file.$error) {
                        var tempFileName = PWC.newGuid() + '.dat';
                        var token = $('input[name="__RequestVerificationToken"]').val();
                        updateProgressToZero();
                        Upload.upload({
                            url: apiInterceptor.webApiHostUrl + '/outputInvoicePrinted/uploadEvidenceFile',
                            data: {
                                cancel: false,
                                filename: file.name,
                                tempFileName: tempFileName,
                                file: file,
                                period: $scope.period
                            },
                            resumeChunkSize: resumable ? $scope.chunkSize : null,
                            headers: {
                                'Access-Control-Allow-Origin': '*',
                                Authorization: apiInterceptor.tokenType + ' ' + apiInterceptor.apiToken()
                            },
                            __RequestVerificationToken: token,
                            withCredentials: true
                        }).then(uploadSuccess, uploadSuccessCallBack, updateProgress);
                    }
                }
            }
        };

        //删除证据文件
        $scope.deleteEvidenceFile = function (fileId) {
            var fileList = [fileId];
            vatOutputInvoiceManageService.deleteEvidenceFile(fileList).then(function () {
                $scope.files = _.filter($scope.files, function (item) {
                    return item.data.fileID != fileId;
                });
            });
        }

        //下载证据文件
        $scope.downloadEvidenceFile = function (data) {
            var queryDto = {};
            queryDto.fileName = data.fileName;
            queryDto.filePath = data.filePath;
            vatOutputInvoiceManageService.downloadEvidenceFile(queryDto);
        }

        $scope.$watch('uploadFileType', function (newValue,oldValue) {
            if (newValue) {
                if (newValue === 'multiple') {
                    $scope.isMultiple = true;
                } else {
                    $scope.isMultiple = false;
                }
                $scope.files = [];
                if ($scope.uploadFileOption.files) {
                    _.each($scope.uploadFileOption.files, function (item) {
                        $scope.files.push(item);
                    });
                }

                var parentElem = angular.element($('#upload-file-modal-wrapper'));
                $scope.modalInstance = $uibModal.open({
                    backdrop: 'static',
                    templateUrl: 'uploadFileModal.html',
                    controller: uploadFileController,
                    appendTo: parentElem,
                    scope: $scope
                });
            }
        });
    }]);
vatModule.directive('uploadFileModal', ['$log',
function ($log) {
    return {
        restrict: 'E',
        templateUrl: '/app/vat/output-invoice/upload-file-modal/upload-file-modal.html' + '?_=' + Math.random(),
        scope: {
            uploadFileOption: '=',
            uploadFileType: '=',
            uploadFileWebApiUrl: '='
        },
        controller: 'uploadFileModalController',
        link: function ($scope, $element, $attr) {

        }
    }
}]);
vatModule.controller('ProductItemPreviewController', ['$scope', '$log', '$translate', '$timeout', 'SweetAlert', '$q', 'uiGridConstants', '$interval', 'productService', 'browserService', 'vatSessionService', 'region', 'enums', 'vatExportService',
    function ($scope, $log, $translate, $timeout, SweetAlert, $q, uiGridConstants, $interval, productService, browserService, vatSessionService, region, enums, vatExportService) {
        'use strict';

        $scope.startDate = new Date(vatSessionService.project.year, 0, 1);
        $scope.endDate = new Date(vatSessionService.project.year, 11, 31);
        $scope.dateFormat = $translate.instant('dateFormat4YearMonthDay');
        $scope.startMonth = vatSessionService.month;
        $scope.endMonth = vatSessionService.month;

        var minDate = [1, vatSessionService.project.year];
        var maxDate = [12, vatSessionService.project.year];
        var setDate = [
            [vatSessionService.month, vatSessionService.project.year],
            [vatSessionService.month, vatSessionService.project.year]];

        //发票类型
        var invoiceTypeEnum = {
            VATInvoice: $translate.instant('VATInvoice'),
            FreightTransport: $translate.instant('FreightTransport'),
            MotorVehicle: $translate.instant('MotorVehicle'),
            AgriculturalProduct: $translate.instant('AgriculturalProduct')
        };

        $scope.monthList = [$translate.instant('Month01'),
                            $translate.instant('Month02'),
                            $translate.instant('Month03'),
                            $translate.instant('Month04'),
                            $translate.instant('Month05'),
                            $translate.instant('Month06'),
                            $translate.instant('Month07'),
                            $translate.instant('Month08'),
                            $translate.instant('Month09'),
                            $translate.instant('Month10'),
                            $translate.instant('Month11'),
                            $translate.instant('Month12')
        ];


        //发票类型
        $scope.invoiceTypeList = [
            { id: 999, name: '未选择' },
            { id: 1, name: '1' },
            { id: 2, name: '2' },
            { id: 3, name: '0/空' },
        ];


        $scope.InvoiceType = {};
        $scope.CertificationStatus = {};

        //初始化期间
        var initPeriods = function () {
            var curMonth = new Date().getMonth() + 1;


            $scope.queryParams = {
                pageInfo: {}
                //periodStart: '',
                //periodEnd: '',
                //certificationDateStart: null,
                //certificationDateEnd: null,
                //invoiceCode: '',
                //invoiceNumber: '',
                //sellerTaxNumber: '',
                //amountStart: null,
                //amountEnd: null,
                //invoiceType: null,
                //taxAmountStart: null,
                //taxAmountEnd: null,
                //certificationStatus: null
            };
        };

        //从数据库中load数据
        var loadIncomeInvoiceItemDataFromDB = function (pageIndex) {
            initIncomeInvoiceItemPagination();

            $scope.curIncomeInvoiceItemPage = pageIndex;

            //初始化查询信息
            $scope.queryParams.pageInfo = {
                totalCount: $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount,
                pageIndex: pageIndex,
                pageSize: $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize,
                totalPage: 0,
            };

            productService.getProductItemListByPage($scope.queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                    });
                    $scope.gridOptions.data = data.list;
                    $scope.queryIncomeInvoiceItemResult.pageInfo = data.pageInfo;
                    computeIncomeInvoiceItemPage();
                }
            });
        };

        //点击任意一页加载数据事件
        var loadIncomeInvoiceDataByPage = function (pageIndex) {
            loadIncomeInvoiceItemDataFromDB(pageIndex);
        };

        //计算页数，创建分页栏
        var computeIncomeInvoiceItemPage = function () {

            if ($scope.queryIncomeInvoiceItemResult.pageInfo && $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount > 0) {

                var totalPage = parseInt($scope.queryIncomeInvoiceItemResult.pageInfo.totalCount / $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize);
                totalPage = $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount % $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize == 0 ? totalPage : totalPage + 1;

                //计算本页记录数
                if ($scope.queryIncomeInvoiceItemResult.pageInfo.pageIndex === totalPage) {
                    $scope.curPageItemCount = $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount % $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize;
                }
                else {
                    $scope.curPageItemCount = $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize;
                }

                $scope.queryIncomeInvoiceItemResult.pageInfo.totalPage = totalPage;

                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: totalPage,
                    current: $scope.curIncomeInvoiceItemPage,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        loadIncomeInvoiceDataByPage(p);
                    }
                });

                $('#totalInvoicePage').css('display', 'inline-block');
            } else {
                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: 0,
                    current: $scope.curIncomeInvoiceItemPage,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        loadIncomeInvoiceDataByPage(p);
                    }
                });

                //如果查询结果为0，则直接设置本页记录数为0
                $scope.curPageItemCount = 0;

                $('#totalInvoicePage').css('display', 'inline-block');
            }
        };

        //初始化分页信息
        var initIncomeInvoiceItemPagination = function () {
            $scope.queryIncomeInvoiceItemResult = {
                list: [],
                pageInfo: {
                    totalCount: -1,
                    pageIndex: 1,
                    pageSize: constant.pagesize,
                    totalPage: 0,
                }
            }

            $scope.curIncomeInvoiceItemPage = 1;
        };


        //在popover打开时执行事件
        var showPopover = function () {
            $timeout(function () {
                initDatePickers();
            }, 500);
        };

        //初始化时间控件
        var initDatePickers = function () {

            ////初始化已选择的发票类型和认证结果
            //$scope.InvoiceType.selected = _.find($scope.invoiceTypeList, function (v) {
            //    return v.id == $scope.queryParams.invoiceType;
            //})

        };

        (function initialize() {
            $log.debug('VatPreviewInputInvoiceController.ctor()...');
            $('#input-invoice-period-picker').focus(function () {
                $('.filter-button').popover("hide");
            });
            //初始化month-picker
            $('#input-invoice-period-picker').rangePicker({
                minDate: minDate,
                maxDate: maxDate,
                setDate: setDate,
                months: $scope.monthList,//['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'],
                ConfirmBtnText: $translate.instant('Confirm'),
                CancelBtnText: $translate.instant('ButtonCancel')
            })
             .on('datePicker.done', function (e, result) {
                 //开始月份
                 var startMonth = result[0][0];
                 //结束月份
                 var endMonth = result[1][0];
                 $scope.startMonth = startMonth;
                 $scope.endMonth = endMonth;

                 //$scope.queryParams.periodStart = startMonth;
                 //$scope.queryParams.periodEnd = endMonth;

                 loadIncomeInvoiceItemDataFromDB(1);
             });


            $scope.gridOptions = {
                rowHeight: constant.UIGrid.rowHeight,
                selectionRowHeaderWidth: constant.UIGrid.rowHeight,
                virtualizationThreshold: 50,//默认加载50条数据，避免在数据展示时，只显示前面4条
                enableSorting: false,
                enableColumnMenus: false,
                columnDefs: [
                 { name: '序号', width: '6%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>' },
                 { name: '产品编号', width: '8%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fSetCode}}<span></div>' },
                 { name: '产品名称', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fSetName}}<span></div>' },
                 { name: '科目代码', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctCode}}<span></div>' },
                 { name: '科目名称', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctName}}</span></div>' },
                 { name: '科目类别', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctClass}}</span></div>' },
                 { name: '科目性质', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctAttr}}</span></div>' },
                 { name: '卖出金额汇总', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fcjje}}</span></div>' },
                 { name: '计税基数余额', width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.bjsjzye}}</span></div>' },
                 { name: '应税状态', width: '8%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.fyszt}}</span></div>' },
                 { name: '期间', width: '8%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.year + "-" + (row.entity.month < 10 ? "0" + row.entity.month : row.entity.month)}}</span></div>' }
                ],
                onRegisterApi: function (gridApi) {
                    $scope.gridApi = gridApi;

                    $interval(function () {
                        $scope.gridApi.core.handleWindowResize();
                    }, 500, 60 * 60 * 8);
                }
            };

            $scope.showPopover = showPopover;

            initPeriods();
            initIncomeInvoiceItemPagination();
            //初始化查询条件-期间范围
            //$scope.queryParams.periodStart = vatSessionService.month;
            //$scope.queryParams.periodEnd = vatSessionService.month;
            loadIncomeInvoiceItemDataFromDB(1);

        })();
    }
]);





vatModule.directive('productItemPreview', ['$log', 'browserService', '$translate', 'region', '$timeout',
    function ($log, browserService, $translate, region, $timeout) {
        $log.debug('productItemPreview.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/preview/product-item-preview/product-item-preview.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'ProductItemPreviewController',
            link: function ($scope, element) {

            }
        }
    }
]);
vatModule.controller('vatPreviewAccountVoucherController', ['$scope', 'vatSessionService',
    function ($scope, vatSessionService) {
        'use strict';

        $scope.vatProject = vatSessionService.project;
        $scope.month = vatSessionService.month;
    }
]);

vatModule.directive('vatPreviewAccountVoucher', ['$log','browserService','$translate',
    function ($log, browserService, $translate) {
        $log.debug('vatPreviewAccountVoucher.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/preview/vat-preview-accountVoucher/vat-preview-accountVoucher.html' + '?_=' + Math.random(),
            scope: {                                
            },
            controller: 'vatPreviewAccountVoucherController',
            link: function ($scope, element) {                                      
            }
        };
    }
]); 



 vatModule.controller('vatPreviewBalanceSheetController', ['$scope', 'vatSessionService',
    function ($scope, vatSessionService) {
        'use strict';

        $scope.vatProject = vatSessionService.project;
        $scope.month = vatSessionService.month;

    }
]);
vatModule.directive('vatPreviewBalanceSheet', ['$log','browserService','$translate',
    function ($log, browserService, $translate) {
        $log.debug('vatPreviewBalanceSheet.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/preview/vat-preview-balanceSheet/vat-preview-balanceSheet.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'vatPreviewBalanceSheetController',
            link: function ($scope, element) {
               
            
            }
        };
    }
]);




vatModule.controller('vatPreviewCustomInvoiceSheetController', ['$scope', '$log', '$translate', '$timeout', 'apiInterceptor', 'Upload', 'dataImportService', 'SweetAlert', '$q', 'uiGridConstants', 'projectService', 'uiGridGroupingConstants', 'vatImportService', 'i18nService', 'browserService', '$interval', 'region', 'vatSessionService', 'vatExportService',
    function ($scope, $log, $translate, $timeout, apiInterceptor, Upload, dataImportService, SweetAlert, $q, uiGridConstants, projectService, uiGridGroupingConstants, vatImportService, i18nService, browserService, $interval, region, vatSessionService,vatExportService) {
        'use strict';

        $scope.currentEditingValue = "";

        // **********************************************************************
        //Date range picker:
        $scope.startDate = new Date(vatSessionService.project.year, 0, 1);
        $scope.endDate = new Date(vatSessionService.project.year, 11, 31);
        $scope.dateFormat = $translate.instant('dateFormat4YearMonthDay');

        var minDate = [1, vatSessionService.project.year];
        var maxDate = [12, vatSessionService.project.year];
        var setDate = [
            [vatSessionService.month, vatSessionService.project.year],
            [vatSessionService.month, vatSessionService.project.year]];

        //Date range picker:
        // **********************************************************************

        $scope.filterData = {
            periodFrom: 0,
            periodTo: 0,
            invoiceStartDate: null,
            invoiceEndDate: null,
            payNum: null,
            taxAmountFrom: null,
            taxAmountTo: null,
            invoiceAmountFrom: null,
            invoiceAmountTo: null

        };

        $scope.criteriaList = [];

        // current CATEGORY:


        $scope.monthList = [$translate.instant('Month01'),
                            $translate.instant('Month02'),
                            $translate.instant('Month03'),
                            $translate.instant('Month04'),
                            $translate.instant('Month05'),
                            $translate.instant('Month06'),
                            $translate.instant('Month07'),
                            $translate.instant('Month08'),
                            $translate.instant('Month09'),
                            $translate.instant('Month10'),
                            $translate.instant('Month11'),
                            $translate.instant('Month12')
        ];


        $scope.filterData.periodFrom = vatSessionService.month;
        $scope.filterData.periodTo = vatSessionService.month;


        // NEW STUFF:
        $scope.pagination = {
            totalCount: 0,
            pageIndex: 1,
            pageSize: 100
        };


        // ****************************************************************************************
        //************ EXCEL EXPORT FUNCTION ***************/


        //导出进项发票数据
        var downloadCustomInvoice = function () {


            if ($scope.filterData !== null && $scope.filterData !== "") {

               var criteria = JSON.stringify($scope.filterData);
                if (browserService.isIE() || browserService.isEdge())
                    criteria = encodeURIComponent(criteria);
            }
            else
                criteria = "";

            vatImportService.getExportCustomInvoiceList(criteria).success(function (data, status, headers) {
                if(status===204){
                    SweetAlert.warning("没有数据可以下载");
                    return;
                }
                vatExportService.exportToExcel(data, status, headers, 'CustomInvoice.xlsx');
            });
        };
        //************ EXCEL EXPORT FUNCTION ***************/
        // ****************************************************************************************
        


        // ************************************************************************************************
        // function to get data from Backend
        $scope.getDataFromDatabase = function (from, to, criteria, paginationInformation) {
          
 
                // always Jsonized the pagination:
                if (paginationInformation !== null && paginationInformation !== "") {
                    var pagination = JSON.stringify(paginationInformation);
//                    if (browserService.isIE() || browserService.isEdge())
                        pagination = encodeURIComponent(pagination);
                }
                else
                    pagination = "";
            

            if (criteria !== null && criteria !== "") {

                criteria = JSON.stringify($scope.filterData);
//                if (browserService.isIE() || browserService.isEdge())
                    criteria = encodeURIComponent(criteria);
            }
            else
                criteria = "";


            vatImportService.getCustomsInvoiceDataForDisplay(from, to, criteria, pagination).success(function (customInvoices) {
                var newData = JSON.parse(customInvoices);

                    $scope.gridOptions.data = newData.List;


                    $scope.pagination.totalCount = newData.PageInfo.TotalCount;
                    $scope.pagination.pageIndex = newData.PageInfo.PageIndex;
                    $scope.pagination.pageSize = newData.PageInfo.PageSize;

                    computeIncomeInvoiceItemPage();

                    $('.filter-button').popover("hide");
                
            });
        };


        $scope.updateACustomPrice = function (customId, invoiceAmount) {

            
            vatImportService.updateACustomPrice(customId, invoiceAmount).success(function (customInvoices) {

                SweetAlert.success($translate.instant('UpdateSuccess'));
            });
        };

        // function to get data from Backend
        // ************************************************************************************************


        // ************************************************************************************************
        // SETUP UI GRID TREE:
        var treeData;

        // 国际化；
        // i18nService.setCurrentLang("zh-cn");

        $scope.gridOptions = {
            rowHeight: 50,
            selectionRowHeaderWidth: 50,
            enableFullRowSelection: false,
            enableRowSelection: false,
            enableSorting: false,
            enableFiltering: false,
            enableColumnMenus: false,
            enableRowHeaderSelection: false,
            enableHorizontalScrollbar: uiGridConstants.scrollbars.NEVER,
            enableGridMenu: false,
            enableSelectAll: false,
            exporterLinkLabel: 'get it here',
            exporterCsvFilename: 'CustomInvoices.csv',
            exporterOlderExcelCompatibility: true,

            exporterHeaderFilterUseName: true,
            exportCsvLinkElement: angular.element(document.querySelectorAll(".custom-csv-link-location")),
            onRegisterApi: function (gridApi) {
                $scope.gridApi = gridApi;

                $scope.gridApiTotal = gridApi;

                //updating cell: price
                gridApi.edit.on.afterCellEdit($scope, function (rowEntity, colDef, newValue, oldValue) {

                    var invoiceAmount = PWC.stringNumberFormat(newValue);
                    if (newValue === oldValue) {

                    }

                    else if (invoiceAmount.trim() !== "" && !isNaN(parseFloat(invoiceAmount)) && isFinite(invoiceAmount)) {
                        $scope.updateACustomPrice(rowEntity.customsId, invoiceAmount);
                        $scope.$apply();
                    }
                    else {
                        //gridApi.edit.raise.cancelCellEdit(rowEntity, colDef);
                        //gridApi.edit.on.cancelCellEdit(rowEntity, colDef);
                        SweetAlert.warning($translate.instant('UpdateFailed'));
                        $scope.getDataFromDatabase($scope.filterData.periodFrom, $scope.filterData.periodTo, $scope.filterData, $scope.pagination);
                    }
                });

                $interval(function () {
                    $scope.gridApiTotal.core.handleWindowResize();
                }, 500, 60 * 60 * 8);
            },

            columnDefs: [
            {

                field: 'recordNumber', name: $translate.instant('ImportErrorPopUpNoCol'), enableCellEdit: false, width: '100',
                cellTemplate: '<div class="paddingLeft"><span>{{row.entity.recordNumber}}<span></div>'
            },
            {
                field: 'periodId', name: $translate.instant('PeriodId'), headerCellClass: 'alignCenter', enableCellEdit: false,
                cellTemplate: '<div class="alignCenter"><span>{{row.entity.periodId}}</span></div>'
            },
             {
                 field: 'issueDate', name: $translate.instant('CustomsIssueDate'), enableCellEdit: false,
                 cellTemplate: '<div class="paddingLeft"><span>{{row.entity.issueDate}}<span></div>'
             },


            {
                field: 'payNum', name: $translate.instant('CustomsPayNum'), enableCellEdit: false,
                cellTemplate: '<div class="paddingLeft"><span>{{row.entity.payNum}}<span></div>'
            },
             {
                 field: 'invoiceAmount', enableCellEdit: true, enableCellEditOnFocus: true, name: $translate.instant('Amount'), headerCellClass: 'alignRight', width: '150',
                 cellTemplate: '<div class="alignRight"><span>{{row.entity.invoiceAmount}}</span></div>'
             },

              {
                  field: 'invoiceTaxAmount', enableCellEdit: false, name: $translate.instant('InvoiceSE'), headerCellClass: 'alignRight',
                  cellTemplate: '<div class="alignRight"><span>{{row.entity.invoiceTaxAmount}}</span></div>'
              },

              {
                  field: 'auditResult', name: $translate.instant('CustomsAuditResult'), enableCellEdit: false,
                  cellTemplate: '<div class="paddingLeft"><span>{{row.entity.auditResult}}</span></div>'
              }


            ]
        };
        // SETUP UI GRID TREE:
        // ************************************************************************************************


        // Get initial Data from Backend to fill the UI grid Tree:
        $scope.getDataFromDatabase($scope.filterData.periodFrom, $scope.filterData.periodTo, "", $scope.pagination);


        // ************************************************************************************************
        // Export Data Gird To CSV
        //$scope.export = function () {
        //    var myElement = angular.element(document.querySelectorAll(".custom-csv-link-location"));
        //    $scope.gridApi.exporter.csvExport("all", "visible", myElement);
        //};
        // Export Data Gird To CSV
        // ************************************************************************************************

       
        // ************************************************************************************************
        // Reset Data Filter:
        $scope.doDataFilterReset = function () {
            var from = $scope.filterData.periodFrom;
            var to = $scope.filterData.periodTo;


            $scope.filterData = {
                periodFrom: from,
                periodTo: to,
                invoiceStartDate: null,
                invoiceEndDate: null,
                payNum: null,
                taxAmountFrom: null,
                taxAmountTo: null,
                invoiceAmountFrom: null,
                invoiceAmountTo: null

            };
            // $scope.criteriaList = [];

            //$scope.pagination.pageIndex = 1;
            //$scope.getDataFromDatabase($scope.filterData.periodFrom,$scope.filterData.periodTo, $scope.filterData, $scope.pagination);


        }
        // Reset Data Filter:
        // ************************************************************************************************


        // NEW STUFF

        //计算页数，创建分页栏
        var computeIncomeInvoiceItemPage = function () {

            $scope.curPageItemCount = 0;
            if ($scope.pagination && $scope.pagination.totalCount > 0) {

                
                var totalPage = parseInt($scope.pagination.totalCount / $scope.pagination.pageSize);
                totalPage = $scope.pagination.totalCount % $scope.pagination.pageSize == 0 ? totalPage : totalPage + 1;


                if ($scope.pagination.pageIndex === totalPage) {
                    $scope.curPageItemCount = $scope.pagination.totalCount % $scope.pagination.pageSize;
                }
                else {
                    $scope.curPageItemCount = $scope.pagination.pageSize;
                }



                $scope.pagination.totalPage = totalPage;

                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: totalPage,
                    current: $scope.pagination.pageIndex,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        $scope.pagination.pageIndex = p;
                        $scope.getDataFromDatabase($scope.filterData.periodFrom, $scope.filterData.periodTo, $scope.filterData, $scope.pagination);
                    }
                });

                $('#totalInvoicePage').css('display', 'inline-block');
            } else {
                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: 0,
                    current: $scope.pagination.pageIndex,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        $scope.pagination.pageIndex = p;
                        $scope.getDataFromDatabase($scope.filterData.periodFrom, $scope.filterData.periodTo, $scope.filterData, $scope.pagination);
                    }
                });

                $('#totalInvoicePage').css('display', 'inline-block');
            }
        };


        //初始化分页信息
        var initIncomeInvoiceItemPagination = function () {
            $scope.queryIncomeInvoiceItemResult = {
                list: [],
                pageInfo: {
                    totalCount: -1,
                    pageIndex: 1,
                    pageSize: 10,
                    totalPage: 0,
                }
            }

            $scope.curIncomeInvoiceItemPage = 1;
        };


        // NEW STUFF

        // ************************************************************************************************
        // Perform Data filter


        var prepareSummary = function () {
            // do something before show popover
        };

        //在popover打开时执行事件
        var showPopover = function () {
            $timeout(function () {
                initDatePickers();
            }, 500);
        };

        $scope.doDataFilter = function (removeData) {

            //$scope.filterData.periodFrom = $scope.monthFrom.selected.id;
            //$scope.filterData.periodTo = $scope.monthTo.selected.id;


            if ($scope.filterData.periodFrom > $scope.filterData.periodTo) {
                $scope.filterData.periodTo = $scope.filterData.periodFrom;
            }

            // Filter number validations:
            // fixed a bug when the amount has illegal chars:
            $scope.filterData.taxAmountFrom = (!PWC.isNullOrEmpty($scope.filterData.taxAmountFrom)) ?  PWC.stringNumberFormat($scope.filterData.taxAmountFrom) : "";
            $scope.filterData.taxAmountTo = (!PWC.isNullOrEmpty($scope.filterData.taxAmountTo)) ? PWC.stringNumberFormat($scope.filterData.taxAmountTo) : "";
            $scope.filterData.invoiceAmountFrom = (!PWC.isNullOrEmpty($scope.filterData.invoiceAmountFrom)) ?  PWC.stringNumberFormat($scope.filterData.invoiceAmountFrom) : "";
            $scope.filterData.invoiceAmountTo = (!PWC.isNullOrEmpty($scope.filterData.invoiceAmountTo)) ?  PWC.stringNumberFormat($scope.filterData.invoiceAmountTo) : "";



            // Filter validations:
            if (!PWC.isNullOrEmpty($scope.filterData.taxAmountFrom) && !PWC.isNullOrEmpty($scope.filterData.taxAmountTo) &&
                $scope.filterData.taxAmountFrom > $scope.filterData.taxAmountTo)
            {
                swal({ title: "", text: $translate.instant('AmountWarningSearch'), type: "warning", confirmButtonText: $translate.instant('Confirm') },
                    function(isConfirm){
                        if (isConfirm) {
                            $("#filterButton").click();
                        }

                    });
 
            }
            else if (!PWC.isNullOrEmpty($scope.filterData.invoiceAmountFrom) && !PWC.isNullOrEmpty($scope.filterData.invoiceAmountTo) &&
                $scope.filterData.invoiceAmountFrom > $scope.filterData.invoiceAmountTo) {
                
                swal({ title: "", text: $translate.instant('AmountWarningSearch'), type: "warning", confirmButtonText: $translate.instant('Confirm') },
                     function (isConfirm) {
                         if (isConfirm) {
                             $("#filterButton").click();
                         }

                     });
            }

            else if (!PWC.isNullOrEmpty($scope.filterData.invoiceStartDate) && !PWC.isNullOrEmpty($scope.filterData.invoiceEndDate) &&
                $scope.filterData.invoiceStartDate > $scope.filterData.invoiceEndDate)
            {
   
                swal({ title: "", text: $translate.instant('DateWarningSearch'), type: "warning", confirmButtonText: $translate.instant('Confirm') },
                    function (isConfirm) {
                        if (isConfirm) {
                            $("#filterButton").click();
                        }

                    });
            }
            else {


                //设置需要去掉的查询条件的值为空
                if (!PWC.isNullOrEmpty(removeData)) {
                    var removeItem = removeData.split("|");
                    removeItem.forEach(function (v) {
                        $scope.filterData[v] = null;

                    });
                }

                //********************************************************************************
                // add to Criteria List for display on top of the grid:
                var crits = $scope.filterData;

                $scope.criteriaList = [];



                var crit = [];
                if (!PWC.isNullOrEmpty(crits.payNum)) {
                    crit = new Object;
                    crit.name = $translate.instant('CustomsPayNum');
                    crit.valueFrom = crits.payNum;
                    crit.propertyName = "payNum";

                    $scope.criteriaList.push(crit);
                }

                if (!PWC.isNullOrEmpty(crits.invoiceStartDate) || !PWC.isNullOrEmpty(crits.invoiceEndDate)) {
                    if (new Date(crits.invoiceStartDate.replace(/[\.-]/g, '/')) > new Date(crits.invoiceEndDate.replace(/[\.-]/g, '/'))) {
                        $scope.criteriaList = [];
                        SweetAlert.warning($translate.instant('InvoiceDateQueryError'));
                        return;
                    }
                    crit = new Object;
                    crit.name = $translate.instant('CustomsIssueDate');
                    crit.valueFrom = crits.invoiceStartDate;
                    crit.valueTo = crits.invoiceEndDate;
                    crit.propertyName = "invoiceStartDate|invoiceEndDate";

                    $scope.criteriaList.push(crit);
                }

                if (!PWC.isNullOrEmpty(crits.taxAmountFrom) || !PWC.isNullOrEmpty(crits.taxAmountTo)) {
                    crit = new Object;
                    crit.name = $translate.instant('InvoiceSE');
                    crit.valueFrom = crits.taxAmountFrom + "";
                    crit.valueTo = crits.taxAmountTo + "";
                    crit.propertyName = "taxAmountFrom|taxAmountTo";

                    $scope.criteriaList.push(crit);
                }

                if (!PWC.isNullOrEmpty(crits.invoiceAmountFrom) || !PWC.isNullOrEmpty(crits.invoiceAmountTo)) {
                    crit = new Object;
                    crit.name = $translate.instant('Amount');
                    crit.valueFrom = crits.invoiceAmountFrom + "";
                    crit.valueTo = crits.invoiceAmountTo + "";
                    crit.propertyName = "invoiceAmountFrom|invoiceAmountTo";

                    $scope.criteriaList.push(crit);
                }


                // add to Criteria List for display on top of the grid:
                //********************************************************************************



                //var criteria = JSON.stringify($scope.filterData);
                //if (browserService.isIE() || browserService.isEdge())
                //    criteria = encodeURIComponent(criteria);
                $scope.pagination.pageIndex = 1;
                $scope.getDataFromDatabase($scope.filterData.periodFrom, $scope.filterData.periodTo, $scope.filterData, $scope.pagination);
            }
        };


        // Perform Data filter
        // ************************************************************************************************

        //在popover打开时执行事件
        var showPopover = function () {
            $timeout(function () {
                initDatePickers();
            }, 500);
        };
        //初始化时间控件
        var initDatePickers = function () {
            //认证开始时间

            var ele1 = $("#customInvoiceDateStart");
            ele1.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: true,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            });
            ele1.datepicker("setDate", $scope.filterData.invoiceStartDate);
            //认证结束时间
            var ele2 = $("#customInvoiceDateEnd");
            ele2.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: true,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            })
            ele2.datepicker("setDate", $scope.filterData.invoiceEndDate);



        };


        //开始
        (function initialize() {

            //初始化month-picker
            $('#input-invoice-period-picker').rangePicker({
                minDate: minDate,
                maxDate: maxDate,
                setDate: setDate,
                months: $scope.monthList,//['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'],
                ConfirmBtnText: $translate.instant('Confirm'),
                CancelBtnText: $translate.instant('ButtonCancel')
            })
                .on('datePicker.show', function (ev, picker) {

                    $('.filter-button').popover("hide");
                })

             .on('datePicker.done', function (e, result) {
                 //开始月份
                 var startMonth = result[0][0];
                 //结束月份
                 var endMonth = result[1][0];
                 $scope.filterData.periodFrom = startMonth;
                 $scope.filterData.periodTo = endMonth;

                 $scope.pagination.pageIndex = 1;
                 $scope.getDataFromDatabase($scope.filterData.periodFrom, $scope.filterData.periodTo, $scope.filterData, $scope.pagination);
             });


            $scope.downloadCustomInvoice = downloadCustomInvoice;



            // Reposition Header when the window is resized
            $(window).on('resize', function () {
                // SetUiGridHeader();
            });

            $scope.showPopover = showPopover;

        })();
    }
]);

//vatModule.directive('onFinishRender', ['$timeout', function ($timeout) {
//    return {
//        restrict: 'A',
//        link: function (scope, element, attr) {
//            if (scope.$last === true) {
//                $timeout(function () {
//                    scope.$emit(attr.onFinishRender);
//                }, 500);
//            }
//        }
//    }
//}]);
vatModule.directive('vatPreviewCustomInvoiceSheet', ['$log', 'browserService', '$translate',
    function ($log, browserService, $translate) {
        $log.debug('vatPreviewCustomInvoiceSheet.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/preview/vat-preview-customInvoice-sheet/vat-preview-customInvoice-sheet.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'vatPreviewCustomInvoiceSheetController',
            link: function ($scope, element) {
               
                
            }
        };
    }
]);





vatModule.controller('VatPreviewInputInvoiceController', ['$scope', '$log', '$translate', '$timeout', 'SweetAlert', '$q', 'uiGridConstants', '$interval', 'vatPreviewService', 'browserService', 'vatSessionService', 'region', 'enums', 'vatExportService',
    function ($scope, $log, $translate, $timeout, SweetAlert, $q, uiGridConstants, $interval, vatPreviewService, browserService, vatSessionService, region, enums, vatExportService) {
        'use strict';

        $scope.startDate = new Date(vatSessionService.project.year, 0, 1);
        $scope.endDate = new Date(vatSessionService.project.year, 11, 31);
        $scope.dateFormat = $translate.instant('dateFormat4YearMonthDay');
        $scope.startMonth = vatSessionService.month;
        $scope.endMonth = vatSessionService.month;

        var minDate = [1, vatSessionService.project.year];
        var maxDate = [12, vatSessionService.project.year];
        var setDate = [
            [vatSessionService.month, vatSessionService.project.year],
            [vatSessionService.month, vatSessionService.project.year]];

        //发票类型
        var invoiceTypeEnum = {
            VATInvoice: $translate.instant('VATInvoice'),
            FreightTransport: $translate.instant('FreightTransport'),
            MotorVehicle: $translate.instant('MotorVehicle'),
            AgriculturalProduct: $translate.instant('AgriculturalProduct')
        };

        $scope.monthList = [$translate.instant('Month01'),
                            $translate.instant('Month02'),
                            $translate.instant('Month03'),
                            $translate.instant('Month04'),
                            $translate.instant('Month05'),
                            $translate.instant('Month06'),
                            $translate.instant('Month07'),
                            $translate.instant('Month08'),
                            $translate.instant('Month09'),
                            $translate.instant('Month10'),
                            $translate.instant('Month11'),
                            $translate.instant('Month12')
        ];

        //认证结果
        $scope.cetificationResultList = [
            { id: 999, name: $translate.instant('AllTheItems') },
            { id: 1, name: $translate.instant('CertificationPass') },
            { id: 2, name: $translate.instant('CertificationNotPass') }
        ];

        //发票类型
        $scope.invoiceTypeList = [
            { id: 999, name: $translate.instant('AllTheItems') },
            { id: enums.invoiceType.VATInvoice, name: $translate.instant('VATInvoice') },
            { id: enums.invoiceType.FreightTransport, name: $translate.instant('FreightTransport') },
            { id: enums.invoiceType.MotorVehicle, name: $translate.instant('MotorVehicle') },
            { id: enums.invoiceType.AgriculturalProduct, name: $translate.instant('AgriculturalProduct') }
        ];


        $scope.InvoiceType = {};
        $scope.CertificationStatus = {};

        //初始化期间
        var initPeriods = function () {
            var curMonth = new Date().getMonth() + 1;


            $scope.queryParams = {
                pageInfo: {},
                periodStart: '',
                periodEnd: '',
                certificationDateStart: null,
                certificationDateEnd: null,
                invoiceCode: '',
                invoiceNumber: '',
                sellerTaxNumber: '',
                amountStart: null,
                amountEnd: null,
                invoiceType: null,
                taxAmountStart: null,
                taxAmountEnd: null,
                certificationStatus: null
            };
        };

        //从数据库中load数据
        var loadIncomeInvoiceItemDataFromDB = function (pageIndex) {
            initIncomeInvoiceItemPagination();

            $scope.curIncomeInvoiceItemPage = pageIndex;

            //初始化查询信息
            $scope.queryParams.pageInfo = {
                totalCount: $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount,
                pageIndex: pageIndex,
                pageSize: $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize,
                totalPage: 0,
            };



            vatPreviewService.queryInputInvoiceList($scope.queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                        v.amount = PWC.round(v.amount, 2);
                        v.taxAmount = PWC.round(v.taxAmount, 2);
                    });
                    $scope.gridOptions.data = data.list;
                    $scope.queryIncomeInvoiceItemResult.pageInfo = data.pageInfo;
                    computeIncomeInvoiceItemPage();
                }
            });
        };

        //点击任意一页加载数据事件
        var loadIncomeInvoiceDataByPage = function (pageIndex) {
            loadIncomeInvoiceItemDataFromDB(pageIndex);
        };

        //计算页数，创建分页栏
        var computeIncomeInvoiceItemPage = function () {

            if ($scope.queryIncomeInvoiceItemResult.pageInfo && $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount > 0) {

                var totalPage = parseInt($scope.queryIncomeInvoiceItemResult.pageInfo.totalCount / $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize);
                totalPage = $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount % $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize == 0 ? totalPage : totalPage + 1;

                //计算本页记录数
                if ($scope.queryIncomeInvoiceItemResult.pageInfo.pageIndex === totalPage) {
                    $scope.curPageItemCount = $scope.queryIncomeInvoiceItemResult.pageInfo.totalCount % $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize;
                }
                else {
                    $scope.curPageItemCount = $scope.queryIncomeInvoiceItemResult.pageInfo.pageSize;
                }

                $scope.queryIncomeInvoiceItemResult.pageInfo.totalPage = totalPage;

                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: totalPage,
                    current: $scope.curIncomeInvoiceItemPage,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        loadIncomeInvoiceDataByPage(p);
                    }
                });

                $('#totalInvoicePage').css('display', 'inline-block');
            } else {
                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: 0,
                    current: $scope.curIncomeInvoiceItemPage,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        loadIncomeInvoiceDataByPage(p);
                    }
                });

                //如果查询结果为0，则直接设置本页记录数为0
                $scope.curPageItemCount = 0;

                $('#totalInvoicePage').css('display', 'inline-block');
            }
        };

        //初始化分页信息
        var initIncomeInvoiceItemPagination = function () {
            $scope.queryIncomeInvoiceItemResult = {
                list: [],
                pageInfo: {
                    totalCount: -1,
                    pageIndex: 1,
                    pageSize: constant.pagesize,
                    totalPage: 0,
                }
            }

            $scope.curIncomeInvoiceItemPage = 1;
        };

        //将选择了的查询条件显示在grid上方
        var doDataFilter = function (removeData) {
            if ($scope.queryParams.periodStart > $scope.queryParams.periodEnd) {
                $scope.queryParams.periodEnd = $scope.queryParams.periodStart;
            }

            //设置需要去掉的查询条件的值为空
            if (!PWC.isNullOrEmpty(removeData)) {
                var removeItem = removeData.split("|");
                removeItem.forEach(function (v) {
                    $scope.queryParams[v] = null;

                    //如果去掉了发票代码的查询条件，则将查询条件设置为''，因为是字符串，设置为null会导致查询结果错误
                    if ($scope.queryParams.invoiceCode === null) {
                        $scope.queryParams.invoiceCode = '';
                    }
                    //如果去掉了发票号码的查询条件，则将查询条件设置为''，因为是字符串，设置为null会导致查询结果错误
                    if ($scope.queryParams.invoiceNumber === null) {
                        $scope.queryParams.invoiceNumber = '';
                    }
                    //如果去掉了供货方税号的查询条件，则将查询条件设置为''，因为是字符串，设置为null会导致查询结果错误
                    if ($scope.queryParams.sellerTaxNumber === null) {
                        $scope.queryParams.sellerTaxNumber = '';
                    }


                    if ($scope.queryParams.invoiceType === null) {
                        $scope.InvoiceType.selected = undefined;
                    }

                    if ($scope.queryParams.certificationStatus === null) {
                        $scope.CertificationStatus.selected = undefined;
                    }
                });
            }

            //设置发票类型和认证结果
            if ($scope.InvoiceType.selected !== undefined)
                $scope.queryParams.invoiceType = $scope.InvoiceType.selected.id;
            else
                $scope.queryParams.invoiceType = null;
            if ($scope.CertificationStatus.selected !== undefined)
                $scope.queryParams.certificationStatus = $scope.CertificationStatus.selected.id;
            else
                $scope.queryParams.certificationStatus = null;

            // 将查询条件加入到grid上方
            var crits = $scope.queryParams;

            //定义查询条件数组用于存放已选的查询条件
            $scope.criteriaList = [];

            var crit = [];

            //认证日期
            if (!PWC.isNullOrEmpty(crits.certificationDateStart) && !PWC.isNullOrEmpty(crits.certificationDateEnd)) {
                if (new Date(crits.certificationDateStart.replace(/[\.-]/g, '/')) > new Date(crits.certificationDateEnd.replace(/[\.-]/g, '/'))) {
                    $scope.criteriaList = [];
                    SweetAlert.warning($translate.instant('InvoiceDateQueryError'));
                    return;
                }
                crit = new Object;
                crit.name = $translate.instant('InvoiceRZRQQuery') + crits.certificationDateStart + "-" + crits.certificationDateEnd;;
                crit.fullName = $translate.instant('InvoiceRZRQQuery') + crits.certificationDateStart + "-" + crits.certificationDateEnd;
                crit.valueFrom = crits.certificationDateStart;
                crit.valueTo = crits.certificationDateEnd;
                crit.propertyName = "certificationDateStart|certificationDateEnd";

                $scope.criteriaList.push(crit);
            } else if (!PWC.isNullOrEmpty(crits.certificationDateStart) && PWC.isNullOrEmpty(crits.invoiceDateEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceRZRQQuery') + crits.certificationDateStart + $translate.instant('After');
                crit.fullName = $translate.instant('InvoiceRZRQQuery') + crits.certificationDateStart + $translate.instant('After');
                crit.valueFrom = crits.certificationDateStart;
                crit.valueTo = crits.certificationDateEnd;
                crit.propertyName = "certificationDateStart|certificationDateEnd";

                $scope.criteriaList.push(crit);
            }
            else if (PWC.isNullOrEmpty(crits.certificationDateStart) && !PWC.isNullOrEmpty(crits.certificationDateEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceRZRQQuery') + crits.certificationDateEnd + $translate.instant('Before');
                crit.fullName = $translate.instant('InvoiceRZRQQuery') + crits.certificationDateEnd + $translate.instant('Before');
                crit.valueFrom = crits.certificationDateStart;
                crit.valueTo = crits.certificationDateEnd;
                crit.propertyName = "certificationDateStart|certificationDateEnd";
                $scope.criteriaList.push(crit);
            }


            //发票代码
            if (!PWC.isNullOrEmpty(crits.invoiceCode)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceFPDMQuery') + PWC.limitString(crits.invoiceCode, 10);
                crit.fullName = $translate.instant('InvoiceFPDMQuery') + crits.invoiceCode;
                crit.valueFrom = crits.invoiceCode;
                crit.propertyName = "invoiceCode";

                $scope.criteriaList.push(crit);
            }

            //发票号码
            if (!PWC.isNullOrEmpty(crits.invoiceNumber)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceFPHMQuery') + PWC.limitString(crits.invoiceNumber, 10);
                crit.fullName = $translate.instant('InvoiceFPHMQuery') + crits.invoiceNumber;
                crit.valueFrom = crits.invoiceNumber;
                crit.propertyName = "invoiceNumber";

                $scope.criteriaList.push(crit);
            }

            //销方识别号
            if (!PWC.isNullOrEmpty(crits.sellerTaxNumber)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceGHFSHQuery') + PWC.limitString(crits.sellerTaxNumber, 10);
                crit.fullName = $translate.instant('InvoiceGHFSHQuery') + crits.sellerTaxNumber;
                crit.valueFrom = crits.sellerTaxNumber;
                crit.propertyName = "sellerTaxNumber";

                $scope.criteriaList.push(crit);
            }

            //金额
            if (!PWC.isNullOrEmpty(crits.amountStart) && !PWC.isNullOrEmpty(crits.amountEnd)) {
                if (Number(crits.amountStart) > Number(crits.amountEnd)) {
                    SweetAlert.warning($translate.instant('AmountQueryError'));
                    return;
                }
                crit = new Object;
                crit.name = $translate.instant('InvoiceJEQuery') + PWC.limitString(crits.amountStart, 5) + ' - ' + PWC.limitString(crits.amountEnd, 5);
                crit.fullName = $translate.instant('InvoiceJEQuery') + crits.amountStart + ' - ' + crits.amountEnd;
                crit.valueFrom = crits.amountStart;
                crit.valueTo = crits.amountEnd;
                crit.propertyName = "amountStart|amountEnd";
                $scope.criteriaList.push(crit);
            }
            else if (!PWC.isNullOrEmpty(crits.amountStart) && PWC.isNullOrEmpty(crits.amountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceJEQuery') + PWC.limitString(crits.amountStart, 5) + $translate.instant('MoreThan');
                crit.fullName = $translate.instant('InvoiceJEQuery') + crits.amountStart + $translate.instant('MoreThan');
                crit.valueFrom = crits.amountStart;
                crit.valueTo = crits.amountEnd;
                crit.propertyName = "amountStart|amountEnd";
                $scope.criteriaList.push(crit);
            }
            else if (PWC.isNullOrEmpty(crits.amountStart) && !PWC.isNullOrEmpty(crits.amountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceJEQuery') + PWC.limitString(crits.amountEnd, 5) + $translate.instant('LessThan');
                crit.fullName = $translate.instant('InvoiceJEQuery') + crits.amountEnd + $translate.instant('LessThan');
                crit.valueFrom = crits.amountStart;
                crit.valueTo = crits.amountEnd;
                crit.propertyName = "amountStart|amountEnd";
                $scope.criteriaList.push(crit);
            }


            //税额
            if (!PWC.isNullOrEmpty(crits.taxAmountStart) && !PWC.isNullOrEmpty(crits.taxAmountEnd)) {
                if (Number(crits.taxAmountStart) > Number(crits.taxAmountEnd)) {
                    SweetAlert.warning($translate.instant('TaxAmountQueryError'));
                    return;
                }
                crit = new Object;
                crit.name = $translate.instant('InvoiceSEQuery') + PWC.limitString(crits.taxAmountStart, 5) + ' - ' + PWC.limitString(crits.taxAmountEnd, 5);
                crit.fullName = $translate.instant('InvoiceSEQuery') + crits.taxAmountStart + ' - ' + crits.taxAmountEnd;
                crit.valueFrom = crits.taxAmountStart;
                crit.valueTo = crits.taxAmountEnd;
                crit.propertyName = "taxAmountStart|taxAmountEnd";

                $scope.criteriaList.push(crit);
            }
            else if (!PWC.isNullOrEmpty(crits.taxAmountStart) && PWC.isNullOrEmpty(crits.taxAmountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceSEQuery') + PWC.limitString(crits.taxAmountStart, 5) + $translate.instant('MoreThan');
                crit.fullName = $translate.instant('InvoiceSEQuery') + crits.taxAmountStart + $translate.instant('MoreThan');
                crit.valueFrom = crits.taxAmountStart;
                crit.valueTo = crits.taxAmountEnd;
                crit.propertyName = "taxAmountStart|taxAmountEnd";

                $scope.criteriaList.push(crit);
            }
            else if (PWC.isNullOrEmpty(crits.taxAmountStart) && !PWC.isNullOrEmpty(crits.taxAmountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceSEQuery') + PWC.limitString(crits.taxAmountEnd, 5) + $translate.instant('LessThan');
                crit.fullName = $translate.instant('InvoiceSEQuery') + crits.taxAmountEnd + $translate.instant('LessThan');
                crit.valueFrom = crits.taxAmountStart;
                crit.valueTo = crits.taxAmountEnd;
                crit.propertyName = "taxAmountStart|taxAmountEnd";

                $scope.criteriaList.push(crit);
            }

            //发票类型
            if (!PWC.isNullOrEmpty(crits.invoiceType)) {
                crit = new Object;
                crit.valueFrom = _.find($scope.invoiceTypeList, function (v) {
                    return v.id === crits.invoiceType;
                }).name;

                crit.name = $translate.instant('InvoiceFPLXQuery') + crit.valueFrom;
                crit.fullName = $translate.instant('InvoiceFPLXQuery') + crit.valueFrom;
                crit.propertyName = "invoiceType";

                $scope.criteriaList.push(crit);
            }

            //认证结果
            if (!PWC.isNullOrEmpty(crits.certificationStatus)) {
                crit = new Object;
                crit.valueFrom = _.find($scope.cetificationResultList, function (v) {
                    return v.id === crits.certificationStatus;
                }).name;
                crit.name = $translate.instant('InvoiceRZJGQuery') + crit.valueFrom;
                crit.fullName = $translate.instant('InvoiceRZJGQuery') + crit.valueFrom;
                crit.propertyName = "certificationStatus";

                $scope.criteriaList.push(crit);
            }

            // add to Criteria List for display on top of the grid:
            //********************************************************************************

            var criteria = JSON.stringify($scope.queryParams);
            if (browserService.isIE() || browserService.isEdge())
                criteria = encodeURIComponent(criteria);

            loadIncomeInvoiceItemDataFromDB(1);
            if ($scope.criteriaList.length > 6) {
                $scope.criteriaListFirstRow = $scope.criteriaList.slice(0, 6);
                $scope.criteriaListSecondRow = $scope.criteriaList.slice(6, $scope.criteriaList.length);
            }
            else {
                $scope.criteriaListFirstRow = $scope.criteriaList.slice(0, $scope.criteriaList.length);
            }
            $('.filter-button').popover("hide");
        };

        //去掉所有的查询条件，重新load数据
        var doDataFilterReset = function () {
            $scope.queryParams = {
                pageInfo: {},
                periodStart: '',
                periodEnd: '',
                certificationDateStart: null,
                certificationDateEnd: null,
                invoiceCode: '',
                invoiceNumber: '',
                sellerTaxNumber: '',
                amountStart: null,
                amountEnd: null,
                invoiceType: null,
                taxAmountStart: null,
                taxAmountEnd: null,
                certificationStatus: null
            };
            $scope.criteriaList = [];
            $scope.queryParams.periodStart = $scope.startMonth;
            $scope.queryParams.periodEnd = $scope.endMonth;
            loadIncomeInvoiceItemDataFromDB(1);
            $('.filter-button').popover("hide");
        };

        var prepareSummary = function () {
            // do something before show popover
        };

        //在popover打开时执行事件
        var showPopover = function () {
            $timeout(function () {
                initDatePickers();
            }, 500);
        };

        //初始化时间控件
        var initDatePickers = function () {
            //认证开始时间
            var ele1 = $("#certificationDateStart");
            ele1.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: true,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            });
            ele1.datepicker("setDate", $scope.queryParams.certificationDateStart);
            //认证结束时间
            var ele2 = $("#certificationDateEnd");
            ele2.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: true,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            })
            ele2.datepicker("setDate", $scope.queryParams.certificationDateEnd);


            //初始化已选择的发票类型和认证结果
            $scope.InvoiceType.selected = _.find($scope.invoiceTypeList, function (v) {
                return v.id == $scope.queryParams.invoiceType;
            })

            $scope.CertificationStatus.selected = _.find($scope.cetificationResultList, function (v) {
                return v.id == $scope.queryParams.certificationStatus;
            })
        };

        //发票类型转换
        $scope.typeToString = function (strType) {
            var type = invoiceTypeEnum.VATInvoice;
            switch (strType) {
                case 1:
                    type = invoiceTypeEnum.VATInvoice;
                    break;
                case 2:
                    type = invoiceTypeEnum.FreightTransport;
                    break;
                case 3:
                    type = invoiceTypeEnum.MotorVehicle;
                    break;
                case 4:
                    type = invoiceTypeEnum.AgriculturalProduct;
                    break;
                default:
                    type = "";
            }
            return type;
        };

        //导出进项发票数据
        var downloadInputInvoice = function () {
            vatPreviewService.getExportInputInvoiceList($scope.queryParams).success(function (data, status, headers) {
                if(status===204){
                    SweetAlert.warning("没有数据可以下载");
                    return;
                }
                vatExportService.exportToExcel(data, status, headers, '进项发票信息.xlsx');
            });
        };


        (function initialize() {
            $log.debug('VatPreviewInputInvoiceController.ctor()...');
            $('#input-invoice-period-picker').focus(function () {
                $('.filter-button').popover("hide");
            });
            //初始化month-picker
            $('#input-invoice-period-picker').rangePicker({
                minDate: minDate,
                maxDate: maxDate,
                setDate: setDate,
                months: $scope.monthList,//['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'],
                ConfirmBtnText: $translate.instant('Confirm'),
                CancelBtnText: $translate.instant('ButtonCancel')
            })
             .on('datePicker.done', function (e, result) {
                 //开始月份
                 var startMonth = result[0][0];
                 //结束月份
                 var endMonth = result[1][0];
                 $scope.startMonth = startMonth;
                 $scope.endMonth = endMonth;

                 $scope.queryParams.periodStart = startMonth;
                 $scope.queryParams.periodEnd = endMonth;

                 loadIncomeInvoiceItemDataFromDB(1);
             });


            $scope.gridOptions = {
                rowHeight: constant.UIGrid.rowHeight,
                selectionRowHeaderWidth: constant.UIGrid.rowHeight,
                expandableRowTemplate: '<div ui-grid="row.entity.subGridOptions" style="height:150px;"></div>',
                virtualizationThreshold: 50,//默认加载50条数据，避免在数据展示时，只显示前面4条
                enableSorting: false,
                enableColumnMenus: false,
                columnDefs: [
                 { name: $translate.instant('ImportErrorPopUpNoCol'), width: '7%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>' },
                 { name: $translate.instant('InvoiceQJ'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.periodID}}<span></div>' },
                 { name: $translate.instant('InvoiceKPRQ'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.kprq | date:"yyyy-MM-dd"}}<span></div>' },
                 { name: $translate.instant('InvoiceFPDM'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span title="{{row.entity.fpdm}}">{{row.entity.fpdm}}</span></div>' },
                 { name: $translate.instant('InvoiceFPHM'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span title="{{row.entity.fphm}}">{{row.entity.fphm}}</span></div>' },
                 { name: $translate.instant('InvoiceGHFSH'), width: '12%', cellTemplate: '<div class="ui-grid-cell-contents"><span title="{{row.entity.xfsh}}">{{row.entity.xfsh}}</span></div>' },
                 { name: $translate.instant('InvoiceFPLX'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span title="{{row.entity.fplx}}">{{grid.appScope.typeToString(row.entity.fplx)}}</span></div>' },
                 { name: $translate.instant('InvoiceJE'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.hjje}}</span></div>' },
                 { name: $translate.instant('InvoiceSE'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.hjse}}</span></div>' },
                 { name: $translate.instant('InvoiceRZRQ'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.rzsj  | date:"yyyy-MM-dd"}}</span></div>' },
                 { name: $translate.instant('InvoiceRZJG'), width: '10.5%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.certificationResult}}</span></div>' }
                ],
                onRegisterApi: function (gridApi) {
                    $scope.gridApi = gridApi;

                    //定义子table属性
                    gridApi.expandable.on.rowExpandedStateChanged($scope, function (row) {
                        if (row.isExpanded) {
                            row.entity.subGridOptions = {
                                rowHeight: constant.UIGrid.rowHeight,
                                selectionRowHeaderWidth: constant.UIGrid.rowHeight,
                                virtualizationThreshold: 50,//默认加载50条数据，避免在数据展示时，只显示前面4条
                                enableSorting: false,
                                enableColumnMenus: false,
                                columnDefs: [
                                { name: $translate.instant('ImportErrorPopUpNoCol'), width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>' },
                                { name: $translate.instant('InvoiceHWMC'), width: '23%', cellTemplate: '<div class="ui-grid-cell-contents"><span title="{{row.entity.spmc}}">{{row.entity.spmc}}<span></div>' },
                                { name: $translate.instant('InvoiceJE'), width: '23%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.je}}<span></div>' },
                                { name: $translate.instant('InvoiceSL'), width: '23%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.slv}}%<span></div>' },
                                { name: $translate.instant('InvoiceSE'), width: '23%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.se}}<span></div>' }
                                ]
                            };

                            //获取子table数据
                            vatPreviewService.queryInputInvoiceItemList(row.entity.id).success(function (data) {
                                if (data) {
                                    var index = 1;
                                    data.forEach(function (v) {
                                        v.index = index++;
                                        v.je = PWC.round(v.je, 2);
                                        v.se = PWC.round(v.se, 2);
                                    });
                                    row.entity.subGridOptions.data = data;
                                }
                            });
                        }
                    });

                    $interval(function () {
                        $scope.gridApi.core.handleWindowResize();
                    }, 500, 60 * 60 * 8);
                }
            };

            $scope.doDataFilter = doDataFilter;
            $scope.doDataFilterReset = doDataFilterReset;
            $scope.prepareSummary = prepareSummary;
            $scope.showPopover = showPopover;
            $scope.downloadInputInvoice = downloadInputInvoice;

            initPeriods();
            initIncomeInvoiceItemPagination();
            //初始化查询条件-期间范围
            $scope.queryParams.periodStart = vatSessionService.month;
            $scope.queryParams.periodEnd = vatSessionService.month;
            loadIncomeInvoiceItemDataFromDB(1);

        })();
    }
]);





vatModule.directive('vatPreviewInputInvoice', ['$log', 'browserService', '$translate', 'region', '$timeout',
    function ($log, browserService, $translate, region, $timeout) {
        $log.debug('vatPreviewInputInvoice.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/preview/vat-preview-input-invoice/vat-preview-input-invoice.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'VatPreviewInputInvoiceController',
            link: function ($scope, element) {

            }
        }
    }
]);
vatModule.controller('vatPreviewOutputInvoiceController', ['$scope', '$log', '$translate', '$timeout', 'SweetAlert', '$q', 'uiGridConstants', '$interval', 'vatPreviewService', 'vatSessionService', 'browserService', 'enums','region','vatExportService',
    function ($scope, $log, $translate, $timeout, SweetAlert, $q, uiGridConstants, $interval, vatPreviewService, vatSessionService, browserService, enums, region, vatExportService) {
        'use strict';

        $scope.startDate = new Date(vatSessionService.project.year, 0, 1);
        $scope.endDate = new Date(vatSessionService.project.year, 11, 31);
        $scope.dateFormat = $translate.instant('dateFormat4YearMonthDay');
        $scope.curPageItemCount = 0;
        var startMonth = vatSessionService.month;
        var endMonth = vatSessionService.month;
        var minDate = [1, vatSessionService.project.year];
        var maxDate = [12, vatSessionService.project.year];
        var setDate = [
            [vatSessionService.month, vatSessionService.project.year],
            [vatSessionService.month, vatSessionService.project.year]];
        //发票类型
       var invoiceTypeEnum = {
                   Normal: $translate.instant('Normal'),
                   Special:  $translate.instant('Special'),
                   ElectronicReceipt: '电子发票'
               };
        //区间
        $scope.monthList = [$translate.instant('Month01'),
                      $translate.instant('Month02'),
                      $translate.instant('Month03'),
                      $translate.instant('Month04'),
                      $translate.instant('Month05'),
                      $translate.instant('Month06'),
                      $translate.instant('Month07'),
                      $translate.instant('Month08'),
                      $translate.instant('Month09'),
                      $translate.instant('Month10'),
                      $translate.instant('Month11'),
                      $translate.instant('Month12')
        ];
        //发票类型
        $scope.invoiceTypeList = [
            { id: 999, name: $translate.instant('AllTheItems') },
            { id: enums.outputInvoiceType.Normal, name: $translate.instant('Normal') },
            { id: enums.outputInvoiceType.Special, name: $translate.instant('Special') },
        ];

        $scope.PeriodStart = {};
        $scope.PeriodEnd = {};
        $scope.InvoiceType = {};

        //初始化期间
        var initPeriods = function () {
            $scope.queryParams = {
                pageInfo: {},
                periodStart: '',
                periodEnd: '',
                invoiceDateStart: null,
                invoiceDateEnd: null,
                classCode: '',
                invoiceNumber: '',
                buyerName: '',
                productName:'',
                amountStart: null,
                amountEnd: null,
                invoiceType: null,
                taxAmountStart: null,
                taxAmountEnd: null
            };
            $scope.queryParams.periodStart = vatSessionService.month;
            $scope.queryParams.periodEnd = vatSessionService.month;
        };

        //从数据库中load数据
        var loadOutputInvoiceDataFromDB = function (pageIndex) {
            initOutputInvoicePagination();

            $scope.curOutputInvoiceItemPage = pageIndex;
            //初始化查询信息
            $scope.queryParams.pageInfo = {
                totalCount: $scope.queryOutputInvoiceResult.pageInfo.totalCount,
                pageIndex: pageIndex,
                pageSize: $scope.queryOutputInvoiceResult.pageInfo.pageSize,
                totalPage: 0,
            }

            vatPreviewService.queryOutputInvoiceList($scope.queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                        v.amount = PWC.round(v.amount, 2);
                        v.taxAmount = PWC.round(v.taxAmount, 2);
                    });
                    $scope.gridOptions.data = data.list;
                    $scope.queryOutputInvoiceResult.pageInfo = data.pageInfo;
                    computeOutputInvoiceItemPage();
                }
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }

        //点击任意一页加载数据事件
        var loadOutputInvoiceDataByPage = function (pageIndex) {
            loadOutputInvoiceDataFromDB(pageIndex);
        };

        //计算页数，创建分页栏
        var computeOutputInvoiceItemPage = function () {

            if ($scope.queryOutputInvoiceResult.pageInfo && $scope.queryOutputInvoiceResult.pageInfo.totalCount > 0) {

                var totalPage = parseInt($scope.queryOutputInvoiceResult.pageInfo.totalCount / $scope.queryOutputInvoiceResult.pageInfo.pageSize);
                totalPage = $scope.queryOutputInvoiceResult.pageInfo.totalCount % $scope.queryOutputInvoiceResult.pageInfo.pageSize == 0 ? totalPage : totalPage + 1;

                if ($scope.queryOutputInvoiceResult.pageInfo.pageIndex === totalPage) {
                    $scope.curPageItemCount = $scope.queryOutputInvoiceResult.pageInfo.totalCount % $scope.queryOutputInvoiceResult.pageInfo.pageSize;
                }
                else {
                    $scope.curPageItemCount = $scope.queryOutputInvoiceResult.pageInfo.pageSize;
                }

                $scope.queryOutputInvoiceResult.pageInfo.totalPage = totalPage;

                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: totalPage,
                    current: $scope.curOutputInvoiceItemPage,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        loadOutputInvoiceDataByPage(p);
                    }
                });

                $('#totalInvoicePage').css('display', 'inline-block');
            } else {
                var createPage = $("#totalInvoicePage").createPage({
                    pageCount: 0,
                    current: $scope.curOutputInvoiceItemPage,
                    backFn: function (p) {
                        //单击回调方法，p是当前页码
                        loadOutputInvoiceDataByPage(p);
                    }
                });
                $scope.curPageItemCount = 0;
                $('#totalInvoicePage').css('display', 'inline-block');
            }
        };


        //初始化分页信息
        var initOutputInvoicePagination = function () {
            $scope.queryOutputInvoiceResult = {
                list: [],
                pageInfo: {
                    totalCount: 0,
                    pageIndex: 1,
                    pageSize: 100,
                    totalPage: 0,
                }
            }
            $scope.curOutputInvoiceItemPage = 1;
        };

        //发票类型转换
         $scope.typeToString = function (strType) {
            var type = invoiceTypeEnum.Normal;
            switch (strType) {
                case '007':
                    type = invoiceTypeEnum.Normal;
                    break;
                case '004':
                    type = invoiceTypeEnum.Special;
                    break;
                case '026':
                    type = invoiceTypeEnum.ElectronicReceipt;
                    break;
                default:
                    type = "";
            }
            return type;
        }

        //将选择了的查询条件显示在grid上方
        var doDataFilter = function (removeData) {

            //设置起止期间
            if ($scope.queryParams.periodStart > $scope.queryParams.periodEnd) {
                $scope.queryParams.periodEnd = $scope.queryParams.periodStart;
            }

            //设置需要去掉的查询条件的值为空
            if (!PWC.isNullOrEmpty(removeData)) {
                var removeItem = removeData.split("|");
                removeItem.forEach(function (v) {
                    $scope.queryParams[v] = null;

                    if ($scope.queryParams.invoiceType === null) {
                        $scope.InvoiceType.selected = undefined;
                    }
                });
            }

            //设置发票类型和认证结果
            if ($scope.InvoiceType.selected !== undefined)
                $scope.queryParams.invoiceType = $scope.InvoiceType.selected.id;
            else
                $scope.queryParams.invoiceType = null;

            // 将查询条件加入到grid上方
            var crits = $scope.queryParams;
            //定义查询条件数组用于存放已选的查询条件
            $scope.criteriaList = [];

            var crit = [];

            //日期
            if (!PWC.isNullOrEmpty(crits.invoiceDateStart) && !PWC.isNullOrEmpty(crits.invoiceDateEnd)) {
                if (new Date(crits.invoiceDateStart.replace(/[\.-]/g, '/')) > new Date(crits.invoiceDateEnd.replace(/[\.-]/g, '/'))) {
                    $scope.criteriaList = [];
                    SweetAlert.warning($translate.instant('InvoiceDateQueryError'));
                    return;
                }
                crit = new Object;
                crit.name = $translate.instant('InvoiceDate')+":" + crits.invoiceDateStart + "-" + crits.invoiceDateEnd;
                crit.valueFrom = crits.invoiceDateStart;
                crit.valueTo = crits.invoiceDateEnd;
                crit.propertyName = "invoiceDateStart|invoiceDateEnd";

                $scope.criteriaList.push(crit);
            }
            else if (!PWC.isNullOrEmpty(crits.invoiceDateStart) && PWC.isNullOrEmpty(crits.invoiceDateEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceDate') + ":" + crits.invoiceDateStart + $translate.instant('After');
                crit.valueFrom = crits.invoiceDateStart;
                crit.valueTo = crits.invoiceDateEnd;
                crit.propertyName = "invoiceDateStart|invoiceDateEnd";

                $scope.criteriaList.push(crit);
            }
            else if (PWC.isNullOrEmpty(crits.invoiceDateStart) && !PWC.isNullOrEmpty(crits.invoiceDateEnd)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceDate') + ":" + crits.invoiceDateEnd + $translate.instant('Before');
                crit.valueFrom = crits.invoiceDateStart;
                crit.valueTo = crits.invoiceDateEnd;
                crit.propertyName = "invoiceDateStart|invoiceDateEnd";
                $scope.criteriaList.push(crit);
            }

            //发票代码
            if (!PWC.isNullOrEmpty(crits.classCode)) {
                crit = new Object;
                crit.name = $translate.instant('ClassCode') + ":" + PWC.limitString(crits.classCode, 10);
                crit.valueFrom = crits.classCode;
                crit.propertyName = "classCode";

                $scope.criteriaList.push(crit);
            }

            //发票号码
            if (!PWC.isNullOrEmpty(crits.invoiceNumber)) {
                crit = new Object;
                crit.name = $translate.instant('InvoiceNumber') + ":" + PWC.limitString(crits.invoiceNumber, 10);
                crit.valueFrom = crits.invoiceNumber;
                crit.propertyName = "invoiceNumber";

                $scope.criteriaList.push(crit);
            }

            //购方名称
            if (!PWC.isNullOrEmpty(crits.buyerName)) {
                crit = new Object;
                crit.name = $translate.instant('BuyerName') + ":" + PWC.limitString(crits.buyerName, 10);
                crit.valueFrom = crits.buyerName;
                crit.propertyName = "buyerName";

                $scope.criteriaList.push(crit);
            }

            //产品名称
            if (!PWC.isNullOrEmpty(crits.productName)) {
                crit = new Object;
                crit.name = $translate.instant('ProductName') + ":" + PWC.limitString(crits.productName, 10);
                crit.valueFrom = crits.productName;
                crit.propertyName = "productName";

                $scope.criteriaList.push(crit);
            }

            //发票类型
            if (!PWC.isNullOrEmpty(crits.invoiceType)) {
                crit = new Object;
                crit.valueFrom = _.find($scope.invoiceTypeList, function (v) {
                    return v.id === crits.invoiceType;
                }).name;
                crit.name = $translate.instant('InvoiceType') + ":" + crit.valueFrom;
                crit.propertyName = "invoiceType";

                $scope.criteriaList.push(crit);
            }

            //金额
            if (!PWC.isNullOrEmpty(crits.amountStart) && !PWC.isNullOrEmpty(crits.amountEnd)) {
                if (Number(crits.amountStart) > Number(crits.amountEnd)) {
                    $scope.criteriaList = [];
                    SweetAlert.warning($translate.instant('AmountQueryError'));
                    return;
                }
                crit = new Object;
                crit.name = $translate.instant('Amount') + ":" + PWC.limitString(crits.amountStart, 5) + "-" + PWC.limitString(crits.amountEnd, 5);
                crit.valueFrom = crits.amountStart;
                crit.valueTo = crits.amountEnd;
                crit.propertyName = "amountStart|amountEnd";

                $scope.criteriaList.push(crit);
            }
            else if (!PWC.isNullOrEmpty(crits.amountStart) && PWC.isNullOrEmpty(crits.amountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('Amount') + ":" + PWC.limitString(crits.amountStart, 5) + $translate.instant('MoreThan');
                crit.valueFrom = crits.amountStart;
                crit.valueTo = crits.amountEnd;
                crit.propertyName = "amountStart|amountEnd";

                $scope.criteriaList.push(crit);
            }
            else if (PWC.isNullOrEmpty(crits.amountStart) && !PWC.isNullOrEmpty(crits.amountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('Amount') + ":" + PWC.limitString(crits.amountEnd, 5) + $translate.instant('LessThan');
                crit.valueFrom = crits.amountStart;
                crit.valueTo = crits.amountEnd;
                crit.propertyName = "amountStart|amountEnd";

                $scope.criteriaList.push(crit);
            }

            //税额
            if (!PWC.isNullOrEmpty(crits.taxAmountStart) && !PWC.isNullOrEmpty(crits.taxAmountEnd)) {
                if (Number(crits.taxAmountStart) > Number(crits.taxAmountEnd)) {
                    $scope.criteriaList = [];
                    SweetAlert.warning($translate.instant('TaxAmountQueryError'));
                    return;
                }
                crit = new Object;
                crit.name = $translate.instant('TaxAmount') + ":" + PWC.limitString(crits.taxAmountStart, 5) + "-" + PWC.limitString(crits.taxAmountEnd, 5);
                crit.valueFrom = crits.taxAmountStart;
                crit.valueTo = crits.taxAmountEnd;
                crit.propertyName = "taxAmountStart|taxAmountEnd";

                $scope.criteriaList.push(crit);
            }
            else if (!PWC.isNullOrEmpty(crits.taxAmountStart) && PWC.isNullOrEmpty(crits.taxAmountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('TaxAmount') + ":" + PWC.limitString(crits.taxAmountStart, 5) + $translate.instant('MoreThan');
                crit.valueFrom = crits.taxAmountStart;
                crit.valueTo = crits.taxAmountEnd;
                crit.propertyName = "taxAmountStart|taxAmountEnd";

                $scope.criteriaList.push(crit);
            }
            else if (!PWC.isNullOrEmpty(crits.taxAmountStart) && PWC.isNullOrEmpty(crits.taxAmountEnd)) {
                crit = new Object;
                crit.name = $translate.instant('TaxAmount') + ":" + PWC.limitString(crits.taxAmountEnd, 5) + $translate.instant('LessThan');
                crit.valueFrom = crits.taxAmountStart;
                crit.valueTo = crits.taxAmountEnd;
                crit.propertyName = "taxAmountStart|taxAmountEnd";

                $scope.criteriaList.push(crit);
            }

            // add to Criteria List for display on top of the grid:
            //********************************************************************************
            var criteria = JSON.stringify($scope.queryParams);
            if (browserService.isIE() || browserService.isEdge())
                criteria = encodeURIComponent(criteria);

            loadOutputInvoiceDataFromDB(1);
            $('.filter-button').popover("hide");
        };

        //去掉所有的查询条件，重新load数据
        var doDataFilterReset = function () {
            $scope.queryParams = {
                pageInfo: {},
                periodStart: '',
                periodEnd: '',
                invoiceDateStart: null,
                invoiceDateEnd: null,
                classCode: '',
                invoiceNumber: '',
                buyerName: '',
                productName: '',
                amountStart: null,
                amountEnd: null,
                invoiceType: null,
                taxAmountStart: null,
                taxAmountEnd: null
            };
            $scope.criteriaList = [];
            $scope.queryParams.periodStart = startMonth;
            $scope.queryParams.periodEnd = endMonth;
            loadOutputInvoiceDataFromDB(1);
            $('.filter-button').popover("hide");
        };

        //在popover打开时执行事件
        var showPopover = function () {
            $timeout(function () {
                initDatePickers();
            }, 500);
        };

        //初始化时间控件
        var initDatePickers = function () {
            //开票开始时间
            var ele1 = $("#invoiceDateStart");
            ele1.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: true,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            });
            ele1.datepicker("setDate", $scope.queryParams.invoiceDateStart);
            //开票结束时间
            var ele2 = $("#invoiceDateEnd");
            ele2.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: true,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            })
            ele2.datepicker("setDate", $scope.queryParams.invoiceDateEnd);


            //初始化已选择的发票类型和认证结果
            $scope.InvoiceType.selected = _.find($scope.invoiceTypeList, function (v) {
                return v.id == $scope.queryParams.invoiceType;
            })
        };

        //转换百分比
        $scope.decimalToPercent = function (data) {
            return (data * 100).toFixed(0) + "%";
        }

        //导出
        var doExport = function ()
        {
            vatPreviewService.getExportOutputInvoiceList($scope.queryParams).success(function (data, status, headers) {
                if(status===204){
                    SweetAlert.warning("没有数据可以下载");
                    return;
                }
                vatExportService.exportToExcel(data, status, headers, '销项发票信息.xlsx');
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }

        //$scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
        //    export_table_to_excel('exportTable', 'OutputInvoice', 'xlsx', '');
        //});

        $scope.gridOptionsColumnDefs = [
            {
                name: $translate.instant('ImportErrorPopUpNoCol'), width: '5%',
                cellTemplate: '<div class="ui-grid-cell-contents" ><span>{{row.entity.index}}<span></div>'
            },
              {
                  name: $translate.instant('PeriodId'), width: '5%',
                  cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.periodID}}"><span>{{row.entity.periodID}}<span></div>'
              },
               {
                   name: $translate.instant('InvoiceDate'), width: '10%',
                   cellTemplate: '<div class="ui-grid-cell-contents" ><span>{{row.entity.kprq | date:"yyyy-MM-dd"}}</span></div>'
               },
                 {
                     name: $translate.instant('InvoiceType'), width: '10%',
                     cellTemplate: '<div class="ui-grid-cell-contents" title="{{grid.appScope.typeToString(row.entity.fplxdm)}}"><span>{{grid.appScope.typeToString(row.entity.fplxdm)}}<span></div>'
                 },
              {
                  name: $translate.instant('ClassCode'), width: '10%',
                  cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.fpdm}}"><span>{{row.entity.fpdm}}<span></div>'
              },
              {
                  name: $translate.instant('InvoiceNumber'), width: '10%',
                  cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.fphm}}"><span>{{row.entity.fphm}}</span></div>'
              },
              {
                  name: $translate.instant('BuyerName'), width: '15%',
                  cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.gfmc}}"><span>{{row.entity.gfmc}}</span></div>'
              },
              {
                  name: $translate.instant('BuyerTaxNumber'), width: '15%',
                  cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.gfsh}}"><span>{{row.entity.gfsh}}</span></div>'
              },
              //{
              //    name: $translate.instant('BankAccount'), width: '10%',
              //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.bankAccount}}"><span>{{row.entity.bankAccount}}</span></div>'
              //},
              //{
              //    name: $translate.instant('PhoneNum'), width: '8%',
              //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.phoneNum}}"><span>{{row.entity.phoneNum}}</span></div>'
              //},
           {
               name: $translate.instant('Amount'), width: '8%', headerCellClass: 'right',
               cellTemplate: '<div class="ui-grid-cell-contents right" title="{{row.entity.hjje}}"><span>{{row.entity.hjje}}</span></div>'
           },
            {
                name: $translate.instant('TaxAmount'), width: '8%', headerCellClass: 'right',
                cellTemplate: '<div class="ui-grid-cell-contents right"  title="{{row.entity.hjse}}"><span>{{row.entity.hjse}}</span></div>'
            }
        ];

        $scope.subGridOptionsColumnDefs = [
                {
                    name: $translate.instant('ImportErrorPopUpNoCol'), width: '5%',
                    cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.seqNo}}</span></div>'
                },
                {
                    name: $translate.instant('ProductName'),
                    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.spmc}}"><span>{{row.entity.spmc}}</span></div>'
                },
                {
                    name: $translate.instant('Quantity'),   headerCellClass: 'right',
                    cellTemplate: '<div class="ui-grid-cell-contents right" title="{{row.entity.sl}}"><span>{{row.entity.sl}}</span></div>'
                },
                {
                    name: $translate.instant('UnitPrice'),   headerCellClass: 'right',
                    cellTemplate: '<div class="ui-grid-cell-contents right" title="{{row.entity.dj}}"><span>{{row.entity.dj}}</span></div>'
                },
                {
                    name: $translate.instant('Amount'),   headerCellClass: 'right',
                    cellTemplate: '<div class="ui-grid-cell-contents right" title="{{row.entity.je}}"><span>{{row.entity.je}}</span></div>'
                },
                {
                    name: $translate.instant('TaxRate'),  headerCellClass: 'right',
                    cellTemplate: '<div class="ui-grid-cell-contents right" title="{{row.entity.slv}}"><span>{{row.entity.slv + "%"}}</span></div>'
                },
                {
                    name: $translate.instant('TaxAmount'),  headerCellClass: 'right',
                    cellTemplate: '<div class="ui-grid-cell-contents right" title="{{row.entity.se}}"><span>{{row.entity.se}}</span></div>'
                },
             //{
             //    name: $translate.instant('CodeVersion'), width: '8%',
             //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.codeVersion}}"><span>{{row.entity.codeVersion}}</span></div>'
             //},
             //{
             //    name: $translate.instant('DocumentNum'), width: '8%',
             //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.documentNum}}"><span>{{row.entity.documentNum}}</span></div>'
             //},

             //{
             //    name: $translate.instant('ProductStandar'), width: '8%',
             //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.productStandard}}"><span>{{row.entity.productStandard}}</span></div>'
             //},
             //{
             //    name: $translate.instant('Unit'), width: '8%',
             //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.unit}}"><span>{{row.entity.unit}}</span></div>'
             //},
             //{
             //    name: $translate.instant('TaxClassCode'), width: '15%',
             //    cellTemplate: '<div class="ui-grid-cell-contents" title="{{row.entity.taxClassCode}}"><span>{{row.entity.taxClassCode}}</span></div>'
             //}
        ];

        (function initialize() {
            $log.debug('vatPreviewOutputInvoiceController.ctor()...');
            $scope.periodId = vatSessionService.month;

            //初始化month-picker
            $('#output-invoice-period-picker').rangePicker({
                minDate: minDate,
                maxDate: maxDate,
                setDate: setDate,
                months: $scope.monthList,
                ConfirmBtnText: $translate.instant('Confirm'),
                CancelBtnText: $translate.instant('ButtonCancel')
            })
             .on('datePicker.done', function (e, result) {
                 //开始月份
                 startMonth = result[0][0];
                 //结束月份
                 endMonth = result[1][0];
                 $scope.queryParams.periodStart = startMonth;
                 $scope.queryParams.periodEnd = endMonth;

                 loadOutputInvoiceDataFromDB(1);
             });

            $scope.gridOptions = {
                rowHeight: constant.UIGrid.rowHeight,
                selectionRowHeaderWidth: constant.UIGrid.rowHeight,
                expandableRowTemplate: '<div ui-grid="row.entity.subGridOptions" style="height:150px;"></div>',
                virtualizationThreshold: 50,//默认加载50条数据，避免在数据展示时，只显示前面4条
                enableSorting: false,
                enableColumnMenus: false,
                columnDefs: $scope.gridOptionsColumnDefs,

                onRegisterApi: function (gridApi) {
                    $scope.gridApi = gridApi;

                    //定义子table属性
                    gridApi.expandable.on.rowExpandedStateChanged($scope, function (row) {
                        if (row.isExpanded) {
                            row.entity.subGridOptions = {
                                rowHeight: constant.UIGrid.rowHeight,
                                selectionRowHeaderWidth: constant.UIGrid.rowHeight,
                                virtualizationThreshold: 50,//默认加载50条数据，避免在数据展示时，只显示前面4条
                                enableSorting: false,
                                enableColumnMenus: false,
                                columnDefs: $scope.subGridOptionsColumnDefs,
                            };
                            //获取子table数据
                            vatPreviewService.queryOutputInvoiceItemList(row.entity.id).success(function (data) {
                                if (data) {
                                    data.forEach(function (v) {
                                        v.dj = PWC.round(v.dj, 2);
                                        v.je = PWC.round(v.je, 2);
                                        v.slv = PWC.round(v.slv, 2);
                                        v.se = PWC.round(v.se, 2);
                                    });
                                    row.entity.subGridOptions.data = data;
                                }
                            });
                        }
                    });

                    $interval(function () {
                        $scope.gridApi.core.handleWindowResize();
                    }, 500, 60 * 60 * 8);
                }
            };
            $scope.doDataFilter = doDataFilter;
            $scope.doDataFilterReset = doDataFilterReset;
            $scope.doExport = doExport;
            $scope.showPopover = showPopover;
            initPeriods();
            initOutputInvoicePagination();
            loadOutputInvoiceDataFromDB(1);
        })();
    }
]);
vatModule.directive('vatPreviewOutputInvoice', ['$log',
    function ($log) {
        'use strict';
        $log.debug('vatImportOutputInvoice.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/preview/vat-preview-output-invoice/vat-preview-output-invoice.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'vatPreviewOutputInvoiceController',
            link: function (scope, element) {

            }
        };
    }
]);
vatModule.controller('vatAccountMappingController', ['$scope', '$log', '$timeout',
    '$q', '$translate', '$interval', 'loginContext', 'apiInterceptor', 'SweetAlert',
    'vatReductionService', 'vatSessionService', 'uiGridConstants', 'enums',
    'i18nService', 'BSPLService', 'vatCommonService', '$uibModal', 'commonWebService', 'vatOperationLogService',
    'vatImportService',
function ($scope, $log, $timeout, $q, $translate, $interval, loginContext, apiInterceptor,
    SweetAlert, vatReductionService, vatSessionService, uiGridConstants, enums,
    i18nService, BSPLService, vatCommonService, $uibModal, commonWebService, vatOperationLogService, vatImportService) {
    'use strict';
    $log.debug('vatAccountMappingController.ctor()...');
    var period = vatSessionService.month; //period < 0 覆盖导入时会删除所有数据
    var projectRuleId = 2; //todo: 应该在vatSessionService.project中获取
    var projectId = vatSessionService.project.id;
    var selectedRemapType = -1;
    //写日志
    var comment = vatSessionService.project.name + " " + vatSessionService.project.year + "年" + vatSessionService.month + "月";
    $scope.moduleid = enums.vatModuleEnum.Import_AccountMapping;
    $scope.periodId = vatSessionService.month;
    var logDto = {
        ID: '',
        OperationName: '',
        ModuleID: $scope.moduleid,
        OperationObject: '',
        OperationType: '',
        OperationContent: '',
        OriginalState: '',
        UpdateState: '',
        CreatorID: vatSessionService.logUser.ID,
        Comment: comment,
        IP: '',
        Period: $scope.periodId,
    };

    var stdDto = {
        id: '',
        acctProp: '',
        code: '',
        direction: '',
        fullName: '',
        hasChildren: false,
        name: '',
        parent: ''
    };

    //添加企业科目过滤下拉列表
    var InitFilterAccount = function () {
        var data = constant.espAccountFilter.data;
        data.forEach(function (row) {
            row.value = $translate.instant(row.value);
        });

        $scope.accountFilterList = data;
    };

    $scope.isSelected = function (id) {
        return $scope.filter.selected.indexOf(id) >= 0;
    };


    var showOperateLogPop = function () {
        $scope.isShowLog = true;
    }

    //检查用户机构权限
    var checkUserOrganizationPermissionList = function () {
        var list = [];
        var userManageTemp = constant.vatPermission.dataManage.accountMapping;
        list.push(userManageTemp.importCode);
        $scope.hasImportPermission = false;
        $scope.$root.checkUserOrganizationPermissionList(list).success(function (data) {
            $scope.hasImportPermission = data[userManageTemp.importCode];
        });
    };

    //初始化企业科目数据列表
    var InitEnterpriseSubject = function () {
        vatReductionService.mapStdCodeRecursiveByAccountList(period).success(function (or) {
            if (or.result) {
                var data = or.data;
                if (data === null) return;
                data.forEach(function (row) {
                    //row.directionStr = _.find($scope.directionList, function (num) {
                    //    return num.id === row.direction;
                    //}).name;
                    if (row.acctProp) {

                    }
                    if (row.acctLevel != null) {
                        row.$$treeLevel = parseInt(row.acctLevel - 1);
                    }

                    row.stdResult = getStdResult(row.stdCode, row.stdFullName);
                });

                $log.debug("InitEnterpriseSubject success");
                $log.debug(data);
                $scope.gridOptionsSubjectList.data = data;
                $scope.EnterpriceAccountList = data;
            }
        });
    };


    //切换筛选条件的时候，ng-check event will be triggered
    var stateChanged = function ($event, data) {
        $scope.filter.selected = [];
        $scope.filterConditionDesc = '';
        var checkbox = $event.target;
        if (checkbox.checked && $scope.filter.selected.indexOf(data.key) < 0) {
            $scope.filter.selected.push(data.key);
            $scope.filterConditionDesc = data.value;
        }

        accountFilterChanged();
    };

    //根据不同的状态过滤，未对应，已对应，借贷方向不一致等
    var accountFilterChanged = function () {
        var selectArr = $scope.filter.selected;
        var data = $scope.EnterpriceAccountList;
        var tempData = [];
        var key = $scope.filter.selected[0] || constant.espAccountFilter.key_0;

        switch (key) {
            //所有对应状态,取默认值
            case constant.espAccountFilter.key_0:
                tempData = data;
                break;
                //未对应
            case constant.espAccountFilter.key_1:
                tempData = _.filter(data, function (item) {
                    return item.stdCode == null;
                });
                break;
                //已对应
            case constant.espAccountFilter.key_2:
                tempData = _.filter(data, function (item) {
                    return item.stdCode != null;
                });
                break;
                //借贷方向不一致
            case constant.espAccountFilter.key_3:
                tempData = _.filter(data, function (item) {
                    return item.stdCode != null && item.stdCode != "-" && item.direction != 0
                        && item.stdDirection != null && item.directionDescription != item.stdDirection;
                });
                break;
                //科目类型不一致
            case constant.espAccountFilter.key_4:
                tempData = _.filter(data, function (item) {
                    return item.stdCode != null && item.stdCode != "-" && item.enterAcctProp != 0 && item.enterAcctProp != item.stdAcctProp;
                });
                break;
        }

        $scope.gridOptionsSubjectList.data = tempData;
    };


    ///根据标准科目code和name获取最终界面上应该显示的内容
    var getStdResult = function (stdCode, stdName) {
        var stdResult = stdCode === null ? $translate.instant('Unmapped') : (stdCode === "0000" ? "-" : stdCode + "-" + stdName);
        return stdResult;
    }

    //初始数据
    var InitNgData = function () {
        $scope.stdCollapsed = true;
        $scope.accountFilterList = [];
        //初始化选择器为空
        $scope.filter = {};
        $scope.filter.selected = [];
        //初始化企业科目筛选列表
        InitFilterAccount();
        //设置默认过滤条件为:所有对应状态
        var allMappStatus = constant.espAccountFilter.data[0];
        $scope.filter.selected.push(allMappStatus.key);
        $scope.filterConditionDesc = $translate.instant('AllMappingStatus');

        $timeout(function () {
            $scope.isLoadComplete = true;
        }, 500);
    }

    var getUITreeScope = function (uiTreeID) {
        return angular.element(document.getElementById(uiTreeID)).scope();
    };

    //如果没有全部展开，return false.
    var isExpandAll = function (uiTreeID) {
        var childNodes = getUITreeScope(uiTreeID).childNodes();

        var isCollapsed = function (c) {
            if (c.collapsed)
                return true;

            var childs = c.childNodes();

            for (var i = 0; i < childs.length; i++) {
                if (isCollapsed(childs[i])) {
                    return true;
                }
            }
            return false;
        }

        return !_.some(childNodes, isCollapsed);
    };


    //标准科目，单独展开或折叠
    var toggle1 = function (scope) {
        scope.toggle();
        if (scope.collapsed) {
            $scope.stdCollapsed = true;
        }
        else {
            //如果全部展开，最顶层也要展开
            if (isExpandAll('tree-root')) {
                $scope.stdCollapsed = false;
            }
        }
    };

    //标准科目，全部展开或折叠
    var toggleStdSubject = function () {
        $scope.stdCollapsed = !$scope.stdCollapsed;
        commonWebService.expandCollapseAll('vatStadardAccountTreeTable', $scope.stdCollapsed);
    }

    var updateParentEnterpriseAccount = function (parentMapingDict) {
        for (var key in parentMapingDict) {
            $scope.gridApiSubject.grid.rows.forEach(function (row) {
                if (row.entity.code === key) {
                    row.entity['stdCode'] = parentMapingDict[key][0];
                    row.entity['stdName'] = parentMapingDict[key][1];
                    row.entity['stdResult'] = getStdResult(parentMapingDict[key][0], parentMapingDict[key][2]);
                }
            });
        }
    };

    //当在取消或者手动对应之后更新界面
    //selectedRows: uigrid中当前选中的行集合
    //codeToUpdate: 需要将旧的代码设置为该code
    //nameToUpdate: 需要将旧的科目名称设置为该name
    var updateChildrenEnterpriseAccount = function (selectedRows, codeToUpdate, nameToUpdate) {
        //codeToUpdate = null && nameToUpdate = '': 取消对应
        if (!_.isNull(codeToUpdate) && nameToUpdate != '') {
            getStdCodeListRescurive();
        }

        var stdDto = _.where($scope.stdAccountList, { code: codeToUpdate })[0];
        selectedRows.forEach(function (v) {
            v['stdCode'] = codeToUpdate;
            v['stdName'] = nameToUpdate;
            v['stdResult'] = getStdResult(codeToUpdate, nameToUpdate);
            if (!_.isUndefined(stdDto)) {
                v['stdAcctProp'] = parseInt(stdDto.acctProp);
                v['stdCodeName'] = codeToUpdate + '/' + stdDto.fullName;
                v['stdDirection'] = stdDto.direction === "1" ? $translate.instant('StandardAccountDebit') : $translate.instant('StandardAccountCredit');
                v['stdFullName'] = stdDto.fullName;
            }

            //取消对应
            if (_.isNull(codeToUpdate) && nameToUpdate === '') {
                v['stdAcctProp'] = null;
                v['stdCodeName'] = null;
                v['stdDirection'] = null;
                v['stdFullName'] = null;
            }


            //找出该选中节点的所有子节点，然后复制，避免再次从数据库获取数据
            $scope.gridApiSubject.grid.rows.forEach(function (row) {
                if (row.entity.parent === v.code) {
                    row.entity['stdCode'] = codeToUpdate;
                    row.entity['stdName'] = nameToUpdate;
                    row.entity['stdResult'] = getStdResult(codeToUpdate, nameToUpdate);

                    //再次更新该row下面的子节点如果存在的话
                    updateChildrenMappedCodeNameRecursive($scope.gridApiSubject.grid.rows, row.entity['code'], codeToUpdate, nameToUpdate);
                }
            });
        });
    };

    var updateChildrenMappedCodeNameRecursive = function (rows, filterCode, codeToUpdate, nameToUpdate) {
        $scope.gridApiSubject.grid.rows.forEach(function (row) {
            if (row.entity.parent === filterCode) {
                row.entity['stdCode'] = codeToUpdate;
                row.entity['stdName'] = nameToUpdate;
                row.entity['stdResult'] = getStdResult(codeToUpdate, nameToUpdate);

                //再次更新该row下面的子节点如果存在的话
                updateChildrenMappedCodeNameRecursive($scope.gridApiSubject.grid.rows, row.entity['code'], codeToUpdate, nameToUpdate);
            }
        });
    }

    function getStatusByCurrentStatus(isSubmit) {
        if (!isSubmit &&
            (_.isEqual(vatSessionService.project.projectStatusList[period], constant.ProjectStatusEnum.Imported)
            || _.isEqual(vatSessionService.project.projectStatusList[period], constant.ProjectStatusEnum.AccountMapSubmitted))) {
            return constant.ProjectStatusEnum.Imported;
        }

        if (isSubmit &&
           (_.isEqual(vatSessionService.project.projectStatusList[period], constant.ProjectStatusEnum.Imported)
           || _.isEqual(vatSessionService.project.projectStatusList[period], constant.ProjectStatusEnum.AccountMapSubmitted))) {
            return constant.ProjectStatusEnum.AccountMapSubmitted;
        }

        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.Generated) {
            return vatSessionService.project.projectStatusList[period];
        }
    }

    function doAutoMap() {
        logDto.ID = PWC.newGuid();
        logDto.CreateTime = new Date();
        logDto.UpdateTime = new Date();
        logDto.OperationContent = "";
        logDto.OriginalState = "";
        logDto.OperationName = $translate.instant('AutoMapping');
        logDto.OperationType = enums.vatLogOperationTypeEnum.AM_AutoMapping;

        vatReductionService.autoMap(projectRuleId, period).success(function (or) {
            if (or != null && or != undefined) {
                if (or.result) {
                    getEnterpriseAccountNotMapped();
                    var status = getStatusByCurrentStatus(false);
                    vatCommonService.setProjectStatus(projectDbName, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
                    logDto.UpdateState = $translate.instant('AccountMapSuccess');
                    vatOperationLogService.addOperationLog(logDto);
                    // mapping success
                    SweetAlert.success($translate.instant('AccountMapSuccess'));
                    InitEnterpriseSubject();
                }
                else {
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }
            }
            else {
                logDto.UpdateState = $translate.instant('AccountMapFailed');
                vatOperationLogService.addOperationLog(logDto);
                SweetAlert.warning($translate.instant('AccountMapFailed'));
            }
        });
    }

    //自动对应
    var autoMap = function () {
        if (vatSessionService.project.projectStatusList[period] < constant.ProjectStatusEnum.Imported) {
            SweetAlert.warning($translate.instant('AutoMapWarning'));
        }

        if (vatSessionService.project.projectStatusList[period] === constant.ProjectStatusEnum.Imported) {
            doAutoMap();
        }

        if (vatSessionService.project.projectStatusList[period] > constant.ProjectStatusEnum.Imported) {
            swal({
                title: $translate.instant('WarningTitle'),
                text: $translate.instant('IsConfirmToReMap').formatObj({ status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[period]) }),
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: $translate.instant('Yes'),
                cancelButtonText: $translate.instant('No'),
                closeOnConfirm: true,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    doAutoMap();
                }
                else {
                    swal.close();
                }
            });
        }
    };


    function doClearMap() {
        var clearEnterpriseAccountCodes = [];
        var selectedRows = $scope.gridApiSubject.selection.getSelectedRows();
        var orignalStdCodeName = [];
        if (selectedRows.length === 0) {
            SweetAlert.warning($translate.instant('SelectOneAccountToClearMap'));
            return;
        }

        selectedRows.forEach(function (v) {
            clearEnterpriseAccountCodes.push(v['code']);
            orignalStdCodeName.push(v.stdResult);
        });


        logDto.ID = PWC.newGuid();
        logDto.CreateTime = new Date();
        logDto.UpdateTime = new Date();
        logDto.OriginalState = orignalStdCodeName.join(",");
        logDto.UpdateState = "";
        logDto.OperationContent = "";
        logDto.OperationName = $translate.instant('CancelMapping');
        logDto.OperationObject = clearEnterpriseAccountCodes.join(",");
        logDto.OperationType = enums.vatLogOperationTypeEnum.AM_CancelMapping;



        vatReductionService.clearMap(period, clearEnterpriseAccountCodes).success(function (or) {
            if (or != null && or != undefined) {
                if (or.result) {
                    getEnterpriseAccountNotMapped();
                    var status = getStatusByCurrentStatus(false);
                    vatCommonService.setProjectStatus(project.id, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
                    // clear mapping success
                    SweetAlert.success($translate.instant('ClearMapSuccess'));
                    //如果重新从数据库加载，数据会重新绑定然后感觉界面被刷新
                    updateChildrenEnterpriseAccount(selectedRows, null, '');
                    updateParentEnterpriseAccount(or.data);
                    //清除所有checkbox
                    $scope.gridApiSubject.selection.clearSelectedRows();
                    vatOperationLogService.addOperationLog(logDto);
                }
                else {
                    logDto.UpdateState = $translate.instant('ClearMapFailed');
                    vatOperationLogService.addOperationLog(logDto);
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }
            }
            else {
                logDto.UpdateState = $translate.instant('ClearMapFailed');
                vatOperationLogService.addOperationLog(logDto);
                SweetAlert.warning($translate.instant('ClearMapFailed'));
            }
        });
    }

    //取消对应
    var ClearMap = function () {
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.AccountMapSubmitted) {
            swal({
                title: $translate.instant('WarningTitle'),
                text: $translate.instant('IsConfirmCancelMap').formatObj({ status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[period]) }),
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: $translate.instant('Yes'),
                cancelButtonText: $translate.instant('No'),
                closeOnConfirm: true,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    doClearMap();
                }
                else {
                    swal.close();
                }
            });
        }
        else {
            SweetAlert.warning($translate.instant('CancelMapWarning'));
            //doClearMap();
        }
    };

    function doMapStdAccount(code, name, acctProp, direction) {
        if (!$scope.hasImportPermission || $scope.isSubmitted) {
            if ($scope.isSubmitted) {
                $timeout(function () {
                    SweetAlert.warning($translate.instant('UndoAccountMapToMap'));
                }, 300)

            }
            return false;
        }
        var accountMap = {};
        var rowIndexArray = [];
        var isMapped = false;
        var isAcctPropMatched = false;
        var isDirectionMatched = false;

        accountMap.enterpriseAccountCodes = [];
        accountMap.standardAccountCode = code;

        var selectedRows = $scope.gridApiSubject.selection.getSelectedRows();
        if (selectedRows.length === 0) {
            SweetAlert.warning($translate.instant('SelectOneAccountToMap'));
            return;
        }

        var stdAcctProp = acctProp;
        var stdDirection = direction;
        var orignalStdCodeName = [];
        selectedRows.forEach(function (v) {
            accountMap.enterpriseAccountCodes.push(v['code']);
            var rowIndex = findIndexByKeyValue($scope.gridOptionsSubjectList.data, "code", v['code']);
            rowIndexArray.push(rowIndex);
            orignalStdCodeName.push(v.stdResult);
            var stdCode = v['stdCode'];
            var acctProp = v['enterAcctProp'].toString();
            var direction = v['direction'].toString();

            //判断企业科目是否已有对应的标准科目，如果有isMapped=true
            isMapped = !_.isNull(stdCode) ? true : false;

            //判断企业科目和标准科目的类型否一致，如果不一致，isAcctPropMatched=false
            if (acctProp !== -1 && !_.isNull(acctProp) && stdAcctProp !== acctProp) {
                isAcctPropMatched = false;
            }
            else {
                isAcctPropMatched = true;
            }

            //判断企业科目和标准科目的借贷方是否一致，如果不一致，isDirectionMatched=false
            if (stdDirection !== direction) {
                isDirectionMatched = false;
            }
            else {
                isDirectionMatched = true;
            }
        });

        logDto.ID = PWC.newGuid();
        logDto.CreateTime = new Date();
        logDto.UpdateTime = new Date();
        logDto.OriginalState = orignalStdCodeName.join(",");
        logDto.UpdateState = code + "-" + name;
        logDto.OperationContent = code;
        logDto.OperationName = $translate.instant('HandleMapping');
        logDto.OperationObject = accountMap.enterpriseAccountCodes.join(",");
        logDto.OperationType = enums.vatLogOperationTypeEnum.AM_ManualMapping;


        //如果已经map过
        if (isMapped) {
            msgboxOptions.text = $translate.instant('ComfirmToReMap');
            msgboxOptions.closeOnConfirm = isAcctPropMatched && isDirectionMatched ? true : false;
            SweetAlert.swal(msgboxOptions, function (isConfirm) {
                if (isConfirm) {
                    //如果科目类型不一致
                    if (!isAcctPropMatched) {
                        msgboxOptions.text = $translate.instant('ConfirmToMapForDiffAcctProp');
                        msgboxOptions.closeOnConfirm = isDirectionMatched ? true : false;
                        SweetAlert.swal(msgboxOptions, function (isConfirm) {
                            if (isConfirm) {
                                //如果科目类型一致，则判断借贷方向是否一致
                                if (!isDirectionMatched) {
                                    msgboxOptions.text = $translate.instant('ConfirmToMapForDiffDirection');
                                    msgboxOptions.closeOnConfirm = true;
                                    SweetAlert.swal(msgboxOptions, function (isConfirm) {
                                        if (isConfirm) {
                                            mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                                        } else {
                                            swal.close();
                                        }
                                    });
                                } else {
                                    mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                                }
                            } else {
                                swal.close();
                            }
                        });
                    }
                    else {
                        //如果借贷方向不一致
                        if (!isDirectionMatched) {
                            msgboxOptions.text = $translate.instant('ConfirmToMapForDiffDirection');
                            msgboxOptions.closeOnConfirm = true;
                            SweetAlert.swal(msgboxOptions, function (isConfirm) {
                                if (isConfirm) {
                                    mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                                } else {
                                    swal.close();
                                }
                            });
                        }
                        else {
                            mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                        }
                    }
                } else {
                    swal.close();
                }
            });
        }
        else {
            //如果没有map过，则判断科目类型是否一致
            if (!isAcctPropMatched) {
                msgboxOptions.text = $translate.instant('ConfirmToMapForDiffAcctProp');
                msgboxOptions.closeOnConfirm = isDirectionMatched ? true : false;
                SweetAlert.swal(msgboxOptions, function (isConfirm) {
                    if (isConfirm) {
                        //如果科目类型一致，则判断借贷方向是否一致
                        if (!isDirectionMatched) {
                            msgboxOptions.text = $translate.instant('ConfirmToMapForDiffDirection');
                            msgboxOptions.closeOnConfirm = true;
                            SweetAlert.swal(msgboxOptions, function (isConfirm) {
                                if (isConfirm) {
                                    mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                                } else {
                                    swal.close();
                                }
                            });
                        } else {
                            mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                        }
                    } else {
                        swal.close();
                    }
                });
            }
            else {
                //如果借贷方向不一致
                if (!isDirectionMatched) {
                    msgboxOptions.text = $translate.instant('ConfirmToMapForDiffDirection');
                    msgboxOptions.closeOnConfirm = true;
                    SweetAlert.swal(msgboxOptions, function (isConfirm) {
                        if (isConfirm) {
                            mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                        } else {
                            swal.close();
                        }
                    });
                } else {
                    mapAccountParentChild(selectedRows, accountMap, code, name, logDto);
                }
            }
        }
    };


    //手动对应，双击页面右侧的标准科目列表执行该事件
    var mapStdAccount = function (code, name, acctProp, direction) {
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.Imported) {
            if ($scope.manualMapAlter) {
                swal({
                    title: $translate.instant('WarningTitle'),
                    text: $translate.instant('IsConfirmToReMap').formatObj({ status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[period]) }),
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: $translate.instant('Yes'),
                    cancelButtonText: $translate.instant('No'),
                    closeOnConfirm: true,
                    closeOnCancel: true
                },
               function (isConfirm) {
                   if (isConfirm) {
                       $scope.manualMapAlter = false;
                       $timeout(function () {
                           doMapStdAccount(code, name, acctProp, direction);
                       }, 300);

                   }
                   else {
                       swal.close();
                   }
               });
            }
            else {
                $timeout(function () {
                    doMapStdAccount(code, name, acctProp, direction);
                }, 300);

            }

        }
        else {
            //doMapStdAccount(code, name, acctProp, direction);
            SweetAlert.warning($translate.instant('ManualMapWarning'));
        }
    };


    var findIndexByKeyValue = function (arrayToSearch, key, valueToSearch) {
        for (var i = 0; i < arrayToSearch.length; i++) {
            if (arrayToSearch[i][key] == valueToSearch) {
                return i;
            }
        }
        return null;
    };

    //弹出框的默认配置项
    var msgboxOptions = {
        title: $translate.instant('ConfirmToContinue'),
        text: $translate.instant('ComfirmToReMap'),
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: $translate.instant('Confirm'),
        cancelButtonText: $translate.instant('Cancel'),
        closeOnConfirm: false,
        closeOnCancel: true
    };

    var mapAccountParentChild = function (selectedRows, accountMap, code, name, logDtoValue) {
        vatReductionService.mapAccount(accountMap.standardAccountCode, period, accountMap.enterpriseAccountCodes).success(function (or) {
            if (or.result === true) {
                getEnterpriseAccountNotMapped();
                $scope.gridApiSubject.selection.clearSelectedRows();

                //如果重新从数据库加载，数据会重新绑定然后感觉界面被刷新
                updateChildrenEnterpriseAccount(selectedRows, code, name);
                //更新父级科目的状态
                updateParentEnterpriseAccount(or.data);
                var status = getStatusByCurrentStatus(false);
                vatCommonService.setProjectStatus(project.id, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
                if (!_.isNull(logDtoValue)) {
                    vatOperationLogService.addOperationLog(logDtoValue);
                }
                //SweetAlert.success($translate.instant('AccountMapSuccess'));
            }
            else {
                logDtoValue.UpdateState = $translate.instant('AccountMapFailed');
                if (!_.isNull(logDtoValue)) {
                    vatOperationLogService.addOperationLog(logDtoValue);
                }
                SweetAlert.warning($translate.instant(or.resultMsg).formatObj({ code: or.data.standardAccountCode }));
            }
        });
    };

    $scope.getGridHeight = function () {
        if ($scope.isLoadComplete) {
            return {
                height: $(".subject-corresponding-container #enterprizeAccount .subject-list-grid-warp").height() + "px"
            };
        }
    };


    //动态设定重分类明细grid的高度
    var getReclassificationItemGridHeight = function () {
        if ($scope.isLoadComplete) {
            var y = $("#reclassification-item-wrapper").height();

            // Enough space
            if (y > constant.UIGrid.gapHeight) {
                y = y - constant.UIGrid.gapHeight;
                return { height: (y - $('#topMenu').height()) + "px" };
            } else {
                return { height: '0px' };
            }
        }

        return {};
    };

    //单击企业科目代码，显示重分类grid明细
    var toggleReclassificationGridTab = function () {
        $scope.ImportErrorTag = !$scope.ImportErrorTag;

        // topIcon and content-resize gapBottom 15px
        if (!$scope.ImportErrorTag) {
            setErrorWrapCssDefault();
        } else {

            if (parseInt($('#content-resizer').css('bottom')) < 100) {
                $('#content-resizer').css('bottom', '130px');
                $('.reclassification-item-wrapper').css('height', '130px');
            }
        }
    };

    //重置重分类明细的位置
    var setErrorWrapCssDefault = function () {
        $('#content-resizer').css('bottom', '0px');
        $('.reclassification-item-wrapper').css('height', '0px');
    };

    //点击手工重分类事件
    var manualReclassificate = function () {
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.Imported) {
            $log.debug("start manualReclassificate");
            setAutoCompleteDataSource("reMapCustStdAutoComplete");
            selectedRemapType = enums.vatReMapType.ReMapCust;
            var selectedRows = $scope.gridApiSubject.selection.getSelectedRows();
            if (selectedRows.length !== 1) {
                SweetAlert.warning($translate.instant('SelectOneAccountToManualReclassificate'));
                return;
            }

            if (!isEnterpriseCodeLeafAcct()) {
                SweetAlert.warning($translate.instant('NotLeafEnterpriseCode'));
                return;
            }

            $scope.enterpriseCode = selectedRows[0].code;
            $scope.processTypeId = enums.processType.Add;
            initReMapCustModel(constant.Operation.Add, -1, null);
            logDto.OperationName = $translate.instant('AddCustRemap');
            logDto.OperationType = enums.vatLogOperationTypeEnum.AM_AddManualClass;
            logDto.OriginalState = "";
            $scope.remapTitle = $translate.instant('AccountMappingTitle') + "  " + selectedRows[0].codeNameDesc;
            resetCustRemapValidation();
            //$("#reMapCustStdAutoComplete").dxAutocomplete("instance").option("value", "");
            $scope.selectedStdCode = "";
            $('#manualReclassificationModal').modal('show');
        }
        else {
            SweetAlert.warning($translate.instant('RemapClickWarning'));
        }
    };

    //点击凭证重分类按钮事件
    var voucherReclassificate = function () {
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.Imported) {
            $log.debug("start voucherReclassificate");
            selectedRemapType = enums.vatReMapType.ReMapVoucher;
            setAutoCompleteDataSource("reMapStdAutoComplete");
            var selectedRows = $scope.gridApiSubject.selection.getSelectedRows();
            if (selectedRows.length !== 1) {
                SweetAlert.warning($translate.instant('SelectOneAccountToVoucherReclassificate'));
                return;
            }

            if (!isEnterpriseCodeLeafAcct()) {
                SweetAlert.warning($translate.instant('NotLeafEnterpriseCode'));
                return;
            }


            //清空重分类明细选择项
            $scope.gridApiReclassificationItem.selection.clearSelectedRows();
            $scope.enterpriseCode = selectedRows[0].code;
            $scope.processTypeId = enums.processType.Add;
            initReMapVoucherModel(constant.Operation.Add, null, -1);
            $scope.isSearching = true;
            logDto.OperationName = $translate.instant('AddVoucherReMap');
            logDto.OperationType = enums.vatLogOperationTypeEnum.AM_AddVoucherClass;
            logDto.OriginalState = "";
            $scope.remapTitle = $translate.instant('VoucherReclassificationTitle') + "  " + selectedRows[0].codeNameDesc;
            resetVoucerRemapValidation();
            //$("#reMapStdAutoComplete").dxAutocomplete("instance").option("value", "");        
            $scope.selectedStdCode = "";
            $('#voucherReclassificationModal').modal('show');
        }
        else {
            SweetAlert.warning($translate.instant('RemapClickWarning'));
        }
    };

    //企业科目单击事件
    var showReclassificationItemGrid = function (etsRow) {
        $log.debug("start showReclassificationItemGrid");
        if (parseInt($('#content-resizer').css('bottom')) < 100) {
            $('#content-resizer').css('bottom', '20px');
            $('.reclassification-item-wrapper').css('height', '20px');
        }

        initReMapVoucherModel(constant.Operation.Add, null, -1);
        initReMapCustModel(constant.Operation.Add, -1, null);
        var selectedRows = $scope.gridApiSubject.selection.getSelectedRows();
        $scope.enterpriseCode = selectedRows[0].code;
        getReMapItemByCode(etsRow.code);
    };


    function doSaveManualReclassification() {
        $log.debug("start saveManualReclassification");
        constructReMapCustModel(selectedRemapType);
        $log.debug($scope.editManualRModel);


        var stdDto = _.where($scope.stdAccountList, { code: $scope.editManualRModel.stdCode })[0];
        var updateStateStr = "";
        if (!_.isNull(stdDto)) {
            //var directStr = stdDto.direction === "1" ? $translate.instant('StandardAccountDebit') : $translate.instant('StandardAccountCredit');
            updateStateStr = stdDto.code + "-" + stdDto.fullName + ":"
                            + $translate.instant('AccountVoucher_Debit') + ":" + $scope.editManualRModel.reMapDebit + "  "
                            + $translate.instant('AccountVoucher_Credit') + ":" + $scope.editManualRModel.reMapCredit;
        }
        logDto.ID = PWC.newGuid();
        logDto.CreateTime = new Date();
        logDto.UpdateTime = new Date();
        logDto.OperationObject = $scope.enterpriseCode;
        logDto.OperationContent = $scope.editManualRModel.reMapName;
        logDto.UpdateState = updateStateStr;


        vatReductionService.saveManualReclassification($scope.editManualRModel).success(function (or) {
            if (!_.isNull(or) && !_.isUndefined(or)) {
                if (or.result) {
                    $('#manualReclassificationModal').modal('hide');
                    getReMapItemByCode($scope.editManualRModel.code);
                    var status = getStatusByCurrentStatus(false);
                    vatCommonService.setProjectStatus(project.id, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
                    vatOperationLogService.addOperationLog(logDto);
                    InitEnterpriseSubject();
                    SweetAlert.success($translate.instant('CustReMappingSuccess'));
                }
                else {
                    logDto.UpdateState = $translate.instant('AccountReMappingFail');
                    vatOperationLogService.addOperationLog(logDto);
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }
            }
            else {
                logDto.UpdateState = $translate.instant('AccountReMappingFail');
                vatOperationLogService.addOperationLog(logDto);
                SweetAlert.warning($translate.instant('AccountReMappingFail'));
            }

        });
    }

    //保存手工重分类数据
    var saveManualReclassification = function () {
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.AccountMapSubmitted) {
            swal({
                title: $translate.instant('WarningTitle'),
                text: $translate.instant('IsConfirmManualReClassify').formatObj({ status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[period]) }),
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: $translate.instant('Yes'),
                cancelButtonText: $translate.instant('No'),
                closeOnConfirm: true,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    doSaveManualReclassification();
                }
                else {
                    swal.close();
                }
            });
        }
        else {
            doSaveManualReclassification();
        }
    };


    function doSaveVoucherReclassification() {
        $log.debug("start saveVoucherReclassification ");
        $scope.isSearching = false;
        constructReMapVoucherModel($scope.selectedVouchers, selectedRemapType, $scope.processTypeId);
        $log.debug($scope.editVoucherRModel);
        $log.debug($scope.selectedVouchers);

        var stdDto = _.where($scope.stdAccountList, { code: $scope.editVoucherRModel.stdCode })[0];
        var updateStateStr = "";
        if (!_.isNull(stdDto)) {
            //var directStr = stdDto.direction === "1" ? $translate.instant('StandardAccountDebit') : $translate.instant('StandardAccountCredit');
            updateStateStr = stdDto.code + "-" + stdDto.fullName + ":"
                            + $translate.instant('AccountVoucher_Debit') + ":" + $scope.editVoucherRModel.reMapDebit + "  "
                            + $translate.instant('AccountVoucher_Credit') + ":" + $scope.editVoucherRModel.reMapCredit;
        }
        logDto.ID = PWC.newGuid();
        logDto.CreateTime = new Date();
        logDto.UpdateTime = new Date();
        logDto.OperationObject = $scope.enterpriseCode;
        logDto.OperationContent = $scope.editVoucherRModel.reMapName;
        logDto.UpdateState = updateStateStr;

        vatReductionService.saveVoucherReclassification($scope.editVoucherRModel).success(function (or) {
            if (!_.isNull(or) && !_.isUndefined(or)) {
                if (or.result) {
                    $('#voucherReclassificationModal').modal('hide');
                    getReMapItemByCode($scope.editVoucherRModel.code);
                    var status = getStatusByCurrentStatus(false);
                    vatCommonService.setProjectStatus(project.id, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
                    vatOperationLogService.addOperationLog(logDto);
                    InitEnterpriseSubject();
                    SweetAlert.success($translate.instant('VoucherReMappingSuccess'));
                }
                else {
                    logDto.UpdateState = $translate.instant('AccountReMappingFail');
                    vatOperationLogService.addOperationLog(logDto);
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }
            }
            else {
                logDto.UpdateState = $translate.instant('AccountReMappingFail');
                vatOperationLogService.addOperationLog(logDto);
                SweetAlert.warning($translate.instant('AccountReMappingFail'));
            }
        });
    }

    //保存凭证重分类数据
    var saveVoucherReclassification = function () {
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.AccountMapSubmitted) {
            swal({
                title: $translate.instant('WarningTitle'),
                text: $translate.instant('IsConfirmVoucherReClassify').formatObj({ status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[period]) }),
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: $translate.instant('Yes'),
                cancelButtonText: $translate.instant('No'),
                closeOnConfirm: true,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    doSaveVoucherReclassification();
                }
                else {
                    swal.close();
                }
            });
        }
        else {
            doSaveVoucherReclassification();
        }
    };


    //编辑重对应记录
    var editReMapItem = function () {
        $log.debug("editReMapItem");
        $log.debug($scope.selectedVouchers);
        $scope.isSearching = false;
        $scope.processTypeId = enums.processType.Edit;

        var selectedRows = $scope.gridApiReclassificationItem.selection.getSelectedRows();
        if (!_.isNull(selectedRows) && !_.isUndefined(selectedRows)) {
            if (selectedRows.length === 0) {
                SweetAlert.warning($translate.instant('AccountReMappingSelectOne'));
                return false;
            }
            $log.debug(selectedRows);
            var selectedRemapItem = selectedRows[0];
            var reMapTypeId = selectedRemapItem.reMappTypeId;
            if (reMapTypeId === enums.vatReMapType.ReMapVoucher) {
                $log.debug("edit voucher remap");
                $scope.isSearching = true;
                setAutoCompleteDataSource("reMapStdAutoComplete");
                if (_.isNull($scope.selectedVouchers) || $scope.selectedVouchers.length === 0) {
                    $scope.selectedVouchers = selectedRemapItem.vouchers;
                }

                var vStdDto = _.where($scope.stdAccountList, { code: selectedRemapItem.stdCode })[0];
                var vOriginalState = "";
                if (!_.isNull(vStdDto)) {
                    vOriginalState = vStdDto.code + "-" + vStdDto.fullName + ":"
                            + $translate.instant('AccountVoucher_Debit') + ":" + selectedRemapItem.remapDebit + "  "
                            + $translate.instant('AccountVoucher_Credit') + ":" + selectedRemapItem.remapCredit;
                }

                logDto.OperationName = $translate.instant('EditVoucherReMap');
                logDto.OperationType = enums.vatLogOperationTypeEnum.AM_EditVoucherClass;
                logDto.OriginalState = vOriginalState;

                $log.debug($scope.selectedVouchers);
                $('#voucherReclassificationModal').modal('show');
            }

            if (reMapTypeId === enums.vatReMapType.ReMapCust) {
                $log.debug("edit cust remap");
                setAutoCompleteDataSource("reMapCustStdAutoComplete");
                initReMapCustModel(constant.Operation.Edit, enums.vatReMapType.ReMapCust, selectedRemapItem);

                var vCustStdDto = _.where($scope.stdAccountList, { code: selectedRemapItem.stdCode })[0];
                var vCustOriginalState = "";
                if (!_.isNull(vStdDto)) {
                    vCustOriginalState = vCustStdDto.code + "-" + vCustStdDto.fullName + ":"
                            + $translate.instant('AccountVoucher_Debit') + ":" + selectedRemapItem.remapDebit + "  "
                            + $translate.instant('AccountVoucher_Credit') + ":" + selectedRemapItem.remapCredit;
                }

                logDto.OperationName = $translate.instant('EditCustRemap');
                logDto.OperationType = enums.vatLogOperationTypeEnum.AM_EditManualClass;
                logDto.OriginalState = vCustOriginalState;

                $('#manualReclassificationModal').modal('show');
            }
        }
    }

    //删除重对应记录
    var deleteReMapItem = function () {
        $log.debug("deleteReMapItem");
        var selectedRows = $scope.gridApiReclassificationItem.selection.getSelectedRows();
        $scope.processTypeId = enums.processType.Delete;
        if (selectedRows.length === 0) {
            SweetAlert.warning($translate.instant('AccountReMappingSelectOne'));
            return false;
        }

        if (!_.isNull(selectedRows) && !_.isUndefined(selectedRows)) {
            var selectedRemapItem = selectedRows[0];
            $log.debug(selectedRemapItem);
            deleteReMappingRecords(selectedRemapItem);
        }

    }


    //提交科目对应
    var submitAccountMap = function () {
        if (vatSessionService.project.projectStatusList[period] < constant.ProjectStatusEnum.Imported) {
            SweetAlert.warning($translate.instant('NotAllowSubmitAccountMap'));
            return false;
        }
        vatReductionService.submitAccountMapping(enums.vatReMapType.ReMapVoucher, enums.vatReMapType.ReMapCust).success(function (ret) {
            if (ret.result) {
                BSPLService.GenerateBSPL(vatSessionService.project.id, vatSessionService.month).success(function () {
                    $scope.isSubmitted = true;
                    var status = getStatusByCurrentStatus(true);
                    vatCommonService.setProjectStatus(project.id, period, constant.ProjectStatusEnum.AccountMapSubmitted
                                                      , constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.Finished);
                    SweetAlert.success($translate.instant('AccountMappingSubmitComplete'));
                }).error(function () {
                    SweetAlert.error('生成报表失败');
                });
            }
            else {
                SweetAlert.error($translate.instant('CallbackError').formatObj({ errorMsg: ret.resultMsg }));
            }
        });
    };


    //撤销科目对应
    var undoAccountMap = function () {

        //已提交状态时不用提醒直接撤销
        if (vatSessionService.project.projectStatusList[period] === constant.ProjectStatusEnum.AccountMapSubmitted) {
            $scope.isSubmitted = false;
            var status = getStatusByCurrentStatus(false);
            vatCommonService.setProjectStatus(project.id, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
            SweetAlert.success($translate.instant('UndoAccountMappingComplete'));
        }


        //到底已生成之后需要提醒确认之后再撤销
        if (vatSessionService.project.projectStatusList[period] >= constant.ProjectStatusEnum.Generated) {
            swal({
                title: $translate.instant('WarningTitle'),
                text: $translate.instant('IsConfirmUndoMap').formatObj({ status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[period]) }),
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: $translate.instant('Yes'),
                cancelButtonText: $translate.instant('No'),
                closeOnConfirm: true,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    $scope.isSubmitted = false;
                    var status = getStatusByCurrentStatus(false);
                    vatCommonService.setProjectStatus(project.id, period, status, constant.DictionaryDictKey.WFAccountMap, enums.FinishStatusEnum.NotFinished);
                    SweetAlert.success($translate.instant('UndoAccountMappingComplete'));
                }
                else {
                    swal.close();
                }
            });
        }
        else {
            $scope.isSubmitted = false;
        }
    }

    var onReMapGridRowSelectionChanged = function (entity) {
        $log.debug("onReMapGridRowSelectionChanged");
        $scope.reMappId = entity.remapId;
        $scope.reMapItem = entity;
        if (entity.reMappTypeId === enums.vatReMapType.ReMapVoucher) {
            selectedRemapType = enums.vatReMapType.ReMapVoucher;
            var selectedReMapRow = $scope.gridApiReclassificationItem.selection.getSelectedRows()[0];
            $log.debug(selectedReMapRow);
            if (!_.isNull(selectedReMapRow) && !_.isUndefined(selectedReMapRow)) {
                $scope.selectedVouchers = selectedReMapRow.vouchers;//当前选择的重对应记录关联的vouchers
                $log.debug($scope.selectedVouchers);
            }
            initReMapVoucherModel(constant.Operation.Edit, selectedReMapRow, enums.vatReMapType.ReMapVoucher);

        }

        if (entity.reMappTypeId === enums.vatReMapType.ReMapCust) {
            selectedRemapType = enums.vatReMapType.ReMapCust;
            initReMapCustModel(constant.Operation.Add, -1, null);
        }
    }


    var closeModal = function (e) {
        var buttonId = e.target.id;
        if (!_.isUndefined(buttonId) && !_.isNull(buttonId)) {
            if (_.isEqual(buttonId, "btnCloseStdReMapResult")) {
                $('#stdReMapResultModal').modal('hide');
            }

            if (_.isEqual(buttonId, "btnCloseVoucherRemap")) {
                $scope.isSearching = false;
            }

            if (_.isEqual(buttonId, "btnCloseVouchersDetail")) {
                $('#voucherDetailModal').modal('hide');
            }
        }
    }


    //获取标准科目重对应结果
    var getStdRemapResult = function () {
        //todo: period = -1 is only for test
        vatReductionService.getStdRemapResult(period).success(function (or) {
            if (!_.isUndefined(or) && !_.isNull(or)) {
                if (or.result) {
                    $log.debug("getStdRemapResult success");
                    if (!_.isUndefined(or.data) && !_.isNull(or.data)) {
                        $log.debug(or.data);
                        $scope.gridOptionsStdReMapResult.data = or.data;
                        $('#stdReMapResultModal').modal('show');
                    }
                }
                else {
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }

            }
            else {
                SweetAlert.warning($translate.instant('AccountReMappingFail'));
            }
        });
    }


    function setStdAccountIsLeaf(e) {
        var selectedCode = !_.isUndefined(e.selectedItem.code) ? e.selectedItem.code : e.selectedItem;
        var stdAccount = _.where($scope.stdAccountList, { code: selectedCode })[0];
        if (!_.isUndefined(stdAccount)) {
            $scope.stdAccountIsLeaf = !stdAccount.hasChildren;
        }
    }

    function isStdCodeLeafNode(codeValue) {
        var stdAccount = _.where($scope.stdAccountList, { code: codeValue })[0];
        if (!_.isUndefined(stdAccount)) {
            $scope.stdAccountIsLeaf = !stdAccount.hasChildren;
        }
    }

    function onSelectionChangedHandlerVoucherRemap(e) {
        setStdAccountIsLeaf(e);
        $scope.selectedStdCode = !_.isUndefined(e.selectedItem.code) ? e.selectedItem.code : e.selectedItem;
    }

    function onSelectionChangedHandlerCustRemap(e) {
        setStdAccountIsLeaf(e);
        $scope.selectedStdCode = !_.isUndefined(e.selectedItem.code) ? e.selectedItem.code : e.selectedItem;
    }


    function calcVoucherDebitCredit(vocuhers) {
        var sumDebit = 0.00;
        var sumCredit = 0.00;
        $.each(vocuhers, function (index, element) {
            sumDebit += PWC.parseFloatRound(element.debit, 2);
            sumCredit += PWC.parseFloatRound(element.credit, 2);
        });

        $scope.editVoucherRModel.reMapDebit = PWC.parseFloatRound(sumDebit.toString(), 2);
        $scope.editVoucherRModel.reMapCredit = PWC.parseFloatRound(sumCredit.toString(), 2);
    }


    //提交之前构建editVoucherRModel
    function constructReMapVoucherModel(selectedVouchers, reMapType, processTypeId) {
        var selectedRemapItem = $scope.gridApiReclassificationItem.selection.getSelectedRows()[0];
        var stdCode = "";
        if (!_.isNull(selectedRemapItem) && !_.isUndefined(selectedRemapItem)) {
            switch (processTypeId) {
                case enums.processType.Add:
                    stdCode = "";
                    break;
                case enums.processType.Edit:
                    stdCode = selectedRemapItem.stdCode;
                    break;
            }
        }

        $scope.editVoucherRModel = {
            //reMapId: !_.isUndefined(selectedRemapItem) ? selectedRemapItem.remapId : PWC.newGuid(),
            remapBatchId: !_.isUndefined(selectedRemapItem) ? selectedRemapItem.remapBatchId : PWC.newGuid(),
            code: $scope.enterpriseCode,
            stdCode: $scope.selectedStdCode,//$("#reMapStdAutoComplete").dxAutocomplete("instance").option("value"),
            reMapStdCode: stdCode,
            reMapName: $("#voucherName").val(),
            reMapDebit: PWC.round($("#voucherDebit").val(), 2),
            reMapCredit: PWC.round($("#voucherCredit").val(), 2),
            reMapReason: $("#voucherReason").val(),
            reMapTypeId: reMapType,
            reMapDateTime: new Date(),
            period: period,
            reMapProcessTypeId: processTypeId,
            vouchers: selectedVouchers
        };
    }

    //初始化凭证重分类的model:editVoucherRModel
    function initReMapVoucherModel(operation, reMapModel, reMapType) {
        $log.debug("initReMapVoucherModel");
        if (_.isEqual(operation, constant.Operation.Add)) {
            $scope.editVoucherRModel = {
                //reMapId: PWC.newGuid(),
                remapBatchId: PWC.newGuid(),
                code: $scope.enterpriseCode,
                stdCode: "",
                reMapStdCode: "",
                reMapName: "",
                reMapDebit: 0.00,
                reMapCredit: 0.00,
                reMapReason: "",
                reMapTypeId: reMapType,
                reMapDateTime: new Date(),
                period: period,
                reMapProcessTypeId: $scope.processTypeId,
                vouchers: _.isNull(reMapModel) || _.isUndefined(reMapModel) ? null : reMapModel.vouchers
            };
            $scope.selectedVouchers = null;
        }

        if (_.isEqual(operation, constant.Operation.Edit)) {
            $scope.editVoucherRModel = {
                //reMapId: reMapModel.remapId,
                remapBatchId: reMapModel.remapBatchId,
                code: $scope.enterpriseCode,
                stdCode: reMapModel.stdCode,
                reMapStdCode: reMapModel.stdCode,
                reMapName: reMapModel.reMappName,
                reMapDebit: reMapModel.remapDebit,
                reMapCredit: reMapModel.remapCredit,
                reMapReason: reMapModel.reMappReason,
                reMapTypeId: reMapType,
                reMapDateTime: new Date(),
                period: period,
                reMapProcessTypeId: $scope.processTypeId,
                vouchers: _.isNull(reMapModel) || _.isUndefined(reMapModel) ? null : reMapModel.vouchers
            };
            //$("#reMapStdAutoComplete").dxAutocomplete("instance").option("value", reMapModel.stdCode);
            $scope.selectedStdCode = reMapModel.stdCode;
        }
    }


    function constructReMapCustModel(reMapType) {
        $scope.editManualRModel = {
            code: $scope.enterpriseCode,
            stdCode: $scope.selectedStdCode,//$("#reMapCustStdAutoComplete").dxAutocomplete("instance").option("value"),
            reMapName: $("#manualName").val(),
            reMapDebit: PWC.round($("#manualDebitBal").val(), 2),
            reMapCredit: PWC.round($("#manualCreditBal").val(), 2),
            reMapReason: $("#manualReason").val(),
            reMapTypeId: reMapType,
            period: period
        };
    }


    //初始化手动重分类的model:editManualRModel
    //operation: 操作类型。 constant.Operation.Add: 添加操作； constant.Operation.Edit：编辑操作
    //reMapType: 重对应类型。永远为2
    //reMapItem: 选中的重对应数据。Add操作时为NULL
    function initReMapCustModel(operation, reMapType, reMapItem) {
        if (_.isEqual(operation, constant.Operation.Add)) {
            $scope.editManualRModel = {
                code: "",
                stdCode: "",
                reMapName: "",
                reMapDebit: 0.00,
                reMapCredit: 0.00,
                reMapReason: "",
                reMapTypeId: reMapType,
                period: period
            }
            $scope.selectedVouchers = null;
        }

        if (_.isEqual(operation, constant.Operation.Edit) && !_.isNull(reMapItem)) {
            $scope.editManualRModel = {
                code: reMapItem.acctCode,
                stdCode: reMapItem.stdCode,
                reMapName: reMapItem.reMappName,
                reMapDebit: reMapItem.remapDebit,
                reMapCredit: reMapItem.remapCredit,
                reMapReason: reMapItem.reMappReason,
                reMapTypeId: reMapType,
                period: period
            }
            //$("#reMapCustStdAutoComplete").dxAutocomplete("instance").option("value", reMapItem.stdCode);
            $scope.selectedStdCode = reMapItem.stdCode;
        }

    }


    //获取重对应结果（包含凭证信息）
    function getReMapItemByCode(estCode) {
        vatReductionService.getClassificationList(estCode).success(function (or) {
            if (!_.isNull(or) && !_.isUndefined(or)) {
                if (or.result) {
                    $log.debug(or.data);
                    $scope.gridOptionsReclassificationItem.data = or.data;
                    $log.debug("getReMapItemByCode assigned value finished");
                    $log.debug($scope.gridOptionsReclassificationItem.data);
                }
                else {
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }
            }
            else {
                SweetAlert.warning($translate.instant('AccountReMappingFail'))
            }

        });
    }


    function deleteReMappingRecords(model) {
        logDto.ID = PWC.newGuid();
        logDto.CreateTime = new Date();
        logDto.UpdateTime = new Date();
        logDto.OperationObject = $scope.enterpriseCode;
        logDto.OperationContent = model.reMappName;
        logDto.OriginalState = "";

        var vStdDto = _.where($scope.stdAccountList, { code: model.stdCode })[0];
        var vUpdateState = "";
        if (!_.isNull(vStdDto) && !_.isUndefined(vStdDto)) {
            vUpdateState = vStdDto.code + "-" + vStdDto.fullName + ":"
                    + $translate.instant('AccountVoucher_Debit') + ":" + model.remapDebit + "  "
                    + $translate.instant('AccountVoucher_Credit') + ":" + model.remapCredit;
        }
        logDto.UpdateState = vUpdateState;

        if (model.reMappTypeId === enums.vatReMapType.ReMapVoucher) {
            logDto.OperationType = enums.vatLogOperationTypeEnum.AM_DeleteVoucherClass;
            logDto.OperationName = $translate.instant('DeleteVoucherRemap');
        }


        if (model.reMappTypeId === enums.vatReMapType.ReMapCust) {
            logDto.OperationType = enums.vatLogOperationTypeEnum.AM_DeleteManualClass;
            logDto.OperationName = $translate.instant('DeleteCustRemap');
        }

        vatReductionService.deleteReMappingRecords(model).success(function (or) {
            if (!_.isNull(or) && !_.isUndefined(or)) {
                if (or.result) {
                    getReMapItemByCode(model.acctCode);
                    vatOperationLogService.addOperationLog(logDto);
                    InitEnterpriseSubject();
                    SweetAlert.success($translate.instant('AccountReMappingSuccess'));

                }
                else {
                    logDto.UpdateState = $translate.instant('AccountReMappingFail');
                    vatOperationLogService.addOperationLog(logDto);
                    SweetAlert.warning($translate.instant(or.resultMsg));
                }
            }
            else {
                logDto.UpdateState = $translate.instant('AccountReMappingFail');
                vatOperationLogService.addOperationLog(logDto);
                SweetAlert.warning($translate.instant('AccountReMappingFail'));
            }
        });
    }


    function showReMapVouchers(entity) {
        $log.debug("showReMapVouchers");
        $log.debug(entity);
        if (!_.isUndefined(entity) && !_.isNull(entity)) {
            //重分类明细选中凭证
            if (!_.isNull(entity.vouchers) && !_.isUndefined(entity.vouchers)) {
                var remapVouchers = _.filter(entity.vouchers, function (v) {
                    var chk = _.find(entity.remapIdes, function (id) { return id === v.remapId; });
                    return chk;
                });
                $scope.gridOptionsVouchersDetail.data = remapVouchers;//entity.vouchers;
                $('#voucherDetailModal').modal('show');
            }
            else { //企业科目列表选中凭证                     
                vatReductionService.getVouchersByCode(entity.code, period).success(function (or) {
                    if (!_.isNull(or) && !_.isUndefined(or)) {
                        if (or.result) {
                            $scope.gridOptionsVouchersDetail.data = or.data;
                            $('#voucherDetailModal').modal('show');
                        }
                        else {
                            SweetAlert.warning($translate.instant(or.resultMsg));
                        }
                    }
                    else {
                        SweetAlert.warning($translate.instant('GetVoucherDetailsFail'));
                    }
                });

            }

        }
    }

    function getAllStdCodes(id) {
        var tree = $("#vatStadardAccountTreeTable").fancytree("getTree");
        var treeSourceData = tree.toDict(true);
        $scope.stdAccountList = [];
        $.each(treeSourceData.children, function (index, item) {
            $.each(item.children, function (index1, item1) {
                getChildStdCodes(item1, $scope.stdAccountList);
            })
        });
        $("#" + id).dxAutocomplete("instance").option("dataSource", $scope.stdAccountList);
    }

    function getChildStdCodes(stdParent, stdLists) {
        stdParent.data.directionDesc = stdParent.data.direction === "1" ? $translate.instant('AccountVoucher_Direction_Debit')
                                       : $translate.instant('AccountVoucher_Direction_Credit');
        stdLists.push(stdParent.data);
        if (!_.isNull(stdParent.children) && !_.isUndefined(stdParent.children)) {
            $.each(stdParent.children, function (index, item) {
                item.data.directionDesc = item.direction === "1" ? $translate.instant('AccountVoucher_Direction_Debit')
                   : $translate.instant('AccountVoucher_Direction_Credit');
                getChildStdCodes(item, stdLists);
            })
        }
    };

    function getStdCodeListRescurive() {
        var tree = $("#vatStadardAccountTreeTable").fancytree("getTree");
        var treeSourceData = tree.toDict(true);
        if ($scope.stdAccountList.length === 0) {
            $scope.stdAccountList = [];
            $.each(treeSourceData.children, function (index, item) {
                $.each(item.children, function (index1, item1) {
                    getChildStdCodes(item1, $scope.stdAccountList);
                })
            });
        }
    }

    function setAutoCompleteDataSource(id) {
        getStdCodeListRescurive();
        $("#" + id).dxAutocomplete("instance").option("dataSource", $scope.stdAccountList);
    }

    //获取未对应企业科目数量
    function getEnterpriseAccountNotMapped() {
        vatReductionService.getEnterpriseAccountNotMapped(vatSessionService.month).success(function (data) {
            $scope.notMappedCount = vatSessionService.enterpriseAccountNotMappedCount = data;
            $scope.$emit('notMappedCount', $scope.notMappedCount);
        });
    };


    //获取TB、ERP导入类型
    function getPeriodInfor() {
        vatImportService.getImportType(vatSessionService.project.id, period).success(function (data) {
            $scope.importTypeId = data;
            vatImportService.IsImportAuditAdjustOnly(vatSessionService.project.id, period).success(function (or) {
                if (or.result) {
                    $scope.isImportAuditAdjust = or.data;

                }
            });
        });
    }

    function isEnterpriseCodeLeafAcct() {
        var selectedRow = $scope.gridApiSubject.selection.getSelectedRows()[0];
        if (!_.isNull(selectedRow) && !_.isUndefined(selectedRow)) {
            if (selectedRow.isLeaf === 1) {
                return true;
            }
            else {
                return false;
            }
        }
    }

    //重置凭证重对应的valudation results
    function resetVoucerRemapValidation() {
        $scope.stdAccountIsLeaf = true;
        $scope.addVoucherReclassificationItem.$setPristine();
    }

    //重置手工重对应的valudation results
    function resetCustRemapValidation() {
        $scope.stdAccountIsLeaf = true;
        $scope.addReclassificationItem.$setPristine();
    }


    //通过科目的$$treeLevel来决定使用哪个class
    //cellTemplate :'<div class="text-align-left-padding ui-grid-cell-contents {{grid.appScope.rowLevel(row.entity)}}"><span>{{row.entity.codeNameDesc}}<span></div>'
    function rowLevel(row) {
        var cls = '';
        cls = 'rowLevel-' + row.$$treeLevel;
        return cls;
    }

    function getExportData() {
        var temp = [];
        var data = $scope.gridOptionsSubjectList.data;
        data.forEach(function (d) {
            var item = {};
            item.code = d.code;
            item.stdCode = d.stdCode;
            item.fullName = d.fullName;
            item.stdFullName = d.stdFullName;
            item.directionDescription = d.directionDescription;
            item.stdDirection = d.stdDirection;
            temp.push(item);
        });

        $scope.exportDataList = temp;
        $log.debug($scope.exportDataList);
    }


    function exportData() {
        getExportData();
        $scope.isToPrint = true;
    }


    (function initialize() {
        //初始化右侧标准科目的树,使用jquery fancytree的方式来显示树，所以需要用到ajax的方式
        var stdAccountUrl = '/AccountMapping/stdAccounts/getStdAccountHierarchy';
        commonWebService.initVATFancyTreeAjax('vatStadardAccountTreeTable', stdAccountUrl, mapStdAccount);
        getEnterpriseAccountNotMapped();

        $scope.stdAccountsCategories = [];
        $scope.stdAccountList = [];
        // i18nService.setCurrentLang("zh-cn");
        //默认显示科目重分类grid
        $scope.ImportErrorTag = true;
        //借贷方向
        $scope.directionList = [
                { id: 1, name: $translate.instant('StandardAccountDebit') },
                { id: -1, name: $translate.instant('StandardAccountCredit') }
        ];

        //标准科目类别
        $scope.acctPropList = [
            { id: 0, name: 'UnKnow' },
            { id: 1, name: $translate.instant('StandardAccountAcctPropAsset') },
            { id: 2, name: $translate.instant('StandardAccountAcctPropDebt') },
            { id: 3, name: $translate.instant('StandardAccountAcctPropCommon') },
            { id: 4, name: $translate.instant('StandardAccountAcctPropInterest') },
            { id: 5, name: $translate.instant('StandardAccountAcctPropCost') },
            { id: 6, name: $translate.instant('StandardAccountAcctPropProfitAndLoss') }
        ];

        //操作菜单选择框
        $scope.processMenuList = [
            //{ key: 'UnSelected', name: $translate.instant('AccountMappingMenuUnSelect') },
            { key: constant.AccountMappingProcessKey.Submit, name: $translate.instant('AccountMappingSubmit') },
            { key: constant.AccountMappingProcessKey.Undo, name: $translate.instant('AccountMappingUndo') }
        ];

        $scope.currentProcess = {};
        $scope.currentProcess.selected = {
            key: constant.AccountMappingProcessKey.UnSelected, name: $translate.instant('AccountMappingMenuUnSelect')
        };

        //********start 重对应autocomplete scope变量定义********

        $scope.maxStdCodeLength = constant.ReMapMaxLength.MaxStdCodeLength;
        $scope.autocompletePlaceholder = $translate.instant('MaxLengthTips').formatObj({ maxLength: $scope.maxStdCodeLength }) + "  "
                                         + $translate.instant("TypeStandardCode");
        $scope.autocompleteSearchModeStartsWith = "startswith";
        $scope.autocompleteSearchModeContains = "contains";
        $scope.maxTextLength = constant.ReMapMaxLength.MaxTextLength;
        $scope.maxRemarkLength = constant.ReMapMaxLength.MaxRemarkLength;
        $scope.regexNum = "/^(\-)?\d+(\.\d{1,2})?$/"; //带1-2位小数的正数或负数 需要在开头和结尾加'/'，不然会报Lexer error  
        $scope.stdAccountIsLeaf = true; //默认不展示错误提示
        $scope.onSelectionChangedHandlerCustRemap = onSelectionChangedHandlerCustRemap;
        $scope.onSelectionChangedHandlerVoucherRemap = onSelectionChangedHandlerVoucherRemap;


        //********end 重对应autocomplete scope变量定义********




        //企业科目列表grid
        $scope.gridOptionsSubjectList = {
            virtualizationThreshold: 50,
            enableColumnResizing: true,
            enableRowSelection: false,
            enableSelectAll: true,
            rowHeight: constant.UIGrid.rowHeight,
            enableRowHeaderSelection: true,
            modifierKeysToMultiSelect: true, //按住Ctrl才能多选 
            enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
            enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
            selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
            enableSorting: false,
            enableColumnMenus: true,
            enableFiltering: false,
            showTreeExpandNoChildren: false,
            enableFullRowSelection: false, //是否点击行任意位置后选中,默认为false
            multiSelect: true,// 是否可以选择多个,默认为true;
            columnDefs: [
                {
                    name: $translate.instant('CITProject'), headerCellClass: '', width: '25%', pinnedLeft: true,
                    cellTemplate: '<div class="text-align-left-padding ui-grid-cell-contents"><span>{{row.entity.codeNameDesc}}<span></div>'
                },
                {
                    name: $translate.instant('SubjectDirectionCol'), headerCellClass: '', width: '10%', pinnedLeft: true,
                    cellTemplate: '<div class="text-align-left-padding">'
                                  + '<span>{{row.entity.directionDescription}}</span></div>'
                },
                {
                    name: $translate.instant('SubjectTypeCol'), headerCellClass: '', width: '10%',
                    cellTemplate: '<div class="text-align-left-padding">'
                                 + ' <span>{{row.entity.acctPropStr}}</span></div>'
                },
                {
                    name: $translate.instant('DebitRelevantAmtCol'), headerCellClass: '', width: '20%',
                    cellTemplate: '<div class="text-align-right-padding">'
                                 + ' <span>{{row.entity.debitBal}}</span></div>'
                },
                {
                    name: $translate.instant('CreditRelevantAmtCol'), headerCellClass: '', width: '20%',
                    cellTemplate: '<div class="text-align-right-padding">'
                                 + ' <span>{{row.entity.creditBal}}</span></div>'
                },
                {
                    name: $translate.instant('DebitReclassificationCol'), headerCellClass: '', width: '15%',
                    cellTemplate: '<div class="text-align-right-padding">'
                                 + ' <span>{{row.entity.remapDebit}}</span></div>'
                },
                {
                    name: $translate.instant('CreditReclassificationCol'), headerCellClass: '', width: '15%',
                    cellTemplate: '<div class="text-align-right-padding">'
                                 + ' <span>{{row.entity.remapCredit}}</span></div>'
                },
                {
                    name: $translate.instant('StandardSubjectCol'), headerCellClass: '', width: '20%',
                    cellTemplate: '<div class="text-align-left-padding"><span title="{{row.entity.stdResult}}"><i class="material-icons map-status-flag" ng-if="row.entity.stdCode == null">flag</i>{{row.entity.stdResult}}</span></div>'
                },
                {
                    name: $translate.instant('RelatedVoucherCol'), headerCellClass: '', width: '10%',
                    cellTemplate: '<div class="text-align-left-padding" ng-click="grid.appScope.showReMapVouchers(row.entity)">'
                                  + ' <i class="fa fa-clipboard" style="color:#E84100;" aria-hidden="true" ng-if="row.entity.isShowVoucher"></i></div>'
                },
                {
                    name: $translate.instant('IsLeafCol'), headerCellClass: '', width: '15%', visible: false,
                    cellTemplate: '<div class="text-align-right-padding"><span>{{row.entity.isLeaf}}</span></div>'
                },
                {
                    name: $translate.instant('StdAcctPropCol'), headerCellClass: '', width: '15%', visible: false,
                    cellTemplate: '<div class="text-align-right-padding"><span>{{row.entity.stdAcctProp}}</span></div>'
                },
                {
                    name: $translate.instant('EnterAcctPropCol'), headerCellClass: '', width: '15%', visible: false,
                    cellTemplate: '<div class="text-align-right-padding"><span>{{row.entity.enterAcctProp}}</span></div>'
                },
            ],
            onRegisterApi: function (gridApi) {
                $scope.gridApiSubject = gridApi;
                $scope.gridSelectCount = $scope.gridApiSubject.selection.getSelectedRows().length;
                var onRowsRenderedOff = gridApi.core.on.rowsRendered(null, function () {
                    onRowsRenderedOff(); // run once
                    PWC.triggerRowSelectOnClick('#etsGrid'); // requires '.ui-grid-canvas'
                });
                // call resize every 500 ms for 5 s after modal finishes opening - usually only necessary on a bootstrap modal
                //$interval(function () {
                //    $scope.gridApiSubject.core.handleWindowResize();
                //}, 500, 60 * 60 * 8);

                $interval(function () {
                    $scope.gridApiSubject.core.handleWindowResize();
                }, 500, 60 * 60 * 8);

                $scope.gridApiSubject.selection.on.rowSelectionChanged($scope, function (row) {
                    var msg = 'row selected ' + row.isSelected;
                    $log.debug(msg);
                    $log.debug(row);
                    if (row.isSelected) {
                        $scope.showReclassificationItemGrid(row.entity);
                    }
                });
            }
        };

        //重分类明细grid
        $scope.gridOptionsReclassificationItem = {
            virtualizationThreshold: 50,
            enableColumnResizing: true,
            rowHeight: constant.UIGrid.rowHeight,
            selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
            enableSorting: false,
            enableColumnMenus: false,
            enableHorizontalScrollbar: uiGridConstants.scrollbars.NEVER,
            enableRowSelection: true,
            enableSelectAll: false,
            enableRowHeaderSelection: false,
            enableFiltering: false,
            showTreeExpandNoChildren: false,
            multiSelect: false,
            columnDefs: [
                {
                    name: $translate.instant('ReclassificationIdCol'), headerCellClass: '', visible: false,
                    cellTemplate: '<div class="text-align-left-padding" ng-show = "false"><span>{{row.entity.remapId}}<span></div>'
                },
                {
                    name: $translate.instant('ReclassificationBatchIdCol'), headerCellClass: '', visible: false,
                    cellTemplate: '<div class="text-align-left-padding" ng-show = "false"><span>{{row.entity.remapBatchId}}<span></div>'
                },
                {
                    name: $translate.instant('ImportErrorPopUpNoCol'), width: '5%', headerCellClass: '',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.num}}<span></div>'
                },
                {
                    name: $translate.instant('ReclassificationNameCol'), width: '15%', headerCellClass: '',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.reMappName}}</span></div>'
                },
                {
                    name: $translate.instant('AdjustmentReasonCol'), width: '15%', headerCellClass: '',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.reMappReason}}</span></div>'
                },
                {
                    name: $translate.instant('AccountReMappingCustomerCode'), headerCellClass: '', visible: false,
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.customerCode}}</span></div>'
                },
                {
                    name: $translate.instant('AccountReMappingDebit'), width: '15%', headerCellClass: '',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.remapDebit}}</span></div>'
                },
                {
                    name: $translate.instant('AccountReMappingCredit'), width: '15%', headerCellClass: '',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.remapCredit}}</span></div>'
                },
                {
                    name: $translate.instant('STANDARDProject'), width: '15%', headerCellClass: 'text-align-center',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.stdCode}}</span></div>'
                    //cellTemplate: '<div class="text-align-left-padding"><span><i class="material-icons map-status-flag" ng-if="row.entity.etsCode === null">flag</i>{{row.entity.etsCode === null ? "未对应" : (row.entity.etsCode + "-" + row.entity.etsName)}}</span></div>'
                },
                {
                    name: $translate.instant('AccountReMappingType'), width: '10%', headerCellClass: 'text-align-center',
                    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.reMappTypeDesc}}</span></div>'
                    //cellTemplate: '<div class="text-align-left-padding"><span><i class="material-icons map-status-flag" ng-if="row.entity.etsCode === null">flag</i>{{row.entity.etsCode === null ? "未对应" : (row.entity.etsCode + "-" + row.entity.etsName)}}</span></div>'
                },
                {
                    name: $translate.instant('RelatedVoucherCol'), width: '10%', headerCellClass: '',
                    cellTemplate: '<div class="text-align-left-padding" ng-click="grid.appScope.showReMapVouchers(row.entity)"><span></span>'
                        + ' <i class="fa fa-clipboard" style="color:#E84100;" aria-hidden="true" ng-if = "row.entity.vouchers != null" ></i></div>'
                },
                //{
                //    name: $translate.instant('RelatedAttachmentCol'), width: '5%', headerCellClass: '',
                //    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.attachments}}</span></div>'
                //}
            ],
            onRegisterApi: function (gridApi) {
                $scope.gridApiReclassificationItem = gridApi;
                // call resize every 500 ms for 5 s after modal finishes opening - usually only necessary on a bootstrap modal
                //$interval(function () {
                //    $scope.gridApiReclassificationItem.core.handleWindowResize();
                //}, 500, 60 * 60 * 8);


                $scope.gridApiReclassificationItem.selection.on.rowSelectionChanged($scope, function (row) {
                    var msg = 'row selected ' + row.isSelected;
                    $log.debug(msg);
                    $log.debug(row);
                    if (row.isSelected) {
                        $scope.onReMapGridRowSelectionChanged(row.entity);
                    }
                });

            }
        };


        //标准科目对应结果
        $scope.gridOptionsStdReMapResult = {
            virtualizationThreshold: 50,
            enableColumnResizing: true,
            rowHeight: constant.UIGrid.rowHeight,
            selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
            enableSorting: false,
            enableColumnMenus: false,
            enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
            enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
            enableRowSelection: true,
            enableSelectAll: false,
            enableRowHeaderSelection: false,
            enableFiltering: false,
            showTreeExpandNoChildren: false,
            multiSelect: false,
            columnDefs: [
               {
                   name: $translate.instant('STANDARDProject'), headerCellClass: '', width: '15%',
                   cellTemplate: '<div class="text-align-left-padding" ><span>{{row.entity.stdCodeAndStdName}}</span></div>'
               },
               {
                   name: $translate.instant('FinalDebit'), headerCellClass: '', width: '15%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.stdDebitStr}}</span></div>'
               },
               {
                   name: $translate.instant('FinalCredit'), headerCellClass: '', width: '15%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.stdCreditStr}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColAcctCodeAndNameShow'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.acctCodeAndAcctName}}</span></div>'
               },
               {
                   name: $translate.instant('DebitRelevantAmtCol'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.debitStr}}</span></div>'
               },
               {
                   name: $translate.instant('CreditRelevantAmtCol'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.creditStr}}</span></div>'
               },
               {
                   name: $translate.instant('DebitReclassificationCol'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.remapDebitStr}}</span></div>'
               },
               {
                   name: $translate.instant('CreditReclassificationCol'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.remapCreditStr}}</span></div>'
               },
               {
                   name: $translate.instant('ConfirmDebit'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.acctRealDebitStr}}</span></div>'
               },
               {
                   name: $translate.instant('ConfirmCredit'), headerCellClass: '', width: '10%',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.acctRealCreditStr}}</span></div>'
               }
            ],
            onRegisterApi: function (gridApi) {
                $scope.gridApiStdMapResult = gridApi;
                // call resize every 500 ms for 5 s after modal finishes opening - usually only necessary on a bootstrap modal
                $interval(function () {
                    $scope.gridApiStdMapResult.core.handleWindowResize();
                }, 500, 60 * 60 * 8);
            }
        }


        //凭证信息
        $scope.gridOptionsVouchersDetail = {
            virtualizationThreshold: 50,
            enableColumnResizing: true,
            rowHeight: constant.UIGrid.rowHeight,
            selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
            enableSorting: false,
            enableColumnMenus: false,
            enableHorizontalScrollbar: uiGridConstants.scrollbars.NEVER,
            enableRowSelection: false,
            enableSelectAll: false,
            enableRowHeaderSelection: false,
            enableFiltering: false,
            showTreeExpandNoChildren: false,
            multiSelect: false,
            columnDefs: [
               {
                   name: $translate.instant('JournalQJ'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding" ><span>{{row.entity.period}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColDate'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.date | date:"yyyy-MM-dd"}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColGroup'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.group}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColVID'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.vid}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColSummary'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.summary}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColAcctCodeAndNameShow'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding" ><span>{{row.entity.acctCodeAndNameShow}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_DataGrid_ColStdCodeAndNameShow'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.stdCodeAndNameShow}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_Debit'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.debit}}</span></div>'
               },
               {
                   name: $translate.instant('AccountVoucher_Credit'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.credit}}</span></div>'
               },
               {
                   name: $translate.instant('AccountReMappingCustomerCode'), headerCellClass: '',
                   cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.customerCode}}</span></div>'
               }
               //{
               //    name: $translate.instant('itemID'), headerCellClass: '',
               //    cellTemplate: '<div class="text-align-left-padding"><span>{{row.entity.itemID}}</span></div>'
               //}                                         
            ],
            onRegisterApi: function (gridApi) {
                $scope.gridApiVouchersDetail = gridApi;
                //$scope.gridApiVouchersDetail.core.handleWindowResize();
                // call resize every 500 ms for 5 s after modal finishes opening - usually only necessary on a bootstrap modal
                $interval(function () {
                    $scope.gridApiVouchersDetail.core.handleWindowResize();
                }, 500, 60 * 60 * 8);
            }
        }



        //var editorValue = ko.observable("").extend({
        //    dxValidator: {
        //        validationRules: [{
        //            type: 'required',
        //            message: 'Specify this value'
        //        }]
        //    }
        //});

        //重对应 autocomplete配置
        $scope.dxAutocompleteOptions = {
            CustRemapAutocomplete: {
                dataSource: $scope.stdAccountList,
                minSearchLength: 1,
                maxItemCount: 7,
                searchTimeout: 50,
                placeholder: $scope.autocompletePlaceholder,
                valueExpr: 'code',
                searchExpr: 'code',
                focusStateEnabled: true,
                itemTemplate: 'acStdItemTemplate',
                //validationError: editorValue.dxValidator.validationError,
                onSelectionChanged: $scope.onSelectionChangedHandlerCustRemap,
                bindingOptions: {
                    maxLength: 'maxStdCodeLength',
                    searchMode: 'autocompleteSearchModeContains',
                    value: 'selectedStdCode'
                    //disabled: "!queryParams.selectors.accountCode.selected.id",                   

                }

            },

            VoucherRemapAutoComplete: {
                dataSource: $scope.stdAccountList,
                minSearchLength: 1,
                maxItemCount: 7,
                searchTimeout: 50,
                placeholder: $scope.autocompletePlaceholder,
                valueExpr: 'code',
                searchExpr: 'code',
                focusStateEnabled: true,
                itemTemplate: 'acStdItemTemplate',
                //validationError: editorValue.dxValidator.validationError,
                onSelectionChanged: $scope.onSelectionChangedHandlerVoucherRemap,
                bindingOptions: {
                    maxLength: 'maxStdCodeLength',
                    searchMode: 'autocompleteSearchModeContains',
                    value: 'selectedStdCode'
                    //disabled: "!queryParams.selectors.accountCode.selected.id",                   

                }
            }
        }


        $scope.popTheParentCode = function () {
            $scope.isShowStdFilter = true;
            $scope.selectedStdCode = "";
        }

        InitEnterpriseSubject();
        InitNgData();
        //默认隐藏重分类明细grid
        setErrorWrapCssDefault();
        getPeriodInfor();
        $scope.manualMapAlter = true; //手工对应时，“是否重新对应”的提示只出现一次

        $scope.stateChanged = stateChanged;

        $scope.autoMap = autoMap;

        $scope.ClearMap = ClearMap;

        $scope.toggle1 = toggle1;

        $scope.toggleStdSubject = toggleStdSubject;

        $scope.mapStdAccount = mapStdAccount;

        $scope.getReclassificationItemGridHeight = getReclassificationItemGridHeight;

        $scope.toggleReclassificationGridTab = toggleReclassificationGridTab;

        $scope.manualReclassificate = manualReclassificate;

        $scope.voucherReclassificate = voucherReclassificate;

        $scope.showReclassificationItemGrid = showReclassificationItemGrid;

        $scope.saveManualReclassification = saveManualReclassification;

        $scope.saveVoucherReclassification = saveVoucherReclassification;

        $scope.getStdRemapResult = getStdRemapResult;

        $scope.closeModal = closeModal;

        $scope.submitAccountMap = submitAccountMap;

        $scope.undoAccountMap = undoAccountMap;

        $scope.showOperateLogPop = showOperateLogPop;


        checkUserOrganizationPermissionList();
        initReMapVoucherModel(constant.Operation.Add, null, -1);
        initReMapCustModel(constant.Operation.Add, -1, null);

        $scope.showReMapVouchers = showReMapVouchers;
        $scope.rowLevel = rowLevel;
        $scope.editReMapItem = editReMapItem;
        $scope.deleteReMapItem = deleteReMapItem;
        $scope.onReMapGridRowSelectionChanged = onReMapGridRowSelectionChanged;
        $scope.enterpriseCode;//选中的企业科目代码    
        $scope.selectedVouchers;//凭证对应时选中的分录
        $scope.reMappId;//重对应明细记录的id
        $scope.isSubmitted = vatSessionService.project.projectStatusList[vatSessionService.month] <= constant.ProjectStatusEnum.Imported
                             ? false : true;
        $scope.isSearching = false;
        $scope.remapTitle = "";
        $scope.processTypeId = enums.processType.UnDefined;
        $scope.userId = vatSessionService.logUser.id;
        $scope.exportData = exportData;
        $scope.isToPrint = false;
        $scope.exportDataList = [];


        //watch $scope.selectedVouchers的长度变化
        $scope.$watch('selectedVouchers.length', function (newValue, oldValue) {
            $log.debug("start to watch selectedVouchers");
            $log.debug($scope.selectedVouchers);
            calcVoucherDebitCredit($scope.selectedVouchers);
        });

        $scope.$watch('selectedStdCode', function (newValue, oldValue) {
            isStdCodeLeafNode(newValue);
        });

        //执行exportData(),table: exportTable ng-repeat绘制完成后执行
        $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
            if ($scope.isToPrint) {
                export_table_to_excel('exportTable', 'AccountMapping', 'xlsx', '');
            }
            $scope.isToPrint = false;
        });


    })();
}
]);
vatModule.directive('vatAccountMapping', ['$log',
    function ($log) {
        'use strict';

        $log.debug('vatAccountMapping.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/reduction/vat-account-mapping/vat-account-mapping.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'vatAccountMappingController',
            link: function ($scope, $element, $attr) {
                Split(['#left-container', '#right-container'], {
                    //An array of initial sizes of the elements, specified as percentage values. Example: Setting the initial sizes to 25% and 75%.
                    sizes: [78, 22],
                    //An array of minimum sizes of the elements, specified as pixel values. Example: Setting the minimum sizes to 100px and 300px, respectively.
                    minSize: [750, 250],
                    onDragEnd: function () {
                        //$timeout(function () {
                        //    $rootScope.$broadcast(enums.vatEvent.layoutChanged, {});
                        //}, 700);
                    }
                });
                $scope.token = $('input[name="__RequestVerificationToken"]').val();

                //企业科目列表和标准科目列表切换
                $scope.SwitchAccount = function () {
                    $('.subject-corresponding-container').toggle();
                    $('.std-subject-container').toggle();
                };

                $(".filter-select").on("click", function (e) {
                    e.stopPropagation();
                });

                $scope.showFilter = function () {
                    if ($('.filter-select').is(":hidden")) {
                        $(".filter-select").show();
                    } else {
                        $(".filter-select").hide();
                    }

                    $(document).one("click", function () {
                        $(".filter-select").hide();
                    });
                    event.stopPropagation();
                };
            }
        };
    }
]);
vatModule.controller('vatCaculateDataController', ['$scope', '$log', '$timeout', '$q', '$translate', 'loginContext',
    'apiInterceptor', 'Upload', 'dataImportService', 'SweetAlert', 'vatReductionService', 'vatSessionService', 'uiGridConstants',
    'enums', 'modelConfigurationService', 'vatReportService', 'vatCommonService', 'BSPLService', 'vatOperationLogService',
    'vatWorkflowService',
    function ($scope, $log, $timeout, $q, $translate, loginContext, apiInterceptor, Upload, dataImportService, SweetAlert,
              vatReductionService, vatSessionService, uiGridConstants, enums, modelConfigurationService, vatReportService, vatCommonService
        , BSPLService, vatOperationLogService, vatWorkflowService) {
        'use strict';
        $log.debug('vatCaculateDataController.ctor()...');

        var taskList = [];
        var fixedRef = [];
        $scope.period = vatSessionService.month;
        $scope.moduleid = enums.vatModuleEnum.Import_CalculateData;


        var initTasks = function () {

            var task = function (id, status, name) {
                this.id = id;
                this.name = _.isEmpty(name) ? $translate.instant(id) : name;
                this.status = status;
                this.text = $translate.instant(status);
            };
            task.prototype.doTask = function () {
                var _this = this;

                switch (_this.id) {
                    case 'GenerateStdTb':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        // vatReductionService.submitAccountMappingNoLoading(enums.vatReMapType.ReMapVoucher, enums.vatReMapType.ReMapCust).success(function (data) {
                        //     updateProgress(data, _this);
                        // }).error(function () {
                        //     taskError(_this);
                        // });
                        break;
                    case 'GenerateFinanceReport':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        // BSPLService.GenerateBSPLWithoutLoading(vatSessionService.project.id, vatSessionService.month).success(function () {
                        //     var data = { result: true };
                        //     updateProgress(data, _this);
                        // }).error(function () {
                        //     taskError(_this);
                        // });
                        break;
                    case 'CompareUnbilled':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        // vatReductionService.CompareOutputInvoice(vatSessionService.month).success(function (data) {
                        //     data.result = true;
                        //     updateProgress(data, _this);
                        // }).error(function () {
                        //     taskError(_this);
                        // });
                        break;
                    case 'CaculateUnbilled':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        // vatReductionService.CaculateUnbilled(vatSessionService.month, vatSessionService.project).success(function (data) {
                        //     data.result = true;
                        //     updateProgress(data, _this);
                        // }).error(function () {
                        //     taskError(_this);
                        // });
                        break;
                    case 'CaculateBuildinModel':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        modelConfigurationService.getModelResult(vatSessionService.project.id, enums.serviceType.VAT, vatSessionService.month).success(function (data) {
                            data.result = true;
                            updateProgress(data, _this);
                        }).error(function () {
                            taskError(_this);
                        });
                        break;
                    case 'CollectBuildinModelResult':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        modelConfigurationService.migrateModelResult(vatSessionService.project.organizationID, vatSessionService.project.year, vatSessionService.project.id, vatSessionService.project.serviceTypeID).success(function (data) {
                            data.result = true;
                            updateProgress(data, _this);
                        }).error(function () {
                            taskError(_this);
                        });
                        break;
                    case 'UpdateReportConfig':
                        //$q.all().then(function () {
                        //    var data = { result: true };

                        //    updateProgress(data, _this);

                        //}, function () {
                        //    taskError(_this);
                        //});
                        vatReportService.updateConfig(vatSessionService.project.id, true, vatSessionService.month).success(function (data) {
                            var data = {result: true};
                            updateProgress(data, _this);
                            //vatReportService.getTemplateReferences(vatSessionService.month).then(function (refData) {
                            //    if (refData && refData.data) {
                            //        // 初始化resolve列表
                            //        var newRefData = _.chain(refData.data).reject(function (x) {
                            //            return _.isEmpty(x.referenceFromTemplateID) || _.isEmpty(x.referenceToTemplateID);
                            //        }).map(function (x) {
                            //            return {
                            //                referFrom: x.referenceFromTemplateID,
                            //                referTo: x.referenceToTemplateID,
                            //                resolved: x.isResolved
                            //            };
                            //        }).value();
                            //        $scope.resolveRef.push.apply($scope.resolveRef, newRefData);
                            //    }

                            //    return $q.when(data);
                            //}).then(function () {
                            //    updateProgress(data, _this);
                            //});
                        }).error(function () {

                            taskError(_this);
                        });
                        break;
                    case 'CalculateKeyValue':
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        vatReportService.calculateKeyValue(vatSessionService.project.id, vatSessionService.month).success(function (data) {
                            updateProgress(data, _this);
                        }).error(function () {
                            taskError(_this);
                        });
                        break;
                    default:
                        //$q.all().then(function () {
                        //    var data = { result: true };
                        //    updateProgress(data, _this);
                        //}, function () {
                        //    taskError(_this);
                        //});
                        //vatReportService.generate(vatSessionService.project.id, _this.id, true, vatSessionService.month, vatSessionService.logUser.ID).success(function (data) {
                        //    updateProgress(data, _this);
                        //}).error(function () {
                        //    taskError(_this);
                        //});
                        if (_.some($scope.resolveRef, function (x) {
                            return x.referFrom === _this.id || x.referTo === _this.id;
                        })) {
                            $q.when().then(function () {
                                $timeout(function () {
                                    var data = {result: true};
                                    updateProgress(data, _this, false);
                                }, 2000);
                            });
                        }
                        else {
                            vatReportService.generateAll(vatSessionService.project.id, true, vatSessionService.month, vatSessionService.logUser.id ? vatSessionService.logUser.id : "").success(function (data) {
                                updateProgress(data, _this);
                            }).error(function () {
                                taskError(_this);
                            });
                        }
                        break;
                }
            };
            task.prototype.name = null;
            task.prototype.id = null;
            task.prototype.status = null;
            task.prototype.text = null;

            vatReportService.getTemplate(vatSessionService.project.id, constant.serviceType.VAT, vatSessionService.month).then(function (report) {
                var result = [];
                // result.push({ name: $translate.instant('ProcessData'), items: [new task('GenerateStdTb', 'unstarted')] });
                // result.push({ name: $translate.instant('ProcessData'), items: [new task('CompareUnbilled', 'unstarted')] });
                // result.push({ name: $translate.instant('ProcessData'), items: [new task('CaculateUnbilled', 'unstarted'), new task('UpdateReportConfig', 'unstarted'), new task('GenerateFinanceReport', 'unstarted')] });
                result.push({ name: $translate.instant('ProcessData'), items: [new task('UpdateReportConfig', 'unstarted')] });
                result[result.length - 1].items.forEach(function (t) { t.seqNo = result.length - 1 });

                fixedRef = [];
                if (report && report.data && report.data.data) {
                    result.push({
                        name: $translate.instant('GenerateReport'),
                        isReportTask: true,
                        items: _.map(report.data.data, function (x) {
                            return new task(x.templateId, 'unstarted', x.templateName);
                        })
                    });

                    // 从第二张报表开始添加依赖
                    for (var i = 1; i < report.data.data.length - 1; i++) {
                        fixedRef.push({
                            referFrom: report.data.data[i] && report.data.data[i].templateId,
                            referTo: report.data.data[i + 1] && report.data.data[i + 1].templateId,
                            resolved: false
                        });
                    }
                }

                // result.push({ name: $translate.instant('CalculateKeyValue'), items: [new task('CalculateKeyValue', 'unstarted')] });
                // result.push({ name: $translate.instant('BuildinModel'), items: [new task('CaculateBuildinModel', 'unstarted')] });
                // result.push({ name: $translate.instant('ModelCollection'), items: [new task('CollectBuildinModelResult', 'unstarted')] });

                var i = 0;
                result.forEach(function (item) {
                    result[i].items.forEach(function (t) {
                        t.seqNo = i
                    });
                    i++;
                    taskList = taskList.concat(item.items);
                });

                $scope.tasks = result;
            });
        };

        function doStartCaculate() {
            $scope.readonly = true;
            $scope.resolveRef.length = 0;
            $scope.resolveRef.push({
                    referFrom: 'UpdateReportConfig',
                    referTo: 'UpdateReportConfig',
                    resolved: false
                }
                // , {
                //     referFrom: 'UpdateReportConfig',
                //     referTo: 'GenerateFinanceReport',
                //     resolved: false
                // }
            );
            fixedRef.forEach(function (r) {
                $scope.resolveRef.push(angular.copy(r));
            });
            taskList.forEach(function (t) {
                t.status = 'unstarted';
                t.text = $translate.instant(t.status);
            })
            $scope.tasks[0].items.forEach(function (t) {
                t.doTask();
                t.status = 'processing';
                t.text = $translate.instant(t.status);
            });
            writeLog($translate.instant('startCaculateData'), null);
            // $scope.tasks[1].items.forEach(function (t) {
            //     t.doTask();
            // });
        }

        var startCaculate = function () {
            if (vatSessionService.project.projectStatusList[vatSessionService.month] >= constant.ProjectStatusEnum.Generated) {
                swal({
                        title: "warning!",
                        text: $translate.instant('IsConfirmReCalcuate').formatObj({status: vatCommonService.getProjectStautsEnumDesc(vatSessionService.project.projectStatusList[vatSessionService.month])}),
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#DD6B55",
                        confirmButtonText: $translate.instant('Yes'),
                        cancelButtonText: $translate.instant('No'),
                        closeOnConfirm: true,
                        closeOnCancel: true
                    },
                    function (isConfirm) {
                        if (isConfirm) {
                            doStartCaculate();
                        }
                        else {
                            swal.close();
                        }
                    });
            }
            else {
                doStartCaculate();
            }
        };

        var caculateProgress = function (task) {

            var completedCnt = taskList.filter(function (t) {
                return (t.status === 'completed' || t.status === 'error');
            }).length;
            $scope.progress = PWC.round(completedCnt / taskList.length * 100, 0);
            if (!_.isEmpty($scope.resolveRef)) {
                var resolveTasks = _.where($scope.resolveRef, {referFrom: task.id});
                resolveTasks.forEach(function (x) {
                    x.resolved = true;
                });
            }

            var finish = $scope.tasks[task.seqNo].items.every(function (t) {
                return t.status === 'completed' || t.status === 'error';
            });

            //上一个任务完成
            if (finish && task.seqNo < $scope.tasks.length - 1) {
                var unstarted = $scope.tasks[task.seqNo + 1].items.every(function (t) {
                    return t.status === 'unstarted';
                });
                if (unstarted) {
                    var readyTasks;
                    if (!_.isEmpty($scope.resolveRef)) {
                        readyTasks = _.reject($scope.tasks[task.seqNo + 1].items, function (t) {
                            return _.some($scope.resolveRef, function (x) {
                                return !x.resolved && x.referTo === t.id;
                            });
                        });
                    }
                    else {
                        readyTasks = $scope.tasks[task.seqNo + 1].items;
                    }
                    readyTasks.forEach(function (t) {
                        t.doTask();
                        t.status = 'processing';
                        t.text = $translate.instant(t.status);
                    });
                }
            }
            //查找任务中剩余子任务进行处理
            else {
                var unstarted = _.filter($scope.tasks[task.seqNo].items, function (t) {
                    return t.status === 'unstarted';
                });
                if (unstarted.length > 0) {
                    var readyTasks;
                    if (!_.isEmpty($scope.resolveRef)) {
                        readyTasks = _.reject(unstarted, function (t) {
                            return _.some($scope.resolveRef, function (x) {
                                return !x.resolved && x.referTo === t.id;
                            });
                        });
                    } else {
                        readyTasks = unstarted;
                    }
                    readyTasks.forEach(function (t) {
                        t.doTask();
                        t.status = 'processing';
                        t.text = $translate.instant(t.status);
                    });
                }
            }

            $scope.readonly = taskList.some(function (t) {
                return t.status !== 'completed' && t.status !== 'error';
            });

            if (!$scope.readonly) {
                vatCommonService.setProjectStatus(vatSessionService.project.id, vatSessionService.month, constant.ProjectStatusEnum.Generated
                    , constant.DictionaryDictKey.WFDataProcess, enums.FinishStatusEnum.Finished);
            }
        };

        var updateProgress = function (data, task, ifWriteLog) {
            if (data && data.result) {
                task.status = 'completed';
                task.text = $translate.instant(task.status);
            }
            else {
                task.status = 'error';
                task.text = $translate.instant(task.status);
                //SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            }
            caculateProgress(task);
            if (ifWriteLog === undefined || ifWriteLog) {
                writeLog(task.name, task.text);
            }
            //sendMessage(task);
        };

        var taskError = function (task) {
            task.status = 'error';
            task.text = $translate.instant(task.status);
            caculateProgress(task);
            writeLog(task.name, task.text);
            sendMessage(task);
            //SweetAlert.error($translate.instant('PleaseContactAdministrator'));
        };

        $scope.showOperateLogPop = function () {
            $scope.isShowLog = true;
        };

        var writeLog = function (taskName, status) {
            var logDto = {};
            logDto.ModuleID = $scope.moduleid;
            logDto.CreatorID = vatSessionService.logUser.ID;
            logDto.OperationObject = $translate.instant('vatCaculateDataDesc');
            logDto.Comment = vatSessionService.project.name + " " + vatSessionService.project.year + "年" + vatSessionService.month + "月";
            logDto.Period = vatSessionService.month;

            logDto.ID = PWC.newGuid();
            logDto.CreateTime = new Date();
            logDto.UpdateTime = new Date();
            logDto.OperationContent = taskName;
            logDto.OperationName = taskName;
            logDto.OperationType = enums.vatLogOperationTypeEnum.CalculateData;
            logDto.UpdateState = status == null ? '' : status;
            vatOperationLogService.addOperationLog(logDto);

        };

        var sendMessage = function (task) {
            var msgDto = {};
            msgDto.projectId = vatSessionService.project.id;
            msgDto.NodeDictKey = constant.DictionaryDictKey.DataProcess;
            msgDto.TaskDictKey = constant.DictionaryDictKey.WFDataProcess;
            msgDto.ExceptionDateTime = new Date();
            msgDto.ExceptionMessageDetails = [];

            var msgDetailDto = {};
            msgDetailDto.PeriodId = vatSessionService.month;
            msgDetailDto.ExceptionIssueTitle = constant.WorkflowMessage.Issue;
            msgDetailDto.ExceptionIssueValue = constant.WorkflowMessage.ExceptionIssueValue;
            msgDetailDto.ProcessDataDtTitle = constant.WorkflowMessage.CalDateTime;
            msgDetailDto.ProcessDataDtValue = new Date();
            msgDetailDto.ExceptionDetailTitle = constant.WorkflowMessage.MessageDetail;
            msgDetailDto.ExceptionDetailValue = task.name + task.text;

            msgDto.ExceptionMessageDetails.push(msgDetailDto);
            vatWorkflowService.addExceptionMessage(msgDto);
        };

        (function initialize() {
            $scope.readonly = false;
            $scope.progress = 0;
            $scope.resolveRef = [];
            initTasks();
            $scope.startCaculate = startCaculate;

        })();
    }
]);

vatModule.directive('vatCaculateData', ['$log',
    function ($log) {
        'use strict';

        $log.debug('vatCaculateData.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/reduction/vat-caculate-data/vat-caculate-data.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'vatCaculateDataController',
            link: function ($scope, $element, $attr) {
                $scope.token = $('input[name="__RequestVerificationToken"]').val();
            }
        };
    }
]);
vatModule.controller('vatGoodsMappingController', ['$scope', '$log', '$timeout', '$q', '$translate', 'loginContext', 'apiInterceptor', 'SweetAlert', 'vatSessionService', 'uiGridConstants', 'enums', 'vatReductionService', 'vatOperationLogService',
function ($scope, $log, $timeout, $q, $translate, loginContext, apiInterceptor, SweetAlert, vatSessionService, uiGridConstants, enums, vatReductionService, vatOperationLogService) {
    'use strict';
    $log.debug('vatGoodsMappingController.ctor()...');

    var isDouble = 0;
    var comment = vatSessionService.project.name + " " + vatSessionService.project.year + "年" + vatSessionService.month + "月";
    //写日志
    $scope.period = vatSessionService.month;
    $scope.moduleid = enums.vatModuleEnum.Import_GoodsMapping;
    var logDto = {
        ID: '',
        OperationName: '',
        ModuleID: $scope.moduleid,
        OperationObject: '',
        OperationType: '',
        OperationContent: '',
        OriginalState: '',
        UpdateState: '',
        CreatorID: vatSessionService.logUser.ID,
        Comment: comment,
        IP: '',
        Period: $scope.period,
    };

    $scope.mappingList = [];
    $scope.stdGoodsList = [
            { StdId: 1, StdName: $translate.instant('GP_TransportationService') },
            { StdId: 2, StdName: $translate.instant('GP_TelecomService') },
            { StdId: 3, StdName: $translate.instant('GP_BuildService') },
            { StdId: 4, StdName: $translate.instant('GP_EstateLeasingService') },
            { StdId: 5, StdName: $translate.instant('GP_LandUseRight') },
            { StdId: 6, StdName: $translate.instant('GP_FinancialService') },
            { StdId: 7, StdName: $translate.instant('GP_LifeService') },
            { StdId: 8, StdName: $translate.instant('GP_InvisibleCapital') },
            { StdId: 9, StdName: $translate.instant('GP_TangibleMovablesService') },
            { StdId: 10, StdName: $translate.instant('GP_GoodsAndRepairService') },
            { StdId: 11, StdName: $translate.instant('Other') }
    ];

    //匹配结果
    $scope.gridLeftOptions = {
        columns: [{ caption: $translate.instant('CustGoodsName'), dataField: "custGoodsName", alignment: 'left', },
              { caption: $translate.instant('StdGoodsName'), dataField: "stdGoodsName", alignment: 'left', }, ],
        bindingOptions: { "dataSource.store.data": "mappingList", },
        dataSource: { store: { type: "array", key: 'id' } },
        selection: { mode: "multiple", showCheckBoxesMode: "always", },
        hoverStateEnabled: true,
        scrolling: { mode: "virtual" },
        noDataText: $translate.instant('AccountVoucher_DataGrid_NoDataText')
        //remoteOperations: { sorting: true, paging: false }, 
        //onSelectionChanged: function (selectedItems) { 
        //    var data = selectedItems.selectedRowsData;
        //    $scope.selectMappIds = [];
        //    if (data.length > 0) {
        //        data.forEach(function (v) {
        //            $scope.selectMappIds.push(v.id);
        //        }); 
        //    }
        //}
    }

    //标准货物名称
    $scope.gridRightOptions = {
        columns: [{
            caption: $translate.instant('StdGoodsNameList'),
            dataField: "StdName",
            alignment: 'left',
        }],
        bindingOptions: {
            "dataSource.store.data": "stdGoodsList"
        },
        dataSource: {
            store: { type: "array", key: 'StdId' }
        },
        remoteOperations: { sorting: true, paging: false },
        hoverStateEnabled: true,

        onRowPrepared: function (e) {
            if (e.rowType == "header") {
                e.rowElement.css("display", 'none');
            }
        },
        onCellClick: function (e) {
            isDouble++;
            setTimeout(function () {
                if (isDouble == 2) {
                    if ($scope.hasEditPermission)
                    {
                        doGoodsMapping(e.value);
                    }                   
                }
                isDouble = 0;
            }, 500);
        }
    }
    var doGoodsMapping = function (value) {
        var dataGrid = $('#gridLeft').dxDataGrid("instance");
        if (dataGrid.getSelectedRowsData().length > 0) {
            var modifyList = [];
            var customerList = [];
            var stdList = [];
            var originalList = [];
            dataGrid.getSelectedRowsData().forEach(function (m) {
                stdList.push(m.stdGoodsName);
                originalList.push(m.custGoodsName + "-" + m.stdGoodsName);
                customerList.push(m.custGoodsName);
                var mapp = m;
                mapp.stdGoodsName = value;
                modifyList.push(mapp);
            });

            logDto.ID = PWC.newGuid();
            logDto.CreateTime = new Date();
            logDto.UpdateTime = new Date();
            if (PWC.isNullOrEmpty(value)) {
                //取消对应
                logDto.OperationObject = customerList.join(",");
                logDto.OperationContent = value;
                logDto.OperationName = $translate.instant('CancelMapping');
                logDto.OperationType = enums.vatLogOperationTypeEnum.GM_CancelMapping;
                logDto.OriginalState = originalList.join(",");
                logDto.UpdateState = customerList.join(",");
            }
            else {
                //手动对应
                logDto.OperationObject = customerList.join(",");
                logDto.OperationContent = stdList.join(",");
                logDto.OperationName = $translate.instant('HandleMapping');
                logDto.OperationType = enums.vatLogOperationTypeEnum.GM_ManualMapping;
                logDto.OriginalState = customerList.join(",");
                logDto.UpdateState = customerList.join(",") + "-" + value;
            }

            vatReductionService.updateGoodsMapping(modifyList).success(function (result) {
                if (result) {
                    vatOperationLogService.addOperationLog(logDto);

                    initGoodsMappingFromDB();
                    dataGrid.refresh();
                    dataGrid.clearSelection();
                }
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }
        else {
            SweetAlert.warning($translate.instant('SelectMappTips'));
        }
    }

    var cancelGoodsMapping = function () {
        doGoodsMapping("");
    }

    function initGoodsMappingFromDB() {
        vatReductionService.getGoodsMappingList().success(function (data) {
            if (data && data.length > 0) {
                $scope.mappingList = data;
            }
        }).error(function () {
            SweetAlert.error($translate.instant('PleaseContactAdministrator'));
        });
    }

    //日志
    $scope.showOperateLogPop = function () {
        $scope.isShowLog = true;
    };

    var getUserPermission = function () {

        var list = [];

        var code = constant.vatPermission.dataManage.goodsMapping.saveCode; 
        list.push(code);

        $scope.$root.checkUserOrganizationPermissionList(list).success(function (data) {
            $scope.hasEditPermission = data[code];
        });
    };

    (function initialize() {
        $log.debug('vatGoodsMappingController.ctor()...');
        getUserPermission();
        $scope.cancelGoodsMapping = cancelGoodsMapping;
        initGoodsMappingFromDB();

    })();
}
]);
/*vatModule.directive('vatGoodsMapping', ['$log',
    function ($log) {
        'use strict';

        $log.debug('vatGoodsMapping.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/reduction/vat-goods-mapping/vat-goods-mapping.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'vatGoodsMappingController',
            link: function ($scope, $element, $attr) {
                $scope.token = $('input[name="__RequestVerificationToken"]').val();
            }
        };
    }
]);*/
vatModule.controller('vatUnbilledInvoiceController', ['$scope', '$log', '$timeout', '$q', '$translate','$interval', 'loginContext', 'apiInterceptor', 'SweetAlert', 'vatSessionService', 'uiGridConstants', 'enums', 'vatReductionService',
function ($scope, $log, $timeout, $q, $translate, $interval, loginContext, apiInterceptor, SweetAlert, vatSessionService, uiGridConstants, enums, vatReductionService) {
    'use strict';
    $log.debug('vatUnbilledInvoiceController.ctor()...');

    $scope.period = vatSessionService.month;
    $scope.ImportErrorTag = true;
    $scope.TotalDebitAmount = 0;
    $scope.TotalCreditAmount = 0;
    $scope.TotalAmount = 0;
    $scope.TotalTaxAmount = 0;
    $scope.MapTotalDebitAmount = 0;
    $scope.MapTotalCreditAmount = 0;
    $scope.MapTotalAmount = 0;
    $scope.MapTotalTaxAmount = 0;

    $scope.voucherSearchTypeList = [
        { id: 10, name: $translate.instant('Enum_UnBilled') },
        { id: 20, name: $translate.instant('Enum_PartBilled') },
       { id: 30, name: $translate.instant('Enum_Billed') },
    ];
    $scope.invoiceSearchTypeList = [
       { id: 40, name: $translate.instant('Enum_NotAccounting') },
       { id: 50, name: $translate.instant('Enum_PartAccounting') },
        { id: 60, name: $translate.instant('Enum_Accounting') },
    ];
    $scope.voucherSearchType = {};
    $scope.invoiceSearchType = {};
    $scope.tranCode = "";
    $scope.IsVoucher = true;

    //发票类型
    var invoiceTypeEnum = {
        Normal: $translate.instant('Normal'),
        Special: $translate.instant('Special')
    };
    //发票类型转换
    $scope.typeToString = function (strType) {
        var type = invoiceTypeEnum.Normal;
        switch (strType) {
            case 0:
                type = invoiceTypeEnum.Normal;
                break;
            case 1:
                type = invoiceTypeEnum.Special;
                break;
            default:
                type = invoiceTypeEnum.Normal;
        }
        return type;
    }

    var voucherColumns = [
            { name: $translate.instant('period'), width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.period}}<span></div>' },
            { name: $translate.instant('VoucherDate'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents" ><span>{{row.entity.date | date:"yyyy-MM-dd"}}<span></div>' },
            { name: $translate.instant('VoucherID'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.vid}}<span></div>' },
             { name: $translate.instant('VoucherAccountCode'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.acctCode}}<span></div>' },
            { name: $translate.instant('VoucherSummary'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.summary}}<span></div>' },
            { name: $translate.instant('VoucherDebitAmount'), width: '15%', headerCellClass: 'right', cellTemplate: '<div class="ui-grid-cell-contents right"><span>{{row.entity.debit}}<span></div>' },
            { name: $translate.instant('VoucherCreditAmount'), width: '15%', headerCellClass: 'right', cellTemplate: '<div class="ui-grid-cell-contents right"><span>{{row.entity.credit}}<span></div>' },
    ];
    var invoiceColumns = [
            { name: $translate.instant('period'), width: '8%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.periodID}}<span></div>' },
            { name: $translate.instant('InvoiceDate'), width: '12%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceDate | date:"yyyy-MM-dd"}}<span></div>' },
            { name: $translate.instant('InvoiceType'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{grid.appScope.typeToString(row.entity.invoiceType)}}<span></div>' },
            { name: $translate.instant('ClassCode'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.classCode}}<span></div>' },
            { name: $translate.instant('InvoiceNumber'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceNumber}}<span></div>' },
            { name: $translate.instant('BuyerName'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.buyerName}}<span></div>' },
            { name: $translate.instant('BuyerTaxNumber'), width: '15%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.buyerTaxNumber}}<span></div>' },
            { name: $translate.instant('Amount'), width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.amount}}<span></div>' },
              { name: $translate.instant('TaxRate'), width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{((row.entity.taxRate) * 100).toFixed(0) + "%"}}<span></div>' },
            { name: $translate.instant('TaxAmount'), width: '10%', cellTemplate: '<div class="ui-grid-cell-contents"><span>{{row.entity.taxAmount}}<span></div>' },
    ];
    //Voucher数据源
    $scope.gridOptionsVoucher = {
        rowHeight: constant.UIGrid.rowHeight,
        selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
        enableColumnResizing: true,
        enableRowSelection: true,
        enableRowHeaderSelection: false,
        multiSelect: false,
        modifierKeysToMultiSelect: false,
        noUnselect: true,
        enableSorting: false,
        enableColumnMenus: false,
        enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
        enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
        columnDefs: voucherColumns,
        onRegisterApi: function (gridApi) {
            $scope.gridVoucherApi = gridApi;

            $interval(function () {
                $scope.gridVoucherApi.core.handleWindowResize();
            }, 500, 60 * 60 * 8);

            if (gridApi.selection) {
                gridApi.selection.on.rowSelectionChanged($scope, function (row) {
                    voucherRowSelectedEvent(row);
                });
            }

        }
    };


    //Voucher历史数据源
    $scope.gridOptionsHistoryVoucher = {
        rowHeight: constant.UIGrid.rowHeight,
        selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
        enableColumnResizing: true,
        enableRowSelection: true,
        enableRowHeaderSelection: false,
        multiSelect: false,
        modifierKeysToMultiSelect: false,
        noUnselect: true,
        enableSorting: false,
        enableColumnMenus: false,
        enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
        enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
        columnDefs: voucherColumns,
        onRegisterApi: function (gridApi) {
            $scope.gridHistoryVoucherApi = gridApi;

            $interval(function () {
                $scope.gridHistoryVoucherApi.core.handleWindowResize();
            }, 500, 60 * 60 * 8);

            if (gridApi.selection) {
                gridApi.selection.on.rowSelectionChanged($scope, function (row) {
                    voucherRowSelectedEvent(row);
                });
            }

        }
    };

    //MapVoucher数据源
    $scope.gridOptionsMapVoucher = {
        rowHeight: constant.UIGrid.rowHeight,
        selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
        enableColumnResizing: true,
        enableSorting: false,
        enableColumnMenus: false,
        enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
        enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
        columnDefs: voucherColumns,
        onRegisterApi: function (gridApi) {
            $scope.gridMapVoucherApi = gridApi;

            $interval(function () {
                $scope.gridMapVoucherApi.core.handleWindowResize();
            }, 500, 60 * 60 * 8);
        }
    };

    //Invoice数据源
    $scope.gridOptionsInvoice = {
        rowHeight: constant.UIGrid.rowHeight,
        selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
        enableColumnResizing: true,
        enableRowSelection: true,
        enableRowHeaderSelection: false,
        multiSelect: false,
        modifierKeysToMultiSelect: false,
        noUnselect: true,
        enableSorting: false,
        enableColumnMenus: false,
        enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
        enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
        columnDefs: invoiceColumns,
        onRegisterApi: function (gridApi) {
            $scope.gridInvoiceApi = gridApi;

            $interval(function () {
                $scope.gridInvoiceApi.core.handleWindowResize();
            }, 500, 60 * 60 * 8);

            if (gridApi.selection) {
                gridApi.selection.on.rowSelectionChanged($scope, function (row) {
                    invoiceRowSelectedEvent(row);
                });
            }
        }
    };

    //Invoice历史数据源
    $scope.gridOptionsHistoryInvoice = {
        rowHeight: constant.UIGrid.rowHeight,
        selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
        enableColumnResizing: true,
        enableRowSelection: true,
        enableRowHeaderSelection: false,
        multiSelect: false,
        modifierKeysToMultiSelect: false,
        noUnselect: true,
        enableSorting: false,
        enableColumnMenus: false,
        enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
        enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
        columnDefs: invoiceColumns,
        onRegisterApi: function (gridApi) {
            $scope.gridHistoryInvoiceApi = gridApi;

            $interval(function () {
                $scope.gridHistoryInvoiceApi.core.handleWindowResize();
            }, 500, 60 * 60 * 8);

            if (gridApi.selection) {
                gridApi.selection.on.rowSelectionChanged($scope, function (row) {
                    invoiceRowSelectedEvent(row);
                });
            }
        }
    };

    //MapInvoice数据源
    $scope.gridOptionsMapInvoice = {
        rowHeight: constant.UIGrid.rowHeight,
        selectionRowHeaderWidth: constant.UIGrid.selectionRowHeaderWidth,
        enableColumnResizing: true,
        enableSorting: false,
        enableColumnMenus: false,
        enableHorizontalScrollbar: uiGridConstants.scrollbars.enableHorizontalScrollbar,
        enableVerticalScrollbar: uiGridConstants.scrollbars.enableVerticalScrollbar,
        columnDefs: invoiceColumns,
        onRegisterApi: function (gridApi) {
            $scope.gridMapInvoiceApi = gridApi;

            $interval(function () {
                $scope.gridMapInvoiceApi.core.handleWindowResize();
            }, 500, 60 * 60 * 8);
        }
    };

    //切换VoucherTab
    $scope.switchVoucherTable = function (event) {
        $('.voucher-tab span').each(function () {
            $(this).removeClass('active');
        });

        $(event.target).addClass('active');

        if (event.target.innerText == $translate.instant('CurrentPeriod')) {
            $('#gridVoucher').css('display', 'block');
            $('#gridHistoryVoucher').css('display', 'none');
            $scope.isVoucherHistory = false;
        }
        else {
            $('#gridHistoryVoucher').css('display', 'block');
            $('#gridVoucher').css('display', 'none');
            $scope.isVoucherHistory = true;
        }
        setErrorWrapCssDefault();
        getVoucherListByPage(1, $scope.isVoucherHistory);
    };

    //切换InvoiceTab
    $scope.switchInvoiceTable = function (event) {
        $('.invoice-tab span').each(function () {
            $(this).removeClass('active');
        });

        $(event.target).addClass('active');

        if (event.target.innerText == $translate.instant('CurrentPeriod')) {
            $('#gridInvoice').css('display', 'block');
            $('#gridHistoryInvoice').css('display', 'none');
            $scope.isInvoiceHistory = false;
        }
        else {
            $('#gridHistoryInvoice').css('display', 'block');
            $('#gridInvoice').css('display', 'none');
            $scope.isInvoiceHistory = true;
        }
        setErrorWrapCssDefault();
        getInvoiceListByPage(1, $scope.isInvoiceHistory);
    };

    var voucherRowSelectedEvent = function (row) {
        $scope.IsVoucher = true;
        setErrorWrapCssDispalyHeight();
        setMapTableFloat(true);
        $scope.gridInvoiceApi.selection.clearSelectedRows();
        $scope.gridHistoryInvoiceApi.selection.clearSelectedRows();
        var queryParams = {
            VID: row.entity.vid,
            Period: row.entity.period,
            Group: row.entity.group,
            ItemID: row.entity.itemID,
            CurPeriod: $scope.period,
        }
        vatReductionService.getVoucherMapInvoice(queryParams).success(function (data) {
            if (data && data.tranCode) {
                setMapGridData(data);
            }
            else {
                setMapGridDataNull();
            }
        }).error(function () {
            SweetAlert.error($translate.instant('PleaseContactAdministrator'));
        });
    }

    var invoiceRowSelectedEvent = function (row) {
        $scope.IsVoucher = false;
        setMapTableFloat(false);
        setErrorWrapCssDispalyHeight();
        $scope.gridVoucherApi.selection.clearSelectedRows();
        $scope.gridHistoryVoucherApi.selection.clearSelectedRows();
        var queryParams = {
            InvoiceCode: row.entity.classCode,
            CurPeriod: $scope.period,
            InvoiceNumber: row.entity.invoiceNumber,
        }
        vatReductionService.getInvoiceMapVoucher(queryParams).success(function (data) {
            if (data && data.tranCode) {
                setMapGridData(data);
            }
            else {
                setMapGridDataNull();
            }
        }).error(function () {
            SweetAlert.error($translate.instant('PleaseContactAdministrator'));
        });
    }

    var setMapGridData = function (data) {
        var mapDebit = 0;
        var mapCredit = 0;
        if (data.voucherList !== null) {
            data.voucherList.forEach(function (v) {
                mapDebit += v.debit;
                mapCredit += v.credit;
                v.debit = PWC.round(v.debit, 2);
                v.credit = PWC.round(v.credit, 2);
            });
        }
        var mapAmount = 0;
        var mapTaxAmount = 0;
        if (data.invoiceList !== null) {
            data.invoiceList.forEach(function (v) {
                mapAmount += v.amount;
                mapTaxAmount += v.taxAmount;
                v.amount = PWC.round(v.amount, 2);
                v.taxAmount = PWC.round(v.taxAmount, 2);
            });
        }

        $scope.tranCode = data.tranCode;
        $scope.MapTotalDebitAmount = PWC.round(mapDebit, 2);
        $scope.MapTotalCreditAmount = PWC.round(mapCredit, 2);
        $scope.MapTotalAmount = PWC.round(mapAmount, 2);
        $scope.MapTotalTaxAmount = PWC.round(mapTaxAmount, 2);

        $scope.gridOptionsMapVoucher.data = data.voucherList;
        $scope.gridOptionsMapInvoice.data = data.invoiceList;
    }

    var setMapGridDataNull = function () {
        $scope.tranCode = '';
        $scope.MapTotalDebitAmount = 0;
        $scope.MapTotalCreditAmount = 0;
        $scope.MapTotalAmount = 0;
        $scope.MapTotalTaxAmount = 0;
        $scope.gridOptionsMapVoucher.data = [];
        $scope.gridOptionsMapInvoice.data = [];
    }

    //初始化Voucher分页信息
    var initVoucherPagination = function () {
        $scope.queryVoucherResult = {
            list: [],
            pageInfo: {
                totalCount: -1,
                pageIndex: 1,
                pageSize: 10,
                totalPage: 0,
            }
        }
        $scope.curVoucherPage = 1;
    };
    //初始化Invoice分页信息
    var initInvoicePagination = function () {
        $scope.queryInvoiceResult = {
            list: [],
            pageInfo: {
                totalCount: -1,
                pageIndex: 1,
                pageSize: 10,
                totalPage: 0,
            }
        }
        $scope.curInvoicePage = 1;
    };
    //切换账票显示方向
    var setMapTableFloat = function (isvoucher) {
        if (isvoucher) {
            $('.map-voucher-table').css('float', 'left');
            $('.map-voucher-table').css('padding-left', '20px');
            $('.map-voucher-table').css('padding-right', '0px');

            $('.map-invoice-table').css('float', 'right');
            $('.map-invoice-table').css('padding-left', '0px');
            $('.map-invoice-table').css('padding-right', '20px');
        }
        else {
            $('.map-voucher-table').css('float', 'right');
            $('.map-voucher-table').css('padding-left', '0px');
            $('.map-voucher-table').css('padding-right', '20px');

            $('.map-invoice-table').css('float', 'left');
            $('.map-invoice-table').css('padding-left', '20px');
            $('.map-invoice-table').css('padding-right', '0px');
        }
    }
    //账票对应关系grid的高度
    var getMapGridHeight = function () {
        if ($scope.isLoadComplete) {
            var y = $("#map-item-wrapper").height();

            // Enough space
            if (y > constant.UIGrid.gapHeight) {
                y = y - constant.UIGrid.gapHeight;
                return {
                    height: (y - 40 - 67 - 30) + "px"
                };
            } else {
                return {
                    height: '0px'
                };
            }
        }
        return {
        };
    };

    //对应关系中间图片的高度
    var getImgGridHeight = function () {
        if ($scope.isLoadComplete) {
            var y = $('.map-detail').height();
            // Enough space
            if (y > 140) {
                return {
                    'padding-top': (y - 140) / 2 + "px"
                };
            } else {
                return {
                    'padding-top': '0px'
                };
            }
        }
        return {
        };
    };

    //对应关系中间交易号内容的高度
    var getTranCodeHeight = function () {
        if ($scope.isLoadComplete) {
            var y = $('.map-detail').height();
            // Enough space
            if (y > 140) {
                return {
                    'top': (y - 140) / 2 + "px"
                };
            } else {
                return {
                    'top': '25px'
                };
            }
        }
        return {
        };
    };

    //显示对应关系grid明细
    var toggleMapGridTab = function () {
        $scope.ImportErrorTag = !$scope.ImportErrorTag;
        // topIcon and content-resize gapBottom 15px
        if (!$scope.ImportErrorTag) {
            setErrorWrapCssDefault();
        } else {
            setErrorWrapCssDispalyHeight();
        }
    };

    var setErrorWrapCssDispalyHeight = function () {
        if (parseInt($('#content-resizer').css('bottom')) < 100) {
            $('#content-resizer').css('bottom', '300px');
            $('.map-container').css('height', '300px');
        }
    }

    var setErrorWrapCssDefault = function () {
        $('#content-resizer').css('bottom', '10px');
        $('.map-container').css('height', '10px');
        $('#detail-table-wrapper').css('bottom', '5px');
        var y = ($(".total-container").height() - 5) + "px";
        $('.detail-table').css('height', y);
    };

    //获取记账信息
    var getVoucherListByPage = function (pageIndex, isVoucherHistory) {
        $scope.curVoucherPage = pageIndex;
        //初始化查询信息
        var pageInfo = {
            totalCount: $scope.queryVoucherResult.pageInfo.totalCount,
            pageIndex: pageIndex,
            pageSize: $scope.queryVoucherResult.pageInfo.pageSize,
            totalPage: 0,
        }
        var queryParams = {
            pageInfo: pageInfo,
            status: $scope.voucherSearchType.selected.id,
            period: $scope.period,
        };
        if (isVoucherHistory) {
            vatReductionService.getVoucherHistoryList(queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                        v.debit = PWC.round(v.debit, 2);
                        v.credit = PWC.round(v.credit, 2);
                    });
                    $scope.TotalDebitAmount = PWC.round(data.debitTotalAmount, 2);
                    $scope.TotalCreditAmount = PWC.round(data.creditTotalAmount, 2);

                    $scope.gridOptionsHistoryVoucher.data = data.list;
                    $scope.queryVoucherResult.pageInfo = data.pageInfo;
                    computeVoucherPage(isVoucherHistory);
                }
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }
        else {
            vatReductionService.getVoucherList(queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                        v.debit = PWC.round(v.debit, 2);
                        v.credit = PWC.round(v.credit, 2);
                    });
                    $scope.TotalDebitAmount = PWC.round(data.debitTotalAmount, 2);
                    $scope.TotalCreditAmount = PWC.round(data.creditTotalAmount, 2);

                    $scope.gridOptionsVoucher.data = data.list;
                    $scope.queryVoucherResult.pageInfo = data.pageInfo;
                    computeVoucherPage(isVoucherHistory);
                }
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }
    }

    //获取记账信息
    var getInvoiceListByPage = function (pageIndex, isInvoiceHistory) {
        $scope.curInvoicePage = pageIndex;
        //初始化查询信息
        var pageInfo = {
            totalCount: $scope.queryInvoiceResult.pageInfo.totalCount,
            pageIndex: pageIndex,
            pageSize: $scope.queryInvoiceResult.pageInfo.pageSize,
            totalPage: 0,
        }
        var queryParams = {
            pageInfo: pageInfo,
            status: $scope.invoiceSearchType.selected.id,
            period: $scope.period,
        };
        if (isInvoiceHistory) {
            vatReductionService.getOuputInvoiceHistoryList(queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                        v.amount = PWC.round(v.amount, 2);
                        v.taxAmount = PWC.round(v.taxAmount, 2);
                    });
                    $scope.TotalAmount = PWC.round(data.amountTotal, 2);
                    $scope.TotalTaxAmount = PWC.round(data.taxAmountTotal, 2);

                    $scope.gridOptionsHistoryInvoice.data = data.list;
                    $scope.queryInvoiceResult.pageInfo = data.pageInfo;
                    computeInvoicePage(isInvoiceHistory);
                }
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }
        else {
            vatReductionService.getOuputInvoiceList(queryParams).success(function (data) {
                if (data) {
                    var index = 1;
                    data.list.forEach(function (v) {
                        v.index = index++;
                        v.amount = PWC.round(v.amount, 2);
                        v.taxAmount = PWC.round(v.taxAmount, 2);
                    });
                    $scope.TotalAmount = PWC.round(data.amountTotal, 2);
                    $scope.TotalTaxAmount = PWC.round(data.taxAmountTotal, 2);

                    $scope.gridOptionsInvoice.data = data.list;
                    $scope.queryInvoiceResult.pageInfo = data.pageInfo;
                    computeInvoicePage(isInvoiceHistory);
                }
            }).error(function () {
                SweetAlert.error($translate.instant('PleaseContactAdministrator'));
            });
        }

    }

    //计算Voucher页数，创建分页栏
    var computeVoucherPage = function (isVoucherHistory) {

        if ($scope.queryVoucherResult.pageInfo && $scope.queryVoucherResult.pageInfo.totalCount > 0) {

            var totalPage = parseInt($scope.queryVoucherResult.pageInfo.totalCount / $scope.queryVoucherResult.pageInfo.pageSize);
            totalPage = $scope.queryVoucherResult.pageInfo.totalCount % $scope.queryVoucherResult.pageInfo.pageSize == 0 ? totalPage : totalPage + 1;
            $scope.queryVoucherResult.pageInfo.totalPage = totalPage;

            var createVoucherPage = $("#totalVoucherPage").createPage({
                pageCount: totalPage,
                current: $scope.curVoucherPage,
                backFn: function (p) {
                    //单击回调方法，p是当前页码
                    getVoucherListByPage(p, isVoucherHistory);
                }
            });
            $('#totalVoucherPage').css('display', 'inline-block');
        } else {
            var createPage = $("#totalVoucherPage").createPage({
                pageCount: 0,
                current: $scope.curVoucherPage,
                backFn: function (p) {
                    //单击回调方法，p是当前页码
                    getVoucherListByPage(p, isVoucherHistory);
                }
            });
            $('#totalVoucherPage').css('display', 'inline-block');
        }
    };
    //计算Invoice页数，创建分页栏
    var computeInvoicePage = function (isInvoiceHistory) {

        if ($scope.queryInvoiceResult.pageInfo && $scope.queryInvoiceResult.pageInfo.totalCount > 0) {

            var totalPage = parseInt($scope.queryInvoiceResult.pageInfo.totalCount / $scope.queryInvoiceResult.pageInfo.pageSize);
            totalPage = $scope.queryInvoiceResult.pageInfo.totalCount % $scope.queryInvoiceResult.pageInfo.pageSize == 0 ? totalPage : totalPage + 1;
            $scope.queryInvoiceResult.pageInfo.totalPage = totalPage;

            var createInvoicePage = $("#totalInvoicePage").createPage({
                pageCount: totalPage,
                current: $scope.curInvoicePage,
                backFn: function (p) {
                    //单击回调方法，p是当前页码
                    getInvoiceListByPage(p, isInvoiceHistory);
                }
            });
            $('#totalInvoicePage').css('display', 'inline-block');
        } else {
            var createPage = $("#totalInvoicePage").createPage({
                pageCount: 0,
                current: $scope.curInvoicePage,
                backFn: function (p) {
                    //单击回调方法，p是当前页码
                    getInvoiceListByPage(p, isInvoiceHistory);
                }
            });
            $('#totalInvoicePage').css('display', 'inline-block');
        }
    };
    //初始获取数据
    var InitDataFromDB = function () {
        $scope.voucherSearchType.selected = $scope.voucherSearchTypeList[0];
        $scope.invoiceSearchType.selected = $scope.invoiceSearchTypeList[0];
        $scope.isVoucherHistory = false;
        $scope.isInvoiceHistory = false;
        getVoucherListByPage(1, $scope.isVoucherHistory);
        getInvoiceListByPage(1, $scope.isInvoiceHistory);
    }
    //过滤Voucher选择事件
    function changeVoucherSearchType(selectVoucherType) {
        setErrorWrapCssDefault();
        getVoucherListByPage(1, $scope.isVoucherHistory);
    }
    //过滤Invoice选择事件
    function changeInvoiceSearchType() {
        setErrorWrapCssDefault();
        getInvoiceListByPage(1, $scope.isInvoiceHistory);
    }

    var InitTabUI = function () {
        $('#gridVoucher').css('display', 'block');
        $('#gridHistoryVoucher').css('display', 'none');

        $('#gridInvoice').css('display', 'block');
        $('#gridHistoryInvoice').css('display', 'none');
    };

    (function initialize() {
        $log.debug('vatUnbilledInvoiceController.ctor()...');

        $scope.changeVoucherSearchType = changeVoucherSearchType;
        $scope.changeInvoiceSearchType = changeInvoiceSearchType;
        $scope.toggleMapGridTab = toggleMapGridTab;
        $scope.getMapGridHeight = getMapGridHeight;
        $scope.getImgGridHeight = getImgGridHeight;
        $scope.getTranCodeHeight = getTranCodeHeight;

        initVoucherPagination();
        initInvoicePagination();
        InitDataFromDB();

        $timeout(function () {
            $scope.isLoadComplete = true;

            setErrorWrapCssDefault();
            InitTabUI();
        }, 500);

    })();
}
]);
vatModule.directive('vatUnbilledInvoice', ['$log',
    function ($log) {
        'use strict';

        $log.debug('vatUnbilledInvoice.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/reduction/vat-unbilled-invoice/vat-unbilled-invoice.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'vatUnbilledInvoiceController',
            link: function ($scope, $element, $attr) {
                $scope.token = $('input[name="__RequestVerificationToken"]').val();
            }
        };
    }
]);
vatModule.controller('VatReportLayoutController', ['$scope', '$log', '$q', 'loginContext',
    '$translate', '$location', 'templateGroupService', 'vatSessionService', 'vatReportService', '$state',
    function ($scope, $log, $q, loginContext, $translate, $location, templateGroupService, vatSessionService, vatReportService, $state) {
        'use strict';
        $log.debug('VatReportLayoutController.ctor()...');

        $scope.$on('refreshGenerateReport', function (event, data) {
            //$scope.selectedTemplateId = data.templateId;
            loadTemplateMenu();
        });
        var loadTemplateMenu = function () {
            // Mock Data
            var projectID = vatSessionService.project.id;
            //because project in overview is mock up, so I have to mock the project id from database,
            //otherwise the project not exist in database.
            //通用
            //projectID = 'd6dcfb47-a92c-4b0b-a063-354b63756bd0';
            //房地产
            //projectID = '0cf0945f-d41c-4df3-8235-ae693d5e724d';
            $q.all([
                templateGroupService.getGroupTemplateByGroupID(6390933830635520, projectID),
                vatReportService.getTemplate(vatSessionService.project.id, constant.serviceType.VAT, vatSessionService.month)
            ]).then(function (result) {
                if (!_.isEmpty(result[0]) && !_.isEmpty(result[0].data) && !_.isEmpty(result[0].data.data)
                    && !_.isEmpty(result[1]) && !_.isEmpty(result[1].data) && !_.isEmpty(result[1].data.data)) {

                    // 获取 BSPL Report Template
                    var grps = [];
                    if ($scope.hasBsPlPermission) {
                        //todo:use reject here later , filter here just for test --FX
                        //grps = _.filter(result[0].data.data, {name: 'TaxReturn'});
                        if (grps && grps[0] && grps[0].children) {
                            if (!$scope.hasBsPermission) {
                                grps.children = _.reject(grps[0].children, {name: '资产负债表'});
                            }

                            if (!$scope.hasPlPermission) {
                                grps.children = _.reject(grps[0].children, {name: '利润表'});
                            }
                        }
                    }

                    if ($scope.hasTaxReturnPermission && $scope.hasQueryTaxReturnPermission) {
                        // 获取 申报表 Report Template
                        var taxRtnGrp = {
                            name: 'TaxReturn',
                            children: _.map(result[1].data.data, function (x) {
                                //if (x.templateID === $scope.selectedTemplateId) {
                                //    $state.go('vat.generateReport.reportView', { id: x.id, templateid: x.templateID, name: x.templateName });
                                //}
                                return {
                                    reportId: x.id,
                                    id: x.templateId,
                                    name: x.templateName,
                                    code: x.templateCode
                                };
                            }),
                            orderIndex: grps.length
                        };
                        grps.push(taxRtnGrp);
                    }

                    $scope.groups = _.chain(grps).sortBy(function (x) {
                        return x.orderIndex
                    }).map(function (x) {
                        x.isExpand = true;
                        return x;
                    }).value();

                    $scope.selectedTemplateId = null;
                    if (vatSessionService.isFromTopMenu) {
                        var firstNode = _.first(grps);
                        var firstSubNode = _.first(firstNode.children);
                        if(firstSubNode.id!==undefined) {
                            $scope.selectedTemplateId = firstSubNode.id;
                            $state.go('vat.generateReport.reportView', {
                                id: firstSubNode.reportId,
                                templateid: firstSubNode.id,
                                name: firstSubNode.name,
                                templatecode: firstSubNode.code
                            });
                            vatSessionService.isFromTopMenu = false;
                        }
                    }
                    //var firstNode = _.first(grps);
                    //var firstSubNode = _.first(firstNode.children);
                    //$scope.selectedTemplateId = firstSubNode.id;
                    //$state.go('vat.generateReport.reportView', { id: firstSubNode.reportId, templateid: firstSubNode.id, name: firstSubNode.name, templatecode: firstSubNode.code });
                }
                //$scope.menus = [{ id: 'mainVatReturns', text: $translate.instant('mainVatReturnsReport').replace(/;/g, '<br/>') }];
            });
        };

        //检查用户机构权限
        var checkUserOrganizationPermissionList = function () {
            var list = [];
            var reportTemp = constant.vatPermission.reportView;
            list.push(reportTemp.bsplCode);
            list.push(reportTemp.bspl.bsCode);
            list.push(reportTemp.bspl.plCode);
            list.push(reportTemp.taxReturnCode);
            list.push(reportTemp.taxReturn.queryCode);
            list.push(reportTemp.taxReturn.editCode);
            $scope.hasBsPlPermission = false;
            $scope.hasBsPermission = false;
            $scope.hasPlPermission = false;
            $scope.hasTaxReturnPermission = false;
            $scope.hasQueryTaxReturnPermission = false;
            $scope.hasEditTaxReturnPermission = false;
            $scope.$root.checkUserOrganizationPermissionList(list).success(function (data) {
                $scope.hasBsPlPermission = data[reportTemp.bsplCode];
                $scope.hasBsPermission = data[reportTemp.bspl.bsCode];
                $scope.hasPlPermission = data[reportTemp.bspl.plCode];
                $scope.hasTaxReturnPermission = data[reportTemp.taxReturnCode];
                $scope.hasQueryTaxReturnPermission = data[reportTemp.taxReturn.queryCode];
                $scope.hasEditTaxReturnPermission = data[reportTemp.taxReturn.editCode];
            });
        };
        var toggleGroup = function (group) {
            group.isExpand = !group.isExpand;
        };
        (function initialize() {
            checkUserOrganizationPermissionList();
            loadTemplateMenu();
            $scope.expend = true;
            $scope.toggleGroup = toggleGroup;
        })();

    }]);
vatModule.directive('vatReportLayout', ['$log', '$rootScope', '$timeout', 'enums',
    function ($log, $rootScope, $timeout, enums) {
        'use strict';

        $log.debug('vatReportLayout.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/report/vat-report-layout/vat-report-layout.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'VatReportLayoutController',
            link: function ($scope, $element, $attr) {



                Split(['#vat-report-nav-menu', '#vat-report-content'], {
                    sizes: [17, 83],
                    minSize: [1, 1330],
                    onDragEnd: function () {
                        $timeout(function () {
                            $rootScope.$broadcast(enums.vatEvent.layoutChanged, {});
                        }, 700);
                    }
                })


                $scope.isCollapsed = false;
            }
        };
    }
]);
vatModule.controller('VatLayoutController', ['$scope', '$rootScope', '$q', '$log', '$timeout', '$state', '$translate', 'projectService', 'SweetAlert', 'loginContext'
    , 'vatSessionService', 'vatCommonService', 'vatWorkflowService', 'application', 'enums', '$uibModal',
function ($scope, $rootScope, $q, $log, $timeout, $state, $translate, projectService, SweetAlert, loginContext
    , vatSessionService, vatCommonService, vatWorkflowService, application, enums, $uibModal) {
    'use strict';
    $log.debug('VatLayoutController.ctor()...');

    $scope.dateFormat = $translate.instant('dateFormat4YearMonth');
    $scope.showSubMenu = true;
    $scope.projectName = vatSessionService.project.organizationName + '(' + vatSessionService.project.year + ')';

    $scope.selectedDate = new Date(vatSessionService.project.year, vatSessionService.month - 1, 1);
    $scope.startDate = new Date(vatSessionService.project.year, 0, 1);
    $scope.endDate = new Date(vatSessionService.project.year, 11, 31, 23, 59, 59);
    var subMenus = [];

    var subStatusDto = {
        dispalyIndex: -1,
        name: '',
        isImported: false
    };

    var msgboxOptions = {
        title: $translate.instant('UnsavedChange'),
        text: $translate.instant('ComfirmIgnoreUnsavedChanges'),
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#e0301e",
        confirmButtonText: $translate.instant('ConfirmYes'),
        cancelButtonText: $translate.instant('ConfirmNo'),
        closeOnConfirm: true,
        closeOnCancel: true
    };

    $rootScope.$on('$stateChangeStart', function (event, toState, toParams, fromState, fromParams, options) {
        var mainMenu = [
//        'vat.importData',
         'vat.previewData', 'vat.reductionData', 'vat.analyzeLayout'];
        if (vatSessionService.dataChanged) {
            event.preventDefault();
            SweetAlert.swal(msgboxOptions, function (isConfirm) {
                if (isConfirm) {
                    vatSessionService.dataChanged = false;
                    if (_.contains(mainMenu, toState.name)) {
                        goFirstSubMenu(toState);
                    }
                    else {
                        $state.go(toState, toParams, options);
                    };
                };
            });
        }
        else {
            if (_.contains(mainMenu, toState.name)) {
                event.preventDefault();
                goFirstSubMenu(toState);
            };
        };
    });

    $scope.changeDate = function (e) {
        $log.debug("start to change date");
        var temp = e.date.getMonth() + 1;
        if (vatSessionService.month != temp) {
            $timeout(function () {
                $log.debug($scope.changeDate);
                projectService.isProjectStatusExisted(vatSessionService.project.id, temp).success(function (or) {
                    if (or.result) {//如果当前期间还没有导入任何数据的话，就添加一条未开始状态的记录
                        if (_.isNull(or.data)) {
                            projectService.setProjectStatus( temp, constant.ProjectStatusEnum.UnStarted).success(function (or) {
                                if (or.result) {
                                    vatSessionService.project.projectStatusList[temp] = constant.ProjectStatusEnum.UnStarted;
                                    initStatus(vatSessionService.project.id, vatSessionService.project.id, temp);
                                }
                                else {
                                    SweetAlert.error($translate.instant('SetProjectStatusError'));
                                }
                            });
                        }
                        else { //已经导入的话，更新最新项目状态
                            vatSessionService.project.projectStatusList[temp] = or.data.status;
                            initStatus(vatSessionService.project.id, vatSessionService.project.id, temp);
                        }
                    }
                });

                if (vatSessionService.dataChanged) {
                    SweetAlert.swal(msgboxOptions, function (isConfirm) {
                        if (isConfirm) {
                            vatSessionService.dataChanged = false;
                            vatSessionService.month = temp;
                            $scope.selectedDate = new Date(vatSessionService.project.year, temp - 1, 1);;
                            $state.reload($state.$current);
                        } else {
                            $scope.elePicker.datepicker("setDate", $scope.selectedDate);
                        };
                    });
                }
                else {
                    vatSessionService.month = temp;
                    $scope.selectedDate = new Date(vatSessionService.project.year, temp - 1, 1);
                    //查看报表时路由为三层结构，特殊处理,其他逻辑不变
                    if ($state.$current.parent && $state.$current.parent.self.name === 'vat.generateReport') {
                        $scope.$broadcast('refreshGenerateReport', { templateId: $state.params.templateid });
                    }
                    else {
                        $state.reload($state.$current);
                    }
                };
            }, 100);
        }
    };

    $scope.setPermissionMenu = function () {
        $scope.menus = [];
        var menuList = [
//                    constant.vatPermission.dataImport.balanceSheet.queryCode,
//                    constant.vatPermission.dataImport.journalEntry.queryCode,
//                    constant.vatPermission.dataImport.erpImport.queryCode,
//                    constant.vatPermission.dataImport.outputInvoice.queryCode,
//                    constant.vatPermission.dataImport.inputInvoice.queryCode,
//                    constant.vatPermission.dataImport.customInvoice.queryCode,
//                    constant.vatPermission.dataImport.voucherMapping.queryCode,
//                    constant.vatPermission.dataImport.invoiceMapping.queryCode,
//                    constant.vatPermission.dataImport.auditAdjust.queryCode,

//                    constant.vatPermission.dataPreview.balanceSheet.queryCode,
//                    constant.vatPermission.dataPreview.accountVoucher.queryCode,
//                    constant.vatPermission.dataPreview.customInvoice.queryCode,
                    constant.vatPermission.dataPreview.outputInvoice.queryCode,
                    constant.vatPermission.dataPreview.inputInvoice.queryCode,

                    constant.vatPermission.dataManage.caculateDataCode,
                    constant.vatPermission.dataManage.accountMappingCode,
                    constant.vatPermission.dataManage.goodsMappingCode,
                    constant.vatPermission.dataManage.unbilledInvoiceCode,

                    constant.vatPermission.reportView.bsplCode,
                    constant.vatPermission.reportView.taxReturnCode,

                    constant.vatPermission.dataAnalysis.modelAnalysisCode,
                    constant.vatPermission.dataAnalysis.dashboard.dashboardCode,
                    //constant.vatPermission.dataAnalysis.vatTaxDifferenceCode,
        ];

        $scope.$root.checkUserOrganizationPermissionList(menuList).success(function (data) {
            if (data) {
//                if (data[constant.vatPermission.dataImport.balanceSheet.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.balanceSheet', state: 'importData.balanceSheet', num: 1,
//                        permission: constant.vatPermission.dataImport.balanceSheet.queryCode, url: '#/vat/importData/balanceSheet'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.journalEntry.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.journalEntry', state: 'importData.journalEntry', num: 1,
//                        permission: constant.vatPermission.dataImport.journalEntry.queryCode, url: '#/vat/importData/journalEntry'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.erpImport.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.erpData', state: 'importData.erpData', num: 1,
//                        permission: constant.vatPermission.dataImport.erpImport.queryCode, url: '#/vat/importData/erpData'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.outputInvoice.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.outputInvoice', state: 'importData.outputInvoice', num: 1,
//                        permission: constant.vatPermission.dataImport.outputInvoice.queryCode, url: '#/vat/importData/outputInvoice'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.inputInvoice.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.inputInvoice', state: 'importData.inputInvoice', num: 1,
//                        permission: constant.vatPermission.dataImport.inputInvoice.queryCode, url: '#/vat/importData/inputInvoice'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.customInvoice.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.customInvoice', state: 'importData.customInvoice', num: 1,
//                        permission: constant.vatPermission.dataImport.customInvoice.queryCode, url: '#/vat/importData/customInvoice'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.voucherMapping.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.voucherMapping', state: 'importData.voucherMapping', num: 1,
//                        permission: constant.vatPermission.dataImport.voucherMapping.queryCode, url: '#/vat/importData/voucherMapping'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.invoiceMapping.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.invoiceMapping', state: 'importData.invoiceMapping', num: 1,
//                        permission: constant.vatPermission.dataImport.invoiceMapping.queryCode, url: '#/vat/importData/invoiceMapping'
//                    });
//                }
//                else if (data[constant.vatPermission.dataImport.auditAdjust.queryCode]) {
//                    $scope.menus.push({
//                        name: 'importData', state: 'importData', num: 1,
//                        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
//                    });
//                    subMenus.push({
//                        name: 'importData.auditAdjust', state: 'importData.auditAdjust', num: 1,
//                        permission: constant.vatPermission.dataImport.auditAdjust.queryCode, url: '#/vat/importData/auditAdjust'
//                    });
//                }
                //else {
                //    $scope.menus.push({
                //        name: 'importData', state: 'importData', num: 1,
                //        permission: constant.vatPermission.dataImport.dataImportCode, url: '#/vat/importData'
                //    });
                //    subMenus.push({
                //        name: 'importData.productItem', state: 'importData.productItem', num: 1,
                //        permission: '02', url: '#/vat/importData/productItem'
                //    });
                //}

//                if (data[constant.vatPermission.dataPreview.balanceSheet.queryCode]) {
//                    $scope.menus.push({
//                        name: 'previewData', state: 'previewData', num: 2,
//                        permission: constant.vatPermission.dataPreview.dataPreviewCode, url: '#/vat/previewData'
//                    });
//                    subMenus.push({
//                        name: 'previewData.balanceSheet', state: 'previewData.balanceSheet', num: 2,
//                        permission: constant.vatPermission.dataPreview.balanceSheet.queryCode, url: '#/vat/previewData/balanceSheet'
//                    });
//                }
//                else if (data[constant.vatPermission.dataPreview.accountVoucher.queryCode]) {
//                    $scope.menus.push({
//                        name: 'previewData', state: 'previewData', num: 2,
//                        permission: constant.vatPermission.dataPreview.dataPreviewCode, url: '#/vat/previewData'
//                    });
//                    subMenus.push({
//                        name: 'previewData.accountVoucher', state: 'previewData.accountVoucher', num: 2,
//                        permission: constant.vatPermission.dataPreview.accountVoucher.queryCode, url: '#/vat/previewData/accountVoucher'
//                    });
//                }
//                else
                if (data[constant.vatPermission.dataPreview.inputInvoice.queryCode]) {
                    $scope.menus.push({
                        name: 'previewData', state: 'previewData', num: 2,
                        permission: constant.vatPermission.dataPreview.dataPreviewCode, url: '#/vat/previewData'
                    });
                    subMenus.push({
                        name: 'previewData.inputInvoice', state: 'previewData.inputInvoice', num: 2,
                        permission: constant.vatPermission.dataPreview.inputInvoice.queryCode, url: '#/vat/previewData/inputInvoice'
                    });
                }
                else if (data[constant.vatPermission.dataPreview.outputInvoice.queryCode]) {
                    $scope.menus.push({
                        name: 'previewData', state: 'previewData', num: 2,
                        permission: constant.vatPermission.dataPreview.dataPreviewCode, url: '#/vat/previewData'
                    });
                    subMenus.push({
                        name: 'previewData.outputInvoice', state: 'previewData.outputInvoice', num: 2,
                        permission: constant.vatPermission.dataPreview.outputInvoice.queryCode, url: '#/vat/previewData/outputInvoice'
                    });
                }
//                else if (data[constant.vatPermission.dataPreview.customInvoice.queryCode]) {
//                    $scope.menus.push({
//                        name: 'previewData', state: 'previewData', num: 2,
//                        permission: constant.vatPermission.dataPreview.dataPreviewCode, url: '#/vat/previewData'
//                    });
//                    subMenus.push({
//                        name: 'previewData.customInvoice', state: 'previewData.customInvoice', num: 2,
//                        permission: constant.vatPermission.dataPreview.customInvoice.queryCode, url: '#/vat/previewData/customInvoice'
//                    });
//                }
                //else {
                //    $scope.menus.push({
                //        name: 'previewData', state: 'previewData', num: 2,
                //        permission: constant.vatPermission.dataPreview.dataPreviewCode, url: '#/vat/previewData'
                //    });
                //    subMenus.push({
                //        name: 'previewData.productItem', state: 'previewData.productItem', num: 2,
                //        permission: '02', url: '#/vat/previewData/productItem'
                //    });
                //}

                if (data[constant.vatPermission.dataManage.caculateDataCode]) {
                    $scope.menus.push({
                        name: 'reductionData', state: 'reductionData', num: 3,
                        permission: constant.vatPermission.dataManage.dataManageCode, url: '#/vat/reductionData'
                    });
                    subMenus.push({
                        name: 'reductionData.caculateData', state: 'reductionData.caculateData', num: 3,
                        permission: constant.vatPermission.dataManage.caculateDataCode, url: '#/vat/reductionData/caculateData'
                    });
                }
                else if (data[constant.vatPermission.dataManage.accountMappingCode]) {
                    $scope.menus.push({
                        name: 'reductionData', state: 'reductionData', num: 3,
                        permission: constant.vatPermission.dataManage.dataManageCode, url: '#/vat/reductionData'
                    });
                    /*subMenus.push({
                        name: 'reductionData.accountMapping', state: 'reductionData.accountMapping', num: 3,
                        permission: constant.vatPermission.dataManage.accountMappingCode, url: '#/vat/reductionData/accountMapping'
                    });*/
                }
                else if (data[constant.vatPermission.dataManage.goodsMappingCode]) {
                    $scope.menus.push({
                        name: 'reductionData', state: 'reductionData', num: 3,
                        permission: constant.vatPermission.dataManage.dataManageCode, url: '#/vat/reductionData'
                    });
                    /*subMenus.push({
                        name: 'reductionData.goodsMapping', state: 'reductionData.goodsMapping', num: 3,
                        permission: constant.vatPermission.dataManage.goodsMappingCode, url: '#/vat/reductionData/goodsMapping'
                    });*/
                }
                else if (data[constant.vatPermission.dataManage.unbilledInvoiceCode]) {
                    $scope.menus.push({
                        name: 'reductionData', state: 'reductionData', num: 3,
                        permission: constant.vatPermission.dataManage.dataManageCode, url: '#/vat/reductionData'
                    });
                    /*subMenus.push({
                        name: 'reductionData.unbilledInvoice', state: 'reductionData.unbilledInvoice', num: 3,
                        permission: constant.vatPermission.dataManage.unbilledInvoiceCode, url: '#/vat/reductionData/unbilledInvoice'
                    });*/
                }

                if (data[constant.vatPermission.reportView.bsplCode] || data[constant.vatPermission.reportView.taxReturnCode]) {
                    $scope.menus.push({
                        name: 'generateReport', state: 'generateReport', num: 4,
                        permission: constant.vatPermission.reportView.reportViewCode, url: '#/vat/generateReport'
                    });
                    subMenus.push({
                        name: 'generateReport', state: 'generateReport', num: 4,
                        permission: constant.vatPermission.reportView.reportViewCode, url: '#/vat/generateReport'
                    });
                }

                if (data[constant.vatPermission.dataAnalysis.modelAnalysisCode]) {
                    $scope.menus.push({
                        name: 'analyzeLayout', state: 'analyzeLayout', num: 5,
                        permission: constant.vatPermission.dataAnalysis.dataAnalysisCode, url: '#/vat/analyzeLayout'
                    });
                    subMenus.push({
                        name: 'analyzeLayout.analyzeReport', state: 'analyzeLayout.analyzeReport', num: 5,
                        permission: constant.vatPermission.dataAnalysis.modelAnalysisCode, url: '#/vat/analyzeLayout/analyzeReport'
                    });
                }
                //else if (data[constant.vatPermission.dataAnalysis.dashboard.dashboardCode]) {
                //    $scope.menus.push({
                //        name: 'analyzeLayout', state: 'analyzeLayout', num: 5,
                //        permission: constant.vatPermission.dataAnalysis.dataAnalysisCode, url: '#/vat/analyzeLayout'
                //    });
                //    subMenus.push({
                //        name: 'analyzeLayout.analyzeOrganizeDashboard', state: 'analyzeLayout.analyzeOrganizeDashboard', num: 5,
                //        permission: constant.vatPermission.dataAnalysis.dashboard.dashboardCode, url: '#/analyzeOrganizeDashboard'
                //    });
                //}
                else  {
                    //data[constant.vatPermission.dataAnalysis.vatTaxDifferenceCode]
                    $scope.menus.push({
                        name: 'analyzeLayout', state: 'analyzeLayout', num: 5,
                        permission: constant.vatPermission.dataAnalysis.dataAnalysisCode, url: '#/vat/analyzeLayout'
                    });
                    subMenus.push({
                        name: 'analyzeLayout.vatTaxDifference', state: 'analyzeLayout.vatTaxDifference', num: 5,
                        permission: constant.vatPermission.dataAnalysis.vatTaxDifferenceCode, url: '#/analyzeLayout/vatTaxDifference'
                    });
                }
            }
        });

    }

    var goFirstSubMenu = function (toState) {
        if (toState && toState.name && toState.name.length > 4 && $scope.menus) {
            var to = toState.name.substring(4);
            var state = _.find(subMenus, function (v, i, arr) {
                if (v && v['state'].indexOf(to + '.') >= 0) {
                    return true;
                }
            });
            if (state) {
                if (state['state'] && state['state'].indexOf('analyzeOrganizeDashboard')>=0) { 
                    $state.go('organizationDashboard', { id: vatSessionService.project.organizationID });
                }
                else {
                    $state.go('vat.' + state['state']);
                } 
            }
            else {
                $state.go(toState);
            };
        }
    } 

    $scope.$on(application.events.showSubMenu, function (event, data) {
        if (data) {
            $scope.showSubMenu = data.show;
        }
    });

    $scope.setReportSession = function (menuName) {
        if (menuName === 'generateReport') {
            vatSessionService.isFromTopMenu = true;
        }
    }

    $scope.showProjectStatus = function () {
        var modalInstance = $uibModal.open({
            animation: false,
            //appendTo: angular.element(document.querySelector('#imgProjectStatus')),//把弹出框加到imgProjectStatus下面
            ariaLabelledBy: 'modal-title',
            ariaDescribedBy: 'modal-body',
            templateUrl: 'model-project-status.html',
            scope: $scope,
            windowClass: "model-project-status"
        });

        modalInstance.rendered.then(function () {
            $log.debug("modalInstance.rendered");
            // Grab target element
            var element = document.querySelector('#imgProjectStatus'),
            // Get target position and size
            rect = element.getBoundingClientRect(),
            // Grab modal element
            modal = document.querySelector('.model-project-status');

            $log.debug(rect);
            // Set style 
            modal.style.margin = 0;
            //modal.style.width = rect.width + 'px';
            modal.style.top = rect.top + 'px';
            modal.style.left = rect.left + 'px';

        });

        $scope.closeModal = function () {
            modalInstance.dismiss('cancel');
        };

        setSubStatusDto();
        setApproveDetailDto();
        setSubmitDetailDto();
        setStartStatusText(vatSessionService.month);
    }

    $scope.showSubStatus = function () {
        var temp = $scope.displaySubStatus;
        $scope.displaySubStatus = !temp;
    }

    $scope.showApproveDetail = function () {
        var temp = $scope.displayApproveDetails;
        $scope.displayApproveDetails = !temp;
    }

    //设置项目状态Title
    function setLayoutStatusTitle(statusId) {
        $log.debug("setLayoutStatusTitle");
        $scope.statusTitle = $translate.instant('ProjectStatusTitle');
        switch (statusId) {
            case constant.ProjectStatusEnum.UnStarted:
                $scope.statusTitle += $translate.instant('ProjectStatusUnStarted');
                break;
            case constant.ProjectStatusEnum.Imported:
                $scope.statusTitle += $translate.instant('ProjectStatusImported');
                break;
            case constant.ProjectStatusEnum.AccountMapSubmitted:
                $scope.statusTitle += $translate.instant('ProjectStatusAcccountMapSubmitted');
                break;
            case constant.ProjectStatusEnum.Generated:
                $scope.statusTitle += $translate.instant('ProjectStatusGenerated');
                break;
            case constant.ProjectStatusEnum.ReportSubmitted:
                $scope.statusTitle += $translate.instant('ProjectStatusReportSubmitted');
                break;
            case constant.ProjectStatusEnum.ReportApproved:
                $scope.statusTitle += $translate.instant('ProjectStatusReportApproved');
                break;
            case constant.ProjectStatusEnum.ReportRejected:
                $scope.statusTitle += $translate.instant('ProjectStatusReportRejected');
                break;
            case constant.ProjectStatusEnum.Completed:
                $scope.statusTitle += $translate.instant('ProejctStatusCompleted');
                break;
        }
    }


    function setSubStatusDto() {
        $log.debug("setSubStatusDto");
        $scope.subStatusList = [];
        var tbStatus = { dispalyIndex: 1, name: $translate.instant('balanceSheet'), isImported: vatSessionService.project.importSubStatus.isTbImport };
        var entryStatus = { dispalyIndex: 2, name: $translate.instant('JournalEntryTitle'), isImported: vatSessionService.project.importSubStatus.isEntryImport };
        var erpStatus = { dispalyIndex: 3, name: $translate.instant('erpData'), isImported: vatSessionService.project.importSubStatus.isErpImport };
        var outputInvoiceStatus = { dispalyIndex: 4, name: $translate.instant('outputInvoice'), isImported: vatSessionService.project.importSubStatus.isOutputInvoiceImport };
        var inputInvoiceStatus = { dispalyIndex: 5, name: $translate.instant('inputInvoice'), isImported: vatSessionService.project.importSubStatus.isInputInvoiceImport };
        var customStatus = { dispalyIndex: 6, name: $translate.instant('customInvoice'), isImported: vatSessionService.project.importSubStatus.isCustomInvoiceImport };
        var voucherMapStatus = { dispalyIndex: 7, name: $translate.instant('voucherMapping'), isImported: vatSessionService.project.importSubStatus.isVoucherMapImport };
        var invoiceMapStatus = { dispalyIndex: 8, name: $translate.instant('invoiceMapping'), isImported: vatSessionService.project.importSubStatus.isInvoiceMapImport };
        var adjustStatus = { dispalyIndex: 9, name: $translate.instant('auditAdjust'), isImported: vatSessionService.project.importSubStatus.isAdjustImport };

        $scope.subStatusList.push(tbStatus);
        $scope.subStatusList.push(entryStatus);
        $scope.subStatusList.push(erpStatus);
        $scope.subStatusList.push(outputInvoiceStatus);
        $scope.subStatusList.push(inputInvoiceStatus);
        $scope.subStatusList.push(customStatus);
        $scope.subStatusList.push(voucherMapStatus);
        $scope.subStatusList.push(invoiceMapStatus);
        $scope.subStatusList.push(adjustStatus);
        $log.debug($scope.subStatusList);
    }

    function setSubmitDetailDto() {
        $log.debug("setSubmitDetailDto");
        $scope.submitDetailDto = {
            userId:"",
            userName: "",
            finishedDateTime: "",
            finishedData: "",
            isDone: false
        }
        var wf = vatSessionService.project.workflow;
        if (_.isNull(wf)) {
            return;
        }

        var viewReportNode = _.where(wf.workflowNodeList, { dictionaryKey: constant.DictionaryDictKey.ViewReport })[0];
        if (!_.isNull(viewReportNode) && !_.isUndefined(viewReportNode)) {
            var submitTask = _.where(viewReportNode.workflowTaskList, { dictionaryKey: constant.DictionaryDictKey.WFSubmitReport })[0];
            if (!_.isNull(submitTask) && !_.isUndefined(submitTask)) {
                $scope.submitDetailDto.userId = submitTask.userId;
                $scope.submitDetailDto.userName = submitTask.userName;
                $scope.submitDetailDto.finishedDateTime = !_.isNull(submitTask.createTime)
                                                          ? (new Date(submitTask.createTime)).dateTimeToString('yyyyMMdd') : "";
                $scope.submitDetailDto.isDone = submitTask.isDone;
                $scope.submitDetailDto.finishedData = $scope.submitDetailDto.userName + " " + $scope.submitDetailDto.finishedDateTime;

            }
        }
    }

    function setApproveDetailDto() {
        $log.debug("setApproveDetailDto");
        $scope.approveDetailList = [];
        switch (vatSessionService.project.projectStatusList[vatSessionService.month]) {
            case constant.ProjectStatusEnum.ReportApproved:
                $scope.approveTitle = $translate.instant('ProjectStatusReportApproved');
                break;
            case constant.ProjectStatusEnum.ReportRejected:
                $scope.approveTitle = $translate.instant('ProjectStatusReportRejected');
                break;
            default:
                $scope.approveTitle = $translate.instant('ProjectStatusReportApproved');;
        }

        var wf = vatSessionService.project.workflow;
        if (_.isNull(wf)) {
            return;
        }

        var approveReportNode = _.where(wf.workflowNodeList, { dictionaryKey: constant.DictionaryDictKey.ApproveReport })[0];     
        if (!_.isNull(approveReportNode) && !_.isUndefined(approveReportNode)) {
            $.each(approveReportNode.auditReportLevelList, function (index, item) {
                var approveDto = {
                    orderIndex: -1,
                    name: "",
                    isDone: false,
                    finishedByUserName: "",
                    finishedDateTime: "",
                    finishedData: "",
                    isRejected: false,
                    ngClassInActive: false
                };

                approveDto.orderIndex = item.orderIndex;
                approveDto.name = item.name + ' ' + $translate.instant('ProjectStatusReportApproved');
                approveDto.isDone = item.isDone;
                approveDto.finishedByUserName = !_.isNull(item.finishedByUserName) ? item.finishedByUserName : "";
                approveDto.finishedDateTime = !_.isNull(item.finishedDateTime) ? (new Date(item.finishedDateTime)).dateTimeToString('yyyyMMdd') : "";
                approveDto.finishedData = approveDto.finishedByUserName + "  " + approveDto.finishedDateTime;
                approveDto.ngClassInActive = vatSessionService.project.projectStatusList[vatSessionService.month] < 60 || (!approveDto.isDone
                                              && !approveDto.isRejected) ? true : false; //没有完成&&没有拒绝审核：未操作。显示为灰色
                $scope.approveDetailList.push(approveDto);
            });

            $scope.approveDetailList.forEach(function (a) {
                //如果当前层级'未完成'的话，检查是否作为'拒绝审核'操作。做过的话，重新设置dto数据
                if (!a.isDone) {
                    vatWorkflowService.getWorkflowApproveReportLog(vatSessionService.project.id, vatSessionService.month, a.orderIndex,
                      enums.vatLogOperationTypeEnum.RejectReport, enums.ReportTemplateCode.TaxDeclarationCategory)
                        .success(function (or) {
                            if (or.result) {
                                if (!_.isNull(or.data)) {
                                    a.isRejected = true;
                                    a.name = a.name.substring(0, a.name.indexOf(' ')) + ' ' + $translate.instant('HasRejected');
                                    a.finishedByUserName = or.data.userName;
                                    a.finishedDateTime = !_.isNull(or.data.createTime) ? (new Date(or.data.createTime)).dateTimeToString('yyyyMMdd') : "";
                                    a.finishedData = a.finishedByUserName + "  " + a.finishedDateTime;
                                    a.ngClassInActive = vatSessionService.project.projectStatusList[vatSessionService.month] < 60
                                                       || (!a.isDone && !a.isRejected) ? true : false;

                                    //如下操作：一级通过审核，二级拒绝审核，提交审核，一级通过审核。 
                                    //此时状态为“已审核”，审核的子状态：1级审核 已审核; 2级审核 已驳回 :应该显示为灰色
                                    if (vatSessionService.project.projectStatusList[vatSessionService.month] === 60 && a.orderIndex > 1) {
                                        var previousLevel = _.where($scope.approveDetailList, { orderIndex: a.orderIndex - 1 })[0];
                                        if (!_.isUndefined(previousLevel)) {
                                            if (previousLevel.isDone && a.isRejected) {
                                                a.ngClassInActive = true;
                                            }
                                        }
                                    }

                                }                               
                            }
                    });
                }
            });
        }

    }

    //项目未开始时，第一个节点显示”未开始”，开始以后显示“开始”
    function setStartStatusText(period) {
        var curPeriodStatus = vatSessionService.project.projectStatusList[period];
        if (!_.isUndefined(curPeriodStatus)) {
            if (_.isEqual(curPeriodStatus, constant.ProjectStatusEnum.UnStarted)) {
                $scope.startStatusText = $translate.instant('ProjectStatusUnStarted');
            }
            else {
                $scope.startStatusText = $translate.instant('ProjectStatusStarted');
            }
        }
    }

    function initStatus(dbName, id, month) {
        $q.all([
           projectService.getProjectStatus(id, month),
           //vatWorkflowService.getWorkflowDetailByDb(dbName, month)
        ]).then(function (result) {
            var statusData = result[0].data;
//            var workflowData = result[1].data;
            if (statusData.result) {
                $log.debug("vat-layout.ctrl.js  initStatus set project importSubStatus");
                vatSessionService.project.importSubStatus = statusData.data.importSubStatus;
                $scope.layoutVatSession = vatSessionService;
                $scope.period = vatSessionService.month;
                setLayoutStatusTitle(vatSessionService.project.projectStatusList[month]);
                setStartStatusText(month);
                $log.debug(vatSessionService.project.importSubStatus);
            }

//            if (workflowData.result) {
//                $log.debug("vat-layout.ctrl.js  initStatus set project workflow");
//                vatSessionService.project.workflow = workflowData.data;
//                $log.debug(vatSessionService.project.workflow);
//            }
        });
    }

    function triggerSchedulerJob() {
        vatWorkflowService.execute();
    }

    (function initialize() {
        $log.debug("vat-layout-crtl.js initialize() ");
        $scope.displaySubStatus = false;//导入子状态是否显示   
        $scope.displayApproveDetails = false;//审核详细详细是否显示
        $scope.triggerSchedulerJob = triggerSchedulerJob;
        initStatus(vatSessionService.project.id, vatSessionService.project.id, vatSessionService.month);
        $scope.setPermissionMenu();


        $rootScope.$on('statusChanged', function (event, args) {
            $log.debug("receive statusChanged");
            $log.debug(args.status);
            setLayoutStatusTitle(args.status);
        });

    })();
}]);

vatModule.directive('vatLayout', ['$log', 'region', 'enums',
function ($log, region, enums) {
    'use strict';

    $log.debug('vatLayout.ctor()...');

    return {
        restrict: 'E',
        templateUrl: '/app/vat/vat-layout/vat-layout.html' + '?_=' + Math.random(),
        replace: true,
        scope: {},
        controller: 'VatLayoutController',
        link: function ($scope, $element, $attr) {

            var ele = $("#vatDatepicker");
            ele.datepicker({
                startDate: $scope.startDate,
                endDate: $scope.endDate,
                language: region,
                viewMode: 1,
                minViewMode: 1,
                autoclose: true,//选中之后自动隐藏日期选择框
                clearBtn: false,//清除按钮
                todayBtn: false,//今日按钮
                format: $scope.dateFormat//日期格式，详见 http://bootstrap-datepicker.readthedocs.org/en/release/options.html#format
            }).on('changeDate', function (e) {
                $scope.changeDate(e);
            });
            ele.datepicker("setDate", $scope.selectedDate);
            $scope.elePicker = ele;

            $scope.menuStates = enums.vatMenuStates;
            $scope.menuState = enums.vatMenuStates.expanded;

            // Click to collapse the top menu
            // Param collapseMenu should be 1 to collapse, and 2 to expand.
            // 0: Expanded; 1: Collapsing, 2: Expanding, 3: Collapsed
            $scope.collapseMenu = function (collapseMenu) {
                $scope.menuState = collapseMenu;
            };

            // Handle css for top menu while collapse animation ended
            $scope.headerAnimationEnd = function ($event) {
                // Here we have to add class `collapsed` with JQuery grammar, because we want
                // it work immediately.
                if ($scope.menuState === enums.vatMenuStates.collapsing) {
                    angular.element('.vat-header').addClass('collapsed');
                }

                $scope.$apply(function () {
                    if ($scope.menuState === enums.vatMenuStates.collapsing) {
                        $scope.menuState = enums.vatMenuStates.collapsed;
                    }
                    else if ($scope.menuState === enums.vatMenuStates.expanding) {
                        $scope.menuState = enums.vatMenuStates.expanded;
                    }
                });
            }

            // Repaint spreadJS while spreadJS control expanded already
            $scope.contentAnimationEnd = function ($event) {
                $scope.$broadcast(enums.vatEvent.layoutChanged);
            };
        }
    };
}
]);
vatModule.controller("VatAnalysisMenuController",["$scope","$rootScope","$log","$translate","$timeout","$q","SweetAlert","vatSessionService",function(e,t,n,a,i,o,r,s){"use strict";n.debug("VatAnalysisMenuController.ctor()..."),e.menus=[{name:".analyzeReport",text:a.instant("ModelAnalysis"),icon:"glyphicon glyphicon-flag",permission:constant.vatPermission.dataAnalysis.modelAnalysisCode,show:!0},{name:'analyzeOrganizeDashboard({id:"'+s.project.organizationID+'"})',text:a.instant("Dashboard"),icon:"glyphicon glyphicon-stats",permission:constant.vatPermission.dataAnalysis.dashboard.dashboardCode,show:!0},{name:".vatTaxDifference",text:a.instant("BookTaxDifference"),icon:"glyphicon glyphicon-tree-conifer",show:!0}],s.querySummayDashboardModel={organizationID:s.project.organizationID,year:(new Date).getFullYear(),month:0===(new Date).getMonth()?12:(new Date).getMonth()},s.dashboardSingelOrganizationId=s.project.organizationID;var l=function(e){if(e.menu.text===a.instant("Dashboard"))return s.urlFromAnalyze=!0};n.debug("VatAnalysisMenuController.initialize()..."),e.analyzeMenuEvent=l}]),vatModule.directive("vatAnalysisMenu",["$log",function(e){"use strict";return e.debug("vatAnalysisMenu.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-analysis-menu/vat-analysis-menu.html?_="+Math.random(),replace:!0,scope:{},controller:"VatAnalysisMenuController",link:function(e,t,n){}}}]),vatModule.controller("vatChartAddController",["$log","$scope","$translate","$sce","dashboardService",function(e,t,n,a,i){"use strict";e.debug("vatChartAddController.ctor()...");var o=function(){t.queryStr?(t.queryResult=_.filter(t.systemchartDicValue,function(e){return 0<=e.systemChartName.indexOf(t.queryStr)}),0===t.queryResult.length&&t.queryResult.push({systemChartName:"NoSearchContent"}),t.showSearch=!0):t.showSearch=!1},r=function(){$("#addChart").modal("show")},s=function(e){t.selectedChart.chartName=e.systemChartName,t.selectedChart.chartDescription=e.description,t.selectedChart.imgUrl=e.imgUrl,t.selectedChart.systemchartId=e.systemChartID,t.selectedChart.showAddButton=!0};t.showSearch=!1,t.queryItem=o,t.queryResult=[],t.queryStr="",t.systemchartDic={},t.systemchartDicValue=[],t.selectedChart={},t.selectedChart={chartName:n.instant("AddChartDefault"),chartDescription:a.trustAsHtml(n.instant("AddChartDescF")+"<br/>"+n.instant("AddChartDescS")+"<br/>")+n.instant("AddChartDescT"),imgUrl:"../../../app-resources/images/addchart/u6.png",systemchartId:"000000",showAddButton:!1},t.systemchartDic={"增值税指标分析":[{systemChartID:"9b6a0e47-8979-451e-84dc-0d91c1d25044",systemChartName:"销项税额与进项税额对比",categoryName:"增值税指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表展示的是销项税额，进项税额以及两者差异情况。通过对比情况，可以发现销售与采购的不平衡之处， 从而合理分配销售与采购计划。",imgUrl:"../../../app-resources/images/addchart/output vs input.JPG",sortId:0},{systemChartID:"5329c267-391b-4d5d-90d7-50fbdd0ef39a",systemChartName:"申报收入分类占比",categoryName:"增值税指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"通过本图表可以了解申报收入中各个分类的占比情况。",imgUrl:"../../../app-resources/images/addchart/perclass.JPG",sortId:0},{systemChartID:"42c7b2c5-882e-47d7-959e-5e72d2a80990",systemChartName:"销项税税率占比",categoryName:"增值税指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表展示的是销项税中各个税率的占比情况。通过占比情况，可以发现是否有税率上错报的异常情况。",imgUrl:"../../../app-resources/images/addchart/perrate.JPG",sortId:0},{systemChartID:"d2692a00-6332-487e-b393-7997588a5d7b",systemChartName:"申报收入与营业收入对比",categoryName:"增值税指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表展示的是申报收入与营业收入对比情况。通过差异额，可以发现可能存在的不报、少报销售收入、少纳税款的问题。",imgUrl:"../../../app-resources/images/addchart/samplepic.JPG",sortId:0},{systemChartID:"551e3d3e-5c16-4920-a3f3-b82f4f589c8f",systemChartName:"实缴税负变动",categoryName:"增值税指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表反映一般纳税人的增值税实际负担情况。",imgUrl:"../../../app-resources/images/addchart/samplepic.JPG",sortId:0}],"财务指标分析":[{systemChartID:"5b8911a9-657c-4a43-93c6-91eed630d93d",systemChartName:"主营业务收入变化",categoryName:"财务指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表展示的是主营业务收入情况。根据主营业务收入的波动情况，分析其合理性，查证和判断企业是否存在隐匿主营业务收入的情况。",imgUrl:"../../../app-resources/images/addchart/samplepic.JPG",sortId:0},{systemChartID:"7b26243d-125f-41a3-91a7-c4bcb27540e5",systemChartName:"其他应收账款变化",categoryName:"财务指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表展示的是期末其他应收账款情况。通过其变动情况，可以查看有无发出的货物未计入申报或虚增的销售长期挂在该科目",imgUrl:"../../../app-resources/images/addchart/samplepic.JPG",sortId:0},{systemChartID:"4bc2c26d-56ef-468d-b6a5-c689b69064c8",systemChartName:"应收账款变化",categoryName:"财务指标分析",dataSourceName:null,defaultChartTypeValue:null,defaultArgumentField:null,defaultValueField:null,description:"本图表展示的是期末应收账款情况",imgUrl:"../../../app-resources/images/addchart/samplepic.JPG",sortId:0}]},t.systemchartDicValue=[],_.values(t.systemchartDic).forEach(function(e){t.systemchartDicValue=t.systemchartDicValue.concat(e)}),t.ShowAddChart=r,t.showDetail=s}]),vatModule.directive("vatChartAdd",["$log",function(e){"use strict";return e.debug("vatChartAdd.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-analysis/vat-chart-add/vat-chart-add.html?_="+Math.random(),replace:!0,scope:{},controller:"vatChartAddController",link:function(e,t,n){e.toggle=function(e){$(e.target).parent().children("ul.tree").toggle(200)}}}}]),vatModule.factory("dataTransformService",["$translate",function(p){"use strict";_.groupByMulti=function(e,t,n){if(!t.length)return e;var a=_.groupBy(e,t[0],n),i=t.slice(1);for(var o in a)a[o]=_.groupByMulti(a[o],i,n);return a};var m=function(t,e){if(_.isEmpty(e))return null;switch(t.method){case"sum":var n=_.reduce(_.pluck(e,t.field),function(e,t){return e+t},0);return _.isNumber(n)?n:null;case"avg":n=_.reduce(_.pluck(e,t.field),function(e,t){return e+t},0);return _.isNumber(n)?n/e.length:0;case"max":var a=_.max(e,function(e){return e[t.field]})[t.field];return a||null;case"min":var i=_.min(e,function(e){return e[t.field]})[t.field];return i||null;case"count":return e.length;default:return null}},o=function(e,t,n){for(var a=!1,i=0;i<e.length;i++)if(e[i].valueField===t){a=!0;break}a||e.push({valueField:t,name:n})},i=function(e){return e},r=function(e){return 1<=e.length?e.substring(0,1).toLowerCase()+e.substring(1):""},s=function(e,t,n){for(var a=0;a<n.length;a++){if("regionID"===e&&n[a].regionId===t)return n[a].regionName;if("projectID"===e&&n[a].projectId===t)return n[a].projectName}};return{getTransformResult:function(e,t,n){var a=function(e){for(var t=new Array,n=0;n<e.length;n++)t.push({method:e[n].method,field:i(e[n].field)});return t}(n);i(t[0]);return function(e,s,t){var n=_.groupByMulti(e,t),l=[],c=[],d=t[0];if(1===t.length){var u=!0;_.each(n,function(e,t){var n={};n[d]=t;for(var a=0;a<s.length;a++){var i=s[a],o="v"+a;if(u){var r="c_"+s[a].field;c.push({valueField:o,name:s[a].method+"("+p.instant(r)+")"})}n[o]=m(i,e)}u=!1,l.push(n)})}else 1<t.length&&_.each(n,function(e,t){var n={};n[d]=t;var a=_.first(_.keys(e)),i=e[a];o(c,a,a),n[a]=m(s[0],i),l.push(n)});return{dataSource:l,series:c,argumentField:d}}(e,a,t)},getFieldName:i,getPrefixedFieldName:r,getShowName:function(e){return"c_"+e},getMeasuresValueList:function(e){if(0===e.length)return new Array;for(var t=new Array,n=e.split(","),a=0;a<n.length;a++){var i=/sum|avg|count|max|min/g.exec(n[a]),o=/\((.*?)\)/g.exec(n[a]);t.push({method:i[0],field:r(o[1])})}return t},getDimensionList:function(e){if(0===e.length)return new Array;var t=new Array;return e.split(",").forEach(function(e){t.push(r(e))}),t},getDimensionValue:function(e){return void 0===e?"":e.join(",")},getMeasuresValue:function(e){if(void 0===e)return"";var t="";return e.forEach(function(e){t=t+e.method+"("+e.field+"),"}),0<t.length&&(t=t.substring(0,t.length-1)),t},formatRegionProject:function(e,t){for(var n=0;n<e.length;n++){e[n].vatType=p.instant("vattype_"+e[n].vatType),e[n].rateType=p.instant("ratetype_"+e[n].rateType),e[n].regionID=s("regionID",e[n].regionID,t),e[n].projectID=s("projectID",e[n].projectID,t);var a=10<=e[n].month?e[n].month.toString():"0"+e[n].month.toString();e[n].month=e[n].year.toString().substring(2,4)+"/"+a}}}}]),vatModule.controller("vatChartEditController",["$log","$scope","$translate",function(e,o,t,n,r,s,a,l,i){"use strict";function c(){o.initOperation=null,function(){if("pie"!==o.chartType){o.dimensionAddDisabled=!1,o.measuresAddDisabled=!1,2===o.selectedDimension.length&&(o.dimensionAddDisabled=!0,1===o.selectedMeasures.length&&(o.measuresAddDisabled=!0)),1<o.selectedMeasures.length&&1===o.selectedDimension.length&&(o.dimensionAddDisabled=!0);var e=1<o.selectedDimension.length||1<o.selectedMeasures.length;o.pieChartDisable=e}else o.dimensionAddDisabled=!1,o.measuresAddDisabled=!1,1<=o.selectedDimension.length&&(o.dimensionAddDisabled=!0),1<=o.selectedMeasures.length&&(o.measuresAddDisabled=!0)}(),d(function(){a.RefreshChart(o.dataSourceList,o.selectedDimension,o.selectedMeasures,o.chartType,o.showValue,"pieChartContainer","barChartContainer",l.get("dataValue")+"-01")},v)}e.debug("DashboardSettingController.ctor()..."),o.computeMethod=["sum","avg","count","max","min"],o.addDimension=function(e){o.selectedDimension.push(e);var t=o.unSelectedDimension.indexOf(e);o.unSelectedDimension.splice(t,1),c()},o.removeDimension=function(e){var t=o.selectedDimension.indexOf(e);o.selectedDimension.splice(t,1),o.unSelectedDimension.push(e),c()},o.dimensionAddDisabled=!1,o.measuresAddDisabled=!1,o.addMeasures=function(e,t){var n={field:e,method:t};if(_.find(o.selectedMeasures,n))return u("measuresExist"),!1;o.selectedMeasures.push({field:e,method:t}),c()},o.removeMeasures=function(e,t){for(var n=0;n<o.selectedMeasures.length;n++)if(o.selectedMeasures[n].field===e&&o.selectedMeasures[n].method===t){o.selectedMeasures.splice(n,1);break}c()},o.changeChartType=function(e){"pie"===e&&o.pieChartDisable||(o.chartType=e,c())},o.pieChartDisable=!1;var d=function(t,n){var e=l.get("projectList"),a=l.get("dataValue")+"-01",i=-1===o.selectedDimension.indexOf("month");r.getRangeChartData(o.dataSourceName,e,a,i).success(function(e){e?(s.formatRegionProject(e,o.projectList),o.dataSourceList=e,t&&t()):n()}).error(function(){n()})},u=function(e){o.operation={result:!1,message:e},t(function(){o.operation=null},2e3)};o.saveSetting=function(){if(0===o.chartName.length)return u("noChartName"),!1;if(22<=o.chartName.length)return u("chartNameTooLong"),!1;var e=s.getDimensionValue(o.selectedDimension),t=s.getMeasuresValue(o.selectedMeasures);if(0===e.length||0===t.length)return u("dimensionOrMeasuresError"),!1;r.saveSetting(o.chartId,o.chartName,o.chartType,e,t,o.showValue).success(function(e){h(e)})};var p,m,g,v=function(){o.initOperation={result:!1,message:"InitializeFail"}},h=function(e){o.operation=e,t(function(){o.operation=null,f()},1e3)},f=function(){o.$emit("event:closeCurrentTab")};o.projectList=[],i.getProjectList().success(function(e){o.projectList=e}),p=o.chartId,m=function(){c(),$("#showValue").bootstrapSwitch({state:o.showValue,size:"small"})},g=v,r.getChartSetting(p).success(function(e){if(e.result||!g){var t=e.data;o.dataSourceName=t.dataSourceName,o.chartName=t.name,o.showValue=t.showValue,o.chartType=t.chartTypeValue,o.selectedDimension=s.getDimensionList(t.argumentField),o.selectedMeasures=s.getMeasuresValueList(t.valueField),o.unSelectedDimension=new Array,o.unSelectedMeasures=new Array,t.allValueFieldList.forEach(function(e){var t=s.getPrefixedFieldName(e);-1===o.selectedDimension.indexOf(t)&&o.unSelectedDimension.push(t),o.unSelectedMeasures.push(t)}),m&&m()}else g()}),o.closeCurrentTab=f,o.editSettingModel={chartID:null,chartName:null,chartType:null,argumentFieldValue:null,valueField:null,showValue:null}}]),vatModule.directive("vatChartEdit",["$log",function(e){"use strict";return e.debug("vatChartEdit.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-analysis/vat-chart-edit/vat-chart-edit.html?_="+Math.random(),replace:!0,scope:{chartID:"@"},controller:"vatChartEditController",link:function(n,e,t){e.find("#showValue").on("switchChange.bootstrapSwitch",function(e,t){n.showValue=t,RefreshView()}),e.find("#pieChartClickId").click(function(e){if(n.pieChartDisable)return e.preventDefault(),!1})}}}]),vatModule.controller("VatVatAnalysisController",["$scope","$log","loginContext","$translate","$location",function(e,t,n,a,i){"use strict";t.debug("VatVatAnalysisController.ctor()...")}]),vatModule.directive("vatVatAnalysis",["$log",function(e){"use strict";return e.debug("vatVatAnalysis.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-analysis/vat-vat-analysis.html?_="+Math.random(),replace:!0,scope:{},controller:"VatVatAnalysisController",link:function(e,t,n){}}}]),vatModule.controller("VatDataSummaryController",["$scope","$log","loginContext","$translate","$location",function(e,t,n,a,i){"use strict";t.debug("VatDataSummaryController.ctor()...")}]),vatModule.directive("vatDataSummary",["$log",function(e){"use strict";return e.debug("vatDataSummary.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-data-summary/vat-data-summary.html?_="+Math.random(),replace:!0,scope:{},controller:"VatDataSummaryController",link:function(e,t,n){}}}]),vatModule.controller("VatFinanceTargetAnalysisController",["$scope","$log","loginContext","$translate","$location",function(e,t,n,a,i){"use strict";t.debug("VatFinanceTargetAnalysisController.ctor()...")}]),vatModule.directive("vatFinanceTargetAnalysis",["$log",function(e){"use strict";return e.debug("vatFinanceTargetAnalysis.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-finance-target-analysis/vat-finance-target-analysis.html?_="+Math.random(),replace:!0,scope:{},controller:"VatFinanceTargetAnalysisController",link:function(e,t,n){}}}]),vatModule.controller("VatModelAnalysisController",["$scope","$translate","$uibModal","vatSessionService","modelConfigurationService","$compile","$timeout","$q","vatImportService","vatPreviewService","SweetAlert","enums","vatExportService",function(l,t,n,e,a,i,o,r,s,c,d,u,p){"use strict";l.industryId=e.project.industryID,l.organizationId=e.project.organizationID,l.projectId=e.project.id,l.projectYear=e.project.year,l.serviceTypeId=e.project.serviceTypeID,l.logOptions={isShown:!1,period:e.month,moduleId:u.vatModuleEnum.Result_ModelAnalysisResult},l.modelType=1,l.periodFrom=1,l.periodTo=12,l.modelTreeList=[],l.selectCategoryId=null,l.resizableOptions={handles:"right",Width:250,minWidth:200,maxWidth:350},l.dirtyDataProcess={hasCheckedFinished:!1,intervalId:null,progressBarValue:0,processBarMax:100,processBarModalInstance:null,progressBarOptions:{min:0,width:"90%",bindingOptions:{value:"dirtyDataProcess.progressBarValue",max:"dirtyDataProcess.processBarMax"},statusFormat:function(e){return"计算进度: "+(100*e).toFixed(0)+"%"},onComplete:function(e){l.dirtyDataProcess.processBarModalInstance.dismiss({$value:"cancel"}),l.dirtyDataProcess.processBarModalInstance=null,clearInterval(l.dirtyDataProcess.intervalId),l.dirtyDataProcess.intervalId=null,v()}}};var m,g,v=function(){(0,a.getModelCategory)(l.organizationId,l.industryId,l.serviceTypeId).success(function(e){for(var t={},n=0;n<e.length;n++){t[(s=e[n]).categoryID]={id:s.modelID,title:s.modelName,isCategory:s.isCategory,questionCount:s.questionCount,totalCount:s.modelTotalCount,categoryId:s.categoryID,parentID:s.parentID,modelType:s.modelType,parentNode:null,sort:s.sort,data:s,feature:s.feature,nodes:[]}}for(var a in t)if(t.hasOwnProperty(a)){var i=(s=t[a]).parentID;if(i&&t.hasOwnProperty(i)){var o=t[i];(o||o!==s)&&(s.parentNode=o).nodes.push(s)}}var r=[];for(var a in t){var s;if(t.hasOwnProperty(a))(s=t[a])&&!s.parentNode&&r.push(s)}l.modelTreeList=r})};l.nodeSelected=function(e){l.selectCategoryId=e.categoryId,l.modelType=e.feature},m=[],g=constant.vatPermission.dataAnalysis.modelAnalysis,m.push(g.queryCode),m.push(g.filterCode),l.hasQueryPermission=!1,l.hasFilterIssuePermission=!1,l.$root.checkUserOrganizationPermissionList(m).success(function(e){l.hasQueryPermission=e[g.queryCode],l.hasFilterIssuePermission=e[g.filterCode]}),a.projectHasDirtyData(l.projectId,l.serviceTypeId).success(function(e){e?d.swal({title:t.instant("OrganizationsHasDirtyData"),text:"",type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:t.instant("Confirm"),cancelButtonText:t.instant("Cancel"),closeOnConfirm:!0},function(e){e?(l.dirtyDataProcess.processBarModalInstance=n.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"vat-model-analysis-dirty-data-process-bar.html",backdrop:"static",scope:l,windowClass:"vat-model-analysis-dirty-data-process-bar"}),l.dirtyDataProcess.intervalId=setInterval(function(){l.dirtyDataProcess.progressBarValue++,l.dirtyDataProcess.hasCheckedFinished||l.dirtyDataProcess.processBarMax++},100),a.updateProjectModelDirtyDataSingleCard(l.projectId,l.serviceTypeId).success(function(){l.dirtyDataProcess.hasCheckedFinished=!0})):v()}):v()})}]),vatModule.directive("vatModelAnalysis",["$translate",function(r){"use strict";return{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-model-analysis/vat-model-analysis.html?_="+Math.random(),replace:!0,scope:{},controller:"VatModelAnalysisController",link:function(n,e,t){n.element=e;var a,i,o=null;a=$(n.element).find(".right-container .menu .period-range input"),i=[r.instant("Month01"),r.instant("Month02"),r.instant("Month03"),r.instant("Month04"),r.instant("Month05"),r.instant("Month06"),r.instant("Month07"),r.instant("Month08"),r.instant("Month09"),r.instant("Month10"),r.instant("Month11"),r.instant("Month12")],(a=a.rangePicker({minDate:[1,n.projectYear],maxDate:[12,n.projectYear],setDate:[[1,n.projectYear],[12,n.projectYear]],months:i,ConfirmBtnText:r.instant("Confirm"),CancelBtnText:r.instant("ButtonCancel")})).on("datePicker.done",function(e,t){n.periodFrom=t[0][0],n.periodTo=t[1][0]}),o=$(a).data("_ranegPicker"),n.$on("$destroy",function(){o.destroy()})}}}]),vatModule.controller("vatTaxDifferenceController",["$log","$location","$q","$scope","$translate","$compile","$uibModal","vatPreviewService","vatDifferenceService","vatSessionService",function(e,n,s,r,a,i,l,c,t,o){"use strict";e.debug("vatTaxDifferenceController.ctor()..."),r.grid={differenceOptions:{height:"600px",bindingOptions:{dataSource:"differenceList"},keyExpr:"id",noDataText:a.instant("AccountVoucher_DataGrid_NoDataText"),parentIdExpr:"head_ID",expandedRowKeys:[1],showBorders:!1,showColumnLines:!1,showRowLines:!1,columnAutoWidth:!0,autoExpandAll:!0,columns:[{dataField:"typeName",caption:a.instant("IncomeType")},{dataField:"description",caption:a.instant("Description")},{dataField:"amount",caption:a.instant("Amount"),format:{type:"fixedPoint",precision:2}}],selection:{mode:"single"},onSelectionChanged:function(e){var t=e.selectedRowsData[0];1===t.clickType?(n.path("/vat/generateReport/reportView?id="+t.reportID+"&templateid="+t.templateID+"&name=本期销售情况明细(附表一)&templatecode=VAT001"),n.url(n.path())):2===t.clickType&&(r.queryVoucherDto.listQueryCondition=[],r.queryVoucherDto.listQueryCondition.push({conditionName:"科目代码",searchKeyWord:"1",searchValue:t.typeName}),r.curVoucherItemPage=1,d(!1),u.voucherDataLoad(r.curVoucherItemPage),u.showVoucherModal())},onRowPrepared:function(e){"header"!=e.rowType&&"0"===e.data.head_ID&&e.rowElement.addClass("top-category")}},reasonOptions:{height:"600px",bindingOptions:{dataSource:"reasonList"},keyExpr:"id",parentIdExpr:"head_ID",expandedRowKeys:[1],showBorders:!1,showColumnLines:!1,showRowLines:!1,columnAutoWidth:!0,autoExpandAll:!0,columns:[{dataField:"name",caption:a.instant("DifferenceReason")},{dataField:"desc",caption:a.instant("Description")},{dataField:"amount",caption:a.instant("Amount"),format:{type:"fixedPoint",precision:2}}],onRowPrepared:function(e){"header"!=e.rowType&&("0"===e.data.head_ID&&e.rowElement.addClass("top-category"),"total"===e.data.id&&e.rowElement.addClass("table-summary"))}}},r.toggleAllMasterRows=function(e){var t="dx-datagrid-group-closed",n="dx-datagrid-group-opened";$(e.target).hasClass(t)?(r.gridInstance.expandAll(-1),$(e.target).removeClass(t),$(e.target).addClass(n)):(r.gridInstance.collapseAll(-1),$(e.target).removeClass(n),$(e.target).addClass(t))},r.openSingularVoucher=function(e,t,n,a){var i=l.open({animation:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"vat-preview-voucher-singular-voucher.html",scope:r,windowClass:"vat-preview-voucher-singular-voucher"}),o=r.singularVoucher;o.date=new Date(e).dateTimeToString("yyyyMMdd"),o.period=t,o.group=n,o.groupNum=a,c.getVoucherByConditon(r.queryVoucherDto.mainRelation,r.queryVoucherDto.allJe,t,a,n,r.queryVoucherDto.listQueryCondition).success(function(e){e.data.forEach(function(e){e.debit=PWC.round(e.debit,2),e.credit=PWC.round(e.credit,2)}),o.dataList=e.data}),i.opened.then(function(){o.gridColumns=angular.copy(o.VOUCHER_COLUMNS)}),o.close=function(){i.dismiss("cancel")}};var d=function(e){if(e){$("#totalVoucherPage").createPage({pageCount:0,current:r.curVoucherItemPage,backFn:function(e){u.voucherDataLoad(e)}});$("#totalVoucherPage").css("display","inline-block")}else c.voucherSelectAdvancedCount(r.queryVoucherDto.mainRelation,r.queryVoucherDto.isEntryShow,r.queryVoucherDto.allJe,r.queryVoucherDto.listQueryCondition).success(function(e){if(e&&!e.result&&e.resultMsg)return SweetAlert.warning(a.instant(e.resultMsg)),!1;if(r.queryVoucherDto.pagingInfo.totalCount=e.data,r.queryVoucherDto.pagingInfo&&0<r.queryVoucherDto.pagingInfo.totalCount){var t=parseInt(r.queryVoucherDto.pagingInfo.totalCount/r.queryVoucherDto.pagingInfo.pageSize);t=r.queryVoucherDto.pagingInfo.totalCount%r.queryVoucherDto.pagingInfo.pageSize==0?t:t+1;$("#totalVoucherPage").createPage({pageCount:t,current:r.curVoucherItemPage,backFn:function(e){u.voucherDataLoad(e)}});$("#totalVoucherPage").css("display","inline-block")}else{$("#totalVoucherPage").createPage({pageCount:0,current:r.curVoucherItemPage,backFn:function(e){u.voucherDataLoad(e)}});$("#totalVoucherPage").css("display","inline-block")}});return!0};r.queryVoucherDto={mainRelation:"7",allJe:!1,pagingInfo:{totalCount:0,pageIndex:1,pageSize:100},listQueryCondition:[],isEntryShow:!1};var u={getDifferenceList:function(){t.getTaxDifferenceList(o.project.id,o.month).success(function(e){r.differenceList=e}).error(function(){alert("error")})},getReasonList:function(){r.reasonList=[{id:"1",head_ID:"0",name:"预提未发放的折扣及赠料",desc:"",amount:50639},{id:"1-1",head_ID:"1",name:"当前折扣净发生额",desc:"",amount:50639},{id:"1-1-1",head_ID:"1-1",name:"61858.229840.88",desc:"系统自动生成已实现折让",amount:50639},{id:"1-2",head_ID:"1",name:"当前赠料净发生额",desc:"",amount:0},{id:"1-2-1",head_ID:"1-2",name:"61858.229840.55",desc:"预提月末赠料",amount:0},{id:"1-3",head_ID:"1",name:"当期其他折扣/赠料净发生额",desc:"",amount:0},{id:"1-3-1",head_ID:"1-3",name:"61858.229840.66",desc:"预提系统自动生成未实现折让",amount:0},{id:"1-3-2",head_ID:"1-3",name:"61858.229840.77",desc:"手工计算未实现折让",amount:0},{id:"1-3-3",head_ID:"1-3",name:"61858.229840.99",desc:"手工计算已实现折让",amount:0},{id:"2",head_ID:"0",name:"延期付款利息（赊销）",desc:"",amount:-5999},{id:"2-1",head_ID:"2",name:"会计当月确认的延期付款利息",desc:"",amount:-5999},{id:"2-1-1",head_ID:"2-1",name:"61858.121201.03",desc:"",amount:-5999},{id:"3",head_ID:"0",name:"资产处置收入",desc:"",amount:-3},{id:"3-1",head_ID:"3",name:"固定资产处置收入",desc:"",amount:-3.39},{id:"3-1-1",head_ID:"3-1",name:"858013.793101.100",desc:"固定资产清理收入",amount:-3},{id:"3-1-2",head_ID:"3-1",name:"858013.486901.08",desc:"固定资产清理收入-先按无收入处置再变卖",amount:0},{id:"4",head_ID:"0",name:"委贷利息",desc:"",amount:5388},{id:"4-1",head_ID:"4",name:"会计当月确认的委贷利息",desc:"",amount:23185},{id:"4-1-1",head_ID:"4-1",name:"858013.472902.01",desc:"资金池收入",amount:24576},{id:"4-1-2",head_ID:"4-1",name:"剔除增值税",desc:"",amount:-1391},{id:"4-2",head_ID:"4",name:"本月税控系统开具发票的委贷利息收入",desc:"",amount:28574},{id:"4-2-1",head_ID:"4-2",name:"6%税率（金融服务）",desc:"",amount:28574},{id:"5",head_ID:"0",name:"其他（手工修改）",desc:"",amount:0},{id:"5-1",head_ID:"5",name:"XXXXX",desc:"",amount:0},{id:"total",head_ID:"0",name:"核对会计差异总计",desc:"",amount:50025},{id:"not-recognize-total",head_ID:"0",name:"未识别税会差异",desc:"",amount:0}]},voucherDataLoad:function(e){r.queryVoucherDto.pagingInfo.pageIndex=e,t.taxDifferenceByVoucher(r.queryVoucherDto).success(function(e){e.data.voucherMainList.forEach(function(e){e.debitSum=PWC.round(e.debitSum,2),e.creditSum=PWC.round(e.creditSum,2)}),r.voucherDataList=e.data.voucherMainList}),d(!1)},showVoucherModal:function(){var e=l.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"voucher.html",scope:r,backdrop:"static",windowClass:"difference-modal"});r.cancel=function(){e.dismiss("cancel")}},getVoucherDataFromDatabase:function(e,t,n,a,i,o){var r=s.defer();return c.getVoucherByConditon(e,t,n,a,i,o).success(function(e){r.resolve(e)}).error(function(){r.reject()}),r.promise}};r.datagridOptions={height:"300px",bindingOptions:{dataSource:"voucherDataList"},scrolling:{mode:"virtual"},sorting:{mode:"none"},selection:{mode:"single"},width:"98%",columnAutoWidth:!0,showBorders:!0,allowColumnResizing:!0,showRowLines:!0,showColumnLines:!0,noDataText:a.instant("AccountVoucher_DataGrid_NoDataText"),columns:[{dataField:"period",caption:a.instant("AccountVoucher_DataGrid_ColPeriod"),sortIndex:0,sortOrder:"asc"},{alignment:"center",dataField:"date",dataType:"date",caption:a.instant("AccountVoucher_DataGrid_ColDate"),format:"yyyy-MM-dd",sortIndex:1,sortOrder:"asc"},{dataField:"group",caption:a.instant("AccountVoucher_DataGrid_ColGroup"),sortIndex:2,sortOrder:"asc"},{dataField:"vid",caption:a.instant("AccountVoucher_DataGrid_ColVID"),sortIndex:3,sortOrder:"asc"},{dataField:"debitSum",caption:a.instant("AccountVoucher_DataGrid_ColDebitSum"),alignment:"right"},{dataField:"creditSum",caption:a.instant("AccountVoucher_DataGrid_ColCreditSum"),alignment:"right"}],masterDetail:{enabled:!0,template:function(e,t){var n=t.data;r.queryVoucherDto.period=n.period,r.queryVoucherDto.vID=n.vid,r.queryVoucherDto.group=n.group,e.addClass("internal-grid-container"),$("<div>").addClass("internal-grid").dxDataGrid({columnAutoWidth:!0,loadPanel:{enabled:!1},showBorders:!0,sorting:{mode:"none"},selection:{mode:"single"},columns:[{dataField:"summary",caption:a.instant("AccountVoucher_DataGrid_ColSummary")},{dataField:"acctCodeAndNameShow",caption:a.instant("AccountVoucher_DataGrid_ColAcctCodeAndNameShow"),sortIndex:1,sortOrder:"asc"},{dataField:"stdCodeAndNameShow",caption:a.instant("AccountVoucher_DataGrid_ColStdCodeAndNameShow"),sortIndex:0,sortOrder:"asc"},{dataField:"debit",caption:a.instant("AccountVoucher_DataGrid_ColDebit"),alignment:"right"},{dataField:"credit",caption:a.instant("AccountVoucher_DataGrid_ColCredit"),alignment:"right"}],dataSource:{store:new DevExpress.data.CustomStore({load:function(e){return u.getVoucherDataFromDatabase("7",!1,n.period,n.vid,n.group,r.queryVoucherDto.listQueryCondition).then(function(e){return e.data.forEach(function(e){e.debit=PWC.round(e.debit,2),e.credit=PWC.round(e.credit,2)}),{data:e.data,totalCount:e.data.length}},function(){return s.reject(a.instant("DataLoadingError"))})}})}}).appendTo(e)}},onCellPrepared:function(e){if("header"===e.rowType&&$(e.cellElement).hasClass("dx-command-expand")){var t=$("<div class='dx-datagrid-group-closed'></div>");t.attr("ng-click","toggleAllMasterRows($event)"),e.cellElement.empty(),e.cellElement.append(i(t)(r))}},onContentReady:function(){e.debug("onContentReady voucher")},onInitialized:function(e){r.gridInstance=e.component}},u.getDifferenceList(),u.getReasonList()}]),vatModule.directive("vatTaxDifference",["$log",function(e){"use strict";return e.debug("vatTaxDifference.ctor()..."),{restrict:"E",templateUrl:"/app/vat/analyzeReport/vat-tax-difference/vat-tax-difference.html?_="+Math.random(),replace:!0,scope:{},controller:"vatTaxDifferenceController",link:function(e,t,n){}}}]),vatModule.service("cardValidationService",["$log","$translate",function(e,n){var a=function(e){return!1!==/(^\d{17}(\d|X)$)/.test(e)},i=function(e){var t=e.substr(0,2);return null!=constant.vcity[t]},o=function(e){var t=e.length;if("15"==t){var n=(r=e.match(/^(\d{6})(\d{2})(\d{2})(\d{2})(\d{3})$/))[2],a=r[3],i=r[4],o=new Date("19"+n+"/"+a+"/"+i);return s("19"+n,a,i,o)}if("18"!=t)return!1;var r;n=(r=e.match(/^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X)$/))[2],a=r[3],i=r[4],o=new Date(n+"/"+a+"/"+i);return s(n,a,i,o)},s=function(e,t,n,a){var i=(new Date).getFullYear();if(a.getFullYear()!=e||a.getMonth()+1!=t||a.getDate()!=n)return!1;var o=i-e;return 3<=o&&o<=100},r=function(e){if("18"!=(e=l(e)).length)return!1;var t,n=new Array(7,9,10,5,8,4,2,1,6,3,7,9,10,5,8,4,2),a=new Array("1","0","X","9","8","7","6","5","4","3","2"),i=0;for(t=0;t<17;t++)i+=e.substr(t,1)*n[t];return a[i%11]==e.substr(17,1)},l=function(e){if("15"!=e.length)return e;var t,n=new Array(7,9,10,5,8,4,2,1,6,3,7,9,10,5,8,4,2),a=new Array("1","0","X","9","8","7","6","5","4","3","2"),i=0;for(e=e.substr(0,6)+"19"+e.substr(6,e.length-6),t=0;t<17;t++)i+=e.substr(t,1)*n[t];return e+=a[i%11]};return{CardCheck:function(e){var t={pass:!0,message:""};return null==e||null==e||""==e?(t.message=n.instant("BuyerCodePlaceholder"),t.pass=!1):a(e)?i(e)?o(e)?r(e)||(t.message=n.instant("CardCheckCodeValidationError"),t.pass=!1):(t.message=n.instant("CardDateValidationError"),t.pass=!1):(t.message=n.instant("CardCountryValidationError"),t.pass=!1):(t.message=n.instant("LengthNotEqual")+" 18 or "+n.instant("CarIDTypeError"),t.pass=!1),t}}}]),vatModule.service("keyValueDataService",["enums",function(i){return{parseValue:function(e,t){var n,a;return a=void 0!==t?(n=t,e):(n=e.resultType,e.value),!_.isString(a)||_.isEmpty(a)?a:n&&n!==i.cellDataType.Accounting&&n!==i.cellDataType.Percentage?n===i.cellDataType.Boolean?"true"===a.toLowerCase():n===i.cellDataType.String?a:n===i.cellDataType.Integer?parseInt(a):a:parseFloat(a)}}}]),vatModule.directive("onFinishRender",["$timeout",function(a){return{restrict:"A",link:function(e,t,n){!0===e.$last&&a(function(){e.$emit(n.onFinishRender)},500)}}}]),vatDashboardModule.controller("OrganizationDashboardController",["$scope","$log","$translate","$timeout","$q","$interval","apiInterceptor","SweetAlert","dashboardConfigSummaryService","$stateParams","vatSessionService","modelConfigurationService","canvasUtil","vatDashboardService",function(n,c,r,t,a,i,o,s,l,d,u,p,m,g){"use strict";var v={organizationId:"",year:u.year,period:u.month},h=9,f="v1",y="v",I='<w:tbl><w:tblPr><w:tblW w:w="5000" w:type="pct"/><w:tblLook w:val="04A0" w:firstRow="1" w:lastRow="0" w:firstColumn="1" w:lastColumn="0" w:noHBand="0" w:noVBand="1"/></w:tblPr><w:tblGrid>',C="</w:tbl>",w='<w:gridCol w:w="2000"/>',S="</w:tblGrid><w:tr>",D='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:bottom w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:b/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',b='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:bottom w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:jc w:val="right"/><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:b/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',T="</w:t></w:r></w:p></w:tc>",x='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:top w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/><w:bottom w:val="single" w:sz="2" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:b/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',M='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:top w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/><w:bottom w:val="single" w:sz="2" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:jc w:val="right"/><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:color w:val="ED7D31" w:themeColor="accent2"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',O="<w:tr>",E="</w:tr>",P="chart-",N={parseShowData:function(e){return e&&0<e.length&&e.forEach(function(e){_.values(e.header);var t=_.keys(e.header);t&&t.length;e.keys=t,e.headerObj=JSON.parse(e.headerObj);var n=_.keys(e.header),a=_.pairs(e.header),i="",o=_.map(a,function(e){return"月份"===e[1]&&(i=e[0],e[1]=r.instant("MonthDimension")),e[1]});e.header=_.object(n,o),_.isEmpty(i)||_.each(e.data,function(e){e[i]=r.instant("Month"+e[i])})}),e},querySummaryProcess:function(){l.queryOrganizationData(v.organizationId,v.year,v.period).success(function(e){n.querySummaryResult=N.parseShowData(e),e.forEach(function(e){_.isNull(e.modelTips)||e.modelTips.forEach(function(e){N.setRiskTipStyle(e)})}),t(function(){N.drawTableList(n.querySummaryResult)},200)})},drawTableList:function(e){e&&0<e.length&&e.forEach(function(e){N.drawTable(e)})},drawTable:function(a){if(_.isEmpty(a.data))a.isEmpty=!0;else{a.isEmpty=!1;var e=N.createGalleryData(a);$("#"+a.id).dxGallery({dataSource:e,width:"458px",loop:!1,showIndicator:!0,showNavButtons:!0,itemTemplate:function(e,t){var n=N.createColumns(a);return $('<div class="gallery-table"/>').dxDataGrid({dataSource:e.dataValue,width:"390px",showRowLines:!0,showColumnLines:!1,noDataText:"",showBorders:!1,cellHintEnabled:!0,format:{type:"fixedPoint",precision:2},columns:n})}}).dxGallery("instance")}},createGalleryData:function(e){for(var t=Math.ceil(e.data.length/h),n=[],a=0;a<t;a++){var i={};i.id=a,i.dataValue=[];for(var o=a*h,r=o;r<o+h;r++){var s=angular.copy(e.data[r]);if(s){for(var l=1;l<e.headerObj.length;l++){var c=e.headerObj[l],d=y+(l+1);if(1===c.dataType)s[d]=Number(s[d]).formatAmount();else if(3===c.dataType)s[d]=1==s[d]?"是":"否";else{var u=100*Number(s[d]);s[d]=Number(u).formatAmount()+"%"}}i.dataValue.push(s)}}n.push(i)}return n},createColumns:function(n){var a=[];return n.keys.forEach(function(e){var t={};t.dataField=e,t.caption=n.header[e],t.alignment="center",e!==f&&(t.format={type:"fixedPoint"},t.cssClass="orange-color",t.alignment="right"),a.push(t)}),a},setRiskTipStyle:function(e){if(e.hasRisk)return{color:"#b4122a"}},toggleChart:function(e,t){e.target;t.isShowChart=!t.isShowChart}};function A(){n.$apply(function(){n.progressBarValue++,n.hasCheckedDirtyDataSuccess||n.processBarMax++})}n.hasCheckedDirtyData=!1,n.progressBarValue=0,n.processBarModalInstance=null,n.intervalId=null,n.hasCheckedDirtyDataSuccess=!1,n.processBarMax=100,n.hasCheckedFinished=!1,n.progressBarOptions={min:0,width:"95%",bindingOptions:{value:"progressBarValue",max:"processBarMax"},statusFormat:function(e){return"计算进度: "+(100*e).toFixed(0)+"%"},onComplete:function(e){N.querySummaryProcess()}},n.deleteChartConfig=function(t){s.swal({title:r.instant("ConfirmDelete"),text:r.instant("deleteChart")+"?",type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:r.instant("Confirm"),cancelButtonText:r.instant("Cancel"),closeOnConfirm:!0},function(e){e&&g.deleteConfigById(t).success(function(){s.success(r.instant("DeleteSuccess")),N.querySummaryProcess()})})};var L={initParams:function(){v.organizationId=d.id,u.dashboardSingelOrganizationId=d.id;var e=u.lastDashboardSummaryQueryMonth;if(!_.isEmpty(e)&&0<=e.indexOf("-")){var t=e.split("-");v.year=Number(t[0]),v.period=Number(t[1])}},main:function(){L.initParams(),n.hasCheckedDirtyData?N.querySummaryProcess():(p.organizationsHasDirtyData(v.organizationId,u.querySummayDashboardModel.year,2).success(function(e){e?s.swal({title:r.instant("OrganizationsHasDirtyData"),text:"",type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:r.instant("Confirm"),cancelButtonText:r.instant("Cancel"),closeOnConfirm:!0},function(e){if(e){var t=angular.element($("#organizationDirtyProcessBarContainer"));n.processBarModalInstance=$uibModal.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"dirtyDataProcessBar.html",windowClass:"data-table",appendTo:t,backdrop:"static",scope:n}),n.intervalId=setInterval(A,50),p.updateOrganizationsModelDirtyData(v.organizationId,u.querySummayDashboardModel.year,2).success(function(){n.hasCheckedDirtyDataSuccess=!0})}else N.querySummaryProcess()}):N.querySummaryProcess()}),n.hasCheckedDirtyData=!0)},loadFile:function(e,t){JSZipUtils.getBinaryContent(e,t)},generateDoc:function(e){for(var t=I,n=e.keys.length,a=e.data.length,i=0;i<n;i++)t+=w;t+=S;for(i=0;i<n;i++)t=t+(0===i?D:b)+e.header[e.keys[i]]+T;t+=E;for(var o=0;o<a;o++){t+=O;for(i=0;i<n;i++){var r=e.headerObj[i],s=e.data[o][e.keys[i]];if(0<i)if(1===r.dataType)s=Number(s).formatAmount();else if(3===r.dataType)s=1==s?"是":"否";else{var l=100*Number(s);s=Number(l).formatAmount()+"%"}t=0===i?t+x+s+T:t+M+s+T}t+=E}return t+=C,{chartName:e.name,chartContent:P+e.id,riskTip:_.isArray(e.modelTips)?e.modelTips:[],tableContent:t}},generateDocImages:function(){return new ImageModule({centered:!0,getImage:function(e,t){return m.toBinaryData(document.getElementById(e))},getSize:function(e,t,n){return[550,250]}})},exportChart:function(t){var s=L.generateDoc(t),l=t.name+".docx";L.loadFile("/ExportTemplate/DashboardExportTemplate.docx?_="+Math.random(),function(t,n){if(t)throw e;var a=new JSZip2(n),i=L.generateDocImages(),o=(new docxtemplater).attachModule(i).loadZip(a);o.setData(s);try{o.render()}catch(t){return c.info(t),void swal({title:"导出发生一个错误，请重试",confirmButtonColor:"#dc6000",confirmButtonText:"确定",closeOnConfirm:!0,type:"error"})}var r=o.getZip().generate({type:"blob",mimeType:"application/vnd.openxmlformats-officedocument.wordprocessingml.document"});saveAs(r,l)})}};n.$watch("progressBarValue",function(e){e==n.processBarMax&&(n.processBarModalInstance.dismiss({$value:"cancel"}),clearInterval(n.intervalId))}),c.debug("OrganizationDashboardController.ctor()..."),u.urlFromAnalyze?n.urlFromAnalyze="analyzeOrganizeDashboardConfig":n.urlFromAnalyze="reportAnalysisDashboardConfig",n.exportChart=L.exportChart,n.setRiskTipStyle=N.setRiskTipStyle,n.setRowblockStyle=N.setRowblockStyle,n.toggleChart=N.toggleChart,L.main()}]),vatDashboardModule.directive("organizationDashboard",["$log",function(e){"use strict";return e.debug("organizationDashboard.ctor()..."),console.log("organizationDashboard"),{restrict:"E",templateUrl:"/app/vat/dashboard/vat-organization-dashboard/vat-organization-dashboard.html?_="+Math.random(),scope:{},controller:"OrganizationDashboardController",link:function(e,t){}}}]),vatDashboardModule.controller("ReportAnalysisDashboardConfigController",["$scope","$log","$translate","$timeout","$q","$interval","apiInterceptor","Upload","vatImportService","SweetAlert","uiGridConstants","vatSessionService","enums","vatOperationLogService","projectService","vatCommonService","vatDashboardService","$stateParams","$state","indexAnalysisDetailService",function(r,e,s,i,t,n,a,o,l,c,d,u,p,m,g,v,h,f,y,I){"use strict";r.config={id:"",chartName:"",modelItems:[],analysisItems:[],isShowData:0,isShowGrid:0},r.selectedOrgId=u.dashboardSingelOrganizationId,r.chartRenderOption={id:"",name:r.config.chartName,isShowData:r.config.isShowData,header:{v1:s.instant("OrgName")},headerObj:[{name:s.instant("OrgName"),dataType:1,chartType:"line"}],data:[]},r.chartNameOption={width:280,placeholder:s.instant("PleaseInputChartName")};var C=(new Date).getFullYear(),w=[{id:C,name:C},{id:C-1,name:C-1},{id:C-2,name:C-2},{id:C-3,name:C-3}];r.yearTreeView=null;var S=function(){r.yearTreeView&&(r.fromSyncSelection=!0,r.selectedYears&&0!==r.selectedYears.length||r.yearTreeView.unselectAll(),_.each(r.selectedYears,function(e){r.yearTreeView.selectItem(e)}),_.each(w,function(e){_.contains(r.selectedYears,e.id)||_.contains(r.selectedYears,e.id+"")||r.yearTreeView.unselectItem(e.id)}),r.fromSyncSelection=!1)};r.selectedYears=[C],r.yearFilterOptions={bindingOptions:{value:"selectedYears"},valueExpr:"id",displayExpr:"name",placeholder:"",showClearButton:!1,dataSource:w,treeView:{dataSource:w,dataStructure:"plain",keyExpr:"id",displayExpr:"name",selectByClick:!0,selectNodesRecursive:!1,showCheckBoxesMode:"normal",selectionMode:"multiple",onContentReady:function(e){r.yearTreeView=e.component,S()},onItemSelectionChanged:function(e){if(!r.fromSyncSelection){var t=e.component.getSelectedNodesKeys();r.selectedYears=t}}}},r.selectedDimensionType=1,r.dimensionOptions={width:280,bindingOptions:{value:"selectedDimensionType"},noDataText:"",placeholder:s.instant("PleaseSelect"),items:[{id:1,name:s.instant("c_month")},{id:2,name:s.instant("ProjectYearCol")}],valueExpr:"id",displayExpr:"name",onItemClick:function(e){if(e&&1<r.config.analysisItems.length&&1<r.selectedYears.length&&1==e.itemData.id)return c.warning(s.instant("DimensionalityCheckInfo")),e.component.option("value",2),void e.component.option("text",s.instant("ProjectYearCol"))}},r.organizationSubModelDataList=[];r.selectIdList=[];var D=function(){if(r.treeView){if(r.fromSyncSelection=!0,!r.selectIdList||0===r.selectIdList.length)return r.treeView.unselectAll(),void(r.fromSyncSelection=!1);r.selectIdList.forEach(function(e){r.treeView.selectItem(e)}),_.each(r.indexList,function(e){!_.contains(r.selectIdList,e.id)&&e.parentId&&r.treeView.unselectItem(e.id)}),r.fromSyncSelection=!1}};r.indexList=[],r.treeView=null,r.multiSelectAnalysisOptionHeight=300,r.multiSelectAnalysisOption={placeholder:s.instant("PleaseSelectTarget"),width:280,valueExpr:"name",displayExpr:"name",showClearButton:!0,bindingOptions:{value:"selectNameList",dataSource:"indexList"},onValueChanged:function(e){e.value||(r.selectIdList=[])},treeView:{bindingOptions:{dataSource:"indexList",searchValue:"searchText",height:"multiSelectAnalysisOptionHeight"},dataStructure:"plain",keyExpr:"id",parentIdExpr:"parentId",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,selectNodesRecursive:!0,showCheckBoxesMode:"normal",onContentReady:function(e){r.treeView=e.component},onItemSelectionChanged:function(e){if(!r.fromSyncSelection){var t=e.component.getSelectedNodesKeys();if(1<t.length&&1<r.selectedYears.length&&1==r.dimension)return c.warning(s.instant("MultiYearCheckInfo")),void D();r.selectIdList=t,r.selectNameList=_.filter(r.indexList,function(e){return _.contains(r.selectIdList,e.id)&&e.parentId}),r.riskDataSource=[],_.each(r.selectNameList,function(e){var t=_.where(r.indexList,{id:e.parentId})[0];_.where(r.riskDataSource,{id:t.id}).length<1&&(_.contains(r.selectRiskIdList,t.id)?r.riskDataSource.push({id:t.id,name:t.name,selected:!0}):r.riskDataSource.push({id:t.id,name:t.name,selected:!1}))}),r.selectNameList=_.map(r.selectNameList,function(e){return e.name})}}}},r.riskDataSource=[],r.selectRiskNameList=[],r.selectRiskIdList=[],r.riskTipMultiSelectAnalysisOption={width:280,valueExpr:"id",displayExpr:"name",showClearButton:!0,contentTemplate:"riskContent",bindingOptions:{dataSource:"riskDataSource",value:"selectRiskIdList"},onValueChanged:function(e){e.value||(r.selectRiskIdList=[])},treeView:{bindingOptions:{dataSource:"riskDataSource"},height:300,dataStructure:"plain",keyExpr:"id",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,selectNodesRecursive:!0,showCheckBoxesMode:"normal",onContentReady:function(e){var t=$("#riskTipTree").dxTreeView("instance");_.each(r.riskDataSource,function(e){return _.contains(r.selectRiskIdList,e.id)?t.selectItem(e.id):t.unselectItem(e.id),e})},onItemSelectionChanged:function(e){var t=e.component.getSelectedNodesKeys();r.selectRiskIdList=t,r.selectRiskNameList=_.filter(r.riskDataSource,function(e){return _.contains(r.selectRiskIdList,e.id)}),r.selectRiskNameList=_.map(r.selectRiskNameList,function(e){return e.name})}}},r.$watch("selectRiskIdList",function(){var t=$("#riskTipTree").dxTreeView("instance");t&&_.each(r.riskDataSource,function(e){return _.contains(r.selectRiskIdList,e.id)?t.selectItem(e.id):t.unselectItem(e.id),e})});var b=function(t){r.config.analysisItems=_.filter(r.config.analysisItems,function(e){return e.id!=t.id}),r.selectIdList=_.filter(r.selectIdList,function(e){return e!=t.id})},T=function(){if(1<r.selectedYears.length&&1===r.dimension&&1<r.config.analysisItems.length)c.warning(s.instant("CheckOrganizationDashboardConfig"));else if(r.config.analysisItems.length<1)c.warning(s.instant("DeleteMeasureAlert"));else if(r.config.chartName)if(r.selectedYears.length<1)c.warning(s.instant("checkChartYears"));else{var e,t,n=[],a=[{name:"OrgName",dataType:1,chartType:"line"}];_.each(r.config.analysisItems,function(e){a.push({name:e.analysisName,dataType:e.dataType,chartType:e.chartType}),n.push(e.id)}),e=JSON.stringify(a),t=n.join(",");var i={};i.ID=r.config.id,i.Name=r.config.chartName,i.IndexIDs=t,i.UserSetting=e,i.IsShowData=r.config.isShowData,i.OrderIndex=4,i.riskTip=r.selectRiskIdList.join(","),i.isShowGrid=r.config.isShowGrid,i.Years=r.selectedYears.join(","),i.DimensionType=r.dimension,h.saveOrganizationConfig(i).success(function(){u.urlFromAnalyze?y.go("analyzeOrganizeDashboard",{id:u.dashboardSingelOrganizationId}):y.go("organizationDashboard",{id:u.dashboardSingelOrganizationId})})}else c.warning(s.instant("checkChartName"))},x=function(){u.urlFromAnalyze?y.go("analyzeOrganizeDashboard",{id:u.dashboardSingelOrganizationId}):y.go("organizationDashboard",{id:u.dashboardSingelOrganizationId})};r.chartChanged=!0;r.$watchGroup(["selectIdList","indexList","treeView"],function(e,t){0<e[1].length&&(r.selectNameList=_.filter(r.indexList,function(e){return _.contains(r.selectIdList,e.id)&&e.parentId}),r.riskDataSource=[],_.each(r.selectNameList,function(e){var t=_.where(r.indexList,{id:e.parentId})[0];_.where(r.riskDataSource,{id:t.id}).length<1&&(_.contains(r.selectRiskIdList,t.id)?r.riskDataSource.push({id:t.id,name:t.name,selected:!0}):r.riskDataSource.push({id:t.id,name:t.name,selected:!1}))}),r.selectNameList=_.map(r.selectNameList,function(e){return e.name})),D()}),r.$watchGroup(["selectIdList","organizationSubModelDataList","indexList"],function(){r.config.analysisItems=_.filter(r.config.analysisItems,function(e){return _.contains(r.selectIdList,e.id)}),_.each(r.selectIdList,function(a){_.each(r.organizationSubModelDataList,function(e){if(a===e.id&&0===_.where(r.config.analysisItems,{id:a}).length){var t=new Object;if(t.id=e.id,t.analysisName=e.name,t.dataType=e.dataType,t.chartType="bar",t.chartOptions={items:[{typeName:s.instant("barchart"),typeValue:"bar"},{typeName:s.instant("linechart"),typeValue:"line"},{typeName:s.instant("areachart"),typeValue:"area"},{typeName:s.instant("stepchart"),typeValue:"step"}],displayExpr:"typeName",valueExpr:"typeValue",itemTemplate:"chartTypeItemTemplate",value:"bar",onItemClick:function(e){t.chartType=e.itemData.typeValue,r.chartChanged=!r.chartChanged}},!_.isEmpty(r.indexList)){var n=_.find(r.indexList,function(e){return e.id==a});_.isEmpty(n)||(t.index=n.orderIndex)}r.config.analysisItems.push(t)}})}),r.config.analysisItems=_.sortBy(r.config.analysisItems,"index")}),r.$watch("selectedYears",function(e,t){if(1<r.config.analysisItems.length&&1==r.dimension&&1<r.selectedYears.length)return c.warning(s.instant("MultilTargetCheckInfo")),r.selectedYears=t,void S()});var M,O=function(){i(function(){r.chartRenderOption.isNoChart&&$(".row-block-left").children("div:eq(0)").children("div:eq(0)").css({top:"45%",width:"400px",height:"auto",left:"42%","font-size":"25px",color:"#777"}).html(s.instant("PleaseAddMeasuresRight"))},1e3)};r.$watchGroup(["config.analysisItems","config.isShowData","dimension","selectedYears","chartChanged","organizationSubModelDataList"],function(e,t){if(0<e[0].length&&0<e[2]&&0<e[3].length&&0<e[5].length){var n=new Object;if(n.id=r.config.id,n.name=r.config.chartName,n.isShowData=r.config.isShowData,n.header={},n.data=[],1<r.selectedYears.length)if(1===r.dimension&&1===r.config.analysisItems.length){var a=r.config.analysisItems[0];n.header.v1=s.instant("c_month"),n.headerObj=[{name:s.instant("c_month"),dataType:a.dataType,chartType:a.chartType}],_.each(r.selectedYears,function(e,t){n.header["v"+(t+2)]=e+"年",n.headerObj.push({name:e+"年",dataType:a.dataType,chartType:a.chartType})});for(var i=1;i<13;i++){var o={v0:"",v1:i};0<r.config.analysisItems.length&&0<r.organizationSubModelDataList.length&&_.each(r.selectedYears,function(t,n){var a=!0;_.each(r.organizationSubModelDataList,function(e){e.year==t&&r.config.analysisItems[0].id===e.id&&i===e.period&&(o["v"+(n+2)]=e.data,a=!1)}),a&&(o["v"+(n+2)]=0)}),n.data.push(o)}}else 2===r.dimension&&(n.header.v1=s.instant("ProjectYearCol"),n.headerObj=[{name:s.instant("ProjectYearCol"),dataType:1,chartType:"line"}],_.each(r.config.analysisItems,function(e,t){n.header["v"+(t+2)]=e.analysisName,n.headerObj.push({name:e.analysisName,dataType:e.dataType,chartType:e.chartType})}),_.each(r.selectedYears,function(a){var i={v0:"",v1:a+"年"};0<r.config.analysisItems.length&&0<r.organizationSubModelDataList.length&&_.each(r.config.analysisItems,function(t,e){var n=0;_.each(r.organizationSubModelDataList,function(e){e.year!=a||13!=e.period||t.id!==e.id||isNaN(e.data)||(n+=parseFloat(e.data))}),i["v"+(e+2)]=n}),n.data.push(i)}));else if(1===r.dimension){n.header.v1=s.instant("c_month"),n.headerObj=[{name:s.instant("c_month"),dataType:1,chartType:"line"}],_.each(r.config.analysisItems,function(e,t){n.header["v"+(t+2)]=e.analysisName,n.headerObj.push({name:e.analysisName,dataType:e.dataType,chartType:e.chartType})});for(i=1;i<13;i++){o={v0:"",v1:i};0<r.config.analysisItems.length&&0<r.organizationSubModelDataList.length&&_.each(r.config.analysisItems,function(t,n){var a=!0;_.each(r.organizationSubModelDataList,function(e){e.year==r.selectedYears[0]&&t.id===e.id&&i===e.period&&(o["v"+(n+2)]=e.data,a=!1)}),a&&(o["v"+(n+2)]=0)}),n.data.push(o)}}else n.header.v1=s.instant("ProjectYearCol"),n.headerObj=[{name:s.instant("ProjectYearCol"),dataType:1,chartType:"line"}],_.each(r.config.analysisItems,function(e,t){n.header["v"+(t+2)]=e.analysisName,n.headerObj.push({name:e.analysisName,dataType:e.dataType,chartType:e.chartType})}),_.each(r.selectedYears,function(a){var i={v0:"",v1:a+"年"};0<r.config.analysisItems.length&&0<r.organizationSubModelDataList.length&&_.each(r.config.analysisItems,function(t,e){var n=0;_.each(r.organizationSubModelDataList,function(e){e.year!=a||13!=e.period||t.id!==e.id||isNaN(e.data)||(n+=parseFloat(e.data))}),i["v"+(e+2)]=n}),n.data.push(i)});n.data&&0<n.data.length?(n.isNoChart=!1,r.chartRenderOption=n):(n.isNoChart=!0,O())}else r.chartRenderOption={isNoChart:!0},O()}),I.getIndexAnalysisDropDownList().success(function(e){var t=0;e=_.map(e,function(e){return e.orderIndex=t,t++,e}),r.indexList=e,r.multiSelectAnalysisOptionHeight=300,r.indexList&&r.indexList.length<=15&&(r.multiSelectAnalysisOptionHeight=20*r.indexList.length)}),M=r.selectedOrgId,h.getOrganizationSubModelList(M).success(function(e){e&&e.data&&0<e.data.length&&(r.organizationSubModelDataList=e.data)}),r.removeAnalysisItem=b,r.saveDashboardConfig=T,r.cancelConfig=x,f.id&&(r.config.id=f.id,h.getOrganizationConfig(r.config.id).success(function(e){if(e&&e.data){var a=JSON.parse(e.data.userSetting);a.splice(0,1);var t=e.data.indexIDs.split(",");r.selectedIndexIds=e.data.indexIDs,_.each(t,function(e,t){var n=new Object;n.id=e,n.analysisName=a[t].name,n.dataType=a[t].dataType,n.chartType=a[t].chartType,n.chartOptions={items:[{typeName:s.instant("barchart"),typeValue:"bar"},{typeName:s.instant("linechart"),typeValue:"line"},{typeName:s.instant("areachart"),typeValue:"area"},{typeName:s.instant("stepchart"),typeValue:"step"}],displayExpr:"typeName",valueExpr:"typeValue",itemTemplate:"chartTypeItemTemplate",value:n.chartType,onItemClick:function(e){n.chartType=e.itemData.typeValue,r.chartChanged={}}},r.config.analysisItems.push(n)}),e.data.indexIDs&&0<t.length&&(r.selectIdList=t);var n=e.data.riskTip?e.data.riskTip.split(","):null;n&&0<n.length&&(r.selectRiskIdList=n),r.config.chartName=e.data.name,r.config.isShowData=e.data.isShowData,r.config.isShowGrid=e.data.isShowGrid?e.data.isShowGrid:0,r.selectedDimensionType=e.data.dimensionType,r.selectedYears=e.data.years.split(","),i(function(){$("#year-filter").dxDropDownBox("instance").field().val(r.selectedYears.join(", "))})}}))}]),vatDashboardModule.directive("reportAnalysisDashboardConfig",["$log",function(e){"use strict";return{restrict:"E",templateUrl:"/app/vat/dashboard/vat-report-analysis-dashboard-config/vat-report-analysis-dashboard-config.html?_="+Math.random(),scope:{},controller:"ReportAnalysisDashboardConfigController",link:function(e,t){}}}]),vatDashboardModule.controller("SummaryDashboardConfigController",["$scope","$log","$translate","$timeout","$q","$interval","apiInterceptor","Upload","vatImportService","SweetAlert","uiGridConstants","vatSessionService","enums","vatOperationLogService","projectService","vatCommonService","vatDashboardService","indexAnalysisDetailService","$stateParams","$state",function(o,e,r,t,n,a,i,s,l,c,d,u,p,m,g,v,h,f,y,I){"use strict";o.config={id:"",chartName:"",modelItems:[],analysisItems:[],isShowData:0,isShowGrid:0},_.isEmpty(u.querySummayDashboardModel)?(o.selectedOrganizes=[],o.selectedOrgIds="",o.filterYear=0,o.filterPeriod=0):(_.isEmpty(u.querySummayDashboardModel.organizationIDList)?(o.selectedOrganizes=[],o.selectedOrgIds=""):(o.selectedOrganizes=u.querySummayDashboardModel.organizationIDList,o.selectedOrgIds=u.querySummayDashboardModel.organizationIDList.join(",")),o.filterYear=u.querySummayDashboardModel.year,o.filterPeriod=u.querySummayDashboardModel.period),o.chartRenderOption={id:"",name:"",isShowData:o.config.isShowData,header:{v1:r.instant("OrgName")},headerObj:[{name:r.instant("OrgName"),dataType:1,chartType:"line"}],data:[]},o.chartNameOption={width:280,placeholder:r.instant("PleaseInputChartName"),bindingOptions:{value:"config.chartName"}},o.subModelDataList=[];o.selectIdList=[];o.indexList=[],o.treeView=null,o.multiSelectAnalysisOptionHeight=300,o.multiSelectAnalysisOption={width:280,valueExpr:"name",displayExpr:"name",showClearButton:!0,bindingOptions:{value:"selectNameList",dataSource:"indexList"},onValueChanged:function(e){e.value||(o.selectIdList=[])},treeView:{bindingOptions:{dataSource:"indexList",searchValue:"searchText",height:"multiSelectAnalysisOptionHeight"},dataStructure:"plain",keyExpr:"id",parentIdExpr:"parentId",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,selectNodesRecursive:!0,showCheckBoxesMode:"normal",onContentReady:function(e){o.treeView=e.component},onItemSelectionChanged:function(e){if(!o.fromSyncSelection){var t=e.component.getSelectedNodesKeys();o.selectIdList=t,o.selectNameList=_.filter(o.indexList,function(e){return _.contains(o.selectIdList,e.id)&&e.parentId}),o.riskDataSource=[],_.each(o.selectNameList,function(e){var t=_.where(o.indexList,{id:e.parentId})[0];_.where(o.riskDataSource,{id:t.id}).length<1&&(_.contains(o.selectRiskIdList,t.id)?o.riskDataSource.push({id:t.id,name:t.name,selected:!0}):o.riskDataSource.push({id:t.id,name:t.name,selected:!1}))}),o.selectRiskIdList=_.filter(o.selectRiskIdList,function(e){return 0<_.where(o.riskDataSource,{id:e}).length}),o.selectNameList=_.map(o.selectNameList,function(e){return e.name})}}}},o.riskDataSource=[],o.selectRiskNameList=[],o.selectRiskIdList=[],o.riskTipMultiSelectAnalysisOption={width:280,valueExpr:"id",displayExpr:"name",showClearButton:!0,contentTemplate:"riskContent",bindingOptions:{dataSource:"riskDataSource",value:"selectRiskIdList"},onValueChanged:function(e){e.value||(o.selectRiskIdList=[])},treeView:{bindingOptions:{dataSource:"riskDataSource"},height:300,dataStructure:"plain",keyExpr:"id",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,selectNodesRecursive:!0,showCheckBoxesMode:"normal",onContentReady:function(e){var t=$("#riskTipTree").dxTreeView("instance");_.each(o.riskDataSource,function(e){return _.contains(o.selectRiskIdList,e.id)?t.selectItem(e.id):t.unselectItem(e.id),e})},onItemSelectionChanged:function(e){var t=e.component.getSelectedNodesKeys();o.selectRiskIdList=t,o.selectRiskNameList=_.filter(o.riskDataSource,function(e){return _.contains(o.selectRiskIdList,e.id)}),o.selectRiskNameList=_.map(o.selectRiskNameList,function(e){return e.name})}}},o.$watch("selectRiskIdList",function(){var t=$("#riskTipTree").dxTreeView("instance");t&&_.each(o.riskDataSource,function(e){return _.contains(o.selectRiskIdList,e.id)?t.selectItem(e.id):t.unselectItem(e.id),e})});var C=function(t){o.config.analysisItems=_.filter(o.config.analysisItems,function(e){return e.id!=t.id}),o.selectIdList=_.filter(o.selectIdList,function(e){return e!=t.id})},w=function(e){h.saveSummaryConfig(e).success(function(){I.go("summaryDashboard")})},S=function(){if(o.config.analysisItems.length<1)c.warning(r.instant("DeleteMeasureAlert"));else if(o.config.chartName){var e,t,n=[],a=[{name:r.instant("OrgName"),dataType:1,chartType:"line"}];_.each(o.config.analysisItems,function(e){n.push(e.id),a.push({name:e.analysisName,dataType:e.dataType,chartType:e.chartType})}),e=n.join(","),t=JSON.stringify(a);var i={};i.ID=o.config.id,i.name=o.config.chartName,i.indexIDs=e,i.userSetting=t,i.isShowData=o.config.isShowData,i.isShowGrid=o.config.isShowGrid,i.riskTip=o.selectRiskIdList.join(","),i.orderIndex=4,o.internalSaveConfig(i)}else c.warning(r.instant("checkChartName"))},D=function(){I.go("summaryDashboard")};o.chartChanged=!0;var b=function(){(_.isEmpty(o.model)?y.id?(o.config.id=y.id,h.getDashboardConfigSummary(o.config.id).then(function(e){return e&&e.data&&e.data.data?n.when(e.data.data):n.reject()})):n.reject():n.when(o.model)).then(function(e){if(e){_.isEmpty(o.model)&&(o.model=e);var a=JSON.parse(e.userSetting);a.splice(0,1);var t=e.indexIDs.split(",");o.selectedIndexIds=e.indexIDs,o.config.analysisItems.length=0,_.each(t,function(e,t){var n=new Object;n.id=e,n.analysisName=a[t].name,n.dataType=a[t].dataType,n.chartType=a[t].chartType,n.chartOptions={items:[{typeName:r.instant("barchart"),typeValue:"bar"},{typeName:r.instant("linechart"),typeValue:"line"},{typeName:r.instant("areachart"),typeValue:"area"},{typeName:r.instant("stepchart"),typeValue:"step"}],displayExpr:"typeName",valueExpr:"typeValue",itemTemplate:"chartTypeItemTemplate",value:n.chartType,onItemClick:function(e){n.chartType=e.itemData.typeValue,o.chartChanged={}}},o.config.analysisItems.push(n)}),e.indexIDs&&0<t.length&&(o.selectIdList=t);var n=e.riskTip?e.riskTip.split(","):null;n&&0<n.length&&(o.selectRiskIdList=n),o.config.selectedModelId=e.modelID,o.config.chartName=e.name,o.config.isShowData=e.isShowData,o.config.isShowGrid=e.isShowGrid?e.isShowGrid:0}})};o.$watchGroup(["selectIdList","indexList","treeView"],function(e,t){0<e[1].length&&(o.selectNameList=_.filter(o.indexList,function(e){return _.contains(o.selectIdList,e.id)&&e.parentId}),o.riskDataSource=[],_.each(o.selectNameList,function(e){var t=_.where(o.indexList,{id:e.parentId})[0];_.where(o.riskDataSource,{id:t.id}).length<1&&(_.contains(o.selectRiskIdList,t.id)?o.riskDataSource.push({id:t.id,name:t.name,selected:!0}):o.riskDataSource.push({id:t.id,name:t.name,selected:!1}))}),o.selectRiskIdList=_.filter(o.selectRiskIdList,function(e){return 0<_.where(o.riskDataSource,{id:e}).length}),o.selectNameList=_.map(o.selectNameList,function(e){return e.name})),function(){if(o.treeView){if(o.fromSyncSelection=!0,!o.selectIdList||0===o.selectIdList.length)return o.treeView.unselectAll(),o.fromSyncSelection=!1;o.selectIdList.forEach(function(e){o.treeView.selectItem(e)}),_.each(o.indexList,function(e){!_.contains(o.selectIdList,e.id)&&e.parentId&&o.treeView.unselectItem(e.id)}),o.fromSyncSelection=!1}}()}),o.$watchGroup(["selectIdList","subModelDataList","indexList"],function(){o.config.analysisItems=_.filter(o.config.analysisItems,function(e){return _.contains(o.selectIdList,e.id)}),_.each(o.selectIdList,function(a){_.each(o.subModelDataList,function(e){if(a===e.id&&0===_.where(o.config.analysisItems,{id:a}).length){var t=new Object;if(t.id=e.id,t.analysisName=e.indexName,t.dataType=e.dataType,t.chartType="bar",t.chartOptions={items:[{typeName:r.instant("barchart"),typeValue:"bar"},{typeName:r.instant("linechart"),typeValue:"line"},{typeName:r.instant("areachart"),typeValue:"area"},{typeName:r.instant("stepchart"),typeValue:"step"}],displayExpr:"typeName",valueExpr:"typeValue",itemTemplate:"chartTypeItemTemplate",value:"bar",onItemClick:function(e){t.chartType=e.itemData.typeValue,o.chartChanged=!o.chartChanged}},!_.isEmpty(o.indexList)){var n=_.find(o.indexList,function(e){return e.id==a});_.isEmpty(n)||(t.index=n.orderIndex)}o.config.analysisItems.push(t)}})}),o.config.analysisItems=_.sortBy(o.config.analysisItems,"index")}),o.$watch("model",function(e,t){_.isEmpty(e)||b()}),o.$watch("externalDataSource",function(e,t){_.isEmpty(e)||(_.isEmpty(e.orgIds)||(o.selectedOrganizes=e.orgIds,o.selectedOrgIds=e.orgIds.join(",")),_.isFunction(e.onSave)&&(o.internalSaveConfig=e.onSave),_.isFunction(e.onCancel)&&(o.cancelConfig=e.onCancel))},!0),o.$watchGroup(["config.analysisItems.length","subModelDataList.length","selectedOrganizes.length","chartChanged","config.isShowData"],function(e,t){if(0<e[0]&&0<e[1]){var n={id:o.config.id,name:o.config.chartName,isShowData:o.config.isShowData,header:{v1:r.instant("OrgName")},headerObj:[{name:r.instant("OrgName"),dataType:1,chartType:"line"}],data:[],noChartMsg:r.instant("PleaseAddMeasuresRight")};for(var a in n.header)"v1"!=a&&delete n.header[a];var i=n.headerObj.pop();n.headerObj=[i],_.each(o.config.analysisItems,function(e,t){n.header["v"+(t+2)]=e.analysisName,n.headerObj.push({name:e.analysisName,dataType:e.dataType,chartType:e.chartType})}),n.data=[],_.each(o.selectedOrganizes,function(e){var a=!1,i={v0:"",v1:""};0<o.config.analysisItems.length&&0<o.subModelDataList.length&&_.each(o.config.analysisItems,function(t,n){i["v"+(n+2)]=0,_.chain(o.subModelDataList).where({organizationID:e,flag:!0}).each(function(e){e.id===t.id&&(i["v"+(n+2)]=parseFloat(e.data?e.data:0),a||(i.v0=e.organizationID,i.v1=e.organizationName,a=!0))}).value()}),a&&n.data.push(i)}),o.chartRenderOption=n}else o.chartRenderOption={noChartMsg:r.instant("PleaseAddMeasuresRight")}}),f.getIndexAnalysisDropDownList().success(function(e){var t=0;e=_.map(e,function(e){return e.orderIndex=t,t++,e}),o.indexList=e,o.multiSelectAnalysisOptionHeight=300,o.indexList&&o.indexList.length<=15&&(o.multiSelectAnalysisOptionHeight=20*o.indexList.length)}),h.getSubModelList(o.filterYear,o.filterPeriod).success(function(e){e&&e.data&&0<e.data.length&&(o.subModelDataList=e.data)}),o.removeAnalysisItem=C,o.internalSaveConfig=w,o.saveDashboardConfig=S,o.cancelConfig=D,b()}]),vatDashboardModule.directive("summaryDashboardConfig",["$log",function(e){"use strict";return{restrict:"E",templateUrl:"/app/vat/dashboard/vat-summary-dashboard-config/vat-summary-dashboard-config.html?_="+Math.random(),scope:{model:"=?",externalDataSource:"=?"},controller:"SummaryDashboardConfigController",link:function(e,t){}}}]),vatDashboardModule.controller("SummaryDashboardController",["$scope","$log","$translate","$timeout","$q","$interval","apiInterceptor","Upload","vatImportService","SweetAlert","uiGridConstants","vatSessionService","enums","vatOperationLogService","projectService","vatCommonService","dashboardConfigSummaryService","modelConfigurationService","$uibModal","canvasUtil","vatDashboardService",function(i,c,o,n,t,a,r,s,l,d,u,p,m,g,v,h,f,y,I,C,w){"use strict";var S="filterMonth",D="yyyy-MM",b="-",T=9,x="v1",M="v",O='<w:tbl><w:tblPr><w:tblW w:w="5000" w:type="pct"/><w:tblLook w:val="04A0" w:firstRow="1" w:lastRow="0" w:firstColumn="1" w:lastColumn="0" w:noHBand="0" w:noVBand="1"/></w:tblPr><w:tblGrid>',E="</w:tbl>",P='<w:gridCol w:w="2000"/>',N="</w:tblGrid><w:tr>",A='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:bottom w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:b/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',L='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:bottom w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:jc w:val="right"/><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:b/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',R="</w:t></w:r></w:p></w:tc>",F='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:top w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/><w:bottom w:val="single" w:sz="2" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:b/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',B='<w:tc><w:tcPr><w:tcW w:w="2000" w:type="dxa"/><w:tcBorders><w:top w:val="single" w:sz="12" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/><w:bottom w:val="single" w:sz="2" w:space="0" w:color="A5A5A5" w:themeColor="accent3"/></w:tcBorders></w:tcPr><w:p><w:pPr><w:jc w:val="right"/><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr></w:pPr><w:r><w:rPr><w:rFonts w:ascii="宋体" w:eastAsia="宋体" w:hAnsi="宋体"/><w:color w:val="ED7D31" w:themeColor="accent2"/><w:sz w:val="20"/><w:szCs w:val="20"/></w:rPr><w:t>',k="<w:tr>",V="</w:tr>",G="chart-",j={getLastMonth:function(){var e=new Date;return e.setMonth(e.getMonth()-1),e},getQueryModel:function(){var e=i.filterMonth.split(b);return{year:parseInt(e[0]),period:parseInt(e[1]),organizationIDList:i.selectedOrganizationList}},validDateMonth:function(){var e=i.filterMonth+"-01";return window.PWC.checkDate(e)},parseShowData:function(e){return e&&0<e.length&&e.forEach(function(e){_.values(e.header);var t=_.keys(e.header);t&&t.length;e.keys=t,e.headerObj=JSON.parse(e.headerObj)}),e},querySummaryProcess:function(){if(j.validDateMonth){var e=j.getQueryModel();p.querySummayDashboardModel=e,f.querySummaryData(e).success(function(e){i.querySummaryResult=j.parseShowData(e);var t=!1;i.querySummaryResult&&0<i.querySummaryResult.length&&(t=!0),i.hasData=t,n(function(){j.drawTableList(i.querySummaryResult)},100)})}},drawTableList:function(e){e&&0<e.length&&e.forEach(function(e){j.drawTable(e)})},drawTable:function(a){if(_.isEmpty(a.data))a.isEmpty=!0;else{a.isEmpty=!1;var e=j.createGalleryData(a);$("#"+a.id).dxGallery({dataSource:e,width:"458px",loop:!1,showIndicator:!0,noDataText:"",showNavButtons:!0,itemTemplate:function(e,t){var n=j.createColumns(a);return $('<div class="gallery-table"/>').dxDataGrid({dataSource:e.dataValue,width:"100%",showRowLines:!0,showColumnLines:!1,noDataText:"",cellHintEnabled:!0,showBorders:!1,format:{type:"fixedPoint",precision:2},columns:n})}}).dxGallery("instance")}},createGalleryData:function(e){for(var t=Math.ceil(e.data.length/T),n=[],a=0;a<t;a++){var i={};i.id=a,i.dataValue=[];for(var o=a*T,r=o;r<o+T;r++){var s=angular.copy(e.data[r]);if(s){for(var l=1;l<e.headerObj.length;l++){var c=e.headerObj[l],d=M+(l+1);if(1===c.dataType)s[d]=Number(s[d]).formatAmount();else if(3===c.dataType)s[d]=1==s[d]?"是":"否";else{var u=100*Number(s[d]);s[d]=Number(u).formatAmount()+"%"}}i.dataValue.push(s)}}n.push(i)}return n},createColumns:function(n){var a=[];return n.keys.forEach(function(e){var t={};t.dataField=e,t.caption=e===x?o.instant("EntityName"):(t.format={type:"fixedPoint"},t.cssClass="orange-color",t.alignment="right",_.isEmpty(n.header[e])?e:n.header[e]),a.push(t)}),a},isChangedArray:function(e,t){if(!e&&!t)return!1;if(!e)return!0;if(!t)return!0;if(e.length!==t.length)return!0;e=e.sort(),t=t.sort();for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!0;return!1},querySummary:function(e){if(j.isChangedArray(e,i.selectedOrganizationList)){var n=i.selectedOrganizationList=e,a=j.getQueryModel();i.hasCheckedDirtyData&&j.querySummaryProcess(),i.hasCheckedDirtyData||(y.organizationsHasDirtyData(n.join(","),a.year,2).success(function(e){e?d.swal({title:o.instant("OrganizationsHasDirtyData"),text:"",type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:o.instant("Confirm"),cancelButtonText:o.instant("Cancel"),closeOnConfirm:!0},function(e){if(e){var t=angular.element($("#organizationDirtyProcessBarContainer"));i.processBarModalInstance=I.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"dirtyDataProcessBar.html",windowClass:"data-table",appendTo:t,backdrop:"static",scope:i}),i.intervalId=setInterval(z,50),y.updateOrganizationsModelDirtyData(n.join(","),a.year,2).success(function(){i.hasCheckedFinished=!0})}else j.querySummaryProcess()}):j.querySummaryProcess()}),i.hasCheckedDirtyData=!0)}},toggleChart:function(e,t){e.target;t.isShowChart=!t.isShowChart}};function z(){i.$apply(function(){i.progressBarValue++,i.hasCheckedFinished||i.processBarMax++})}i.progressBarValue=0,i.processBarModalInstance=null,i.intervalId=null,i.processBarMax=100,i.hasCheckedFinished=!1,i.progressBarOptions={min:0,width:"95%",bindingOptions:{value:"progressBarValue",max:"processBarMax"},statusFormat:function(e){return"计算进度: "+(100*e).toFixed(0)+"%"},onComplete:function(e){j.querySummaryProcess()}},i.hasCheckedDirtyData=!1;var U={initParams:function(){i.selectedOrganizationList=[],i.hasData=!0,U.initFilterMonth(),U.watchFilter()},initFilterMonth:function(){var e=j.getLastMonth();i.filterMonth=e.formatDateTime(D);var t=$("#"+S);t.datepicker({minViewMode:1,autoclose:!0,language:"zh-CN",format:"yyyy-mm"}),t.datepicker("setDate",e)},watchFilter:function(){i.$watch("filterMonth",function(e,t){e!==t&&j.querySummaryProcess()})},main:function(){U.initParams()},loadFile:function(e,t){JSZipUtils.getBinaryContent(e,t)},generateDoc:function(e){for(var t=O,n=e.keys.length,a=e.data.length,i=0;i<n;i++)t+=P;t+=N;for(i=0;i<n;i++)t=t+(0===i?A:L)+e.header[e.keys[i]]+R;t+=V;for(var o=0;o<a;o++){t+=k;for(i=0;i<n;i++){var r=e.headerObj[i],s=e.data[o][e.keys[i]];if(0<i)if(1===r.dataType)s=Number(s).formatAmount();else if(3===r.dataType)s=1==s?"是":"否";else{var l=100*Number(s);s=Number(l).formatAmount()+"%"}t=0===i?t+F+s+R:t+B+s+R}t+=V}return t+=E,{chartName:e.name,chartContent:G+e.id,riskTip:_.isArray(e.modelTips)?e.modelTips:[],tableContent:t}},generateDocImages:function(){return new ImageModule({centered:!0,getImage:function(e,t){return C.toBinaryData(document.getElementById(e))},getSize:function(e,t,n){return[550,250]}})},exportChart:function(t){var s=U.generateDoc(t),l=t.name+".docx";U.loadFile("/ExportTemplate/DashboardExportTemplate.docx?_="+Math.random(),function(t,n){if(t)throw e;var a=new JSZip2(n),i=U.generateDocImages(),o=(new docxtemplater).attachModule(i).loadZip(a);o.setData(s);try{o.render()}catch(t){return c.info(t),void swal({title:"导出发生一个错误，请重试",confirmButtonColor:"#dc6000",confirmButtonText:"确定",closeOnConfirm:!0,type:"error"})}var r=o.getZip().generate({type:"blob",mimeType:"application/vnd.openxmlformats-officedocument.wordprocessingml.document"});saveAs(r,l)})}};i.deleteChartConfig=function(t){d.swal({title:o.instant("ConfirmDelete"),text:o.instant("deleteChart")+"?",type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:o.instant("Confirm"),cancelButtonText:o.instant("Cancel"),closeOnConfirm:!0},function(e){e&&w.deleteChartConfig(t).success(function(){d.success(o.instant("DeleteSuccess")),j.querySummaryProcess()})})},i.$watch("progressBarValue",function(e){e==i.processBarMax&&(i.processBarModalInstance.dismiss({$value:"cancel"}),clearInterval(i.intervalId))}),c.debug("SummaryDashboardController.ctor()..."),console.log("SummaryDashboardController"),i.querySummary=j.querySummary,i.exportChart=U.exportChart,i.toggleChart=j.toggleChart,U.main()}]),vatDashboardModule.directive("summaryDashboard",["$log",function(e){"use strict";return e.debug("summaryDashboard.ctor()..."),console.log("summaryDashboard"),{restrict:"E",templateUrl:"/app/vat/dashboard/vat-summary-dashboard/vat-summary-dashboard.html?_="+Math.random(),scope:{},controller:"SummaryDashboardController",link:function(e,t){}}}]),vatModule.controller("devGridHeaderController",["$log","$scope","$translate",function(e,i,t){i.trialBalanceOptions=[{id:1,name:"科目代码"},{id:2,name:"科目名称"},{id:3,name:"期初借方"},{id:4,name:"期初贷方"},{id:5,name:"发生借方"},{id:6,name:"发生贷方"},{id:7,name:"期末借方"},{id:8,name:"期末贷方"}];var n=[];i.selectOptions={dataSource:i.trialBalanceOptions,valueExpr:"id",displayExpr:"name",placeholder:"column name"};i.showPanel=2,$("#gridRow"),i.dataGridHeaderOptions={showRowLines:!0,rowAlternationEnabled:!0,showBorders:!0,dataSource:n,width:"100%",onRowPrepared:function(e){if("header"==e.rowType){for(var t=$('<tr class="dx-row dx-column-lines dx-header-row" role="row"/>'),n=0;n<9;n++){var a=$("<td/>");0!==n&&$("<div/>").dxSelectBox(i.selectOptions).appendTo(a),a.appendTo(t)}e.rowElement.after(t)}else"header"!=e.rowType&&e.rowIndex%2&&e.rowElement.addClass("dx-row-alt")},columnAutoWidth:!0,columns:[{dataField:"id",caption:"",alignment:"left"},{dataField:"code",caption:"1",alignment:"left"},{dataField:"name",caption:"2",alignment:"left"},{dataField:"initdebit",caption:"3",alignment:"left"},{dataField:"initcridet",caption:"4",alignment:"left"},{dataField:"debit",caption:"5",alignment:"left"},{dataField:"cridet",caption:"6",alignment:"left"},{dataField:"lastdebit",caption:"7",alignment:"left"},{dataField:"lastcridet",caption:"8",alignment:"left"}],scrolling:{mode:"infinite"},sorting:{mode:"none"}}}]),vatModule.controller("devGridController",["$log","$scope","$translate",function(e,t,n){"use strict";var a=[{ID:1,CompanyName:"Super Mart of the West",Street:"702 SW 8th Street",City:"Bentonville",StateID:2,Zipcode:72716,Phone:"(800) 555-2797",Fax:"(800) 555-2171",Website:"http://www.nowebsitesupermart.com"},{ID:2,CompanyName:"Electronics Depot",Street:"2455 Paces Ferry Road NW",City:"Atlanta",StateID:1,Zipcode:30339,Phone:"(800) 595-3232",Fax:"(800) 595-3231",Website:"http://www.nowebsitedepot.com"},{ID:3,CompanyName:"K&S Music",Street:"1000 Nicllet Mall",City:"Minneapolis",StateID:7,Zipcode:55403,Phone:"(612) 304-6073",Fax:"(612) 304-6074",Website:"http://www.nowebsitemusic.com"},{ID:4,CompanyName:"Tom's Club",Street:"999 Lake Drive",City:"Issaquah",StateID:6,Zipcode:98027,Phone:"(800) 955-2292",Fax:"(800) 955-2293",Website:"http://www.nowebsitetomsclub.com"},{ID:5,CompanyName:"E-Mart",Street:"3333 Beverly Rd",City:"Hoffman EStateIDs",StateID:7,Zipcode:60179,Phone:"(847) 286-2500",Fax:"(847) 286-2501",Website:"http://www.nowebsiteemart.com"},{ID:6,CompanyName:"Walters",Street:"200 Wilmot Rd",City:"Deerfield",StateID:3,Zipcode:60015,Phone:"(847) 940-2500",Fax:"(847) 940-2501",Website:"http://www.nowebsitewalters.com"},{ID:7,CompanyName:"StereoShack",Street:"400 Commerce S",City:"Fort Worth",StateID:5,Zipcode:76102,Phone:"(817) 820-0741",Fax:"(817) 820-0742",Website:"http://www.nowebsiteshack.com"},{ID:8,CompanyName:"Circuit Town",Street:"2200 Kensington Court",City:"Oak Brook",StateID:6,Zipcode:60523,Phone:"(800) 955-2929",Fax:"(800) 955-9392",Website:"http://www.nowebsitecircuittown.com"},{ID:9,CompanyName:"Premier Buy",Street:"7601 Penn Avenue South",City:"Richfield",StateID:4,Zipcode:55423,Phone:"(612) 291-1000",Fax:"(612) 291-2001",Website:"http://www.nowebsitepremierbuy.com"},{ID:10,CompanyName:"ElectrixMax",Street:"263 Shuman Blvd",City:"Naperville",StateID:2,Zipcode:60563,Phone:"(630) 438-7800",Fax:"(630) 438-7801",Website:"http://www.nowebsiteelectrixmax.com"},{ID:11,CompanyName:"Video Emporium",Street:"1201 Elm Street",City:"Dallas",StateID:10,Zipcode:75270,Phone:"(214) 854-3000",Fax:"(214) 854-3001",Website:"http://www.nowebsitevideoemporium.com"},{ID:12,CompanyName:"Screen Shop",Street:"1000 Lowes Blvd",City:"Mooresville",StateID:1,Zipcode:28117,Phone:"(800) 445-6937",Fax:"(800) 445-6938",Website:"http://www.nowebsitescreenshop.com"}],i=[{ID:1,Name:"Alabama"},{ID:2,Name:"Alaska"},{ID:3,Name:"Arizona"},{ID:4,Name:"Arkansas"},{ID:5,Name:"California"},{ID:6,Name:"Colorado"},{ID:7,Name:"Connecticut"},{ID:8,Name:"Delaware"},{ID:9,Name:"District of Columbia"},{ID:10,Name:"Florida"}];t.showPanel=1,t.autoWidth=!0,t.allowColumnReordering=!0,t.allowColumResizing=!0,t.dataGridOptions={dataSource:a,editing:{mode:"row",allowUpdating:!0,allowDeleting:!0,allowAdding:!0},columns:[{dataField:"ID",visible:!1},{dataField:"CompanyName",caption:"CompanyName",cellTemplate:"companyTemplate",editCellTemplate:function(e,t){var n=document.createElement("div");e.get(0).appendChild(n),$(n).dxTextBox({placeholder:"Company name",valueChangeEvent:"keyup",value:t.value,onValueChanged:function(e){t.setValue(e.value)}});var a=document.createElement("div");e.get(0).appendChild(a),$(a).dxTextBox({placeholder:"Company link",valueChangeEvent:"keyup",value:t.data.Website,onValueChanged:function(e){t.data.Website=e.value}})}},{caption:"Address",alignment:"center",columns:["Street","City",{dataField:"StateID",caption:"State",lookup:{dataSource:i,displayExpr:"Name",valueExpr:"ID"}}]},"Phone","Fax"],paging:{pageSize:10},pager:{showPageSizeSelector:!0,allowPageSized:[5,10,20],showInfo:!0},loadPanel:{enabled:!0},columnChooser:{enabled:!0,height:150,width:300,emptyPanelText:"A place to hide the columns"},activeStateEnabled:!0,bindingOptions:{allowColumnReordering:"allowColumnReordering",columnAutoWidth:"autoWidth",allowColumnResizing:"allowColumResizing"},onEditingStart:function(e){console.log(e)}}}]),vatModule.controller("devTreeController",["$log","$scope","$translate",function(e,n,t){"use strict";var a,i,o=[{ID:1,name:"Stores",expanded:!0},{ID:"1_1",categoryId:1,name:"Super Mart of the West",expanded:!0},{ID:"1_1_1",categoryId:"1_1",name:"Video Players"},{ID:"1_1_1_1",categoryId:"1_1_1",name:"HD Video Player",price:220},{ID:"1_1_1_2",categoryId:"1_1_1",name:"SuperHD Video Player",price:270},{ID:"1_1_2",categoryId:"1_1",name:"Televisions",expanded:!0},{ID:"1_1_2_1",categoryId:"1_1_2",name:"SuperLCD 42",price:1200},{ID:"1_1_2_2",categoryId:"1_1_2",name:"SuperLED 42",price:1450},{ID:"1_1_2_3",categoryId:"1_1_2",name:"SuperLED 50",price:1600},{ID:"1_1_2_4",categoryId:"1_1_2",name:"SuperLCD 55",price:1750},{ID:"1_1_2_5",categoryId:"1_1_2",name:"SuperLCD 70",price:4e3},{ID:"1_1_3",categoryId:"1_1",name:"Monitors"},{ID:"1_1_3_1",categoryId:"1_1_3",name:'19"'},{ID:"1_1_3_1_1",categoryId:"1_1_3_1",name:"DesktopLCD 19",price:160},{ID:"1_1_4",categoryId:"1_1",name:"Projectors"},{ID:"1_1_4_1",categoryId:"1_1_4",name:"Projector Plus",price:550},{ID:"1_1_4_2",categoryId:"1_1_4",name:"Projector PlusHD",price:750}];i=function(t){t&&(n.treeBoxValue?n.treeBoxValue.forEach(function(e){t.selectItem(e)}):t.unselectAll())},n.treeBoxValue=_.pluck(o,"ID"),n.treeBoxOptions={bindingOptions:{value:"treeBoxValue"},valueExpr:"ID",displayExpr:"name",placeholder:"Select a value...",showClearButton:!0,dataSource:o,onValueChanged:function(){i(a)},treeView:{dataSource:o,dataStructure:"plain",keyExpr:"ID",parentIdExpr:"categoryId",displayExpr:"name",selectByClick:!0,selectNodesRecursive:!0,showCheckBoxesMode:"selectAll",selectionMode:!0,onContentReady:function(e){a=e.component,i(a)},onItemSelectionChanged:function(e){var t=e.component.getSelectedNodesKeys();n.treeBoxValue=t}}}}]),vatModule.directive("devGrid",["$log",function(e){"use strict";return e.debug("devGrid.ctor()..."),{restrict:"E",templateUrl:"/app/vat/devExtremeDemo/devDemo.html?_="+Math.random(),replace:!0,scope:{},controller:"devGridController"}}]),vatDongfengModule.controller("navBarController",["$scope","$rootScope","$log","$timeout","$state","$translate","projectService","SweetAlert","loginContext","vatSessionService","vatCommonService","application","enums","$uibModal",function(n,e,a,t,i,o,r,s,l,c,d,u,p,m){"use strict";a.debug("navBarController.ctor()...");var g="/app/df/code/pages/";n.dateFormat=o.instant("dateFormat4YearMonth"),n.showSubMenu=!0,c.project.name?n.projectName=c.project.name:n.projectName="普华永道上海税务(a1700000)",$("#year").datepicker({format:"yyyy年",weekStart:1,autoclose:!0,startView:2,maxViewMode:2,minViewMode:2,forceParse:!1,language:"zh-CN"}),n.selectedDate=new Date(c.project.year,c.month-1,1),n.startDate=new Date(c.project.year,0,1),n.endDate=new Date(c.project.year,11,31,23,59,59);o.instant("UnsavedChange"),o.instant("ComfirmIgnoreUnsavedChanges"),o.instant("ConfirmYes"),o.instant("ConfirmNo");n.changeDate=function(){};var v=function(e){a.debug("new page src:"+e),$("#dfiframe").attr("src",e)};n.uiHandling=function(e){n.selectedMenu=e,a.debug(e),1===n.type?(n.submenus=[{text:"构成分析",title:"构成分析",src:"/app/df/code/pages/DFModleIndex.html?_="+Math.random(),icon:"fa fa-bank"},{text:"对未来现金流的影响分析",title:"对未来现金流的影响分析",src:"/app/df/code/pages/DFModleIndex2.html?_="+Math.random(),icon:"fa fa-align-left"},{name:"变动分析",title:"变动分析",text:"变动分析",src:"/app/df/code/pages/DFModleIndex3.html?_="+Math.random(),icon:"fa fa-list-ul"},{name:"对当期利润的影响分析模型",title:"对当期利润的影响分析模型",permission:"02.001.009",text:"对当期利润的影响分析模型",icon:"fa fa-file-text-o"}],-1<e.fileName.indexOf("deferredTaxNEWWorkingPaper.html")&&n.setFrameHeight(),v(g+e.fileName),3===e.num&&n.dongfengGo(n.submenus[0])):2===n.type?(n.hideSubMenu=!1,"税务预算"==e.name?n.submenus=[{text:"数据状态",src:g+e.fileName,icon:"fa fa-bank"},{text:"数据上传",src:g+"DFTaxBudgetUpload.htm?_="+Math.random(),icon:"fa fa-upload",clickId:"clickDataUpload"},{text:"地产数据",src:g+"DFRealEstateData.html?_="+Math.random(),icon:"fa fa-university",clickId:"realEstateData"},{text:"数据计算",src:g+"DFTaxBudgetCaculateSummary.htm?_="+Math.random(),icon:"fa fa-calculator",clickId:"clickDataCalculate"},{text:"数据预览",src:g+"DFTaxBudgetView.html?_="+Math.random(),icon:"fa fa-align-left"}]:"实交税额"==e.name?n.submenus=[{text:"数据状态",src:g+e.fileName,icon:"fa fa-bank"},{text:"数据处理",src:g+"DFTaxPaymentProcess.html",icon:"fa fa-cogs",clickId:"taxPaymentProcess"},{text:"数据分析",src:g+"actualPayDashboard.html?_="+Math.random(),icon:"fa fa-align-left"},{text:"数据预览",src:g+"DFTaxPaymentView.html?_="+Math.random(),icon:"fa fa-align-left"}]:"预实对比"==e.name?n.submenus=[{text:"数据处理",src:g+"DFPreRealContrastProcess.html",icon:"fa fa-cogs",clickId:"taxPaymentProcess"},{text:"数据分析",src:g+"DFPreRealContrastDashboard.html?_="+Math.random(),icon:"fa fa-align-left"}]:"税收返还"==e.name?n.submenus=[{text:"数据状态",src:g+e.fileName,icon:"fa fa-bank"},{text:"数据处理",src:g+"DFTaxReturnProcess.html",icon:"fa fa-cogs"},{text:"数据预览",src:g+"DFTaxReturnView.html?_="+Math.random(),icon:"fa fa-align-left"}]:(n.submenus=[{text:"数据导入",src:g+e.fileName,icon:"fa fa-bank"}],n.hideSubMenu=!0),n.dongfengGo(n.submenus[0])):n.type};n.orglist=[{ID:1,name:"东风汽车有限公司",expanded:!0,status:"已核算"},{ID:"1_1",categoryId:1,name:"东风汽车零部件（集团）有限公司",expanded:!0,status:"未开始"},{ID:"1_1_1",categoryId:"1_1",name:"东风贝洱热系统有限公司",expanded:!0,status:"已导入"},{ID:"1_1_2",categoryId:"1_1",name:"东风汽车紧固件有限公司",expanded:!0,status:"已核算"},{ID:"1_1_3",categoryId:"1_1",name:"上海弗列加滤清器有限公司",expanded:!0,status:"已提交"},{ID:"1_1_4",categoryId:"1_1",name:"东风精密铸造有限公司",expanded:!0,status:"已分析"},{ID:"1_2",categoryId:1,name:"东风日产乘用车公司",expanded:!0,status:"未开始"},{ID:"1_2_1",categoryId:"1_2",name:"东风风神汽车有限公司",expanded:!0,status:"已导入"},{ID:"1_2_2",categoryId:"1_2",name:"东风日产发动机分公司",expanded:!0,status:"已提交"},{ID:"1_3",categoryId:1,name:"东风汽车有限公司装备公司",expanded:!0,status:"未开始"},{ID:"1_4",categoryId:1,name:"东风英菲尼迪有限公司",expanded:!0,status:"未开始"}];var h,f,y=function(){var a=$("#org-treebox").dxDropDownBox({value:[1],valueExpr:"ID",displayExpr:"name",placeholder:"组织单元",showClearButton:!0,dataSource:n.orglist,contentTemplate:function(n){var t=n.component.option("value"),e=$("<div>").dxTreeView({dataSource:n.component.option("dataSource"),dataStructure:"plain",keyExpr:"ID",parentIdExpr:"categoryId",selectionMode:"single",displayExpr:"name",selectByClick:!0,onContentReady:function(e){C(e.component,t)},selectNodesRecursive:!1,onItemSelectionChanged:function(e){var t=e.component.getSelectedNodesKeys();n.component.option("value",t)}});return h=e.dxTreeView("instance"),n.component.on("valueChanged",function(e){var t=e.value;C(h,t),a.dxDropDownBox("instance").close()}),e}})},I=function(){var a=$("#accounting-status-org-treebox").dxDropDownBox({value:[1],valueExpr:"ID",displayExpr:"name",placeholder:"组织单元",showClearButton:!0,dataSource:n.orglist,contentTemplate:function(n){var t=n.component.option("value"),e=$("<div>").dxTreeView({dataSource:n.component.option("dataSource"),dataStructure:"plain",keyExpr:"ID",parentIdExpr:"categoryId",selectionMode:"single",displayExpr:"name",selectByClick:!0,onContentReady:function(e){C(e.component,t)},selectNodesRecursive:!1,onItemSelectionChanged:function(e){var t=e.component.getSelectedNodesKeys();n.component.option("value",t)}});return f=e.dxTreeView("instance"),n.component.on("valueChanged",function(e){var t=e.value;C(f,t),a.dxDropDownBox("instance").close()}),e}});$("#accountingStatusModal").modal("show")},C=function(t,e){e?e.forEach(function(e){t.selectItem(e)}):t.unselectAll()};n.$on(u.events.showSubMenu,function(e,t){t&&(n.showSubMenu=t.show)}),n.dongfengGo=function(e){parent.PWC.simulateProgress(),a.debug("new page src:"+e.src),n.selectedSubMenu=e,$("#dfiframe").attr("src",e.src)},a.debug("nav-bar-crtl.js initialize() "),n.displaySubStatus=!1,e.$on("statusChanged",function(e,t){a.debug("receive statusChanged"),a.debug(t.status),setLayoutStatusTitle(t.status)}),5!==n.type?function(){if(1===n.type)$(".vat-import-menu").show(),n.serviceTitle=o.instant("DeferrIncomeTitle"),n.menus=[{name:"数据核算",num:2,permission:"02.002",url:"#/vat/previewData/balanceSheet",fileName:"deferredTaxNEWWorkingPaper.html?_="+Math.random()},{name:"数据分析",num:3,permission:"02.003",url:"#/vat/previewData/balanceSheet",fileName:"DFModleIndex.html?_="+Math.random()}];else if(2===n.type)$(".vat-import-menu").show(),n.menus=[{name:"税务预算",num:1,permission:"02.001",url:"#",fileName:"DFTaxActualStatus.html?_="+Math.random()},{name:"实交税额",num:2,permission:"02.002",url:"#",fileName:"DFTaxPaymentStatus.html?_="+Math.random()},{name:"预实对比",num:3,permission:"02.003",url:"#",fileName:"DFPreRealContrast.html?_="+Math.random()},{name:"税收返还",num:4,permission:"02.005",url:"#",fileName:"DFTaxReturnStatus.html?_="+Math.random()}];else{if(3===n.type)return $(".vat-import-menu").hide(),setTimeout(function(){v(g+"DataSummary.html")},1e3);if(4===n.type)return $(".vat-import-menu").hide(),setTimeout(function(){v(g+"GlobalSearchResult.html")},1e3)}n.selectedMenu=n.menus[0],t(function(){n.uiHandling(n.menus[0])},100),y()}():t(function(){$("#dfiframe").attr("src","/app/df/code/pages/ETaxAudit.html")},500),n.hideSubMenu=!1,t(function(){n.setFrameHeight()},500),a.debug("dongfeng Type:"+n.type),n.showAccountingStatusModal=I}]),vatDongfengModule.directive("dongfengNavBar",["$log","region","enums",function(e,i,o){"use strict";return e.debug("dongfengNavBar.ctor()..."),{restrict:"E",templateUrl:"/app/vat/dongfengWrapper/nav-bar/nav-bar.html?_="+Math.random(),replace:!0,scope:{type:"="},controller:"navBarController",link:function(t,e,n){t.setFrameHeight=function(){var e=$(window).height();5!==t.type?($("#dfiframe").css("height",e-120+"px"),0<$(window.frames.dfiframe.document).find("#spreadjsDYS").length&&($(window.frames.dfiframe.document).find("#spreadjsDYS").css("height",e-180+"px"),$(window.frames.dfiframe.document).find("#ss").css("height",e-180+"px"),$(window.frames.dfiframe.document).find("#page-wrapper").css("min-height",e-120+"px"))):$("#dfiframe").css("height",e+"px")};var a=$(".datepicker");a.datepicker({startDate:t.startDate,endDate:t.endDate,language:i,viewMode:1,minViewMode:1,autoclose:!0,clearBtn:!1,todayBtn:!1,format:t.dateFormat}).on("changeDate",function(e){t.changeDate(e)}),a.datepicker("setDate",t.selectedDate),t.elePicker=a,t.menuStates=o.vatMenuStates,t.menuState=o.vatMenuStates.expanded,t.collapseMenu=function(e){t.menuState=e},t.headerAnimationEnd=function(e){t.menuState===o.vatMenuStates.collapsing&&angular.element(".vat-header").addClass("collapsed"),t.$apply(function(){t.menuState===o.vatMenuStates.collapsing?t.menuState=o.vatMenuStates.collapsed:t.menuState===o.vatMenuStates.expanding&&(t.menuState=o.vatMenuStates.expanded)})},t.contentAnimationEnd=function(e){t.$broadcast(o.vatEvent.layoutChanged)},t.hideLeftSubMenus=function(){document.getElementById("dfiframe").contentWindow.document.getElementById("page-wrapper")},$(window).on("resize",function(){t.setFrameHeight()})}}}]),vatDongfengModule.controller("wrapperController",["$scope","$log","$translate","$timeout","$q","$interval",function(e,t,n,a,i,o){"use strict";e.test=function(){$("#if").attr("src","/app/df/code/pages/DFTaxBudgetProcess.html")},e.test1=function(){$("#if").attr("src","/app/df/code/pages/InventoryFallingPrice.html")},t.debug("wrapperController.ctor()...")}]),vatDongfengModule.directive("dongfengWrapper",["$log",function(e){"use strict";return e.debug("wrapperController.ctor()..."),{restrict:"E",templateUrl:"/app/vat/dongfengWrapper/wrapper/wrapper.html?_="+Math.random(),scope:{type:"="},controller:"wrapperController",link:function(e,t){}}}]),vatModule.controller("ProductItemImportController",["$scope","$log","loginContext","$translate","apiInterceptor","Upload","dataImportService","SweetAlert","vatImportService","$timeout","$q","enums","uiGridConstants","$interval","vatSessionService","vatOperationLogService","projectService","vatCommonService","productService",function(a,e,t,i,o,r,n,s,l,c,d,u,p,m,g,v,h,f,y){"use strict";var I=o.vatWebApiHostUrl+"/FileUpload/NewFile",C=0;a.chunkSize=1e5;a.columnNum=0;g.month,g.project.year,g.project.id,g.project.id;a.showImportTable=!1,a.showInitTable=!1,a.showErrorTable=!1,a.importEnum={Import:0,CoverImport:1,AddImport:2};var w=g.project.name+" "+g.project.year+"年"+g.month+"月";a.period=g.month,a.moduleid=u.vatModuleEnum.Import_JournalEntry;a.moduleid,i.instant("JournalEntryTitle"),g.logUser.ID,a.period,i.instant("ColumnsMapErrorType"),i.instant("JournalEntryVIDEmptyErrorType"),i.instant("JournalEntryGroupEmptyErrorType"),i.instant("JournalEntryItemIDEmptyErrorType"),i.instant("JournalEntryAcctCodeEmptyErrorType"),i.instant("JournalEntryVoucherDateEmptyErrorType"),i.instant("JournalEntryDateFormatErrorType"),i.instant("JournalEntryAmountErrorType"),i.instant("JournalEntryItemIDFormatErrorType"),i.instant("JournalEntryPeriodFormatErrorType"),i.instant("NumOutRangeErrorType"),i.instant("OutputStringLengthType"),i.instant("StartRowError");var S=function(){y.getProductItemList().success(function(e){if(e){a.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0};var t=1;e.forEach(function(e){e.index=t++}),a.initJournalEntryList=e,0<=(a.gridOptionsJournalEntry.data=e).length&&(0<e.length&&(a.isShowImportTotalBtn=!1),a.showInitTable=!0,a.showImportTable=!1),e&&e.length,a.gridOptionsJournalEntry.columnDefs=[{name:"产品编号",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fSetCode}}<span></div>'},{name:"产品名称",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fSetName}}<span></div>'},{name:"科目代号",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctCode}}<span></div>'},{name:"科目名称",width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctName}}<span></div>'},{name:"科目类别",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctClass}}<span></div>'},{name:"科目性质",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctAttr}}<span></div>'},{name:"卖出金额汇总",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fcjje}}<span></div>'},{name:"计税基数余额",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.bjsjzye}}<span></div>'},{name:"应税状态",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fyszt}}<span></div>'}]}})},D=$('input[name="__RequestVerificationToken"]').val(),b=function(e){console.log(e),1===++C&&(a.tempFileName=e.data,T(0))},T=function(t){var e=_.findIndex(a.sheetData.sheetNameList,function(e){return e.name===t.name});a.sheetInfo.selectedSheetIndex=-1===e?0:e,x()},x=function(){a.showImportTable=!0,a.showErrorTable=!1,a.showInitTable=!1,_.isString(a.tempFileName)&&(a.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},a.columnNum=0,a.selectedColumnMap=[],l.getFileContent(a.tempFileName,a.sheetInfo.selectedSheetIndex,a.sheetInfo.topRowNumber).success(function(e){a.sheetData=e;var t=1;e.dataList.forEach(function(e){e.index=t++});var n=[];e.sheetNameList.forEach(function(e){n.push({name:e})}),a.sheetData.sheetNameList=n,a.columnNum=e.dataList[0]?e.dataList[0].length:a.columnNum,a.firstDataRow=e.dataList[0],a.startRowList=_.range(e.lastRowIndex),a.sheetInfo.selectedSheetName=a.sheetData.sheetNameList[a.sheetInfo.selectedSheetIndex],a.journalEntryColumns=[i.instant("PleaseSelectColumn"),i.instant("JournalPZRQ"),i.instant("JournalPZLX"),i.instant("JournalPZH"),i.instant("JournalFLH"),i.instant("JournalQJ"),i.instant("JournalKMDM"),i.instant("JournalZY"),i.instant("JournalJFJE"),i.instant("JournalDFJE"),i.instant("JournalKHDM")],a.initJournalEntryColumnsIndex=_.range(1,a.journalEntryColumns.length),a.journalEntryAllColumns=[i.instant("JournalPZRQ"),i.instant("JournalPZLX"),i.instant("JournalPZH"),i.instant("JournalFLH"),i.instant("JournalQJ"),i.instant("JournalKMDM"),i.instant("JournalZY"),i.instant("JournalJFJE"),i.instant("JournalDFJE"),i.instant("JournalKHDM")],a.mustMappingTotalColumns=[i.instant("JournalPZRQ"),i.instant("JournalPZLX"),i.instant("JournalPZH"),i.instant("JournalFLH"),i.instant("JournalKMDM"),i.instant("JournalJFJE"),i.instant("JournalDFJE"),i.instant("JournalKHDM")],e&!(g.dataChanged=!0)===e.result&&s.warning(e.resultMsg)}))};a.getGridHeight=function(){return a.isLoadComplete?{height:$(".journal-entry-grid-wrapper").height()+"px"}:{height:"0px"}},a.toggleErrorTab=function(){a.ImportErrorTag=!a.ImportErrorTag,a.ImportErrorTag?parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","150px"),$("#topIcon").css({bottom:"-381px"}),$(".error-info-wrapper").css("height","150px")):M()};var M=function(){$("#content-resizer").css("bottom","5px"),$("#topIcon").css({bottom:"-551px"}),$(".error-info-wrapper").css("height","0px")};a.getErrorGridHeight=function(){if(a.isLoadComplete){var e=$("#error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}};e.debug("VatImportJournalEntryController.ctor()..."),a.errorMsgMap=[],a.journalEntryFileName="",a.selectedColumnMap=[],a.journalEntryColumns=[],a.initJournalEntryColumnsIndex=[],a.startRowList=[],a.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},a.sheetInfo={selectedSheetName:"",selectedSheetIndex:0,topRowNumber:0},a.isShowImportTotalBtn=!0,S(),a.changeJournalEntrySheet=T,a.gridOptionsJournalEntry={enableColumnResizing:!0,rowHeight:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,flatEntityAccess:!0,onRegisterApi:function(e){a.gridApi=e,m(function(){a.gridApi.core.handleWindowResize()},500,28800)}},a.$watch("journalEntryFileName",function(e,t){var n;e&&e!==t&&(n=e,a.fileName=n.name,function(e){if(e){var t=e.name.split(".");if("xls"!==t[t.length-1]&&"xlsx"!==t[t.length-1])return s.warning(i.instant("ImportFileInvalidType"));if(a.initJournalEntryList=[],a.gridOptionsJournalEntry.data=[],C=0,!e.$error){var n=PWC.newGuid()+".dat";r.upload({url:I,data:{filename:e.name,tempFileName:n,file:e},resumeChunkSize:a.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:o.tokenType+" "+o.apiToken()},__RequestVerificationToken:D,withCredentials:!0}).then(b)}}}(a.journalEntryFileName),a.ImportErrorTab=!1,a.ImportErrorTag=!1,$("#StartRowNum").val("2"))}),c(function(){a.isLoadComplete=!0},500)}]),vatModule.directive("productItemImport",["$log",function(e){"use strict";return e.debug("productItemImport.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/product-item-import/product-item-import.html?_="+Math.random(),scope:{},controller:"ProductItemImportController",link:function(e,t){}}}]),vatModule.directive("vatAuditAdjust",["$log","enums","vatSessionService",function(e,n,a){"use strict";return e.debug("vatAuditAdjust.ctor()..."),{restrict:"E",template:'<import-audit-adjust service-type-id="serviceTypeId" period-id="periodId"></import-audit-adjust>',scope:{},link:function(e,t){e.periodId=a.month,e.serviceTypeId=n.serviceType.VAT}}}]),vatModule.controller("VatImportAutoMappingController",["$scope","$log","loginContext","$translate","apiInterceptor","Upload","dataImportService","SweetAlert","vatImportService","$timeout","$q","enums","uiGridConstants","$interval","vatSessionService","vatOperationLogService","projectService","vatCommonService",function(t,e,n,a,i,o,r,s,l,c,d,u,p,m,g,v,h,f){"use strict";function y(){t.matchedFailCount=t.mapDetails.filter(function(e){return 1!==e.mapReuslt}).length,t.matchedSuccessCount=t.mapDetails.filter(function(e){return 1===e.mapReuslt}).length,t.matchedPercentage=(t.matchedSuccessCount/t.mapDetails.length*100).toFixed(0)+"%"}t.importFileName="Book.xlsx",t.importFileSheets=["sheet1","sheet2","sheet3"],t.startRows=[1,2,3,4,5,6,7],t.currentSheet="sheet1",t.startRow=1,t.systemSuggestNames=["未识别","序号","凭证日期","期间","凭证的日期","凭证类型","凭证号","科目代码","摘要","借方金额","贷方金额","客户代码","分录号"],t.mapDetails=[{importColName:"序号",systemSuggestName:"序号",mapReuslt:1,importColContent:"1"},{importColName:"序列日期",systemSuggestName:"未识别",mapReuslt:2,importColContent:"13212506122",showDetail:!0,failReason:"系统识别 导入列名【凭证日期】所在列内容“123212321” 与列名内容不符，与系统列名【凭证日期】应包含内容不符。",systemSuggests:{suggestsByCol:["凭证日期","凭证的日期","期间"],suggestsByContent:["科目代码","分录号"]}},{importColName:"期间",systemSuggestName:"期间",mapReuslt:1,importColContent:"2"},{importColName:"凭证类型",systemSuggestName:"凭证类型",mapReuslt:1,importColContent:"记账凭证"},{importColName:"凭证号",systemSuggestName:"凭证号",mapReuslt:1,importColContent:"1111111"},{importColName:"科目代码",systemSuggestName:"科目代码",mapReuslt:1,importColContent:"022010"},{importColName:"摘抄",systemSuggestName:"未识别",mapReuslt:2,importColContent:"2015.08.31中行POS清算入账",failReason:"系统无法识别 导入列【摘抄】",systemSuggests:{suggestsByCol:["摘要","凭证日期","期间"],suggestsByContent:["摘要"]}},{importColName:"借方金额",systemSuggestName:"借方金额",mapReuslt:1,importColContent:"500,000,000"},{importColName:"贷方金额",systemSuggestName:"贷方金额",mapReuslt:1,importColContent:"500,000,000"},{importColName:"客户代码",systemSuggestName:"客户代码",mapReuslt:1,importColContent:"江苏010111"},{importColName:"分录号",systemSuggestName:"分录号",mapReuslt:1,importColContent:"0901110222"}],t.addMap=function(e,t){e.mapReuslt=1,e.systemSuggestName=t,y(),swal({title:"是否记住此次匹配关系？",showCancelButton:!0,closeOnConfirm:!0,icon:"warning",confirmButtonText:"是，下次默认执行",cancelButtonText:"不，仅做单次修改"})},t.showDetail=function(e){t.mapDetails.forEach(function(e){e.showDetail=!1}),e.showDetail=!0},y()}]),vatModule.directive("vatImportAutoMapping",["$log",function(e){"use strict";return e.debug("vatImportAutoMapping.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/vat-import-auto-mapping/vat-import-auto-mapping.html?_="+Math.random(),scope:{},controller:"VatImportAutoMappingController",link:function(e,t){}}}]),vatModule.controller("ImportCustomInvoiceCtrl",["$scope","$log","$translate","$timeout","$q","$interval","enums","apiInterceptor","Upload","dataImportService","vatImportService","vatSessionService","SweetAlert","uiGridConstants","vatCommonService","vatWorkflowService","vatOperationLogService",function(c,o,d,e,t,n,i,a,r,s,l,u,p,m,g,v,h){var f=0,y=a.vatWebApiHostUrl+"/FileUpload/NewFile",I=(d.instant("PleaseSelectColumn"),{ToImport:1,ShowData:2,Reimport:3}),C={Import:0,CoverImport:1,AddImport:2},w=u.month,S=(u.project.id,u.project.name+" "+u.project.year+"年"+u.month+"月");c.showErrorTable=!1,c.showInitTable=!1,c.showImportTable=!1,c.period=u.month;var D="xls",b="xlsx";c.chunkSize=1e5,c.success=!1,c.moduleid=i.vatModuleEnum.Import_CustomInvoice;var T={ID:"",OperationName:"",ModuleID:c.moduleid,OperationObject:d.instant("customInvoice"),OperationType:"",OperationContent:"",OriginalState:"",UpdateState:"",CreatorID:u.logUser.ID,Comment:S,IP:"",Period:c.period};c.errorLevelToString=function(e){return 0===e?"/app-resources/images/vat/error.png":1===e?"/app-resources/images/vat/warning.png":"/app-resources/images/vat/tips.png"},c.toggleErrorTab=function(){c.ImportErrorTag=!c.ImportErrorTag,c.ImportErrorTag?parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","150px"),$("#topIcon").css({bottom:"-381px"}),$(".error-info-wrapper").css("height","150px")):z()},c.getGridHeight=function(){return c.isLoadComplete?{height:$(".balance-ouput-grid-wrapper").height()+"px"}:{height:"0px"}},c.getErrorGridHeight=function(){if(c.isLoadComplete){var e=$("#error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}},c.showOperateLogPop=function(){c.isShowLog=!0};var x=function(){c.mapNameList=[d.instant("PleaseSelectColumn"),d.instant("CustomsPayNum"),d.instant("CustomsIssueDate"),d.instant("InvoiceSE"),d.instant("InvoiceJE"),d.instant("CustomsAuditResult")]},M=function(e){if(e&&function(e){var t=!0,n=e.name,a=n.substr(n.lastIndexOf(".")+1,n.length-n.lastIndexOf(".")).toLowerCase();a!==D&&a!==b&&(p.warning(d.instant("CustomInvoiceFileCheck")),t=!1);return t}(e)&&(f=0,!e.$error)){var t=PWC.newGuid()+".dat",n=$('input[name="__RequestVerificationToken"]').val();r.upload({url:y,data:{cancel:!1,filename:e.name,tempFileName:t,file:e},resumeChunkSize:c.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:a.tokenType+" "+a.apiToken()},__RequestVerificationToken:n,withCredentials:!0}).then(O)}},O=function(e){1===++f&&(c.tempFileName=e.data,E(0))};function E(t){var e=_.findIndex(c.sheetData.sheetNameList,function(e){return e.name===t.name});c.selectedMappingList=[],c.sheetInfo.selectedSheetIndex=-1===e?0:e,c.showErrorTable=!1,_.isString(c.tempFileName)&&(c.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},l.getFileContent(c.tempFileName,c.sheetInfo.selectedSheetIndex,0).success(function(e){o.debug("refreshTable"),c.showInitTable=!1,c.showImportTable=!0;var t=[];e.sheetNameList.forEach(function(e){t.push({name:e})}),c.sheetData=e,c.sheetData.sheetNameList=t,c.sheetInfo.selectedSheetName=c.sheetData.sheetNameList[c.sheetInfo.selectedSheetIndex],x(),u.dataChanged=!0}))}var P=function(e,t,n){if(n){var a=c.mapNameList[t],i=c.selectedMappingList[e];if(i===a)return;(c.selectedMappingList[e]=n)!==d.instant("PleaseSelectColumn")?(c.mapNameList.splice(t,1),i&&i!==d.instant("PleaseSelectColumn")&&c.mapNameList.push(i)):i&&c.mapNameList.push(i)}o.debug(c.selectedMappingList)};function N(e,t){return e.ID=PWC.newGuid(),e.CreateTime=new Date,e.UpdateTime=new Date,e.OperationContent=c.fileName,t===c.importEnum.Import?(e.OperationName=d.instant("ImportCustomInvoice"),e.OperationType=i.vatLogOperationTypeEnum.Import):t===c.importEnum.CoverImport?(e.OperationName=d.instant("ConvertCustomInvoice"),e.OperationType=i.vatLogOperationTypeEnum.CoverImport):t===c.importEnum.AddImport&&(e.OperationName=d.instant("AppendCustomInvoice"),e.OperationType=i.vatLogOperationTypeEnum.AddImport),e}function A(n){if(o.debug("start to import customs invovice"),o.debug("file name: "+c.fileName),(_.isUndefined(c.fileName)||_.isNull(c.fileName)?(p.warning(d.instant("PleaseSelectFileFirst")),0):!(c.sheetData.dataList.length<=0)||(p.warning(d.instant("EmptyFileContent")),0))&&function(){var e=[];-1==c.selectedMappingList.indexOf(d.instant("CustomsPayNum"))&&e.push(d.instant("CustomsPayNum"));-1==c.selectedMappingList.indexOf(d.instant("CustomsIssueDate"))&&e.push(d.instant("CustomsIssueDate"));-1==c.selectedMappingList.indexOf(d.instant("CustomsAuditResult"))&&e.push(d.instant("CustomsAuditResult"));-1==c.selectedMappingList.indexOf(d.instant("InvoiceSE"))&&e.push(d.instant("InvoiceSE"));{if(0<e.length){var n="";return e.forEach(function(e,t){n+=e+" "}),p.error(d.instant("RequiredColumnNotSelect").formatObj({errorMsg:n})),!1}return!0}}()&&function(){var e=!0;PWC.isNullOrEmpty(c.startRowNum)&&(p.warning(d.instant("StartRowNull")),e=!1);parseInt(c.startRowNum)>c.sheetData.dataList.length&&(p.warning(d.instant("StartRowNumberCheckMsg")),e=!1);return e}()){var e=function(e){var t=!0;c.custInputList=[];for(var n=c.startRowNum-1;n<c.sheetData.dataList.length;n++){var a={};a.customsId=PWC.newGuid(),a.periodId=w;var i=c.sheetData.dataList[n];if(a=R(i,a,n),!F(e,i,a,n))return t=!1;c.custInputList.push(a)}return t}(n);u.dataChanged=!1,e&&0<c.custInputList.length&&l.importCustomsInvoiceList(c.custInputList,n).success(function(e){var t;e.result?(c.pageStatus=I.ShowData,B(),g.importSetProjectStatus(projectDbName,w,constant.DictionaryDictKey.WFImportCustomInvoice,i.FinishStatusEnum.Finished),g.setImportSubStatus(i.VatImportSubStatus.isCustomInvoiceImport,!0),(t=N(T,n)).UpdateState=d.instant("ImportSuccess"),h.addOperationLog(t),o.debug("import customInvoice importCustomsInvoice: "+u.project.importSubStatus.isCustomInvoiceImport),p.success(d.instant("ImportSuccess"))):(c.haveImported?c.pageStatus=I.Reimport:c.pageStatus=I.ToImport,(t=N(T,n)).UpdateState=d.instant("ImportFail"),h.addOperationLog(t),p.error(d.instant("ImportFail")));c.fileName=null})}}function L(t){u.project.projectStatusList[c.period]>=constant.ProjectStatusEnum.Generated?swal({title:"warning!",text:d.instant("IsConfirmToReImport").formatObj({status:g.getProjectStautsEnumDesc(u.project.projectStatusList[c.period])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:d.instant("Yes"),cancelButtonText:d.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?A(t):swal.close()}):A(t)}function R(i,o,e){return $.each(c.selectedMappingList,function(e,t){var n=t,a=i[e];n==d.instant("InvoiceSE")&&PWC.isNullOrEmpty(a)&&(o.invoiceTaxAmount="0.00",i[e]="0.00"),n==d.instant("InvoiceJE")&&PWC.isNullOrEmpty(a)&&(o.invoiceAmount="0.00",i[e]="0.00")}),o}function F(e,o,r,s){var l=!0;return $.each(c.selectedMappingList,function(e,t){var n=t,a=o[e],i=c.selectedMappingList.indexOf(d.instant("CustomsPayNum"));if(n==d.instant("CustomsPayNum")){if(_.isNull(a)||""===a)return p.error(d.instant("CustomsPayNumEorror").formatObj({rowIndex:s+1})),l=!1;r.payNum=a}if(n==d.instant("CustomsIssueDate")){if(PWC.isNullOrEmpty(a))return p.error(d.instant("CustomsIssueEmpty").formatObj({rowIndex:s+1})),l=!1;if(!PWC.checkDate(a))return p.error(d.instant("CustomsIssueNotDate").formatObj({rowIndex:s+1,rows:o[i]})),l=!1;r.issueDate=a}if(n==d.instant("InvoiceSE")){if(isNaN(parseFloat(a)))return p.error(d.instant("InvoiceSEError").formatObj({rowIndex:s+1,rows:o[i]})),l=l=!1;r.invoiceTaxAmount=a}if(n==d.instant("InvoiceJE")){if(isNaN(parseFloat(a)))return p.error(d.instant("InvoiceJEError").formatObj({rowIndex:s+1,rows:o[i]})),l=!1;r.invoiceAmount=a}if(n==d.instant("CustomsAuditResult")){if(_.isNull(a)||""===a)return p.error(d.instant("CustomsAuditResultError").formatObj({rowIndex:s+1,rows:o[i]})),l=!1;r.auditResult=a}}),l}function B(){l.getCustomsInvoicesByPeriodId(w).success(function(e){c.balanceOuputList=[],c.pageStatus=I.ShowData,c.haveImported=!0,c.showInitTable=!0,c.showImportTable=!1,c.showErrorTable=!1,c.ImportErrorTab=!1,c.ImportErrorTag=!1;var a=[];a.push(d.instant("SequenceNo")),a.push(d.instant("CustomsPayNum")),a.push(d.instant("CustomsIssueDate")),a.push(d.instant("InvoiceSE")),a.push(d.instant("InvoiceJE")),a.push(d.instant("CustomsAuditResult")),c.balanceOuputList.push(a),0<e.length?e.forEach(function(e,t){var n=[];-1!==a.indexOf(d.instant("CustomsPayNum"))&&n.push(e.payNum),-1!==a.indexOf(d.instant("CustomsIssueDate"))&&n.push(new Date(e.issueDate).dateTimeToString("yyyyMMdd")),-1!==a.indexOf(d.instant("InvoiceSE"))&&n.push(e.invoiceTaxAmount),-1!==a.indexOf(d.instant("InvoiceJE"))&&n.push(e.invoiceAmount),-1!==a.indexOf(d.instant("CustomsAuditResult"))&&n.push(e.auditResult),c.balanceOuputList.push(n)}):(c.haveImported=!1,c.showErrorTable=!1,c.ImportErrorTab=!1,c.ImportErrorTag=!1),o.debug("start to set gridview data...."),o.debug(c.haveImported),o.debug(c.pageStatus),o.debug(c.showImportTable),c.gridOptionsIncomeInvoiceTotal.data=e,l.getCustomsInvoicesValidates(c.period).success(function(e){if(!_.isNull(e)&&!_.isUndefined(e))if(0<e.data.length){var t=1;e.data.forEach(function(e){e.index=t++}),c.errorList=e.data,c.gridOptionsErrorMsg.data=e.data,c.ImportErrorTab=!0,c.ImportErrorTag=!0,c.errorMsg=d.instant("ImportErrorMsg").formatObj({NumberOfError:c.errorList.length}),c.toggleErrorTab(),c.showErrorTable=!0}else c.errorList=[],c.gridOptionsErrorMsg.data=[],c.showErrorTable=!1,c.ImportErrorTab=!1,c.ImportErrorTag=!1})}).error(function(){p.error(d.instant("PleaseContactAdministrator"))})}function k(){swal({title:d.instant("IsDelete"),text:d.instant("ConfirmClearCustomsInvoice"),type:"warning",showCancelButton:!0,confirmButtonText:d.instant("Yes"),cancelButtonText:d.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){var t;e&&(t=w,T.ID=PWC.newGuid(),T.CreateTime=new Date,T.UpdateTime=new Date,T.OperationContent="",T.OperationName=d.instant("ClearCustomInvoice"),T.OperationType=i.vatLogOperationTypeEnum.ClearData,l.deleteCustomsInvoicesByPeriodId(t).success(function(e){e?(T.UpdateState=d.instant("DeleteSuccess"),h.addOperationLog(T),B(),g.clearProjectStatus(projectDbName,t,constant.DictionaryDictKey.WFImportCustomInvoice,i.FinishStatusEnum.NotFinished),g.setImportSubStatus(i.VatImportSubStatus.isCustomInvoiceImport,!1),o.debug("clear customInvoice deleteCustomsInvoices: "+u.project.importSubStatus.isCustomInvoiceImport),p.success(d.instant("DeleteSuccess"))):(T.UpdateState=d.instant("DeleteFailure"),h.addOperationLog(T),p.error(d.instant("DeleteFailure")))}).error(function(){T.UpdateState=d.instant("ClearFailed"),h.addOperationLog(T),p.error(d.instant("PleaseContactAdministrator"))}))})}function V(){B()}var G,j,z=function(){$("#content-resizer").css("bottom","30px"),$("#topIcon").css({bottom:"-501px"}),$(".error-info-wrapper").css("height","30px")};function U(e){var t=e.target.id;_.isUndefined(t)||_.isNull(t)||_.isEqual(t,"btnClosePayNumDuplicate")&&$("#payNumDuplicateModal").modal("hide")}function H(e){o.debug("showValidateDetails"),o.debug(e),_.isEqual(e.erpCheckTypeId,constant.ErpCheckType.CustomInvoice_DuplicatePayNum)&&l.getPayNumDuplicateDetails().success(function(e){_.isNull(e)||_.isUndefined(e)||(e.result?(c.gridOptionsPayNumDuplicate.data=e.data,$("#payNumDuplicateModal").modal("show")):p.warning(d.instant(e.resultMsg)))})}function W(){o.debug("deleteDuplicatePayNum");var n=[],a=[];c.gridApiPayNumDuplicate.selection.getSelectedRows().forEach(function(e,t){n.push(e.customsId),a.push(e.payNum)}),T.ID=PWC.newGuid(),T.CreateTime=new Date,T.UpdateTime=new Date,T.OperationContent=a.join(","),T.OperationName=d.instant("DeleteDuplicateData"),T.OperationType=i.vatLogOperationTypeEnum.DeleteDuplicate,l.deleteCustomInvoiceByIds(n).success(function(e){_.isNull(e)||_.isUndefined(e)||(e.result?(T.UpdateState=d.instant("DeleteSuccess"),h.addOperationLog(T),p.success(d.instant("DeleteSuccess")),$("#payNumDuplicateModal").modal("hide"),l.updateCustomsInvoiceValidation(w).success(function(e){_.isNull(e)||_.isUndefined(e)||e.result&&B()})):p.warning(d.instant(e.resultMsg)))}).error(function(){T.UpdateState=d.instant("DeleteFailed"),h.addOperationLog(T),p.error(d.instant("PleaseContactAdministrator"))})}o.debug("ImportCustomInvoiceCtrl.ctor()..."),c.startRowNum=2,c.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},c.sheetInfo={selectedSheetName:"",selectedSheetIndex:0},c.custInputList=[],c.changeSheet=E,c.changeMapping=P,c.pageStatusEnum=I,c.pageStatus=I.ToImport,c.importEnum=C,c.importCustomsInvoice=L,c.haveImported=!0,c.clearCustomInvocie=k,c.refreshCustomInvoice=V,c.closeModal=U,c.showValidateDetails=H,c.deleteDuplicatePayNum=W,c.$watch("fileNameWrapper",function(e,t){var n;null!=e&&e!==t&&(o.debug("custom-invoice: watch fileNameWrapper"),n=e,c.fileName=n.name,M(c.fileNameWrapper),c.selectedMappingList=[],x(),c.ImportErrorTab=!1,c.ImportErrorTag=!1,c.haveImported?c.pageStatus=I.Reimport:c.pageStatus=I.ToImport,o.debug(c.haveImported),o.debug(c.pageStatus),o.debug(c.showImportTable))}),c.showInitTable=!0,c.showImportTable=!1,B(),G=[],j=constant.vatPermission.dataImport.customInvoice,G.push(j.importCode),c.hasImportPermission=!1,c.$root.checkUserOrganizationPermissionList(G).success(function(e){c.hasImportPermission=e[j.importCode]}),e(function(){c.isLoadComplete=!0},500),c.gridOptionsErrorMsg={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:m.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:m.scrollbars.enableVerticalScrollbar,columnDefs:[{name:d.instant("Icon"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents" ng-dblClick="grid.appScope.showValidateDetails(row.entity)"><span><img data-ng-src="{{grid.appScope.errorLevelToString(row.entity.errorLevel)}}"><span></div>'},{name:d.instant("SequenceNo"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents" ng-dblClick="grid.appScope.showValidateDetails(row.entity)" ><span>{{row.entity.index}}<span></div>'},{name:d.instant("ErrorResult"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents" ng-dblClick="grid.appScope.showValidateDetails(row.entity)" ><span>{{row.entity.validationResult}}<span></div>'},{name:d.instant("ErrorCount"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents" ng-dblClick="grid.appScope.showValidateDetails(row.entity)" ><span>{{row.entity.number}}<span></div>'},{name:d.instant("ErrorDetail"),width:"35%",cellTemplate:'<div class="ui-grid-cell-contents" ng-dblClick="grid.appScope.showValidateDetails(row.entity)" ><span>{{row.entity.validationDetails}}<span></div>'},{name:d.instant("ValidationTips"),width:"25%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.validationTips}}" ng-dblClick="grid.appScope.showValidateDetails(row.entity)"><span>{{row.entity.validationTips}}<span></div>'}],onRegisterApi:function(e){c.errorGridApi=e,n(function(){c.errorGridApi.core.handleWindowResize()},500,28800)}},c.gridOptionsIncomeInvoiceTotal={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:m.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:m.scrollbars.enableVerticalScrollbar,columnDefs:[{name:d.instant("SequenceNo"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.seqNo}}<span></div>'},{name:d.instant("CustomsPayNum"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.payNum}}<span></div>'},{name:d.instant("CustomsIssueDate"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.issueDate | date:"yyyy-MM-dd" }}<span></div>'},{name:d.instant("InvoiceSE"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.invoiceTaxAmount | number:2}}<span></div>'},{name:d.instant("InvoiceJE"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.invoiceAmount | number:2}}</span></div>'},{name:d.instant("CustomsAuditResult"),width:"30%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.auditResult}}</span></div>'}],onRegisterApi:function(e){c.gridApiTotal=e,n(function(){c.gridApiTotal.core.handleWindowResize()},500,28800)}},c.gridOptionsPayNumDuplicate={enableColumnResizing:!0,enableRowSelection:!1,enableSelectAll:!0,rowHeight:constant.UIGrid.rowHeight,enableRowHeaderSelection:!0,modifierKeysToMultiSelect:!0,enableHorizontalScrollbar:m.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:m.scrollbars.enableVerticalScrollbar,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableFiltering:!1,showTreeExpandNoChildren:!1,enableFullRowSelection:!1,multiSelect:!0,columnDefs:[{name:d.instant("CustomsPayNum"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding" ><span>{{row.entity.payNum}}</span></div>'},{name:d.instant("CustomsIssueDate"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.issueDate | date:"yyyy-MM-dd" }}</span></div>'},{name:d.instant("InvoiceSE"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.invoiceTaxAmount}}</span></div>'},{name:d.instant("InvoiceJE"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.invoiceAmount}}</span></div>'},{name:d.instant("CustomsAuditResult"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.auditResult}}</span></div>'},{name:d.instant("InvoiceQJ"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.periodId}}</span></div>'}],onRegisterApi:function(e){c.gridApiPayNumDuplicate=e,n(function(){c.gridApiPayNumDuplicate.core.handleWindowResize()},500,28800)}}}]),vatModule.directive("vatImportCustomInvoice",function(){return{restrict:"E",templateUrl:"/app/vat/import/vat-import-custom-invoice/vat-import-custom-invoice.html",scope:{},replace:!0,controller:"ImportCustomInvoiceCtrl"}}),vatModule.controller("ImportDataCtrl",["$scope","$log","Upload","$timeout","$http","$cookies","$translate","$interval","enums","SweetAlert","dataImportService","vatImportService","modelConfigurationService","vatSessionService","uiGridConstants","projectService","vatCommonService","vatOperationLogService","vatWorkflowService",function(s,r,n,e,t,a,l,i,c,d,u,p,o,m,g,v,h,f,y){var I=a.getObject("AtmsApiToken"),C=I.api_host,w="",S="",D=m.project.id,b=m.month,T=(D=m.project.id,""),x=[],M=$('input[name="__RequestVerificationToken"]').val(),O="Microsoft.ACE.OLEDB.12.0 is not registered",E="csv",P="xls",N="xlsx",A=1,L=2,R=3,F=4,B=5,k=6,V=7,G=8,j=9,z=10,U=11,H=13,W=14,q=15,J=0,Q=1,K=2,Y=1,Z=2,X=3;s.period=b,s.filePath="",s.showUniversal=!1,s.startNumber=-1,s.excelDownloadPath=C+"/Resource/ImportData/万能模板.xls",s.csvDownLoadPath=C+"/Resource/ImportData/csv万能模板.zip",s.duplicateList=[],s.basicCheckList=[],s.correctCheckList=[];var ee=Y,te=m.project.name+" "+m.project.year+"年"+m.month+"月";s.moduleid=c.vatModuleEnum.Import_Erpdata;var ne={ID:"",OperationName:"",ModuleID:s.moduleid,OperationObject:l.instant("erpData"),OperationType:"",OperationContent:"",OriginalState:"",UpdateState:"",CreatorID:m.logUser.ID,Comment:te,IP:"",Period:s.period};function ae(t){var n="";s.f.forEach(function(e,t){n+=e.name}),ne.ID=PWC.newGuid(),ne.CreateTime=new Date,ne.UpdateTime=new Date,ne.OperationContent=n,0===t?(ne.OperationName=l.instant("ConvertErpData"),ne.OperationType=c.vatLogOperationTypeEnum.CoverImport):1===t&&(ne.OperationName=l.instant("AppendErpData"),ne.OperationType=c.vatLogOperationTypeEnum.AddImport),p.getImportType(D,b).success(function(e){e!==J&&e!==K||ie(t),e===Q&&swal({title:l.instant("ConfirmCleartTbTitle"),text:l.instant("ConfirmTbDataToDelete"),type:"warning",showCancelButton:!0,confirmButtonText:l.instant("Yes"),cancelButtonText:l.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&(r.debug("confirm to clear TB data"),p.deleteTbData(b).success(function(e){r.debug("deleteTbData(period): ",e),e?ie(t):swal({title:l.instant("FailureTitle"),text:l.instant("ClearTbError"),type:"error",confirmButtonText:l.instant("Confirm")})}))})})}function ie(e){r.debug("start to import data"),t({method:"POST",url:C+"/api/v1/financeImportData/importData/importFinancedata",params:{importMethod:S,importType:e,fileName:x,fileGuid:w,fileExtension:T,period:b},headers:{"Access-Control-Allow-Origin":"*",Authorization:I.token_type+" "+I.access_token,from:m.project.id},__RequestVerificationToken:M,withCredentials:!0}).then(function(e){var t,n,a=e.data;if(a.result)swal({title:l.instant("SuccessTitle"),text:l.instant("ImportErpDataSuccess"),type:"success",timer:1e3}),r.debug("import data successfully,start to update project import type"),ne.UpdateState=l.instant("ImportSuccess"),f.addOperationLog(ne),n={serviceTypeId:constant.serviceType.VAT,periods:[b],projectId:D,importTypeId:c.TbImportTypeEnum.ErpImported},p.updatePeriodStatus(n).success(function(e){r.debug("vatImportService.updatePeriodStatus complete")}),r.debug("start to clear all data validation array"),s.duplicateList=[],s.basicCheckList=[],s.correctCheckList=[],h.importSetProjectStatus(projectDbName,b,constant.DictionaryDictKey.WFImportErpData,c.FinishStatusEnum.Finished),h.setImportSubStatus(c.VatImportSubStatus.isErpImport,!0),r.debug("import erp importErpData: "+m.project.importSubStatus.isErpImport),t=b,u.manageData(t).success(function(e){le(!0)}),s.filePath=l.instant("ConfirmSelectErpImportFileTitle"),s.isImportTypeErp=!0;else if(s.filePath=l.instant("ConfirmSelectErpImportFileTitle"),a.resultMsg&&0<a.resultMsg.length){var i="",o="";a.data.forEach(function(e,t){i=i+"\r\n"+e.errorMsg}),o=0<(i=i.toLowerCase()).indexOf(O.toLowerCase())?l.instant("ACEOLEDBUnInstallError"):l.instant("ImportErpDataFail")+a.resultMsg,ne.UpdateState=l.instant("FailureTitle"),f.addOperationLog(ne),swal({title:l.instant("FailureTitle"),text:o,type:"error",confirmButtonText:l.instant("Confirm")})}},function(e){r.debug("erp import data error"),r.debug(e),d.error(l.instant("PleaseContactAdministrator"))})}function oe(e){var t=e.data;s.duplicateList=[];var a=[];a.push(l.instant("Num")),a.push(l.instant("TableName")),a.push(l.instant("DuplicateNum")),a.push(l.instant("ErpCheckTypeId")),s.duplicateList.push(a),t.forEach(function(e,t){var n=[];-1!==a.indexOf(l.instant("Num"))&&n.push(e.num),-1!==a.indexOf(l.instant("TableName"))&&n.push(e.tableName),-1!==a.indexOf(l.instant("DuplicateNum"))&&n.push(e.duplicateCount),-1!==a.indexOf(l.instant("ErpCheckTypeId"))&&n.push(e.erpCheckTypeId),s.duplicateList.push(n)}),e.resultMsg===constant.ValidationMessag.ReValidate&&y.addErpImportExceptionMessage(projectDbName,b,c.validationType.ErpDuplicate).success(function(e){e.result&&r.debug("send erp duplicate validation message successfully")})}function re(e){var t=e.data;s.basicCheckList=[];var a=[];a.push(l.instant("Num")),a.push(l.instant("ImagePic")),a.push(l.instant("DataCheckType")),a.push(l.instant("ErrorCount")),a.push(l.instant("Tips")),a.push(l.instant("ErpCheckTypeId")),s.basicCheckList.push(a),t.forEach(function(e,t){var n=[];-1!==a.indexOf(l.instant("Num"))&&n.push(e.num),-1!==a.indexOf(l.instant("ImagePic"))&&n.push(e.imagePic),-1!==a.indexOf(l.instant("DataCheckType"))&&n.push(e.dataCheckType),-1!==a.indexOf(l.instant("ErrorCount"))&&n.push(e.errorCount),-1!==a.indexOf(l.instant("Tips"))&&n.push(e.tips),-1!==a.indexOf(l.instant("ErpCheckTypeId"))&&n.push(e.erpCheckTypeId),s.basicCheckList.push(n)}),e.resultMsg===constant.ValidationMessag.ReValidate&&y.addErpImportExceptionMessage(projectDbName,b,c.validationType.ErpBasicCheck).success(function(e){e.result&&r.debug("send erp basic validation message successfully")})}function se(e){var t=e.data;s.correctCheckList=[];var a=[];a.push(l.instant("Num")),a.push(l.instant("ImagePic")),a.push(l.instant("DataCheckType")),a.push(l.instant("ErrorCount")),a.push(l.instant("Tips")),a.push(l.instant("ErpCheckTypeId")),s.correctCheckList.push(a),t.forEach(function(e,t){var n=[];-1!==a.indexOf(l.instant("Num"))&&n.push(e.num),-1!==a.indexOf(l.instant("ImagePic"))&&n.push(e.imagePic),-1!==a.indexOf(l.instant("DataCheckType"))&&n.push(e.dataCheckType),-1!==a.indexOf(l.instant("ErrorCount"))&&n.push(e.errorCount),-1!==a.indexOf(l.instant("Tips"))&&n.push(e.tips),-1!==a.indexOf(l.instant("ErpCheckTypeId"))&&n.push(e.erpCheckTypeId),s.correctCheckList.push(n)}),e.resultMsg===constant.ValidationMessag.ReValidate&&y.addErpImportExceptionMessage(projectDbName,b,c.validationType.ErpCorrect).success(function(e){e.result&&r.debug("send erp correctness validation message successfully")})}function le(t){u.getBasicValidationResults().success(function(e){re(e),u.getCorrectValidationResults(b).success(function(e){se(e),u.getDuplicateResults().success(function(e){oe(e),setTimeout(function(){$("#btnBasicChk").trigger("click")},1e3),s.setValidationErrorStyle(!0,!1),s.setValidationErrorStyle(!1,!0),t&&d.success(l.instant("ManageDataSuccess"))})})})}function ce(e){var a=[],i=[];return a.push(l.instant("AccountCode")),a.push(l.instant("JournalKHDM")),a.push(l.instant("vid")),a.push(l.instant("vGroup")),a.push(l.instant("period")),a.push(l.instant("itemID")),a.push(l.instant("JournalZY")),a.push(l.instant("JournalJFJE")),a.push(l.instant("JournalDFJE")),i.push(a),!_.isNull(e)&&(e.forEach(function(e,t){var n=[];-1!==a.indexOf(l.instant("AccountCode"))&&n.push(e.acctCode),-1!==a.indexOf(l.instant("JournalKHDM"))&&n.push(e.customerCode),-1!==a.indexOf(l.instant("vid"))&&n.push(e.vid),-1!==a.indexOf(l.instant("vGroup"))&&n.push(e.group),-1!==a.indexOf(l.instant("period"))&&n.push(e.period),-1!==a.indexOf(l.instant("itemID"))&&n.push(e.itemID),-1!==a.indexOf(l.instant("JournalZY"))&&n.push(e.summary),-1!==a.indexOf(l.instant("JournalJFJE"))&&n.push(e.debit),-1!==a.indexOf(l.instant("JournalDFJE"))&&n.push(e.credit),i.push(n)}),i)}function de(e){var a=[],i=[];return a.push(l.instant("AccountCode")),i.push(a),!_.isNull(e)&&(e.forEach(function(e,t){var n=[];-1!==a.indexOf(l.instant("AccountCode"))&&n.push(e.acctCode),i.push(n)}),i)}function ue(){r.debug("star to recheck and remanage data"),u.reManageData(b).success(function(e){e&&(r.debug("remanage data successfully"),le(!0))})}s.setValidationErrorStyle=function(e,t){var n=0,a=0,i={"background-image":"url(/app-resources/images/vat/error.png)","background-repeat":"no-repeat","background-position":"right 5px center"},o={"background-image":"none"};if(e){for(var r=1;r<s.correctCheckList.length&&!(0<(n=s.correctCheckList[r][3]));r++);return 0<n?i:o}if(t){for(r=1;r<s.duplicateList.length&&!(0<(a=s.duplicateList[r][2]));r++);return 0<a?i:o}},s.switch=function(e){1===e&&(s.filePath=l.instant("ConfirmSelectErpImportFileTitle"),S="oneClick",s.showUniversal=!1,s.startNumber=-1,$("#btnOneClick").removeClass("disableBtn"),$("#btnUniversal").addClass("disableBtn")),2===e&&(s.filePath=l.instant("ConfirmSelectErpImportFileTitle"),S="universal",s.showUniversal=!0,s.startNumber=0,$("#btnUniversal").removeClass("disableBtn"),$("#btnOneClick").addClass("disableBtn"))},s.uploadFiles=function(e,t){if(s.f=e,s.showError=!1,s.errFile=t&&t[0],e&&e.length){if(x=[],angular.forEach(s.f,function(e){x.push(e.name)}),s.filePath=x.toString(),!function(e){for(var t=!0,n=0;n<e.length;n++){var a=e[n],i=a.name,o=i.substr(i.lastIndexOf(".")+1,i.length-i.lastIndexOf(".")).toLowerCase();o!==E&&o!==P&&o!==N&&(swal({title:l.instant("WarningTitle"),text:l.instant("ErpUploadFileExtensionCheck"),type:"warning",confirmButtonText:l.instant("Confirm")}),t=!1),30<=i.length&&(d.warning(l.instant("FileNameTooLong")),t=!1)}return t}(s.f))return!1;n.upload({url:C+"/api/v1/financeImportData/importData/financeDataUpload",data:{importMethod:S,file:e},headers:{"Access-Control-Allow-Origin":"*",Authorization:I.token_type+" "+I.access_token,from:m.project.id},__RequestVerificationToken:M,withCredentials:!0}).then(function(e){var t=e.data;t.result?(w=t.data.guid,T=t.data.fileExtension):t.resultMsg&&0<t.resultMsg.length&&swal({title:l.instant("FailureTitle"),text:l.instant("UploadFileFail")+t.resultMsg,type:"error",confirmButtonText:l.instant("Confirm")})},function(e){console.log("import error: "+e.status),0<e.status&&(r.debug("erp load file error:"),r.debug(e.status+": "+e.data))},function(e){s.progress=Math.min(100,parseInt(100*e.loaded/e.total))})}},s.importData=function(t){if(s.filePath==l.instant("ConfirmSelectErpImportFileTitle"))return swal({title:l.instant("ConfirmSelectErpImportFileTitle"),text:l.instant("ConfirmSelectErpImportFile"),type:"warning",confirmButtonText:l.instant("Yes")}),!1;m.project.projectStatusList[b]>=constant.ProjectStatusEnum.Imported?swal({title:"warning!",text:l.instant("IsConfirmToReImport").formatObj({status:h.getProjectStautsEnumDesc(m.project.projectStatusList[b])}),type:"warning",showCancelButton:!0,confirmButtonText:l.instant("ConfirmYes"),cancelButtonText:l.instant("ConfirmNo"),closeOnConfirm:!1,closeOnCancel:!1},function(e){e?(swal.close(),ae(t)):swal.close()}):ae(t)},s.showOperateLogPop=function(){s.isShowLog=!0},s.openTab=function(e,t){var n,a,i;for(a=document.getElementsByClassName("tabContent"),n=0;n<a.length;n++)a[n].style.display="none";for(i=document.getElementsByClassName("tablinks"),n=0;n<i.length;n++)i[n].className=i[n].className.replace(" active",""),i[n].className=i[n].className.replace(" inactive",""),i[n].className=i[n].className.replace(" inactive-rightborder","");for(document.getElementById(t).style.display="block",e.currentTarget.className+=" active",n=0;n<i.length;n++)i[n].id!=e.currentTarget.id&&(i[n].className+=" inactive",-1===$("#btnCorrectChk").attr("class").indexOf(" active")&&(_.isEqual(i[n].id,"btnBasicChk")&&(i[n].className+=" inactive-rightborder"),_.isEqual(i[n].id,"btnCorrectChk")&&-1===$("#btnBasicChk").attr("class").indexOf("inactive-rightborder")&&(i[n].className+=" inactive-rightborder")));"btnDuplicateData"===e.currentTarget.id&&(ee=X,0===s.duplicateList.length&&u.getDuplicateResults().success(function(e){oe(e)})),"btnBasicChk"===e.currentTarget.id&&(ee=Y,0===s.basicCheckList.length&&u.getBasicValidationResults().success(function(e){e.result&&re(e)})),"btnCorrectChk"===e.currentTarget.id&&(ee=Z,0===s.correctCheckList.length&&u.getCorrectValidationResults(b).success(function(e){se(e)}))},s.checkDetailDbclick=function(e){var t=-1,n=-1;0<s.basicCheckList.length&&_.isEqual(ee,Y)&&(t=s.basicCheckList[e.currentTarget.rowIndex][5],n=s.basicCheckList[e.currentTarget.rowIndex][3]),0<s.correctCheckList.length&&_.isEqual(ee,Z)&&(t=s.correctCheckList[e.currentTarget.rowIndex][5],n=s.correctCheckList[e.currentTarget.rowIndex][3]),0<s.duplicateList.length&&_.isEqual(ee,X)&&(t=s.duplicateList[e.currentTarget.rowIndex][3],n=s.duplicateList[e.currentTarget.rowIndex][2]),0<n?(!function(e){s.checkDetails=[],e===A&&u.getAccountsNotInCompanyBalance().success(function(e){s.checkDetails=de(e)});e===L&&u.getAccountsNotInVoucherDetails().success(function(e){s.checkDetails=de(e)});e===R&&u.getSingleVoucherCheck().success(function(e){s.checkDetails=ce(e)});e===F&&u.getVoucherEmptyCheck(!0,!1,!1,!1,!1).success(function(e){s.checkDetails=ce(e)});e===B&&u.getVoucherEmptyCheck(!1,!1,!0,!1,!1).success(function(e){s.checkDetails=ce(e)});e===k&&u.getVoucherEmptyCheck(!1,!1,!1,!0,!1).success(function(e){s.checkDetails=ce(e)});e===V&&u.getVoucherEmptyCheck(!1,!1,!1,!1,!0).success(function(e){s.checkDetails=ce(e)});e===G&&u.getAccountBegBalances(b).success(function(e){s.checkDetails=de(e)});e===j&&u.getBegBalancesByPeriod(b).success(function(e){var t=[];t.push(l.instant("BegDebitBal")),t.push(l.instant("BegCreditBal")),s.checkDetails.push(t);var n=[];-1!==t.indexOf(l.instant("BegDebitBal"))&&e.forEach(function(e,t){"1"==e.direction&&n.push(e.begBal)}),-1!==t.indexOf(l.instant("BegCreditBal"))&&e.forEach(function(e,t){"-1"==e.direction&&n.push(e.begBal)}),s.checkDetails.push(n)});if(e===z){var n=!1;u.getCompCustBalanceDetail(b,b).success(function(t){u.isComBalanceEndBalNotZero(b).success(function(e){n=e,s.checkDetails=function(a,e){var i=[],o=[];i.push(l.instant("PeriodId")),i.push(l.instant("AccountCode")),i.push(l.instant("AccountName")),a?(i.push(l.instant("ComEndBal")),i.push(l.instant("CustEndBal")),i.push(l.instant("BalDiff"))):(i.push(l.instant("ComDebitBal")),i.push(l.instant("ComCreditBal")),i.push(l.instant("CustDebitBal")),i.push(l.instant("CustCreditBal")),i.push(l.instant("DebitBalDiff")),i.push(l.instant("CreditBalDiff")));if(o.push(i),_.isNull(e))return!1;return e.forEach(function(e,t){var n=[];-1!==i.indexOf(l.instant("PeriodId"))&&n.push(e.periodId),-1!==i.indexOf(l.instant("AccountCode"))&&n.push(e.accountCode),-1!==i.indexOf(l.instant("AccountName"))&&n.push(e.accountName),a?(-1!==i.indexOf(l.instant("ComEndBal"))&&n.push(e.comEndBal.toFixed(2)),-1!==i.indexOf(l.instant("CustEndBal"))&&n.push(e.custEndBal.toFixed(2)),-1!==i.indexOf(l.instant("BalDiff"))&&n.push(e.endDiff.toFixed(2))):(-1!==i.indexOf(l.instant("ComDebitBal"))&&n.push(e.comEndDebitBal.toFixed(2)),-1!==i.indexOf(l.instant("ComCreditBal"))&&n.push(e.comEndCreditBal.toFixed(2)),-1!==i.indexOf(l.instant("CustDebitBal"))&&n.push(e.custEndDebitBal.toFixed(2)),-1!==i.indexOf(l.instant("CustCreditBal"))&&n.push(e.custEndCreditBal.toFixed(2)),-1!==i.indexOf(l.instant("DebitBalDiff"))&&n.push(e.debitBalDiff.toFixed(2)),-1!==i.indexOf(l.instant("CreditBalDiff"))&&n.push(e.creditBalDiff.toFixed(2))),o.push(n)}),o}(n,t)})})}e===U&&u.compareCompCustPeriodAmount(b,b).success(function(e){s.checkDetails=function(e){var a=[],i=[];if(a.push(l.instant("PeriodId")),a.push(l.instant("AccountCode")),a.push(l.instant("AccountName")),a.push(l.instant("ComDebitBal")),a.push(l.instant("ComCreditBal")),a.push(l.instant("CustDebitBal")),a.push(l.instant("CustCreditBal")),a.push(l.instant("DebitBalDiff")),a.push(l.instant("CreditBalDiff")),i.push(a),_.isNull(e))return!1;return e.forEach(function(e,t){var n=[];-1!==a.indexOf(l.instant("PeriodId"))&&n.push(e.periodId),-1!==a.indexOf(l.instant("AccountCode"))&&n.push(e.accountCode),-1!==a.indexOf(l.instant("AccountName"))&&n.push(e.accountName),-1!==a.indexOf(l.instant("ComDebitBal"))&&n.push(e.comDebitBal.toFixed(2)),-1!==a.indexOf(l.instant("ComCreditBal"))&&n.push(e.comCreditBal.toFixed(2)),-1!==a.indexOf(l.instant("CustDebitBal"))&&n.push(e.custDebitBal.toFixed(2)),-1!==a.indexOf(l.instant("CustCreditBal"))&&n.push(e.custCreditBal.toFixed(2)),-1!==a.indexOf(l.instant("DebitBalDiff"))&&n.push(e.debitBalDiff.toFixed(2)),-1!==a.indexOf(l.instant("DebitBalDiff"))&&n.push(e.creditBalDiff.toFixed(2)),i.push(n)}),i}(e)});if(e===H){var n=!1;u.compareCustEndCompBeg(b,b).success(function(t){u.isComBalanceEndBalNotZero(b).success(function(e){n=e,s.checkDetails=function(a,e){var i=[],o=[];i.push(l.instant("PeriodId")),i.push(l.instant("AccountCode")),i.push(l.instant("AccountName")),a?(i.push(l.instant("LastPeriodEndBal")),i.push(l.instant("CurrentPeriodEndBal")),i.push(l.instant("BalDiff"))):(i.push(l.instant("LastPeriodEndDebitBal")),i.push(l.instant("LastPeriodEndCreditBal")),i.push(l.instant("CurrentPeriodBegDebitBal")),i.push(l.instant("CurrentPeriodBegCreditBal")),i.push(l.instant("DebitBalDiff")),i.push(l.instant("CreditBalDiff")));if(o.push(i),_.isNull(e))return!1;return e.forEach(function(e,t){var n=[];-1!==i.indexOf(l.instant("PeriodId"))&&n.push(e.periodId),-1!==i.indexOf(l.instant("AccountCode"))&&n.push(e.accountCode),-1!==i.indexOf(l.instant("AccountName"))&&n.push(e.accountName),a?(-1!==i.indexOf(l.instant("LastPeriodEndBal"))&&n.push(e.custEndBal),-1!==i.indexOf(l.instant("CurrentPeriodEndBal"))&&n.push(e.comBegBal),-1!==i.indexOf(l.instant("BalDiff"))&&n.push(e.begBalDiff)):(-1!==i.indexOf(l.instant("LastPeriodEndDebitBal"))&&n.push(e.custEndDebitBal),-1!==i.indexOf(l.instant("LastPeriodEndCreditBal"))&&n.push(e.custEndCreditBal),-1!==i.indexOf(l.instant("CurrentPeriodBegDebitBal"))&&n.push(e.comBegDebitBal),-1!==i.indexOf(l.instant("CurrentPeriodBegCreditBal"))&&n.push(e.comBegCreditBal),-1!==i.indexOf(l.instant("DebitBalDiff"))&&n.push(e.begDebitDiff),-1!==i.indexOf(l.instant("CreditBalDiff"))&&n.push(e.begCreditDiff)),o.push(n)}),o}(n,t)})})}e===W&&u.getDuplicateVouchers().success(function(e){r.debug("set duplicated voucher details data"),s.gridUiDuplicateVouchers.data=e,r.debug(s.gridUiDuplicateVouchers.data)});e===q&&u.getCustBalanceDuplicateItems().success(function(e){r.debug("set duplicated custbalance details data"),s.gridUiDuplicateTbes.data=e,r.debug(s.gridUiDuplicateTbes.data)})}(t),t===W?$("#duplicatedVouchers").modal("show"):t===q?$("#duplicatedTbes").modal("show"):$("#detailListModal").modal("show")):swal({title:l.instant("WarningTitle"),text:l.instant("ErpDetailWarning"),type:"warning",confirmButtonText:l.instant("Confirm")})},s.deleteDuplicateVouchers=function(){var e=s.gridApi.selection.getSelectedGridRows();if(r.debug("get selected duplicated voucher details"),r.debug(e),0<e.length){var n=[],a=[];e.forEach(function(e,t){_.isNull(e.entity.voucherID)||(n.push(e.entity.voucherID),a.push(e.entity.acctCode))}),ne.ID=PWC.newGuid(),ne.CreateTime=new Date,ne.UpdateTime=new Date,ne.OperationContent=a.join(","),ne.OperationName=l.instant("DeleteVoucherDuplicate"),ne.OperationType=c.vatLogOperationTypeEnum.DeleteDuplicate,r.debug("voucherIds ready to be deleted: "+n),u.deleteVoucherDuplicateItems(n).success(function(e){r.debug("delete duplicated vouchers results: "+e),$("#duplicatedVouchers").modal("hide"),e&&(swal({title:l.instant("SuccessTitle"),text:l.instant("DeleteSuccess"),type:"success",timer:1e3}),ne.UpdateState=l.instant("DeleteSuccess"),f.addOperationLog(ne),ue())})}else ne.UpdateState=l.instant("DeleteFailed"),f.addOperationLog(ne),swal({title:l.instant("WarningTitle"),text:l.instant("DeleteEmptyWarning"),type:"warning",confirmButtonText:l.instant("Confirm")})},s.deleteDuplicateTbes=function(){var e=s.gridApiTb.selection.getSelectedGridRows();if(r.debug("get selected duplicated custbalance details"),r.debug(e),0<e.length){var n=[],a=[];e.forEach(function(e,t){_.isNull(e.entity.balanceId)||(n.push(e.entity.balanceId),a.push(e.entity.acctCode))}),ne.ID=PWC.newGuid(),ne.CreateTime=new Date,ne.UpdateTime=new Date,ne.OperationContent=a.join(","),ne.OperationName=l.instant("DeleteCustBalanceDuplicate"),ne.OperationType=c.vatLogOperationTypeEnum.DeleteDuplicate,r.debug("balanceIds ready to be deleted: "+n),u.deleteCustBalanceItems(n).success(function(e){r.debug("delete duplicated custbalance results: "+e),$("#duplicatedTbes").modal("hide"),e&&(swal({title:l.instant("SuccessTitle"),text:l.instant("DeleteSuccess"),type:"success",timer:1e3}),ne.UpdateState=l.instant("DeleteSuccess"),f.addOperationLog(ne),ue())})}else ne.UpdateState=l.instant("DeleteFailed"),f.addOperationLog(ne),swal({title:l.instant("WarningTitle"),text:l.instant("DeleteEmptyWarning"),type:"warning",confirmButtonText:l.instant("Confirm")})},s.checkUserOrganizationPermissionList=function(){var e=[],t=constant.vatPermission.dataImport.erpImport;e.push(t.importCode),s.hasImportPermission=!1,s.$root.checkUserOrganizationPermissionList(e).success(function(e){s.hasImportPermission=e[t.importCode]})},s.setButtonSetByPermission=function(){return s.hasImportPermission?{cursor:"default"}:{cursor:"not-allowed"}},s.switch(2),s.checkUserOrganizationPermissionList(),p.getImportType(m.project.id,b).success(function(e){s.isImportTypeErp=c.projectImportType.ErpImported===e}),le(!1),s.gridUiDuplicateVouchers={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:g.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:g.scrollbars.enableVerticalScrollbar,enableRowSelection:!0,enableSelectAll:!0,multiSelect:!0,enableColumnResizing:!0,columnDefs:[{name:l.instant("period"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.period}}<span></div>'},{name:l.instant("vGroup"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.group}}<span></div>'},{name:l.instant("vid"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.vid}}<span></div>'},{name:l.instant("itemID"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.itemID}}</span></div>'},{name:l.instant("AccountCode"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.acctCode}}<span></div>'},{name:l.instant("JournalZY"),width:"30%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.summary}}<span></div>'},{name:l.instant("DebitBal"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.debit}}<span></div>'},{name:l.instant("CreditBal"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.credit}}<span></div>'}],onRegisterApi:function(e){s.gridApi=e,i(function(){s.gridApi.core.handleWindowResize()},500,28800),e.selection.on.rowSelectionChanged(s,function(e){var t="row selected "+e.isSelected;r.debug(t)}),e.selection.on.rowSelectionChangedBatch(s,function(e){var t="rows changed "+e.length;r.debug(t)})}},s.gridUiDuplicateVouchers.data=[],s.gridUiDuplicateTbes={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:g.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:g.scrollbars.enableVerticalScrollbar,enableRowSelection:!0,enableSelectAll:!0,multiSelect:!0,columnDefs:[{name:l.instant("period"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.periodId}}<span></div>'},{name:l.instant("AccountCode"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.acctCode}}<span></div>'},{name:l.instant("JournalKHDM"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.customerCode}}<span></div>'},{name:l.instant("BegDebitBal"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.begDebitBal}}<span></div>'},{name:l.instant("BegCreditBal"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.begCreditBal}}<span></div>'},{name:l.instant("BegBal"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.begBal}}<span></div>'}],onRegisterApi:function(e){s.gridApiTb=e,i(function(){s.gridApiTb.core.handleWindowResize()},500,28800),e.selection.on.rowSelectionChanged(s,function(e){}),e.selection.on.rowSelectionChangedBatch(s,function(e){})}},s.gridUiDuplicateTbes.data=[]}]),vatModule.directive("vatImportErp",function(){return{restrict:"E",templateUrl:"/app/vat/import/vat-import-erpdata/vat-import-erpdata.html",scope:{},replace:!0,controller:"ImportDataCtrl"}}),vatModule.controller("VatImportIncomeInvoiceController",["$scope","$log","loginContext","$translate","apiInterceptor","Upload","SweetAlert","vatImportService","$timeout","$q","uiGridConstants","$interval","vatSessionService","enums","vatOperationLogService","projectService","vatCommonService",function(r,o,e,s,a,i,l,c,t,d,n,u,p,m,g,v,h){"use strict";var f=a.vatWebApiHostUrl+"/FileUpload/NewFile",y=0;r.chunkSize=1e5;r.columnNum=0,r.detailColumnNum=0;var I=p.month;p.project.year,p.project.id;r.showImportTable=!1,r.showInitTable=!1,r.showInputInvoiceErrorTable=!1,r.showImprotItemTable=!1,r.showInitItemTable=!1,r.showInputInvoiceItemErrorTable=!1,r.importEnum={Import:0,CoverImport:1,AddImport:2};var C=p.project.name+" "+p.project.year+"年"+p.month+"月";r.period=p.month,r.moduleid=m.vatModuleEnum.Import_InputInvoice;var w={ID:"",OperationName:"",ModuleID:r.moduleid,OperationType:"",OperationContent:"",OriginalState:"",UpdateState:"",CreatorID:p.logUser.ID,Comment:C,IP:"",Period:r.period},S={ColumnsMapErrorType:s.instant("ColumnsMapErrorType"),InvoiceInfoEmptyCheckErrorType:s.instant("InvoiceInfoEmptyCheckErrorType"),InvoiceTypeEmptyCheckErrorType:s.instant("InvoiceTypeEmptyCheckErrorType"),CertificationDateEmptyCheckErrorType:s.instant("CertificationDateEmptyCheckErrorType"),InvoiceDateEmptyCheckErrorType:s.instant("InvoiceDateEmptyCheckErrorType"),AmountNumberCheckErrorType:s.instant("AmountNumberCheckErrorType"),TaxAmountNumberCheckErrorType:s.instant("TaxAmountNumberCheckErrorType"),TaxRateNumberCheckErrorType:s.instant("TaxRateNumberCheckErrorType"),InvoiceDateErrorType:s.instant("InvoiceDateErrorType"),CertificationDateFormatCheckErrorType:s.instant("CertificationDateFormatCheckErrorType"),CertificationDateRangeCheckErrorType:s.instant("CertificationDateRangeCheckErrorType"),OnlyInvoiceItemCheckErrorType:s.instant("OnlyInvoiceItemCheckErrorType"),StartRowError:s.instant("StartRowError"),NumOutRangeErrorType:s.instant("NumOutRangeErrorType"),OutputStringLengthType:s.instant("OutputStringLengthType"),InvoiceTypeErrorType:s.instant("InvoiceTypeErrorType"),InvoiceItemInfoEmptyCheckErrorType:s.instant("InvoiceItemInfoEmptyCheckErrorType")};s.instant("VATInvoice"),s.instant("FreightTransport"),s.instant("MotorVehicle"),s.instant("AgriculturalProduct"),s.instant("VATInvoice"),s.instant("FreightTransport"),s.instant("MotorVehicle"),s.instant("AgriculturalProduct");r.pagingOptions={pageIndex:1,totalItems:0,totalPages:10,maxSize:5,pageSize:constant.page.pageSizeArrary[3],pageSizeString:constant.page.pageSizeArrary[3].toString(),firstPage:s.instant("PagingFirstPage"),previousPage:s.instant("PagingPreviousPage"),nextPage:s.instant("PagingNextPage"),lastPage:s.instant("PagingLastPage")},r.totalData={totalNumber:0,amount:0,taxAmount:0};var D=function(){r.incomeInvoiceTotalColumns=[s.instant("PleaseSelectColumn"),s.instant("InvoiceFPDM"),s.instant("InvoiceFPHM"),s.instant("InvoiceKPRQ"),s.instant("InvoiceGHFSH"),s.instant("InvoiceJE"),s.instant("InvoiceSE"),s.instant("InvoiceRZRQ"),s.instant("InvoiceRZJG"),s.instant("InvoiceFPLX")],r.initIncomeInvoiceTotalColumnsIndex=_.range(1,r.incomeInvoiceTotalColumns.length),r.mustMappingTotalColumns=[s.instant("InvoiceFPDM"),s.instant("InvoiceFPHM"),s.instant("InvoiceKPRQ"),s.instant("InvoiceGHFSH"),s.instant("InvoiceJE"),s.instant("InvoiceSE"),s.instant("InvoiceRZRQ"),s.instant("InvoiceRZJG"),s.instant("InvoiceFPLX")]},b=function(){c.getInputInvoiceList(I).success(function(e){if(e){r.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0};var t=1,n=0,a=0;e.forEach(function(e){e.index=t++,_.isNaN(parseFloat(e.amount)&&!_.isNaN(parseFloat(e.taxAmount)))||(n+=e.amount,a+=e.taxAmount),e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),oe(e.length),r.totalData.totalNumber=e.length,r.totalData.amount=PWC.round(n,2),r.totalData.taxAmount=PWC.round(a,2);var i=(r.pagingOptions.pageIndex-1)*r.pagingOptions.pageSize,o=_.chain(e).rest(i).first(r.pagingOptions.pageSize).value();r.initIncomeInvoiceList=o,r.gridOptionsIncomeInvoiceTotal.data=o,0<=(r.queryIncomeInvoiceResult=o).length&&(0<o.length&&(r.isShowImportTotalBtn=!1),r.showInitTable=!0,r.showImportTable=!1),R().then(function(){0<r.gridOptionsInputInvoiceErrorMsg.data.length?(F(),r.toggleInputInvoiceErrorTab(),r.showInputInvoiceErrorTable=!0):(r.InputInvoiceImportErrorTab=!1,r.InputInvoiceImportErrorTag=!1,r.showInputInvoiceErrorTable=!1)})}})},T=function(e,t,n){if(n){var a=r.selectedColumnMap[e];if(a===r.incomeInvoiceTotalColumns[t])return;(r.selectedColumnMap[e]=n)!==s.instant("PleaseSelectColumn")?(r.incomeInvoiceTotalColumns.splice(t,1),a&&a!==s.instant("PleaseSelectColumn")&&r.incomeInvoiceTotalColumns.push(a)):a&&r.incomeInvoiceTotalColumns.push(a)}o.debug(r.selectedColumnMap)},x=$('input[name="__RequestVerificationToken"]').val(),M=function(e){1===++y&&(r.tempFileName=e.data,O(0))},O=function(t){var e=_.findIndex(r.sheetData.sheetNameList,function(e){return e.name===t.name});r.sheetInfo.selectedSheetIndex=-1===e?0:e,E()},E=function(){r.showImportTable=!0,r.showInitTable=!1,r.showInputInvoiceErrorTable=!1,_.isString(r.tempFileName)&&(r.selectedColumnMap=[],r.columnNum=0,r.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},c.getFileContent(r.tempFileName,r.sheetInfo.selectedSheetIndex,r.sheetInfo.topRowNumber).success(function(e){r.sheetData=e;var t=1;e.dataList.forEach(function(e){e.index=t++});var n=[];e.sheetNameList.forEach(function(e){n.push({name:e})}),r.sheetData.sheetNameList=n,r.columnNum=e.dataList[0]?e.dataList[0].length:r.columnNum,r.firstDataRow=e.dataList[0],r.startRowList=_.range(e.lastRowIndex),r.sheetInfo.selectedSheetName=r.sheetData.sheetNameList[r.sheetInfo.selectedSheetIndex],D(),p.dataChanged=!0,e&&!1===e.result&&l.warning(e.resultMsg)}))};function P(e){if(r.fileName){e=e;var t=1;if($("#StartRowNum").val()&&(t=$("#StartRowNum").val()),r.errorMsgMap=[],function(){var e=!0,t="";if(0<=r.selectedColumnMap.length){var n=0;r.mustMappingTotalColumns.forEach(function(e){e!==s.instant("PleaseSelectColumn")&&$.inArray(e,r.selectedColumnMap)<0&&(t+=e+",",n++)}),n&&(e=!1,r.errorMsgMap.push({errorType:S.ColumnsMapErrorType,errorCount:n,errorContent:s.instant("ColumnsMapErrorMsg").formatObj({columns:t.substring(0,t.length-1)})}))}var a=$("#StartRowNum").val();return""===a?(e=!1,r.errorMsgMap.push({errorType:S.StartRowError,errorCount:1,errorContent:s.instant("StartRowNull")})):parseInt(a)>r.sheetData.dataList.length&&(e=!1,r.errorMsgMap.push({errorType:S.StartRowError,errorCount:1,errorContent:s.instant("StartRowNumberCheckMsg")})),e}()){for(var n=[],a=t-1;a<r.sheetData.dataList.length;a++){var i={Index:r.sheetData.dataList[a].index,PeriodID:I,InvoiceCode:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceFPDM"),r.selectedColumnMap)],InvoiceNumber:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceFPHM"),r.selectedColumnMap)],InvoiceDate:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceKPRQ"),r.selectedColumnMap)],SellerTaxNumber:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceGHFSH"),r.selectedColumnMap)],Amount:PWC.isNullOrEmpty(r.sheetData.dataList[a][$.inArray(s.instant("InvoiceJE"),r.selectedColumnMap)])?0:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceJE"),r.selectedColumnMap)],TaxAmount:PWC.isNullOrEmpty(r.sheetData.dataList[a][$.inArray(s.instant("InvoiceSE"),r.selectedColumnMap)])?0:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceSE"),r.selectedColumnMap)],CertificationDate:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceRZRQ"),r.selectedColumnMap)],CertificationResult:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceRZJG"),r.selectedColumnMap)],InvoiceType:r.sheetData.dataList[a][$.inArray(s.instant("InvoiceFPLX"),r.selectedColumnMap)]};n.push(i)}0<r.errorMsgMap.length?$("#errorListModal").modal("show"):(w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent=r.fileName,w.OperationObject=s.instant("IncomeInvoiceTotal"),e===r.importEnum.Import?(w.OperationName=s.instant("ImportInputInvoice"),w.OperationType=m.vatLogOperationTypeEnum.Import):e===r.importEnum.CoverImport?(w.OperationName=s.instant("CoverImportInputInvoice"),w.OperationType=m.vatLogOperationTypeEnum.CoverImport):e===r.importEnum.AddImport&&(w.OperationName=s.instant("AddImportInputInvoice"),w.OperationType=m.vatLogOperationTypeEnum.AddImport),c.importInputInvoiceData(n,e).success(function(e){e&&e.result&&(w.UpdateState=s.instant("ImportSuccess"),g.addOperationLog(w),h.importSetProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportIncomeInvoice,m.FinishStatusEnum.Finished),h.setImportSubStatus(m.VatImportSubStatus.isInputInvoiceImport,!0),o.debug("import inputInvoice importInputInvoiceData: "+p.project.importSubStatus.isInputInvoiceImport),l.success(s.instant("ImportSuccess")),b(),r.fileName="",p.dataChanged=!r.showInitItemTable)}).error(function(){w.UpdateState=s.instant("ImportFail"),g.addOperationLog(w)}))}else $("#errorListModal").modal("show")}else l.warning(s.instant("PleaseSelectFileFirst"))}var N=function(t){p.project.projectStatusList[I]>=constant.ProjectStatusEnum.Generated?swal({title:"warning!",text:s.instant("IsConfirmToReImport").formatObj({status:h.getProjectStautsEnumDesc(p.project.projectStatusList[I])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:s.instant("Yes"),cancelButtonText:s.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?P(t):swal.close()}):P(t)};r.getGridTotalHeight=function(){return r.isLoadInputInvoiceComplete?{height:$("#input-invoice-grid-wrapper").height()+"px"}:{height:"0px"}};var A=function(){w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent="",w.OperationName=s.instant("RefreshInputInvoiceValidationData"),w.OperationType=m.vatLogOperationTypeEnum.Refresh,w.OperationObject=s.instant("IncomeInvoiceTotal"),c.validateInputInvoiceInfo(I).success(function(){w.UpdateState=s.instant("RefreshSuccess"),g.addOperationLog(w),$("#inputInvoiceDuplicateItemModal").modal("hide"),l.success(s.instant("RefreshSuccess")),b()}).error(function(){w.UpdateState=s.instant("RefreshTbFail"),g.addOperationLog(w),l.error(s.instant("PleaseContactAdministrator"))}),p.dataChanged=!r.showInitItemTable},L=function(){swal({title:"warning!",text:s.instant("InputInvoiceClearTips"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:s.instant("Yes"),cancelButtonText:s.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&(w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent="",w.OperationName=s.instant("ClearInputInvoice"),w.OperationType=m.vatLogOperationTypeEnum.ClearData,w.OperationObject=s.instant("IncomeInvoiceTotal"),c.clearInputInvoiceData(I).success(function(e){e&&e.result?(w.UpdateState=s.instant("ClearSuccess"),g.addOperationLog(w),h.clearProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportIncomeInvoice,m.FinishStatusEnum.NotFinished),h.setImportSubStatus(m.VatImportSubStatus.isInputInvoiceImport,!1),o.debug("clear inputInvoice clearInputInvoiceData: "+p.project.importSubStatus.isInputInvoiceImport),l.success(s.instant("ClearSuccess")),b(),V(),r.isShowImportTotalBtn=!0,r.isShowImportItemBtn=!0):(w.UpdateState=s.instant("ClearFailed"),g.addOperationLog(w),l.warning(s.instant("ClearFailed")))}).error(function(){w.UpdateState=s.instant("ClearFailed"),g.addOperationLog(w),l.error(s.instant("PleaseContactAdministrator"))}))})},R=function(){var n=d.defer();return c.getValidationDtoInfo(m.validationType.InputVoice,I).success(function(e){if(0<e.length){var t=1;e.forEach(function(e){e.index=t++}),r.gridOptionsInputInvoiceErrorMsg.data=e}else r.gridOptionsInputInvoiceErrorMsg.data=[];n.resolve()}),n.promise},F=function(){r.InputInvoiceImportErrorTab=!0,r.InputInvoiceImportErrorTag=!0,r.inputInvoiceErrorMsg=s.instant("ImportErrorMsg").formatObj({NumberOfError:r.gridOptionsInputInvoiceErrorMsg.data.length})};r.toggleInputInvoiceErrorTab=function(){r.InputInvoiceImportErrorTag=!r.InputInvoiceImportErrorTag,r.InputInvoiceImportErrorTag?parseInt($("#input-invoice-content-resizer").css("bottom"))<100&&($("#input-invoice-content-resizer").css("bottom","130px"),$("#input-invoice-error-info-wrapper").css("height","130px")):B()};var B=function(){$("#input-invoice-content-resizer").css("bottom","20px"),$("#input-invoice-error-info-wrapper").css("height","0px")};r.getInputInvoiceErrorGridHeight=function(){if(r.isLoadInputInvoiceComplete){var e=$("#input-invoice-error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}};var k=function(){r.incomeInvoiceDetailColumns=[s.instant("PleaseSelectColumn"),s.instant("InvoiceFPDM"),s.instant("InvoiceFPHM"),s.instant("InvoiceJE"),s.instant("InvoiceSE"),s.instant("InvoiceSL"),s.instant("InvoiceHWMC")],r.initIncomeInvoiceDetailColumnsIndex=_.range(1,r.incomeInvoiceDetailColumns.length),r.mustMappingItemColumns=[s.instant("InvoiceFPDM"),s.instant("InvoiceFPHM"),s.instant("InvoiceJE"),s.instant("InvoiceSE"),s.instant("InvoiceSL"),s.instant("InvoiceHWMC")]},V=function(){c.getInputInvoiceItemList(I).success(function(e){if(e){r.sheetDataItem={sheetNameList:[],dataList:[],selectedSheetIndex:0};var t=1;e.forEach(function(e){e.index=t++,e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),r.initIncomeInvoiceDetailList=e,r.gridOptionsIncomeInvoiceItem.data=e,0<=(r.queryIncomeInvoiceItemResult=e).length&&(0<e.length&&(r.isShowImportItemBtn=!1),r.showInitItemTable=!0,r.showImportItemTable=!1),J().then(function(){0<r.gridOptionsInputInvoiceItemErrorMsg.data.length?(Q(),r.toggleInputInvoiceItemErrorTab(),r.showInputInvoiceItemErrorTable=!0):(r.InputInvoiceItemImportErrorTab=!1,r.InputInvoiceItemImportErrorTag=!1,r.showInputInvoiceItemErrorTable=!1)})}})},G=function(e,t,n){if(n){var a=r.selectedColumnMapItem[e];if(a===r.incomeInvoiceDetailColumns[t])return;(r.selectedColumnMapItem[e]=n)!==s.instant("PleaseSelectColumn")?(r.incomeInvoiceDetailColumns.splice(t,1),a&&a!==s.instant("PleaseSelectColumn")&&r.incomeInvoiceDetailColumns.push(a)):a&&r.incomeInvoiceDetailColumns.push(a)}o.debug(r.selectedColumnMapItem)},j=function(e){1===++y&&(r.tempDetailFileName=e.data,z(0))},z=function(t){var e=_.findIndex(r.sheetDataItem.sheetNameList,function(e){return e.name===t.name});r.sheetInfoDetail.selectedSheetIndex=-1===e?0:e,U()},U=function(){r.showImportItemTable=!0,r.showInitItemTable=!1,r.showInputInvoiceItemErrorTable=!1,_.isString(r.tempDetailFileName)&&(r.selectedColumnMapItem=[],r.detailColumnNum=0,r.sheetDataItem={sheetNameList:[],dataList:[],selectedSheetIndex:0},c.getFileContent(r.tempDetailFileName,r.sheetInfoDetail.selectedSheetIndex,r.sheetInfoDetail.topRowNumber).success(function(e){r.sheetDataItem=e;var t=1;e.dataList.forEach(function(e){e.index=t++});var n=[];e.sheetNameList.forEach(function(e){n.push({name:e})}),r.sheetDataItem.sheetNameList=n,r.detailColumnNum=e.dataList[0]?e.dataList[0].length:r.detailColumnNum,r.firstDetailDataRow=e.dataList[0],r.startRowListDetail=_.range(e.lastRowIndex),r.sheetInfoDetail.selectedSheetName=r.sheetDataItem.sheetNameList[r.sheetInfoDetail.selectedSheetIndex],k(),p.dataChanged=!0,e&&!1===e.result&&l.warning(e.resultMsg)}))},H=function(t){if(r.detailFileName){t=t;var e=1;$("#ItemStartRowNum").val()&&(e=$("#ItemStartRowNum").val()),r.itemErrorMsgMap=[];for(var n=[],a=e-1;a<r.sheetDataItem.dataList.length;a++){var i={Index:r.sheetDataItem.dataList[a].index,PeriodID:I,InvoiceCode:r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceFPDM"),r.selectedColumnMapItem)],InvoiceNumber:r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceFPHM"),r.selectedColumnMapItem)],Amount:PWC.isNullOrEmpty(r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceJE"),r.selectedColumnMapItem)])?0:r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceJE"),r.selectedColumnMapItem)],TaxAmount:PWC.isNullOrEmpty(r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceSE"),r.selectedColumnMapItem)])?0:r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceSE"),r.selectedColumnMapItem)],TaxRate:PWC.isNullOrEmpty(r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceSL"),r.selectedColumnMapItem)])?0:r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceSL"),r.selectedColumnMapItem)],ProductionName:r.sheetDataItem.dataList[a][$.inArray(s.instant("InvoiceHWMC"),r.selectedColumnMapItem)]};n.push(i)}0<r.itemErrorMsgMap.length?$("#errorItemListModal").modal("show"):(w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent=r.detailFileName,w.OperationObject=s.instant("IncomeInvoiceDetail"),t===r.importEnum.Import?(w.OperationName=s.instant("ImportInputInvoiceItem"),w.OperationType=m.vatLogOperationTypeEnum.Import):t===r.importEnum.CoverImport?(w.OperationName=s.instant("CoverImportInputInvoiceItem"),w.OperationType=m.vatLogOperationTypeEnum.CoverImport):t===r.importEnum.AddImport&&(w.OperationName=s.instant("AddImportInputInvoiceItem"),w.OperationType=m.vatLogOperationTypeEnum.AddImport),t===m.vatImportBtnType.CoverImport?swal({title:"warning!",text:s.instant("InputInvoiceCoverImportTips"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:s.instant("Yes"),cancelButtonText:s.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&c.importInputInvoiceItemData(n,t).success(function(e){e&&e.result&&(w.UpdateState=s.instant("ImportSuccess"),g.addOperationLog(w),l.success(s.instant("ImportSuccess")),V(),r.detailFileName="",p.dataChanged=!r.showInitTable)}).error(function(){w.UpdateState=s.instant("ImportFail"),g.addOperationLog(w)})}):c.importInputInvoiceItemData(n,t).success(function(e){e&&e.result&&(w.UpdateState=s.instant("ImportSuccess"),g.addOperationLog(w),l.success(s.instant("ImportSuccess")),V(),r.detailFileName="",p.dataChanged=!r.showInitTable)}).error(function(){w.UpdateState=s.instant("ImportFail"),g.addOperationLog(w)}))}else l.warning(s.instant("PleaseSelectFileFirst"))};r.getGridItemHeight=function(){return r.isLoadInputInvoiceItemComplete?{height:$("#input-invoice-item-grid-wrapper").height()+"px"}:{height:"0px"}};var W=function(){w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent="",w.OperationName=s.instant("RefreshInputInvoiceItemValidationData"),w.OperationType=m.vatLogOperationTypeEnum.Refresh,w.OperationObject=s.instant("IncomeInvoiceDetail"),c.validateInputInvoiceItemInfo(I).success(function(){w.UpdateState=s.instant("RefreshSuccess"),g.addOperationLog(w),l.success(s.instant("RefreshSuccess")),V()}).error(function(){w.UpdateState=s.instant("RefreshTbFail"),g.addOperationLog(w),l.error(s.instant("PleaseContactAdministrator"))}),p.dataChanged=!r.showInitTable},q=function(){swal({title:"warning!",text:s.instant("InputInvoiceItemClearTips"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:s.instant("Yes"),cancelButtonText:s.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&(w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent="",w.OperationName=s.instant("ClearInputInvoiceItem"),w.OperationType=m.vatLogOperationTypeEnum.ClearData,w.OperationObject=s.instant("IncomeInvoiceDetail"),c.clearInputInvoiceItemData(I).success(function(e){e&&e.result?(w.UpdateState=s.instant("ClearSuccess"),g.addOperationLog(w),l.success(s.instant("ClearSuccess")),V(),r.isShowImportItemBtn=!0):(w.UpdateState=s.instant("ClearFailed"),g.addOperationLog(w),l.warning(s.instant("ClearFailed")))}).error(function(){w.UpdateState=s.instant("ClearFailed"),g.addOperationLog(w),l.error(s.instant("PleaseContactAdministrator"))}))})},J=function(){var n=d.defer();return c.getValidationDtoInfo(m.validationType.InputInvoiceItem,I).success(function(e){if(0<e.length){var t=1;e.forEach(function(e){e.index=t++}),r.gridOptionsInputInvoiceItemErrorMsg.data=e}else r.gridOptionsInputInvoiceItemErrorMsg.data=[];n.resolve()}),n.promise},Q=function(){r.InputInvoiceItemImportErrorTab=!0,r.InputInvoiceItemImportErrorTag=!0,r.inputInvoiceItemErrorMsg=s.instant("ImportErrorMsg").formatObj({NumberOfError:r.gridOptionsInputInvoiceItemErrorMsg.data.length})};r.toggleInputInvoiceItemErrorTab=function(){r.InputInvoiceItemImportErrorTag=!r.InputInvoiceItemImportErrorTag,r.InputInvoiceItemImportErrorTag?parseInt($("#input-invoice-item-content-resizer").css("bottom"))<100&&($("#input-invoice-item-content-resizer").css("bottom","130px"),$("#input-invoice-item-error-info-wrapper").css("height","130px")):K()};var K=function(){$("#input-invoice-item-content-resizer").css("bottom","20px"),$("#input-invoice-item-error-info-wrapper").css("height","0px")};r.getInputInvoiceItemErrorGridHeight=function(){if(r.isLoadInputInvoiceItemComplete){var e=$("#input-invoice-item-error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}};var Y,Z,X=function(e){return 0===e?"/app-resources/images/vat/error.png":1===e?"/app-resources/images/vat/warning.png":"/app-resources/images/vat/tips.png"},ee=function(e,t){var n=JSON.parse(t);r.devgridDataSource=n;var a=[{caption:s.instant("InvoiceFPDM"),dataField:"InvoiceCode",width:200},{caption:s.instant("InvoiceFPHM"),dataField:"InvoiceNumber",width:200},{caption:s.instant("InvoiceKPRQ"),dataField:"InvoiceDate",dataType:"date",width:120},{caption:s.instant("InvoiceGHFSH"),dataField:"SellerTaxNumber",width:100},{caption:s.instant("InvoiceJE"),dataField:"Amount",format:{type:"fixedPoint",precision:2},width:100},{caption:s.instant("InvoiceSE"),dataField:"TaxAmount",format:{type:"fixedPoint",precision:2},width:100},{caption:s.instant("InvoiceRZRQ"),dataField:"CertificationDate",dataType:"date",width:120},{caption:s.instant("InvoiceRZJG"),dataField:"CertificationResult",width:100},{caption:s.instant("InvoiceFPLX"),dataField:"InvoiceTypeName",cellTemplate:"translateCellTemplate",width:100}];r.deferStatus=!0,r.filterCondition=["IsDuplicate","=",!0],r.gridInputInvoiceDuplicateItemGridOptions={columns:a,bindingOptions:{"dataSource.store.data":"devgridDataSource","selection.deferred":"deferStatus",selectionFilter:"filterCondition"},dataSource:{store:{type:"array",key:"ID"}},selection:{selectAllMode:"allPages",showCheckBoxesMode:"always",mode:"multiple"},hoverStateEnabled:!0,paging:{pageSize:10}},$("#inputInvoiceDuplicateItemModal").modal("show")},te=function(){var e=$("#gridInputInvoiceDuplicateItemGrid").dxDataGrid("instance"),n=[];e.getSelectedRowsData().done(function(e){for(var t=0;t<e.length;t++)n.push(e[t].AcctCode)}),e.getSelectedRowKeys().done(function(e){e&&0===e.length?l.warning(s.instant("DeleteEmptyWarning")):(w.ID=PWC.newGuid(),w.CreateTime=new Date,w.UpdateTime=new Date,w.OperationContent=n.join(","),w.OperationName=s.instant("DeleteDuplicateData"),w.OperationType=m.vatLogOperationTypeEnum.DeleteDuplicate,w.OperationObject=s.instant("IncomeInvoiceTotal"),c.deleteInputInvoiceDuplicateData(e).success(function(e){e&&e.result?(w.UpdateState=s.instant("DeleteSuccess"),g.addOperationLog(w),b(),c.validateInputInvoiceInfo(I).success(function(){$("#inputInvoiceDuplicateItemModal").modal("hide"),l.success(s.instant("DeleteSuccess")),R().then(function(){0<r.gridOptionsInputInvoiceErrorMsg.data.length?(F(),r.toggleInputInvoiceErrorTab(),r.showInputInvoiceErrorTable=!0):(r.InputInvoiceImportErrorTab=!1,r.InputInvoiceImportErrorTag=!1,r.showInputInvoiceErrorTable=!1)})})):(w.UpdateState=s.instant("DeleteFailed"),g.addOperationLog(w))}).error(function(){w.UpdateState=s.instant("DeleteFailed"),g.addOperationLog(w),l.error(s.instant("PleaseContactAdministrator"))}))})},ne=function(e,t){var n=JSON.parse(t);if(r.devgridDataSource=n,66===e){var a=[{caption:s.instant("InvoiceFPDM"),dataField:"InvoiceCode",width:"15%"},{caption:s.instant("InvoiceFPHM"),dataField:"InvoiceNumber",width:"15%"},{caption:s.instant("InvoiceTotalAmount"),dataField:"TotalAmount",format:{type:"fixedPoint",precision:2},width:"17.5%"},{caption:s.instant("InvoiceTotalTaxAmount"),dataField:"TotalTaxAmount",format:{type:"fixedPoint",precision:2},width:"17.5%"},{caption:s.instant("InvoiceItemAmount"),dataField:"ItemAmount",format:{type:"fixedPoint",precision:2},width:"17.5%"},{caption:s.instant("InvoiceItemTaxAmount"),dataField:"ItemTaxAmount",format:{type:"fixedPoint",precision:2},width:"17.5%"}];r.gridInputInvoiceAmountCompareGridOptions={columns:a,selection:{mode:"single"},bindingOptions:{dataSource:"devgridDataSource"},hoverStateEnabled:!0,paging:{pageSize:10}},$("#inputInvoiceAmountCompareModal").modal("show")}else{a=[{caption:s.instant("InvoiceFPDM"),dataField:"InvoiceCode",width:"15%"},{caption:s.instant("InvoiceFPHM"),dataField:"InvoiceNumber",width:"15%"},{caption:s.instant("InvoiceJE"),dataField:"Amount",format:{type:"fixedPoint",precision:2},width:"15%"},{caption:s.instant("InvoiceSE"),dataField:"TaxAmount",format:{type:"fixedPoint",precision:2},width:"15%"},{caption:s.instant("InvoiceSL"),dataField:"TaxRate",cellTemplate:"taxRateCellTemplate",width:"15%"},{caption:s.instant("InvoiceHWMC"),dataField:"ProductionName",width:"25%"}];r.gridInputInvoiceItemGridOptions={columns:a,selection:{mode:"single"},bindingOptions:{dataSource:"devgridDataSource"},hoverStateEnabled:!0,paging:{pageSize:10}},$("#inputInvoiceItemModal").modal("show")}},ae=function(){r.isShowLog=!0},ie=function(){if(r.showImportTable)return{width:"100%"}},oe=function(e){r.pagingOptions.totalItems=e};r.pagingService={refreshInvoiceDataGrid:function(){o.debug("refreshInvoiceDataGrid"),V()}},o.debug("VatImportIncomeInvoiceController.ctor()..."),r.errorMsgMap=[],r.incomeInvoiceTotalFileName="",r.selectedColumnMap=[],r.incomeInvoiceTotalColumns=[],r.initIncomeInvoiceTotalColumnsIndex=[],r.startRowList=[],r.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},r.sheetInfo={selectedSheetName:"",selectedSheetIndex:0,topRowNumber:0},r.isShowImportTotalBtn=!0,r.isLoadInputInvoiceComplete=!1,D(),b(),Y=[],Z=constant.vatPermission.dataImport.inputInvoice.importCode,Y.push(Z),r.$root.checkUserOrganizationPermissionList(Y).success(function(e){r.hasEditPermission=e[Z]}),r.changeIncomeInvoiceSheet=O,r.mappingColumn=T,r.importInputInvoiceData=N,r.clearInputInvoiceData=L,r.refreshInputInvoiceData=A,r.errorLevelToString=X,r.showInputInvoiceModal=ee,r.deleteDuplicateData=te,r.loadIncomeInvoiceDataFromDB=b,r.showOperateLogPop=ae,r.setButtonWrapStyle=ie,r.$watch("incomeInvoiceTotalFileName",function(e,t){var n;e&&e!==t&&(n=e,r.fileName=n.name,function(e){if(e){var t=e.name.split(".");if("xls"!==t[t.length-1]&&"xlsx"!==t[t.length-1])return l.warning(s.instant("ImportFileInvalidType"));if(r.initIncomeInvoiceList=[],r.gridOptionsIncomeInvoiceTotal.data=[],y=0,!e.$error){var n=PWC.newGuid()+".dat";i.upload({url:f,data:{filename:e.name,tempFileName:n,file:e},resumeChunkSize:r.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:a.tokenType+" "+a.apiToken()},__RequestVerificationToken:x,withCredentials:!0}).then(M)}}}(r.incomeInvoiceTotalFileName),r.InputInvoiceImportErrorTab=!1,r.InputInvoiceImportErrorTag=!1,$("#StartRowNum").val("2"))}),r.gridOptionsIncomeInvoiceTotal={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,virtualizationThreshold:50,enableHorizontalScrollbar:n.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:n.scrollbars.enableVerticalScrollbar,columnDefs:[{name:s.instant("ImportErrorPopUpNoCol"),width:100,headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:s.instant("InvoiceFPDM"),width:150,headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceCode}}<span></div>'},{name:s.instant("InvoiceFPHM"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.invoiceNumber}}<span></div>'},{name:s.instant("InvoiceKPRQ"),width:150,headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceDate | date:"yyyy-MM-dd"}}</span></div>'},{name:s.instant("InvoiceGHFSH"),width:200,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.sellerTaxNumber}}</span></div>'},{name:s.instant("InvoiceJE"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.amount}}</span></div>'},{name:s.instant("InvoiceSE"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.taxAmount}}</span></div>'},{name:s.instant("InvoiceRZRQ"),width:150,headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.certificationDate | date:"yyyy-MM-dd"}}</span></div>'},{name:s.instant("InvoiceRZJG"),width:200,headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.certificationResult}}</span></div>'},{name:s.instant("InvoiceFPLX"),width:150,headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceTypeName | translate}}</span></div>'}],onRegisterApi:function(e){r.gridApiTotal=e,u(function(){r.gridApiTotal.core.handleWindowResize()},500,28800)}},r.gridOptionsInputInvoiceErrorMsg={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,virtualizationThreshold:50,enableHorizontalScrollbar:n.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:n.scrollbars.enableVerticalScrollbar,columnDefs:[{name:" ",width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span><img data-ng-src="{{grid.appScope.errorLevelToString(row.entity.errorLevel)}}"><span></div>'},{name:s.instant("ImportErrorPopUpNoCol"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:s.instant("ErrorResult"),width:"35%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.validationResult}}<span></div>'},{name:s.instant("ImportErrorPopUpErrorCountCol"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.number}}<span></div>'},{name:s.instant("ErrorDetail"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><a ng-if="row.entity.isShowDetail" ng-click="grid.appScope.showInputInvoiceModal(row.entity.erpCheckTypeId, row.entity.validationDetails)">{{"ViewDetails" | translate}}</a><span ng-if="!row.entity.isShowDetail" title="{{row.entity.validationTips}}" data-ng-bind-html="row.entity.validationTips"><span></div>'},{name:s.instant("ValidationTips"),width:"25%",cellTemplate:'<div class="ui-grid-cell-contents"><span ng-if="row.entity.isShowDetail" title="{{row.entity.validationTips}}" data-ng-bind-html="row.entity.validationTips"></span><span ng-if="!row.entity.isShowDetail"></span></div>'}],onRegisterApi:function(e){r.inputInvoiceErrorGridApi=e,u(function(){r.inputInvoiceErrorGridApi.core.handleWindowResize()},500,28800)}},t(function(){r.isLoadInputInvoiceComplete=!0},500),r.itemErrorMsgMap=[],r.incomeInvoiceDetailFileName="",r.selectedColumnMapItem=[],r.incomeInvoiceDetailColumns=[],r.initIncomeInvoiceDetailColumnsIndex=[],r.startRowListDetail=[],r.sheetDataItem={sheetNameList:[],dataList:[],selectedSheetIndex:0},r.sheetInfoDetail={selectedSheetName:"",selectedSheetIndex:0,topRowNumber:0},r.isShowImportItemBtn=!0,k(),V(),r.changeIncomeInvoiceDetailSheet=z,r.mappingDetailColumn=G,r.importInputInvoiceItemData=H,r.clearInputInvoiceItemData=q,r.refreshInputInvoiceItemData=W,r.showInputInvoiceItemModal=ne,r.$watch("incomeInvoiceDetailFileName",function(e,t){var n;e&&e!==t&&(n=e,r.detailFileName=n.name,function(e){if(e){var t=e.name.split(".");if("xls"!==t[t.length-1]&&"xlsx"!==t[t.length-1])return l.warning(s.instant("ImportFileInvalidType"));if(r.initIncomeInvoiceDetailList=[],r.gridOptionsIncomeInvoiceItem.data=[],y=0,!e.$error){var n=PWC.newGuid()+".dat";i.upload({url:f,data:{filename:e.name,tempFileName:n,file:e},resumeChunkSize:r.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:a.tokenType+" "+a.apiToken()},__RequestVerificationToken:x,withCredentials:!0}).then(j)}}}(r.incomeInvoiceDetailFileName),r.InputInvoiceItemImportErrorTab=!1,r.InputInvoiceItemImportErrorTag=!1,$("#ItemStartRowNum").val("2"))}),r.gridOptionsIncomeInvoiceItem={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,virtualizationThreshold:50,enableHorizontalScrollbar:n.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:n.scrollbars.enableVerticalScrollbar,columnDefs:[{name:s.instant("ImportErrorPopUpNoCol"),width:"10%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:s.instant("InvoiceFPDM"),width:"15%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceCode}}<span></div>'},{name:s.instant("InvoiceFPHM"),width:"15%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceNumber}}<span></div>'},{name:s.instant("InvoiceJE"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.amount}}</span></div>'},{name:s.instant("InvoiceSE"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.taxAmount}}</span></div>'},{name:s.instant("InvoiceSL"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{(row.entity.taxRate * 100) + "%"}}</span></div>'},{name:s.instant("InvoiceHWMC"),width:"20%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.productionName}}</span></div>'}],onRegisterApi:function(e){r.gridApiItem=e,u(function(){r.gridApiItem.core.handleWindowResize()},500,28800)}},r.gridOptionsInputInvoiceItemErrorMsg={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableSorting:!1,enableColumnMenus:!1,virtualizationThreshold:50,enableHorizontalScrollbar:n.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:n.scrollbars.enableVerticalScrollbar,columnDefs:[{name:" ",width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span><img data-ng-src="{{grid.appScope.errorLevelToString(row.entity.errorLevel)}}"><span></div>'},{name:s.instant("ImportErrorPopUpNoCol"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:s.instant("ErrorResult"),width:"35%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.validationResult}}<span></div>'},{name:s.instant("ImportErrorPopUpErrorCountCol"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.number}}<span></div>'},{name:s.instant("ErrorDetail"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><a ng-if="row.entity.isShowDetail" ng-click="grid.appScope.showInputInvoiceItemModal(row.entity.erpCheckTypeId, row.entity.validationDetails)">{{"ViewDetails" | translate}}</a><span ng-if="!row.entity.isShowDetail" title="{{row.entity.validationTips}}" data-ng-bind-html="row.entity.validationTips"><span></div>'},{name:s.instant("ValidationTips"),width:"25%",cellTemplate:'<div class="ui-grid-cell-contents"><span ng-if="row.entity.isShowDetail" title="{{row.entity.validationTips}}" data-ng-bind-html="row.entity.validationTips"></span><span ng-if="!row.entity.isShowDetail"></span></div>'}],onRegisterApi:function(e){r.inputInvoiceItemErrorGridApi=e,u(function(){r.inputInvoiceItemErrorGridApi.core.handleWindowResize()},500,28800)}},t(function(){r.isLoadInputInvoiceItemComplete=!0},500)}]),vatModule.directive("vatImportIncomeInvoice",["$log","$translate",function(e,n){"use strict";return e.debug("vatImportIncomeInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/vat-import-income-invoice/vat-import-income-invoice.html?_="+Math.random(),scope:{},controller:"VatImportIncomeInvoiceController",link:function(t,e){t.switchTab=function(e){t.getGridTotalHeight(),t.getGridItemHeight(),$(".nav-tab span").each(function(){$(this).removeClass("active")}),$(e.target).addClass("active"),e.target.innerText==n.instant("InvoiceInfoTotalTab")?($("#tab_total").css("display","block"),$("#tab_detail").css("display","none")):($("#tab_total").css("display","none"),$("#tab_detail").css("display","block"))}}}}]),vatModule.directive("vatImportJournalEntry",["$log","enums","vatSessionService",function(e,n,a){"use strict";return e.debug("vatImportJournalEntry.ctor()..."),{restrict:"E",template:'<import-journal-entry service-type-id="serviceTypeId" period-id="periodId"></import-journal-entry>',scope:{},link:function(e,t){e.periodId=a.month,e.serviceTypeId=n.serviceType.VAT}}}]),vatModule.controller("VatImportLayoutController",["$scope","$log","$translate","$location","loginContext","enums","vatSessionService","vatCommonService",function(n,e,t,a,i,o,r,s){"use strict";if(e.debug("VatImportLayoutController.ctor()..."),a.$$url.startWith("/cit/"))return!1;n.$on("notMappedCount",function(e,t){n.notMappedCount=t}),e.debug("$location && $location.absUrl(): "+a&&a.absUrl()),a&&-1<a.absUrl().indexOf("previewData")?(n.nodeDicKey=constant.DictionaryDictKey.DataImport,n.linkShort=o.linkShort.PreviewData,n.menus=[{name:"outputInvoice",permission:constant.vatPermission.dataPreview.outputInvoice.queryCode,text:t.instant("outputInvoice"),icon:"fa fa-file-text-o",show:!0},{name:"inputInvoice",permission:constant.vatPermission.dataPreview.inputInvoice.queryCode,text:t.instant("inputInvoice"),icon:"fa fa-file-text-o",show:!0}]):a&&-1<a.absUrl().indexOf("reductionData")?(n.nodeDicKey=constant.DictionaryDictKey.DataProcess,n.linkShort=o.linkShort.ReductionData,n.menus=[{name:"caculateData",permission:constant.vatPermission.dataManage.caculateDataCode,text:t.instant("caculateData"),icon:"fa fa-random",show:!0},{name:"accountMapping",permission:constant.vatPermission.dataManage.accountMappingCode,text:t.instant("accountMapping"),icon:"fa fa-map",show:!0},{name:"goodsMapping",permission:constant.vatPermission.dataManage.goodsMappingCode,text:t.instant("goodsMapping"),icon:"fa fa-map-signs",show:!0},{name:"unbilledInvoice",permission:constant.vatPermission.dataManage.unbilledInvoiceCode,text:t.instant("unbilledInvoice"),icon:"fa fa-shield",show:!0}]):(n.nodeDicKey=constant.DictionaryDictKey.DataImport,n.linkShort=o.linkShort.ImportData,n.menus=[{name:"outputInvoice",permission:constant.vatPermission.dataImport.outputInvoice.queryCode,text:t.instant("outputInvoice"),icon:"fa fa-file-text-o",show:!0},{name:"inputInvoice",permission:constant.vatPermission.dataImport.inputInvoice.queryCode,text:t.instant("inputInvoice"),icon:"fa fa-file-text-o",show:!0}]),s.isLayoutMenuShow(r.project.id,r.month,n.nodeDicKey,n.linkShort,n.menus)}]),vatModule.directive("vatImportLayout",["$log",function(e){"use strict";return e.debug("vatImportLayout.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/vat-import-layout/vat-import-layout.html?_="+Math.random(),replace:!0,scope:{},controller:"VatImportLayoutController",link:function(e,t,n){}}}]),vatModule.controller("VatImportOutputInvoiceController",["$scope","$cookies","$log","$translate","$timeout","apiInterceptor","Upload","vatImportService","SweetAlert","$q","uiGridConstants","$interval","vatSessionService","loginContext","browserService","enums","vatOperationLogService","projectService","vatCommonService",function(c,e,t,d,a,o,r,i,s,n,l,u,p,m,g,v,h,f,y){"use strict";var I=0,C=o.vatWebApiHostUrl+"/FileUpload/NewFile",w=e.getObject("AtmsApiToken").api_host,S=p.month,D=(p.project.year,p.project.name+" "+p.project.year+"年"+p.month+"月");p.project.id;c.period=p.month,c.moduleid=v.vatModuleEnum.Import_OutputInvoice;var b={ID:"",OperationName:"",ModuleID:c.moduleid,OperationObject:d.instant("OutputInvoiceTitle"),OperationType:"",OperationContent:"",OriginalState:"",UpdateState:"",CreatorID:p.logUser.ID,Comment:D,IP:"",Period:c.period};c.pagingOptions={pageIndex:1,totalItems:0,totalPages:10,maxSize:5,pageSize:constant.page.pageSizeArrary[3],pageSizeString:constant.page.pageSizeArrary[3].toString(),firstPage:d.instant("PagingFirstPage"),previousPage:d.instant("PagingPreviousPage"),nextPage:d.instant("PagingNextPage"),lastPage:d.instant("PagingLastPage")},c.totalData={totalNumber:0,amount:0,taxAmount:0},c.downloadTemplatePath=w+"/Resource/ImportData/销项发票导入模板.xls",c.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},c.sheetInfo={selectedSheetName:"",selectedSheetIndex:0},c.invoiceData=[],c.outputInvoiceList=[],c.outputInvoiceItemList=[],c.errorMsgMap=[],c.totalCount=0,c.evidenceTotalCount="",c.showErrorTable=!1,c.showInitTable=!1,c.showImportTable=!1,c.isShowImportTotalBtn=!0;var T={InvoiceInfoEmptyCheckErrorType:d.instant("OutputInvoiceErrorType"),InvoiceDateErrorType:d.instant("InvoiceDateErrorType"),DateCheckErrorType:d.instant("InvoiceDateRangeCheckErrorType"),AmountNumberCheckErrorType:d.instant("AmountNumberCheckErrorType"),TaxAmountNumberCheckErrorType:d.instant("TaxAmountNumberCheckErrorType"),AuantityNumberCheckErrorType:d.instant("AuantityNumberCheckErrorType"),TaxRateCheckErrorType:d.instant("TaxRateCheckErrorType"),OutputStringLengthType:d.instant("OutputStringLengthType"),OutputInvoiceTypeErrorType:d.instant("OutputInvoiceTypeErrorType")},x={Normal:d.instant("Normal"),Special:d.instant("Special")};c.importEnum={Import:0,CoverImport:1,AddImport:2};var M=function(e){1===++I&&(c.tempFileName=e.data,O(0))};function O(t){var e=_.findIndex(c.sheetData.sheetNameList,function(e){return e.name===t.name});c.sheetInfo.selectedSheetIndex=-1===e?0:e,c.showErrorTable=!1,_.isString(c.tempFileName)&&(c.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},c.gridOptionsOutputInvoice.data=[],i.getFileContent(c.tempFileName,c.sheetInfo.selectedSheetIndex,0).success(function(e){!1===e.result?(c.showInitTable=!0,c.showImportTable=!1,V(),s.warning(e.resultMsg)):(c.showInitTable=!1,c.showImportTable=!0),c.sheetData=e;var t=[];e.sheetNameList.forEach(function(e){t.push({name:e})}),c.sheetData.sheetNameList=t,c.sheetInfo.selectedSheetName=c.sheetData.sheetNameList[c.sheetInfo.selectedSheetIndex],p.dataChanged=!0,c.invoiceData=c.sheetData.dataList.slice(1,c.sheetData.dataList.length);var n=1;c.invoiceData.forEach(function(e){e.index=n++})}).error(function(){s.error(d.instant("PleaseContactAdministrator"))}))}function E(e){$(".nav-tab span").each(function(){$(this).removeClass("active")}),$(e.target).addClass("active"),e.target.innerText==d.instant("OutputInvoiceTab")?($("#tab_total").css("display","block"),$("#tab_evidence").css("display","none")):($("#tab_total").css("display","none"),$("#tab_evidence").css("display","block"))}function P(e){var t=0;switch(e){case x.Normal:t=0;break;case x.Special:t=1;break;default:t=10}return t}function N(e){return PWC.isNullOrEmpty(e)?0:e}function A(e,t,n){var a={};$.trim(e[10])!==d.instant("Subtotal")&&$.trim(e[10])!==d.instant("Alltotal")&&(a.ItemID=PWC.newGuid(),a.ClassCode=t.ClassCode,a.InvoiceNumber=t.InvoiceNumber,a.InvoiceID=t.InvoiceID,a.CodeVersion=e[8],a.ProductName=e[10],a.DocumentNum=e[9],a.ProductStandard=e[11],a.Unit=e[12],a.Quantity=e[13],a.UnitPrice=N(e[14]),a.Amount=N(e[15]),a.TaxRate=N(e[16]),a.TaxAmount=N(e[17]),a.SeqNo=t.items.length+1,a.TaxClassCode=e[18],a.PeriodID=c.period,a.Index=n,t.items.push(a),c.outputInvoiceItemList.push(a))}function L(e){c.errorMsgMap=[],c.outputInvoiceList=[],c.outputInvoiceItemList=[],0!=c.sheetData.dataList.length?(!function(){for(var e={items:[]},t=0,n="",a=1;a<c.sheetData.dataList.length;a++){var i={};0<$.trim(c.sheetData.dataList[a][0]).length&&0<$.trim(c.sheetData.dataList[a][1]).length&&0<$.trim(c.sheetData.dataList[a][2]).length?(i.InvoiceID=PWC.newGuid(),i.InvoiceType=P($.trim(c.sheetData.dataList[a][0])),i.ClassCode=c.sheetData.dataList[a][1],i.InvoiceNumber=c.sheetData.dataList[a][2],i.BuyerName=c.sheetData.dataList[a][3],i.BuyerTaxNumber=c.sheetData.dataList[a][4],i.BankAccount=c.sheetData.dataList[a][5],i.PhoneNum=c.sheetData.dataList[a][6],i.InvoiceDate=c.sheetData.dataList[a][7],i.SeqNo=c.outputInvoiceList.length+1,i.PeriodID=c.period,i.Status=0,i.items=[],i.Index=a,e=i,c.outputInvoiceList.push(i),A(c.sheetData.dataList[a],e,a)):0==$.trim(c.sheetData.dataList[a][0]).length&&0==$.trim(c.sheetData.dataList[a][1]).length&&0==$.trim(c.sheetData.dataList[a][2]).length?A(c.sheetData.dataList[a],e,a):(n+="("+d.instant("RowIndex").formatObj({rowIndex:a})+")"+d.instant("OutputInvoiceErrorMsg")+"<br />",t++)}0<t&&c.errorMsgMap.push({errorType:T.InvoiceInfoEmptyCheckErrorType,errorCount:t,errorContent:n})}(),b.ID=PWC.newGuid(),b.CreateTime=new Date,b.UpdateTime=new Date,b.OperationContent=c.fileName,e===c.importEnum.Import?(b.OperationName=d.instant("ImportOutputInvoice"),b.OperationType=v.vatLogOperationTypeEnum.Import):e===c.importEnum.CoverImport?(b.OperationName=d.instant("CoverImportOutputInvoice"),b.OperationType=v.vatLogOperationTypeEnum.CoverImport):e===c.importEnum.AddImport&&(b.OperationName=d.instant("AddImportOutputInvoice"),b.OperationType=v.vatLogOperationTypeEnum.AddImport),0<c.errorMsgMap.length?$("#errorListModal").modal("show"):i.importOutputInvoiceData(c.outputInvoiceList,c.outputInvoiceItemList,e).success(function(e){e&&e.result?(b.UpdateState=d.instant("ImportSuccess"),h.addOperationLog(b),B(c.period),c.fileName="",y.importSetProjectStatus(projectDbName,S,constant.DictionaryDictKey.WFImportOutputInvoice,v.FinishStatusEnum.Finished),y.setImportSubStatus(v.VatImportSubStatus.isOutputInvoiceImport,!0),t.debug("import outputInvoice importOutputInvoiceData: "+p.project.importSubStatus.isOutputInvoiceImport),s.success(d.instant("ImportSuccess"))):(b.UpdateState=d.instant("ImportFail"),h.addOperationLog(b),s.error(d.instant("ImportFail")))}).error(function(){b.UpdateState=d.instant("ImportFail"),h.addOperationLog(b),s.error(d.instant("PleaseContactAdministrator"))})):s.warning(d.instant("PleaseSelectFileFirst"))}function R(t){p.project.projectStatusList[S]>=constant.ProjectStatusEnum.Generated?swal({title:"warning!",text:d.instant("IsConfirmToReImport").formatObj({status:y.getProjectStautsEnumDesc(p.project.projectStatusList[S])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:d.instant("Yes"),cancelButtonText:d.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?L(t):swal.close()}):L(t)}function F(){i.getValidationList(2,c.period).success(function(e){if(0<e.length){var t=1;e.forEach(function(e){e.index=t++}),c.errorList=e,c.gridOptionsErrorMsg.data=e,c.ImportErrorTab=!0,c.ImportErrorTag=!0,c.errorMsg=d.instant("ImportErrorMsg").formatObj({NumberOfError:c.errorList.length}),c.toggleErrorTab(),c.showErrorTable=!0}else c.errorList=[],c.gridOptionsErrorMsg.data=[],c.showErrorTable=!1,c.ImportErrorTab=!1,c.ImportErrorTag=!1}).error(function(){s.error(d.instant("PleaseContactAdministrator"))})}function B(e){c.showInitTable=!0,c.showImportTable=!1,p.dataChanged=!1,c.gridOptionsOutputInvoice.data=[],c.sheetData={sheetNameList:[],dataList:[],selectedSheetIndex:0},c.invoiceData=[],i.getOutputInvoiceList(e).success(function(e){if(0<e.data.length){c.totalCount=e.returnCode,c.isShowImportTotalBtn=!1,ie(e.data.length);var t=(c.pagingOptions.pageIndex-1)*c.pagingOptions.pageSize,n=_.chain(e.data).rest(t).first(c.pagingOptions.pageSize).value();F();var a=n,i=1,o=0,r=0;a.forEach(function(e){_.isNaN(parseFloat(e.amount)&&!_.isNaN(parseFloat(e.taxAmount)))||(o+=e.amount,r+=e.taxAmount),e.index=i++,e.unitPrice=PWC.round(e.unitPrice,2),e.amount=PWC.round(e.amount,2),e.taxRate=PWC.round(e.taxRate,2),e.taxAmount=PWC.round(e.taxAmount,2)}),c.gridOptionsOutputInvoice.data=a,c.totalData.totalNumber=a.length,c.totalData.amount=PWC.round(o,2),c.totalData.taxAmount=PWC.round(r,2),V()}else V()}).error(function(){s.error(d.instant("PleaseContactAdministrator"))})}c.typeToString=function(e){var t=x.Normal;switch(e){case 0:t=x.Normal;break;case 1:t=x.Special;break;default:t=""}return t},c.decimalToPercent=function(e){return(100*e).toFixed(0)+"%"},c.toggleErrorTab=function(){c.ImportErrorTag=!c.ImportErrorTag,c.ImportErrorTag?parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","150px"),$("#topIcon").css({bottom:"-381px"}),$(".error-info-wrapper").css("height","150px")):k()};var k=function(){$("#content-resizer").css("bottom","10px"),$("#topIcon").css({bottom:"-501px"}),$(".error-info-wrapper").css("height","0px")};c.getGridHeight=function(){return c.isLoadComplete?{height:$(".balance-ouput-grid-wrapper").height()-20+"px"}:{height:"0px"}},c.getErrorGridHeight=function(){if(c.isLoadComplete){var e=$("#error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}},c.errorLevelToString=function(e){return 0===e?"/app-resources/images/vat/error.png":1===e?"/app-resources/images/vat/warning.png":"/app-resources/images/vat/tips.png"};function V(){c.gridOptionsOutputInvoice.columnDefs=[],c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("ImportErrorPopUpNoCol"),width:50,headerCellClass:"center",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("InvoiceType"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{grid.appScope.typeToString(row.entity.invoiceType)}}<span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("ClassCode"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.classCode}}<span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("InvoiceNumber"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceNumber}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("BuyerName"),width:200,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.buyerName}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("BuyerTaxNumber"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.buyerTaxNumber}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("BankAccount"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.bankAccount}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("PhoneNum"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.phoneNum}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("InvoiceDate"),width:200,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceDate | date:"yyyy-MM-dd"}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("CodeVersion"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.codeVersion}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("DocumentNum"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.documentNum}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("ProductName"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.productName}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("ProductStandar"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.productStandard}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("Unit"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.unit}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("Quantity"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.quantity}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("UnitPrice"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.unitPrice}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("Amount"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.amount}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("TaxRate"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{grid.appScope.decimalToPercent(row.entity.taxRate)}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("TaxAmount"),width:150,headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.taxAmount}}</span></div>'}),c.gridOptionsOutputInvoice.columnDefs.push({name:d.instant("TaxClassCode"),width:150,headerCellClass:"left",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.taxClassCode}}</span></div>'})}c.gridOptionsOutputInvoice={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:l.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:l.scrollbars.enableVerticalScrollbar,onRegisterApi:function(e){c.gridApi=e,u(function(){c.gridApi.core.handleWindowResize()},500,28800)}},c.gridOptionsErrorMsg={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:l.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:l.scrollbars.enableVerticalScrollbar,columnDefs:[{name:d.instant("Icon"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span><img data-ng-src="{{grid.appScope.errorLevelToString(row.entity.errorLevel)}}"><span></div>'},{name:d.instant("SequenceNo"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:d.instant("ErrorResult"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.validationResult}}<span></div>'},{name:d.instant("ErrorCount"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.number}}<span></div>'},{name:d.instant("ErrorDetail"),width:"35%",cellTemplate:function(){return'<div ng-if="row.entity.isShowDetail === 1" class="ui-grid-cell-contents"><span><a  ng-click="grid.appScope.openTab(row.entity.erpCheckTypeId,row.entity.validationDetails)">查看明细</a><span></div><div  ng-if="row.entity.isShowDetail !== 1" class="ui-grid-cell-contents" title="{{row.entity.validationDetails}}"><span>{{row.entity.validationDetails}}<span></div>'}},{name:d.instant("ValidationTips"),width:"25%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.validationTips}}"><span>{{row.entity.validationTips}}<span></div>'}],onRegisterApi:function(e){c.errorGridApi=e,u(function(){c.errorGridApi.core.handleWindowResize()},500,28800)}};var G=function(){swal({title:"warning!",text:d.instant("DeleteTbDataTip"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:d.instant("Yes"),cancelButtonText:d.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&(b.ID=PWC.newGuid(),b.CreateTime=new Date,b.UpdateTime=new Date,b.OperationContent="",b.OperationName=d.instant("ClearOutputInvoice"),b.OperationType=v.vatLogOperationTypeEnum.ClearData,i.clearOutputData(c.period).success(function(e){e&&e.result?(c.showInitTable=!0,c.showImportTable=!1,c.isShowImportTotalBtn=!0,c.showErrorTable=!1,c.ImportErrorTab=!1,c.ImportErrorTag=!1,c.gridOptionsOutputInvoice.data=[],c.totalCount=0,V(),b.UpdateState=d.instant("ClearSuccess"),h.addOperationLog(b),y.clearProjectStatus(projectDbName,S,constant.DictionaryDictKey.WFImportOutputInvoice,v.FinishStatusEnum.NotFinished),y.setImportSubStatus(v.VatImportSubStatus.isOutputInvoiceImport,!1),t.debug("clear outputInvoice importOutputInvoiceData: "+p.project.importSubStatus.isOutputInvoiceImport),s.success(d.instant("ClearSuccess"))):(b.UpdateState=d.instant("ClearFailed"),h.addOperationLog(b),s.warning(d.instant("ClearFailed")))}).error(function(){b.UpdateState=d.instant("ClearFailed"),h.addOperationLog(b),s.error(d.instant("PleaseContactAdministrator"))}))})},j=function(){b.ID=PWC.newGuid(),b.CreateTime=new Date,b.UpdateTime=new Date,b.OperationContent="",b.OperationName=d.instant("RefreshValidationData"),b.OperationType=v.vatLogOperationTypeEnum.Refresh,i.refreshOutputInvoice(c.period).success(function(e){e&&e.result?(b.UpdateState=d.instant("RefreshSuccess"),h.addOperationLog(b),B(c.period),s.success(d.instant("RefreshSuccess"))):(b.UpdateState=d.instant("RefreshTbFail"),h.addOperationLog(b),s.warning(d.instant("RefreshTbFail")))}).error(function(){b.UpdateState=d.instant("RefreshTbFail"),h.addOperationLog(b),s.error(d.instant("PleaseContactAdministrator"))})};c.openTab=function(e,t){var n=JSON.parse(t);81===e?function(e){c.detailData=e;var t=[{caption:d.instant("InvoiceType"),calculateCellValue:function(e){return c.typeToString(e.InvoiceType)}},{caption:d.instant("ClassCode"),dataField:"ClassCode"},{caption:d.instant("InvoiceNumber"),dataField:"InvoiceNumber"},{caption:d.instant("Amount"),dataField:"Amount",format:{type:"fixedPoint",precision:2}},{caption:d.instant("TaxAmount"),dataField:"TaxAmount",format:{type:"fixedPoint",precision:2}},{caption:d.instant("TaxRate"),dataField:"TaxRate",calculateCellValue:function(e){return c.decimalToPercent(e.TaxRate)}}];c.deferStatus=!0,c.filterCondition=["IsDuplicate","=",!0],c.gridDifferenceOptions={columns:t,bindingOptions:{dataSource:"detailData"},hoverStateEnabled:!0,noDataText:d.instant("AccountVoucher_DataGrid_NoDataText"),paging:{pageSize:10}},$("#differenceValidationModal").modal("show")}(n):80===e&&function(e){c.detailData=e;var t=[{caption:d.instant("InvoiceType"),width:150,calculateCellValue:function(e){return c.typeToString(e.InvoiceType)}},{caption:d.instant("ClassCode"),dataField:"ClassCode",width:150},{caption:d.instant("InvoiceNumber"),dataField:"InvoiceNumber",width:150},{caption:d.instant("BuyerName"),dataField:"BuyerName",width:200},{caption:d.instant("BuyerTaxNumber"),dataField:"BuyerTaxNumber",width:200},{caption:d.instant("BankAccount"),dataField:"BankAccount",width:150},{caption:d.instant("PhoneNum"),dataField:"PhoneNum",width:150},{caption:d.instant("InvoiceDate"),dataField:"InvoiceDate",dataType:"date",width:150}];c.deferStatus=!0,c.filterCondition=["IsDuplicate","=",!0],c.gridDuplicatedOptions={columns:t,bindingOptions:{"dataSource.store.data":"detailData","selection.deferred":"deferStatus",selectionFilter:"filterCondition"},dataSource:{store:{type:"array",key:"InvoiceID"}},selection:{mode:"multiple",selectAllMode:"allPages",showCheckBoxesMode:"always"},hoverStateEnabled:!0,paging:{pageSize:10}},$("#duplicatedValidationModal").modal("show")}(n)};var z=function(){var e=$("#gridDuplicatedValidation").dxDataGrid("instance"),n=[];e.getSelectedRowsData().done(function(e){for(var t=0;t<e.length;t++)n.push(e[t].ClassCode)}),e.getSelectedRowKeys().done(function(e){e&&0===e.length?s.warning(d.instant("DeleteEmptyWarning")):(b.ID=PWC.newGuid(),b.CreateTime=new Date,b.UpdateTime=new Date,b.OperationContent=n.join(","),b.OperationName=d.instant("DeleteDuplicateData"),b.OperationType=v.vatLogOperationTypeEnum.DeleteDuplicate,i.deleteOutputDupData(e).success(function(e){e&&e.result&&(h.addOperationLog(b),i.refreshOutputInvoice(c.period).success(function(e){e&&e.result?($("#duplicatedValidationModal").modal("hide"),s.success(d.instant("DeleteSuccess")),B(c.period)):s.warning(d.instant("RefreshTbFail"))}).error(function(){s.error(d.instant("PleaseContactAdministrator"))}))}).error(function(){s.error(d.instant("PleaseContactAdministrator"))}))})};c.showOperateLogPop=function(){c.isShowLog=!0};var U=0,H=0,W=!0,q=!0,J=!0;c.chunkEvidenceSize=10485760;var Q=o.vatWebApiHostUrl+"/outputInvoiceImport/UploadEvidenceFile",K=function(e){e.data&&++U===H&&(!function(){var t="";0<c.evidenceFile.length&&c.evidenceFile.forEach(function(e){t+=e.name+";"});b.ID=PWC.newGuid(),b.CreateTime=new Date,b.UpdateTime=new Date,b.OperationContent=t,b.OperationName=d.instant("ImportEvidence"),b.OperationType=v.vatLogOperationTypeEnum.AddData,b.UpdateState=d.instant("UploadFileSuccess"),h.addOperationLog(b)}(),s.success(d.instant("UploadFileSuccess")),Y())};function Y(){c.evidenceList=[];var e={queryType:c.queryType,queryString:c.queryString,isCurrentPeriod:c.isCurrentPeriod,periodId:c.period};i.getEvidenceList(e).success(function(e){0<e.length?(c.evidenceList=e,c.evidenceTotalCount="("+e.length+")"):0===e.length&&(c.evidenceTotalCount="")}).error(function(){s.error(d.instant("PleaseContactAdministrator"))})}function Z(){return Y(),0<c.evidenceList.length?d.instant("EvidenceTab")+"("+c.evidenceList.length+")":d.instant("EvidenceTab")}function X(e){c.clicked?c.cancelClick=!0:(c.clicked=!0,a(function(){if(c.cancelClick)return c.cancelClick=!1,void(c.clicked=!1);e.isSelected=!e.isSelected,c.cancelClick=!1,c.clicked=!1},300))}function ee(){var t=[],n="";c.evidenceList.forEach(function(e){e.isSelected&&(t.push(e.fileID),n+=e.fileName+";")}),0<t.length&&s.swal({title:"warning!",text:d.instant("IsDelete"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:d.instant("Yes"),cancelButtonText:d.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&i.deleteEvidences(t).success(function(e){var t;e&&(t=n,b.ID=PWC.newGuid(),b.CreateTime=new Date,b.UpdateTime=new Date,b.OperationContent=t,b.OperationName=d.instant("DeleteEvidence"),b.OperationType=v.vatLogOperationTypeEnum.DeleteData,b.UpdateState=d.instant("DeleteSuccess"),h.addOperationLog(b),Y())}).error(function(){s.error(d.instant("PleaseContactAdministrator"))})})}c.openEvidenceFile=function(e){var n=e.filePath,l=e.fileName;a(function(e){var t={filePath:n,fileName:l};i.downloadEvidence(t).success(function(e,t,n){var a=n("content-type")||"application/octet-stream";if(window.navigator.msSaveBlob){var i=new Blob([e],{type:a});navigator.msSaveBlob(i,l)}else{var o=window.URL||window.webkitURL||window.mozURL||window.msURL;if(o){var r=document.createElement("a"),s=(i=new Blob([e],{type:a}),o.createObjectURL(i));r.href=s,r.target="_blank",r.download=l,document.body.appendChild(r),r.click()}}}).error(function(){s.error(d.instant("PleaseContactAdministrator"))})})};var te={isPrefixNumber:function(e){return!!/^\d+/.test(e)},isPrefixChar:function(e){return!!/^[a-zA-Z]+/.test(e)},isPrefixNumberOrChar:function(e){return!!te.isPrefixNumber(e)||!!te.isPrefixChar(e)}},ne=function(e){if(e&&0<e.length){var t=[],n=[];return e.forEach(function(e){te.isPrefixNumberOrChar(e.fileName)?(e.nameSort=e.fileName,e.nameSort&&(e.nameSort=e.nameSort.toLowerCase()),t.push(e)):n.push(e)}),t=_.sortBy(t,"nameSort"),n=n.sort(function(e,t){return e.fileName.localeCompare(t.fileName,"zh")}),_.union(t,n)}return e};function ae(e){if(0<c.evidenceList.length){if(0==e)if(W){W=!1;var t=ne(c.evidenceList);c.evidenceList=t}else{W=!0;t=ne(c.evidenceList);c.evidenceList=t.reverse()}if(1==e)if(q){q=!1;t=_.sortBy(c.evidenceList,"periodID");c.evidenceList=t}else{q=!0;t=_.sortBy(c.evidenceList,"periodID");c.evidenceList=t.reverse()}if(2==e)if(J){J=!1;t=_.sortBy(c.evidenceList,"fileType");c.evidenceList=t}else{J=!0;t=_.sortBy(c.evidenceList,"fileType");c.evidenceList=t.reverse()}}}var ie=function(e){c.pagingOptions.totalItems=e};c.pagingService={refreshInvoiceDataGrid:function(){t.debug("refreshInvoiceDataGrid"),B(c.period)}};var oe,re,se=function(){if(c.showImportTable)return{width:"100%"}};t.debug("ImportOutputInvoiceController.ctor()..."),c.switchTab=E,c.changeSheet=O,c.importOutputInvoiceData=R,c.refreshOutputData=j,c.deleteOutputData=G,c.deleteDupData=z,oe=[],re=constant.vatPermission.dataImport.outputInvoice.importCode,oe.push(re),c.$root.checkUserOrganizationPermissionList(oe).success(function(e){c.hasEditPermission=e[re]}),B(c.period),c.$watch("fileNameWrapper",function(e,t){if(null!=e&&e!==t){var n=e.name.split(".");if("xls"!==n[n.length-1]&&"xlsx"!==n[n.length-1])return void s.warning(d.instant("ImportFileInvalidType"));c.fileName=e.name,function(e){if(e&&(I=0,!e.$error)){var t=PWC.newGuid()+".dat",n=$('input[name="__RequestVerificationToken"]').val();r.upload({url:C,data:{cancel:!1,filename:e.name,tempFileName:t,file:e},resumeChunkSize:1e5,headers:{"Access-Control-Allow-Origin":"*",Authorization:o.tokenType+" "+o.apiToken()},__RequestVerificationToken:n,withCredentials:!0}).then(M)}}(c.fileNameWrapper),c.ImportErrorTab=!1,c.ImportErrorTag=!1}}),c.evidenceList=[],c.isCurrentPeriod=!0,c.queryType="",c.queryString="",c.searchEvidence=Y,c.selectEvidenceFile=X,c.deleteEvidenceFiles=ee,c.getEvidenceTitle=Z,c.fileSort=ae,c.setButtonWrapStyle=se,Y(),c.$watch("evidenceFile",function(e,t){null!=e&&e!==t&&function(e){var t=!0;c.evidenceMsgMap=[];var n="",a="",i=0,o=0;if(5<e.length&&c.evidenceMsgMap.push({errorType:d.instant("OutOfAmountType"),errorCount:e.length,errorContent:d.instant("OutOfAmount")}),0<e.length){for(var r=0;r<e.length;r++){var s=e[r].size,l=e[r].name.split(".").pop().toLowerCase();s>c.chunkEvidenceSize&&(n+=e[r].name+",",i++),"exe"===l&&(a+=e[r].name+",",o++)}n&&c.evidenceMsgMap.push({errorType:d.instant("OutOfSizeType"),errorCount:i,errorContent:d.instant("OutOfSize").formatObj({rows:n.substring(0,n.length-1)})}),a&&c.evidenceMsgMap.push({errorType:d.instant("ErrorFileType"),errorCount:o,errorContent:d.instant("ErrorFileMsg")})}return 0<c.evidenceMsgMap.length&&($("#evidenceErrorListModal").modal("show"),t=!1),t}(c.evidenceFile)&&function(e){if(e&&e.length){H=e.length;for(var t=U=0;t<e.length;t++){var n=e[t];if(!n.$error){var a=PWC.newGuid()+".dat",i=$('input[name="__RequestVerificationToken"]').val();r.upload({url:Q,data:{cancel:!1,filename:n.name,tempFileName:a,file:n,period:c.period},resumeChunkSize:1e5,headers:{"Access-Control-Allow-Origin":"*",Authorization:o.tokenType+" "+o.apiToken(),from:p.project.id},__RequestVerificationToken:i,withCredentials:!0}).then(K)}}}}(c.evidenceFile)}),a(function(){c.isLoadComplete=!0},500)}]),vatModule.directive("vatImportOutputInvoice",["$log",function(e){"use strict";return e.debug("vatImportOutputInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/vat-import-output-invoice/vat-import-output-invoice.html?_="+Math.random(),scope:{},controller:"VatImportOutputInvoiceController",link:function(e,t){}}}]),vatModule.directive("vatImportTrialBalance",["$log","enums","vatSessionService",function(e,n,a){"use strict";return e.debug("vatImportTrialBalance.ctor()..."),{restrict:"E",template:'<import-trial-balance service-type-id="serviceTypeId" period-id="periodId"></import-trial-balance>',scope:{},link:function(e,t){e.periodId=a.month,e.serviceTypeId=n.serviceType.VAT}}}]),vatModule.controller("vatInvoiceMappingController",["$scope","$log","$timeout","$q","$interval","$translate","loginContext","apiInterceptor","Upload","dataImportService","SweetAlert","vatImportService","vatSessionService","uiGridConstants","enums","vatCommonService","vatOperationLogService",function(i,o,n,e,t,r,a,s,l,c,d,u,p,m,g,v,h){"use strict";o.debug("vatInvoiceMappingController.ctor()...");var f=s.vatWebApiHostUrl+"/FileUpload/NewFile",y=0,I=p.month;p.project.id;i.chunkSize=1e5,i.columnNum=1,i.showErrorTable=!1,i.showInitTable=!1,i.showImportTable=!1,i.period=I,i.moduleid=g.vatModuleEnum.Import_InvoiceMapping;var C={};C.ModuleID=i.moduleid,C.CreatorID=p.logUser.ID,C.OperationObject=r.instant("invoiceMappingDesc"),C.Comment=p.project.name+" "+p.project.year+"年"+p.month+"月",C.Period=I;r.instant("ColumnsMapErrorType"),r.instant("InvoiceCodeEmptyErrorType"),r.instant("InvoiceNumberEmptyErrorType"),r.instant("TrancodeParseEmptyErrorType"),r.instant("NumOutRangeErrorType"),r.instant("OutputStringLengthType"),r.instant("StartRowError");var w=function(){i.allColumns=[r.instant("PleaseSelectColumn"),r.instant("tranCode"),r.instant("invoiceCode"),r.instant("invoiceNumber")],i.necessoryColumns=[r.instant("tranCode"),r.instant("invoiceCode"),r.instant("invoiceNumber")]};i.$on(g.vatEvent.layoutChanged,function(){i.gridApiTotal.core.handleWindowResize(),i.errorGridApi.core.handleWindowResize()});var S=function(e,t,n){if(n){var a=i.selectedColumnMap[e];if(a===i.allColumns[t])return;(i.selectedColumnMap[e]=n)!==r.instant("PleaseSelectColumn")?(i.allColumns.splice(t,1),a&&a!==r.instant("PleaseSelectColumn")&&i.allColumns.push(a)):a&&i.allColumns.push(a)}o.debug(i.selectedColumnMap)},D=function(){w(),i.selectedColumnMap=[]},b=function(e){i.showErrorTable=!1,i.selectedSheet.sheetIndex=e,D(),_.isString(i.tempFileName)&&(i.excelSource={sheetNameList:[],dataList:[]},u.getFileContent(i.tempFileName,i.selectedSheet.sheetIndex,i.selectedSheet.topRowNumber).success(function(e){if(e&&!1===e.result)return i.showInitTable=!0,i.showImportTable=!1,void d.warning(e.resultMsg);var t=1;e.dataList.forEach(function(e){e.index=t++}),i.showInitTable=!1,i.showImportTable=!0,i.excelSource=e,i.firstDataRow=e.dataList[0],i.columnNum=e.dataList[0].length,i.startRowList=_.range(e.lastRowIndex),i.selectedSheet.sheetName=i.excelSource.sheetNameList[i.selectedSheet.sheetIndex],i.isImportView=!0,p.dataChanged=!0}).error(function(){d.error(r.instant("PleaseContactAdministrator"))}))};function T(t){for(var e=[],n=i.StartRowNum-1;n<i.excelSource.dataList.length;n++){var a={Index:i.excelSource.dataList[n].index,Period:I,InvoiceCode:i.excelSource.dataList[n][$.inArray(r.instant("invoiceCode"),i.selectedColumnMap)],InvoiceNumber:i.excelSource.dataList[n][$.inArray(r.instant("invoiceNumber"),i.selectedColumnMap)],TranCode:i.excelSource.dataList[n][$.inArray(r.instant("tranCode"),i.selectedColumnMap)]};e.push(a)}0!=e.length?u.SaveInvoiceMappings(e,I,t).success(function(e){e&&e.result&&(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=i.fileName,2===t?(C.OperationName=r.instant("AddImportBtn"),C.OperationType=g.vatLogOperationTypeEnum.AddImport):1===t&&(C.OperationName=r.instant("ConverImportBtn"),C.OperationType=g.vatLogOperationTypeEnum.CoverImport),C.UpdateState=r.instant("ImportSuccess"),h.addOperationLog(C),i.showInitTable=!0,i.showImportTable=!1,i.showErrorTable=!1,i.ImportErrorTab=!1,i.ImportErrorTag=!1,v.importSetProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportInvoiceMap,g.FinishStatusEnum.Finished),v.setImportSubStatus(g.VatImportSubStatus.isInvoiceMapImport,!0),o.debug("import invoiceMapping save2Server: "+p.project.importSubStatus.isInvoiceMapImport),d.success(r.instant("ImportSuccess")),D(),O(),i.fileName="")}).error(function(){d.error(r.instant("PleaseContactAdministrator"))}):d.warning(r.instant("noCurMonthRecordErrorMsg"))}var x=function(t){0!=i.excelSource.sheetNameList.length?p.project.projectStatusList[I]>=constant.ProjectStatusEnum.Generated?swal({title:"warning!",text:r.instant("IsConfirmToReImport").formatObj({status:v.getProjectStautsEnumDesc(p.project.projectStatusList[I])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:r.instant("Yes"),cancelButtonText:r.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?n(function(){T(t)},300):swal.close()}):T(t):d.warning(r.instant("PleaseSelectFileFirst"))},M=function(){swal({title:"warning!",text:r.instant("ClearTips"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:r.instant("Yes"),cancelButtonText:r.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){if(e){u.SaveInvoiceMappings([],I,1).success(function(e){e&&e.result&&(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent="",C.OperationName=r.instant("ClearAll"),C.OperationType=g.vatLogOperationTypeEnum.ClearData,C.UpdateState=r.instant("ClearSuccess"),h.addOperationLog(C),i.showInitTable=!0,i.showImportTable=!1,i.showErrorTable=!1,i.ImportErrorTab=!1,i.ImportErrorTag=!1,v.clearProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportInvoiceMap,g.FinishStatusEnum.NotFinished),v.setImportSubStatus(g.VatImportSubStatus.isInvoiceMapImport,!1),o.debug("clear invoiceMapping clear: "+p.project.importSubStatus.isInvoiceMapImport),d.success(r.instant("ClearSuccess")),D(),O())})}}).error(function(){d.error(r.instant("PleaseContactAdministrator"))})},O=function(){u.GetInvoiceMappings(I).success(function(e){0<e.length?(i.validationType=10,u.getValidationList(i.validationType,I).success(function(e){if(0<e.length){var t=1;e.forEach(function(e){e.index=t++}),i.errorList=e,i.gridOptionsErrorMsg.data=e,i.ImportErrorTab=!0,i.ImportErrorTag=!0,i.errorMsg=r.instant("ImportErrorMsg").formatObj({NumberOfError:i.errorList.length}),i.toggleErrorTab(),i.showErrorTable=!0}else i.errorList=[],i.gridOptionsErrorMsg.data=[],i.showErrorTable=!1,i.ImportErrorTab=!1,i.ImportErrorTag=!1})):(i.haveImported=!1,i.showErrorTable=!1,i.ImportErrorTab=!1,i.ImportErrorTag=!1),i.excelSource={sheetNameList:[],dataList:[]},i.mapppingList=e;var t=1;i.mapppingList.forEach(function(e){e.index=t,t++}),i.gridOptions.data=i.mapppingList,i.gridOptions.noData=0===i.mapppingList.length,i.isImportView=!1,i.firstDataRow=null,p.dataChanged=!1}).error(function(){d.error(r.instant("PleaseContactAdministrator"))})};i.$watch("selectedFileName",function(e,t){e&&e!==t&&(!function(t){if(t){if(0!=!t.name.endsWith(".xls")&&!t.name.endsWith(".xlsx"))return d.warning(r.instant("ImportFileInvalidType"));if(i.initIncomeInvoiceList=[],y=0,!t.$error){var e=PWC.newGuid()+".dat";l.upload({url:f,data:{filename:t.name,tempFileName:e,file:t},resumeChunkSize:i.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:s.tokenType+" "+s.apiToken()},__RequestVerificationToken:i.token,withCredentials:!0}).then(function(e){y++,i.fileName=t.name,1===y&&(i.tempFileName=e.data,b(0))})}}}(i.selectedFileName),i.ImportErrorTab=!1,i.ImportErrorTag=!1,D())}),i.gridOptionsErrorMsg={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:m.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:m.scrollbars.enableVerticalScrollbar,columnDefs:[{name:r.instant("Icon"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span><img data-ng-src="{{grid.appScope.errorLevelToString(row.entity.errorLevel)}}"><span></div>'},{name:r.instant("SequenceNo"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:r.instant("ErrorResult"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.validationResult}}<span></div>'},{name:r.instant("ErrorCount"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.number}}<span></div>'},{name:r.instant("ErrorDetail"),width:"35%",cellTemplate:'<div ng-if="row.entity.isShowDetail === 1" class="ui-grid-cell-contents"><span><a  ng-click="grid.appScope.openTab(row.entity.erpCheckTypeId,row.entity.validationDetails)">查看明细</a><span></div><div  ng-if="row.entity.isShowDetail !== 1" class="ui-grid-cell-contents" title="{{row.entity.validationDetails}}"><span>{{row.entity.validationDetails}}<span></div>'},{name:r.instant("ValidationTips"),width:"25%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.validationTips}}"><span>{{row.entity.validationTips}}<span></div>'}],onRegisterApi:function(e){i.errorGridApi=e}},i.errorLevelToString=function(e){return 0===e?"/app-resources/images/vat/error.png":1===e?"/app-resources/images/vat/warning.png":"/app-resources/images/vat/tips.png"},i.toggleErrorTab=function(){i.errorGridApi.core.handleWindowResize(),i.ImportErrorTag=!i.ImportErrorTag,i.ImportErrorTag?parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","190px"),$("#topIcon").css({bottom:"-381px"}),$(".error-info-wrapper").css("height","190px")):P()};i.openTab=function(e,t){var n=JSON.parse(t);45===e&&E(n)},i.deleteDupData=function(){var e=$("#gridDuplicatedValidation").dxDataGrid("instance"),a=[];e.getSelectedRowsData().done(function(e){for(var t=0;t<e.length;t++){var n=r.instant("tranCode")+":"+e[t].TranCode+","+r.instant("period")+":"+e[t].Period+","+r.instant("vid")+":"+e[t].VID+","+r.instant("vGroup")+":"+e[t].Group+","+r.instant("itemID")+"："+e[t].ItemID;a.push(n)}}),e.getSelectedRowKeys().done(function(e){e&&0===e.length?d.warning(r.instant("DeleteEmptyWarning")):(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=a.join(";"),C.OperationName=r.instant("DeleteDuplicateData"),C.OperationType=g.vatLogOperationTypeEnum.DeleteDuplicate,u.deleteInvoiceMappings(e).success(function(e){e&&(C.UpdateState=r.instant("DeleteSuccess"),h.addOperationLog(C),u.validDBInvoiceMapping(I).success(function(e){e?(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=r.instant("invoiceMappingDesc"),C.OperationName=r.instant("RefreshValidationData"),C.OperationType=g.vatLogOperationTypeEnum.Refresh,C.UpdateState=r.instant("RefreshSuccess"),h.addOperationLog(C),$("#duplicatedValidationModal").modal("hide"),d.success(r.instant("DeleteSuccess")),O()):d.warning(r.instant("RefreshTbFail"))}).error(function(e){d.error(r.instant("PleaseContactAdministrator"))}))}).error(function(e){d.error(r.instant("PleaseContactAdministrator"))}))})},i.refreshData=function(){C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=r.instant("invoiceMappingDesc"),C.OperationName=r.instant("RefreshValidationData"),C.OperationType=g.vatLogOperationTypeEnum.Refresh,u.validDBInvoiceMapping(I).success(function(e){e?(C.UpdateState=r.instant("RefreshSuccess"),h.addOperationLog(C),O(),d.success(r.instant("RefreshSuccess"))):d.warning(r.instant("RefreshTbFail"))}).error(function(e){d.error(r.instant("PleaseContactAdministrator"))})};var E=function(e){i.detailData=e;var t=[{caption:r.instant("tranCode"),dataField:"TranCode",width:180},{caption:r.instant("period"),dataField:"Period",width:100},{caption:r.instant("vGroup"),dataField:"Group",width:180},{caption:r.instant("vid"),dataField:"VID",width:180},{caption:r.instant("itemID"),dataField:"ItemID",dataType:"date",width:180}];i.deferStatus=!0,i.filterCondition=["IsDuplicate","=",!0],i.gridDuplicatedOptions={columns:t,bindingOptions:{"dataSource.store.data":"detailData","selection.deferred":"deferStatus",selectionFilter:"filterCondition"},dataSource:{store:{type:"array",key:"ID"}},selection:{mode:"multiple",selectAllMode:"allPages",showCheckBoxesMode:"always"},hoverStateEnabled:!0,paging:{pageSize:10}},$("#duplicatedValidationModal").modal("show")},P=function(){$("#content-resizer").css("bottom","65px"),$("#topIcon").css({bottom:"-501px"}),$(".error-info-wrapper").css("height","65px")};i.getGridHeight=function(){return i.isLoadComplete?{height:$(".balance-ouput-grid-wrapper").height()+"px"}:{height:"0px"}},i.getErrorGridHeight=function(){if(i.isLoadComplete){var e=$("#error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}},i.showOperateLogPop=function(){i.isShowLog=!0};var N,A;i.StartRowNum=2,i.isImportView=!1,i.mapppingList=[],i.mappingRow=null,i.firstDataRow=null,i.selectedColumnMap=[],i.selectedFileName="",i.excelSource={sheetNameList:[],dataList:[]},i.selectedSheet={sheetName:"",sheetIndex:0,topRowNumber:0},w(),i.gridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableFullRowSelection:!1,enableRowSelection:!1,enableSorting:!1,enableFiltering:!1,enableColumnMenus:!1,enableRowHeaderSelection:!1,enableHorizontalScrollbar:m.scrollbars.NEVER,columnDefs:[{field:"index",name:r.instant("ImportErrorPopUpNoCol"),width:"10%",headerCellClass:"",enableFiltering:!1,cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{field:"tranCode",name:r.instant("tranCode"),width:"30%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.tranCode}}">{{row.entity.tranCode}}<span></div>'},{field:"invoiceCode",name:r.instant("invoiceCode"),width:"30%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.invoiceCode}}">{{row.entity.invoiceCode}}</span></div>'},{field:"invoiceNumber",name:r.instant("invoiceNumber"),width:"30%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.invoiceNumber}}">{{row.entity.invoiceNumber}}</span></div>'}],onRegisterApi:function(e){i.gridApiTotal=e}},i.gridOptions.noData=!1,N=[],A=constant.vatPermission.dataImport.invoiceMapping.importCode,N.push(A),i.$root.checkUserOrganizationPermissionList(N).success(function(e){i.hasImportPermission=e[A]}),i.mapppingList=O(),i.clear=M,i.changeSheet=b,i.mappingColumn=S,i.save2Server=x,i.showInitTable=!0,i.showImportTable=!1,n(function(){i.isLoadComplete=!0},500)}]),vatModule.directive("vatInvoiceMapping",["$log",function(e){"use strict";return e.debug("vatInvoiceMapping.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/vat-invoice-mapping/vat-invoice-mapping.html?_="+Math.random(),replace:!0,scope:{},controller:"vatInvoiceMappingController",link:function(e,t,n){e.token=$('input[name="__RequestVerificationToken"]').val()}}}]),vatModule.controller("vatVoucherMappingController",["$scope","$log","$timeout","$q","$interval","$translate","loginContext","apiInterceptor","Upload","dataImportService","SweetAlert","vatImportService","vatSessionService","uiGridConstants","enums","vatCommonService","vatOperationLogService",function(s,l,n,e,t,c,a,i,o,r,d,u,p,m,g,v,h){"use strict";l.debug("vatVoucherMappingController.ctor()...");var f=i.vatWebApiHostUrl+"/FileUpload/NewFile",y=0,I=p.month;p.project.id;s.chunkSize=1e5,s.columnNum=1,s.period=I,s.showErrorTable=!1,s.showInitTable=!1,s.showImportTable=!1,s.moduleid=g.vatModuleEnum.Import_VoucherMapping;var C={};C.ModuleID=s.moduleid,C.CreatorID=p.logUser.ID,C.OperationObject=c.instant("voucherMappingDesc"),C.Comment=p.project.name+" "+p.project.year+"年"+p.month+"月",C.Period=I;c.instant("ColumnsMapErrorType"),c.instant("JournalEntryVIDEmptyErrorType"),c.instant("JournalEntryGroupEmptyErrorType"),c.instant("JournalEntryItemIDEmptyErrorType"),c.instant("JournalEntryPeriodFormatErrorType"),c.instant("TrancodeParseEmptyErrorType"),c.instant("NumOutRangeErrorType"),c.instant("OutputStringLengthType"),c.instant("StartRowError");var w=function(){s.allColumns=[c.instant("PleaseSelectColumn"),c.instant("tranCode"),c.instant("period"),c.instant("vGroup"),c.instant("vid"),c.instant("itemID")],s.necessoryColumns=[c.instant("tranCode"),c.instant("period"),c.instant("vGroup"),c.instant("vid"),c.instant("itemID")]};s.$on(g.vatEvent.layoutChanged,function(){s.gridApiTotal.core.handleWindowResize(),s.errorGridApi.core.handleWindowResize()});var S=function(e,t,n){if(n){var a=s.selectedColumnMap[e];if(a===s.allColumns[t])return;(s.selectedColumnMap[e]=n)!==c.instant("PleaseSelectColumn")?(s.allColumns.splice(t,1),a&&a!==c.instant("PleaseSelectColumn")&&s.allColumns.push(a)):a&&s.allColumns.push(a)}l.debug(s.selectedColumnMap)},D=function(){w(),s.selectedColumnMap=[]},b=function(e){s.showErrorTable=!1,s.selectedSheet.sheetIndex=e,D(),_.isString(s.tempFileName)&&(s.excelSource={sheetNameList:[],dataList:[]},u.getFileContent(s.tempFileName,s.selectedSheet.sheetIndex,s.selectedSheet.topRowNumber).success(function(e){if(e&&!1===e.result)return s.showInitTable=!0,s.showImportTable=!1,void d.warning(e.resultMsg);var t=1;e.dataList.forEach(function(e){e.index=t++}),s.showInitTable=!1,s.showImportTable=!0,s.excelSource=e,s.columnNum=e.dataList[0].length,s.firstDataRow=e.dataList[0],s.startRowList=_.range(e.lastRowIndex),s.selectedSheet.sheetName=s.excelSource.sheetNameList[s.selectedSheet.sheetIndex],p.dataChanged=!0}).error(function(){d.error(c.instant("PleaseContactAdministrator"))}))};function T(t){for(var e=[],n=s.StartRowNum-1;n<s.excelSource.dataList.length;n++){var a={Index:s.excelSource.dataList[n].index,Period:-1<$.inArray(c.instant("period"),s.selectedColumnMap)?s.excelSource.dataList[n][$.inArray(c.instant("period"),s.selectedColumnMap)]:I,Group:s.excelSource.dataList[n][$.inArray(c.instant("vGroup"),s.selectedColumnMap)],VID:s.excelSource.dataList[n][$.inArray(c.instant("vid"),s.selectedColumnMap)],ItemID:s.excelSource.dataList[n][$.inArray(c.instant("itemID"),s.selectedColumnMap)],TranCode:s.excelSource.dataList[n][$.inArray(c.instant("tranCode"),s.selectedColumnMap)]};e.push(a)}var i,o,r=(i=e,o=[],s.AllDataSamePeriodFlag=!0,i.forEach(function(e){parseInt(e.Period)===I?o.push(e):s.AllDataSamePeriodFlag=!1}),o);0!=r.length?s.AllDataSamePeriodFlag?u.SaveVourcherMappings(r,I,t).success(function(e){e&&e.result&&(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=s.fileName,2===t?(C.OperationName=c.instant("AddImportBtn"),C.OperationType=g.vatLogOperationTypeEnum.AddImport):1===t&&(C.OperationName=c.instant("ConverImportBtn"),C.OperationType=g.vatLogOperationTypeEnum.CoverImport),C.UpdateState=c.instant("ImportSuccess"),h.addOperationLog(C),s.showInitTable=!0,s.showImportTable=!1,s.showErrorTable=!1,s.ImportErrorTab=!1,s.ImportErrorTag=!1,v.importSetProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportVoucherMap,g.FinishStatusEnum.Finished),v.setImportSubStatus(g.VatImportSubStatus.isVoucherMapImport,!0),l.debug("import voucherMapping save2Server: "+p.project.importSubStatus.isVoucherMapImport),d.success(c.instant("ImportSuccess")),D(),O(),s.fileName="")}).error(function(){d.error(c.instant("PleaseContactAdministrator"))}):swal({title:"warning!",text:c.instant("PeriodDifferenceTip"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:c.instant("Yes"),cancelButtonText:c.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&u.SaveVourcherMappings(r,I,t).success(function(e){e&&e.result&&(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=s.fileName,2===t?(C.OperationName=c.instant("AddImportBtn"),C.OperationType=g.vatLogOperationTypeEnum.AddImport):1===t&&(C.OperationName=c.instant("ConverImportBtn"),C.OperationType=g.vatLogOperationTypeEnum.CoverImport),C.UpdateState=c.instant("ImportSuccess"),h.addOperationLog(C),s.showInitTable=!0,s.showImportTable=!1,s.showErrorTable=!1,s.ImportErrorTab=!1,s.ImportErrorTag=!1,v.importSetProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportVoucherMap,g.FinishStatusEnum.Finished),v.setImportSubStatus(g.VatImportSubStatus.isVoucherMapImport,!0),l.debug("import voucherMapping save2Server: "+p.project.importSubStatus.isVoucherMapImport),d.success(c.instant("ImportSuccess")),D(),O(),s.fileName="")}).error(function(){d.error(c.instant("PleaseContactAdministrator"))})}):d.warning(c.instant("noCurMonthRecordErrorMsg"))}var x=function(t){0!=s.excelSource.sheetNameList.length?p.project.projectStatusList[I]>=constant.ProjectStatusEnum.Generated?swal({title:"warning!",text:c.instant("IsConfirmToReImport").formatObj({status:v.getProjectStautsEnumDesc(p.project.projectStatusList[I])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:c.instant("Yes"),cancelButtonText:c.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?n(function(){T(t)},300):swal.close()}):T(t):d.warning(c.instant("PleaseSelectFileFirst"))},M=function(){swal({title:"warning!",text:c.instant("ClearTips"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:c.instant("Yes"),cancelButtonText:c.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){if(e){u.SaveVourcherMappings([],I,1).success(function(e){e&&e.result&&(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent="",C.OperationName=c.instant("ClearAll"),C.OperationType=g.vatLogOperationTypeEnum.ClearData,C.UpdateState=c.instant("ClearSuccess"),h.addOperationLog(C),s.showInitTable=!0,s.showImportTable=!1,s.showErrorTable=!1,s.ImportErrorTab=!1,s.ImportErrorTag=!1,v.clearProjectStatus(projectDbName,I,constant.DictionaryDictKey.WFImportVoucherMap,g.FinishStatusEnum.NotFinished),v.setImportSubStatus(g.VatImportSubStatus.isVoucherMapImport,!1),l.debug("clear voucherMapping clear: "+p.project.importSubStatus.isVoucherMapImport),d.success(c.instant("ClearSuccess")),D(),O())})}}).error(function(){d.error(c.instant("PleaseContactAdministrator"))})},O=function(){u.GetVourcherMappings(I).success(function(e){0<e.length?(s.validationType=11,u.getValidationList(s.validationType,I).success(function(e){if(0<e.length){var t=1;e.forEach(function(e){e.index=t++}),s.errorList=e,s.gridOptionsErrorMsg.data=e,s.ImportErrorTab=!0,s.ImportErrorTag=!0,s.errorMsg=c.instant("ImportErrorMsg").formatObj({NumberOfError:s.errorList.length}),s.toggleErrorTab(),s.showErrorTable=!0}else s.errorList=[],s.gridOptionsErrorMsg.data=[],s.showErrorTable=!1,s.ImportErrorTab=!1,s.ImportErrorTag=!1})):(s.haveImported=!1,s.showErrorTable=!1,s.ImportErrorTab=!1,s.ImportErrorTag=!1),s.excelSource={sheetNameList:[],dataList:[]},s.mapppingList=e;var t=1;s.mapppingList.forEach(function(e){e.index=t,t++}),s.gridOptions.data=s.mapppingList,s.gridOptions.noData=0===s.mapppingList.length,s.firstDataRow=null,p.dataChanged=!1}).error(function(){d.error(c.instant("PleaseContactAdministrator"))})};s.$watch("selectedFileName",function(e,t){e&&e!==t&&(!function(t){if(t){if(!t.name.endsWith(".xls")&&!t.name.endsWith(".xlsx"))return d.warning(c.instant("ImportFileInvalidType"));if(s.initIncomeInvoiceList=[],y=0,!t.$error){var e=PWC.newGuid()+".dat";o.upload({url:f,data:{filename:t.name,tempFileName:e,file:t},resumeChunkSize:s.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:i.tokenType+" "+i.apiToken()},__RequestVerificationToken:s.token,withCredentials:!0}).then(function(e){y++,s.fileName=t.name,1===y&&(s.tempFileName=e.data,b(0))})}}}(s.selectedFileName),s.ImportErrorTab=!1,s.ImportErrorTag=!1,D())}),s.gridOptionsErrorMsg={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:m.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:m.scrollbars.enableVerticalScrollbar,columnDefs:[{name:c.instant("Icon"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span><img data-ng-src="{{grid.appScope.errorLevelToString(row.entity.errorLevel)}}"><span></div>'},{name:c.instant("SequenceNo"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:c.instant("ErrorResult"),width:"20%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.validationResult}}<span></div>'},{name:c.instant("ErrorCount"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.number}}<span></div>'},{name:c.instant("ErrorDetail"),width:"35%",cellTemplate:'<div ng-if="row.entity.isShowDetail === 1" class="ui-grid-cell-contents"><span><a  ng-click="grid.appScope.openTab(row.entity.erpCheckTypeId,row.entity.validationDetails)">查看明细</a><span></div><div  ng-if="row.entity.isShowDetail !== 1" class="ui-grid-cell-contents" title="{{row.entity.validationDetails}}"><span>{{row.entity.validationDetails}}<span></div>'},{name:c.instant("ValidationTips"),width:"24%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.validationTips}}"><span>{{row.entity.validationTips}}<span></div>'}],onRegisterApi:function(e){s.errorGridApi=e}},s.errorLevelToString=function(e){return 0===e?"/app-resources/images/vat/error.png":1===e?"/app-resources/images/vat/warning.png":"/app-resources/images/vat/tips.png"};s.openTab=function(e,t){var n=JSON.parse(t);45===e&&E(n)},s.deleteDupData=function(){var e=$("#gridDuplicatedValidation").dxDataGrid("instance"),a=[];e.getSelectedRowsData().done(function(e){for(var t=0;t<e.length;t++){var n=c.instant("tranCode")+":"+e[t].TranCode+","+c.instant("period")+":"+e[t].Period+","+c.instant("vid")+":"+e[t].VID+","+c.instant("vGroup")+":"+e[t].Group+","+c.instant("itemID")+"："+e[t].ItemID;a.push(n)}}),e.getSelectedRowKeys().done(function(e){e&&0===e.length?d.warning(c.instant("DeleteEmptyWarning")):(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=a.join(";"),C.OperationName=c.instant("DeleteDuplicateData"),C.OperationType=g.vatLogOperationTypeEnum.DeleteDuplicate,u.deleteVourcherMappings(e).success(function(e){e&&(C.UpdateState=c.instant("DeleteSuccess"),h.addOperationLog(C),u.validDBVoucherMapping(I).success(function(e){e?(C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=c.instant("invoiceMappingDesc"),C.OperationName=c.instant("RefreshValidationData"),C.OperationType=g.vatLogOperationTypeEnum.Refresh,C.UpdateState=c.instant("RefreshSuccess"),h.addOperationLog(C),$("#duplicatedValidationModal").modal("hide"),d.success(c.instant("DeleteSuccess")),O()):(C.UpdateState=c.instant("RefreshTbFail"),h.addOperationLog(C),d.warning(c.instant("RefreshTbFail")))}).error(function(e){d.error(c.instant("PleaseContactAdministrator"))}))}).error(function(e){C.UpdateState=c.instant("RefreshTbFail"),h.addOperationLog(C),d.error(c.instant("PleaseContactAdministrator"))}))})},s.refreshData=function(){C.ID=PWC.newGuid(),C.CreateTime=new Date,C.UpdateTime=new Date,C.OperationContent=c.instant("voucherMappingDesc"),C.OperationName=c.instant("RefreshValidationData"),C.OperationType=g.vatLogOperationTypeEnum.Refresh,u.validDBVoucherMapping(I).success(function(e){e?(C.UpdateState=c.instant("RefreshSuccess"),h.addOperationLog(C),O(),d.success(c.instant("RefreshSuccess"))):d.warning(c.instant("RefreshTbFail"))}).error(function(e){d.error(c.instant("PleaseContactAdministrator"))})},s.toggleErrorTab=function(){s.errorGridApi.core.handleWindowResize(),s.ImportErrorTag=!s.ImportErrorTag,s.ImportErrorTag?parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","190px"),$("#topIcon").css({bottom:"-381px"}),$(".error-info-wrapper").css("height","190px")):P()};var E=function(e){s.detailData=e;var t=[{caption:c.instant("tranCode"),dataField:"TranCode",width:180},{caption:c.instant("period"),dataField:"Period",width:100},{caption:c.instant("vGroup"),dataField:"Group",width:180},{caption:c.instant("vid"),dataField:"VID",width:180},{caption:c.instant("itemID"),dataField:"ItemID",dataType:"date",width:180}];s.deferStatus=!0,s.filterCondition=["IsDuplicate","=",!0],s.gridDuplicatedOptions={columns:t,bindingOptions:{"dataSource.store.data":"detailData","selection.deferred":"deferStatus",selectionFilter:"filterCondition"},dataSource:{store:{type:"array",key:"ID"}},selection:{mode:"multiple",selectAllMode:"allPages",showCheckBoxesMode:"always"},hoverStateEnabled:!0,paging:{pageSize:10}},$("#duplicatedValidationModal").modal("show")},P=function(){$("#content-resizer").css("bottom","65px"),$("#topIcon").css({bottom:"-501px"}),$(".error-info-wrapper").css("height","65px")};s.getGridHeight=function(){return s.isLoadComplete?{height:$(".balance-ouput-grid-wrapper").height()+"px"}:{height:"0px"}},s.getErrorGridHeight=function(){if(s.isLoadComplete){var e=$("#error-info-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)+"px"}:{height:"0px"}}return{}},s.showOperateLogPop=function(){s.isShowLog=!0};var N,A;s.StartRowNum=2,s.mapppingList=[],s.mappingRow=null,s.firstDataRow=null,s.selectedColumnMap=[],s.selectedFileName="",s.excelSource={sheetNameList:[],dataList:[]},s.selectedSheet={sheetName:"",sheetIndex:0,topRowNumber:0},s.clear=M,s.changeSheet=b,s.mappingColumn=S,s.save2Server=x,s.showInitTable=!0,s.showImportTable=!1,w(),s.gridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,enableFullRowSelection:!1,enableRowSelection:!1,enableSorting:!1,enableFiltering:!1,enableColumnMenus:!1,enableRowHeaderSelection:!1,enableHorizontalScrollbar:m.scrollbars.NEVER,columnDefs:[{field:"index",name:c.instant("ImportErrorPopUpNoCol"),width:"10%",headerCellClass:"",enableFiltering:!1,cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{field:"tranCode",name:c.instant("tranCode"),width:"18%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.tranCode}}">{{row.entity.tranCode}}<span></div>'},{field:"period",name:c.instant("period"),width:"18%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span title="{{row.entity.period}}">{{row.entity.period}}</span></div>'},{field:"group",name:c.instant("vGroup"),width:"18%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.group}}">{{row.entity.group}}</span></div>'},{field:"vid",name:c.instant("vid"),width:"18%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.vid}}">{{row.entity.vid}}</span></div>'},{field:"itemID",name:c.instant("itemID"),width:"18%",headerCellClass:"",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.itemID}}">{{row.entity.itemID}}</span></div>'}],onRegisterApi:function(e){s.gridApiTotal=e}},s.gridOptions.noData=!1,O(),N=[],A=constant.vatPermission.dataImport.voucherMapping.importCode,N.push(A),s.$root.checkUserOrganizationPermissionList(N).success(function(e){s.hasImportPermission=e[A]}),n(function(){s.isLoadComplete=!0},500)}]),vatModule.directive("vatVoucherMapping",["$log",function(e){"use strict";return e.debug("vatVoucherMapping.ctor()..."),{restrict:"E",templateUrl:"/app/vat/import/vat-voucher-mapping/vat-voucher-mapping.html?_="+Math.random(),replace:!0,scope:{},controller:"vatVoucherMappingController",link:function(e,t,n){e.token=$('input[name="__RequestVerificationToken"]').val()}}}]),invoiceModule.controller("InvoiceManageInfrastructureController",["$scope","$log","$q","$timeout","loginContext","$translate","$location","templateGroupService","citSessionService","vatReportService","$state",function(e,t,n,a,i,o,r,s,l,c,d){"use strict";t.debug("InvoiceManageController.ctor()...");var u=function(e){e.isExpand=!e.isExpand};e.groups=[],e.groups.push({id:"0",name:o.instant("OutputInvoiceTitle"),sref:".main",isExpand:!0,children:[{id:"1",name:o.instant("BillingManagement"),sref:".billingManage"},{id:"2",name:o.instant("InvoiceSearch"),sref:".invoiceQuery"}]}),e.groups.push({id:"1",name:o.instant("IncomeInvoiceManage"),sref:".main",isExpand:!0,children:[{id:"1",name:o.instant("NoInvoiceVerify"),sref:".noInvoiceVerify"},{id:"2",name:o.instant("PendingReturnInvoice"),sref:".pendingRefundInvoice"},{id:"3",name:o.instant("MappingInvoice"),sref:".mapInvoice"}]}),e.expend=!0,e.toggleGroup=u}]),invoiceModule.directive("invoiceManageInfrastructure",["$log","$rootScope","$timeout","enums",function(e,a,i,o){"use strict";return e.debug("invoiceManageInfrastructure.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-infrastructure/invoice-manage-infrastructure.html?_="+Math.random(),replace:!0,scope:{state:"="},controller:"InvoiceManageInfrastructureController",link:function(e,t,n){Split(["#vat-report-nav-menu","#vat-report-content"],{sizes:[15,85],minSize:[1,1330],onDragEnd:function(){i(function(){a.$broadcast(o.vatEvent.layoutChanged,{})},700)}}),e.isCollapsed=!1}}}]),invoiceModule.directive("invoiceManageMainUploadElectronicInvoice",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMainUploadPaperInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-main-upload-electronic-invoice/invoice-manage-main-upload-electronic-invoice.html?_="+Math.random(),scope:{},controller:"invoiceManageMainUploadElectronicInvoiceController",link:function(e,t){$(window).on("resize",function(){})}}}]),invoiceModule.controller("invoiceManageMainUploadElectronicInvoiceController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","InvoiceManageService","Upload",function(i,e,t,n,a,o,r,s,l,c,d,u,p){"use strict";i.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString(),firstPage:o.instant("PagingFirstPage"),previousPage:o.instant("PagingPreviousPage"),nextPage:o.instant("PagingNextPage"),lastPage:o.instant("PagingLastPage")},i.searchFilterOptions=[],i.searchEntity=[],i.translated={NoData:o.instant("NoDataText"),pleaseSelect:o.instant("ChoosePlaceholder"),pleaseInput:o.instant("InputPlaceholder")};var m={fileList:[],path:"C:\\Users\\admin\\Desktop\\Scan\\Temp",strEx:".jpg",userId:"90CEF6C1C1C0762000D2"},g=-1,v=s.webApiHostUrl+"/invoiceManage/UploadInvoiceFile";i.invoiceUpload={loadRecogKenal:function(){return 0==(g=objBillOcr.InitRecogForm(m.userId))||(a.warning("核心加载失败,返回值："+g),!1)},freeRecogKenal:function(){objBillOcr.UninitRecogForm()},scanUpload:function(){if(invoiceUpload.loadRecogKenal()){objBillOcr.SetFormTypes(document.IDScanRecog.BillType.value,3),objBillOcr.SetDeviceAdvancedParams(6,0),objBillOcr.SetDeviceAdvancedParams(10,10);for(var e=1;e;){var t={},n=(new Date).toDateString("yyyyMMddHHmmss"),a=m.path+"\\"+n+m.strEx;t.filePath=a,t.fileName=n,0!=(g=objBillOcr.AcquireNewImage(a))&&(t.message="扫描失败,返回值:"+g,t.status=!1),m.fileList.push(t),e=objBillOcr.IsHavePaper()}invoiceUpload.initFiles(),m.fileList.forEach(function(e){if(e.status){0!=(g=objBillOcr.LoadImages(e.filePath))&&(e.message="加载图片不成功,返回值:"+g,e.status=!1),g=objBillOcr.RecognizeForm(),e.status=0==g||(e.message="识别不成功,返回值:"+g,!1);var t=objBillOcr.GetRecogCellCount(),n={};if(0<t)for(var a=0;a<t;++a){var i=objBillOcr.GetFieldName(a);strResult+=i,strResult+=":";var o=objBillOcr.GetRecognizeResult(a);"票据类型"==i&&(o="1"==o?"普票":"专票"),n[i]=o}e.itemData=n,invoiceUpload.updateFileStatus(e)}}),invoiceUpload.freeRecogKenal()}},initFiles:function(){},updateFileStatus:function(e){},uploadInvoiceFile:function(e,t){if(e&&e.length)for(var n=0;n<e.length;n++){var a=e[n];if(!a.$error){var i=PWC.newGuid()+".dat",o=$('input[name="__RequestVerificationToken"]').val();p.upload({url:v,data:{cancel:!1,filename:a.name,tempFileName:i,file:a,inputInvoice:t},resumeChunkSize:1e5,headers:{"Access-Control-Allow-Origin":"*",Authorization:s.tokenType+" "+s.apiToken(),from:"taxAdmin@cn.pwc.com"},__RequestVerificationToken:o,withCredentials:!0}).then(uploadInvoiceSuccess)}}},uploadInvoiceSuccess:function(e){}};var h={populateInvoiceSourceTypList:function(){i.searchFilterOptions.invoiceSourceList=h.translateEnumValue(constant.inputInvoice.invoiceSourceTypeArray)},repaintInvoiceGrid:function(){i.setInvoiceGridHeight()},translateEnumValue:function(e){return e&&0!=e.length?(e.forEach(function(e){e.value=o.instant(e.value)}),e):null},populatePagingSelection:function(){for(var e=[],t=constant.page.pageSizeArrary,n=0;n<t.length;n++){var a={id:t[n],value:t[n]};e.push(a)}i.pagingOptions.pagingSelection=e}};i.uploadToServer=function(){i.uploadInvoiceList};e.debug("invoiceManageMainUploadElectronicInvoiceController.ctor()..."),function(){i.uploadInvoiceList=[];for(var e=0;e<3;e++){var t={id:e,value:e+" invoice",isCheckAll:!1,currentInvoiceList:[{id:0,value:"58913988777",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:0,value:"58913988777",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:0,value:"58913988777",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:0,value:"58913988777",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:0,value:"58913988777",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:0,value:"58913988777",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:1,value:"58913988007",status:constant.uploadStatus.failure,time:"2017/08/20 12:30"},{id:2,value:"58913988807",status:constant.uploadStatus.failure,time:"2017/08/20 12:30"},{id:3,value:"58213988807",status:constant.uploadStatus.success,time:"2017/08/20 12:30"},{id:4,value:"68913988807",status:constant.uploadStatus.duplicate,time:"2017/08/20 12:30"}]};i.uploadInvoiceList.push(t)}}(),i.searchEntityOptions={selectinvoiceSourceTypeOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.invoiceSourceType",dataSource:"searchFilterOptions.invoiceSourceList"},onValueChanged:function(e){i.showPoOptions=!1,i.showStaffOptions=!1,e.value==constant.inputInvoice.invoiceSourceType.InvoiceNonRawMaterialPurchase.id?i.showPoOptions=!0:e.value==constant.inputInvoice.invoiceSourceType.InvoiceClaim.id&&(i.showStaffOptions=!0)},placeholder:i.translated.pleaseSelect,showClearButton:!1,noDataText:i.translated.NoData},checkAllOptions:{onValueChanged:function(t){var e=t.model.template;e&&(e.isCheckAll=t.value,e.currentInvoiceList.forEach(function(e){e.isCheckAll=t.value})),console.log(t.element)}},staffIdOPtions:{bindingOptions:{value:"searchEntity.staffID"},placeholder:i.pleaseInput,showClearButton:!1},PoNumberOptions:{bindingOptions:{value:"searchEntity.poNumber"},placeholder:i.pleaseInput,showClearButton:!1}},h.populateInvoiceSourceTypList()}]),invoiceModule.controller("invoiceManageMainUploadIndexController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","$location",function(e,t,n,a,i,o,r,s,l,c,d,u){"use strict";e.uploadPaperInvoice=function(){u.path("/invoiceManagement/main/uploadPaperInvoice")},e.uploadElecInvoice=function(){u.path("/invoiceManagement/main/uploadElecInvoice")},e.uploadScannerInvoice=function(){u.path("/invoiceManagement/main/uploadScanInvoice")},t.debug("invoiceManageMainUploadIndexController.ctor()...")}]),invoiceModule.directive("invoiceManageMainUploadIndex",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMainUploadIndex.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-main-upload-index/invoice-manage-main-upload-index.html?_="+Math.random(),scope:{},controller:"invoiceManageMainUploadIndexController",link:function(e,t){$(window).on("resize",function(){})}}}]),invoiceModule.controller("invoiceManageMainUploadPaperInvoiceController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","InvoiceManageService",function(i,e,t,n,a,o,r,s,l,c,d,u){"use strict";i.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString(),firstPage:o.instant("PagingFirstPage"),previousPage:o.instant("PagingPreviousPage"),nextPage:o.instant("PagingNextPage"),lastPage:o.instant("PagingLastPage")},i.searchFilterOptions=[],i.searchEntity=[],i.translated={NoData:o.instant("NoDataText"),pleaseSelect:o.instant("ChoosePlaceholder"),pleaseInput:o.instant("InputPlaceholder")};var p={populateInvoiceSourceTypList:function(){i.searchFilterOptions.invoiceSourceList=p.translateEnumValue(constant.inputInvoice.invoiceSourceTypeArray)},repaintInvoiceGrid:function(){i.setInvoiceGridHeight()},translateEnumValue:function(e){return e&&0!=e.length?(e.forEach(function(e){e.value=o.instant(e.value)}),e):null},populatePagingSelection:function(){for(var e=[],t=constant.page.pageSizeArrary,n=0;n<t.length;n++){var a={id:t[n],value:t[n]};e.push(a)}i.pagingOptions.pagingSelection=e}};i.uploadToServer=function(){i.uploadInvoiceList};e.debug("invoiceManageMainUploadPaperInvoice.ctor()..."),function(){i.uploadInvoiceList=[];for(var e=0;e<10;e++){for(var t=[],n=0;n<10;n++)t.push({id:n,value:"invoice"+n});var a={id:e,value:e+" invoice",isCheckAll:!1,currentInvoiceList:t};i.uploadInvoiceList.push(a)}}(),i.searchEntityOptions={selectinvoiceSourceTypeOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.invoiceSourceType",dataSource:"searchFilterOptions.invoiceSourceList"},onValueChanged:function(e){i.showPoOptions=!1,i.showStaffOptions=!1,e.value==constant.inputInvoice.invoiceSourceType.InvoiceNonRawMaterialPurchase.id?i.showPoOptions=!0:e.value==constant.inputInvoice.invoiceSourceType.InvoiceClaim.id&&(i.showStaffOptions=!0)},placeholder:i.translated.pleaseSelect,showClearButton:!1,noDataText:i.translated.NoData},checkAllOptions:{onValueChanged:function(t){var e=t.model.template;e&&(e.isCheckAll=t.value,e.currentInvoiceList.forEach(function(e){e.isCheckAll=t.value})),console.log(t.element)}},staffIdOPtions:{bindingOptions:{value:"searchEntity.staffID"},placeholder:i.pleaseInput,showClearButton:!1},PoNumberOptions:{bindingOptions:{value:"searchEntity.poNumber"},placeholder:i.pleaseInput,showClearButton:!1}},p.populateInvoiceSourceTypList()}]),invoiceModule.directive("invoiceManageMainUploadPaperInvoice",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMainUploadPaperInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-main-upload-paper-invoice/invoice-manage-main-upload-paper-invoice.html?_="+Math.random(),scope:{},controller:"invoiceManageMainUploadPaperInvoiceController",link:function(e,t){$(window).on("resize",function(){})}}}]),invoiceModule.controller("invoiceManageMainUploadScanInvoiceController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","InvoiceManageService",function(o,n,e,t,i,r,s,a,l,c,d,u){"use strict";o.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString(),firstPage:r.instant("PagingFirstPage"),previousPage:r.instant("PagingPreviousPage"),nextPage:r.instant("PagingNextPage"),lastPage:r.instant("PagingLastPage")},o.translated={NoData:r.instant("NoDataText"),pleaseSelect:r.instant("ChoosePlaceholder"),pleaseInput:r.instant("InputPlaceholder"),deleteBtn:r.instant("BtnDelete"),editBtn:r.instant("BtnEdit"),confirmDeleteMsg:r.instant("IsDelete")},o.searchFilterOptions={},o.invoiceEntity={},o.datagrid={},o.isShowModal=!1,o.uploadInvoiceTotalCount=0,o.existSystemInvoiceList={},o.batchDeletedDisabled=!1;var p={success:{id:constant.inputInvoice.invoiceUploadStatus.success.id,value:r.instant(constant.inputInvoice.invoiceUploadStatus.success.value)},failure:{id:constant.inputInvoice.invoiceUploadStatus.failure.id,value:r.instant(constant.inputInvoice.invoiceUploadStatus.failure.value)},duplicate:{id:constant.inputInvoice.invoiceUploadStatus.duplicate.id,value:r.instant(constant.inputInvoice.invoiceUploadStatus.duplicate.value)}},m=function(e){var t=s.defer();return u.invoiceUploadFromScan(e).success(function(e){e&&t.resolve(e)}),t.promise},g={getMsg:function(e,t){var n=e;return(t=t||!1)||(n=r.instant(e)),n},success:function(e,t){var n=this.getMsg(e,t);i.success(n)},warning:function(e,t){var n=this.getMsg(e,t);i.warning(n)},confirm:function(e,t,n){var a=s.defer();return i.swal({title:e,text:t,html:!0,type:"warning",customClass:n||"",showCancelButton:!0,confirmButtonColor:"#DD6B55",allowOutsideClick:!1,confirmButtonText:r.instant("Confirm"),cancelButtonText:r.instant("Cancel"),closeOnConfirm:!0,closeOnCancel:!0},function(e){a.resolve(e)}),a.promise},info:function(e,t,n){var a=s.defer();return i.swal({title:e,text:t,html:!0,type:"warning",customClass:n||"",showCancelButton:!1,confirmButtonColor:"#DD6B55",allowOutsideClick:!1,confirmButtonText:r.instant("Confirm"),cancelButtonText:r.instant("Cancel"),closeOnConfirm:!0,closeOnCancel:!1},function(e){a.resolve(e)}),a.promise}},v={populateInvoiceSourceTypList:function(){o.searchFilterOptions.invoiceSourceList=v.translateEnumValue(constant.inputInvoice.invoiceSourceTypeArray)},repaintInvoiceGrid:function(){o.setInvoiceGridHeight()},translateEnumValue:function(e){return e&&0!=e.length?(e.forEach(function(e){e.value=r.instant(e.value)}),e):null},populatePagingSelection:function(){for(var e=[],t=constant.page.pageSizeArrary,n=0;n<t.length;n++){var a={id:t[n],value:t[n]};e.push(a)}o.pagingOptions.pagingSelection=e}};o.validationService={duplicateValidation:function(t,n){var e=angular.copy(o.invoiceGridDataSource);return!(0<_.filter(e,function(e){return e.invoiceCode==t&&e.invoiceNumber==n}).length)&&(e=angular.copy(o.existSystemInvoiceList),!(0<_.filter(e,function(e){return e.invoiceCode==t&&e.invoiceNumber==n}).length))},lengthValidation:function(e,t){return 8==e.length&&8==t.length}},o.eventServie={addNewInvoiceModal:function(){o.newInvoiceEntity={},o.newInvoiceUpdated=!1,o.newInvoiceOperateType=constant.Operation.Add},editInvoiceModal:function(e){o.newInvoiceEntity=e,o.newInvoiceUpdated=!1,o.newInvoiceOperateType=constant.Operation.Edit},updateInvoiceRow:function(e){},addInvoiceRow:function(e){var t={id:PWC.newGuid(),invoiceCode:e&&e.invoiceCode||"",invoiceNumber:e&&e.invoiceNumber||"",amount:e&&e.amount||0,invoiceDate:e&&e.invoiceDate||"",uploadStatus:p.success.id};o.validationService.lengthValidation(t.invoiceCode,t.invoiceNumber)?o.validationService.duplicateValidation(t.invoiceCode,t.invoiceNumber)||(t.uploadStatus=p.duplicate.id):t.uploadStatus=p.failure.id;o.invoiceGridDataSource||(o.invoiceGridDataSource=[]),o.invoiceGridDataSource.push(t)},parseScanCode:function(e){if(e&&0!=e.length){var t=e.split(","),n=t[5],a=n.substr(0,4)+"-"+n.substr(4,2)+"-"+n.substr(6,2),i={invoiceCode:t[2],invoiceNumber:t[3],amount:parseFloat(t[4]).toFixed(2),invoiceDate:a};o.eventServie.addInvoiceRow(i)}},uploadToServer:function(){var e=o.invoiceGridDataSource;return 0<_.filter(e,function(e){return e.uploadStatus==p.failure.id}).length?(g.warning("请修改上传状态失败的数据",!0),!1):0<_.filter(e,function(e){return e.uploadStatus==p.duplicate.id}).length?(g.warning("请修改上传状态重复的数据",!0),!1):void m(o.invoiceGridDataSource).then(function(e){e&&(g.success("上传成功",!0),o.invoiceGridDataSource=[])})},deleteRow:function(e){for(var t=o.invoiceGridDataSource,n=0;n<t.length;n++)if(t[n].id===e.id){t.splice(n,1);break}o.invoiceGridDataSource=t},batchDelete:function(){o.invoiceGridDataSource&&o.datagrid.selectedItems&&0!=o.datagrid.selectedItems.length&&g.confirm(o.translated.confirmDeleteMsg,"").then(function(e){o.datagrid.selectedItems.forEach(function(e){o.eventServie.deleteRow(e)})})}},o.$watch("newInvoiceUpdated",function(e,t){e&&(console.log("newInvoiceEntity: "+JSON.stringify(o.newInvoiceEntity)),o.newInvoiceEntity.remarks&&0<o.newInvoiceEntity.remarks.length&&(o.newInvoiceEntity.status=invoiceStatusType.InvoiceHasAddRecord.id),o.newInvoiceEntity.operationAction==constant.Operation.Edit?o.eventServie.updateInvoiceRow(o.newInvoiceEntity):o.newInvoiceEntity.operationAction==constant.Operation.Add&&o.eventServie.addInvoiceRow(o.newInvoiceEntity))});var h="#txtInvoiceOptions",f=function(){v.populateInvoiceSourceTypList(),o.scanInvoiceGridOptions={bindingOptions:{dataSource:"invoiceGridDataSource"},selection:{mode:"multiple",showCheckBoxesMode:"always"},paging:{enabled:!1},allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,rowAlternationEnabled:!0,showBorders:!0,noDataText:r.instant("NoDataText"),selectAllText:r.instant("SelectAll"),onContentReady:function(e){o.scanInvoiceGridInstance=e.component,o.uploadInvoiceTotalCount=e.component.totalCount()},onSelectionChanged:function(e){o.datagrid.selectedItems=e.selectedRowsData,o.datagrid.selectedRecourdCount=e.selectedRowsData.length,o.selectedItemIDs=_.pluck(e.selectedRowsData,"id"),o.batchDeletedDisabled=0==o.selectedItemIDs.length},columns:[{dataField:"invoiceCode",caption:r.instant("InvoiceFPDM")},{dataField:"invoiceNumber",caption:r.instant("InvoiceFPHM")},{dataField:"amount",caption:r.instant("FaceTaxAmount")},{dataField:"invoiceDate",caption:r.instant("InvoiceDate")},{dataField:"invoiceSourceType",caption:r.instant("InvoiceSource"),width:150,cellTemplate:function(e,t){try{$("<div />").dxSelectBox({displayExpr:"value",valueExpr:"id",dataSource:o.searchFilterOptions.invoiceSourceList,value:t.data.invoiceSourceType,onValueChanged:function(e){t.data.invoiceSourceType=e.value,t.component.repaintRows(t.rowIndex)},height:25,placeholder:o.pleaseSelect,showClearButton:!1,noDataText:o.translated.NoData}).appendTo(e)}catch(e){n.error(e)}}},{dataField:"PoOrStaff",caption:"",width:150,cellTemplate:function(e,t){try{e.empty(),t.data.invoiceSourceType==constant.inputInvoice.invoiceSourceType.InvoiceClaim.id?$('<div class="staff-id" />').dxTextBox({onValueChanged:function(e){t.data.staffID=e.value},height:25,placeholder:"输入员工编号",showClearButton:!1}).appendTo(e):t.data.invoiceSourceType==constant.inputInvoice.invoiceSourceType.InvoiceNonRawMaterialPurchase.id&&$('<div class="po-id" />').dxTextBox({onValueChanged:function(e){t.data.poNumber=e.value},height:25,placeholder:"输入PO编号",showClearButton:!1}).appendTo(e)}catch(e){n.error(e)}}},{dataField:"uploadStatus",caption:r.instant("UploadStatus"),alignment:"left",cellTemplate:function(e,t){try{t.data.uploadStatus===p.failure.id?$("<span class='status-fail span-btn' />").text(p.failure.value).appendTo(e):t.data.uploadStatus===p.success.id?$("<span class='status-nomal' />").text(p.success.value).appendTo(e):t.data.uploadStatus===p.duplicate.id&&$("<span class='status-duplicate' />").text(p.duplicate.value).appendTo(e)}catch(e){n.error(e)}}},{dataField:"id",caption:r.instant("Operation"),cellTemplate:function(e,t){try{$("<span class='span-btn' />").text(o.translated.editBtn).on("click",function(){o.eventServie.editInvoiceModal(t.data)}).appendTo(e),$("<span class='span-btn' />").text(o.translated.deleteBtn).on("click",function(){g.confirm(o.translated.confirmDeleteMsg,"").then(function(e){o.eventServie.deleteRow(t.data)})}).appendTo(e)}catch(e){n.error(e)}}}]},$(h).dxTextBox({bindingOptions:{value:"invoiceString"},valueChangeEvent:"change",onValueChanged:function(e){if(console.log("e:"+e.value),e.value&&""!=e.value&&""===e.previousValue)try{o.invoiceString=e.value,o.eventServie.parseScanCode(e.value),$(h).focus()}catch(e){}finally{d(function(){e.component.option("value",""),o.invoiceString=""},0)}},placeholder:"",showClearButton:!0})};n.debug("invoiceManageMainUploadScanInvoiceController.ctor()..."),f()}]),invoiceModule.directive("invoiceManageMainUploadScanInvoice",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMainUploadPaperInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-main-upload-scan-invoice/invoice-manage-main-upload-scan-invoice.html?_="+Math.random(),scope:{},controller:"invoiceManageMainUploadScanInvoiceController",link:function(e,t){$(window).on("resize",function(){})}}}]),invoiceModule.controller("invoiceManageMainController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","InvoiceManageService","$location","Upload",function(o,i,e,r,s,l,c,d,t,n,a,u,p,m){"use strict";var g=".invoice-manage-main";o.pleaseSelect=l.instant("ChoosePlaceholder"),o.pleaseInput=l.instant("InputPlaceholder"),o.pagingOptions={pageIndex:1,totalItems:100,pageSize:constant.page.pageSizeArrary[1]},o.searchEntity={},o.datagrid={},o.hasShowMoreSearchBox=!1,o.selectedRecourdCount=0;o.translated={NoData:l.instant("NoDataText"),pleaseSelect:l.instant("ChoosePlaceholder"),pleaseInput:l.instant("InputPlaceholder")};var v={getMsg:function(e,t){var n=e;return(t=t||!1)||(n=l.instant(e)),n},success:function(e,t){var n=this.getMsg(e,t);s.success(n)},warning:function(e,t){var n=this.getMsg(e,t);s.warning(n)},confirm:function(e,t,n){var a=c.defer();return s.swal({title:e,text:t,html:!0,type:"warning",customClass:n||"",showCancelButton:!0,confirmButtonColor:"#DD6B55",allowOutsideClick:!1,confirmButtonText:l.instant("Confirm"),cancelButtonText:l.instant("Cancel"),closeOnConfirm:!0,closeOnCancel:!0},function(e){a.resolve(e)}),a.promise},info:function(e,t,n){var a=c.defer();return s.swal({title:e,text:t,html:!0,type:"warning",customClass:n||"",showCancelButton:!1,confirmButtonColor:"#DD6B55",allowOutsideClick:!1,confirmButtonText:l.instant("Confirm"),cancelButtonText:l.instant("Cancel"),closeOnConfirm:!0,closeOnCancel:!1},function(e){a.resolve(e)}),a.promise}},h=function(t,n){var a=new Object,i=angular.element(e[0].querySelector(g));return a.open=function(){var e=r.open({animation:!0,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:t,windowClass:n,scope:o,appendTo:i});a.modalInstance=e},a.close=function(e){a.modalInstance&&a.modalInstance.close(e)},a.cancel=function(){a.modalInstance&&a.modalInstance.dismiss("cancel")},a};o.modalService={invoiceVerify:{open:function(){o.verifyInvoiceModalInstance=h("uploadInvoiceVerify.html","importVerifyInvoiceModal"),o.verifyInvoiceModalInstance.open()},save:function(){f.uplodFile()},cancel:function(){o.verifyInvoiceModalInstance.cancel()}},invoiceDetail:{open:function(){o.invoiceDetailTableInstance=h("invoiceDetailTable.html","invoice-table-dialog"),o.invoiceDetailTableInstance.open()},save:function(){o.invoiceDetailTableInstance.cancel()},cancel:function(){o.invoiceDetailTableInstance.cancel()}}};var f={resumable:!0,uploadUrl:d.webApiHostUrl+"/invoiceManage/UploadInvoiceVerifyFile",uplodFile:function(){var e=o.$$childTail.invoiceVerifyfile,t=e&&o.$$childTail.invoiceVerifyfile.name;if(t){var n=PWC.newGuid()+".dat",a=$('input[name="__RequestVerificationToken"]').val();m.upload({url:f.uploadUrl,data:{cancel:!1,filename:t,tempFileName:n},file:e,resumeChunkSize:f.resumable?o.chunkSize:null,headers:{"Access-Control-Allow-Origin":"*",Authorization:d.tokenType+" "+d.apiToken(),__RequestVerificationToken:a,withCredentials:!0},withCredentials:!0}).then(function(e){e.data.result?(v.success("文件上传成功"),o.verifyInvoiceModalInstance.close(),o.eventService.refreshInvoiceDataGrid()):v.warning(e.data.resulMsg,!0)})}else v.warning("请先选择文件",!0)}},y=function(){var t=c.defer();return u.getInvoiceFilterBasicData().success(function(e){e&&(o.searchFilterOptions||(o.searchFilterOptions={}),o.searchFilterOptions={invoiceStatusList:D.translateEnumValue(e.invoiceStatusList),invoiceEntityList:D.translateEnumValue(e.invoiceEntityList),invoiceTypeList:D.translateEnumValue(e.invoiceTypeList),invoiceSourceList:D.translateEnumValue(e.invoiceSourceList),invoiceUploadTypeList:D.translateEnumValue(e.invoiceUploadTypeList)},o.refundReasons=D.translateEnumValue(e.invoiceRefundReasonList),t.resolve(e))}),t.promise},I=function(){var t=c.defer(),e={InvoiceQuery:o.searchEntity,pagingDto:o.pagingOptions};return u.getInputInvoiceList(e).success(function(e){e&&(o.pagingOptions.totalItems=e.pageInfo&&e.pageInfo.totalCount,e&&e.list&&e.list.forEach(function(e){e.statusString=l.instant(e.statusString),e.invoiceEntityTypeString=l.instant(e.invoiceEntityTypeString),e.invoiceSourceTypeString=l.instant(e.invoiceSourceTypeString),e.invoiceTypeString=l.instant(e.invoiceTypeString),e.uploadTypeString=l.instant(e.uploadTypeString),e.uploadDate=moment(e.uploadDate).format(constant.date.dateFormatUppercase),e.invoiceDate=moment(e.invoiceDate).format(constant.date.dateFormatUppercase)}),o.invoiceGridDataSource=e.list,t.resolve(e))}),t.promise},C=function(e){var t=c.defer();return u.invoiceManualRecognize(e).success(function(e){e&&t.resolve(e)}),t.promise},w=function(e){var t=c.defer();return u.invoiceExamination(e).success(function(e){e&&t.resolve(e)}),t.promise},S=function(e,t){var n=c.defer();return u.updateInvoiceStatus(t,e).success(function(e){e&&n.resolve(e)}),n.promise},D={repaintInvoiceGrid:function(){o.setInvoiceGridHeight()},translateEnumValue:function(e){return e&&0!=e.length?(e.forEach(function(e){e.value=l.instant(e.value)}),e):null}};o.eventService={gotoUploadIndexPage:function(){p.path("/invoiceManagement/main/uploadIndex")},checkHasItemSelected:function(){return!(!o.datagrid.selectedItems||0==o.datagrid.selectedItems.length)||(v.warning("请至少选择一条记录",!0),!1)},invoiceManualRecognize:function(){if(!o.eventService.checkHasItemSelected())return!1;if(0<_.filter(o.datagrid.selectedItems,function(e){return e.status!==constant.inputInvoice.statusType.InvoiceHasUpload.id&&e.status!==constant.inputInvoice.statusType.InvoiceHasAddRecord.id}).length)v.warning("只有已上传或者已补录的发票可以做发票识别",!0);else{var e=_.pluck(o.datagrid.selectedItems,"id");C(e).then(function(e){e&&v.success("发票识别成功",!0)})}},invoiceExamination:function(){if(!o.eventService.checkHasItemSelected())return!1;if(0<_.filter(o.datagrid.selectedItems,function(e){return e.status!==constant.inputInvoice.statusType.InvoiceRecognizeSuccess.id}).length)v.warning("只有识别成功的发票可以做验真",!0);else{var e=_.pluck(o.datagrid.selectedItems,"id");w(e).then(function(e){e&&v.success("发票验真成功",!0)})}},refundInovice:function(){if(!o.eventService.checkHasItemSelected())return!1;o.selectedItemIDs=_.pluck(o.datagrid.selectedItems,"id"),o.showRefundModal=!0},verifyInvoice:function(){},expireInvoice:function(){if(!o.eventService.checkHasItemSelected())return!1;var t=_.pluck(o.datagrid.selectedItems,"id"),n=stant.inputInvoice.statusType.InvoiceHasExpired.id;v.confirm("确认要把选中的发票进行失效处理吗？","").then(function(e){e&&S(t,n).then(function(e){e&&v.success("处理成功",!0)})})},refreshInvoiceDataGrid:function(){I().then(function(e){a(function(){D.repaintInvoiceGrid()},100)})}},o.dataGridService={manualRecognizInvoice:function(e){var t=[];e&&t.push(e.id),0<t.length&&C(t).then(function(e){e&&v.success("发票识别成功",!0)})},invoiceExamination:function(e){var t=[];e&&t.push(e.id),0<t.length&&w(t).then(function(e){e&&v.success("发票验真成功",!0)})},refundInovice:function(e){var t=[];e&&t.push(e.id),o.selectedItemIDs=t,o.showRefundModal=!0},matchTicketAccount:function(e){},invoiceManualExamination:function(e){o.isShowExaminationModal=!0,o.selectedInvoiceEntity=e}},o.searchboxService={showOrHideSearchBox:function(){o.hasShowMoreSearchBox=!o.hasShowMoreSearchBox,a(function(){D.repaintInvoiceGrid()},50)},searchInvoice:function(){console.log("searchEntity:"+JSON.stringify(o.searchEntity)),o.pagingOptions.pageIndex=1,o.eventService.refreshInvoiceDataGrid()}};var b=function(){var e,t;$("#invoiceDatePicker,#uploadDatepicker").datepicker({language:n}),e="id",t="value",o.searchEntityOptions={selectboxBuyerNameOptions:{bindingOptions:{value:"searchEntity.buyerName"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},txtSellerNameBoxOptions:{bindingOptions:{value:"searchEntity.sellerName"},placeholder:o.pleaseInput,showClearButton:!0},txtInvoiceNumberOptions:{bindingOptions:{value:"searchEntity.invoiceNumber"},placeholder:o.pleaseInput,showClearButton:!0},selectstatusOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"searchEntity.status",dataSource:"searchFilterOptions.invoiceStatusList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},selectinvoiceSourceTypeOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"searchEntity.invoiceSourceType",dataSource:"searchFilterOptions.invoiceSourceList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},selectInvoiceTypeOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"searchEntity.invoiceType",dataSource:"searchFilterOptions.invoiceTypeList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},txtAmountOptions:{bindingOptions:{value:"searchEntity.amount"},placeholder:o.pleaseInput,showClearButton:!0,noDataText:o.translated.NoData},selectInvoiceEntityTypeOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"searchEntity.invoiceEntityType",dataSource:"searchFilterOptions.invoiceEntityList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},selectInvoiceUploadTypeOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"searchEntity.invoiceUploadType",dataSource:"searchFilterOptions.invoiceUploadTypeList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData}},o.invoiceGridOptions={bindingOptions:{dataSource:"invoiceGridDataSource"},headerFilter:{visible:!0,texts:{cancel:l.instant("Cancel"),ok:l.instant("Confirm"),emptyValue:l.instant("Empty"),selectAllText:"全选"}},selection:{mode:"multiple",showCheckBoxesMode:"always"},paging:{enabled:!1},hoverStateEnabled:!0,allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,showBorders:!0,noDataText:l.instant("NoDataText"),selectAllText:l.instant("SelectAll"),onContentReady:function(e){o.invoiceGridInstance=e.component},onCellPrepared:function(e){"data"===e.rowType&"select"===e.column.command&&(e.data.status===constant.inputInvoice.statusType.InvoiceHasRefund.id||e.data.status===constant.inputInvoice.statusType.InvoiceHasExpired.id)&&(e.cellElement.find(".dx-select-checkbox").hide(),e.cellElement.off())},onSelectionChanged:function(e){o.datagrid.selectedItems=e.selectedRowsData,o.selectedRecourdCount=e.selectedRowsData.length},columns:[{dataField:"invoiceCode",caption:l.instant("InvoiceFPDM"),allowHeaderFiltering:!1},{dataField:"invoiceNumber",caption:l.instant("InvoiceFPHM"),allowHeaderFiltering:!1,cellTemplate:function(e,t){try{$('<a class="invoiceNumber-link">').text(t.value).on("click",function(){o.selectedInvoice=t.data,o.modalService.invoiceDetail.open()}).appendTo(e)}catch(e){i.error(e)}}},{dataField:"statusString",caption:l.instant("InvoiceStatus"),allowHeaderFiltering:!0},{dataField:"buyerName",caption:l.instant("BuyerName"),width:100,allowHeaderFiltering:!1},{dataField:"buyerTaxNumber",caption:l.instant("BuyerTaxNumber"),width:100,allowHeaderFiltering:!1},{dataField:"sellerName",caption:l.instant("SellerName"),width:100,allowHeaderFiltering:!1},{dataField:"sellerTaxNumber",caption:l.instant("SellerTaxNumber"),width:100,allowHeaderFiltering:!1},{dataField:"amount",caption:l.instant("FaceTaxAmount"),width:60,allowHeaderFiltering:!1},{dataField:"taxAmount",caption:l.instant("InvoiceSE"),allowHeaderFiltering:!1},{dataField:"invoiceDate",caption:l.instant("InvoiceDate"),allowHeaderFiltering:!1},{dataField:"invoiceEntityTypeString",caption:l.instant("InvoiceEntity"),allowHeaderFiltering:!1},{dataField:"invoiceTypeString",caption:l.instant("InvoiceFPLX"),allowHeaderFiltering:!1},{dataField:"uploadDate",caption:l.instant("UploadDate"),allowHeaderFiltering:!1},{dataField:"invoiceSourceTypeString",caption:l.instant("InvoiceSource"),allowHeaderFiltering:!1},{dataField:"uploadTypeString",caption:l.instant("UploadType"),allowHeaderFiltering:!1},{dataField:"statusString",caption:l.instant("InvoiceStatus"),allowHeaderFiltering:!0},{dataField:"id",caption:l.instant("Operation"),allowHeaderFiltering:!1,cellTemplate:function(e,t){try{var n=t.data,a=constant.inputInvoice.statusType;n.status==a.InvoiceHasUpload.id||n.status==a.InvoiceHasAddRecord.id?$("<span class='span-btn' />").text("识别").on("click",function(){o.dataGridService.manualRecognizInvoice(n)}).appendTo(e):n.status==a.InvoiceRecognizeSuccess.id?$("<span class='span-btn' />").text("验真").on("click",function(){o.dataGridService.invoiceExamination(n)}).appendTo(e):n.status==a.InvoiceUnrecognize.id?($("<span class='span-btn' />").text("退票").on("click",function(){o.dataGridService.refundInovice(n)}).appendTo(e),$("<span class='span-btn' />").text("重新识别").on("click",function(){o.dataGridService.manualRecognizInvoice(n)}).appendTo(e)):n.status==a.InvoiceRecognizeFailure.id?$("<span class='span-btn' />").text("退票").on("click",function(){o.dataGridService.refundInovice(n)}).appendTo(e):n.status==a.InvoiceVerifyFailure.id?$("<span class='span-btn' />").text("手动验真").on("click",function(){o.dataGridService.invoiceManualExamination(n)}).appendTo(e):n.status==a.InvoicePendingMatch.id&&($("<span class='span-btn' />").text("票账匹配").on("click",function(){o.dataGridService.matchTicketAccount(n)}).appendTo(e),$("<span class='span-btn' />").text("退票").on("click",function(){o.dataGridService.refundInovice(n)}).appendTo(e))}catch(e){i.error(e)}}}],masterDetail:{enabled:!0,template:"detail"},detailGridOptions:function(n){return{dataSource:new DevExpress.data.DataSource({load:function(e){var t=c.defer();return u.getInputInvoiceItemList(n).success(function(e){t.resolve({data:e,totalCount:e.length})}).error(function(){t.reject("Data Loading Error")})}}),noDataText:l.instant("NoDataText"),columnAutoWidth:!0,allowColumnResizing:!0,columns:[{dataField:"productionName",caption:l.instant("ProductAndService")},{dataField:"specification",caption:l.instant("Specifications")},{dataField:"unit",caption:l.instant("Unit")},{dataField:"quantity",caption:l.instant("Quantity")},{dataField:"unitPrice",caption:l.instant("UnitPrice")},{dataField:"amount",caption:l.instant("Amount")},{dataField:"taxRate",caption:l.instant("TaxRate")},{dataField:"taxAmount",caption:l.instant("TaxAmount")},{dataField:"remark",caption:l.instant("Remark")}]}}}},T=function(){o.searchFilterOptions={},o.hasShowMoreSearchBox=!0,o.searchboxService.showOrHideSearchBox(),o.eventService.refreshInvoiceDataGrid(),y()};i.debug("invoiceManageMainController.ctor()..."),b(),T()}]),invoiceModule.directive("invoiceManageMain",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMain.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-main/invoice-manage-main.html?_="+Math.random(),scope:{},controller:"invoiceManageMainController",link:function(e,t){e.setInvoiceGridHeight=function(){var e="#invoiceGridContainer",t=$(document).height()-$(".header-title").outerHeight()-$(".content-container .header").outerHeight(),n=t-$(".content-container .buttom-row").outerHeight()-$(".invoice-manage-main .page-footer").outerHeight()-50+"px";$(".content-container .body").css("height",t+"px"),$(".invoice-manage-main .grid-container").css("height",n),$(e).css("max-height","100%");try{$(e).dxDataGrid("instance").repaint()}catch(e){}},$(window).on("resize",function(){e.setInvoiceGridHeight()})}}}]),invoiceModule.controller("invoiceManageMapController",["InvoiceManageService","$scope","$log","$timeout","SweetAlert","$translate","uiGridConstants","apiInterceptor","$interval","$q",function(i,o,e,t,n,r,a,s,l,c){"use strict";o.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString()},o.translated={NoData:r.instant("NoDataText"),pleaseSelect:r.instant("ChoosePlaceholder"),pleaseInput:r.instant("InputPlaceholder")},o.relevanceType=-1,o.isFour=!1,o.isShowModal=!1,o.queryParam={},o.selectedInvoice=null;var d=[{id:1,value:"是"},{id:0,value:"否"}],u=new DevExpress.data.CustomStore({load:function(e){var t={totalCount:null};t.pageSize=o.pagingOptions.pageSize||10,t.pageIndex=o.pagingOptions.pageIndex;var n={QueryParam:o.queryParam,PagingDto:o.pagingOptions},a=c.defer();return i.getInvoiceRelevanceDisplayList(n).success(function(e){if(e){if(o.pagingOptions.totalItems=e.pageInfo&&e.pageInfo.totalCount,e.list&&0<e.list.length){var t="";t=e.list[0].orderIdentifier;for(var n=0;n<e.list.length;n++)1!==e.list[n].invoiceSourceType&&(e.list[n].sellerName="————",e.list[n].buyerName="————",e.list[n].orderAmount="————",e.list[n].orderDate="————",e.list[n].acceptNO="————"),e.list[n].statusString=r.instant(e.list[n].statusString),e.list[n].invoiceSourceTypeString=r.instant(e.list[n].invoiceSourceTypeString),e.list[n].invoiceTypeString=r.instant(e.list[n].invoiceTypeString),e.list[n].productionTypeString=r.instant(e.list[n].productionTypeString),e.list[n].invoiceDate=moment(e.list[n].invoiceDate).format(constant.date.dateFormatUppercase),e.list[n].isIncludedInTaxAmountString=null==e.list[n].isIncludedInTaxAmount?"":1==e.list[n].isIncludedInTaxAmount?"是":"否",0<n&&(t===e.list[n].orderIdentifier?(e.list[n].orderIdentifier="",e.list[n].sellerName="",e.list[n].buyerName="",e.list[n].orderAmount="",e.list[n].orderDate="",1!=e.list[n].invoiceSourceType&&(e.list[n].acceptNO=""),0):(0,t=e.list[n].orderIdentifier))}a.resolve(e.list)}}).error(function(){a.reject("Data Loading Error")}),a.promise}});o.thisDXGridService={initDXGridData:function(){$("#invoiceManageMapList").dxDataGrid({dataSource:{store:u},selection:{mode:"single"},paging:{enabled:!1},hoverStateEnabled:!0,showBorders:!0,allowColumnResizing:!0,columnResizingMode:"widget",columnAutoWidth:!0,noDataText:r.instant("NoDataText"),columns:[{caption:r.instant("OrderIdentifier"),dataField:"orderIdentifier"},{caption:r.instant("VendorName"),dataField:"sellerName"},{caption:r.instant("BuyerName"),dataField:"buyerName"},{caption:r.instant("OrderAmount"),dataField:"orderAmount"},{caption:r.instant("PurchaseDate"),dataField:"orderDate",dateType:"date"},{caption:r.instant("AcceptNO"),dataField:"acceptNO"},{caption:r.instant("invoiceCode"),dataField:"invoiceCode"},{caption:r.instant("invoiceNumber"),dataField:"invoiceNumber"},{caption:r.instant("FaceTaxAmount"),dataField:"amount"},{caption:r.instant("InvoiceKPRQ"),dataField:"invoiceDate"},{caption:r.instant("InvoiceFPLX"),dataField:"invoiceTypeString"},{caption:r.instant("InvoiceStatus"),dataField:"statusString"},{caption:r.instant("InvoiceSource"),dataField:"invoiceSourceTypeString"},{caption:r.instant("ProductionType"),dataField:"productionTypeString"},{caption:r.instant("VoucherNO"),dataField:"voucherNO"},{caption:r.instant("IsIncludedInTaxAmount"),dataField:"isIncludedInTaxAmountString"}],onSelectionChanged:function(e){e&&(o.selectedInvoice=e.selectedRowsData[0],o.relevanceType=o.selectedInvoice.invoiceSourceType,o.isFour=!0)}}),t(function(){o.thisDXGridService.repaintInvoiceGrid()},300)},repaintInvoiceGrid:function(){t(function(){o.setInvoiceGridHeight()},100)},refreshTable:function(){var e=$("#invoiceManageMapList").dxDataGrid("instance");e.clearSelection(),e.refresh(),o.thisDXGridService.repaintInvoiceGrid()}};var p={initQueryCondition:function(){var e="id",t="value";o.searchEntityOptions={txtOrderIdentifierOptions:{bindingOptions:{value:"queryParam.OrderIdentifier"},placeholder:r.instant("PleaseInputOrderIdentifierTips")},txtStartOrderAmountOptions:{bindingOptions:{value:"queryParam.orderAmountStart"}},txtEndOrderAmountOptions:{bindingOptions:{value:"queryParam.orderAmountEnd"}},txtVendorNameOptions:{bindingOptions:{value:"queryParam.sellerName"},placeholder:r.instant("PleaseInputVendorNameTips")},txtStartOrderDateOptions:{bindingOptions:{value:"queryParam.orderDateStart"}},txtEndOrderDateOptions:{bindingOptions:{value:"queryParam.orderDateEnd"}},selectboxIsIncludedInTaxAmountOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"queryParam.isIncludedInTaxAmount",dataSource:"searchFilterOptions.isIncludedInTaxAmountList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},txtAcceptNOOptions:{bindingOptions:{value:"queryParam.acceptNO"},placeholder:r.instant("PleaseInputAcceptNO")},txtStartAmountOptions:{bindingOptions:{value:"queryParam.totalPriceLowerCaseStart"},placeholder:""},txtEndAmountOptions:{bindingOptions:{value:"queryParam.totalPriceLowerCaseEnd"},placeholder:""},txtBuyerNameOptions:{bindingOptions:{value:"queryParam.buyerName"},placeholder:r.instant("PleaseInputBuyerName")},txtStartInvoiceDateOptions:{bindingOptions:{value:"queryParam.invoiceDateStart"},placeholder:""},txtEndInvoiceDateOptions:{bindingOptions:{value:"queryParam.invoiceDateEnd"},placeholder:""},selectboxInvoiceStatusOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"queryParam.invoiceStatus",dataSource:"searchFilterOptions.invoiceStatusList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},txtInvoiceNumberOptions:{bindingOptions:{value:"queryParam.invoiceNumber"},placeholder:r.instant("PleaseInputInvoiceNumber")},selectboxInvoiceSourceOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"queryParam.invoiceSourceType",dataSource:"searchFilterOptions.invoiceSourceList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},selectboxInvoiceTypeOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"queryParam.invoiceType",dataSource:"searchFilterOptions.invoiceTypeList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},selectboxProductTypeOptions:{displayExpr:t,valueExpr:e,bindingOptions:{value:"queryParam.productionType",dataSource:"searchFilterOptions.invoiceProductionTypeList"},placeholder:o.pleaseSelect,showClearButton:!0,noDataText:o.translated.NoData},txtVoucherNOOptions:{bindingOptions:{value:"queryParam.voucherNO"},placeholder:r.instant("PleaseInputVoucherNO")}}},openRelevanceModal:function(){o.selectedInvoice?7===o.selectedInvoice.status?o.isShowModal=!0:n.swal("当前选择的发票不能进行票帐匹配，只能选择状态为[待匹配]的发票！"):n.swal("请先选择一条发票信息！")},toggleQueryCondition:function(){o.expandAllQueryCondition=!o.expandAllQueryCondition,o.thisDXGridService.repaintInvoiceGrid()},loadRelevanceDataList:function(){o.thisDXGridService.refreshTable()},translateEnumValue:function(e){return e&&0!=e.length?(e.forEach(function(e){e.value=r.instant(e.value)}),e):null},getInvoiceFilterBasicData:function(){i.getInvoiceFilterBasicData().success(function(e){e&&(o.searchFilterOptions||(o.searchFilterOptions={}),o.searchFilterOptions={invoiceStatusList:p.translateEnumValue(e.invoiceStatusList),invoiceTypeList:p.translateEnumValue(e.invoiceTypeList),invoiceSourceList:p.translateEnumValue(e.invoiceSourceList),invoiceProductionTypeList:p.translateEnumValue(e.invoiceProductionTypeList),isIncludedInTaxAmountList:d})})}};o.expandAllQueryCondition=!1,e.debug("invoiceManageMapController.ctor()..."),p.initQueryCondition(),o.thisDXGridService.initDXGridData(),p.getInvoiceFilterBasicData(),o.showRevelanceModal=p.openRelevanceModal,o.toggleQueryCondition=p.toggleQueryCondition,o.queryRelevanceDataList=p.loadRelevanceDataList,o.thisDXGridService.repaintInvoiceGrid()}]),invoiceModule.directive("invoiceManageMap",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMap.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-map/invoice-manage-map.html?_="+Math.random(),scope:{},controller:"invoiceManageMapController",link:function(e,t){e.setInvoiceGridHeight=function(){var e="#invoiceManageMapList",t=$(document).height()-$(".invoice-manage-map .query-condition-wrapper").outerHeight()-$(".invoice-manage-map .operation-btn-row").outerHeight()-$(".invoice-manage-map .page-footer").outerHeight()-100,n=t+"px";$(".invoice-manage-map .search-result-wrapper").css("height",t+"px"),$(".invoice-manage-map .gridContainer").css("height",n),$(e).css("max-height","100%");try{$(e).dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){e.setInvoiceGridHeight()})}}}]),invoiceModule.controller("invoiceManageRefundController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","$interval","region","$timeout","InvoiceManageService",function(i,e,t,n,a,o,r,s,l,c,d){"use strict";i.hasShowMoreSearchBox=!1,i.selectedPlaceholder=0,i.translated={NoData:o.instant("NoDataText"),pleaseSelect:o.instant("ChoosePlaceholder"),pleaseInput:o.instant("InputPlaceholder")},i.filterStatusIDList=[3,4,7];var u=function(){var n=r.defer();return d.getInvoiceFilterBasicData().success(function(e){if(e){i.searchFilterOptions||(i.searchFilterOptions={});var t=_.filter(e.invoiceStatusList,function(e){return-1<i.filterStatusIDList.indexOf(e.id)});m.translateDictionary(t),m.translateDictionary(e.invoiceRefundReasonList),m.translateDictionary(e.invoiceEntityList),m.translateDictionary(e.invoiceTypeList),m.translateDictionary(e.invoiceSourceList),m.translateDictionary(e.invoiceUploadTypeList),i.refundReasons=e.invoiceRefundReasonList,i.searchFilterOptions={invoiceStatusList:t,invoiceEntityList:e.invoiceEntityList,invoiceTypeList:e.invoiceTypeList,invoiceSourceList:e.invoiceSourceList,invoiceUploadList:e.invoiceUploadTypeList},n.resolve(e)}}),n.promise},p=function(){d.invoiceManualRecognize(i.selectedItem).success(function(){}).error(function(){a.error("",o.instant("CommonFail"))})},m={repaintInvoiceGrid:function(){c(function(){i.setInvoiceGridHeight()},100)},translateDictionary:function(e){_.each(e,function(e){e.value=o.instant(e.value)})}};i.eventService={manualRecognize:function(){var e=_.where(i.selectedItem,{status:7});if(e&&0<e.length){var t=o.instant("NotMappingCondition").replace("@",notRecognizationList.length);a.warning("",t)}else p()},refundInovice:function(){i.showRefundModal=!0},refreshTable:function(){var e=$("#invoiceRefundGrid").dxDataGrid("instance");e.clearSelection(),e.refresh(),m.repaintInvoiceGrid()}},i.searchboxService={showOrHideSearchBox:function(){i.hasShowMoreSearchBox=!i.hasShowMoreSearchBox,m.repaintInvoiceGrid()},searchInvoice:function(){i.paging.pagingOptions.pageIndex=1,i.eventService.refreshTable()}},i.paging={pagingOptions:{pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString()}};var g=function(){var e;$("#invoiceDatePicker,#uploadDatepicker").datepicker({language:l}),function(){i.searchEntity={};var e="30px";i.searchEntityOptions={selectboxBuyerNameOptions:{bindingOptions:{value:"searchEntity.buyerName"},placeholder:i.pleaseSelect,showClearButton:!0,noDataText:i.translated.NoData,height:e},txtSellerNameBoxOptions:{bindingOptions:{value:"searchEntity.sellerName"},placeholder:i.pleaseInput,showClearButton:!0,height:e},txtInvoiceNumberOptions:{bindingOptions:{value:"searchEntity.invoiceNumber"},placeholder:i.pleaseInput,showClearButton:!0,height:e},selectstatusOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.status",dataSource:"searchFilterOptions.invoiceStatusList"},placeholder:i.pleaseSelect,showClearButton:!0,noDataText:i.translated.NoData,height:e},selectinvoiceSourceTypeOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.invoiceSourceType",dataSource:"searchFilterOptions.invoiceSourceList"},placeholder:i.pleaseSelect,showClearButton:!0,noDataText:i.translated.NoData,height:e},selectInvoiceTypeOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.invoiceType",dataSource:"searchFilterOptions.invoiceTypeList"},placeholder:i.pleaseSelect,showClearButton:!0,noDataText:i.translated.NoData,height:e},txtAmountOptions:{bindingOptions:{value:"searchEntity.amount"},placeholder:i.pleaseInput,showClearButton:!0,noDataText:i.translated.NoData,height:e},selectInvoiceEntityTypeOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.invoiceEntityType",dataSource:"searchFilterOptions.invoiceEntityList"},placeholder:i.pleaseSelect,showClearButton:!0,noDataText:i.translated.NoData,height:e},selectInvoiceUploadOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{value:"searchEntity.invoiceUploadType",dataSource:"searchFilterOptions.invoiceUploadList"},placeholder:i.pleaseSelect,showClearButton:!0,noDataText:i.translated.NoData,height:e},faceTaxFromOptions:{bindingOptions:{value:"searchEntity.AmountFrom"},height:e},faceTaxToOptions:{bindingOptions:{value:"searchEntity.AmountTo"},height:e}}}(),e=new DevExpress.data.CustomStore({load:function(e){var t={totalCount:null};t.pageSize=i.paging.pagingOptions.pageSize||10,t.pageIndex=i.paging.pagingOptions.pageIndex;var n={InvoiceQuery:i.searchEntity,pagingDto:t},a=r.defer();return d.getInputInvoiceRefundList(n).success(function(e){e&&(i.paging.pagingOptions.totalItems=e.pageInfo&&e.pageInfo.totalCount,a.resolve(e.list))}).error(function(){a.reject("Data Loading Error")}),a.promise},key:"id"}),i.invoiceRefundGridOptions={dataSource:{store:e},selection:{mode:"multiple",showCheckBoxesMode:"always"},loadPanel:{enabled:!1},paging:{enabled:!1},hoverStateEnabled:!0,allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,rowAlternationEnabled:!1,showBorders:!0,noDataText:o.instant("NoDataText"),onSelectionChanged:function(e){i.selectedItem=e.selectedRowsData,i.selectedItemIDs=_.pluck(e.selectedRowsData,"id"),i.selectedPlaceholder=e.selectedRowsData.length,i.disabled=!i.selectedItemIDs.length},onCellPrepared:function(e){"data"===e.rowType&"select"===e.column.command&&e.data.status===constant.inputInvoice.statusType.InvoiceHasRefund.id&&(e.cellElement.find(".dx-select-checkbox").hide(),e.cellElement.off())},columns:[{dataField:"invoiceCode",caption:o.instant("InvoiceFPDM")},{dataField:"invoiceNumber",caption:o.instant("InvoiceFPHM")},{dataField:"buyerName",caption:o.instant("BuyerName")},{dataField:"buyerTaxNumber",caption:o.instant("BuyerTaxNumber")},{dataField:"sellerName",caption:o.instant("SellerName")},{dataField:"sellerTaxNumber",caption:o.instant("SellerTaxNumber")},{dataField:"totalPriceLowerCase ",caption:o.instant("FaceTaxAmount")},{dataField:"taxAmount",caption:o.instant("InvoiceSE")},{dataField:"invoiceDate",caption:o.instant("InvoiceDate")},{dataField:"invoiceEntityType",caption:o.instant("InvoiceEntity"),calculateDisplayValue:function(e){return o.instant(e.invoiceEntityTypeString)}},{dataField:"invoiceType",caption:o.instant("InvoiceFPLX"),calculateDisplayValue:function(e){return o.instant(e.invoiceTypeString)}},{dataField:"UploadType",caption:o.instant("InvoiceModeWay"),calculateDisplayValue:function(e){return o.instant(e.uploadTypeString)}},{dataField:"uploadDate",caption:o.instant("UploadDate")},{dataField:"invoiceSourceType",caption:o.instant("InvoiceSource"),calculateDisplayValue:function(e){return o.instant(e.invoiceSourceTypeString)}},{dataField:"status",caption:o.instant("InvoiceStatus"),calculateDisplayValue:function(e){return o.instant(e.statusString)}}]}};e.debug("invoiceManageRefundController.ctor()..."),i.disabled=!0,i.showRefundModal=!1,g(),i.searchFilterOptions={},u(),i.hasShowMoreSearchBox=!0,i.searchboxService.showOrHideSearchBox()}]),invoiceModule.directive("invoiceManageRefund",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMain.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-refund/invoice-manage-refund.html?_="+Math.random(),scope:{},controller:"invoiceManageRefundController",link:function(e,t){e.setInvoiceGridHeight=function(){var e="#invoiceRefundGrid",t=$(document).height()-$(".invoice-manage-refund .header").outerHeight()-45,n=t-$(".content .btn-row").outerHeight()-$(".content .page-footer").outerHeight()-35+"px";$(".content").css("height",t+"px"),$(".invoice-manage-refund .grid-container").css("height",n),$(e).css("max-height","100%");try{$(e).dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){e.setInvoiceGridHeight()})}}}]),invoiceModule.controller("invoiceManageVerifyController",["$scope","$log","$document","SweetAlert","$uibModal","$translate","uiGridConstants","apiInterceptor","$interval","region","InvoiceManageService",function(i,e,a,t,o,n,r,s,l,c,d){"use strict";var u=function(){$("#invoiceDatepicker").datepicker({language:c,format:n.instant("dateFormat4YearMonthDay")}),i.verifyManagement={buyerNameOptions:{bindingOptions:{dataSource:"searchFilterOptions.invoiceBuyerList"},displayExpr:"value",valueExpr:"id",placeholder:n.instant("ChoosePlaceholder"),showClearButton:!0,height:"30px"},textBoxOptions:{height:"30px",placeholder:n.instant("InputPlaceholder")},faceTaxOptions:{value:null,height:"30px"},invoiceTypeOptions:{displayExpr:"value",valueExpr:"id",bindingOptions:{dataSource:"searchFilterOptions.invoiceTypeList"},placeholder:n.instant("ChoosePlaceholder"),showClearButton:!0,height:"30px"},buttonQueryOptions:{text:n.instant("Query"),onClick:function(){i.eventService.refreshTable()}},buttonGetVerifyListOptions:{text:n.instant("GetNotVerifyInvoice"),onClick:function(){i.NotVerifyManage.getAllNotVerifyList()}},buttonClearOptions:{text:n.instant("CertificationClearning"),onClick:function(){i.NotVerifyManage.UpdateVerifyList()},bindingOptions:{disabled:"disabled"}},verifyDataGridOptions:{bindingOptions:{dataSource:"verifyList"},selection:{mode:"multiple"},hoverStateEnabled:!0,noDataText:n.instant("NoDataAvailable"),columnAutoWidth:!0,showBorders:!0,allowColumnResizing:!0,onSelectionChanged:function(e){i.selectedItems=e.selectedRowsData,i.disabled=!i.selectedItems.length},columns:[{dataField:"invoiceCode",caption:n.instant("InvoiceFPDM"),cellTemplate:"invoiceCodeTemplate",alignment:"left"},{dataField:"invoiceNumber",caption:n.instant("InvoiceFPHM")},{dataField:"buyerName",caption:n.instant("BuyerName")},{dataField:"buyerTaxNumber",caption:n.instant("BuyerTaxNumber")},{dataField:"sellerName",caption:n.instant("SellerName")},{dataField:"sellerTaxNumber",caption:n.instant("SellerTaxNumber")},{dataField:"totalPriceLowerCase",caption:n.instant("FaceTaxAmount")},{dataField:"taxAmount",caption:n.instant("InvoiceSE")},{dataField:"invoiceDate",caption:n.instant("InvoiceDate")},{dataField:"invoiceEntityType",caption:n.instant("InvoiceEntity")},{dataField:"invoiceType",caption:n.instant("InvoiceFPLX")}],showInvoiceTable:function(e){i.selectedInvoice=e.data,i.verifyManagement.verifyDataGridOptions.thisModalService.open()},thisModalService:{modalInstance:null,open:function(){var e=".invoice-manage-verify",t=angular.element(a[0].querySelector(e)),n=o.open({animation:!0,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"invoiceTable.html",windowClass:"invoice-table-dialog",scope:i,appendTo:t});i.verifyManagement.verifyDataGridOptions.thisModalService.modalInstance=n},close:function(e){i.verifyManagement.verifyDataGridOptions.thisModalService.modalInstance&&i.verifyManagement.verifyDataGridOptions.thisModalService.modalInstance.close(e)},cancel:function(){i.verifyManagement.verifyDataGridOptions.thisModalService.modalInstance&&i.verifyManagement.verifyDataGridOptions.thisModalService.modalInstance.dismiss("cancel")}}}}},p=function(e){_.each(e,function(e){e.value=n.instant(e.value)})},m=function(){return angular.copy(i.fullData)};i.eventService={refreshTable:function(){var e=i.NotVerifyManage.queryList();if(i.paging.pagingOptions.totalItems=e.length,0<e.length){var n=i.paging.pagingOptions.pageSize,a=i.paging.pagingOptions.pageIndex;i.verifyList=_.filter(e,function(e,t){return(a-1)*n<=t&&t<a*n})}else i.verifyList=[]}},i.paging={pagingOptions:{pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString()}},i.NotVerifyManage={getAllNotVerifyList:function(){},updateVerifyList:function(){$("#verifyManagementGrid").dxDataGrid("instance").refresh()},queryList:function(e){var n=m();return _.each(i.query,function(t,e){if(t)switch(e){case"buyerNameQuery":n=_.where(n,{buyerName:t});break;case"sellerNameQuery":n=_.filter(n,function(e){return-1<e.sellerName.indexOf(t)});break;case"invoiceDateQueryStart":n=_.filter(n,function(e){return e.invoiceDate>=t});break;case"invoiceDateQueryEnd":n=_.filter(n,function(e){return e.invoiceDate<=t});break;case"totalPriceLowerCaseStartQuery":n=_.filter(n,function(e){return e.totalPriceLowerCase>=t});break;case"totalPriceLowerCaseEndQuery":n=_.filter(n,function(e){return e.totalPriceLowerCase<=t});break;case"invoiceNumberQuery":n=_.filter(n,function(e){return-1<e.invoiceNumber.indexOf(t)});break;case"invoiceTypeQuery":n=_.where(n,{invoiceType:t})}}),n},getVerifyFilterBasicData:function(){d.getVerifyFilterBasicData().success(function(e){e.result&&(p(e.data.invoiceTypeList),i.searchFilterOptions.invoiceTypeList=e.data.invoiceTypeList)}).error(function(){t.error("",n.instant("CommonFail"))})}},i.query={buyerNameQuery:null,sellerNameQuery:null,invoiceDateQueryStart:null,invoiceDateQueryEnd:null,totalPriceLowerCaseStartQuery:null,totalPriceLowerCaseEndQuery:null,invoiceNumberQuery:null,invoiceTypeQuery:null},e.debug("invoiceManageVerifyController.ctor()..."),i.selectedItems=[],i.disabled=!0,i.selectedInvoice=null,i.fullData=[],i.searchFilterOptions={},i.NotVerifyManage.getVerifyFilterBasicData(),i.fullData=[{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉南京工厂",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:137310.07,taxAmount:23342.71,invoiceDate:"2017-04-10",invoiceEntityType:"电子票",invoiceType:"普票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"已补录",invoiceName:"上海增值税普通发票",totalPriceUpperCase:"四百壹拾柒元整",items:[{productionName:"餐饮费",specification:"",unit:"项",quantity:1,unitPrice:404.85437,amount:404.85437,taxRate:.03,taxAmount:12.15},{productionName:"住宿费",specification:"",unit:"项",quantity:2,unitPrice:404.85437,amount:404.85437,taxRate:.03,taxAmount:12.15},{productionName:"交通及电话费用",specification:"",unit:"项",quantity:3,unitPrice:404.85437,amount:404.85437,taxRate:.03,taxAmount:12.15}]},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉南京工厂",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:137310.07,taxAmount:23342.71,invoiceDate:"2017-4-10",invoiceEntityType:"电子票",invoiceType:"普票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"待匹配"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉南京工厂",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:137310.07,taxAmount:23342.71,invoiceDate:"2017-4-10",invoiceEntityType:"电子票",invoiceType:"普票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"已匹配"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉南京工厂",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:49,taxAmount:8.33,invoiceDate:"2016-4-10",invoiceEntityType:"纸票",invoiceType:"专票",uploadDate:"2017-5-6",invoiceSource:"非原料集中采购",invoiceStatus:"识别成功"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉镇江工厂",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:25,taxAmount:4.25,invoiceDate:"2016-4-10",invoiceEntityType:"纸票",invoiceType:"专票",uploadDate:"2017-5-6",invoiceSource:"非原料集中采购",invoiceStatus:"已清理"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉镇江工厂",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:295,taxAmount:50.15,invoiceDate:"2016-4-10",invoiceEntityType:"纸票",invoiceType:"专票",uploadDate:"2017-5-6",invoiceSource:"非原料集中材料",invoiceStatus:"无法识别"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉镇江工厂",buyerTaxNumber:660200601108002,sellerName:"嘉吉有限公司",sellerTaxNumber:660200601108002,totalPriceLowerCase:36,taxAmount:6.12,invoiceDate:"2016-4-10",invoiceEntityType:"纸票",invoiceType:"普票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"待匹配"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉有限公司",buyerTaxNumber:660200601108002,sellerName:"嘉吉南京工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:25,taxAmount:4.25,invoiceDate:"2016-4-10",invoiceEntityType:"纸票",invoiceType:"普票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"验真失败"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉有限公司",buyerTaxNumber:660200601108002,sellerName:"哈哈玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:4870,taxAmount:827.9,invoiceDate:"2017-4-10",invoiceEntityType:"纸票",invoiceType:"普票",uploadDate:"2017-5-6",invoiceSource:"非原料集中采购",invoiceStatus:"待匹配"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉有限公司",buyerTaxNumber:660200601108002,sellerName:"uu玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:295,taxAmount:50.15,invoiceDate:"2017-4-10",invoiceEntityType:"纸票",invoiceType:"专票",uploadDate:"2017-5-6",invoiceSource:"非原料集中材料",invoiceStatus:"已认证"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉有限公司",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660260601108002,totalPriceLowerCase:18230.98,taxAmount:3099.27,invoiceDate:"2017-4-10",invoiceEntityType:"纸票",invoiceType:"专票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"无法认证"},{invoiceCode:1101432450,invoiceNumber:60118002,buyerName:"嘉吉有限公司",buyerTaxNumber:660200601108002,sellerName:"XX玉米加工厂",sellerTaxNumber:660200601108002,totalPriceLowerCase:18230.98,taxAmount:3099.27,invoiceDate:"2017-4-10",invoiceEntityType:"纸票",invoiceType:"专票",uploadDate:"2017-5-6",invoiceSource:"原料采购",invoiceStatus:"待认证 "}],i.verifyList=i.fullData,i.paging.pagingOptions.totalItems=i.verifyList.length,u()}]),invoiceModule.directive("invoiceManageVerify",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("invoiceManageMain.ctor()..."),{restrict:"E",templateUrl:"/app/vat/invoice/invoice-manage-verify/invoice-manage-verify.html?_="+Math.random(),scope:{},controller:"invoiceManageVerifyController"}}]),invoiceModule.controller("amountCheckManualInputController",["$scope","$log","$timeout","$translate","messagebox","vatOutputInvoiceManageService",function(a,e,t,n,i,o){a.checkFinalAmountCustom=function(e){return isNaN(e.value.replace(/,/g,""))||"NaN"==e.value?(e.rule.message=n.instant("FinalAmountShouldBeNumber"),!1):!(1*e.value.replace(/,/g,"")<=0||1*e.value.replace(/,/g,"")>=a.invoiceQuota/1.17)||(e.rule.message=n.instant("FinalAmountRangeCheck"),!1)},a.hidePopPanel=function(){a.$parent.isOpen=!1,a.$dismiss({$value:"cancel"})};var r="";a.checkFinalAmountKeyUp=function(){a.isShowInput&&isNaN(a.editModel.finalAmount)?a.editModel.finalAmount=r:r=a.editModel.finalAmount},a.checkFinalAmountKeyPress=function(){a.isShowInput&&isNaN(a.editModel.finalAmount)&&(a.editModel.finalAmount=r)},a.saveManualInput=function(){if(DevExpress.validationEngine.validateGroup($("#finalAmountForm").dxValidationGroup("instance")).isValid)if(_.isEmpty(a.editModel.reasonList))i.warning("ReasonRequired");else{var e=_.chain(a.editModel.reasonList).pairs().filter(function(e){return!0===e[1]}).pluck("0").value();_.isEmpty(e)?i.warning("ReasonRequired"):_.isEmpty(a.editModel.evidenceFiles)?i.warning("EvidenceFilesRequired"):(a.$parent.model.manualInput={finalAmount:a.editModel.finalAmount.replace(/,/g,""),reasonList:e,evidenceFiles:a.editModel.evidenceFiles},a.isShowInput?a.$parent.model.finalAmount=Number(Number(a.editModel.finalAmount.replace(/,/g,"")).toFixed(2)):a.$parent.model.finalAmount=a.$parent.model.shipmentAmount,_.isFunction(a.refreshParent)&&a.refreshParent(),a.$parent.isOpen=!1,a.$dismiss({$value:"cancel"}))}},a.$watch("$parent.$parent.$parent.uploadFileOption.files",function(e,t){e&&e!=t&&(a.editModel.evidenceFiles=a.$parent.$parent.$parent.uploadFileOption.files)}),a.uploadFile=function(){a.$parent.$parent.$parent.uploadFileType="multiple",a.$parent.$parent.$parent.uploadFileOption={title:"Upload Evidence Document",uploadButtonText:"Select Upload Files",files:a.editModel.evidenceFiles||[]}},a.deleteEvidenceFile=function(t){var e=[t];o.deleteEvidenceFile(e).then(function(){a.$parent.$parent.$parent.uploadFileOption.files=_.filter(a.$parent.$parent.$parent.uploadFileOption.files,function(e){return e.data.fileID!=t})})},a.$watch("model",function(e,t){e.manualInput&&!_.isEmpty(e.manualInput.reasonList)?(a.editModel.finalAmount=e.manualInput.finalAmount,a.editModel.reasonList={},a.editModel.selectedReasonId=e.manualInput.reasonList[0],a.editModel.evidenceFiles=e.manualInput.evidenceFiles,a.isShowInput=a.editModel.reasonList[a.configOptions.reasonOption[0].id]||a.editModel.reasonList[a.configOptions.reasonOption[2].id]):a.editModel={finalAmount:"",reasonList:{},evidenceFiles:null}}),a.isShowInput=!1,a.toggleInput=function(e,t){for(var n in a.editModel.reasonList)a.editModel.reasonList[n]=!1;a.editModel.reasonList[t]=!0,a.isShowInput=a.editModel.reasonList[a.configOptions.reasonOption[0].id]||a.editModel.reasonList[a.configOptions.reasonOption[3].id]},e.debug("amountCheckManualInputController.ctor()..."),a.editModel={finalAmount:"",reasonList:{},evidenceFiles:null},o.getInvoiceQuota().then(function(e){e&&e.data&&e.data.data?a.invoiceQuota=e.data.data:a.invoiceQuota=1e7}),a.configOptions={finalAmountOption:{width:"100%",bindingOptions:{value:"editModel.finalAmount"},onFocusIn:function(){a.editModel.finalAmount&&!isNaN(a.editModel.finalAmount.replace(/,/g,""))&&"NaN"!=a.editModel.finalAmount&&(a.editModel.finalAmount=a.editModel.finalAmount.replace(/,/g,""))},onFocusOut:function(){isNaN(a.editModel.finalAmount)||"NaN"==a.editModel.finalAmount||(a.editModel.finalAmount=(1*a.editModel.finalAmount).formatAmount(2))},onInitialized:function(){a.editModel.finalAmount&&!isNaN(a.editModel.finalAmount)&&"NaN"!=a.editModel.finalAmount&&(a.editModel.finalAmount=(1*a.editModel.finalAmount).formatAmount(2))}},reasonOption:a.reasonDataSource},a.validateOption={},a.validateOption.finalAmountOption={validationRules:[{type:"required",message:n.instant("FinalAmountRequired")},{type:"custom",validationCallback:a.checkFinalAmountCustom}]}}]),invoiceModule.directive("amountCheckManualInput",["$log","$document","$uibModal",function(a,i,o){"use strict";return{restrict:"E",templateUrl:"/app/vat/output-invoice/amount-check-manual-input/amount-check-manual-input.html?_="+Math.random(),scope:{isOpen:"=",reasonDataSource:"=",model:"=",parentElement:"@",refreshParent:"&"},link:function(n,e){a.debug("amountCheckManualInput.ctor()..."),n.$watch("isOpen",function(e,t){e&&n.eventService.open()});var t=n.parentElement?i[0].querySelector(n.parentElement):e[0];n.eventService={open:function(){o.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"amount-check-manual-input-template.html",controller:"amountCheckManualInputController",windowClass:"amount-check-manual-input-popup center-popup",appendTo:angular.element(t),scope:n})}}}}}]),invoiceModule.controller("bdViewByVINController",["$log","$timeout","$scope","$translate","vatOutputInvoiceManageService","SweetAlert","enums","modalAdapterService","$document","$uibModal","$q",function(e,t,o,s,l,i,r,c,n,a,d){_.invert(r.GDBDStatusEnum),_.invert(r.GDInvoiceStatusEnum);o.pleaseSelect=s.instant("ChoosePlaceholder"),o.pleaseInput=s.instant("InputPlaceholder"),o.noDataText=s.instant("NoDataText"),o.masterDetailHeader={invoiceNo:s.instant("InvoiceNo"),invoiceCode:s.instant("InvoiceCode"),invoiceCaseNum:s.instant("InvoiceCase"),issuedDate:s.instant("IssuedDate"),buyer:s.instant("Buyer"),amount:s.instant("Amount"),taxAmount:s.instant("TaxAmount"),totalAmount:s.instant("TotalAmount"),gdStatus:s.instant("GDStatus"),status:s.instant("Status")},o.pagingOptions={pageIndex:1,totalItems:0,pageSize:constant.page.pageSizeArrary[1]},o.bdVinSearchEntity={},o.selectedIssuedInvoiceCount=0,o.selectedIssuedInvoiceAmount=0,o.searchOptions={InvoiceNo:{width:"100%",placeholder:s.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"bdVinSearchEntity.invoiceNo"}},VIN:{width:"100%",placeholder:s.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"bdVinSearchEntity.VIN"}},InvoiceCode:{width:"100%",placeholder:s.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"bdVinSearchEntity.invoiceCode"}},VehicleModel:{width:"100%",placeholder:s.instant("ChoosePlaceholder"),showClearButton:!0,displayExpr:"name",valueExpr:"id",bindingOptions:{value:"bdVinSearchEntity.vehicleModel",dataSource:"VehicleModelNameList"}},CaseNumber:{width:"100%",placeholder:s.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"bdVinSearchEntity.caseNumber"}},bdVinGridOptions:{bindingOptions:{dataSource:"vinList",height:"height"},keyExpr:"vin",noDataText:o.noDataText,columnAutoWidth:!0,showRowLines:!0,showBorders:!0,columnChooser:{enabled:!0},paging:{enabled:!1},columns:[{dataField:"vin",caption:s.instant("VIN"),allowHeaderFiltering:!1},{dataField:"vehicleModel",caption:s.instant("VehicleModel"),allowHeaderFiltering:!1},{dataField:"count",caption:s.instant("InvoiceCount"),allowHeaderFiltering:!1},{dataField:"totalTaxAmount",caption:s.instant("DrilldownTotalTaxAmount"),format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"totalEffectiveAmount",caption:s.instant("TotalEffectiveAmount"),format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1}],masterDetail:{enabled:!0,template:"gdInvoiceTemplate"},bdView:function(e){return e.forEach(function(e){e.invoiceNo=e.invoiceNumber,e.invoiceCase="",e.issuedDate=e.bdIssuedDate?new Date(e.bdIssuedDate).dateTimeToString("yyyyMMdd"):"",e.caseCollectionDate=e.caseCollectionDate?new Date(e.caseCollectionDate).dateTimeToString("yyyyMMdd"):"",e.issuranceType=s.instant(PWC.getEnumKeyByValue(r.IssuanceType,e.issuranceType)),e.cabinConfiguration||(e.cabinConfiguration=s.instant("FiveSeatInterior"))}),{keyExpr:"id",dataSource:e,noDataText:o.noDataText,columnAutoWidth:!0,selection:{mode:"multiple",showCheckBoxesMode:"always"},onSelectionChanged:function(e){if(e&&e.selectedRowsData){o.selectedIssuedInvoiceCount=e.selectedRowsData.length,o.selectedIssuedInvoiceData=e.selectedRowsData;var t=0;_.each(e.selectedRowsData,function(e){e.subtotalforFinalPayment&&(t+=e.subtotalforFinalPayment)}),o.selectedIssuedInvoiceAmount=t.formatAmount(2)}},showBorders:!0,columns:[{dataField:"invoiceNo",caption:o.masterDetailHeader.invoiceNo,allowHeaderFiltering:!1},{dataField:"invoiceCode",caption:o.masterDetailHeader.invoiceCode,allowHeaderFiltering:!1},{dataField:"caseNumber",caption:o.masterDetailHeader.invoiceCaseNum,allowHeaderFiltering:!1},{dataField:"issuedDate",caption:o.masterDetailHeader.issuedDate,dataType:"date",format:"yyyy-MM-dd",allowHeaderFiltering:!1},{dataField:"registrationLocalName",caption:o.masterDetailHeader.buyer,allowHeaderFiltering:!1},{dataField:"excludeTaxPrice",caption:o.masterDetailHeader.amount,format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"vatTax",caption:o.masterDetailHeader.taxAmount,format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"subtotalforFinalPayment",caption:o.masterDetailHeader.totalAmount,format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"bdStatus",caption:o.masterDetailHeader.status,calculateDisplayValue:function(e){return s.instant(PWC.getEnumKeyByValue(r.BDStatusEnum,e.bdStatus))}},{caption:s.instant("Action"),alignment:"left",cellTemplate:function(e,t){$("<a/>").css({color:"#6699cc",cursor:"pointer"}).text(s.instant("View")).on("dxclick",function(){o.invoiceOperateType=constant.Operation.Query,o.invoiceModel=t.data}).appendTo(e);var n=(new Date).dateAdd("d",-1*((new Date).getDate()+180)).dateTimeToString("yyyyMMdd"),a=(new Date).dateAdd("d",-1*(new Date).getDate()).dateTimeToString("yyyyMMdd");if(t.data.bdStatus!=r.BDStatusEnum.RedLettered&&t.data.bdStatus!=r.BDStatusEnum.Cancelled&&t.data.issuedDate>=n&&t.data.issuedDate<=a){var i=$("<a/>");i.css({color:"#6699cc",cursor:"pointer","margin-left":"10px"}).text(s.instant("Red Letter")).on("dxclick",function(){o.redLetterBdUserInvoice(t.data,i)}).appendTo(e)}}}]}}}},o.redLetterBdUserInvoice=function(r,t){var e=angular.element(n[0].querySelector("#red-letter-bd-user-pop"));a.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"red-letter-bd-user-page.html",controller:function(o){o.redLetterData={},o.redLetterData.needReasonRdio=1,o.redLetterData.inputReasonOption={width:"100%",height:60,bindingOptions:{value:"redLetterData.inputReason"}},o.validateOption={},o.validateOption.inputReasonOption={validationRules:[{type:"required",message:s.instant("BdUserRedLetterWarningInfoInputRequired")},{type:"stringLength",max:500,message:s.instant("BdUserRedLetterWarningInfoInputLengthCheck")}]};o.$watch("$parent.uploadFileOption.files",function(e,t){e&&e!=t&&o.$parent.uploadFileOption.files}),o.uploadFile=function(){o.$parent.uploadFileType="multiple",o.$parent.uploadFileOption={title:"Upload Evidence Document",uploadButtonText:"Select Upload Files",files:o.$parent.uploadFileOption.files||[]}},o.hidePopPanel=function(){o.$parent.uploadFileOption={},o.$dismiss({$value:"cancel"})},o.deleteEvidenceFile=function(t){var e=[t];l.deleteEvidenceFile(e).then(function(){o.$parent.uploadFileOption.files=_.filter(o.$parent.uploadFileOption.files,function(e){return e.data.fileID!=t})})},o.downloadEvidenceFile=function(e){var t={};t.fileName=e.fileName,t.filePath=e.filePath,l.downloadEvidenceFile(t)},o.confirmRedLetterInvoice=function(e){(function(e){if(2==o.redLetterData.needReasonRdio){if(!DevExpress.validationEngine.validateGroup($("#reasonModalForm").dxValidationGroup("instance")).isValid)return;if(!o.redLetterData.inputReason)return i.warning(s.instant("BdUserRedLetterWarningInfoInputRequired")),!1;if(500<o.redLetterData.inputReason.length)return i.warning(s.instant("BdUserRedLetterWarningInfoInputLengthCheck")),!1}return!e||e.length<1||!o.redLetterData.isRevievingAll?(!e||e.length<1?$("#UploadFileCheckTipId").show():$("#UploadFileCheckTipId").hide(),o.redLetterData.isRevievingAll?$("#CancelDialogTextTipId").hide():$("#CancelDialogTextTipId").show(),!1):($("#UploadFileCheckTipId").hide(),$("#CancelDialogTextTipId").hide(),!0)})(e)&&l.redLetterInvoice(r.id).then(function(){(function(e){var t={};t.invoicingReasonIndex=o.redLetterData.needReasonRdio,2==o.redLetterData.needReasonRdio&&(t.inputReason=o.redLetterData.inputReason),t.isRecievingAll=o.redLetterData.isRevievingAll?1:0,t.invoiceID=r.id,t.caseNumber=r.caseNumber;var n=loginContext.userName.substring(0,1).toUpperCase()+loginContext.userName.substring(1,loginContext.userName.length);if(t.createBy=n,e&&0<e.length){var a=[];_.each(e,function(e){a.push(e.data.fileID)}),t.evidenceDocuments=a.join(",")}var i=d.defer();return l.addBdUserRedLetterReason(t).success(function(e){i.resolve(e)}),i.promise})(e).then(function(e){t.hide(),o.$parent.uploadFileOption={},o.$dismiss({$value:"cancel"}),o.eventService.refreshInvoiceDataGrid()})})}},windowClass:"data-table",appendTo:e,scope:o})},o.cancelCore=function(){var n=[],e=o.selectedIssuedInvoiceData;_.each(e,function(e){var t=l.cancelInvoice(e.id,o.isReprint);n.push(t)}),d.all(n).then(function(){c.close(constant.OutputInvoiceCancalDialog,"bd-vin-view"),o.eventService.refreshInvoiceDataGrid()})},o.CancelInvoice=function(e,t){if(!e||e.length<1)i.warning(s.instant("SelectBdInvoiceCheck"));else{var n=[],a=[];_.each(e,function(e){e.bdStatus!=r.BDStatusEnum.Cancelled&&e.bdStatus!=r.BDStatusEnum.RedLettered||n.push(e)}),_.each(e,function(e){e.subtotalforFinalPayment<0&&a.push(e)}),0<n.length?i.warning(s.instant("BDFapiaoCancelCheck").replace("{0}",_.pluck(n,"invoiceNumber").join(","))):0<a.length?i.warning(s.instant("NegativeFapiaoCheck").replace("{0}",_.pluck(a,"invoiceNumber").join(","))):(o.title=t?s.instant("CancelReprintInvoiceBDTitle"):s.instant("CancelInvoiceBDTitle"),o.isReprint=t||!1,c.open(constant.OutputInvoiceCancalDialog,"bd-vin-view"))}},o.eventService={refreshInvoiceDataGrid:function(){var e={queryParam:o.bdVinSearchEntity,pagingParam:o.pagingOptions};l.getBDDetailGroupByVIN(e).success(function(e){o.vinList=e.list,o.pagingOptions.totalItems=e.pageInfo.totalCount}).error(function(){i.error("",s.instant("CommonFail"))})},toggleSearchContent:function(){"none"==$("#toggle-search-tr").css("display")?($(".hide-search-btn").addClass("fa-angle-up").html("&nbsp;&nbsp;Collapse"),$(".hide-search-btn").removeClass("fa-angle-down")):($(".hide-search-btn").addClass("fa-angle-down").html("&nbsp;&nbsp;Expand"),$(".hide-search-btn").removeClass("fa-angle-up")),$("#toggle-search-tr").toggle(200),t(function(){o.setInvoiceGridHeight()},300)}},o.eventService.refreshInvoiceDataGrid(),o.hasShowMoreSearchBox=!1,o.uploadFileOption={},l.getModelSeries().success(function(e){e&&0<e.length&&(o.VehicleModelNameList=_.map(e,function(e){return{id:e,name:e}}))}).error(function(e){i.error("",s.instant("CommonFail"))}),t(function(){o.setInvoiceGridHeight()},500)}]),invoiceModule.directive("bdViewByVin",["$log",function(e){"use strict";return e.debug("BDViewByVIN.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/bd-view-by-vin/bd-view-by-vin.html?_="+Math.random(),scope:{},controller:"bdViewByVINController",link:function(r,e){r.setInvoiceGridHeight=function(){var e=$(document).height(),t=$(".header-title").outerHeight(),n=$(".query-panel").outerHeight(),a=$(".data-grid-container").outerHeight(),i=$(".page-footer").outerHeight();0===i&&(i=60);var o=e-t-n-a-i;r.height=o-30;try{$("#bdVinGrid").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){r.setInvoiceGridHeight()})}}}]),vatModule.service("outputCommonService",["$log",function(e){return{transferReconciliationSpecial:function(e){if(e&&e.startWith("#")&&e.endsWith("#")){var t=e.substr(1,e.length-2);return{type:constant.specialText[t],text:t}}return{type:constant.specialText.Other,text:e}}}}]),invoiceModule.controller("invoiceDetailVehicleController",["$log","$scope","$translate","$document","$uibModal","$timeout","vatOutputInvoiceManageService","SweetAlert","enums",function(e,r,s,t,n,a,i,l,c){var o=_.invert(c.GDBDStatusEnum);r.redLettered=c.GDBDStatusEnum.redLettered,r.hasUpdate=!1,r.detailDialog={modalInstance:null,open:function(){var e=r.parentElement?angular.element(t[0].querySelector("."+r.parentElement)):void 0;r.detailDialog.modalInstance=n.open({animation:!1,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"myModalContent.html",windowClass:"GD-Vechicle-detail",scope:r,appendTo:e})},cancel:function(){r.detailDialog.modalInstance.dismiss("cancel"),r.hasUpdate&&_.isFunction(r.parentRefresh)&&r.parentRefresh(),r.hasUpdate=!1}},r.vehicleDetailOptions={bindingOptions:{dataSource:"invoiceDetail.details"},width:"99%",noDataText:s.instant("NoData"),columnAutoWidth:!0,showBorders:!0,showRowLines:!0,columns:[{dataField:"vin",caption:s.instant("VIN")},{dataField:"vehicleModel",caption:s.instant("VehicleModel")},{dataField:"quantity",caption:s.instant("Quantity"),alignment:"left"},{dataField:"price",caption:s.instant("UnitPrice"),alignment:"right",format:{type:"fixedPoint",precision:2}},{dataField:"amount",caption:s.instant("Amount"),alignment:"right",format:{type:"fixedPoint",precision:2}},{dataField:"taxRate",caption:s.instant("TaxRate"),alignment:"right",calculateDisplayValue:function(e){return(100*e.taxRate).formatAmount(0)+"%"}},{dataField:"taxAmount",caption:s.instant("TaxAmount"),alignment:"right",format:{type:"fixedPoint",precision:2}},{dataField:"gdBdStatus",caption:s.instant("Status"),calculateDisplayValue:function(e){return s.instant(o[e.status])}},{caption:s.instant("Action"),width:"120px",cellTemplate:"redLetterTemplate"}],onRowPrepared:function(e){if("totalFooter"===e.rowType){var t=e.component,n=t.getTotalSummaryValue("totalAmount")+t.getTotalSummaryValue("totalTaxAmount");_.isNumber(n)&&(n=n.formatAmount(2));var a="<tr class='dx-row' role='row'>"+'<td role="gridcell" aria-label="Column VIN, Value undefined" style="text-align: left;"><div class="dx-datagrid-summary-item dx-datagrid-text-content" >'+s.instant("GrandTotal")+"&nbsp;"+n+'</div></td><td role="gridcell" aria-label="Column Vehicle Model, Value undefined" style="text-align: left;"></td><td role="gridcell" aria-label="Column 数量, Value undefined" style="text-align: left;"></td><td role="gridcell" aria-label="Column Price, Value undefined" style="text-align: right;"></td><td role="gridcell" aria-label="Column Amount, Value undefined" style="text-align: right;"></td><td role="gridcell" aria-label="Column 税率, Value undefined" style="text-align: left;"></td><td role="gridcell" aria-label="Column 税额, Value undefined" style="text-align: left;"></td><td role="gridcell" aria-label="Column Status, Value undefined" style="text-align: left;"></td><td role="gridcell" aria-label="Column , Value undefined" style="text-align: left;"></td></tr>';e.rowElement.after(a)}},summary:{totalItems:[{column:"price",customizeText:function(e){return s.instant("TotalPrice")}},{name:"totalAmount",column:"amount",summaryType:"sum",customizeText:function(e){return e.value.formatAmount(2)}},{name:"totalTaxAmount",column:"taxAmount",summaryType:"sum",customizeText:function(e){return e.value.formatAmount(2)}}]}},r.eventService={LoadData:function(){r.detailKey&&i.getGBInvoiceDetail(r.detailKey).success(function(e){if(e.result){r.invoiceDetail=e.data,r.needHide=r.hideAction,r.invoiceStatus&&(r.needHide=r.needHide||r.invoiceDetail.isRedInvoice||r.invoiceStatus===c.GDInvoiceStatusEnum.cancelled||r.invoiceStatus===c.GDInvoiceStatusEnum.redLettered);var t=new Date,n=t.getMonth(),a=new Date(t.getFullYear(),n,1),i=new Date(a.getTime()-15552e6),o=new Date(r.invoiceDetail.gdIssuedDate);r.needHide=r.needHide||o<i||a<o,r.detailDialog.open()}else l.error("",s.instant(e.resultMsg))}).error(function(){l.error("",s.instant("CommonFail"))})},confirmRedLetter:function(t){l.swal({title:s.instant("RedLetterConfirmTitle"),text:s.instant("RedLetterConfirmText"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:s.instant("Confirm"),cancelButtonText:s.instant("ENCancel"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&r.eventService.toRedLetter(t)})},toRedLetter:function(n){var e=n.detailID;i.gdRedLetter(e).success(function(e){if(e&&e.result)r.invoiceStatus=e.resultMsg,n.status=r.redLettered,r.needHide=r.invoiceStatus===c.GDInvoiceStatusEnum.cancelled||r.invoiceStatus===c.GDInvoiceStatusEnum.redLettered,$("#vehicleDetail").dxDataGrid("instance").refresh(),r.hasUpdate=!0;else{var t=e?e.resultMsg:"NotFindItem";l.error("",s.instant(t))}}).error(function(){l.error("",s.instant("CommonFail"))})},loadDataAfterReady:function(){a(function(){r.eventService.LoadData()},600)}}}]),invoiceModule.directive("invoiceDetailVehicle",["$log",function(e){"use strict";return e.debug("invoiceDetailVehicle.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/GD-BD-invoice-detail/GD-BD-invoice-detail.html?_="+Math.random(),scope:{detailKey:"=",invoiceStatus:"=?",parentPage:"@",parentElement:"@",parentRefresh:"&",hideAction:"=?"},controller:"invoiceDetailVehicleController",link:function(e,t){e.$on("openGDDetailDialog",function(){e.eventService.loadDataAfterReady()})}}}]),invoiceModule.controller("gdInvoicePrintController",["$log","$scope","$translate","$document","$uibModal","$timeout","vatOutputInvoiceManageService","SweetAlert","enums","$state","loginContext","orgService",function(e,u,p,t,n,a,i,o,r,s,m,l){"use strict";var g={InvoiceList:[],PrintInvoiceList:[],CurrentIndex:0,LimitAmount:0,main:function(){g.getBDList(),u.canDelete=!0,u.currentModel={carList:[]},g.init(),u.previousPage=g.previousPage,u.nextPage=g.nextPage,u.deleteCarsComfirm=g.deleteCarsComfirm,u.printAll=function(){g.PrintInvoiceList&&0<g.PrintInvoiceList.length&&g.printReverse(0)},u.cancelPrintGDInvoice=function(){s.go("outputInvoiceManage.issuedInvoiceGdView")},u.setSelectBuyerInfo=g.setSelectBuyerInfo,u.remarkChkChanged=g.remarkChkChanged,u.progress=0},setSelectBuyerInfo:function(){u.currentModel.selectBuyer&&u.currentModel&&(u.currentModel.buyerOrganizationName=u.currentModel.selectBuyer.name,u.currentModel.buyerOrganizationEnglishName=u.currentModel.selectBuyer.englishName,u.currentModel.buyerOrganizationTaxId=u.currentModel.selectBuyer.taxPayerNumber,u.currentModel.buyerOrganizationCode=u.currentModel.selectBuyer.code,u.currentModel.vrl=u.currentModel.selectBuyer.vehicleroutinglocation,u.currentModel.buyerId=u.currentModel.selectBuyer.id,u.currentModel.buyerAddress=u.currentModel.selectBuyer.manufactureAddress,u.currentModel.buyerPhoneNo=u.currentModel.selectBuyer.phoneNumber,u.currentModel.buyerBankName=u.currentModel.selectBuyer.bankAccountName,u.currentModel.buyerACNo=u.currentModel.selectBuyer.bankAccountNumber)},getinvoiceQuota:function(){i.getInvoiceQuota().success(function(e){if(e.result){e.data;g.LimitAmount=parseInt(e.data),g.dataParse(),g.setCurrentModel(0)}})},getBDList:function(){l.getBdList().success(function(e){u.bdDataSource=e,g.getinvoiceQuota()})},setCurrentModel:function(e){g.PrintInvoiceList&&0<g.PrintInvoiceList.length?(g.PrintInvoiceList.length<=e&&(e=g.PrintInvoiceList.length-1),e<0&&(e=0),g.CurrentIndex=e,u.currentModel=g.PrintInvoiceList[g.CurrentIndex]):u.currentModel={carList:[],remarkDisabled:!0},g.CurrentIndex<g.PrintInvoiceList.length-1?u.canNext=!0:u.canNext=!1,0<g.CurrentIndex?u.canPrevious=!0:u.canPrevious=!1,a(function(){u.gridHeight=52+34*u.currentModel.carList.length,u.setInvoiceGridHeight()},50)},init:function(){u.currentModel.remarkReadOnly=!0,u.currentModel.remarkDisabled=!0,u.dxOptions={buyerTaxIDOpt:{bindingOptions:{value:"currentModel.buyerOrganizationTaxId"},maxLength:50},categoriesOpt:{bindingOptions:{value:"currentModel.category"},maxLength:50},buyerAddressOpt:{bindingOptions:{value:"currentModel.buyerAddress"},maxLength:50},buyerPhoneNoOpt:{bindingOptions:{value:"currentModel.buyerPhoneNo"},maxLength:50},bankNameOpt:{bindingOptions:{value:"currentModel.buyerBankName"},maxLength:50},buyerACNoOpt:{bindingOptions:{value:"currentModel.buyerACNo"},maxLength:50},invocieTypeOpt:{bindingOptions:{value:"currentModel.invoiceType"},maxLength:50},remarksOpt:{bindingOptions:{value:"currentModel.remarks",disabled:"currentModel.remarkDisabled"},activeStateEnabled:!0,maxLength:255},entityOptions:{bindingOptions:{value:"currentModel.buyerId",dataSource:"bdDataSource"},onSelectionChanged:function(e){u.currentModel.selectBuyer=e.selectedItem,g.setSelectBuyerInfo()},displayExpr:"name",valueExpr:"id"},receiverOpt:{bindingOptions:{value:"currentModel.receiver"},maxLength:50},reviewerOpt:{bindingOptions:{value:"currentModel.reviewer"},maxLength:50},drawerOpt:{bindingOptions:{value:"currentModel.drawer"},maxLength:50}},g.initGrid()},previousPage:function(){u.canPrevious&&(g.CurrentIndex--,g.setCurrentModel(g.CurrentIndex))},nextPage:function(){u.canNext&&(g.CurrentIndex++,g.setCurrentModel(g.CurrentIndex))},initGrid:function(){u.invoiceGridOptions={bindingOptions:{dataSource:"currentModel.carList"},keyExpr:"outputInvoicePrintedID",selection:{mode:"multiple",showCheckBoxesMode:"always"},allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,rowAlternationEnabled:!0,showBorders:!0,noDataText:p.instant("NoDataText"),selectAllText:p.instant("SelectAll"),onContentReady:function(e){u.invoiceGridInstance=e.component},onSelectionChanged:function(e){u.currentModel.deleteCarKeys=e.selectedRowKeys,g.onselectCars(e)},columns:[{dataField:"name",caption:p.instant("ItemName")},{dataField:"vin",caption:p.instant("Specifications")},{dataField:"unit",caption:p.instant("Unit")},{dataField:"quantity",caption:p.instant("Quantity")},{dataField:"price",caption:p.instant("UnitPrice"),format:{type:"fixedPoint",precision:2}},{dataField:"amount",caption:p.instant("Amount"),format:{type:"fixedPoint",precision:2}},{dataField:"taxRateData",caption:p.instant("TaxRate")},{dataField:"taxAmount",caption:p.instant("TaxAmount"),format:{type:"fixedPoint",precision:2}}],summary:{totalItems:[{column:"price",customizeText:function(e){return p.instant("TotalPrice")}},{name:"totalAmount",column:"amount",summaryType:"sum",customizeText:function(e){return e.value.formatAmount(2)}},{name:"totalTaxAmount",column:"taxAmount",summaryType:"sum",customizeText:function(e){return e.value.formatAmount(2)}}]}}},onselectCars:function(e){},test:function(){g.InvoiceList=JSON.parse('[{"id":"2c0ed51c-dc4b-4e26-bb01-22facaf8b0e8","bdFapiaoEntity":"2066","registrationLocalName":"tom li","organizationCode":"2066","companyVATIDTaxID":"234826348762384","issuranceType":"SalesForce","category":"小轿车","vehicleModel":"Model S","cabinConfiguration":"5","caseNumber":null,"producingPlace":"美国","certificateNumber":"","importCertificateNumber":"H34234234234","ciqNumber":"A234234234","motorNumber":"T937459834","vin":"5Y837438743743","subtotalforFinalPayment":650000,"subtotalforFinalPaymentCH":"陆拾伍万","invoiceCode":"","invoiceNumber":"","salesUnitName":"特斯拉汽车销售服务（xx）有限公司","salesUnitPhoneNumber":"020-37253253","salesTaxPayerNumber":"977277237575276354","salesAccount":"23123123123","salesAddress":null,"salesBankName":"花旗银行","vatRateorLevyRate":"","taxableSubtotal":650000,"mainTaxAuthoritiesCode":"XXX市 9274387293874","excludeTaxPrice":650000,"taxPaymentCertificateNumber":"123123213","tonnage":null,"limitPassengers":null,"productCompanyName":"tesla","invoiceStatus":0,"createTime":"2017-08-28T18:10:08.277+08:00","updateTime":"2017-09-01T15:07:15.9+08:00","bdStatus":"Normal","gdBdStatus":"Need Red-letter","gdIssuedId":null,"caseCollectionDate":"2017-08-30","bdIssuedDate":"2017-08-28T18:10:08.277+08:00","gdTotalAmount":null,"gdInvoiceCode":null,"gdInvoiceNumber":null,"gdIssuedDate":null,"buyerOrganizationCode":null,"reasonList":null,"invoiceNo":"","invoiceCase":"","issuedDate":"2017-08-28","amount":650000,"buyer":"tom li"}]')},getTax:function(e){var t=e.vatRateorLevyRate.replace("%",""),n=parseInt(t);e.taxRateDecimal=n/100;var a=e.amountAdjusted*n;return a/=100},dataParse:function(){var e=_.uniq(_.pluck(g.InvoiceList,"salesUnitName")),d=[];e&&0<e.length&&e.forEach(function(t){var e=_.filter(g.InvoiceList,function(e){return e.salesUnitName===t}),n=e[0],o=[],r=0,s=0,l=0,a=_.find(u.bdDataSource,function(e){return e.name===n.salesUnitName}),c={buyerOrganizationName:n.salesUnitName,buyerOrganizationEnglishName:a?a.englishName:null,buyerOrganizationTaxId:n.salesTaxPayerNumber,category:n.category,buyerId:a?a.id:null,officer:m.userName,buyerAddress:n.salesAddress,buyerPhoneNo:n.salesUnitPhoneNumber,buyerBankName:n.salesBankName,buyerACNo:a?a.bankAccountNumber:null,invoiceType:p.instant("SpecialVATInvoice"),remarks:"",carList:[],issuanceDate:(new Date).formatDateTime("yyyy-MM-dd"),totalAmount:0,buyerOrganizationCode:a?a.code:null,totalTaxAmount:0,vrl:a?a.vehicleroutinglocation:null,selectBuyer:a,remarkDisabled:!0};if(e.forEach(function(e){var t=g.getTax(e),n=r+s+e.amountAdjusted+t;if(9===l||n>g.LimitAmount){var a=angular.copy(c);a.totalAmount=r,a.totalTaxAmount=s,a.totalAllAmount=a.totalAmount+a.totalTaxAmount,a.totalAllAmountData=a.totalAllAmount.formatAmount(),a.carList=o,d.push(a),s=r=l=0,o=[]}r+=e.amountAdjusted,s+=t;var i={outputInvoicePrintedID:e.id,name:e.brandandModelNumber,vin:e.vin,unit:"辆",quantity:1,price:e.amountAdjusted,priceData:e.amountAdjusted.formatAmount(),amount:e.amountAdjusted,amountData:e.amountAdjusted.formatAmount(),taxRateData:e.vatRateorLevyRate,taxRate:e.taxRateDecimal,taxAmount:t,taxAmountData:t.formatAmount()};_.isEmpty(e.manualInput)||(i.manualInputReasons=e.manualInput.reasonList.join(","),i.manualInputEvidenceFiles=e.manualInput.evidenceFiles),o.push(i),l++}),0<l){var i=angular.copy(c);i.totalAmount=r,i.totalTaxAmount=s,i.totalAllAmount=i.totalAmount+i.totalTaxAmount,i.totalAllAmountData=i.totalAllAmount.formatAmount(),i.carList=o,d.push(i),s=r=l=0,o=[]}}),g.PrintInvoiceList=d},printReverse:function(t){var e=g.PrintInvoiceList[t],n=g.PrintInvoiceList.length,a=t+1;if(!e.carList||0===e.carList.length)return t===n-1?(u.progress=100,void s.go("outputInvoiceManage.issuedInvoiceSpecial")):(u.progress=window.PWC.round(a/g.PrintInvoiceList.length*100,0),void(++t<g.PrintInvoiceList.length&&g.printReverse(t)));e.detailList=angular.copy(e.carList),e.detailList.forEach(function(e){var t=[];e.manualInputEvidenceFiles&&0<e.manualInputEvidenceFiles.length&&(e.manualInputEvidenceFiles.forEach(function(e){t.push(e.data)}),e.manualInputEvidenceFiles=null)}),i.printGDInvoice(e).success(function(e){if(e.result){if(t===n-1)return u.progress=100,void s.go("outputInvoiceManage.issuedInvoiceSpecial");u.progress=window.PWC.round(a/g.PrintInvoiceList.length*100,0)}++t<g.PrintInvoiceList.length&&g.printReverse(t)})},deleteCars:function(){if(u.currentModel&&u.currentModel.carList){var e=_.filter(u.currentModel.carList,function(e){return-1===u.currentModel.deleteCarKeys.indexOf(e.outputInvoicePrintedID)});if(null==e||0===e.length){if(g.PrintInvoiceList.splice(g.CurrentIndex,1),0===g.PrintInvoiceList.length)o.warning(p.instant("DeleteSuccess")),s.go("outputInvoiceManage.issuedInvoiceGdView");else{if(g.CurrentIndex<g.PrintInvoiceList.length)g.setCurrentModel(g.CurrentIndex);else{var t=g.CurrentIndex-1;g.setCurrentModel(t)}o.warning(p.instant("DeleteSuccess"))}return}u.currentModel.carList=e;var n=0,a=0;u.currentModel.carList.forEach(function(e){n+=e.amount,a+=e.taxAmount}),u.currentModel.totalAmount=n,u.currentModel.totalTaxAmount=a,u.currentModel.totalAllAmount=u.currentModel.totalAmount+u.currentModel.totalTaxAmount,u.currentModel.totalAllAmountData=u.currentModel.totalAllAmount.formatAmount(),o.warning(p.instant("DeleteSuccess"))}},deleteCarsComfirm:function(){u.currentModel.deleteCarKeys&&0!==u.currentModel.deleteCarKeys.length?o.swal({title:p.instant("Confirm")+" "+p.instant("Delete")+"?",type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:p.instant("Confirm"),cancelButtonText:p.instant("Cancel"),closeOnConfirm:!1,closeOnCancel:!0},function(e){e&&g.deleteCars()}):o.warning(p.instant("SelectAtLeastOne"))},remarkChkChanged:function(){u.currentModel.remarkChk?(u.currentModel.remarkReadOnly=!1,u.currentModel.remarkDisabled=!1):(u.currentModel.remarkReadOnly=!0,u.currentModel.remarkDisabled=!0)}};e.debug("gdInvoicePrintController.ctor()..."),s.params.invoiceList&&(g.InvoiceList=s.params.invoiceList),g.main()}]),invoiceModule.directive("gdInvoicePrint",["$log",function(e){"use strict";return console.log("gdInvoicePrint.ctor()..."),e.debug("gdInvoicePrint.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/gd-invoice-print/gd-invoice-print.html?_="+Math.random(),scope:{},controller:"gdInvoicePrintController",link:function(e,t){e.setInvoiceGridHeight=function(){var e=$(document).height()-520;$(".gdprint-grid-container").css("height",e);try{var t=$("#invoiceGdPrintGridContainer").dxDataGrid("option");t.height=e-34,$("#invoiceGdPrintGridContainer").dxDataGrid("option",t)}catch(e){console.log(e)}},$(window).on("resize",function(){e.setInvoiceGridHeight()})}}}]),invoiceModule.controller("gdViewByVINController",["$log","$timeout","$scope","$translate","vatOutputInvoiceManageService","SweetAlert","enums","modalAdapterService",function(e,t,s,l,n,a,c,i){var o=_.invert(c.GDBDStatusEnum),r=_.invert(c.GDInvoiceStatusEnum);s.pleaseSelect=l.instant("ChoosePlaceholder"),s.pleaseInput=l.instant("InputPlaceholder"),s.noDataText=l.instant("NoDataText"),s.masterDetailHeader={invoiceNo:l.instant("InvoiceNo"),invoiceCode:l.instant("InvoiceCode"),invoiceCaseNum:l.instant("InvoiceCase"),issuedDate:l.instant("IssuedDate"),buyer:l.instant("Buyer"),amount:l.instant("Amount"),taxAmount:l.instant("TaxAmount"),totalAmount:l.instant("TotalAmount"),gdStatus:l.instant("GDInvoiceStatus"),status:l.instant("VehicleStatus")},s.pagingOptions={pageIndex:1,totalItems:0,pageSize:constant.page.pageSizeArrary[1]},s.gdVinDetailVariables={selectedTableRows:[],pageName:l.instant("GDVinView"),selectedGDInvoice:null},s.gdVinSearchEntity={invoiceNumberVaule:null,invoiceCodeVaule:null,vinValue:null,caseNumberValue:null,vehicleModelValue:null},s.gdVinInvoice={invoiceNumberOptions:{bindingOptions:{value:"gdVinSearchEntity.invoiceNumberVaule"},showClearButton:!0,placeholder:s.pleaseInput},invoiceCodeOptions:{bindingOptions:{value:"gdVinSearchEntity.invoiceCodeVaule"},showClearButton:!0,placeholder:s.pleaseInput},vinOptions:{bindingOptions:{value:"gdVinSearchEntity.vinValue"},showClearButton:!0,placeholder:s.pleaseInput},caseNumberOptions:{bindingOptions:{value:"gdVinSearchEntity.caseNumberValue"},showClearButton:!0,placeholder:s.pleaseInput},vehicleModelColonOptions:{bindingOptions:{value:"gdVinSearchEntity.vehicleModelValue",dataSource:"vehicleModelSource"},showClearButton:!0,displayExpr:"name",valueExpr:"id",placeholder:s.pleaseSelect},gdVinGridOptions:{bindingOptions:{dataSource:"vinList",height:"height"},keyExpr:"vin",noDataText:s.noDataText,columnAutoWidth:!0,showRowLines:!0,showBorders:!0,columnChooser:{enabled:!0},paging:{enabled:!1},loadPanel:{enabled:!1},columns:[{dataField:"vin",caption:l.instant("VIN"),allowHeaderFiltering:!1},{dataField:"vehicleModel",caption:l.instant("VehicleModel"),allowHeaderFiltering:!1},{dataField:"count",caption:l.instant("InvoiceCount"),allowHeaderFiltering:!1},{dataField:"totalTaxAmount",caption:l.instant("TotalTaxAmount"),format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"totalEffectiveAmount",caption:l.instant("TotalEffectiveAmount"),format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1}],masterDetail:{enabled:!0,template:"gdInvoiceTemplate"},gdView:function(e){return{dataSource:e,noDataText:s.noDataText,columnAutoWidth:!0,selection:{mode:"multiple",showCheckBoxesMode:"always"},onSelectionChanged:function(e){var t=e.currentSelectedRowKeys,n=e.currentDeselectedRowKeys;0<n.length&&(s.gdVinDetailVariables.selectedTableRows=_.difference(s.gdVinDetailVariables.selectedTableRows,n)),0<t.length&&(s.gdVinDetailVariables.selectedTableRows=s.gdVinDetailVariables.selectedTableRows.concat(t))},showBorders:!0,columns:[{dataField:"gdInvoiceNumber",caption:s.masterDetailHeader.invoiceNo,allowHeaderFiltering:!1},{dataField:"gdInvoiceCode",caption:s.masterDetailHeader.invoiceCode,allowHeaderFiltering:!1},{dataField:"gdStatus",caption:s.masterDetailHeader.gdStatus,calculateDisplayValue:function(e){return l.instant(r[e.gdStatus])}},{dataField:"invoiceCase",caption:s.masterDetailHeader.invoiceCaseNum,allowHeaderFiltering:!1},{dataField:"gdIssuedDate",caption:s.masterDetailHeader.issuedDate,dataType:"date",format:"yyyy-MM-dd",allowHeaderFiltering:!1},{dataField:"buyerOrganizationName",caption:s.masterDetailHeader.buyer,allowHeaderFiltering:!1},{dataField:"amount",caption:s.masterDetailHeader.amount,format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"taxAmount",caption:s.masterDetailHeader.taxAmount,format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"totalAmount",caption:s.masterDetailHeader.totalAmount,format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1,calculateDisplayValue:function(e){var t=0;return _.isNumber(e.amount)&&(t+=e.amount),_.isNumber(e.taxAmount)&&(t+=e.taxAmount),t}},{dataField:"gdBdStatus",caption:s.masterDetailHeader.status,calculateDisplayValue:function(e){return l.instant(o[e.gdBdStatus])}},{caption:l.instant("Details"),cellTemplate:"detailTemplate",allowHeaderFiltering:!1}]}}}},s.eventService={showOrHideSearchBox:function(){s.hasShowMoreSearchBox=!s.hasShowMoreSearchBox,t(function(){s.setInvoiceGridHeight()},500)},refreshInvoiceDataGrid:function(){var e={parameters:s.gdVinSearchEntity,pagingInfo:s.pagingOptions};n.getGDDetailByVin(e).success(function(e){s.vinList=e.list,s.pagingOptions.totalItems=e.pageInfo.totalCount}).error(function(){a.error("",l.instant("CommonFail"))})},checkBeforCancel:function(){var e=s.gdVinDetailVariables.selectedTableRows,n=(new Date).getMonth(),a=0,i=!0,o=!1;return _.each(e,function(e){var t=new Date(e.gdIssuedDate).getMonth();a=t===n?a:++a,e.gdStatus!==c.GDInvoiceStatusEnum.issued&&(i=!1),e.isRedInvoice&&(o=!0)}),{pass:0===a&&i&&!o,notMatchMonth:a,notValidStatus:i,isRedInvoice:o}},cancelInvoiceCore:function(){var e={items:_.map(s.gdVinDetailVariables.selectedTableRows,function(e){return{id:e.gdInvoiceID}}),reprint:s.isReprint,userName:null,userID:null};n.cancelGDInvoice(e).success(function(e){e.result&&(i.close(constant.OutputInvoiceCancalDialog,"gd-vin-view"),s.eventService.refreshInvoiceDataGrid())}).error(function(){a.error("",l.instant("CommonFail"))})},cancelFapiao:function(e){if(!s.gdVinDetailVariables.selectedTableRows||s.gdVinDetailVariables.selectedTableRows.length<1)a.warning(l.instant("SelectBdInvoiceCheck"));else{var t=s.eventService.checkBeforCancel();if(t.pass)s.title=e?l.instant("CancelReprintInvoiceGDTitle"):l.instant("CancelInvoiceGDTitle"),s.isReprint=e||!1,i.open(constant.OutputInvoiceCancalDialog,"gd-vin-view");else{var n=0===t.notMatchMonth?"":l.instant("HasNotMatchMonth")+t.notMatchMonth+l.instant("Separator");n=t.notValidStatus?n:n+l.instant("HasNotMatchStatus"),n=t.isRedInvoice?n+l.instant("RedInvoiceWarrning"):n,a.warning("",n)}}},cancelandPrintFapiao:function(){s.eventService.cancelFapiao(!0)},showDetail:function(e){s.gdVinDetailVariables.selectedGDInvoice=e,s.$broadcast("openGDDetailDialog")},redLetterCheck:function(){var e=!0,t="",n=_.where(s.gdVinDetailVariables.selectedTableRows,{gdBdStatus:c.GDBDStatusEnum.redLettered});n&&0<n.length&&(e=!1,t+=l.instant("HasRedVehicleWarrning")),(n=_.where(s.gdVinDetailVariables.selectedTableRows,{isRedInvoice:!0}))&&0<n.length&&(e=!1,t+=l.instant("RedInvoiceWarrning")),(n=_.where(s.gdVinDetailVariables.selectedTableRows,{gdStatus:c.GDInvoiceStatusEnum.redLettered}))&&0<n.length&&(e=!1,t+=l.instant("HasRedInvoiceWarrning")),(n=_.where(s.gdVinDetailVariables.selectedTableRows,{gdStatus:c.GDInvoiceStatusEnum.cancelled}))&&0<n.length&&(e=!1,t+=l.instant("HasCancelInvoiceWarrning"));var a=new Date,i=a.getMonth(),o=new Date(a.getFullYear(),i,1),r=new Date(o.getTime()-15552e6);return(n=_.filter(s.gdVinDetailVariables.selectedTableRows,function(e){var t=new Date(e.gdIssuedDate);return t<r||o<t}))&&0<n.length&&(e=!1,t+=l.instant("HasUnmatchRedTimeLimit")),{pass:e,msg:t}},confirmRedLetter:function(){if(!s.gdVinDetailVariables.selectedTableRows||s.gdVinDetailVariables.selectedTableRows.length<1)a.warning(l.instant("SelectBdInvoiceCheck"));else{var e=s.eventService.redLetterCheck();e.pass?a.swal({title:l.instant("RedLetterConfirmTitle"),text:l.instant("RedLetterConfirmText"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:l.instant("Confirm"),cancelButtonText:l.instant("ENCancel"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e&&s.eventService.toRedLetter()}):a.warning("",e.msg)}},toRedLetter:function(){var e=_.pluck(s.gdVinDetailVariables.selectedTableRows,"detialID");n.gdMultipleRedLetter(e).success(function(e){e.result?s.eventService.refreshInvoiceDataGrid():a.error("",l.instant(e.resultMsg))}).error(function(){a.error("",l.instant("CommonFail"))})},getQueryBasic:function(){n.getModelSeries().success(function(e){e&&0<e.length&&(s.vehicleModelSource=_.map(e,function(e){return{id:e,name:e}}))}).error(function(e){a.error("",l.instant("CommonFail"))})}},s.eventService.getQueryBasic(),s.eventService.refreshInvoiceDataGrid(),s.hasShowMoreSearchBox=!1,t(function(){s.setInvoiceGridHeight()},500)}]),invoiceModule.directive("gdViewByVin",["$log",function(e){"use strict";return e.debug("GDViewByVIN.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/gd-view-by-vin/gd-view-by-vin.html?_="+Math.random(),scope:{},controller:"gdViewByVINController",link:function(r,e){r.setInvoiceGridHeight=function(){var e=$(document).height(),t=$(".header-title").outerHeight(),n=$(".query-panel").outerHeight(),a=$(".action-row").outerHeight(),i=$(".page-footer").outerHeight();0===i&&(i=60);var o=e-t-n-a-i;r.height=o-50;try{$("#gdVinGrid").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){r.setInvoiceGridHeight()})}}}]),invoiceModule.controller("importShipmentListController",["$scope","$log","$document","$uibModal","messagebox","$translate","$q","apiInterceptor","$interval","region","$timeout","$location","InvoiceManageService","vatOutputInvoiceManageService","userService","$state","SweetAlert","Upload",function(o,r,n,a,e,s,l,c,t,i,d,u,p,m,g,v,h,f){"use strict";var y={Company:s.instant("Company"),PgiWeek:s.instant("PgiWeek"),ConfirmationNumber:s.instant("ConfirmationNumber"),VIN:s.instant("VIN"),CarType:s.instant("CarType"),IsMarketingCar:s.instant("IsMarketingCar"),TaxableSubtotal:s.instant("TaxableSubtotal"),VehiclePriceafterDiscounts:s.instant("VehiclePriceafterDiscounts"),VAT:s.instant("VAT"),Revenue:s.instant("Revenue"),Discounts:s.instant("Discounts"),Subsidy:s.instant("Subsidy"),Cost:s.instant("Cost"),GDRevenue:s.instant("GDRevenue"),GDVAT:s.instant("GDVAT"),GDCost:s.instant("GDCost"),Inventory:s.instant("Inventory"),OrginalbeforeIntercompany:s.instant("OrginalbeforeIntercompany"),Notes:s.instant("Notes")},I={main:function(){o.importDataModal=I.importDataModal,o.chunkSize=10485760,I.initControls(),o.toggleTriggerSyncHistory=I.toggleTriggerSyncHistory,o.closeTriggerSyncHistory=I.closeTriggerSyncHistory,I.loadInvoiceData()},toggleTriggerSyncHistory:function(a){m.getOutputInvoiceImportShipmentSyncHistory().success(function(e){e&&0<e.length&&_.each(e,function(e){e.createTime=new Date(e.createTime).dateTimeToString("yyyyMMdd hh:mm")}),o.syncHistoryList=e;var t=a.clientX,n=a.clientY;t&&n&&$("#shipmenthistory-pop-container").css({top:n-32+"px",left:t-180+"px"}).css("display","block")})},closeTriggerSyncHistory:function(){$("#shipmenthistory-pop-container").hide(500)},initControls:function(){o.searchEntity={};o.pagingOptions={pageIndex:1,totalItems:0,pageSize:constant.page.pageSizeArrary[1]},o.searchEntityOptions={txtVINOptions:{bindingOptions:{value:"searchEntity.vin"},showClearButton:!0}},o.loadInvoiceData=I.loadInvoiceData,I.initInvoiceGrid()},importDataModal:function(){var e={};o.editModel=e;angular.element(n[0].querySelector("#output-invoice-container"));var t=a.open({animation:!0,templateUrl:"importshipmentModal.html",scope:o,resolve:{editModel:e}});t.result.then(function(e){o.operateType=null,o.isUpdate=!0},function(){o.operateType=null,o.isUpdate=!1,r.info("Modal dismissed at: "+new Date)}),o.overlayUpload=function(){I.importData(t)},o.cancel=function(){t.dismiss("cancel")}},overlayUpload:function(){I.importData()},importData:function(n){if(o.editModel.file&&o.editModel.file.name){var a=l.defer(),e=PWC.newGuid()+".dat",t=$('input[name="__RequestVerificationToken"]').val(),i=c.webApiHostUrl+"/outputInvoiceImportShipment/importShipment";$("#busy-indicator-container").show(),f.upload({url:i,data:{cancel:!1,filename:o.editModel.file.name,tempFileName:e},file:o.editModel.file,resumeChunkSize:o.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:c.tokenType+" "+c.apiToken(),__RequestVerificationToken:t,withCredentials:!0},__RequestVerificationToken:t,withCredentials:!0}).then(function(e){var t=e.data;$("#busy-indicator-container").hide(),a.resolve(),t.result?(h.success(s.instant("ImportSuccess")),n.close(t),I.loadInvoiceData()):t.resultMsg&&0<t.resultMsg.length?h.warning(s.instant(t.resultMsg)):h.warning(s.instant("ImportFailed"))},function(e){a.resolve(),"HttpRequestValidationException"===e.statusText?h.warning(s.instant("HttpRequestValidationException")):h.warning("SaveFail"),console.log("Error status: "+e.status)},function(e){a.resolve();var t=parseInt(100*e.loaded/e.total);r.debug("progress: "+t+"% "+e.config.data.filename)})}else h.info(s.instant("SelectCustomerFileRequired"))},initInvoiceGrid:function(){o.invoiceGridDataSource=[],o.invoiceEditGridOptions={bindingOptions:{dataSource:"invoiceGridDataSource"},allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,showBorders:!0,noDataText:s.instant("NoDataText"),selectAllText:s.instant("SelectAll"),allowColumnReordering:!0,height:400,paging:{enabled:!1},onContentReady:function(e){o.invoiceGridInstance=e.component},onSelectionChanged:function(e){I.SelectedInvoiceList=e.selectedRowsData},columns:[{caption:"",columns:[{caption:"",columns:[{dataField:"pgIweek",caption:y.PgiWeek}]}]},{caption:"Step 3- From BD to Final Customer",alignment:"center",columns:[{caption:"",columns:[{dataField:"company",caption:y.Company},{dataField:"companyVloolup",caption:y.Company}]},{caption:"Account Code",columns:[{dataField:"confirmationNumber",caption:y.ConfirmationNumber}]},{caption:"",columns:[{dataField:"vin",caption:y.VIN},{dataField:"carType",caption:y.CarType},{dataField:"isMarketingCar",caption:y.IsMarketingCar},{dataField:"taxableSubtotal",caption:y.TaxableSubtotal,format:{type:"fixedPoint",precision:2}}]},{caption:"120000",columns:[{dataField:"vehiclePriceafterDiscounts",caption:y.VehiclePriceafterDiscounts,format:{type:"fixedPoint",precision:2}}]},{caption:"220143",columns:[{dataField:"vat",caption:y.VAT,format:{type:"fixedPoint",precision:2}}]},{caption:"400005",columns:[{dataField:"revenue",caption:y.Revenue,format:{type:"fixedPoint",precision:2}}]},{caption:"400005",columns:[{dataField:"discounts",caption:y.Discounts,format:{type:"fixedPoint",precision:2}}]},{caption:"472000 US/ 640990 CN",columns:[{dataField:"subsidy",caption:y.Subsidy}]},{caption:"502000",columns:[{dataField:"cost",caption:y.Cost,format:{type:"fixedPoint",precision:2}}]}]},{caption:"Step 2- From GD to BD Intercompany",columns:[{caption:"For GD 2060 Fapiao Issue",columns:[{dataField:"gdRevenue",caption:y.GDRevenue,format:{type:"fixedPoint",precision:2}},{dataField:"gdvat",caption:y.GDVAT,format:{type:"fixedPoint",precision:2}}]},{caption:"",columns:[{dataField:"gdCost",caption:y.GDCost,format:{type:"fixedPoint",precision:2}}]}]},{caption:"Current Invontory",columns:[{caption:"130450",columns:[{dataField:"inventory",caption:y.Inventory,format:{type:"fixedPoint",precision:2}}]},{caption:"Warehouse in WD",columns:[{dataField:"orginalbeforeIntercompany",caption:y.OrginalbeforeIntercompany}]}]},{caption:"",columns:[{caption:"",columns:[{dataField:"notes",caption:y.Notes}]}]}]}},loadInvoiceData:function(){var e={queryParam:o.searchEntity,pagingParam:o.pagingOptions},t=["discounts","gdRevenue","gdvat","gdCost","subsidy"];m.getImportShipmentList(e).success(function(e){e.list&&0<e.list.length&&e.list.forEach(function(e){var n;n=e,t.forEach(function(e){if(n[e]){var t=n[e];try{-1<t.indexOf("(")&&-1<t.indexOf(")")?(t=t.replace(/[^\d.]/g,""),t="("+parseFloat(t).formatAmount()+")"):"-"===t||"#N/A"===t||(t=t.replace(/[^\d.]/g,""),t=parseFloat(t).formatAmount()),n[e]=t}catch(e){r.debug(e+"data:"+t)}}}),e=n}),o.invoiceGridDataSource=e.list,o.pagingOptions.totalItems=e.pageInfo.totalCount,d(function(){o.setInvoiceGridHeight()},50)})},parseData:function(e){return e&&0<e.length&&e.forEach(function(e){if(e.lastModifiedBy){var t=window.PWC.parseFromLocalTimeString(e.lastModifiedBy);e.lastModifiedBy=t.formatDateTime("yyyy-MM-dd")}var n="";e.driverLicense&&(n+=e.driverLicense),e.organizationCode&&(n+="/"+e.organizationCode),e.driverLicenseOrgCode=n,0===e.operateStatus?e.status="normal":1===e.operateStatus&&(e.status="issued")}),e},loadOwnerOrg:function(){g.getUserOwnerOrganization().success(function(e){I.OwnerOrgModel=e})}};r.debug("importShipmentListController.ctor()..."),I.main()}]),invoiceModule.directive("importShipmentList",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("importShipmentList.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/import-shipment-list/import-shipment-list.html?_="+Math.random(),scope:{},controller:"importShipmentListController",link:function(e,t){e.setInvoiceGridHeight=function(){var e=$(document).height()-$(".import-shipment-list-wrapper .header-title").outerHeight()-$(".import-shipment-content-container .header").outerHeight(),t=e-0-60-75+"px";$(".import-shipment-content-container .body").css("height",e);try{var n=$("#importShipmentListGridContainer").dxDataGrid("option");n.height=t,$("#importShipmentListGridContainer").dxDataGrid("option",n),$("#importShipmentListGridContainer").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){e.setInvoiceGridHeight()})}}}]),invoiceModule.controller("outputInvoiceInfrastructureController",["$scope","$log","$q","$timeout","loginContext","$translate","$location","templateGroupService","citSessionService","vatReportService","$state","vatSessionService",function(i,e,t,n,a,o,r,s,l,c,d,u){"use strict";e.debug("outputInvoiceInfrastructureController.ctor()..."),u.clearSelectProject();var p=function(e){e.isExpand=!e.isExpand};i.broadCastMenuClickEvent=function(e){return-1<e.indexOf("issuedInvoiceBdView")&&i.$broadcast("teslaOutputInvoiceMenuClick",{}),!0},function(){var e=[],t=constant.vatPermission.outputInvoice;e.push(t.importVehicelCase.queryCode),e.push(t.bdInvoice.queryCode),e.push(t.gdInvoice.queryCode),e.push(t.gdShipment.queryCode),e.push(t.reconciliationConfig.queryCode),e.push(t.outputReconciliationOverview.queryCode),e.push(t.taxControlDisk.queryCode),i.$root.checkUserPermissionList(e).success(function(e){console.log(JSON.stringify(e)),function(e){i.groups=[];var t=constant.vatPermission.outputInvoice,n={id:"0",name:o.instant("OutputInvoiceManagement"),isExpand:!0,children:[]};e[t.importVehicelCase.queryCode]&&n.children.push({id:"1",name:o.instant("VehicleCaseIssuing"),sref:".imported"}),e[t.bdInvoice.queryCode]&&(n.children.push({id:"2",name:o.instant("EditFapiaoDetails"),sref:".outputInvoiceEdit",className:"sub-menu"}),n.children.push({id:"3",name:o.instant("IssuedInvoicelist")+" - "+o.instant("BDView"),sref:".issuedInvoiceBdView"}),n.children.push({id:"8",name:o.instant("BDVinView"),sref:".bdViewByVin"})),e[t.gdInvoice.queryCode]&&n.children.push({id:"5",name:o.instant("IssuedInvoicelist")+" - "+o.instant("GDView"),sref:".issuedInvoiceGdView"}),e[t.gdShipment.queryCode]&&n.children.push({id:"6",name:o.instant("ImportShipmentListGd"),sref:".importShipmentList",className:"sub-menu"}),e[t.taxControlDisk.queryCode]&&n.children.push({id:"4",name:o.instant("TaxControlDisk")+" - "+o.instant("View"),sref:".taxControlDisk"}),e[t.gdInvoice.queryCode]&&(n.children.push({id:"7",name:o.instant("IssuedInvoiceSpecial"),sref:".issuedInvoiceSpecial"}),n.children.push({id:"8",name:o.instant("GDVinView"),sref:".GDViewByVIN"})),n.children&&0<n.children.length&&i.groups.push(n);var a={id:"1",name:o.instant("ReconciliationConfig"),isExpand:!1,children:[]};e[t.outputReconciliationOverview.queryCode]&&a.children.push({id:"9",name:o.instant("OutputReconciliationOverview"),sref:".outputReconciliationOverview"}),e[t.reconciliationConfig.queryCode]&&a.children.push({id:"10",name:o.instant("OutputReconciliationConfiguration"),sref:".outputReconciliationConfiguration"}),a.children&&0<a.children.length&&i.groups.push(a)}(e)})}(),i.expend=!0,i.toggleGroup=p}]),invoiceModule.directive("outputInvoiceInfrastructure",["$log","$rootScope","$timeout","enums",function(e,a,i,o){"use strict";return e.debug("invoiceInfrastructure.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/infrastructure/output-invoice-infrastructure.html?_="+Math.random(),replace:!0,scope:{state:"="},controller:"outputInvoiceInfrastructureController",link:function(e,t,n){Split(["#vat-report-nav-menu","#vat-report-content"],{sizes:[15,85],minSize:[10,1330],onDragEnd:function(){i(function(){a.$broadcast(o.vatEvent.layoutChanged,{})},700)}}),e.isCollapsed=!1}}}]),invoiceModule.controller("invoiceConfirmController",["$log","$scope","$translate","$document","$uibModal","$timeout","vatOutputInvoiceManageService","SweetAlert","enums","$state","loginContext","orgService",function(e,i,o,t,n,a,r,s,l,c,d,u){"use strict";var p={main:function(){i.editModel={},p.watchCollection()},getBdInvoiceInventory:function(){if(i.model.taxControlDiskID){r.getBdInvoiceInventory(i.model.taxControlDiskID).then(function(e){e&&e.data&&e.data.data?i.preIssueEntity=e.data.data:(i.preIssueEntity.inventory=0,i.preIssueEntity.thresholdValue=20);var t,n,a=(t=i.preIssueEntity,n={},1===i.model.type?(n.title=o.instant("ManualIssuingConfirm"),n.text=o.instant("BDInvoiceConfirmText"),n.secondTitle=o.instant("BDInvoiceConfirmSecondText"),n.invoiceType=o.instant("TslCarInvoiceVehicle")):(n.title=o.instant("GDIssuingConfirm"),n.text=o.instant("GDInvoiceConfirmText"),n.secondTitle=o.instant("GDInvoiceConfirmSecondText"),n.invoiceType=o.instant("TslOutInvoiceSpecial")),n.list=[],n.list.push({name:o.instant("InvoiceTypeColon"),value:n.invoiceType}),n.list.push({name:o.instant("InvoiceInventoryColon"),value:t.inventory}),n.list.push({name:o.instant("NextInvoiceCodeColon"),value:t.nextInvoiceCode}),n.list.push({name:o.instant("NextInvoiceNoColon"),value:t.nextInvoiceNo}),0===t.inventory?n.inventoryType=1:t.inventory<t.thresholdValue?n.inventoryType=2:n.inventoryType=3,n);p.open(a)})}},open:function(e){i.editModel=e;var t=n.open({animation:!1,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"invoiceConfirmTemplate.html",size:"invoice-confirm-size",scope:i,resolve:{editModel:e}});t.result.then(function(e){i.operateType=null},function(){i.operateType=null}),i.confirm=function(){if(i.onConfirm&&1<i.editModel.inventoryType){i.onConfirm({param:{}})}t.close({})},i.cancel=function(){t.dismiss("cancel")}},watchCollection:function(){i.$watch("operateType",function(e,t){e&&e===constant.Operation.Open&&p.getBdInvoiceInventory()})}};p.main()}]),invoiceModule.directive("invoiceConfirm",["$log",function(e){"use strict";return console.log("gdInvoicePrint.ctor()..."),e.debug("gdInvoicePrint.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/invoiceConfirm/invoice-confirm.html?_="+Math.random(),scope:{model:"=",operateType:"=",onConfirm:"&"},controller:"invoiceConfirmController",link:function(e,t){}}}]),invoiceModule.controller("issuedInvoiceBdViewController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","$location","vatOutputInvoiceManageService","enums","$state","loginContext","modalAdapterService","Upload",function(o,e,a,i,s,l,c,r,t,n,d,u,p,m,g,v,h,f){"use strict";o.searchOptions={},o.searchEntity={};var y=_.chain(m.GDBDStatusEnum).invert().pairs().map(function(e){return[e[0],l.instant(e[1])]}).value();o.searchOptions.InvoiceNo={width:"100%",placeholder:l.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.invoiceNo"}},o.searchOptions.VIN={width:"100%",placeholder:l.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.VIN"}},o.searchOptions.IssuedPeriodStart={type:"date",width:"100%",placeholder:l.instant("ChoosePlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.startTime"},displayFormat:"yyyy-MM-dd"},o.searchOptions.IssuedPeriodEnd={type:"date",width:"100%",placeholder:l.instant("ChoosePlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.endTime"},displayFormat:"yyyy-MM-dd"},o.searchOptions.gdStatus={dataSource:y,displayExpr:"1",valueExpr:"0",multiline:!1,width:"100%",placeholder:l.instant("ChoosePlaceholder"),showDropButton:!0,showClearButton:!0,bindingOptions:{value:"searchEntity.gdStatus"}},o.searchOptions.IssuanceType={width:"100%",valueExpr:"id",displayExpr:"name",placeholder:l.instant("ChoosePlaceholder"),showClearButton:!0,items:[{name:""},{id:1,name:"Salesforce"},{id:2,name:"Smart Tax"},{id:3,name:"Local"}],bindingOptions:{value:"searchEntity.issuanceType"}},o.toggleSearchContent=function(){"none"==$("#toggle-search-tr").css("display")?($(".hide-search-btn").addClass("fa-angle-up").html("&nbsp;&nbsp;Collapse"),$(".hide-search-btn").removeClass("fa-angle-down")):($(".hide-search-btn").addClass("fa-angle-down").html("&nbsp;&nbsp;Expand"),$(".hide-search-btn").removeClass("fa-angle-up")),$("#toggle-search-tr").toggle(200),d(function(){o.setInvoiceGridHeight()},300)},o.selectedIssuedInvoiceCount=0,o.selectedIssuedInvoiceData=[],o.selectedIssuedInvoiceAmount="0.00",o.dataGridOption={keyExpr:"id",showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnResizing:!0,columnAutoWidth:!0,columnFixing:{enabled:!0},paging:{enabled:!1},columnChooser:{enabled:!0},selection:{mode:"multiple",showCheckBoxesMode:"always"},bindingOptions:{dataSource:"invoiceGridDataSource",height:"dataGridHeight"},onSelectionChanged:function(e){if(e&&e.selectedRowsData){o.selectedIssuedInvoiceCount=e.selectedRowsData.length,o.selectedIssuedInvoiceData=e.selectedRowsData;var t=0;_.each(e.selectedRowsData,function(e){e.subtotalforFinalPayment&&(t+=e.subtotalforFinalPayment)}),o.selectedIssuedInvoiceAmount=t.formatAmount(2)}}},o.dataGridOption.columns=[{dataField:"invoiceNo",caption:l.instant("InvoiceNo"),fixed:!0},{dataField:"invoiceCode",caption:l.instant("InvoiceCode"),fixed:!0},{dataField:"vin",caption:l.instant("VIN")},{dataField:"caseNumber",caption:l.instant("InvoiceCaseNum")},{dataField:"vehicleModel",caption:l.instant("ModelSeriesG")},{dataField:"cabinConfiguration",caption:l.instant("CabinConfig")},{dataField:"registrationLocalName",caption:l.instant("RegistrationLocalName")},{dataField:"issuedDate",caption:l.instant("IssuedDate")},{dataField:"subtotalforFinalPayment",caption:l.instant("SubtotalForFinalPayment"),format:{type:"fixedPoint",precision:2}},{dataField:"issuranceType",caption:l.instant("IssuranceType")},{dataField:"bdStatus",caption:l.instant("BDStatus")},{dataField:"gdBdStatus",caption:l.instant("GDBDStatus"),cellTemplate:function(e,t){t&&t.value&&("Issued"===t.value?$("<span>").html(t.value+'&nbsp;&nbsp;<i style="color: #b22;font-size: 22px; vertical-align: middle; cursor: pointer;" class="fa fa-arrow-circle-o-left"></i>').appendTo(e).on("dxclick",function(e){"i"===e.target.localName&&o.redLetterGdBdInvoice(t.data)}):$("<span>").text(t.value).appendTo(e))}},{caption:l.instant("Action"),alignment:"left",cellTemplate:function(e,t){$("<a/>").css({color:"#6699cc",cursor:"pointer"}).text(l.instant("View")).on("dxclick",function(){o.invoiceOperateType=constant.Operation.Query,o.invoiceModel=t.data}).appendTo(e);var n=(new Date).dateAdd("d",-1*((new Date).getDate()+180)).dateTimeToString("yyyyMMdd"),a=(new Date).dateAdd("d",-1*(new Date).getDate()).dateTimeToString("yyyyMMdd");if("Red-lettered"!=t.data.bdStatus&&"Cancelled"!=t.data.bdStatus&&t.data.issuedDate>=n&&t.data.issuedDate<=a){var i=$("<a/>");i.css({color:"#6699cc",cursor:"pointer","margin-left":"10px"}).text(l.instant("Red Letter")).on("dxclick",function(){o.redLetterBdUserInvoice(t.data,i)}).appendTo(e)}}}],o.getOutputInvoicePrintedList=function(){var t=c.defer(),e={QueryParam:o.searchEntity,PagingParam:o.pagingOptions};return p.getIssuedVehicleBdList(e).success(function(e){e&&e.list&&(o.pagingOptions.totalItems=e.pageInfo&&e.pageInfo.totalCount,e.list.forEach(function(e){e.invoiceNo=e.invoiceNumber,e.invoiceCase="",e.issuedDate=e.bdIssuedDate?new Date(e.bdIssuedDate).dateTimeToString("yyyyMMdd"):"",e.caseCollectionDate=e.caseCollectionDate?new Date(e.caseCollectionDate).dateTimeToString("yyyyMMdd"):"",e.issuranceType=l.instant(PWC.getEnumKeyByValue(m.IssuanceType,e.issuranceType)),e.bdStatus=l.instant(PWC.getEnumKeyByValue(m.BDStatusEnum,e.bdStatus)),"readyToIssue"===PWC.getEnumKeyByValue(m.GDBDStatusEnum,e.gdBdStatus)?e.gdBdStatus="":e.gdBdStatus=l.instant(PWC.getEnumKeyByValue(m.GDBDStatusEnum,e.gdBdStatus)),e.cabinConfiguration||(e.cabinConfiguration=l.instant("FiveSeatInterior"))}),o.invoiceGridDataSource=e.list,$("#dxIssuedInvoiceDataGridContainer").dxDataGrid("instance").clearSelection(),t.resolve(e))}),t.promise},o.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:20,pageSizeString:"20",firstPage:l.instant("PagingFirstPage"),previousPage:l.instant("PagingPreviousPage"),nextPage:l.instant("PagingNextPage"),lastPage:l.instant("PagingLastPage")},o.pagingService={setPage:function(e){},pageIndexChanging:function(){o.pagingOptions.pageIndex>o.pagingOptions.totalPages&&(o.pagingOptions.pageIndex=o.pagingOptions.totalPages),e.log("Page changed to: "+o.pagingOptions.pageIndex),o.getOutputInvoicePrintedList()},pageSizeSelectionChanged:function(){o.pagingOptions.pageSize=parseInt(o.pagingOptions.pageSizeString),o.getOutputInvoicePrintedList()}},o.redLetterBdUserInvoice=function(r,t){var e=angular.element(a[0].querySelector("#red-letter-bd-user-pop"));i.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"red-letter-bd-user-page.html",controller:function(o){o.redLetterData={},o.redLetterData.needReasonRdio=1,o.redLetterData.inputReasonOption={width:"100%",height:60,bindingOptions:{value:"redLetterData.inputReason"}},o.validateOption={},o.validateOption.inputReasonOption={validationRules:[{type:"required",message:l.instant("BdUserRedLetterWarningInfoInputRequired")},{type:"stringLength",max:500,message:l.instant("BdUserRedLetterWarningInfoInputLengthCheck")}]};o.$watch("$parent.uploadFileOption.files",function(e,t){e&&e!=t&&o.$parent.uploadFileOption.files}),o.uploadFile=function(){o.$parent.uploadFileType="multiple",o.$parent.uploadFileOption={title:"Upload Evidence Document",uploadButtonText:"Select Upload Files",files:o.$parent.uploadFileOption.files||[]}},o.hidePopPanel=function(){o.$parent.uploadFileOption={},o.$dismiss({$value:"cancel"})},o.deleteEvidenceFile=function(t){var e=[t];p.deleteEvidenceFile(e).then(function(){o.$parent.uploadFileOption.files=_.filter(o.$parent.uploadFileOption.files,function(e){return e.data.fileID!=t})})},o.downloadEvidenceFile=function(e){var t={};t.fileName=e.fileName,t.filePath=e.filePath,p.downloadEvidenceFile(t)},o.confirmRedLetterInvoice=function(e){(function(e){if(2==o.redLetterData.needReasonRdio){if(!DevExpress.validationEngine.validateGroup($("#reasonModalForm").dxValidationGroup("instance")).isValid)return;if(!o.redLetterData.inputReason)return s.warning(l.instant("BdUserRedLetterWarningInfoInputRequired")),!1;if(500<o.redLetterData.inputReason.length)return s.warning(l.instant("BdUserRedLetterWarningInfoInputLengthCheck")),!1}return!e||e.length<1||!o.redLetterData.isRevievingAll?(!e||e.length<1?$("#UploadFileCheckTipId").show():$("#UploadFileCheckTipId").hide(),o.redLetterData.isRevievingAll?$("#CancelDialogTextTipId").hide():$("#CancelDialogTextTipId").show(),!1):($("#UploadFileCheckTipId").hide(),$("#CancelDialogTextTipId").hide(),!0)})(e)&&p.redLetterInvoice(r.id).then(function(){(function(e){var t={};t.invoicingReasonIndex=o.redLetterData.needReasonRdio,2==o.redLetterData.needReasonRdio&&(t.inputReason=o.redLetterData.inputReason),t.isRecievingAll=o.redLetterData.isRevievingAll?1:0,t.invoiceID=r.id,t.caseNumber=r.caseNumber;var n=v.userName.substring(0,1).toUpperCase()+v.userName.substring(1,v.userName.length);if(t.createBy=n,e&&0<e.length){var a=[];_.each(e,function(e){a.push(e.data.fileID)}),t.evidenceDocuments=a.join(",")}var i=c.defer();return p.addBdUserRedLetterReason(t).success(function(e){i.resolve(e)}),i.promise})(e).then(function(e){t.hide(),o.$parent.uploadFileOption={},o.$dismiss({$value:"cancel"}),o.getOutputInvoicePrintedList()})})}},windowClass:"data-table",appendTo:e,scope:o})},o.redLetterGdBdInvoice=function(n){var e=angular.element(a[0].querySelector("#red-letter-gd-bd-pop"));i.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"red-letter-gd-bd-page.html",controller:function(t){(t.data=n).vin&&p.getOutputInvoiceImportedByVin(n.vin).success(function(e){e=_.filter(e,function(e){return e.bdFapiaoEntity!=n.bdFapiaoEntity||e.registrationLocalName!=n.registrationLocalName||e.companyVATIDTaxID!=n.companyVATIDTaxID||e.organizationCode!=n.organizationCode}),t.data.BDList=e}),t.data=n,t.hidePopPanel=function(){t.$dismiss({$value:"cancel"})},t.confirmRedLetterInvoice=function(){p.updateInvoiceVichelGdBdStatus(n.id,m.GDBDStatusEnum.pendingForApproval).success(function(){t.$dismiss({$value:"cancel"}),t.getOutputInvoicePrintedList(),p.sendEmail(n.vin,n.id)})},t.dataGridGdBdOptions={showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnResizing:!0,hoverStateEnabled:!0,rowAlternationEnabled:!0,bindingOptions:{dataSource:"data.BDList"},columns:[{dataField:"bdFapiaoEntity",caption:"Entity",width:"25%"},{dataField:"registrationLocalName",caption:"Customer name",width:"25%"},{dataField:"companyVATIDTaxID",caption:"Customer tax ID or National ID",width:"25%"},{dataField:"organizationCode",caption:"Organization Code (if applicable)",width:"25%"}]},d(function(){t.dataGridGdBdOptions.height=130},500)},windowClass:"data-table",appendTo:e,scope:o})},o.cancelCore=function(){var n=[],e=o.selectedIssuedInvoiceData,t=[],a=[];_.each(e,function(e){e.bdStatus!=m.BDStatusEnum.Cancelled&&e.bdStatus!=m.BDStatusEnum.RedLettered||t.push(e)}),_.each(e,function(e){e.subtotalforFinalPayment<0&&a.push(e)}),0<t.length?s.warning(l.instant("BDFapiaoCancelCheck").replace("{0}",_.pluck(t,"invoiceNumber").join(","))):0<a.length?s.warning(l.instant("NegativeFapiaoCheck").replace("{0}",_.pluck(a,"invoiceNumber").join(","))):(_.each(e,function(e){var t=p.cancelInvoice(e.id,o.isReprint);n.push(t)}),c.all(n).then(function(){h.close(constant.OutputInvoiceCancalDialog,"issued-invoice-bd-view-container"),o.getOutputInvoicePrintedList()},function(e){s.error("",l.instant("CommonFail"))}))},o.CancelInvoice=function(e,t){!e||e.length<1?s.warning(l.instant("SelectBdInvoiceCheck")):(o.title=t?l.instant("CancelReprintInvoiceBDTitle"):l.instant("CancelInvoiceBDTitle"),o.isReprint=t||!1,h.open(constant.OutputInvoiceCancalDialog,"issued-invoice-bd-view-container"))};o.chunkSize=512e3,o.uploadOption={},o.uploadOption.uploadFiles=[],o.$watch("uploadOption.uploadFiles",function(e,t){e&&e!==t&&C(o.uploadOption.uploadFiles)});var I,C=function(e){if(e){if(!e.$error){var t=PWC.newGuid()+".dat",n=$('input[name="__RequestVerificationToken"]').val();f.upload({url:r.webApiHostUrl+"/outputInvoicePrinted/uploadVinFile",data:{cancel:!1,filename:e.name,tempFileName:t,file:e,period:o.period},resumeChunkSize:o.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:r.tokenType+" "+r.apiToken()},__RequestVerificationToken:n,withCredentials:!0}).then(function(e){var t=e,n=$("#dxIssuedInvoiceDataGridContainer").dxDataGrid("instance"),a=_.filter(o.invoiceGridDataSource,function(e){return 0<=t.data.indexOf(e.vin)}),i=_.pluck(a,"id");n.selectRows(i,!0)},function(e){})}}};o.$on("teslaOutputInvoiceMenuClick",function(e,t){d(function(){o.setInvoiceGridHeight()},500)}),o.printGDInvoice=function(){o.selectedIssuedInvoiceData&&0!==o.selectedIssuedInvoiceData.length?g.go("outputInvoiceManage.gdInvoicePrint",{invoiceList:o.selectedIssuedInvoiceData}):s.warning(l.instant("SelectBdInvoiceCheck"))},I=o.getOutputInvoicePrintedList(),o.uploadFileType=null,o.uploadFileOption={},I.then(function(){d(function(){o.setInvoiceGridHeight()},500)})}]),invoiceModule.directive("issuedInvoiceBdView",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("issuedInvoiceBdView.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/issued-Invoice-Bd-View/issued-Invoice-Bd-View.html?_="+Math.random(),scope:{},controller:"issuedInvoiceBdViewController",link:function(t,e){t.setInvoiceGridHeight=function(){var e=$(document).height()-$(".page-search-container").outerHeight()-$(".page-fast-search-container").outerHeight()-$(".page-footer").outerHeight();t.dataGridHeight=e-80;try{$("#dxIssuedInvoiceDataGridContainer").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){t.setInvoiceGridHeight()})}}}]),invoiceModule.controller("issuedInvoiceGdViewController",["$scope","$log","$document","$uibModal","$translate","$q","$interval","$timeout","$location","$state","SweetAlert","orgService","vatOutputInvoiceManageService","enums","messagebox",function(i,e,a,o,r,s,t,n,l,c,d,u,p,m,g){"use strict";var v={displayExpr:"displayName",valueExpr:"code",width:"100%",placeholder:r.instant("ChoosePlaceholder"),bindingOptions:{value:"searchEntity.bd"},itemTemplate:"bdList",showClearButton:!0},h=[],f={displayExpr:"name",valueExpr:"name",width:"100%",placeholder:r.instant("ChoosePlaceholder"),bindingOptions:{value:"searchEntity.vrl"},itemTemplate:"vrlList"},y=_.chain(m.GDBDStatusEnum).invert().pairs().map(function(e){return[e[0],r.instant(e[1])]}).value(),I=_.chain(m.BDStatusEnum).invert().pairs().map(function(e){return[e[0],r.instant(e[1])]}).value();i.searchEntity={},i.searchOptions={invoiceNo:{width:"100%",placeholder:r.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.invoiceNo"}},vin:{width:"100%",placeholder:r.instant("InputPlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.vin"}},gdStatus:{dataSource:y,displayExpr:"1",valueExpr:"0",multiline:!1,width:"100%",placeholder:r.instant("ChoosePlaceholder"),showDropButton:!0,showClearButton:!0,bindingOptions:{value:"searchEntity.gdStatus"}},bdStatus:{dataSource:I,displayExpr:"1",valueExpr:"0",multiline:!1,width:"100%",placeholder:r.instant("ChoosePlaceholder"),showDropButton:!0,showClearButton:!0,bindingOptions:{value:"searchEntity.bdStatus"}},issuedPeriodStart:{type:"date",width:"100%",placeholder:r.instant("ChoosePlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.startTime"},displayFormat:"yyyy-MM-dd"},issuedPeriodEnd:{type:"date",width:"100%",placeholder:r.instant("ChoosePlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.endTime"},displayFormat:"yyyy-MM-dd"},markupRatio:0,invoiceQuota:1e7},i.toggleSearchContent=function(){"none"==$(".toggle-search-tr").css("display")?($(".hide-search-btn").addClass("fa-angle-up").html("&nbsp;&nbsp;Collapse"),$(".hide-search-btn").removeClass("fa-angle-down")):($(".hide-search-btn").addClass("fa-angle-down").html("&nbsp;&nbsp;Expand"),$(".hide-search-btn").removeClass("fa-angle-up")),$(".toggle-search-tr").toggle(200),n(function(){i.setInvoiceGridHeight()},300)},i.dataGridOption={keyExpr:"id",showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnReordering:!0,allowColumnResizing:!0,columnAutoWidth:!0,hoverStateEnabled:!0,columnFixing:{enabled:!0},columnChooser:{enabled:!0},paging:{enabled:!1},selection:{mode:"multiple",showCheckBoxesMode:"always"},bindingOptions:{dataSource:"invoiceGridDataSource",height:"dataGridHeight"},onSelectionChanged:function(e){i.selectedItems=e.selectedRowsData,i.selectedTotalAmount=_.reduce(e.selectedRowsData,function(e,t){return e+t.amountAdjusted},0)}},i.dataGridOption.columns=[{dataField:"entityName",caption:r.instant("BDName"),alignment:"left"},{dataField:"vehicleroutinglocation",caption:r.instant("VRL"),alignment:"left"},{dataField:"vin",caption:r.instant("VIN"),alignment:"left"},{dataField:"invoiceNumber",caption:r.instant("InvoiceNo"),alignment:"left",visible:!1},{dataField:"invoiceCode",caption:r.instant("InvoiceCode"),alignment:"left",visible:!1},{dataField:"bdIssuedDate",caption:r.instant("IssuedDate"),alignment:"left"},{dataField:"amount",format:"currency",precision:2,caption:r.instant("SubtotalForFinalPayment"),alignment:"right"},{dataField:"amountAdjusted",format:"currency",precision:2,caption:r.instant("AmountAdjusted"),alignment:"right"},{dataField:"deliveryStatus",caption:r.instant("DeliveryStatus"),alignment:"left"},{dataField:"gdBdStatusStr",caption:r.instant("GDStatus"),alignment:"left"},{caption:r.instant("ViewGDBDFapiao"),alignment:"left",cellTemplate:function(e,t){t.data.buyerOrganizationCode&&t.data.gdIssuedId&&$("<a/>").css({color:"#923",cursor:"pointer"}).text(r.instant("IssuedTo")+t.data.buyerOrganizationCode).on("dxclick",function(){C.showGdInvoice(t.data.gdIssuedId,t.data.gdBdStatus)}).appendTo(e)}},{dataField:"bdStatusStr",caption:r.instant("BDStatus"),alignment:"left"},{caption:r.instant("BDFapiao"),alignment:"left",cellTemplate:function(e,t){$("<a/>").css({color:"#923",cursor:"pointer"}).text(r.instant("View")).on("dxclick",function(){i.invoiceOperateType=constant.Operation.Query,i.invoiceModel=t.data}).appendTo(e)}},{dataField:"caseNumber",caption:r.instant("InvoiceCaseNo"),alignment:"left",visible:!1},{dataField:"vehicleModel",caption:r.instant("VehicleModel"),alignment:"left",visible:!1}];var C={search:function(){var n=s.defer(),e={queryParam:i.searchEntity,pagingParam:i.pagingOptions};return p.getIssuedInvoiceGdList(e).success(function(e){if(e&&e.list){i.pagingOptions.totalItems=e.pageInfo&&e.pageInfo.totalCount,e.list.forEach(function(e){var t=_.findWhere(h,{code:e.bdFapiaoEntity});e.gdIssuedDate=e.gdIssuedDate?new Date(e.gdIssuedDate).dateTimeToString("yyyyMMdd"):"",e.bdIssuedDate=e.bdIssuedDate?new Date(e.bdIssuedDate).dateTimeToString("yyyyMMdd"):"",e.caseCollectionDate=e.caseCollectionDate?new Date(e.caseCollectionDate).dateTimeToString("yyyyMMdd"):"",e.entityName=t?t.code+" "+t.name:"",e.amount=e.subtotalforFinalPayment,2==e.printedType?e.amountAdjusted=null:e.amountAdjusted=(1-i.searchOptions.markupRatio)*e.taxableSubtotal,e.bdStatusStr=r.instant(PWC.getEnumKeyByValue(m.BDStatusEnum,e.bdStatus)),e.gdBdStatusStr=r.instant(PWC.getEnumKeyByValue(m.GDBDStatusEnum,e.gdBdStatus)),e.gdBdStatus===m.GDBDStatusEnum.readyToIssue&&(e.bdStatus!==m.BDStatusEnum.NormalStatus&&e.bdStatus!==m.BDStatusEnum.Matched&&e.bdStatus!==m.BDStatusEnum.Duplicated&&(e.gdBdStatusStr=""),e.isBDRed&&(e.gdBdStatusStr=""))});var t=e.list;i.invoiceGridDataSource=t,n.resolve(e)}}),n.promise},getBdList:function(){return u.getBdList().then(function(e){return e&&e.data?(_.each(e.data,function(e){e.displayName=e.code+" "+e.name}),s.when(e.data)):s.when(null)}).then(function(e){h=e,i.searchOptions.bd=_.extend(v,{dataSource:e});var t=_.chain(e).reject(function(e){return _.isEmpty(e.vehicleroutinglocation)}).map(function(e){return{name:e.vehicleroutinglocation}}).sortBy(function(e){return e.name}).uniq(!0,function(e){return e.name}).value();return t.unshift({name:""}),i.searchOptions.vrl=_.extend(f,{dataSource:t}),s.when(e)})},showGdInvoice:function(e,t){i.selectedGDInvoiceID=e,i.selectedGDInvoiceStatus=t,i.$broadcast("openGDDetailDialog")},checkStatusBeforeIssue:function(){if(!i.selectedItems||0===i.selectedItems.length)return g.warning("SelectBdInvoiceCheck"),!1;var e=_.where(i.selectedItems,{isBDRed:!0});if(e&&0<e.length)return g.warning("RedInvoiceWarrning"),!1;var t=_.where(i.selectedItems,{bdStatus:m.BDStatusEnum.Unmatched});if(!_.isEmpty(t))return d.warning(r.instant("BDStatusUnmatched").replace("{0}",_.pluck(t,"vin").join(","))),!1;var n=_.filter(i.selectedItems,function(e){return e.bdStatus===m.BDStatusEnum.Cancelled||e.bdStatus===m.BDStatusEnum.RedLettered});if(!_.isEmpty(n))return d.warning(r.instant("BDStatusCancelled").replace("{0}",_.pluck(n,"vin").join(","))),!1;var a=_.filter(i.selectedItems,function(e){return e.gdBdStatus!==m.GDBDStatusEnum.readyToIssue&&e.gdBdStatus!==m.GDBDStatusEnum.redLettered&&e.gdBdStatus!==m.GDBDStatusEnum.cancelled});return!!_.isEmpty(a)||(d.warning(r.instant("GDStatusNotReady").replace("{0}",_.pluck(a,"vin").join(","))),!1)}};i.setInvoiceMarkupRatio=function(){var e=["$scope",function(t){t.invoiceMarkupRatioEntity=t.$parent.invoiceMarkupRatioEntity||{},t.validateOption={},t.markupRatioOption={width:230,bindingOptions:{value:"invoiceMarkupRatioEntity.rate"}},t.validateOption.markupRatioOption={validationRules:[{type:"required",message:r.instant("MarkUpRateRequire")},{type:"numeric",message:r.instant("MarkupRatioInputFormatCheckInfo")},{type:"range",min:0,max:99.99,message:r.instant("MarkupRatioInputFormatCheckInfo")}]},t.effectiveDateOption={width:230,type:"date",min:new Date,invalidDateMessage:r.instant("EffectiveDateSpellCheck"),bindingOptions:{value:"invoiceMarkupRatioEntity.effectiveDate"},spellcheck:!0,onInput:function(e){t.inputEffectiveDate=e.component.field().val()},displayFormat:"yyyy-MM-dd"},t.validateOption.effectiveDateOption={validationRules:[{type:"required",message:r.instant("MarkUpEffectiveDateRequire")}]},t.hidePopPanel=function(){t.invoiceMarkupRatioEntity.rate=null,t.invoiceMarkupRatioEntity.effectiveDate=null,t.$dismiss({$value:"cancel"})},t.inputEffectiveDate;t.confirmSetInvoiceMarkupRatio=function(){(function(){if(DevExpress.validationEngine.validateGroup($("#rateModalForm").dxValidationGroup("instance")).isValid)return t.invoiceMarkupRatioEntity.rate&&t.invoiceMarkupRatioEntity.effectiveDate?(t.invoiceMarkupRatioEntity.rate,t.invoiceMarkupRatioEntity.rate<0||100<=t.invoiceMarkupRatioEntity.rate?(g.warning("MarkupRatioInputFormatCheckInfo"),!1):t.inputEffectiveDate&&0<=new Date(t.inputEffectiveDate).dateTimeToString("yyyyMMdd").indexOf("NaN")?(g.warning("EffectiveDateFormatCheckInfo"),!1):t.inputEffectiveDate&&new Date(t.inputEffectiveDate).dateTimeToString("yyyyMMdd")<(new Date).dateTimeToString("yyyyMMdd")?(g.warning("EffectiveDateTimeCheckInfo"),!1):!(t.inputEffectiveDate="")):(g.warning("MarkupRatioRequired"),!1)})()&&(t.invoiceMarkupRatioEntity.rate/=100,p.saveMarkupRatio(t.invoiceMarkupRatioEntity).success(function(e){e&&e.data&&(t.invoiceMarkupRatioEntity=e.data,e.data.currentRate?t.searchOptions.markupRatio=e.data.currentRate:t.searchOptions.markupRatio=0,t.$parent.invoiceMarkupRatioEntity=t.invoiceMarkupRatioEntity),t.$dismiss({$value:"cancel"}),t.invoiceMarkupRatioEntity.rate=null,t.invoiceMarkupRatioEntity.effectiveDate=null,C.search()}))}}],t=angular.element(a[0].querySelector("#setup-mark-up-ratio-pop"));o.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"setup-mark-up-ratio-page.html",controller:e,windowClass:"data-table",appendTo:t,scope:i})},i.setInvoiceQuota=function(){var e=["$scope",function(i){i.invoiceQuotaEntity={},_.isEmpty(i.$parent.invoiceQuotaEntity)||_.extend(i.invoiceQuotaEntity,i.$parent.invoiceQuotaEntity),i.maxValueOption={width:230,bindingOptions:{value:"invoiceQuotaEntity.maxValue"},onFocusOut:function(e){i.invoiceQuotaEntity.maxValue;var t=e.component,n=PWC.AccountToFloat(i.invoiceQuotaEntity.maxValue);if(n&&n.isNumber){var a=parseFloat(n.value);if(1e9<a)return t.option("isValid",!1),void t.option("validationError",{message:r.instant("MaximumValueLengthCheckInfo")});i.invoiceQuotaEntity.maxValue=a.formatAmount(2),t.option("isValid",!0),t.option("validationError",{message:""})}else t.option("isValid",!1),t.option("validationError",{message:r.instant("MaximumValueFormatCheckInfo")})}},i.maxValueOptionValid={validationRules:[{type:"required",message:r.instant("MaximumValueRequired")}]},i.hidePopPanel=function(){i.$dismiss({$value:"cancel"})};i.confirmSetInvoiceQuota=function(){if(DevExpress.validationEngine.validateGroup($("#setupGroup").dxValidationGroup("instance")).isValid){var e=$("#max-value").dxTextBox("instance"),t=PWC.AccountToFloat(i.invoiceQuotaEntity.maxValue);if(t&&!t.isNumber)return e.option("isValid",!1),void e.option("validationError",{message:r.instant("MaximumValueFormatCheckInfo")});var n=t.value;if(1e9<=n)return e.option("isValid",!1),void e.option("validationError",{message:r.instant("MaximumValueLengthCheckInfo")});p.saveInvoiceQuota(n).success(function(e){e&&e.data&&(i.invoiceQuotaEntity.maxValue=parseFloat(e.data).formatAmount(2),i.searchOptions.invoiceQuota=e.data,i.$parent.invoiceQuotaEntity=i.invoiceQuotaEntity),i.$dismiss({$value:"cancel"})})}}}],t=angular.element(a[0].querySelector("#setup-quota-pop"));o.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"setup-quota-page.html",controller:e,windowClass:"data-table",appendTo:t,scope:i})},i.selectedManualInput,i.popupPreIssue=function(){if(C.checkStatusBeforeIssue()){var t=["$scope",function(a){a.preIssueEntity=a.$parent.preIssueEntity||{},a.preIssueEntity.page=0,a.uploadFileType=null,a.uploadFileOption=null,a.preIssueEntity.manualInputReasons=a.manualInputReasons,a.dataGridOption={height:250,showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnReordering:!1,allowColumnResizing:!0,columnAutoWidth:!0,hoverStateEnabled:!1,columnFixing:{enabled:!0},paging:{enabled:!1},selection:{mode:"none"},bindingOptions:{dataSource:"shipmentDataSource"}},a.dataGridOption.columns=[{dataField:"vin",caption:r.instant("VIN"),alignment:"left"},{dataField:"vehicleAmount",format:"currency",precision:2,caption:r.instant("ShipmentVehicleAmount")+" (A)",alignment:"right",headerCellTemplate:function(e,t){$("<div>").html(t.column.caption.replace(/\n/g,"<br/>")).appendTo(e)}},{dataField:"shipmentAmount",format:"currency",precision:2,caption:r.instant("ShipmentShipmentAmount")+" (B)",alignment:"right",headerCellTemplate:function(e,t){$("<div>").html(t.column.caption.replace(/\n/g,"<br/>")).appendTo(e)}},{caption:r.instant("PriceCheck")+"\n(A-B)",alignment:"right",cellTemplate:function(e,t){var n="";if(_.isNumber(t.data.vehicleAmount)&&_.isNumber(t.data.shipmentAmount)){var a=t.data.vehicleAmount-t.data.shipmentAmount;n=0===a?r.instant("Equal"):a.formatAmount()}else n="/";e.text(n)},headerCellTemplate:function(e,t){$("<div>").html(t.column.caption.replace(/\n/g,"<br/>")).appendTo(e)}},{caption:r.instant("State"),alignment:"left",cellTemplate:function(e,t){t.data.state===m.ShipmentCheckStatusEnum.Normal?e.text(r.instant("NormalStatus")).append('&nbsp;<i class="fa fa-check-circle" style="color: green;" aria-hidden="true"></i>'):t.data.state===m.ShipmentCheckStatusEnum.Unbalance?e.text(r.instant("Unbalance")).append('&nbsp;<i class="fa fa-exclamation-circle" style="color: red;" aria-hidden="true"></i>'):e.text(r.instant("CantFind")).append('&nbsp;<i class="fa fa-question-circle" style="color: grey;" aria-hidden="true"></i>')}},{dataField:"finalAmount",format:"currency",precision:2,caption:r.instant("FinalAmount"),alignment:"right"},{caption:r.instant("Action"),alignment:"left",cellTemplate:function(e,t){t.data.state===m.ShipmentCheckStatusEnum.Normal||$("<a/>").css({color:"#923",cursor:"pointer"}).text(r.instant("ManualInput")).on("dxclick",function(){a.$parent.selectedManualInput=t.data,a.manualInput(t.data)}).appendTo(e)}}],a.deleteFromIssuingList=function(n){g.confirm(r.instant("ConfirmDeleteVehicle"),"").then(function(e){if(e){var t=_.findIndex(a.shipmentDataSource,{vin:n.vin});a.shipmentDataSource.splice(t,1)}})},a.manualInput=function(e){a.manualInputModel=a.$parent.manualInputModel=e,a.preIssueEntity.isOpenManualInput=!0},a.hidePopPanel=function(){a.$dismiss({$value:"cancel"})},a.next=function(){a.preIssueEntity.page=1},a.prev=function(){a.preIssueEntity.page=0},a.confirm=function(){a.printGDInvoice(),a.$close()}}];s.all([p.getGdInvoiceInventory(),p.getCheckShipmentList(_.pluck(i.selectedItems,"vin"))]).then(function(n){if(n)if(n[0]&&n[0].data&&n[0].data.data?i.preIssueEntity=n[0].data.data:(i.preIssueEntity.inventory=0,i.preIssueEntity.thresholdValue=100,i.preIssueEntity.thresholdScale=.1),n[1]&&n[1].data){i.shipmentDataSource=_.map(i.selectedItems,function(e){var t=_.findWhere(n[1].data,{vin:e.vin});return{vin:e.vin,vehicleAmount:e.amountAdjusted,shipmentAmount:_.isEmpty(t)?"/":t.vehiclePriceafterDiscounts,state:_.isEmpty(t)?m.ShipmentCheckStatusEnum.CantFind:Math.abs(t.vehiclePriceafterDiscounts-e.amountAdjusted)<1?m.ShipmentCheckStatusEnum.Normal:m.ShipmentCheckStatusEnum.Unbalance,finalAmount:_.isEmpty(t)?"/":Math.abs(t.vehiclePriceafterDiscounts-e.amountAdjusted)<1?e.amountAdjusted:null}});var e=angular.element(a[0].querySelector("#pre-issue-pop"));o.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"pre-issue-page.html",controller:t,windowClass:"pre-issue-popup",appendTo:e,scope:i})}else g.warning("PleaseContactAdministrator");else g.warning("PleaseContactAdministrator")})}},i.refreshIssueGDBD=function(){var e=i.manualInputModel.manualInput.reasonList[0],t=_.where(i.manualInputReasons,{id:e});if(t&&"ManualInputReason2"==t[0].dictionaryKey){var n=_.findIndex(i.shipmentDataSource,{vin:i.selectedManualInput.vin});i.shipmentDataSource.splice(n,1)}},i.importShipmentList=function(){c.go("outputInvoiceManage.importShipmentList")},i.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1].toString()},i.pagingService={setPage:function(e){},pageIndexChanging:function(){i.pagingOptions.pageIndex>i.pagingOptions.totalPages&&(i.pagingOptions.pageIndex=i.pagingOptions.totalPages),e.log("Page changed to: "+i.pagingOptions.pageIndex),C.search()},pageSizeSelectionChanged:function(){i.pagingOptions.pageSize=parseInt(i.pagingOptions.pageSizeString),C.search()}},i.refreshTable=function(){C.search()},i.printGDInvoice=function(){if(i.shipmentDataSource&&0!==i.shipmentDataSource.length){var e=_.chain(i.selectedItems).filter(function(e){return _.some(i.shipmentDataSource,{vin:e.vin})}).map(function(e){var t=angular.copy(e),n=_.findWhere(i.shipmentDataSource,{vin:t.vin});return _.isEmpty(n)||(t.amountAdjusted=n.finalAmount,_.isEmpty(n.manualInput)||(t.manualInput=n.manualInput)),t}).value();if(_.some(e,function(e){return!_.isNumber(e.amountAdjusted)}))g.warning("FinalAmountEmpty");else{if(e&&0<e.length)for(var t=0;t<e.length;t++){var n=e[t];if(w.getTax(n)+n.amountAdjusted>w.LimitAmount){var a="Issuing amount out of setting quota ("+w.LimitAmount.formatAmount()+").";return void g.warning(a)}}c.go("outputInvoiceManage.gdInvoicePrint",{invoiceList:e})}}else g.warning("SelectBdInvoiceCheck")};var w={LimitAmount:0,getinvoiceQuota:function(){p.getInvoiceQuota().success(function(e){if(e.result){e.data;w.LimitAmount=parseInt(e.data)}})},getTax:function(e){var t=e.vatRateorLevyRate.replace("%",""),n=parseInt(t);e.taxRateDecimal=n/100;var a=e.amountAdjusted*n;return a/=100}};i.selectedItems=[],i.selectedTotalAmount=0,i.invoiceMarkupRatioEntity={},i.invoiceQuotaEntity={},i.preIssueEntity={},i.selectedGDInvoiceID=null,w.getinvoiceQuota(),p.getMarkupRatio().then(function(e){e&&e.data?(e.data.currentRate?i.searchOptions.markupRatio=e.data.currentRate:i.searchOptions.markupRatio=0,i.invoiceMarkupRatioEntity=e.data,i.invoiceMarkupRatioEntity.rate=null,i.invoiceMarkupRatioEntity.effectiveDate=null):i.searchOptions.markupRatio=0}).then(p.getInvoiceQuota).then(function(e){var t;e&&e.data&&e.data.data?(i.searchOptions.invoiceQuota=e.data.data,t=e.data.data):i.searchOptions.invoiceQuota=t=1e7,i.invoiceQuotaEntity.maxValue=parseFloat(t).formatAmount(2)}).then(C.getBdList).then(C.search).then(function(){i.setInvoiceGridHeight()}),p.getAmountCheckManualInputReason().then(function(e){e&&e.data?i.manualInputReasons=e.data:i.manualInputReasons=[]}),i.search=C.search}]),invoiceModule.directive("issuedInvoiceGdView",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("issuedInvoiceGdView.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/issued-invoice-gd-view/issued-invoice-gd-view.html?_="+Math.random(),scope:{},controller:"issuedInvoiceGdViewController",link:function(t,e){t.setInvoiceGridHeight=function(){var e=$(document).height()-$(".page-search-container").outerHeight()-$(".page-fast-search-container").outerHeight()-$(".issued-invoice-gd-view-container .page-footer").outerHeight();t.dataGridHeight=60<e?e-60:1;try{$("#dxIssuedInvoiceGdContainer").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){t.setInvoiceGridHeight()})}}}]),invoiceModule.controller("outputInvoiceImportedController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","$location","$state","InvoiceManageService","vatOutputInvoiceManageService","loginContext","orgService","messagebox","Upload",function(l,c,t,n,i,o,r,a,e,s,d,u,p,m,g,v,h,f,y){"use strict";var I=[{displayName:"Normal",value:1},{displayName:"Occupied",value:2},{displayName:"Duplicated",value:3},{displayName:"Prohibit",value:4},{displayName:"On Hold",value:5}];l.pleaseSelect=o.instant("ChoosePlaceholder"),l.pleaseInput=o.instant("InputPlaceholder"),l.currentVRL="",l.pagingOptions={pageIndex:1,totalItems:0,pageSize:constant.page.pageSizeArrary[1]},l.searchEntity={},l.datagrid={},l.hasShowMoreSearchBox=!1;l.translated={NoData:o.instant("NoDataText"),pleaseSelect:o.instant("ChoosePlaceholder"),pleaseInput:o.instant("InputPlaceholder")},l.openTriggerSyncHistory=function(e){var t=e.clientX,n=e.clientY;t&&n&&$("#history-pop-container").css({top:n-32+"px",left:t-180+"px"}).show(500)},l.closeTriggerSyncHistory=function(){$("#history-pop-container").hide(500)},l.toggleTriggerSyncHistory=function(){var e=event.clientX,t=event.clientY;e&&t&&$("#history-pop-container").css({top:t-32+"px",left:e-180+"px"}).toggle(500)},l.toggleSearchContent=function(){"none"==$("#toggle-search-tr").css("display")?($(".hide-search-btn").addClass("fa-angle-up").html("&nbsp;&nbsp;Collapse"),$(".hide-search-btn").removeClass("fa-angle-down")):($(".hide-search-btn").addClass("fa-angle-down").html("&nbsp;&nbsp;Expand"),$(".hide-search-btn").removeClass("fa-angle-up")),$("#toggle-search-tr").toggle(200),d(function(){l.setInvoiceGridHeight()},300)};var C=function(){g.getSyncHistory().success(function(e){e&&0<e.length&&(_.each(e,function(e){e.createTime=new Date(e.createTime).dateTimeToString("yyyyMMdd hh:mm")}),l.syncHistoryList=e)})},w=function(){var n=r.defer(),e={QueryParam:l.searchEntity,PagingParam:l.pagingOptions},a=o.instant("HoldedStatus");return g.getOutputImportedList(e).success(function(e){if(e){l.pagingOptions.totalItems=e.pageInfo&&e.pageInfo.totalCount;var t=e.list;angular.forEach(t,function(e,t){if(e.lastModifiedBy){var n=window.PWC.parseFromLocalTimeString(e.lastModifiedBy);e.lastModifiedBy=n.formatDateTime("yyyy-MM-dd")}"Holded"===e.statusName&&(e.statusName=a),0===t&&(l.currentVRL=e.vehicleroutinglocation)}),l.importedGridDataSource=t,n.resolve(e)}}),n.promise},S=function(){l.setInvoiceGridHeight()},D=function(){for(var e=[],t=constant.page.pageSizeArrary,n=0;n<t.length;n++){var a={id:t[n],value:t[n]};e.push(a)}l.pagingOptions.pagingSelection=e};l.eventService={showMapping:function(){l.isOpenMapping=!0},holdVechicle:function(){var e=l.datagrid.selectedItems;if(e&&0!==e.length){var t=o.instant("Confirm")+" "+o.instant("HoldVechicle")+"?";f.confirm(t,"",constant.teslaConfirmClassName).then(function(e){if(e){var t=l.datagrid.selectedItems;g.holdRecordList(t).success(function(e){e.result?(i.success(o.instant("SaveSuccess")),T()):swal(o.instant("SaveFail"),o.instant("SaveFail"),"warning")})}})}else i.warning(o.instant("SelectBdInvoiceCheck"))},triggerIssuance:function(){var e=l.datagrid.selectedItems;if(e&&0!==e.length){var t=_.filter(e,function(e){return null!==e.validationInforamtion&&0<e.validationInforamtion.length});t&&0<t.length?i.warning("",o.instant("ValidationFailToPrint")):(t=_.where(e,{recordStatus:I[4].value}))&&0<t.length?i.warning("",o.instant("NotTriggerIssurance")):g.triggerIssuanceList(e).success(function(e){if(e.result)i.success(o.instant("SaveSuccess")),p.go("outputInvoiceManage.outputInvoiceEdit");else if(e.resultMsg){var t="AddModelMappingFirst",n=e.resultMsg.indexOf(t+":");if(0<=n){var a=e.resultMsg.substring(n+t.length+1);e.resultMsg=o.instant(t).replace("{0}",a)}else e.resultMsg=o.instant(e.resultMsg);swal(e.resultMsg,"","warning")}else swal(o.instant("SaveFail"),o.instant("SaveFail"),"warning")})}else i.warning("",o.instant("SelectBdInvoiceCheck"))},fapiaoByManual:function(){l.invoiceOperateType=constant.Operation.Add,l.invoiceModel={}},unholdVechicle:function(){var e=l.datagrid.selectedItems,t=e;e&&0<e.length&&(t=_.filter(e,function(e){return e.updateBy&&e.updateBy.toLowerCase()===O.userId})),t&&0!==t.length||swal(o.instant("SaveFail"),o.instant("OnlyUnholdMySelf"),"warning"),g.unHoldRecordByList(t).success(function(e){e.result?(i.success(o.instant("SaveSuccess")),T()):swal(o.instant("SaveFail"),o.instant("SaveFail"),"warning")})},showReassignModal:function(){b()}},l.issuedPrompt={instance:null,open:function(){var e=n.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"issuedStatus-prompt.html",windowClass:"to-be-issued-prompt",scope:l,appendTo:$(".output-invoice-imported")});l.issuedPrompt.instance=e},cancel:function(){l.issuedPrompt.instance.dismiss("cancel")}};var b=function(){if(l.reassignItems=l.datagrid.selectedItems,l.reassignItems&&0!==l.reassignItems.length){var e=_.where(l.reassignItems,{recordStatus:I[4].value});if(e&&0<e.length)i.warning("",o.instant("OnHoldToPrint"));else n.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"reassign-modal-template.html",controller:function(i){c.debug(i),h.getBdList().success(function(e){var t=_.filter(_.uniq(_.pluck(e,"vehicleroutinglocation")),function(e){return null!==e&&e!==i.currentVRL});i.BDListOptions={items:t,searchEnabled:!1,bindingOptions:{value:"newVRL"},placeholder:i.pleaseSelect}}),i.saveReassignWindow=function(){var e=[];if(i.newVRL&&i.reasonList&&i.reassignItems){var t=_.filter(i.reasonList,function(e){return e});if(!t||t.length<1)swal(o.instant("SelectWarning"),o.instant("ReAssignWarning"),"warning");else{for(var n in i.reasonList)e.push(parseInt(n));if(0!==e.length){var a={selectedCaseList:i.reassignItems,newVRLName:i.newVRL,reasonList:e};g.reassignCase(a).success(function(e){T(),i.$dismiss({$value:"cancel"})})}else swal(o.instant("SelectWarning"),o.instant("AtleastOneReason"),"warning")}}else swal(o.instant("SelectWarning"),o.instant("ReAssignWarning"),"warning")},i.hidePopPanel=function(){i.$dismiss({$value:"cancel"})}},windowClass:"data-table",appendTo:angular.element(t[0].querySelector("#reassign-modal-template")),scope:l})}else i.warning(o.instant("SelectBdInvoiceCheck"))};l.buttonService={searchByFilter:function(){T()},manualUpdateSFData:function(){var t=r.defer(),e={createBy:v.userName};return g.saveSyncHistory(e).then(function(){C()}),g.manualUpdateSFData().success(function(e){t.resolve({data:e})}).error(function(){t.reject("Data Loading Error")}),t.promise}},l.pagingSercice={setPage:function(e){},pageIndexChanging:function(){l.pagingOptions.pageIndex>l.pagingOptions.totalPages&&(l.pagingOptions.pageIndex=l.pagingOptions.totalPages),c.log("Page changed to: "+l.pagingOptions.pageIndex),w()},pageSizeSelectionChanged:function(){l.pagingOptions.pageSize=parseInt(l.pagingOptions.pageSizeString),w()}};var T=function(){w(l.searchEntity),d(function(){S()},50)};l.$watch("importedGridDataSource",function(){d(function(){if(l.uploadVins&&l.importedGridDataSource){var e=$("#invoiceGridContainer").dxDataGrid("instance"),t=_.filter(l.importedGridDataSource,function(e){return 0<=l.uploadVins.indexOf(e.vin)}),n=_.pluck(t,"id");e.selectRows(n,!0)}},200)});var x=function(){var s=function(e){var n="";return _.each(e,function(e){var t=e.validMessage.split("\n");_.each(t,function(e){if(e){var t=e.split(constant.splitValidation);_.each(t,function(e){n+=o.instant(e)+" "}),n+=","}})}),n.substring(0,n.length-1)},a=function(e,t){var n=null==e.value||""==e.value?"&nbsp;":e.value,a=" <div><span>"+n+"</span></div>";if(e.data.validationInforamtion){var i=_.where(e.data.validationInforamtion,{fieldName:t});if(i&&0<i.length)a='<div class="noteTips" title="'+s(i)+'"><span>'+n+"</span></div>"}return a};l.invoiceGridOptions={bindingOptions:{dataSource:"importedGridDataSource",height:"dataGridHeight"},selection:{mode:"multiple",showCheckBoxesMode:"always"},loadPanel:{enabled:!1},paging:{enabled:!1},keyExpr:"id",allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnReordering:!0,columnChooser:{enabled:!0,emptyPanelText:o.instant("DragInformation")},noDataText:o.instant("NoDataText"),selectAllText:o.instant("SelectAll"),onContentReady:function(e){l.invoiceGridInstance=e.component},onCellPrepared:function(e){("data"===e.rowType&"select"===e.column.command&&(e.data.status===constant.inputInvoice.statusType.InvoiceHasRefund.id||e.data.status===constant.inputInvoice.statusType.InvoiceHasExpired.id)&&(e.cellElement.find(".dx-select-checkbox").hide(),e.cellElement.off()),"data"===e.rowType)&&(e.data.recordStatus===constant.CaseImportedStatusEnum.Holded&&e.cellElement.css("background-color","#F2F2F2"))},onSelectionChanged:function(e){l.datagrid.selectedItems=e.selectedRowsData,function(e){if(l.showUnHoldBtn=!1,l.showHoldBtn=!0,e.selectedRowsData&&0<e.selectedRowsData.length){_.uniq(_.pluck(e.selectedRowsData,"recordStatus"));var t=e.selectedRowsData,n=_.filter(t,function(e){return e.updateBy&&e.updateBy.toLowerCase()===O.userId&&e.recordStatus===constant.CaseImportedStatusEnum.Holded}),a=_.filter(t,function(e){return e.recordStatus!=constant.CaseImportedStatusEnum.Holded});n.length===t.length?(l.showUnHoldBtn=!0,l.showHoldBtn=!1):a.length===t.length?(l.showUnHoldBtn=!1,l.showHoldBtn=!0):(l.showUnHoldBtn=!1,l.showHoldBtn=!1)}}(e)},columns:[{dataField:"vehicleroutinglocation",caption:o.instant("VRL"),fixed:!0},{dataField:"vin",caption:o.instant("VinNumber"),cellTemplate:function(e,t){var n=a(t,"VIN");e.append(n)}},{dataField:"caseNumber",caption:o.instant("CaseNumber"),cellTemplate:function(e,t){var n=a(t,"CaseNumber");e.append(n)}},{dataField:"modelSeries",caption:o.instant("ModelSeries")},{dataField:"cabinConfiguration",caption:o.instant("CabinConfig"),visible:!1},{dataField:"updateByUserName",caption:o.instant("LastModifiedBy"),visible:!1},{dataField:"lastModifiedBy",caption:o.instant("LastModifiedDate"),visible:!1},{dataField:"subtotalforFinalPayment",caption:o.instant("SubtotalForFinalPayment"),cellTemplate:function(e,t){try{var n=t.data,a=$("<div/>"),i=$("<span/>");if(n.isRelatedBD&&null===n.bdSubtotalforFinalPayment?i.addClass("span-is-related-bd cursor-pointer").text(n.subtotalforFinalPayment.formatAmount(2)).on("click",function(){l.updateIsRelatedBDPrice(n)}):i.text(n.subtotalforFinalPayment.formatAmount(2)),n.validationInforamtion){var o=_.findWhere(n.validationInforamtion,{fieldName:"SubtotalforFinalPayment"});if(o&&0<o.length){var r=s(o);a.addClass("noteTips").attr("title",r)}}i.appendTo(a),a.appendTo(e)}catch(e){c.error(e)}}},{dataField:"registrationLocalName",caption:o.instant("RegistrationLocalName"),visible:!0,cellTemplate:function(e,t){var n=a(t,"RegistrationLocalName");e.append(n)}},{dataField:"driverLicense",caption:o.instant("DriverLicense"),cellTemplate:function(e,t){var n=a(t,"DriverLicense");e.append(n)}},{dataField:"organizationCode",caption:o.instant("OrganizationCode"),visible:!1,cellTemplate:function(e,t){var n=a(t,"OrganizationCode");e.append(n)}},{dataField:"companyVATIDTaxID",caption:o.instant("CompanyTaxID"),cellTemplate:function(e,t){var n=a(t,"CompanyVATIDTaxID");e.append(n)}},{dataField:"importCertificateNumber",caption:o.instant("ImportCertificate"),visible:!1,cellTemplate:function(e,t){var n=a(t,"ImportCertificateNumber");e.append(n)}},{dataField:"motorNumber",caption:o.instant("MotorNumber"),visible:!1},{dataField:"ciqNumber",caption:o.instant("CIQNumber"),visible:!1,cellTemplate:function(e,t){var n=a(t,"CIQNumber");e.append(n)}},{dataField:"deliveryStatus",caption:o.instant("DeliveryStatus"),visible:!1},{dataField:"statusName",caption:o.instant("toBeIssuedStatus"),cellTemplate:function(e,t){try{var n=t.data;"Prohibit"===n.statusName?($("<span class='glyphicon glyphicon-remove cursor-pointer' />").appendTo(e),$("<span class='cursor-pointer' />").text(n.statusName).on("click",function(){l.issusedStatus={selectedVIN:n.vin,icon:'<i  class="glyphicon glyphicon-remove" ></i>',status:n.statusName,information:o.instant("ProhibitInformation"),BDInformation:o.instant("BDColon")+" "+n.otherBDs},l.issuedPrompt.open()}).appendTo(e)):"Occupied"===n.statusName?($("<span class='glyphicon glyphicon-alert cursor-pointer' />").appendTo(e),$("<span class='cursor-pointer' />").text(n.statusName).on("click",function(){l.issusedStatus={selectedVIN:n.vin,icon:'<i  class="glyphicon glyphicon-alert" ></i>',status:n.statusName,information:o.instant("OccupiedInformation"),BDInformation:o.instant("OtherBDColon")+" "+n.otherBDs},l.issuedPrompt.open()}).appendTo(e)):"Duplicated"===n.statusName?($("<span class='glyphicon glyphicon-ban-circle cursor-pointer' />").appendTo(e),$("<span class='cursor-pointer'/>").text(n.statusName).on("click",function(){l.issusedStatus={selectedVIN:n.vin,icon:'<i  class="glyphicon glyphicon-ban-circle" ></i>',status:n.statusName,information:o.instant("DuplicatedInformation"),BDInformation:o.instant("BDColon")+" "+n.otherBDs},l.issuedPrompt.open()}).appendTo(e)):($("<span class='glyphicon glyphicon-ban-circle cursor-pointer visibility-hidden-before' />").appendTo(e),$("<span class='cursor-pointer'/>").text(""+n.statusName).appendTo(e))}catch(e){c.error(e)}}},{dataField:"otherItem1",caption:o.instant("otherItem1"),visible:!1},{dataField:"otherItem1Amount",caption:o.instant("otherItem1Amount"),visible:!1},{dataField:"otherItem2",caption:o.instant("otherItem2"),visible:!1},{dataField:"otherItem2Amount",caption:o.instant("otherItem2Amount"),visible:!1},{dataField:"otherItem3",caption:o.instant("otherItem3"),visible:!1},{dataField:"otherItem3Amount",caption:o.instant("otherItem3Amount"),visible:!1},{dataField:"commissionableStore",caption:o.instant("CommissionableStore"),visible:!1},{dataField:"financePartner",caption:o.instant("FinancePartner"),visible:!1}],masterDetail:{enabled:!0,template:"paymentDetail"},paymentDetailOptions:function(e){return{dataSource:e,columnAutoWidth:!0,showBorders:!0,width:"92%",height:"95%",noDataText:o.instant("NoDataText"),columns:[{dataField:"paymentAmount",caption:o.instant("PaymentAmount"),format:{type:"fixedPoint",precision:2}},{dataField:"paymentDate",caption:o.instant("PaymentDate"),dataType:"date",format:"yyyy-MM-dd"},{dataField:"payorName",caption:o.instant("PayorName")}]}}}},M=function(){$("#lastModifiedDateDatePicker").datepicker({language:s}),l.searchEntityOptions={txtVINBoxOptions:{bindingOptions:{value:"searchEntity.VIN"},placeholder:l.pleaseInput,showClearButton:!0},dateLastModifiedDataOptions:{type:"date",width:230,bindingOptions:{value:"searchEntity.LastModifiedData"},placeholder:l.pleaseSelect,showClearButton:!0,displayFormat:"yyyy-MM-dd"},txtCommissionableStoreBoxOptions:{bindingOptions:{value:"searchEntity.commissionableStore"},placeholder:l.pleaseInput,showClearButton:!0},txtFinancePartnerOptions:{bindingOptions:{value:"searchEntity.financePartner"},placeholder:l.pleaseInput,showClearButton:!0},txtCaseNumberBoxOptions:{bindingOptions:{value:"searchEntity.caseNumber"},placeholder:l.pleaseInput,showClearButton:!0},selectIssuedStatusOptions:{placeholder:l.pleaseSelect,showClearButton:!0,showDropButton:!0,multiline:!1,showSelectionControls:!0,applyValueMode:"useButtons",displayExpr:"displayName",valueExpr:"value",width:"100%",bindingOptions:{value:"searchEntity.issuedStatus"},items:I}},x()};l.updateIsRelatedBDPrice=function(e){l.invoicePriceOperateType=constant.Operation.Edit,l.invoicePriceModel={subtotalforFinalPayment:e.subtotalforFinalPayment,bdSubtotalforFinalPayment:"",id:e.id}},l.closePriceModal=function(e){l.buttonService.searchByFilter()},l.closeInvoiceModal=function(e){l.buttonService.searchByFilter()},l.displayOrShowValidation=function(){w()};var O={userId:null};l.chunkSize=512e3,l.uploadOption={},l.uploadOption.uploadFiles=[],l.uploadVins="",l.$watch("uploadOption.uploadFiles",function(e,t){e&&e!==t&&E(l.uploadOption.uploadFiles)});var E=function(e){if($("#busy-indicator-container").show(),e){if(!e.$error){var t=PWC.newGuid()+".dat",n=$('input[name="__RequestVerificationToken"]').val();y.upload({url:a.webApiHostUrl+"/outputInvoicePrinted/uploadVinFile",data:{cancel:!1,filename:e.name,tempFileName:t,file:e,period:l.period},resumeChunkSize:l.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:a.tokenType+" "+a.apiToken()},__RequestVerificationToken:n,withCredentials:!0}).then(function(t){if(t){i.success(o.instant("UploadVinSuccess")),l.uploadVins=t.data,l.searchEntity.uploadVins=t.data;var e=$("#invoiceGridContainer").dxDataGrid("instance"),n=_.filter(l.importedGridDataSource,function(e){return 0<=t.data.indexOf(e.vin)}),a=_.pluck(n,"id");e.selectRows(a,!0)}$("#busy-indicator-container").hide()},function(e){})}}};c.debug("invoiceManageMainController.ctor()..."),O.userId=v.userId.toLowerCase(),l.showUnHoldBtn=!1,l.showHoldBtn=!0,l.isOpenMapping=!1,l.hideValidation=!1,M(),l.searchFilterOptions={},D(),T(),C()}]),invoiceModule.directive("outputInvoiceImported",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("outputInvoiceMain.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/issued-invoice-imported/output-invoice-imported.html?_="+Math.random(),scope:{},controller:"outputInvoiceImportedController",link:function(t,e){t.setInvoiceGridHeight=function(){var e=$(document).height()-$(".page-search-container").outerHeight()-$(".output-invoice-imported .content-container .buttom-row").outerHeight()-45;t.dataGridHeight=60<e?e-60:1;try{$("#invoiceGridContainer").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){t.setInvoiceGridHeight()})}}}]),invoiceModule.controller("modelMappingAddEditController",["$scope","$log","$q","$translate","messagebox","vatOutputInvoiceManageService","refreshFunc","model",function(a,t,n,e,i,o,r,s){var l=!_.isEmpty(s),c=e.instant("ChoosePlaceholder");e.instant("InputPlaceholder");a.hidePopPanel=function(){a.$dismiss({$value:"cancel"})},a.saveModel=function(){if(_.isEmpty(a.model.modelSeries))i.warning("ModelSeriesRequired");else if(_.isEmpty(a.model.cabinConfiguration))i.warning("CabinConfigurationRequired");else{if(!_.isEmpty(a.model.makeAndModel))return(l?o.updateModelMappingConfig(a.model):o.addModelMappingConfig(a.model)).then(function(e){e&&e.data?e.data.result?(a.hidePopPanel(),r()):i.warning(_.isEmpty(e.data.resultMsg)?"UnknownError":e.data.resultMsg):i.warning("UnknownError")});i.warning("MakeAndModelRequired")}},a.$watch("model.makeAndModel",function(e,t){if(_.isEmpty(e))a.model.category="";else{var n=e.split(" ");a.model.category=n[0]}}),function(){t.debug("modelMappingAddEditController.ctor()..."),a.title=l?"EditMapping":"AddNewMapping";var e=s?angular.copy(s):{};_.isEmpty(e.cabinConfiguration)&&(e.cabinConfiguration=""),a.model=e,n.all([o.getModelSeries(),o.getCabinConfiguration()]).then(function(e){e&&e[0]&&e[0].data?a.modelSeriesList=e[0].data:a.modelSeriesList=[],e&&e[1]&&e[1].data?a.cabinConfigurationList=_.filter(e[1].data,function(e){return!_.isEmpty(e)}):a.cabinConfigurationList=[],a.modelSeriesOption={items:a.modelSeriesList,bindingOptions:{value:"model.modelSeries"},placeholder:c},a.cabinConfigurationOption={items:a.cabinConfigurationList,bindingOptions:{value:"model.cabinConfiguration"},placeholder:c}}),t.debug(a.model)}()}]),invoiceModule.controller("modelMappingConfigurationController",["$scope","$log","$timeout","$translate","messagebox","vatOutputInvoiceManageService",function(t,e,n,a,i,o){var r=null,s=function(){return o.getModelMappingConfig().then(function(e){e&&e.data?t.mappingDataSource=e.data:t.mappingDataSource=[],n(function(){t.selectedItem=r.getSelectedRowsData()},100)})};t.hidePopPanel=function(){t.$parent.isOpen=!1,t.$dismiss({$value:"cancel"})},t.addMapping=function(){t.eventService.addOrEdit(s)},t.editMapping=function(){_.isEmpty(t.selectedItem)||_.isEmpty(t.selectedItem[0])?i.warning("SelectMappingCheck"):t.eventService.addOrEdit(s,t.selectedItem[0])},t.deleteMapping=function(){_.isEmpty(t.selectedItem)||_.isEmpty(t.selectedItem[0])?i.confirm("SelectMappingCheck"):i.confirm(a.instant("ConfirmCancelMapping"),"",constant.teslaConfirmClassName).then(function(e){e&&o.deleteModelMappingConfig(t.selectedItem[0].id).then(function(e){e&&e.data?e.data.result?s():i.warning(_.isEmpty(e.data.resultMsg)?"UnknownError":e.data.resultMsg):i.warning("UnknownError")})})},e.debug("modelMappingConfigurationController.ctor()..."),t.selectedItem=null,t.dataMappingGridOptions={keyExpr:"id",height:"300px",showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnResizing:!0,allowColumnReordering:!1,columnAutoWidth:!0,hoverStateEnabled:!0,bindingOptions:{dataSource:"mappingDataSource"},selection:{mode:"single"},sorting:{mode:"none"},paging:{enabled:!1},onSelectionChanged:function(e){t.selectedItem=e.selectedRowsData},onContentReady:function(e){r=e.component},columns:[{dataField:"id",visible:!1},{dataField:"modelSeries",visible:!1},{dataField:"cabinConfiguration",visible:!1},{caption:a.instant("ModelSeries")+" - "+a.instant("CabinConfiguration"),alignment:"center",calculateCellValue:function(e){return e.modelSeries+"-"+e.cabinConfiguration}},{dataField:"makeAndModel",caption:a.instant("MakeAndModel"),alignment:"center"}]},s()}]),invoiceModule.directive("modelMappingConfiguration",["$log","$document","$uibModal",function(t,i,o){"use strict";return{restrict:"E",templateUrl:"/app/vat/output-invoice/model-mapping-configuration/model-mapping-configuration.html?_="+Math.random(),scope:{isOpen:"=",parentElement:"@"},link:function(n,e){t.debug("modelMappingConfiguration.ctor()..."),n.$watch("isOpen",function(e,t){e&&n.eventService.open()});var a=n.parentElement?i[0].querySelector(n.parentElement):e[0];n.eventService={open:function(){o.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"view-mapping-template.html",controller:"modelMappingConfigurationController",windowClass:"model-mapping-popup center-popup",appendTo:angular.element(a),scope:n})},addOrEdit:function(e,t){o.open({ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",backdrop:"static",templateUrl:"add-edit-mapping-template.html",controller:"modelMappingAddEditController",windowClass:"add-mapping-popup center-popup",appendTo:angular.element(a),scope:n,resolve:{refreshFunc:function(){return e},model:function(){return t}}})}}}}}]),invoiceModule.controller("outputInvoiceEditController",["$scope","$log","$document","$uibModal","messagebox","$translate","$q","apiInterceptor","$interval","region","$timeout","$location","InvoiceManageService","vatOutputInvoiceManageService","userService","$state","SweetAlert","enums",function(s,l,e,c,a,d,u,t,n,i,r,o,p,m,g,v,h,f){"use strict";s.pleaseSelect=d.instant("ChoosePlaceholder"),s.pleaseInput=d.instant("InputPlaceholder"),s.pagingOptions={pageIndex:1,totalItems:100,totalPages:10,maxSize:10,pageSize:constant.page.pageSizeArrary[1],pageSizeString:constant.page.pageSizeArrary[1]+"",firstPage:d.instant("PagingFirstPage"),previousPage:d.instant("PagingPreviousPage"),nextPage:d.instant("PagingNextPage"),lastPage:d.instant("PagingLastPage")},s.searchEntity={},s.datagrid={},s.hasShowMoreSearchBox=!1;s.translated={NoData:d.instant("NoDataText"),pleaseSelect:d.instant("ChoosePlaceholder"),pleaseInput:d.instant("InputPlaceholder")};var y=function(e){var t=u.defer();return p.invoiceManualRecognize(e).success(function(e){e&&t.resolve(e)}),t.promise},I=function(e){var t=u.defer();return p.invoiceExamination(e).success(function(e){e&&t.resolve(e)}),t.promise},C=function(e,t){var n=u.defer();return p.updateInvoiceStatus(e,t).success(function(e){e&&n.resolve(e)}),n.promise},w={repaintInvoiceGrid:function(){s.setInvoiceGridHeight()},translateEnumValue:function(e){return e&&0!=e.length?(e.forEach(function(e){e.value=d.instant(e.value)}),e):null},populatePagingSelection:function(){for(var e=[],t=constant.page.pageSizeArrary,n=0;n<t.length;n++){var a={id:t[n],value:t[n]};e.push(a)}s.pagingOptions.pagingSelection=e}};s.eventService={gotoUploadIndexPage:function(){o.path("/invoiceManagement/main/uploadIndex")},checkHasItemSelected:function(){return!(!s.datagrid.selectedItems||0==s.datagrid.selectedItems.length)||(a.warning("请至少选择一条记录",!0),!1)},invoiceManualRecognize:function(){if(!s.eventService.checkHasItemSelected())return!1;if(0<_.filter(s.datagrid.selectedItems,function(e){return e.status!==constant.inputInvoice.statusType.InvoiceHasUpload.id&&e.status!==constant.inputInvoice.statusType.InvoiceHasAddRecord.id}).length)a.success("只有已上传或者已补录的发票可以做发票识别",!0);else{var e=_.pluck(s.datagrid.selectedItems,"id");y(e).then(function(e){e&&a.success("发票识别成功",!0)})}},invoiceExamination:function(){if(!s.eventService.checkHasItemSelected())return!1;if(0<_.filter(s.datagrid.selectedItems,function(e){return e.status!==constant.inputInvoice.statusType.InvoiceIdentifySuccess.id}).length)a.success("只有识别成功的发票可以做验真",!0);else{var e=_.pluck(s.datagrid.selectedItems,"id");I(e).then(function(e){e&&a.success("发票验真成功",!0)})}},refundInovice:function(){if(!s.eventService.checkHasItemSelected())return!1;var t=_.pluck(s.datagrid.selectedItems,"id"),n=stant.inputInvoice.statusType.InvoiceHasRefund.id;a.confirm("确认要把选中的发票进行退票处理吗？","").then(function(e){e&&C(t,n).then(function(e){e&&a.success("退票成功",!0)})})},verifyInvoice:function(){},expireInvoice:function(){if(!s.eventService.checkHasItemSelected())return!1;var t=_.pluck(s.datagrid.selectedItems,"id"),n=stant.inputInvoice.statusType.InvoiceHasExpired.id;a.confirm("确认要把选中的发票进行失效处理吗？","").then(function(e){e&&C(t,n).then(function(e){e&&a.success("处理成功",!0)})})},showMapping:function(){s.isOpenMapping=!0}},s.dataGridService={manualRecognizInvoice:function(e){var t=[];e&&t.push(e.id),0<t.length&&y(t).then(function(e){e&&a.success("发票识别成功",!0)})},invoiceExamination:function(e){var t=[];e&&t.push(e.id),0<t.length&&I(t).then(function(e){e&&a.success("发票验真成功",!0)})},manualVerifyInvoice:function(e){},refundInovice:function(){var t=[];if(data&&t.push(data.id),0<t.length){var n=stant.inputInvoice.statusType.InvoiceHasRefund.id;a.confirm("确认要把选中的发票进行退票处理吗？","").then(function(e){e&&C(t,n).then(function(e){e&&a.success("退票成功",!0)})})}},matchTicketAccount:function(e){},invoiceManualExamination:function(e){}},s.buttonService={manualUpdateSFData:function(){var t=u.defer();return m.ManualUpdateSFData().success(function(e){t.resolve({data:e})}).error(function(){t.reject("Data Loading Error")}),t.promise}},s.pagingSercice={setPage:function(e){},pageIndexChanging:function(){s.pagingOptions.pageIndex>s.pagingOptions.totalPages&&(s.pagingOptions.pageIndex=s.pagingOptions.totalPages),l.log("Page changed to: "+s.pagingOptions.pageIndex),D.loadInvoiceData()},pageSizeSelectionChanged:function(){s.pagingOptions.pageSize=parseInt(s.pagingOptions.pageSizeString),D.loadInvoiceData()}};var S=function(){s.minDate=new Date(2e3,0,1),s.maxDate=new Date(2029,11,31),s.searchEntityOptions={txtEntityNameOptions:{bindingOptions:{value:"searchEntity.entityName"},showClearButton:!0,noDataText:s.translated.NoData},lastModifiedDateOptions:{min:s.minDate,max:s.maxDate,bindingOptions:{value:"searchEntity.lastModifiedBy"}},txtVINOptions:{bindingOptions:{value:"searchEntity.vin"},placeholder:s.pleaseInput,showClearButton:!0,noDataText:s.translated.NoData},txtInvoiceCaseNumberOptions:{bindingOptions:{value:"searchEntity.caseNumber"},placeholder:s.pleaseInput,showClearButton:!0,noDataText:s.translated.NoData},txtCommissionableStoreOptions:{bindingOptions:{value:"searchEntity.commissionableStore"},placeholder:s.pleaseInput,showClearButton:!0,noDataText:s.translated.NoData}}};s.test=function(){s.invoiceOperateType=constant.Operation.Add,s.invoiceModel={}};var D={OutputInvoiceEditedList:[],DetailsText:d.instant("Details"),Unstarted:d.instant("Waiting"),Completed:d.instant("Completed"),Processing:d.instant("Processing"),OwnerOrgModel:null,SalesOrgModel:{},TaxControlDiskModel:{},SelectedInvoiceList:[],main:function(){S(),D.initInvoiceGrid(),D.loadInvoiceData(),w.populatePagingSelection(),s.searchList=D.loadInvoiceData,s.preview=D.preview,s.openSelectSalesInfoAndTaxControlDisk=D.openSelectSalesInfoAndTaxControlDisk,s.cancelPrintBDInvoice=D.cancelPrintBDInvoice,D.loadOwnerOrg()},initInvoiceGrid:function(){s.invoiceGridDataSource=[],s.invoiceEditGridOptions={bindingOptions:{dataSource:"invoiceGridDataSource"},selection:{mode:"multiple",showCheckBoxesMode:"always"},paging:{enabled:!0},columnFixing:{enabled:!0},allowColumnResizing:!0,columnAutoWidth:!0,showRowLines:!0,showColumnLines:!0,showBorders:!0,noDataText:d.instant("NoDataText"),selectAllText:d.instant("SelectAll"),columnChooser:{enabled:!0},onContentReady:function(e){s.invoiceGridInstance=e.component},onSelectionChanged:function(e){D.SelectedInvoiceList=e.selectedRowsData},columns:[{dataField:"vehicleroutinglocation",caption:d.instant("VehicleroutinglocationText")},{dataField:"vin",caption:d.instant("VinNumber")},{dataField:"caseNumber",caption:d.instant("InvoiceCaseNumberText")},{dataField:"modelSeries",caption:d.instant("ModelSeries")},{dataField:"cabinConfiguration",caption:d.instant("CabinConfig")},{dataField:"brandandModelNumber",caption:d.instant("MakeAndModel")},{dataField:"commissionableStore",caption:d.instant("CommissionableStore")},{dataField:"registrationLocalName",caption:d.instant("RegistrationLocalName")},{dataField:"companyVATIDTaxID",caption:d.instant("CompanyTaxID"),visible:!1},{dataField:"subtotalforFinalPayment",caption:d.instant("SubtotalForFinalPayment"),format:{type:"fixedPoint",precision:2}},{dataField:"id",caption:d.instant("DetailsText"),cellTemplate:function(e,t){try{var n=t.data;constant.inputInvoice.statusType;$("<span class='span-btn' />").text(D.DetailsText).on("click",function(){s.preview(n)}).appendTo(e)}catch(e){l.error(e)}}},{dataField:"importCertificateNumber",caption:d.instant("ImportCertificate"),visible:!1},{dataField:"motorNumber",caption:d.instant("MotorNumber"),visible:!1},{dataField:"ciqNumber",caption:d.instant("CIQNumber"),visible:!1},{dataField:"lastModifiedBy",caption:d.instant("LastModifiedBy"),width:90,visible:!1},{dataField:"otherItem1",caption:d.instant("otherItem1"),visible:!1},{dataField:"otherItem1Amount",caption:d.instant("otherItem1Amount"),visible:!1},{dataField:"otherItem2",caption:d.instant("otherItem2"),visible:!1},{dataField:"otherItem2Amount",caption:d.instant("otherItem2Amount"),visible:!1},{dataField:"otherItem3",caption:d.instant("otherItem3"),visible:!1},{dataField:"otherItem3Amount",caption:d.instant("otherItem3Amount"),visible:!1},{dataField:"bdFapiaoEntity",caption:d.instant("VehicleroutinglocationText"),visible:!1},{dataField:"driverLicenseOrgCode",caption:d.instant("DriverLicense"),visible:!1}],masterDetail:{enabled:!0,template:"paymentDetail"},paymentDetailOptions:function(e){return{dataSource:e,columnAutoWidth:!0,showBorders:!0,width:"92%",height:"95%",noDataText:d.instant("NoDataText"),columns:[{dataField:"paymentAmount",caption:d.instant("PaymentAmount")},{dataField:"paymentDate",caption:d.instant("PaymentDate"),dataType:"date",format:"yyyy-MM-dd"},{dataField:"payorName",caption:d.instant("PayorName")},{dataField:"UpdateTime",dataType:"date",format:"yyyy-MM-dd",caption:d.instant("UpdateTime")}]}}}},loadInvoiceData:function(){m.getOutputInvoiceEditedList({}).success(function(e){D.OutputInvoiceEditedList=D.parseData(e),D.searchList(D.OutputInvoiceEditedList),r(function(){w.repaintInvoiceGrid()},50)})},showList:function(e){s.invoiceGridDataSource=e},computePageInfo:function(e){e||(e=[]),s.pagingOptions.totalItems=e.length;var t=e.length,n=parseInt(t/s.pagingOptions.pageSize);n=t%s.pagingOptions.pageSize==0?n:n+1,s.pagingOptions.totalPages=n,s.pagingOptions.pageIndex>n&&(s.pagingOptions.pageIndex=n),s.pagingOptions.pageIndex<1&&(s.pagingOptions.pageIndex=1);var a=(s.pagingOptions.pageIndex-1)*s.pagingOptions.pageSize,i=s.pagingOptions.pageIndex*s.pagingOptions.pageSize;t<i&&(i=t);var o=e.slice(a,i);r(function(){s.invoiceGridDataSource=o,w.repaintInvoiceGrid()},10)},searchList:function(){var t=function(e,t,n){if(n){n=n.trim().toLowerCase();var a="";if(e[t]&&(a=e[t].trim().toLowerCase()),-1===a.indexOf(n))return!1}return!0},e=_.filter(D.OutputInvoiceEditedList,function(e){return!!t(e,"vin",s.searchEntity.vin)&&(!!t(e,"caseNumber",s.searchEntity.caseNumber)&&!!t(e,"commissionableStore",s.searchEntity.commissionableStore))});D.showList(e)},parseData:function(e){return e&&0<e.length&&e.forEach(function(e){if(e.lastModifiedBy){var t=window.PWC.parseFromLocalTimeString(e.lastModifiedBy);e.lastModifiedBy=t.formatDateTime("yyyy-MM-dd")}var n="";e.driverLicense&&(n+=e.driverLicense),e.organizationCode&&(n+="/"+e.organizationCode),e.driverLicenseOrgCode=n,0===e.operateStatus?e.status="normal":1===e.operateStatus&&(e.status="issued")}),e},preview:function(e){s.invoiceModel=D.parsePrintData(e),s.invoiceOperateType=constant.Operation.Edit,s.closeInvoiceModal=function(e){v.go("outputInvoiceManage.issuedInvoiceBdView")},s.changeInvoiceModal=function(e){D.loadInvoiceData()}},getBuyerInfo:function(e){var t="";return e&&(e.driverLicense&&(t+=e.driverLicense),e.organizationCode&&(t+=e.organizationCode)),t},parsePrintData:function(e){var t={editInvoiceId:e.id,buyerInfo:e.buyerInfo,registrationLocalName:e.registrationLocalName,buyerIDOrCode:"",companyVATIDTaxID:e.companyVATIDTaxID,category:"",cabinConfiguration:e.cabinConfiguration,producingPlace:e.producingPlace,certificateNumber:e.certificateNumber,importCertificateNumber:e.importCertificateNumber,ciqNumber:e.ciqNumber,motorNumber:e.motorNumber,vin:e.vin,subtotalforFinalPaymentCH:"",subtotalforFinalPayment:e.subtotalforFinalPayment,invoiceCode:"",invoiceNumber:"",salesUnitName:e.salesUnitName,salesUnitPhoneNumber:e.salesUnitPhoneNumber,salesTaxPayerNumber:e.salesTaxPayerNumber,salesAccount:e.salesAccount,salesAddress:e.salesAddress,salesBankName:e.salesBankName,vatRateorLevyRate:e.vatRateorLevyRate,taxableSubtotal:e.taxableSubtotal,mainTaxAuthoritiesCode:"",excludeTaxPrice:null,taxPaymentCertificateNumber:"",organizationCode:e.organizationCode,driverLicense:e.driverLicense,deliveryStatus:e.deliveryStatus,vehicleroutinglocation:e.vehicleroutinglocation,caseNumber:e.caseNumber,tonnage:e.tonnage,capacity:e.capacity,manufacturer:"拓速乐佛利蒙总装厂",governmentClassification:e.governmentClassification,brandandModelNumber:e.brandandModelNumber,reasonIDList:e.reasonIDList,sameVehicleroutinglocationList:D.OwnerOrgModel.sameVehicleroutinglocationList,taxControlDisk:D.TaxControlDiskModel};return D.SalesOrgModel&&(t.salesUnitName=D.SalesOrgModel.name,t.salesUnitPhoneNumber=D.SalesOrgModel.phoneNumber,t.salesTaxPayerNumber=D.SalesOrgModel.taxPayerNumber,t.salesAccount=D.SalesOrgModel.bankAccountNumber,t.salesAddress=D.SalesOrgModel.manufactureAddress,t.salesBankName=D.SalesOrgModel.bankAccountName),t.producingPlace||(t.producingPlace="美国"),t.subtotalforFinalPaymentCH=window.PWC.convertChineseCurrency(e.subtotalforFinalPayment),t.buyerIDOrCode=D.getBuyerInfo(e),t},getBdInvoiceInventory:function(){D.SelectedInvoiceList&&0!==D.SelectedInvoiceList.length?D.TaxControlDiskModel&&D.TaxControlDiskModel.id&&m.getBdInvoiceInventory(D.TaxControlDiskModel.id).then(function(e){var t;e&&e.data&&e.data.data?s.preIssueEntity=e.data.data:(s.preIssueEntity.inventory=0,s.preIssueEntity.thresholdValue=20);var n=!0;return 0===s.preIssueEntity.inventory?(n=!1,s.inventoryType=1,t=u.when(n)):s.preIssueEntity.inventory<s.preIssueEntity.thresholdValue?(t=u.when(n),s.inventoryType=2):(s.inventoryType=3,t=u.when(n)),t}).then(function(){}):h.warning(d.instant("SelectBdInvoiceCheck"))},openSelectSalesInfoAndTaxControlDisk:function(){if(D.SelectedInvoiceList&&0!==D.SelectedInvoiceList.length){s.inventoryType=0,D.SalesOrgModel={},D.TaxControlDiskModel={};var e={};s.editModel=e;var t=null;D.OwnerOrgModel.sameVehicleroutinglocationList&&1===D.OwnerOrgModel.sameVehicleroutinglocationList.length&&(D.SalesOrgModel=D.OwnerOrgModel.sameVehicleroutinglocationList[0],t=D.OwnerOrgModel.sameVehicleroutinglocationList[0].id),s.selectSalesOrg={},s.selectTaxControlDisk={};s.mainDxOptions={selectTaxControlDiskOptions:{bindingOptions:{dataSource:"selectSalesOrg.taxControlDiskList",value:"selectTaxControlDisk.id"},onSelectionChanged:function(e){var t;t=e.selectedItem,D.TaxControlDiskModel=t,D.getBdInvoiceInventory()},noDataText:d.instant("NoDataText"),valueExpr:"id",displayExpr:"name"},selectSalesOptions:{dataSource:D.OwnerOrgModel.sameVehicleroutinglocationList,onSelectionChanged:function(e){var t;D.SalesOrgModel=e.selectedItem,t=e.selectedItem,s.selectSalesOrg=t,s.selectTaxControlDisk={},t.taxControlDiskList&&0<t.taxControlDiskList.length&&(t.taxControlDiskList.forEach(function(e){e.name=e.taxControlDiskSerialNumber+e.taxControlDiskDescribe}),1===t.taxControlDiskList.length&&(s.selectTaxControlDisk=t.taxControlDiskList[0],D.TaxControlDiskModel=s.selectTaxControlDisk))},value:t,valueExpr:"id",displayExpr:"name"}},s.mainDxValidateOptions={selectTaxControlDiskOptions:{validationRules:[{type:"required",message:d.instant("TaxControlDiskRequire")}]},selectSalesOptions:{validationRules:[{type:"required",message:d.instant("BDRequire")}]}};var n=c.open({animation:!1,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"fapiaoIssuingConfirmModal.html",size:"selectEntityDisk",scope:s,resolve:{editModel:e}});n.result.then(function(e){s.isUpdate=!0,s.isReadOnly=!0,s.operateType=null},function(){s.operateType=null,s.isReadOnly=!0,s.isUpdate=!1}),s.saveIssuing=function(){DevExpress.validationEngine.validateGroup($("#IssuingFapiaoConfirmForm").dxValidationGroup("instance")).isValid&&(n.close(s.editModel),D.openPrintProgressModal())},s.cancel=function(){n.dismiss("cancel")}}else h.warning(d.instant("SelectBdInvoiceCheck"))},openPrintProgressModal:function(){var a=[];D.SelectedInvoiceList.forEach(function(e){var t=e.vin?"/"+e.vin:"",n={text:D.Unstarted,status:"Unstarted",name:e.modelSeries+t};n.data=D.parsePrintData(e),a.push(n),e.isNeedSendEmail==f.IsNeedSendEmailEnum.Need&&(m.sendEmail(e.vin,e.id),m.pendingForApprovalGdBdInvoice(e.vin))});var e={};e.tasks=a,s.editModel=e;var i=c.open({animation:!1,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"printInvoiceListModal.html",windowClass:"printInvoiceListModal",scope:s,resolve:{editModel:e}});i.result.then(function(e){s.isUpdate=!0,s.isReadOnly=!0,s.operateType=null},function(){s.operateType=null,s.isReadOnly=!0,s.isUpdate=!1,l.info("Modal dismissed at: "+new Date)});s.save=function(){var e,t=s.editModel;e=t,i.close(e)},s.cancel=function(){s.editModel.isCancel=!0,i.dismiss("cancel")};var o=0,r=function(t){if(!s.editModel.isCancel){var n=s.editModel.tasks[t];n.status="Processing",n.text=D.Processing,n.deferTemp=u.defer(),m.addOutputInvoicePrinted(n.data,!1).success(function(e){e.result?(n.status="Completed",n.text=D.Completed,o++):(n.status="Error",n.text=d.instant(e.resultMsg)),++t===s.editModel.tasks.length?o===s.editModel.tasks.length&&(i.close(),v.go("outputInvoiceManage.issuedInvoiceBdView")):r(t)})}};s.editModel.tasks&&0<s.editModel.tasks.length&&r(0)},loadOwnerOrg:function(){g.getUserOwnerOrganization().success(function(e){e&&e.taxControlDiskList&&0<e.taxControlDiskList.length&&e.taxControlDiskList.forEach(function(e){e.name=e.taxControlDiskSerialNumber+e.taxControlDiskDescribe}),D.OwnerOrgModel=e})},cancelPrintBDInvoice:function(){if(D.SelectedInvoiceList&&0!==D.SelectedInvoiceList.length){var e=d.instant("Confirm")+" "+d.instant("Cancel")+"?";a.confirm(e,"",constant.teslaConfirmClassName).then(function(e){e&&m.cancelBDEditList(D.SelectedInvoiceList).success(function(e){e.result?(h.success(d.instant("SaveSuccess")),D.loadInvoiceData()):swal(d.instant("SaveFail"),d.instant("SaveFail"),"warning")})})}else messageBox.warning("NoDataText",!1)}};l.debug("outputInvoiceEditController.ctor()..."),D.main()}]),invoiceModule.directive("outputInvoiceEdit",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("outputInvoiceEdit.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/output-invoice-edit/output-invoice-edit.html?_="+Math.random(),scope:{},controller:"outputInvoiceEditController",link:function(e,t){e.setInvoiceGridHeight=function(){var e=$(document).height()-$(".output-invoice-edit-wrapper .header-title").outerHeight()-$(".edit-content-container .header").outerHeight(),t=e-$(".edit-content-container .buttom-row").outerHeight()-0-40+"px";$(".edit-content-container .body").css("height",e);try{var n=$("#invoiceEditGridContainer").dxDataGrid("option");n.height=t,$("#invoiceEditGridContainer").dxDataGrid("option",n),$("#invoiceEditGridContainer").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){e.setInvoiceGridHeight()})}}}]),invoiceModule.controller("outputReconciliationOverviewController",["$scope","$log","$document","$uibModal","SweetAlert","$translate","$q","apiInterceptor","$interval","region","$timeout","$location","vatOutputInvoiceManageService","enums","$state","loginContext","modalAdapterService","outputReconciliationService",function(n,e,t,a,i,o,r,s,l,c,d,u,p,m,g,v,h,f){"use strict";n.searchEntity={},n.searchOptions={},n.searchOptions.Entity={showClearButton:!0,placeholder:o.instant("InputPlaceholder"),bindingOptions:{value:"searchEntity.entityName"}},n.searchOptions.PeriodStart={type:"date",placeholder:o.instant("ChoosePlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.periodStart"},displayFormat:function(e){return e.dateTimeToString("yyyyMMdd")}},n.searchOptions.PeriodEnd={type:"date",placeholder:o.instant("ChoosePlaceholder"),showClearButton:!0,bindingOptions:{value:"searchEntity.periodEnd"},displayFormat:function(e){return e.dateTimeToString("yyyyMMdd")}};var y=function(){var e={QueryParam:n.searchEntity,PagingParam:n.pagingOptions1};f.getIncomeAxList(e).success(function(e){n.pagingOptions1.totalItems=e.pageInfo&&e.pageInfo.totalCount,n.incomeAxReportGridDataSource=e.list})},I=function(){var e={QueryParam:n.searchEntity,PagingParam:n.pagingOptions2};f.getTaxFaPiaoList(e).success(function(e){n.pagingOptions2.totalItems=e.pageInfo&&e.pageInfo.totalCount,n.taxFapiaoGridDataSource=e.list})};n.searchEvent=function(){y(),I()},n.incomeAxReportOption={keyExpr:"id",showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnResizing:!0,columnAutoWidth:!0,hoverStateEnabled:!0,rowAlternationEnabled:!0,allowColumnReordering:!0,columnFixing:{enabled:!0},paging:{enabled:!1},columnChooser:{enabled:!0},bindingOptions:{dataSource:"incomeAxReportGridDataSource",height:"incomeAxReportGridHeight"}},n.incomeAxReportOption.columns=[{caption:"",columns:[{dataField:"entity",caption:"Entity"}]},{caption:"Un-invoiced tax income till last mo. end",columns:[{caption:"17%",dataField:"a1"},{caption:"6%",dataField:"a2"},{caption:"5%",dataField:"a3"},{caption:"2%",dataField:"a4"}]},{caption:"Un-invoiced tax income this month",columns:[{caption:"17%",dataField:"b1"},{caption:"6%",dataField:"b2"},{caption:"5%",dataField:"b3"},{caption:"2%",dataField:"b4"}]},{caption:"Prev. un-invoiced income invoiced this mo",columns:[{caption:"17%",dataField:"c1"},{caption:"6%",dataField:"c2"},{caption:"5%",dataField:"c3"},{caption:"2%",dataField:"c4"}]},{caption:"Un-invoiced taxable income till this mo. end",columns:[{caption:"17%",dataField:"d1"},{caption:"6%",dataField:"d2"},{caption:"5%",dataField:"d3"},{caption:"2%",dataField:"d4"}]},{caption:"Filing Current month num",columns:[{caption:"Income",dataField:"e1"},{caption:"Check",dataField:"e2"}]},{caption:"Check Result",columns:[{dataField:"incomeCheck",caption:"Income - Check"}]}],n.taxFapiaoOption={keyExpr:"id",showRowLines:!0,showColumnLines:!0,showBorders:!0,allowColumnResizing:!0,columnAutoWidth:!0,hoverStateEnabled:!0,rowAlternationEnabled:!0,allowColumnReordering:!0,columnFixing:{enabled:!0},paging:{enabled:!1},columnChooser:{enabled:!0},bindingOptions:{dataSource:"taxFapiaoGridDataSource",height:"taxFapiaoGridHeight"}},n.taxFapiaoOption.columns=[{caption:"Entity",columns:[{caption:"",dataField:"entity"}]},{caption:"Rate",columns:[{caption:"",dataField:"rate"}]},{caption:"Total issued tax amount",columns:[{caption:"a1",dataField:"a1"}]},{caption:"Total recorded but not issued tax amount",columns:[{caption:"a2",dataField:"a2"}]},{caption:"Reported un-issued tax amount",columns:[{caption:"a3",dataField:"a3"}]},{caption:"Un-issued maintenance fee tax amount",columns:[{caption:"a4",dataField:"a4"}]},{caption:"Total to-report tax amount",columns:[{caption:"A=a1+a2+a3+a4",dataField:"a"}]},{caption:"Last period reported tax amount total",columns:[{caption:"B-input",dataField:"b"}]},{caption:"This period to- report tax amount",columns:[{caption:"C=A-B",dataField:"c"}]},{caption:"This period to-report taxable revenue",columns:[{caption:"D=C/Rate",dataField:"d"}]},{caption:"Fapiao car and special tax amount",columns:[{caption:"e1",dataField:"e1"}]},{caption:"Fapiao general tax amount",columns:[{caption:"e2",dataField:"e2"}]},{caption:"This month fapiao total",columns:[{caption:"E=e1+e2",dataField:"e"}]},{caption:"This month un-issued tax amount",columns:[{caption:"F=C-E",dataField:"f"}]},{caption:"This month un-issued revenue total",columns:[{caption:"G=F/Rate",dataField:"g"}]},{caption:"Tax",columns:[{caption:"Total=G(17%)+G(6%)",dataField:"Total"}]},{caption:"Check Result",columns:[{caption:"Income-Tax",dataField:"check"}]}],n.pagingOptions1={pageIndex:1,totalItems:100,totalPages:10,maxSize:5,pageSize:10,pageSizeString:"20",firstPage:o.instant("PagingFirstPage"),previousPage:o.instant("PagingPreviousPage"),nextPage:o.instant("PagingNextPage"),lastPage:o.instant("PagingLastPage")},n.pagingOptions2={pageIndex:1,totalItems:100,totalPages:10,maxSize:5,pageSize:10,pageSizeString:"20",firstPage:o.instant("PagingFirstPage"),previousPage:o.instant("PagingPreviousPage"),nextPage:o.instant("PagingNextPage"),lastPage:o.instant("PagingLastPage")},n.pagingService1={setPage:function(e){},pageIndexChanging:function(){n.pagingOptions1.pageIndex>n.pagingOptions1.totalPages&&(n.pagingOptions1.pageIndex=n.pagingOptions1.totalPages),e.log("Page changed to: "+n.pagingOptions1.pageIndex),y()},pageSizeSelectionChanged:function(){n.pagingOptions1.pageSize=parseInt(n.pagingOptions1.pageSizeString),y()}},n.pagingService2={setPage:function(e){},pageIndexChanging:function(){n.pagingOptions2.pageIndex>n.pagingOptions2.totalPages&&(n.pagingOptions2.pageIndex=n.pagingOptions2.totalPages),e.log("Page changed to: "+n.pagingOptions2.pageIndex),I()},pageSizeSelectionChanged:function(){n.pagingOptions2.pageSize=parseInt(n.pagingOptions2.pageSizeString),I()}},n.$on("teslaOutputInvoiceMenuClick",function(e,t){d(function(){n.setInvoiceGridHeight()},500)}),y(),I(),d(function(){n.setInvoiceGridHeight()},500)}]),invoiceModule.directive("outputReconciliationOverview",["$log","SweetAlert","$translate",function(e,t,n){"use strict";return e.debug("outputReconciliationOverview.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/output-reconciliation-overview/output-reconciliation-overview.html?_="+Math.random(),scope:{},controller:"outputReconciliationOverviewController",link:function(t,e){t.setInvoiceGridHeight=function(){var e=$(document).height()-$(".page-search-container").outerHeight();t.incomeAxReportGridHeight=(e-160)/2,t.taxFapiaoGridHeight=t.incomeAxReportGridHeight;try{$("#income-ax-report-grid-container").dxDataGrid("instance").repaint(),$("#tax-fapiao-grid-container").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){t.setInvoiceGridHeight()})}}}]),invoiceModule.controller("outputReconciliationConfigurationEditController",["$scope","$log","uiGridConstants","SweetAlert","$translate","stdAccountService","$interval","orgService","$timeout","$q","commonWebService","loginContext","$uibModal","outputReconciliationConfiguration",function(r,n,e,a,i,t,o,s,l,c,d,u,p,m){"use strict";var g={Aggregation:i.instant("Aggregation"),MonthlyTotal:i.instant("MonthlyTotal"),Auto:i.instant("Auto"),Manual:i.instant("Manual"),EndYearMonthValidateMsg:i.instant("EndYearMonthValidateMsg"),BeginYearMonthRequire:i.instant("BeginYearMonthRequire")},v=2,h=1,f=0,y="#N/A#",I="#NULL#",C=";",w={OrganizationList:[],allOrgs:i.instant("AllOrganization"),name:"name",id:"id",uiOrgID:"ApplyingEntitesControls",orgText:i.instant("AllOrganization"),selectOrgList:[],selectOrgMap:{},orgList:[],main:function(){r.openEntityModal=function(){"query"===r.editModel.type||"edit"===r.editModel.type||"copy"===r.editModel.type?w.openEditModal(r.editModel.applyEntities):w.openModal()}},loadData:function(){s.getOrganizationFilterList().success(function(e){w.OrganizationList=e,w.orgList=w.getOrgDropDownList()})},openModal:function(){r.editEntityModel={},S.initModalControls();var e=$("#outputReconciliationConfigurationEditModalBody"),t=p.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"ApplyingEntitesDetailsModal.html",windowClass:"edit-invoice-modal-wrapper",scope:r,size:"entity-size",appendTo:e,resolve:{editModel:r.editModel}});t.result.then(function(e){},function(){}),r.saveApplyingEntitesDetailsModal=function(){r.editModel.selectOrgList=w.selectOrgList,t.close({})},r.cancelApplyingEntitesDetailsModal=function(){t.dismiss("cancel")},l(function(){w.drawOrgDropDownList(w.orgList)},100)},openEditModal:function(e){var t=_.pluck(e,"organizationID"),n=angular.copy(w.orgList);n.forEach(function(e){-1<t.indexOf(e.id)?e.selected=!0:e.selected=!1,r.editModel.isReadOnly&&(e.disabled=!0)});r.editEntityModel={},S.initModalControls();var a=$("#outputReconciliationConfigurationEditModalBody"),i=p.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"ApplyingEntitesDetailsModal.html",windowClass:"edit-invoice-modal-wrapper",scope:r,size:"entity-size",appendTo:a,resolve:{editModel:r.editModel}});i.result.then(function(e){},function(){}),r.saveApplyingEntitesDetailsModal=function(){r.editModel.selectOrgList=w.selectOrgList,i.close({})},r.cancelApplyingEntitesDetailsModal=function(){i.dismiss("cancel")},l(function(){w.drawOrgDropDownList(n)},100)},filterDropDownOrgList:function(e,t,n){return e&&0!==e.length&&t?e=_.filter(e,function(e){return-1<t.indexOf(e[n])}):e},filterOrgs:function(){return w.OrganizationList&&0<w.OrganizationList.length?_.filter(w.OrganizationList,function(e){return e.isActive}):[]},getOrgDropDownList:function(){var e=w.filterOrgs();e=angular.copy(e);for(var t=0;t<e.length;t++){var n=e[t];if(n.selected=!1,n.expanded=!0,null!==n.parentID)_.find(e,function(e){return e.id===n.parentID})||(n.parentID=getParentID(n,w.OrganizationList,e))}var a=_.pluck(e,"id");return r.selectedOrganizationList=a,e},drawOrgDropDownList:function(o){w.selectOrgList=_.pluck(o,"id"),r.onChanged({model:w.selectOrgList});w.orgDropDownInstantce=$("#"+w.uiOrgID).dxDropDownBox({value:"",showClearButton:!1,contentTemplate:function(i){i.component.option("value");var e=$("<div>").dxTreeView({dataSource:o,dataStructure:"plain",keyExpr:"id",parentIdExpr:"parentIDStr",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,noDataText:"",height:300,itemTemplate:function(e,t,n){var a=e.code+" "+e.name;n.append("<span title='"+a+"'>"+a+"</span>")},onContentReady:function(e){},selectNodesRecursive:!1,expandAllEnabled:!0,showCheckBoxesMode:"selectAll",selectAllText:w.allOrgs,onItemSelectionChanged:function(e){},onSelectionChanged:function(e){var t,n=e.component.getSelectedNodesKeys(),a="";a=n&&n.length===o.length?w.allOrgs:"选中"+n.length+"个机构",w.selectOrgList=n,i.component.option("value",a),w.orgText=a,w.orgTreeView,t=n,!1?(r.selectedOrganizationList=w.selectOrgList,r.onChanged({model:w.selectOrgList})):(r.selectedOrganizationList=t,r.onChanged({model:t}))}});return w.orgTreeView=e.dxTreeView("instance"),w.orgText=i.component.option("text"),e}})}},S={TagList:[{id:constant.TagRule.Aggregation,name:g.Aggregation}],main:function(){r.editModel={preVoucherNumberType:0},S.watchCollection(),w.main()},initModalControls:function(){r.modalControls={},r.editModel.TagList=S.TagList,r.editModel.TaxRateList=["17%","6%"],r.modalControls.dxOptions={ruleNoOpt:{bindingOptions:{value:"editModel.ruleNo"},readOnly:!0,maxLength:50},tagOpt:{bindingOptions:{value:"editModel.tag",dataSource:"editModel.TagList",readOnly:"editModel.isReadOnly"},onSelectionChanged:function(e){},displayExpr:"name",valueExpr:"id"},categoryOpt:{bindingOptions:{value:"editModel.category",readOnly:"editModel.isReadOnly"},maxLength:50},preVoucherNumberOpt:{bindingOptions:{value:"editModel.preVoucherNumberText",readOnly:"editModel.voucherNumberTypeReadOnly"},maxLength:50},postedByOpt:{bindingOptions:{value:"editModel.postedByText",readOnly:"editModel.postedByTypeReadOnly"},maxLength:50},journalKeywordsOpt:{bindingOptions:{value:"editModel.journalKeywordsText",readOnly:"editModel.isReadOnly"},disabled:!0,maxLength:250},vehicleNumberOpt:{bindingOptions:{value:"editModel.vehicleNumberText",readOnly:"editModel.vehicleNumberReadOnly"},maxLength:50},taxRateOpt:{bindingOptions:{value:"editModel.taxRateValue",dataSource:"editModel.TaxRateList",readOnly:"editModel.isReadOnly"},onSelectionChanged:function(e){}},fapiaoTaxRateOpt:{bindingOptions:{value:"editModel.fapiaoTaxRateValue",dataSource:"editModel.TaxRateList",readOnly:"editModel.isReadOnly"},onSelectionChanged:function(e){}},fapiaoKeywordsOpt:{bindingOptions:{value:"editModel.fapiaoKeywordsText",readOnly:"editModel.isReadOnly"},maxLength:250},beginYearMonthOptions:{type:"date",width:326,bindingOptions:{value:"editModel.activeStartTime",readOnly:"editModel.isReadOnly"},placeholder:r.pleaseSelect,showClearButton:!1,displayFormat:"yyyy-MM",maxZoomLevel:"year"},endYearMonthOptions:{type:"date",width:326,bindingOptions:{value:"editModel.activeEndTime",readOnly:"editModel.isReadOnly",min:"editModel.activeStartTime"},placeholder:r.pleaseSelect,showClearButton:!0,displayFormat:"yyyy-MM",maxZoomLevel:"year",dateOutOfRangeMessage:g.EndYearMonthValidateMsg,invalidDateMessage:g.EndYearMonthValidateMsg}},r.modalControls.validateOption={ruleNoOpt:{validationRules:[{type:"required",message:i.instant("RuleNoRequire")}]},categoryOpt:{validationRules:[{type:"required",message:i.instant("CategoryRequire")}]},beginYearMonthOptions:{validationRules:[{type:"required",message:g.BeginYearMonthRequire}]}}},parseDBKeywords:function(e){return e||(e=[]),_.pluck(e,"value").join(C)},parseViewKeywords:function(e){if(!e)return[];var t=e.split(/;/g);t=_.filter(t,function(e){return e});var n=[];return t.forEach(function(e){n.push({id:window.PWC.newGuid(),value:e,prefix:";"})}),n&&0<n.length&&(n[0].prefix=""),n},parseDBField:function(e,t){return t||(e===v?y:I)},parseViewField:function(e){var t={type:v,text:null};return e===y?t.type=v:e===I?t.type=f:(t.type=h,t.text=e),t},getPercent:function(e){if(e)return parseInt(e.replace("%",""))/100},parseDBModel:function(e){return(e=angular.copy(e)).preVoucherNumber=S.parseDBField(e.preVoucherNumberType,e.preVoucherNumberText),e.postedBy=S.parseDBField(e.postedByType,e.postedByText),e.vehicleNumber=S.parseDBField(e.vehicleNumberType,e.vehicleNumberText),e.purchaserTesla=parseInt(e.purchaserTesla),e.sellerTesla=parseInt(e.sellerTesla),e.journalKeywords=S.parseDBKeywords(e.journalKeywordsList),e.fapiaoKeywords=S.parseDBKeywords(e.fapiaoKeywordsList),e.taxRate=S.getPercent(e.taxRateValue),e.fapiaoTaxRate=S.getPercent(e.fapiaoTaxRateValue),e.applyEntities||(e.applyEntities=[]),e.dxOptions=null,e.validateOption=null,e.activeStartTime&&(e.activeStartTime=e.activeStartTime.formatDateTime("yyyy-MM-dd")),e.activeEndTime?e.activeEndTime=e.activeEndTime.formatDateTime("yyyy-MM-dd"):e.activeEndTime=null,e.applyEntities&&0<e.applyEntities.length&&e.applyEntities.forEach(function(e){e.outputReconciliationConfigurationID=r.editModel.id}),e},parseViewModel:function(e){var t=angular.copy(e);t.ruleNo=e.ruleNO;var n=S.parseViewField(e.preVoucherNumber);return t.preVoucherNumberType=n.type,t.preVoucherNumberText=n.text,n=S.parseViewField(e.postedBy),t.postedByType=n.type,t.postedByText=n.text,n=S.parseViewField(e.vehicleNumber),t.vehicleNumberType=n.type,t.vehicleNumberText=n.text,t.fapiaoKeywordsList=S.parseViewKeywords(e.fapiaoKeywords),t.journalKeywordsList=S.parseViewKeywords(e.journalKeywords),t.taxRateValue=100*e.taxRate+"%",t.fapiaoTaxRateValue=100*e.fapiaoTaxRate+"%",t.selectOrgList=_.pluck(e.applyEntities,"organizationID"),t.activeStartTime=new Date(t.activeStartTime),t.activeEndTime&&(t.activeEndTime=new Date(t.activeEndTime)),t},openEditModal:function(){var e=r.configModel;r.editModel=S.parseViewModel(e),r.editModel.isReadOnly=!0,r.editModel.postedByTypeReadOnly=!0,r.editModel.voucherNumberTypeReadOnly=!0,r.editModel.vehicleNumberReadOnly=!0,r.editModel.type="query",S.initModalControls();var t=p.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"outputReconciliationConfigurationEdit.html",windowClass:"edit-invoice-modal-wrapper",scope:r,size:"output-reconciliation-configuration-edit",resolve:{editModel:r.editModel}});t.result.then(function(e){r.isUpdate=!0,r.operateType=null,r.onChanged&&r.onChanged()},function(){r.operateType=null,n.info("Modal dismissed at: "+new Date)}),r.edit=function(){r.editModel.isReadOnly=!1,r.editModel.type="edit"},r.saveAs=function(){m.getNextRuleNo().success(function(e){e&&e.result&&(r.editModel.id=null,r.editModel.category=null,r.editModel.ruleNo=e.data,r.editModel.type="copy",r.editModel.isReadOnly=!1)})},r.update=function(){var e=r.editModel;e=S.parseDBModel(e),DevExpress.validationEngine.validateGroup($("#outputReconciliationConfigurationEditForm").dxValidationGroup("instance")).isValid&&(console.log(JSON.stringify(e)),m.update(e).success(function(e){e&&(e.result?t.close({}):a.warning(i.instant(e.resultMsg)))}))},r.cancel=function(){t.dismiss("cancel")},r.save=function(){var e=r.editModel;e=S.parseDBModel(e),DevExpress.validationEngine.validateGroup($("#outputReconciliationConfigurationEditForm").dxValidationGroup("instance")).isValid&&(console.log(JSON.stringify(e)),m.add(e).success(function(e){e&&(e.result?t.close({}):a.warning(i.instant(e.resultMsg)))}))},w.loadData()},openModal:function(){var e={status:!0,preVoucherNumberType:v,postedByType:v,ruleNo:S.nexRuleNo,vehicleNumberType:v,purchaserTesla:"2",sellerTesla:"2",journalKeywordsType:"2",journalKeywordsText:"test",fapiaoKeywordsType:"2",taxRateValue:"17%",fapiaoTaxRateValue:"17%",tag:constant.TagRule.Aggregation,type:"add",journalKeywordsList:[],fapiaoKeywordsList:[],voucherNumberTypeReadOnly:!0,postedByTypeReadOnly:!0};r.editModel=e,S.initModalControls();var t=p.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"outputReconciliationConfigurationEdit.html",windowClass:"edit-invoice-modal-wrapper",scope:r,size:"output-reconciliation-configuration-edit",resolve:{editModel:r.editModel}});t.result.then(function(e){r.isUpdate=!0,r.operateType=null,r.onChanged&&r.onChanged()},function(){r.operateType=null,n.info("Modal dismissed at: "+new Date)}),r.save=function(){var e=r.editModel;e=S.parseDBModel(e),DevExpress.validationEngine.validateGroup($("#outputReconciliationConfigurationEditForm").dxValidationGroup("instance")).isValid&&(console.log(JSON.stringify(e)),m.add(e).success(function(e){console.log(JSON.stringify(e)),e&&(e.result?t.close({}):a.warning(i.instant(e.resultMsg)))}))},r.cancel=function(){t.dismiss("cancel")},r.addJournalKeywords=function(){S.addKeywords("journalKeywords")},r.deleteJournalKeywords=S.deleteJournalKeywords,w.loadData()},watchCollection:function(){r.$watch("operateType",function(e,t){e&&(e===constant.Operation.Add?m.getNextRuleNo().success(function(e){e&&e.result&&(S.nexRuleNo=e.data,S.openModal())}):e===constant.Operation.Edit?S.openEditModal():e===constant.Operation.Query&&S.openEditModal())}),r.preVoucherNumberTypeChange=function(){r.editModel.isReadOnly||(1==r.editModel.preVoucherNumberType?r.editModel.voucherNumberTypeReadOnly=!1:(r.editModel.voucherNumberTypeReadOnly=!0,r.editModel.preVoucherNumberText=null))},r.postedByTypeChange=function(){r.editModel.isReadOnly||(1==r.editModel.postedByType?r.editModel.postedByTypeReadOnly=!1:(r.editModel.postedByTypeReadOnly=!0,r.editModel.postedByText=null))},r.vehicleNumberTypeChange=function(){r.editModel.isReadOnly||(1==r.editModel.vehicleNumberType?r.editModel.vehicleNumberReadOnly=!1:(r.editModel.vehicleNumberReadOnly=!0,r.editModel.vehicleNumberText=null))}}};S.main(),n.debug("outputReconciliationConfigurationEditController.ctor()...")}]),invoiceModule.directive("outputReconciliationConfigurationEdit",["$log",function(e){return{restrict:"E",templateUrl:"/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-configuration-edit.html?_="+Math.random(),replace:!0,scope:{operateType:"=",configModel:"=?",onClosed:"&",onChanged:"&"},controller:"outputReconciliationConfigurationEditController",link:function(e,t,n){}}}]),invoiceModule.controller("outputReconciliationConfigurationController",["$log","$scope","$q","$timeout","$translate","outputReconciliationConfiguration","SweetAlert","outputCommonService","messagebox","$state",function(a,i,n,o,r,s,l,c,t,d){var u=_.invert(constant.TagRule),p=_.invert(constant.purchaserSeller),m="yyyy-MM-dd";i.eventService={refreshTable:function(){$("#reconciliation-grid").dxDataGrid("instance").refresh()},deleteRule:function(){if(!i.selectedRows||i.selectedRows.length<1)l.warning(r.instant("SelectCheck"));else{var e=r.instant("Confirm")+" "+r.instant("Delete")+"?";t.confirm(e,"",constant.teslaConfirmClassName).then(function(e){if(e){var t=i.selectedRows[0].id;s.deleteRule(t).success(function(e){e.result&&$("#reconciliation-grid").dxDataGrid("instance").refresh()}).error(function(){l.error(r.instant("CommonFail"))})}})}},addOutputReconciliationConfiguration:function(){i.editType=constant.Operation.Add,i.editModel={}},showRule:function(e){i.editModel=e,i.editType=constant.Operation.Query},saveSort:function(){$(".rule-id");var e=[];$(".rule-id").each(function(){e.push($(this).attr("dataid"))}),s.saveSort(e).success(function(e){e&&e.result&&(t.success("SaveSuccess"),i.eventService.refreshTable())})}};var g=function(){$("#reconciliation-grid .dx-datagrid-rowsview tbody").sortable({helper:function(e,t){var n=t.children(),a=t.clone();return a.children().each(function(e){$(this).width(n.eq(e).width())}),a},stop:function(e,t){$(".rule-id",t.item.parent()).each(function(e){var t=e+2;$(this).text("RN"+t)})},items:".sortRow"}),$("#reconciliation-grid .sortRow").disableSelection()};(function(){var t=constant.vatPermission.outputInvoice.reconciliationConfig,e=[];e.push(t.queryCode),e.push(t.deleteCode),e.push(t.addCode),e.push(t.editCode),e.push(t.reSortCode),i.hasDeletePermission=!1,i.hasAddPermission=!1,i.hasEditPermission=!1,i.hasReSortPermission=!1,i.$root.checkUserPermissionList(e).success(function(e){e[t.queryCode]?(e[t.reSortCode]&&(i.hasReSortPermission=!0),e[t.deleteCode]&&(i.hasDeletePermission=!0),e[t.addCode]&&(i.hasAddPermission=!0),e[t.editCode]&&(i.hasEditPermission=!0),i.reconciliationGrid={bindingOptions:{height:"gridTable"},dataSource:new DevExpress.data.CustomStore({key:"id",load:function(e){return s.load().then(function(e){return e.data.data.forEach(function(e){e.rowCss="dx-row dx-data-row dx-row-lines dx-column-lines ui-state-disabled",2===e.tag&&(i.hasReSortPermission?(e.tdCss="index",e.rowCss="dx-row dx-data-row dx-row-lines dx-column-lines sortRow"):e.rowCss="dx-row dx-data-row dx-row-lines dx-column-lines")}),i.hasReSortPermission&&o(function(){g()},1e3),{data:e.data.data,totalCount:e.data.data.length}},function(e){return n.reject(r.instant("DataLoadingError"))})}}),noDataText:r.instant("NoDataText"),columnAutoWidth:!0,showRowLines:!0,showBorders:!0,columnChooser:{enabled:!0},searchPanel:{placeholder:r.instant("SearchHintText"),visible:!0},loadPanel:{enabled:!1},onToolbarPreparing:function(e){e.toolbarOptions.items.unshift({location:"before",template:"add"},{location:"before",template:"delete"},{location:"before",template:"saveSort"})},selection:{mode:"single"},onSelectionChanged:function(e){i.selectedRows=e.selectedRowsData},columns:[{dataField:"ruleNO",caption:r.instant("RuleNo"),cellTemplate:function(e,t){var n=t.data;try{2===n.tag?i.hasReSortPermission?($("<span class='rule-id' dataid="+n.id+">").text(n.ruleNO).appendTo(e),$(e).parent().addClass("sortRow")):$("<span>").text(n.ruleNO).appendTo(e):($("<span>").text(n.ruleNO).appendTo(e),$(e).parent().addClass("ui-state-disabled"))}catch(e){a.debug(e)}}},{dataField:"category",caption:r.instant("Category")},{dataField:"journalKeywords",caption:r.instant("JournalKeywords"),calculateDisplayValue:function(e){return e.journalKeywords}},{dataField:"preVoucherNumber",caption:r.instant("PreVoucherNumber"),calculateDisplayValue:function(e){return c.transferReconciliationSpecial(e.preVoucherNumber).text}},{dataField:"vehicleNumber",caption:r.instant("VehicleNumber"),calculateDisplayValue:function(e){return c.transferReconciliationSpecial(e.vehicleNumber).text}},{dataField:"postedBy",caption:r.instant("PostedBy"),calculateDisplayValue:function(e){return c.transferReconciliationSpecial(e.postedBy).text}},{dataField:"fapiaoKeywords",caption:r.instant("FapiaoKeywords"),calculateDisplayValue:function(e){return e.fapiaoKeywords}},{dataField:"taxRate",caption:r.instant("TaxRate"),calculateDisplayValue:function(e){return(100*e.taxRate).formatAmount(0)+"%"}},{dataField:"purchaserTesla",caption:r.instant("PurchaserTesla"),alignment:"left",calculateDisplayValue:function(e){return r.instant(p[e.purchaserTesla])}},{dataField:"sellerTesla",caption:r.instant("SellerTesla"),alignment:"left",calculateDisplayValue:function(e){return r.instant(p[e.sellerTesla])}},{dataField:"activeStartTime",caption:r.instant("ActiveStartTime"),dataType:"date",format:m,visible:!1},{dataField:"activeEndTime",caption:r.instant("ActiveEndTime"),dataType:"date",format:m,visible:!1},{dataField:"tag",caption:r.instant("Tag"),alignment:"left",calculateDisplayValue:function(e){return r.instant(u[e.tag])}},{dataField:"status",caption:r.instant("RuleStatus")},{caption:r.instant("Action"),cellTemplate:"details"}]},o(function(){i.setInvoiceGridHeight()},500)):d.go("noPermissionPage")})})()}]),invoiceModule.directive("outputReconciliationConfiguration",["$log",function(e){return{restrict:"E",templateUrl:"/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-configuration.html?_="+Math.random(),replace:!0,scope:{},controller:"outputReconciliationConfigurationController",link:function(t,e,n){t.setInvoiceGridHeight=function(){$(document).height(),$(".menu-header").outerHeight();var e=$(".content-container").outerHeight();0===e&&(dataGridPagerHeight=660),t.gridTable=e-30;try{$("#reconciliation-grid").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){t.setInvoiceGridHeight()})}}}]),invoiceModule.controller("outputReconciliationEntitiesController",["$scope","$log","uiGridConstants","SweetAlert","$translate","stdAccountService","$interval","orgService","$timeout","$q","commonWebService","loginContext","$uibModal","outputReconciliationConfiguration",function(r,e,t,n,a,i,o,s,l,c,d,u,p,m){"use strict";var g={OrganizationList:[],allOrgs:a.instant("AllOrganization"),name:"name",id:"id",uiOrgID:window.PWC.newGuid(),orgText:a.instant("AllOrganization"),selectOrgList:[],selectOrgMap:{},orgList:[],main:function(){r.uiOrgID=g.uiOrgID,r.openEntityModal=function(){"query"===r.editModel.type||"edit"===r.editModel.type||"copy"===r.editModel.type?g.openEditModal(r.editModel.applyEntities):g.openModal()},r.add=function(){g.openEditModal(r.selectList)}},loadData:function(){s.getOrganizationFilterList().success(function(e){g.OrganizationList=e,g.orgList=g.getOrgDropDownList(),v.parseViewList()})},openModal:function(){r.editEntityModel={},v.initModalControls();var e=$("#outputReconciliationConfigurationEditModalBody"),t=p.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"ApplyingEntitesDetailsModal.html",windowClass:"edit-invoice-modal-wrapper",scope:r,size:"entity-size",appendTo:e,resolve:{editModel:r.editModel}});t.result.then(function(e){},function(){}),r.saveApplyingEntitesDetailsModal=function(){r.editModel.selectOrgList=g.selectOrgList,t.close({})},r.cancelApplyingEntitesDetailsModal=function(){t.dismiss("cancel")},l(function(){g.drawGridList(g.orgList)},100)},openEditModal:function(e){var t=_.pluck(e,"organizationID"),n=angular.copy(g.orgList),a=0;n.forEach(function(e){-1<t.indexOf(e.id)?e.isSelected=!0:e.isSelected=!1,e.viewName=e.code+" "+e.name,e.index=a,a++});r.editEntityModel={};var i=$("#outputReconciliationConfigurationEditModalBody"),o=p.open({animation:!0,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"ApplyingEntitesDetailsModal.html",windowClass:"edit-invoice-modal-wrapper",scope:r,size:"entity-size",appendTo:i,resolve:{editModel:r.editModel}});o.result.then(function(e){},function(){}),r.saveApplyingEntitesDetailsModal=function(){var e=[];e=g.selectOrgList&&0!==g.selectOrgList.length?g.selectOrgList:(g.selectOrgList=[],[]);var n=[];e.forEach(function(e){var t={};t.organizationID=e.id,t.organizationCode=e.code,n.push(t)}),r.selectList=n,v.parseViewList(),o.close({})},r.cancelApplyingEntitesDetailsModal=function(){o.dismiss("cancel")},l(function(){console.log("open"),g.drawGridList(n),console.log("open end")},100)},filterDropDownOrgList:function(e,t,n){return e&&0!==e.length&&t?e=_.filter(e,function(e){return-1<t.indexOf(e[n])}):e},filterOrgs:function(){return g.OrganizationList&&0<g.OrganizationList.length?_.filter(g.OrganizationList,function(e){return e.isActive}):[]},getOrgDropDownList:function(){var e=g.filterOrgs();e=angular.copy(e);for(var t=0;t<e.length;t++){var n=e[t];if(n.selected=!1,n.expanded=!0,null!==n.parentID)_.find(e,function(e){return e.id===n.parentID})||(n.parentID=getParentID(n,g.OrganizationList,e))}var a=_.pluck(e,"id");return r.selectedOrganizationList=a,e},drawGridList:function(e){r.selectList||(r.selectList=[]);var t=_.pluck(r.selectList,"organizationCode");$("#"+g.uiOrgID).dxDataGrid({dataSource:e,keyExpr:"code",height:400,selectAllText:a.instant("SelectAll"),selectedRowKeys:t,paging:{enabled:!1},columns:[{dataField:"viewName",caption:a.instant("SelectAll")}],showBorders:!0,selection:{mode:"multiple",showCheckBoxesMode:"always"},onSelectionChanged:function(e){g.selectOrgList=e.selectedRowsData}})},drawOrgTreeList:function(e){$("#"+g.uiOrgID).dxTreeView({dataSource:e,dataStructure:"plain",keyExpr:"id",parentIdExpr:"parentIDStr",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,noDataText:"",itemTemplate:function(e,t,n){var a=e.code+" "+e.name;n.append("<span title='"+a+"'>"+a+"</span>")},onContentReady:function(e){},selectNodesRecursive:!1,expandAllEnabled:!0,showCheckBoxesMode:"selectAll",selectAllText:g.allOrgs,onItemSelectionChanged:function(e){},onSelectionChanged:function(e){g.selectOrgList=e.component.getSelectedNodesKeys()}})},drawOrgDropDownList:function(o){g.selectOrgList=_.pluck(o,"id"),r.onChanged({model:g.selectOrgList});g.orgDropDownInstantce=$("#"+g.uiOrgID).dxDropDownBox({value:"",showClearButton:!1,contentTemplate:function(i){i.component.option("value");var e=$("<div>").dxTreeView({dataSource:o,dataStructure:"plain",keyExpr:"id",parentIdExpr:"parentIDStr",selectionMode:"multiple",displayExpr:"name",selectByClick:!0,noDataText:"",height:300,itemTemplate:function(e,t,n){var a=e.code+" "+e.name;n.append("<span title='"+a+"'>"+a+"</span>")},onContentReady:function(e){},selectNodesRecursive:!1,expandAllEnabled:!0,showCheckBoxesMode:"selectAll",selectAllText:g.allOrgs,onItemSelectionChanged:function(e){},onSelectionChanged:function(e){var t,n=e.component.getSelectedNodesKeys(),a="";a=n&&n.length===o.length?g.allOrgs:"选中"+n.length+"个机构",g.selectOrgList=n,i.component.option("value",a),g.orgText=a,g.orgTreeView,t=n,!1?(r.selectedOrganizationList=g.selectOrgList,r.onChanged({model:g.selectOrgList})):(r.selectedOrganizationList=t,r.onChanged({model:t}))}});return g.orgTreeView=e.dxTreeView("instance"),g.orgText=i.component.option("text"),e}})}},v={main:function(){r.selectList||(r.selectList=[]),g.loadData(),g.main(),r.delete=v.delete},parseViewList:function(){if(r.selectList.forEach(function(t){var e=_.find(g.orgList,function(e){return e.id===t.organizationID});e&&(t.value=e.code+" "+e.name),t.suffix=";"}),r.selectList&&0<r.selectList.length){var e=r.selectList.length-1;r.selectList[e].suffix=""}},add:function(){var e="";0!==r.selectList.length&&(e=";");var t={id:window.PWC.newGuid(),value:"",suffix:e};r.selectList.push(t)},delete:function(e){if(r.selectList&&0<r.selectList.length){var t=_.indexOf(r.selectList,e);-1<t&&r.selectList.splice(t,1),0===t&&0<=r.selectList.length&&(r.selectList[0].prefix="")}}};v.main(),e.debug("outputReconciliationKeywordsController.ctor()...")}]),invoiceModule.directive("outputReconciliationEntities",["$log",function(e){return{restrict:"E",templateUrl:"/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-entities.html?_="+Math.random(),replace:!0,scope:{selectList:"=",isReadonly:"="},controller:"outputReconciliationEntitiesController",link:function(e,t,n){}}}]),invoiceModule.controller("outputReconciliationKeywordsController",["$scope","$log","uiGridConstants","SweetAlert","$translate","stdAccountService","$interval","orgService","$timeout","$q","commonWebService","loginContext","$uibModal","outputReconciliationConfiguration",function(a,e,t,i,o,n,r,s,l,c,d,u,p,m){"use strict";var g={main:function(){a.keywordsList||(a.keywordsList=[]),a.addKeywords=g.addKeywords,a.deleteKeywords=g.deleteKeywords},addKeywords:function(){var e=a.keywordsList.length;if(5<=e)i.warning(o.instant("LimitKeyWords"));else{var t="";0!==e&&(t=";");var n={id:window.PWC.newGuid(),value:"",prefix:t};a.keywordsList.push(n)}},deleteKeywords:function(e){if(a.keywordsList&&0<a.keywordsList.length){var t=_.indexOf(a.keywordsList,e);-1<t&&a.keywordsList.splice(t,1),0===t&&0<=a.keywordsList.length&&(a.keywordsList[0].prefix="")}}};g.main(),e.debug("outputReconciliationKeywordsController.ctor()...")}]),invoiceModule.directive("outputReconciliationKeywords",["$log",function(e){return{restrict:"E",templateUrl:"/app/vat/output-invoice/outputReconciliationConfiguration/output-reconciliation-keywords.html?_="+Math.random(),replace:!0,scope:{keywordsList:"=",isReadonly:"="},controller:"outputReconciliationKeywordsController",link:function(e,t,n){}}}]),vatModule.controller("specialVatInvoiceController",["$log","$timeout","$scope","$translate","vatOutputInvoiceManageService","SweetAlert","orgService","enums","modalAdapterService",function(e,t,r,a,n,i,o,s,l){var c="yyyy-MM-dd";r.pleaseSelect=a.instant("ChoosePlaceholder"),r.pleaseInput=a.instant("InputPlaceholder"),r.pagingOptions={pageIndex:1,totalItems:0,pageSize:constant.page.pageSizeArrary[1]},r.specialSearchEntity={invoiceNumberVaule:null,VRLValue:null,issuedPeriodFromValue:null,issuedPeriodToValue:null,entityCodeValue:null,statusValue:[],revertStatusList:[]},r.specialInvoiceVariables={selectedTableRows:[],selectedTotalAmount:0,pageName:a.instant("IssuedInvoiceSpecial"),selectedInvoice:null},r.specialInvoice={invoiceNumberOptions:{bindingOptions:{value:"specialSearchEntity.invoiceNumberVaule"},showClearButton:!0,placeholder:r.pleaseInput},VRLOptions:{bindingOptions:{dataSource:"allDBVRL",value:"specialSearchEntity.VRLValue"},showClearButton:!0,placeholder:r.pleaseSelect},issuedPeriodFromOptions:{type:"date",dateSerializationFormat:c,displayFormat:c,bindingOptions:{value:"specialSearchEntity.issuedPeriodFromValue"},width:"100%",showClearButton:!0,placeholder:r.pleaseSelect},issuedPeriodToOptions:{type:"date",dateSerializationFormat:c,displayFormat:c,bindingOptions:{value:"specialSearchEntity.issuedPeriodToValue"},width:"100%",showClearButton:!0,placeholder:r.pleaseSelect},entityOptions:{bindingOptions:{value:"specialSearchEntity.entityCodeValue",dataSource:"entitySource"},showClearButton:!0,displayExpr:"name",valueExpr:"id",placeholder:r.pleaseSelect},statusOptions:{bindingOptions:{value:"specialSearchEntity.statusValue",dataSource:"specialStatus"},showClearButton:!0,showDropButton:!0,multiline:!1,showSelectionControls:!0,applyValueMode:"useButtons",displayExpr:"name",valueExpr:"id",placeholder:r.pleaseSelect},specialGridContainer:{bindingOptions:{dataSource:"specialInvoiceList",height:"height"},loadPanel:{enabled:!1},noDataText:a.instant("NoDataText"),columnAutoWidth:!0,showRowLines:!0,showBorders:!0,columnChooser:{enabled:!0},paging:{enabled:!1},selection:{mode:"multiple",showCheckBoxesMode:"always"},onSelectionChanged:function(e){r.specialInvoiceVariables.selectedTotalAmount=0,r.specialInvoiceVariables.selectedTableRows=e.selectedRowsData,_.each(e.selectedRowsData,function(e){r.specialInvoiceVariables.selectedTotalAmount+=e.totalAmount})},headerFilter:{visible:!1,texts:{cancel:a.instant("ENCancel"),emptyValue:a.instant("Blank"),ok:a.instant("Confirm")}},columns:[{dataField:"vrl",caption:a.instant("VRL"),allowHeaderFiltering:!1,visible:!1},{dataField:"buyerOrganizationCode",caption:a.instant("Entity"),allowHeaderFiltering:!1},{dataField:"gdInvoiceNumber",caption:a.instant("InvoiceNo"),allowHeaderFiltering:!1},{dataField:"gdInvoiceCode",caption:a.instant("InvoiceCode"),allowHeaderFiltering:!1},{dataField:"buyerOrganizationName",caption:a.instant("BuyerName"),allowHeaderFiltering:!1},{dataField:"buyerOrganizationTaxID",caption:a.instant("BuyerTaxID"),allowHeaderFiltering:!1},{dataField:"totalAmount",caption:a.instant("Amount"),format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"totalTaxAmount",caption:a.instant("TaxAmount"),format:{type:"fixedPoint",precision:2},allowHeaderFiltering:!1},{dataField:"gdIssuedDate",caption:a.instant("IssuedDate"),dataType:"date",format:c,allowHeaderFiltering:!1},{dataField:"status",caption:a.instant("Status"),calculateDisplayValue:function(e){return a.instant(r.specialSearchEntity.revertStatusList[e.status])}},{caption:a.instant("Details"),cellTemplate:"detailTemplate",allowHeaderFiltering:!1}]}},r.eventService={checkBeforCancel:function(){var e=r.specialInvoiceVariables.selectedTableRows,n=(new Date).getMonth(),a=0,i=!0,o=!1;return _.each(e,function(e){var t=new Date(e.gdIssuedDate).getMonth();a=t===n?a:++a,e.status!==s.GDInvoiceStatusEnum.issued&&(i=!1),e.isRedInvoice&&(o=!0)}),{pass:0===a&&i&&!o,notMatchMonth:a,notValidStatus:i,isRedInvoice:o}},cancelInvoiceCore:function(){var e={items:r.specialInvoiceVariables.selectedTableRows,reprint:r.isReprint,userName:null,userID:null};n.cancelGDInvoice(e).success(function(e){e.result&&(l.close(constant.OutputInvoiceCancalDialog,"special-vat-page"),r.eventService.refreshInvoiceDataGrid())}).error(function(){i.error("",a.instant("CommonFail"))})},cancelFapiao:function(e){if(!r.specialInvoiceVariables.selectedTableRows||r.specialInvoiceVariables.selectedTableRows.length<1)i.warning(a.instant("SelectBdInvoiceCheck"));else{var t=r.eventService.checkBeforCancel();if(t.pass)r.title=e?a.instant("CancelReprintInvoiceGDTitle"):a.instant("CancelInvoiceGDTitle"),r.isReprint=e||!1,l.open(constant.OutputInvoiceCancalDialog,"special-vat-page");else{var n=0===t.notMatchMonth?"":a.instant("HasNotMatchMonth")+t.notMatchMonth+a.instant("Separator");n=t.notValidStatus?n:n+a.instant("HasNotMatchStatus"),n=t.isRedInvoice?n+a.instant("RedInvoiceWarrning"):n,i.warning("",n)}}},cancelandPrintFapiao:function(){r.eventService.cancelFapiao(!0)},getQueryBasicData:function(){r.specialStatus=_.map(s.GDInvoiceStatusEnum,function(e,t){return{id:e,name:a.instant(t)}}),o.getBdList().success(function(e){r.entitySource=_.map(e,function(e){return{id:e.code,name:e.code+e.name}}),r.allDBVRL=_.filter(_.uniq(_.pluck(e,"vehicleroutinglocation")),function(e){return null!==e})})},refreshInvoiceDataGrid:function(){var e={parameters:r.specialSearchEntity,pagingInfo:r.pagingOptions};n.getSpecailGBInvoiceList(e).success(function(e){r.specialInvoiceList=e.list,r.pagingOptions.totalItems=e.pageInfo.totalCount}).error(function(){i.error("",a.instant("CommonFail"))})},showDetail:function(e){r.specialInvoiceVariables.selectedInvoice=e,r.$broadcast("openGDDetailDialog")},showOrHideSearchBox:function(){r.hasShowMoreSearchBox=!r.hasShowMoreSearchBox,t(function(){r.setInvoiceGridHeight()},500)}},r.specialSearchEntity.revertStatusList=_.invert(s.GDInvoiceStatusEnum),r.eventService.getQueryBasicData(),r.eventService.refreshInvoiceDataGrid(),r.hasShowMoreSearchBox=!1,t(function(){r.setInvoiceGridHeight()},500)}]),vatModule.directive("specialVatInvoice",["$log",function(e){"use strict";return e.debug("issuedInvoiceBdView.ctor()..."),{restrict:"E",templateUrl:"/app/vat/output-invoice/special-vat-invoice/special-vat-invoice.html?_="+Math.random(),scope:{},controller:"specialVatInvoiceController",link:function(r,e){r.setInvoiceGridHeight=function(){var e=$(document).height(),t=$(".header-title").outerHeight(),n=$(".query-panel").outerHeight(),a=$(".action-row").outerHeight(),i=$(".page-footer").outerHeight();0===i&&(i=60);var o=e-t-n-a-i;r.height=o-50;try{$("#specialGrid").dxDataGrid("instance").repaint()}catch(e){console.log(e)}},$(window).on("resize",function(){r.setInvoiceGridHeight()})}}}]),vatModule.controller("taxControlDiskController",["$log","$scope","$q","$timeout","$translate","SweetAlert","outputCommonService","messagebox","$state","vatOutputInvoiceManageService","$uibModal",function(e,r,t,n,a,i,o,s,l,c,d){var u={DiskType:{1:a.instant("BaiWang"),2:a.instant("HangXing")}},p=function(e){return e&&(e=e.replace(/[^\(\)（）\w\u4e00-\u9fa5]/g,"")),e},m=function(e){return e&&(e=e.replace(/[^\w]/g,"")),e},g=function(){if(r.selectedRows&&1===r.selectedRows.length){r.editModel=angular.copy(r.selectedRows[0]);var t=d.open({animation:!1,backdrop:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"EditTaxControlDiskConfirmModal.html",windowClass:"EditTaxControlDiskConfirmModal",size:"edit-taxcontrol",scope:r,resolve:{editModel:{}}});r.dxOptions={mainTaxAuthoritiesName:{valueChangeEvent:"keyup",maxLength:50,onValueChanged:function(e){r.editModel.mainTaxAuthoritiesName=p(e.value)}},mainTaxAuthoritiesCode:{valueChangeEvent:"keyup",maxLength:50,onValueChanged:function(e){r.editModel.mainTaxAuthoritiesCode=m(e.value)}}},t.result.then(function(e){},function(){}),r.saveDisk=function(){var e=r.editModel;c.updateTaxControlDisk(e).success(function(e){e&&e.result?(s.info(a.instant("SaveSuccess")),t.close(r.editModel),r.eventService.refreshTable()):s.warning(e.resultMsg,!0)})},r.cancel=function(){t.dismiss("cancel")}}},v={main:function(){v.initControl(),v.bindEvent(),v.loadData(),r.showEditBtn=!1,n(function(){r.setInvoiceGridHeight()},500)},initControl:function(){r.taxControlDiskData=[],r.taxControlDiskGrid={bindingOptions:{height:"gridTable",dataSource:"taxControlDiskData"},onToolbarPreparing:function(e){e.toolbarOptions.items.unshift({location:"before",template:"checkStatusTempl"})},noDataText:a.instant("NoDataText"),columnAutoWidth:!0,showRowLines:!0,showBorders:!0,columnFixing:{enabled:!0},columnChooser:{enabled:!0},searchPanel:{placeholder:a.instant("SearchHintText"),visible:!0},loadPanel:{enabled:!1},selection:{mode:"single"},onSelectionChanged:function(e){r.selectedRows=e.selectedRowsData,r.selectedRows&&0<r.selectedRows.length&&(r.showEditBtn=!0)},columns:[{dataField:"kpjh",caption:a.instant("KPJH"),visible:!1},{dataField:"qymc",caption:a.instant("qymc"),visible:!1},{dataField:"qysh",caption:a.instant("qysh"),visible:!1},{dataField:"jmbbh",caption:a.instant("jmbbh"),visible:!1},{dataField:"dzfpFlag",caption:a.instant("dzfpFlag"),visible:!1},{dataField:"sfjyzs",caption:a.instant("sfjyzs"),visible:!1},{dataField:"swjgdm",caption:a.instant("swjgdm"),visible:!1},{dataField:"jssz",caption:a.instant("jssz"),visible:!1},{dataField:"jspbh",caption:a.instant("jspbh"),visible:!1},{dataField:"equipmentSupplier",caption:a.instant("equipmentSupplier"),visible:!1},{dataField:"organizationName",caption:a.instant("Entity")},{dataField:"organizationCode",caption:a.instant("EntityCode")},{dataField:"taxControlDiskSerialNumber",caption:a.instant("TaxControlDiskSerialNumber")},{cellTemplate:"statusTempl",caption:a.instant("TaxControlStatus"),alignment:"center",width:"120"},{dataField:"diskTyeText",caption:a.instant("Type")},{dataField:"mainTaxAuthoritiesName",caption:a.instant("MainTaxAuthoritiesName")},{dataField:"mainTaxAuthoritiesCode",caption:a.instant("MainTaxAuthoritiesCode")},{dataField:"topMargin",caption:a.instant("Top")},{dataField:"leftMargin",caption:a.instant("Left")},{dataField:"taxControlDiskNo",caption:a.instant("TaxControlDiskNo")},{dataField:"taxControlDiskDescribe",caption:a.instant("TaxControlDiskDescribe")},{dataField:"taxControlDiskUser",caption:a.instant("TaxControlDiskUser")},{dataField:"department",caption:a.instant("Department")},{dataField:"mobile",caption:a.instant("Mobile")},{dataField:"email",caption:a.instant("Email")},{dataField:"taxControlUrl",caption:a.instant("TaxControlUrl")}]}},loadData:function(){c.getTaxControlDiskList({},!1).then(function(e){var t=e.data.list;t&&0<t.length&&t.forEach(function(e){var t;(t=e)&&(t.taxControlStatusBool=1===t.taxControlStatus,t.diskTyeText=u.DiskType[t.diskType]),e=t}),r.taxControlDiskData=t},function(e){})},bindEvent:function(){r.eventService={checkStatus:function(){if(!r.Checking){var e=r.taxControlDiskData,i=e.length;r.Checking=!0;var o=function(n){if(n<i){var a=e[n];a.isTest=!0,r.taxControlDiskData=e,c.testIsActive(a,!1).then(function(e){a.isTest=!1;var t=e.data;t&&t.result&&r.eventService.refreshTable(),n===i-1?r.Checking=!1:o(++n)})}};o(0)}},refreshTable:function(){v.loadData()},updateAlert:function(){g()}}}};v.main()}]),vatModule.directive("taxControlDisk",["$log",function(e){return{restrict:"E",templateUrl:"/app/vat/output-invoice/taxControlDisk/tax-control-disk.html?_="+Math.random(),replace:!0,scope:{},controller:"taxControlDiskController",link:function(t,e,n){t.setInvoiceGridHeight=function(){var e=$(".content-container").outerHeight();t.gridTable=e-30},$(window).on("resize",function(){t.setInvoiceGridHeight()})}}}]),vatModule.controller("uploadFileModalController",["$scope","$log","$translate","$timeout","apiInterceptor","Upload","$uibModal","vatOutputInvoiceManageService",function(r,e,t,n,s,l,a,i){var o=function(){r.uploadOption={},r.uploadOption.uploadFiles=null,r.confirmUpload=function(){r.uploadFileOption.files=r.files,r.modalInstance.dismiss("confirm"),r.uploadFileType=null},r.concelUpload=function(){r.modalInstance.dismiss("cancel"),r.uploadFileType=null},r.$watch("uploadOption.uploadFiles",function(e,t){e&&e!==t&&m()})};r.chunkSize=10485760;r.success=!1;var c=0,d=0,u=function(){r.percentNumber="0%",r.showLoading=!1};r.files=[];var p=function(e){d++,r.files.push(e),d===c&&(r.showLoading=!1)},m=function(){var e;e="fileUploading",r.loadingTitle=t.instant(e),v(r.uploadOption.uploadFiles),r.uploadOption.uploadFiles=null},g=function(e){r.showLoading=!0;var t=parseInt(100*e.loaded/e.total);100<t&&(t=100),r.percentNumber=t+"%"},v=function(e){if(e&&e.length){c=e.length;for(var t=function(){u()},n=d=0;n<e.length;n++){var a=e[n];if(!a.$error){var i=PWC.newGuid()+".dat",o=$('input[name="__RequestVerificationToken"]').val();u(),l.upload({url:s.webApiHostUrl+"/outputInvoicePrinted/uploadEvidenceFile",data:{cancel:!1,filename:a.name,tempFileName:i,file:a,period:r.period},resumeChunkSize:r.chunkSize,headers:{"Access-Control-Allow-Origin":"*",Authorization:s.tokenType+" "+s.apiToken()},__RequestVerificationToken:o,withCredentials:!0}).then(p,t,g)}}}};r.deleteEvidenceFile=function(t){var e=[t];i.deleteEvidenceFile(e).then(function(){r.files=_.filter(r.files,function(e){return e.data.fileID!=t})})},r.downloadEvidenceFile=function(e){var t={};t.fileName=e.fileName,t.filePath=e.filePath,i.downloadEvidenceFile(t)},r.$watch("uploadFileType",function(e,t){if(e){r.isMultiple="multiple"===e,r.files=[],r.uploadFileOption.files&&_.each(r.uploadFileOption.files,function(e){r.files.push(e)});var n=angular.element($("#upload-file-modal-wrapper"));r.modalInstance=a.open({backdrop:"static",templateUrl:"uploadFileModal.html",controller:o,appendTo:n,scope:r})}})}]),vatModule.directive("uploadFileModal",["$log",function(e){return{restrict:"E",templateUrl:"/app/vat/output-invoice/upload-file-modal/upload-file-modal.html?_="+Math.random(),scope:{uploadFileOption:"=",uploadFileType:"=",uploadFileWebApiUrl:"="},controller:"uploadFileModalController",link:function(e,t,n){}}}]),vatModule.controller("ProductItemPreviewController",["$scope","$log","$translate","$timeout","SweetAlert","$q","uiGridConstants","$interval","productService","browserService","vatSessionService","region","enums","vatExportService",function(i,e,t,n,a,o,r,s,l,c,d,u,p,m){"use strict";i.startDate=new Date(d.project.year,0,1),i.endDate=new Date(d.project.year,11,31),i.dateFormat=t.instant("dateFormat4YearMonthDay"),i.startMonth=d.month,i.endMonth=d.month;var g=[1,d.project.year],v=[12,d.project.year],h=[[d.month,d.project.year],[d.month,d.project.year]];t.instant("VATInvoice"),t.instant("FreightTransport"),t.instant("MotorVehicle"),t.instant("AgriculturalProduct");i.monthList=[t.instant("Month01"),t.instant("Month02"),t.instant("Month03"),t.instant("Month04"),t.instant("Month05"),t.instant("Month06"),t.instant("Month07"),t.instant("Month08"),t.instant("Month09"),t.instant("Month10"),t.instant("Month11"),t.instant("Month12")],i.invoiceTypeList=[{id:999,name:"未选择"},{id:1,name:"1"},{id:2,name:"2"},{id:3,name:"0/空"}],i.InvoiceType={},i.CertificationStatus={};var f=function(e){C(),i.curIncomeInvoiceItemPage=e,i.queryParams.pageInfo={totalCount:i.queryIncomeInvoiceItemResult.pageInfo.totalCount,pageIndex:e,pageSize:i.queryIncomeInvoiceItemResult.pageInfo.pageSize,totalPage:0},l.getProductItemListByPage(i.queryParams).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++}),i.gridOptions.data=e.list,i.queryIncomeInvoiceItemResult.pageInfo=e.pageInfo,I()}})},y=function(e){f(e)},I=function(){if(i.queryIncomeInvoiceItemResult.pageInfo&&0<i.queryIncomeInvoiceItemResult.pageInfo.totalCount){var e=parseInt(i.queryIncomeInvoiceItemResult.pageInfo.totalCount/i.queryIncomeInvoiceItemResult.pageInfo.pageSize);e=i.queryIncomeInvoiceItemResult.pageInfo.totalCount%i.queryIncomeInvoiceItemResult.pageInfo.pageSize==0?e:e+1,i.queryIncomeInvoiceItemResult.pageInfo.pageIndex===e?i.curPageItemCount=i.queryIncomeInvoiceItemResult.pageInfo.totalCount%i.queryIncomeInvoiceItemResult.pageInfo.pageSize:i.curPageItemCount=i.queryIncomeInvoiceItemResult.pageInfo.pageSize,i.queryIncomeInvoiceItemResult.pageInfo.totalPage=e;$("#totalInvoicePage").createPage({pageCount:e,current:i.curIncomeInvoiceItemPage,backFn:function(e){y(e)}});$("#totalInvoicePage").css("display","inline-block")}else{$("#totalInvoicePage").createPage({pageCount:0,current:i.curIncomeInvoiceItemPage,backFn:function(e){y(e)}});i.curPageItemCount=0,$("#totalInvoicePage").css("display","inline-block")}},C=function(){i.queryIncomeInvoiceItemResult={list:[],pageInfo:{totalCount:-1,pageIndex:1,pageSize:constant.pagesize,totalPage:0}},i.curIncomeInvoiceItemPage=1},w=function(){n(function(){S()},500)},S=function(){};e.debug("VatPreviewInputInvoiceController.ctor()..."),$("#input-invoice-period-picker").focus(function(){$(".filter-button").popover("hide")}),$("#input-invoice-period-picker").rangePicker({minDate:g,maxDate:v,setDate:h,months:i.monthList,ConfirmBtnText:t.instant("Confirm"),CancelBtnText:t.instant("ButtonCancel")}).on("datePicker.done",function(e,t){var n=t[0][0],a=t[1][0];i.startMonth=n,i.endMonth=a,f(1)}),i.gridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,virtualizationThreshold:50,enableSorting:!1,enableColumnMenus:!1,columnDefs:[{name:"序号",width:"6%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:"产品编号",width:"8%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fSetCode}}<span></div>'},{name:"产品名称",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fSetName}}<span></div>'},{name:"科目代码",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctCode}}<span></div>'},{name:"科目名称",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctName}}</span></div>'},{name:"科目类别",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctClass}}</span></div>'},{name:"科目性质",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fAcctAttr}}</span></div>'},{name:"卖出金额汇总",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fcjje}}</span></div>'},{name:"计税基数余额",width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.bjsjzye}}</span></div>'},{name:"应税状态",width:"8%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.fyszt}}</span></div>'},{name:"期间",width:"8%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.year + "-" + (row.entity.month < 10 ? "0" + row.entity.month : row.entity.month)}}</span></div>'}],onRegisterApi:function(e){i.gridApi=e,s(function(){i.gridApi.core.handleWindowResize()},500,28800)}},i.showPopover=w,(new Date).getMonth(),i.queryParams={pageInfo:{}},C(),f(1)}]),vatModule.directive("productItemPreview",["$log","browserService","$translate","region","$timeout",function(e,t,n,a,i){return e.debug("productItemPreview.ctor()..."),{restrict:"E",templateUrl:"/app/vat/preview/product-item-preview/product-item-preview.html?_="+Math.random(),scope:{},controller:"ProductItemPreviewController",link:function(e,t){}}}]),vatModule.controller("vatPreviewAccountVoucherController",["$scope","vatSessionService",function(e,t){"use strict";e.vatProject=t.project,e.month=t.month}]),vatModule.directive("vatPreviewAccountVoucher",["$log","browserService","$translate",function(e,t,n){return e.debug("vatPreviewAccountVoucher.ctor()..."),{restrict:"E",templateUrl:"/app/vat/preview/vat-preview-accountVoucher/vat-preview-accountVoucher.html?_="+Math.random(),scope:{},controller:"vatPreviewAccountVoucherController",link:function(e,t){}}}]),vatModule.controller("vatPreviewBalanceSheetController",["$scope","vatSessionService",function(e,t){"use strict";e.vatProject=t.project,e.month=t.month}]),vatModule.directive("vatPreviewBalanceSheet",["$log","browserService","$translate",function(e,t,n){return e.debug("vatPreviewBalanceSheet.ctor()..."),{restrict:"E",templateUrl:"/app/vat/preview/vat-preview-balanceSheet/vat-preview-balanceSheet.html?_="+Math.random(),scope:{},controller:"vatPreviewBalanceSheetController",link:function(e,t){}}}]),vatModule.controller("vatPreviewCustomInvoiceSheetController",["$scope","$log","$translate","$timeout","apiInterceptor","Upload","dataImportService","SweetAlert","$q","uiGridConstants","projectService","uiGridGroupingConstants","vatImportService","i18nService","browserService","$interval","region","vatSessionService","vatExportService",function(o,e,r,t,n,a,i,s,l,c,d,u,p,m,g,v,h,f,y){"use strict";o.currentEditingValue="",o.startDate=new Date(f.project.year,0,1),o.endDate=new Date(f.project.year,11,31),o.dateFormat=r.instant("dateFormat4YearMonthDay");var I=[1,f.project.year],C=[12,f.project.year],w=[[f.month,f.project.year],[f.month,f.project.year]];o.filterData={periodFrom:0,periodTo:0,invoiceStartDate:null,invoiceEndDate:null,payNum:null,taxAmountFrom:null,taxAmountTo:null,invoiceAmountFrom:null,invoiceAmountTo:null},o.criteriaList=[],o.monthList=[r.instant("Month01"),r.instant("Month02"),r.instant("Month03"),r.instant("Month04"),r.instant("Month05"),r.instant("Month06"),r.instant("Month07"),r.instant("Month08"),r.instant("Month09"),r.instant("Month10"),r.instant("Month11"),r.instant("Month12")],o.filterData.periodFrom=f.month,o.filterData.periodTo=f.month,o.pagination={totalCount:0,pageIndex:1,pageSize:100};var S=function(){if(null!==o.filterData&&""!==o.filterData){var e=JSON.stringify(o.filterData);(g.isIE()||g.isEdge())&&(e=encodeURIComponent(e))}else e="";p.getExportCustomInvoiceList(e).success(function(e,t,n){204!==t?y.exportToExcel(e,t,n,"CustomInvoice.xlsx"):s.warning("没有数据可以下载")})};o.getDataFromDatabase=function(e,t,n,a){if(null!==a&&""!==a){var i=JSON.stringify(a);i=encodeURIComponent(i)}else i="";n=null!==n&&""!==n?(n=JSON.stringify(o.filterData),encodeURIComponent(n)):"",p.getCustomsInvoiceDataForDisplay(e,t,n,i).success(function(e){var t=JSON.parse(e);o.gridOptions.data=t.List,o.pagination.totalCount=t.PageInfo.TotalCount,o.pagination.pageIndex=t.PageInfo.PageIndex,o.pagination.pageSize=t.PageInfo.PageSize,D(),$(".filter-button").popover("hide")})},o.updateACustomPrice=function(e,t){p.updateACustomPrice(e,t).success(function(e){s.success(r.instant("UpdateSuccess"))})},o.gridOptions={rowHeight:50,selectionRowHeaderWidth:50,enableFullRowSelection:!1,enableRowSelection:!1,enableSorting:!1,enableFiltering:!1,enableColumnMenus:!1,enableRowHeaderSelection:!1,enableHorizontalScrollbar:c.scrollbars.NEVER,enableGridMenu:!1,enableSelectAll:!1,exporterLinkLabel:"get it here",exporterCsvFilename:"CustomInvoices.csv",exporterOlderExcelCompatibility:!0,exporterHeaderFilterUseName:!0,exportCsvLinkElement:angular.element(document.querySelectorAll(".custom-csv-link-location")),onRegisterApi:function(e){o.gridApi=e,(o.gridApiTotal=e).edit.on.afterCellEdit(o,function(e,t,n,a){var i=PWC.stringNumberFormat(n);n===a||(""!==i.trim()&&!isNaN(parseFloat(i))&&isFinite(i)?(o.updateACustomPrice(e.customsId,i),o.$apply()):(s.warning(r.instant("UpdateFailed")),o.getDataFromDatabase(o.filterData.periodFrom,o.filterData.periodTo,o.filterData,o.pagination)))}),v(function(){o.gridApiTotal.core.handleWindowResize()},500,28800)},columnDefs:[{field:"recordNumber",name:r.instant("ImportErrorPopUpNoCol"),enableCellEdit:!1,width:"100",cellTemplate:'<div class="paddingLeft"><span>{{row.entity.recordNumber}}<span></div>'},{field:"periodId",name:r.instant("PeriodId"),headerCellClass:"alignCenter",enableCellEdit:!1,cellTemplate:'<div class="alignCenter"><span>{{row.entity.periodId}}</span></div>'},{field:"issueDate",name:r.instant("CustomsIssueDate"),enableCellEdit:!1,cellTemplate:'<div class="paddingLeft"><span>{{row.entity.issueDate}}<span></div>'},{field:"payNum",name:r.instant("CustomsPayNum"),enableCellEdit:!1,cellTemplate:'<div class="paddingLeft"><span>{{row.entity.payNum}}<span></div>'},{field:"invoiceAmount",enableCellEdit:!0,enableCellEditOnFocus:!0,name:r.instant("Amount"),headerCellClass:"alignRight",width:"150",cellTemplate:'<div class="alignRight"><span>{{row.entity.invoiceAmount}}</span></div>'},{field:"invoiceTaxAmount",enableCellEdit:!1,name:r.instant("InvoiceSE"),headerCellClass:"alignRight",cellTemplate:'<div class="alignRight"><span>{{row.entity.invoiceTaxAmount}}</span></div>'},{field:"auditResult",name:r.instant("CustomsAuditResult"),enableCellEdit:!1,cellTemplate:'<div class="paddingLeft"><span>{{row.entity.auditResult}}</span></div>'}]},o.getDataFromDatabase(o.filterData.periodFrom,o.filterData.periodTo,"",o.pagination),o.doDataFilterReset=function(){var e=o.filterData.periodFrom,t=o.filterData.periodTo;o.filterData={periodFrom:e,periodTo:t,invoiceStartDate:null,invoiceEndDate:null,payNum:null,taxAmountFrom:null,taxAmountTo:null,invoiceAmountFrom:null,invoiceAmountTo:null}};var D=function(){if(o.curPageItemCount=0,o.pagination&&0<o.pagination.totalCount){var e=parseInt(o.pagination.totalCount/o.pagination.pageSize);e=o.pagination.totalCount%o.pagination.pageSize==0?e:e+1,o.pagination.pageIndex===e?o.curPageItemCount=o.pagination.totalCount%o.pagination.pageSize:o.curPageItemCount=o.pagination.pageSize,o.pagination.totalPage=e;$("#totalInvoicePage").createPage({pageCount:e,current:o.pagination.pageIndex,backFn:function(e){o.pagination.pageIndex=e,o.getDataFromDatabase(o.filterData.periodFrom,o.filterData.periodTo,o.filterData,o.pagination)}});$("#totalInvoicePage").css("display","inline-block")}else{$("#totalInvoicePage").createPage({pageCount:0,current:o.pagination.pageIndex,backFn:function(e){o.pagination.pageIndex=e,o.getDataFromDatabase(o.filterData.periodFrom,o.filterData.periodTo,o.filterData,o.pagination)}});$("#totalInvoicePage").css("display","inline-block")}};o.doDataFilter=function(e){if(o.filterData.periodFrom>o.filterData.periodTo&&(o.filterData.periodTo=o.filterData.periodFrom),o.filterData.taxAmountFrom=PWC.isNullOrEmpty(o.filterData.taxAmountFrom)?"":PWC.stringNumberFormat(o.filterData.taxAmountFrom),o.filterData.taxAmountTo=PWC.isNullOrEmpty(o.filterData.taxAmountTo)?"":PWC.stringNumberFormat(o.filterData.taxAmountTo),o.filterData.invoiceAmountFrom=PWC.isNullOrEmpty(o.filterData.invoiceAmountFrom)?"":PWC.stringNumberFormat(o.filterData.invoiceAmountFrom),o.filterData.invoiceAmountTo=PWC.isNullOrEmpty(o.filterData.invoiceAmountTo)?"":PWC.stringNumberFormat(o.filterData.invoiceAmountTo),!PWC.isNullOrEmpty(o.filterData.taxAmountFrom)&&!PWC.isNullOrEmpty(o.filterData.taxAmountTo)&&o.filterData.taxAmountFrom>o.filterData.taxAmountTo)swal({title:"",text:r.instant("AmountWarningSearch"),type:"warning",confirmButtonText:r.instant("Confirm")},function(e){e&&$("#filterButton").click()});else if(!PWC.isNullOrEmpty(o.filterData.invoiceAmountFrom)&&!PWC.isNullOrEmpty(o.filterData.invoiceAmountTo)&&o.filterData.invoiceAmountFrom>o.filterData.invoiceAmountTo)swal({title:"",text:r.instant("AmountWarningSearch"),type:"warning",confirmButtonText:r.instant("Confirm")},function(e){e&&$("#filterButton").click()});else if(!PWC.isNullOrEmpty(o.filterData.invoiceStartDate)&&!PWC.isNullOrEmpty(o.filterData.invoiceEndDate)&&o.filterData.invoiceStartDate>o.filterData.invoiceEndDate)swal({title:"",text:r.instant("DateWarningSearch"),type:"warning",confirmButtonText:r.instant("Confirm")},function(e){e&&$("#filterButton").click()});else{if(!PWC.isNullOrEmpty(e))e.split("|").forEach(function(e){o.filterData[e]=null});var t=o.filterData;o.criteriaList=[];var n=[];if(PWC.isNullOrEmpty(t.payNum)||((n=new Object).name=r.instant("CustomsPayNum"),n.valueFrom=t.payNum,n.propertyName="payNum",o.criteriaList.push(n)),!PWC.isNullOrEmpty(t.invoiceStartDate)||!PWC.isNullOrEmpty(t.invoiceEndDate)){if(new Date(t.invoiceStartDate.replace(/[\.-]/g,"/"))>new Date(t.invoiceEndDate.replace(/[\.-]/g,"/")))return o.criteriaList=[],void s.warning(r.instant("InvoiceDateQueryError"));(n=new Object).name=r.instant("CustomsIssueDate"),n.valueFrom=t.invoiceStartDate,n.valueTo=t.invoiceEndDate,n.propertyName="invoiceStartDate|invoiceEndDate",o.criteriaList.push(n)}PWC.isNullOrEmpty(t.taxAmountFrom)&&PWC.isNullOrEmpty(t.taxAmountTo)||((n=new Object).name=r.instant("InvoiceSE"),n.valueFrom=t.taxAmountFrom+"",n.valueTo=t.taxAmountTo+"",n.propertyName="taxAmountFrom|taxAmountTo",o.criteriaList.push(n)),PWC.isNullOrEmpty(t.invoiceAmountFrom)&&PWC.isNullOrEmpty(t.invoiceAmountTo)||((n=new Object).name=r.instant("Amount"),n.valueFrom=t.invoiceAmountFrom+"",n.valueTo=t.invoiceAmountTo+"",n.propertyName="invoiceAmountFrom|invoiceAmountTo",o.criteriaList.push(n)),o.pagination.pageIndex=1,o.getDataFromDatabase(o.filterData.periodFrom,o.filterData.periodTo,o.filterData,o.pagination)}};var b=function(){t(function(){T()},500)},T=function(){var e=$("#customInvoiceDateStart");e.datepicker({startDate:o.startDate,endDate:o.endDate,language:h,autoclose:!0,clearBtn:!0,todayBtn:!1,format:o.dateFormat}),e.datepicker("setDate",o.filterData.invoiceStartDate);var t=$("#customInvoiceDateEnd");t.datepicker({startDate:o.startDate,endDate:o.endDate,language:h,autoclose:!0,clearBtn:!0,todayBtn:!1,format:o.dateFormat}),t.datepicker("setDate",o.filterData.invoiceEndDate)};$("#input-invoice-period-picker").rangePicker({minDate:I,maxDate:C,setDate:w,months:o.monthList,ConfirmBtnText:r.instant("Confirm"),CancelBtnText:r.instant("ButtonCancel")}).on("datePicker.show",function(e,t){$(".filter-button").popover("hide")}).on("datePicker.done",function(e,t){var n=t[0][0],a=t[1][0];o.filterData.periodFrom=n,o.filterData.periodTo=a,o.pagination.pageIndex=1,o.getDataFromDatabase(o.filterData.periodFrom,o.filterData.periodTo,o.filterData,o.pagination)}),o.downloadCustomInvoice=S,$(window).on("resize",function(){}),o.showPopover=b}]),vatModule.directive("vatPreviewCustomInvoiceSheet",["$log","browserService","$translate",function(e,t,n){return e.debug("vatPreviewCustomInvoiceSheet.ctor()..."),{restrict:"E",templateUrl:"/app/vat/preview/vat-preview-customInvoice-sheet/vat-preview-customInvoice-sheet.html?_="+Math.random(),scope:{},controller:"vatPreviewCustomInvoiceSheetController",link:function(e,t){}}}]),vatModule.controller("VatPreviewInputInvoiceController",["$scope","$log","$translate","$timeout","SweetAlert","$q","uiGridConstants","$interval","vatPreviewService","browserService","vatSessionService","region","enums","vatExportService",function(i,e,o,t,r,n,a,s,l,c,d,u,p,m){"use strict";i.startDate=new Date(d.project.year,0,1),i.endDate=new Date(d.project.year,11,31),i.dateFormat=o.instant("dateFormat4YearMonthDay"),i.startMonth=d.month,i.endMonth=d.month;var g=[1,d.project.year],v=[12,d.project.year],h=[[d.month,d.project.year],[d.month,d.project.year]],f={VATInvoice:o.instant("VATInvoice"),FreightTransport:o.instant("FreightTransport"),MotorVehicle:o.instant("MotorVehicle"),AgriculturalProduct:o.instant("AgriculturalProduct")};i.monthList=[o.instant("Month01"),o.instant("Month02"),o.instant("Month03"),o.instant("Month04"),o.instant("Month05"),o.instant("Month06"),o.instant("Month07"),o.instant("Month08"),o.instant("Month09"),o.instant("Month10"),o.instant("Month11"),o.instant("Month12")],i.cetificationResultList=[{id:999,name:o.instant("AllTheItems")},{id:1,name:o.instant("CertificationPass")},{id:2,name:o.instant("CertificationNotPass")}],i.invoiceTypeList=[{id:999,name:o.instant("AllTheItems")},{id:p.invoiceType.VATInvoice,name:o.instant("VATInvoice")},{id:p.invoiceType.FreightTransport,name:o.instant("FreightTransport")},{id:p.invoiceType.MotorVehicle,name:o.instant("MotorVehicle")},{id:p.invoiceType.AgriculturalProduct,name:o.instant("AgriculturalProduct")}],i.InvoiceType={},i.CertificationStatus={};var y=function(e){w(),i.curIncomeInvoiceItemPage=e,i.queryParams.pageInfo={totalCount:i.queryIncomeInvoiceItemResult.pageInfo.totalCount,pageIndex:e,pageSize:i.queryIncomeInvoiceItemResult.pageInfo.pageSize,totalPage:0},l.queryInputInvoiceList(i.queryParams).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++,e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),i.gridOptions.data=e.list,i.queryIncomeInvoiceItemResult.pageInfo=e.pageInfo,C()}})},I=function(e){y(e)},C=function(){if(i.queryIncomeInvoiceItemResult.pageInfo&&0<i.queryIncomeInvoiceItemResult.pageInfo.totalCount){var e=parseInt(i.queryIncomeInvoiceItemResult.pageInfo.totalCount/i.queryIncomeInvoiceItemResult.pageInfo.pageSize);e=i.queryIncomeInvoiceItemResult.pageInfo.totalCount%i.queryIncomeInvoiceItemResult.pageInfo.pageSize==0?e:e+1,i.queryIncomeInvoiceItemResult.pageInfo.pageIndex===e?i.curPageItemCount=i.queryIncomeInvoiceItemResult.pageInfo.totalCount%i.queryIncomeInvoiceItemResult.pageInfo.pageSize:i.curPageItemCount=i.queryIncomeInvoiceItemResult.pageInfo.pageSize,i.queryIncomeInvoiceItemResult.pageInfo.totalPage=e;$("#totalInvoicePage").createPage({pageCount:e,current:i.curIncomeInvoiceItemPage,backFn:function(e){I(e)}});$("#totalInvoicePage").css("display","inline-block")}else{$("#totalInvoicePage").createPage({pageCount:0,current:i.curIncomeInvoiceItemPage,backFn:function(e){I(e)}});i.curPageItemCount=0,$("#totalInvoicePage").css("display","inline-block")}},w=function(){i.queryIncomeInvoiceItemResult={list:[],pageInfo:{totalCount:-1,pageIndex:1,pageSize:constant.pagesize,totalPage:0}},i.curIncomeInvoiceItemPage=1},S=function(e){(i.queryParams.periodStart>i.queryParams.periodEnd&&(i.queryParams.periodEnd=i.queryParams.periodStart),PWC.isNullOrEmpty(e))||e.split("|").forEach(function(e){(i.queryParams[e]=null)===i.queryParams.invoiceCode&&(i.queryParams.invoiceCode=""),null===i.queryParams.invoiceNumber&&(i.queryParams.invoiceNumber=""),null===i.queryParams.sellerTaxNumber&&(i.queryParams.sellerTaxNumber=""),null===i.queryParams.invoiceType&&(i.InvoiceType.selected=void 0),null===i.queryParams.certificationStatus&&(i.CertificationStatus.selected=void 0)});void 0!==i.InvoiceType.selected?i.queryParams.invoiceType=i.InvoiceType.selected.id:i.queryParams.invoiceType=null,void 0!==i.CertificationStatus.selected?i.queryParams.certificationStatus=i.CertificationStatus.selected.id:i.queryParams.certificationStatus=null;var t=i.queryParams;i.criteriaList=[];var n=[];if(PWC.isNullOrEmpty(t.certificationDateStart)||PWC.isNullOrEmpty(t.certificationDateEnd))!PWC.isNullOrEmpty(t.certificationDateStart)&&PWC.isNullOrEmpty(t.invoiceDateEnd)?((n=new Object).name=o.instant("InvoiceRZRQQuery")+t.certificationDateStart+o.instant("After"),n.fullName=o.instant("InvoiceRZRQQuery")+t.certificationDateStart+o.instant("After"),n.valueFrom=t.certificationDateStart,n.valueTo=t.certificationDateEnd,n.propertyName="certificationDateStart|certificationDateEnd",i.criteriaList.push(n)):PWC.isNullOrEmpty(t.certificationDateStart)&&!PWC.isNullOrEmpty(t.certificationDateEnd)&&((n=new Object).name=o.instant("InvoiceRZRQQuery")+t.certificationDateEnd+o.instant("Before"),n.fullName=o.instant("InvoiceRZRQQuery")+t.certificationDateEnd+o.instant("Before"),n.valueFrom=t.certificationDateStart,n.valueTo=t.certificationDateEnd,n.propertyName="certificationDateStart|certificationDateEnd",i.criteriaList.push(n));else{if(new Date(t.certificationDateStart.replace(/[\.-]/g,"/"))>new Date(t.certificationDateEnd.replace(/[\.-]/g,"/")))return i.criteriaList=[],void r.warning(o.instant("InvoiceDateQueryError"));(n=new Object).name=o.instant("InvoiceRZRQQuery")+t.certificationDateStart+"-"+t.certificationDateEnd,n.fullName=o.instant("InvoiceRZRQQuery")+t.certificationDateStart+"-"+t.certificationDateEnd,n.valueFrom=t.certificationDateStart,n.valueTo=t.certificationDateEnd,n.propertyName="certificationDateStart|certificationDateEnd",i.criteriaList.push(n)}if(PWC.isNullOrEmpty(t.invoiceCode)||((n=new Object).name=o.instant("InvoiceFPDMQuery")+PWC.limitString(t.invoiceCode,10),n.fullName=o.instant("InvoiceFPDMQuery")+t.invoiceCode,n.valueFrom=t.invoiceCode,n.propertyName="invoiceCode",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.invoiceNumber)||((n=new Object).name=o.instant("InvoiceFPHMQuery")+PWC.limitString(t.invoiceNumber,10),n.fullName=o.instant("InvoiceFPHMQuery")+t.invoiceNumber,n.valueFrom=t.invoiceNumber,n.propertyName="invoiceNumber",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.sellerTaxNumber)||((n=new Object).name=o.instant("InvoiceGHFSHQuery")+PWC.limitString(t.sellerTaxNumber,10),n.fullName=o.instant("InvoiceGHFSHQuery")+t.sellerTaxNumber,n.valueFrom=t.sellerTaxNumber,n.propertyName="sellerTaxNumber",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.amountStart)||PWC.isNullOrEmpty(t.amountEnd))!PWC.isNullOrEmpty(t.amountStart)&&PWC.isNullOrEmpty(t.amountEnd)?((n=new Object).name=o.instant("InvoiceJEQuery")+PWC.limitString(t.amountStart,5)+o.instant("MoreThan"),n.fullName=o.instant("InvoiceJEQuery")+t.amountStart+o.instant("MoreThan"),n.valueFrom=t.amountStart,n.valueTo=t.amountEnd,n.propertyName="amountStart|amountEnd",i.criteriaList.push(n)):PWC.isNullOrEmpty(t.amountStart)&&!PWC.isNullOrEmpty(t.amountEnd)&&((n=new Object).name=o.instant("InvoiceJEQuery")+PWC.limitString(t.amountEnd,5)+o.instant("LessThan"),n.fullName=o.instant("InvoiceJEQuery")+t.amountEnd+o.instant("LessThan"),n.valueFrom=t.amountStart,n.valueTo=t.amountEnd,n.propertyName="amountStart|amountEnd",i.criteriaList.push(n));else{if(Number(t.amountStart)>Number(t.amountEnd))return void r.warning(o.instant("AmountQueryError"));(n=new Object).name=o.instant("InvoiceJEQuery")+PWC.limitString(t.amountStart,5)+" - "+PWC.limitString(t.amountEnd,5),n.fullName=o.instant("InvoiceJEQuery")+t.amountStart+" - "+t.amountEnd,n.valueFrom=t.amountStart,n.valueTo=t.amountEnd,n.propertyName="amountStart|amountEnd",i.criteriaList.push(n)}if(PWC.isNullOrEmpty(t.taxAmountStart)||PWC.isNullOrEmpty(t.taxAmountEnd))!PWC.isNullOrEmpty(t.taxAmountStart)&&PWC.isNullOrEmpty(t.taxAmountEnd)?((n=new Object).name=o.instant("InvoiceSEQuery")+PWC.limitString(t.taxAmountStart,5)+o.instant("MoreThan"),n.fullName=o.instant("InvoiceSEQuery")+t.taxAmountStart+o.instant("MoreThan"),n.valueFrom=t.taxAmountStart,n.valueTo=t.taxAmountEnd,n.propertyName="taxAmountStart|taxAmountEnd",i.criteriaList.push(n)):PWC.isNullOrEmpty(t.taxAmountStart)&&!PWC.isNullOrEmpty(t.taxAmountEnd)&&((n=new Object).name=o.instant("InvoiceSEQuery")+PWC.limitString(t.taxAmountEnd,5)+o.instant("LessThan"),n.fullName=o.instant("InvoiceSEQuery")+t.taxAmountEnd+o.instant("LessThan"),n.valueFrom=t.taxAmountStart,n.valueTo=t.taxAmountEnd,n.propertyName="taxAmountStart|taxAmountEnd",i.criteriaList.push(n));else{if(Number(t.taxAmountStart)>Number(t.taxAmountEnd))return void r.warning(o.instant("TaxAmountQueryError"));(n=new Object).name=o.instant("InvoiceSEQuery")+PWC.limitString(t.taxAmountStart,5)+" - "+PWC.limitString(t.taxAmountEnd,5),n.fullName=o.instant("InvoiceSEQuery")+t.taxAmountStart+" - "+t.taxAmountEnd,n.valueFrom=t.taxAmountStart,n.valueTo=t.taxAmountEnd,n.propertyName="taxAmountStart|taxAmountEnd",i.criteriaList.push(n)}PWC.isNullOrEmpty(t.invoiceType)||((n=new Object).valueFrom=_.find(i.invoiceTypeList,function(e){return e.id===t.invoiceType}).name,n.name=o.instant("InvoiceFPLXQuery")+n.valueFrom,n.fullName=o.instant("InvoiceFPLXQuery")+n.valueFrom,n.propertyName="invoiceType",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.certificationStatus)||((n=new Object).valueFrom=_.find(i.cetificationResultList,function(e){return e.id===t.certificationStatus}).name,n.name=o.instant("InvoiceRZJGQuery")+n.valueFrom,n.fullName=o.instant("InvoiceRZJGQuery")+n.valueFrom,n.propertyName="certificationStatus",i.criteriaList.push(n));var a=JSON.stringify(i.queryParams);(c.isIE()||c.isEdge())&&(a=encodeURIComponent(a)),y(1),6<i.criteriaList.length?(i.criteriaListFirstRow=i.criteriaList.slice(0,6),i.criteriaListSecondRow=i.criteriaList.slice(6,i.criteriaList.length)):i.criteriaListFirstRow=i.criteriaList.slice(0,i.criteriaList.length),$(".filter-button").popover("hide")},D=function(){i.queryParams={pageInfo:{},periodStart:"",periodEnd:"",certificationDateStart:null,certificationDateEnd:null,invoiceCode:"",invoiceNumber:"",sellerTaxNumber:"",amountStart:null,amountEnd:null,invoiceType:null,taxAmountStart:null,taxAmountEnd:null,certificationStatus:null},i.criteriaList=[],i.queryParams.periodStart=i.startMonth,i.queryParams.periodEnd=i.endMonth,y(1),$(".filter-button").popover("hide")},b=function(){},T=function(){t(function(){x()},500)},x=function(){var e=$("#certificationDateStart");e.datepicker({startDate:i.startDate,endDate:i.endDate,language:u,autoclose:!0,clearBtn:!0,todayBtn:!1,format:i.dateFormat}),e.datepicker("setDate",i.queryParams.certificationDateStart);var t=$("#certificationDateEnd");t.datepicker({startDate:i.startDate,endDate:i.endDate,language:u,autoclose:!0,clearBtn:!0,todayBtn:!1,format:i.dateFormat}),t.datepicker("setDate",i.queryParams.certificationDateEnd),i.InvoiceType.selected=_.find(i.invoiceTypeList,function(e){return e.id==i.queryParams.invoiceType}),i.CertificationStatus.selected=_.find(i.cetificationResultList,function(e){return e.id==i.queryParams.certificationStatus})};i.typeToString=function(e){var t=f.VATInvoice;switch(e){case 1:t=f.VATInvoice;break;case 2:t=f.FreightTransport;break;case 3:t=f.MotorVehicle;break;case 4:t=f.AgriculturalProduct;break;default:t=""}return t};var M=function(){l.getExportInputInvoiceList(i.queryParams).success(function(e,t,n){204!==t?m.exportToExcel(e,t,n,"进项发票信息.xlsx"):r.warning("没有数据可以下载")})};e.debug("VatPreviewInputInvoiceController.ctor()..."),$("#input-invoice-period-picker").focus(function(){$(".filter-button").popover("hide")}),$("#input-invoice-period-picker").rangePicker({minDate:g,maxDate:v,setDate:h,months:i.monthList,ConfirmBtnText:o.instant("Confirm"),CancelBtnText:o.instant("ButtonCancel")}).on("datePicker.done",function(e,t){var n=t[0][0],a=t[1][0];i.startMonth=n,i.endMonth=a,i.queryParams.periodStart=n,i.queryParams.periodEnd=a,y(1)}),i.gridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,expandableRowTemplate:'<div ui-grid="row.entity.subGridOptions" style="height:150px;"></div>',virtualizationThreshold:50,enableSorting:!1,enableColumnMenus:!1,columnDefs:[{name:o.instant("ImportErrorPopUpNoCol"),width:"7%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:o.instant("InvoiceQJ"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.periodID}}<span></div>'},{name:o.instant("InvoiceKPRQ"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.kprq | date:"yyyy-MM-dd"}}<span></div>'},{name:o.instant("InvoiceFPDM"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.fpdm}}">{{row.entity.fpdm}}</span></div>'},{name:o.instant("InvoiceFPHM"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.fphm}}">{{row.entity.fphm}}</span></div>'},{name:o.instant("InvoiceGHFSH"),width:"12%",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.xfsh}}">{{row.entity.xfsh}}</span></div>'},{name:o.instant("InvoiceFPLX"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.fplx}}">{{grid.appScope.typeToString(row.entity.fplx)}}</span></div>'},{name:o.instant("InvoiceJE"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.hjje}}</span></div>'},{name:o.instant("InvoiceSE"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.hjse}}</span></div>'},{name:o.instant("InvoiceRZRQ"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.rzsj  | date:"yyyy-MM-dd"}}</span></div>'},{name:o.instant("InvoiceRZJG"),width:"10.5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.certificationResult}}</span></div>'}],onRegisterApi:function(e){(i.gridApi=e).expandable.on.rowExpandedStateChanged(i,function(n){n.isExpanded&&(n.entity.subGridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,virtualizationThreshold:50,enableSorting:!1,enableColumnMenus:!1,columnDefs:[{name:o.instant("ImportErrorPopUpNoCol"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.index}}<span></div>'},{name:o.instant("InvoiceHWMC"),width:"23%",cellTemplate:'<div class="ui-grid-cell-contents"><span title="{{row.entity.spmc}}">{{row.entity.spmc}}<span></div>'},{name:o.instant("InvoiceJE"),width:"23%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.je}}<span></div>'},{name:o.instant("InvoiceSL"),width:"23%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.slv}}%<span></div>'},{name:o.instant("InvoiceSE"),width:"23%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.se}}<span></div>'}]},l.queryInputInvoiceItemList(n.entity.id).success(function(e){if(e){var t=1;e.forEach(function(e){e.index=t++,e.je=PWC.round(e.je,2),e.se=PWC.round(e.se,2)}),n.entity.subGridOptions.data=e}}))}),s(function(){i.gridApi.core.handleWindowResize()},500,28800)}},i.doDataFilter=S,i.doDataFilterReset=D,i.prepareSummary=b,i.showPopover=T,i.downloadInputInvoice=M,(new Date).getMonth(),i.queryParams={pageInfo:{},periodStart:"",periodEnd:"",certificationDateStart:null,certificationDateEnd:null,invoiceCode:"",invoiceNumber:"",sellerTaxNumber:"",amountStart:null,amountEnd:null,invoiceType:null,taxAmountStart:null,taxAmountEnd:null,certificationStatus:null},w(),i.queryParams.periodStart=d.month,i.queryParams.periodEnd=d.month,y(1)}]),vatModule.directive("vatPreviewInputInvoice",["$log","browserService","$translate","region","$timeout",function(e,t,n,a,i){return e.debug("vatPreviewInputInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/preview/vat-preview-input-invoice/vat-preview-input-invoice.html?_="+Math.random(),scope:{},controller:"VatPreviewInputInvoiceController",link:function(e,t){}}}]),vatModule.controller("vatPreviewOutputInvoiceController",["$scope","$log","$translate","$timeout","SweetAlert","$q","uiGridConstants","$interval","vatPreviewService","vatSessionService","browserService","enums","region","vatExportService",function(i,e,o,t,r,n,a,s,l,c,d,u,p,m){"use strict";i.startDate=new Date(c.project.year,0,1),i.endDate=new Date(c.project.year,11,31),i.dateFormat=o.instant("dateFormat4YearMonthDay"),i.curPageItemCount=0;var g=c.month,v=c.month,h=[1,c.project.year],f=[12,c.project.year],y=[[c.month,c.project.year],[c.month,c.project.year]],I={Normal:o.instant("Normal"),Special:o.instant("Special"),ElectronicReceipt:"电子发票"};i.monthList=[o.instant("Month01"),o.instant("Month02"),o.instant("Month03"),o.instant("Month04"),o.instant("Month05"),o.instant("Month06"),o.instant("Month07"),o.instant("Month08"),o.instant("Month09"),o.instant("Month10"),o.instant("Month11"),o.instant("Month12")],i.invoiceTypeList=[{id:999,name:o.instant("AllTheItems")},{id:u.outputInvoiceType.Normal,name:o.instant("Normal")},{id:u.outputInvoiceType.Special,name:o.instant("Special")}],i.PeriodStart={},i.PeriodEnd={},i.InvoiceType={};var C=function(e){D(),i.curOutputInvoiceItemPage=e,i.queryParams.pageInfo={totalCount:i.queryOutputInvoiceResult.pageInfo.totalCount,pageIndex:e,pageSize:i.queryOutputInvoiceResult.pageInfo.pageSize,totalPage:0},l.queryOutputInvoiceList(i.queryParams).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++,e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),i.gridOptions.data=e.list,i.queryOutputInvoiceResult.pageInfo=e.pageInfo,S()}}).error(function(){r.error(o.instant("PleaseContactAdministrator"))})},w=function(e){C(e)},S=function(){if(i.queryOutputInvoiceResult.pageInfo&&0<i.queryOutputInvoiceResult.pageInfo.totalCount){var e=parseInt(i.queryOutputInvoiceResult.pageInfo.totalCount/i.queryOutputInvoiceResult.pageInfo.pageSize);e=i.queryOutputInvoiceResult.pageInfo.totalCount%i.queryOutputInvoiceResult.pageInfo.pageSize==0?e:e+1,i.queryOutputInvoiceResult.pageInfo.pageIndex===e?i.curPageItemCount=i.queryOutputInvoiceResult.pageInfo.totalCount%i.queryOutputInvoiceResult.pageInfo.pageSize:i.curPageItemCount=i.queryOutputInvoiceResult.pageInfo.pageSize,i.queryOutputInvoiceResult.pageInfo.totalPage=e;$("#totalInvoicePage").createPage({pageCount:e,current:i.curOutputInvoiceItemPage,backFn:function(e){w(e)}});$("#totalInvoicePage").css("display","inline-block")}else{$("#totalInvoicePage").createPage({pageCount:0,current:i.curOutputInvoiceItemPage,backFn:function(e){w(e)}});i.curPageItemCount=0,$("#totalInvoicePage").css("display","inline-block")}},D=function(){i.queryOutputInvoiceResult={list:[],pageInfo:{totalCount:0,pageIndex:1,pageSize:100,totalPage:0}},i.curOutputInvoiceItemPage=1};i.typeToString=function(e){var t=I.Normal;switch(e){case"007":t=I.Normal;break;case"004":t=I.Special;break;case"026":t=I.ElectronicReceipt;break;default:t=""}return t};var b=function(e){(i.queryParams.periodStart>i.queryParams.periodEnd&&(i.queryParams.periodEnd=i.queryParams.periodStart),PWC.isNullOrEmpty(e))||e.split("|").forEach(function(e){(i.queryParams[e]=null)===i.queryParams.invoiceType&&(i.InvoiceType.selected=void 0)});void 0!==i.InvoiceType.selected?i.queryParams.invoiceType=i.InvoiceType.selected.id:i.queryParams.invoiceType=null;var t=i.queryParams;i.criteriaList=[];var n=[];if(PWC.isNullOrEmpty(t.invoiceDateStart)||PWC.isNullOrEmpty(t.invoiceDateEnd))!PWC.isNullOrEmpty(t.invoiceDateStart)&&PWC.isNullOrEmpty(t.invoiceDateEnd)?((n=new Object).name=o.instant("InvoiceDate")+":"+t.invoiceDateStart+o.instant("After"),n.valueFrom=t.invoiceDateStart,n.valueTo=t.invoiceDateEnd,n.propertyName="invoiceDateStart|invoiceDateEnd",i.criteriaList.push(n)):PWC.isNullOrEmpty(t.invoiceDateStart)&&!PWC.isNullOrEmpty(t.invoiceDateEnd)&&((n=new Object).name=o.instant("InvoiceDate")+":"+t.invoiceDateEnd+o.instant("Before"),n.valueFrom=t.invoiceDateStart,n.valueTo=t.invoiceDateEnd,n.propertyName="invoiceDateStart|invoiceDateEnd",i.criteriaList.push(n));else{if(new Date(t.invoiceDateStart.replace(/[\.-]/g,"/"))>new Date(t.invoiceDateEnd.replace(/[\.-]/g,"/")))return i.criteriaList=[],void r.warning(o.instant("InvoiceDateQueryError"));(n=new Object).name=o.instant("InvoiceDate")+":"+t.invoiceDateStart+"-"+t.invoiceDateEnd,n.valueFrom=t.invoiceDateStart,n.valueTo=t.invoiceDateEnd,n.propertyName="invoiceDateStart|invoiceDateEnd",i.criteriaList.push(n)}if(PWC.isNullOrEmpty(t.classCode)||((n=new Object).name=o.instant("ClassCode")+":"+PWC.limitString(t.classCode,10),n.valueFrom=t.classCode,n.propertyName="classCode",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.invoiceNumber)||((n=new Object).name=o.instant("InvoiceNumber")+":"+PWC.limitString(t.invoiceNumber,10),n.valueFrom=t.invoiceNumber,n.propertyName="invoiceNumber",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.buyerName)||((n=new Object).name=o.instant("BuyerName")+":"+PWC.limitString(t.buyerName,10),n.valueFrom=t.buyerName,n.propertyName="buyerName",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.productName)||((n=new Object).name=o.instant("ProductName")+":"+PWC.limitString(t.productName,10),n.valueFrom=t.productName,n.propertyName="productName",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.invoiceType)||((n=new Object).valueFrom=_.find(i.invoiceTypeList,function(e){return e.id===t.invoiceType}).name,n.name=o.instant("InvoiceType")+":"+n.valueFrom,n.propertyName="invoiceType",i.criteriaList.push(n)),PWC.isNullOrEmpty(t.amountStart)||PWC.isNullOrEmpty(t.amountEnd))!PWC.isNullOrEmpty(t.amountStart)&&PWC.isNullOrEmpty(t.amountEnd)?((n=new Object).name=o.instant("Amount")+":"+PWC.limitString(t.amountStart,5)+o.instant("MoreThan"),n.valueFrom=t.amountStart,n.valueTo=t.amountEnd,n.propertyName="amountStart|amountEnd",i.criteriaList.push(n)):PWC.isNullOrEmpty(t.amountStart)&&!PWC.isNullOrEmpty(t.amountEnd)&&((n=new Object).name=o.instant("Amount")+":"+PWC.limitString(t.amountEnd,5)+o.instant("LessThan"),n.valueFrom=t.amountStart,n.valueTo=t.amountEnd,n.propertyName="amountStart|amountEnd",i.criteriaList.push(n));else{if(Number(t.amountStart)>Number(t.amountEnd))return i.criteriaList=[],void r.warning(o.instant("AmountQueryError"));(n=new Object).name=o.instant("Amount")+":"+PWC.limitString(t.amountStart,5)+"-"+PWC.limitString(t.amountEnd,5),n.valueFrom=t.amountStart,n.valueTo=t.amountEnd,n.propertyName="amountStart|amountEnd",i.criteriaList.push(n)}if(PWC.isNullOrEmpty(t.taxAmountStart)||PWC.isNullOrEmpty(t.taxAmountEnd))!PWC.isNullOrEmpty(t.taxAmountStart)&&PWC.isNullOrEmpty(t.taxAmountEnd)?((n=new Object).name=o.instant("TaxAmount")+":"+PWC.limitString(t.taxAmountStart,5)+o.instant("MoreThan"),n.valueFrom=t.taxAmountStart,n.valueTo=t.taxAmountEnd,n.propertyName="taxAmountStart|taxAmountEnd",i.criteriaList.push(n)):!PWC.isNullOrEmpty(t.taxAmountStart)&&PWC.isNullOrEmpty(t.taxAmountEnd)&&((n=new Object).name=o.instant("TaxAmount")+":"+PWC.limitString(t.taxAmountEnd,5)+o.instant("LessThan"),n.valueFrom=t.taxAmountStart,n.valueTo=t.taxAmountEnd,n.propertyName="taxAmountStart|taxAmountEnd",i.criteriaList.push(n));else{if(Number(t.taxAmountStart)>Number(t.taxAmountEnd))return i.criteriaList=[],void r.warning(o.instant("TaxAmountQueryError"));(n=new Object).name=o.instant("TaxAmount")+":"+PWC.limitString(t.taxAmountStart,5)+"-"+PWC.limitString(t.taxAmountEnd,5),n.valueFrom=t.taxAmountStart,n.valueTo=t.taxAmountEnd,n.propertyName="taxAmountStart|taxAmountEnd",i.criteriaList.push(n)}var a=JSON.stringify(i.queryParams);(d.isIE()||d.isEdge())&&(a=encodeURIComponent(a)),C(1),$(".filter-button").popover("hide")},T=function(){i.queryParams={pageInfo:{},periodStart:"",periodEnd:"",invoiceDateStart:null,invoiceDateEnd:null,classCode:"",invoiceNumber:"",buyerName:"",productName:"",amountStart:null,amountEnd:null,invoiceType:null,taxAmountStart:null,taxAmountEnd:null},i.criteriaList=[],i.queryParams.periodStart=g,i.queryParams.periodEnd=v,C(1),$(".filter-button").popover("hide")},x=function(){t(function(){M()},500)},M=function(){var e=$("#invoiceDateStart");e.datepicker({startDate:i.startDate,endDate:i.endDate,language:p,autoclose:!0,clearBtn:!0,todayBtn:!1,format:i.dateFormat}),e.datepicker("setDate",i.queryParams.invoiceDateStart);var t=$("#invoiceDateEnd");t.datepicker({startDate:i.startDate,endDate:i.endDate,language:p,autoclose:!0,clearBtn:!0,todayBtn:!1,format:i.dateFormat}),t.datepicker("setDate",i.queryParams.invoiceDateEnd),i.InvoiceType.selected=_.find(i.invoiceTypeList,function(e){return e.id==i.queryParams.invoiceType})};i.decimalToPercent=function(e){return(100*e).toFixed(0)+"%"};var O=function(){l.getExportOutputInvoiceList(i.queryParams).success(function(e,t,n){204!==t?m.exportToExcel(e,t,n,"销项发票信息.xlsx"):r.warning("没有数据可以下载")}).error(function(){r.error(o.instant("PleaseContactAdministrator"))})};i.gridOptionsColumnDefs=[{name:o.instant("ImportErrorPopUpNoCol"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents" ><span>{{row.entity.index}}<span></div>'},{name:o.instant("PeriodId"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.periodID}}"><span>{{row.entity.periodID}}<span></div>'},{name:o.instant("InvoiceDate"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents" ><span>{{row.entity.kprq | date:"yyyy-MM-dd"}}</span></div>'},{name:o.instant("InvoiceType"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{grid.appScope.typeToString(row.entity.fplxdm)}}"><span>{{grid.appScope.typeToString(row.entity.fplxdm)}}<span></div>'},{name:o.instant("ClassCode"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.fpdm}}"><span>{{row.entity.fpdm}}<span></div>'},{name:o.instant("InvoiceNumber"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.fphm}}"><span>{{row.entity.fphm}}</span></div>'},{name:o.instant("BuyerName"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.gfmc}}"><span>{{row.entity.gfmc}}</span></div>'},{name:o.instant("BuyerTaxNumber"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.gfsh}}"><span>{{row.entity.gfsh}}</span></div>'},{name:o.instant("Amount"),width:"8%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right" title="{{row.entity.hjje}}"><span>{{row.entity.hjje}}</span></div>'},{name:o.instant("TaxAmount"),width:"8%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"  title="{{row.entity.hjse}}"><span>{{row.entity.hjse}}</span></div>'}],i.subGridOptionsColumnDefs=[{name:o.instant("ImportErrorPopUpNoCol"),width:"5%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.seqNo}}</span></div>'},{name:o.instant("ProductName"),cellTemplate:'<div class="ui-grid-cell-contents" title="{{row.entity.spmc}}"><span>{{row.entity.spmc}}</span></div>'},{name:o.instant("Quantity"),headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right" title="{{row.entity.sl}}"><span>{{row.entity.sl}}</span></div>'},{name:o.instant("UnitPrice"),headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right" title="{{row.entity.dj}}"><span>{{row.entity.dj}}</span></div>'},{name:o.instant("Amount"),headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right" title="{{row.entity.je}}"><span>{{row.entity.je}}</span></div>'},{name:o.instant("TaxRate"),headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right" title="{{row.entity.slv}}"><span>{{slv + "%"}}</span></div>'},{name:o.instant("TaxAmount"),headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right" title="{{row.entity.se}}"><span>{{row.entity.se}}</span></div>'}],e.debug("vatPreviewOutputInvoiceController.ctor()..."),i.periodId=c.month,$("#output-invoice-period-picker").rangePicker({minDate:h,maxDate:f,setDate:y,months:i.monthList,ConfirmBtnText:o.instant("Confirm"),CancelBtnText:o.instant("ButtonCancel")}).on("datePicker.done",function(e,t){g=t[0][0],v=t[1][0],i.queryParams.periodStart=g,i.queryParams.periodEnd=v,C(1)}),i.gridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,expandableRowTemplate:'<div ui-grid="row.entity.subGridOptions" style="height:150px;"></div>',virtualizationThreshold:50,enableSorting:!1,enableColumnMenus:!1,columnDefs:i.gridOptionsColumnDefs,onRegisterApi:function(e){(i.gridApi=e).expandable.on.rowExpandedStateChanged(i,function(t){t.isExpanded&&(t.entity.subGridOptions={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.rowHeight,virtualizationThreshold:50,enableSorting:!1,enableColumnMenus:!1,columnDefs:i.subGridOptionsColumnDefs},l.queryOutputInvoiceItemList(t.entity.id).success(function(e){e&&(e.forEach(function(e){e.dj=PWC.round(e.dj,2),e.je=PWC.round(e.je,2),e.slv=PWC.round(e.slv,2),e.se=PWC.round(e.se,2)}),t.entity.subGridOptions.data=e)}))}),s(function(){i.gridApi.core.handleWindowResize()},500,28800)}},i.doDataFilter=b,i.doDataFilterReset=T,i.doExport=O,i.showPopover=x,i.queryParams={pageInfo:{},periodStart:"",periodEnd:"",invoiceDateStart:null,invoiceDateEnd:null,classCode:"",invoiceNumber:"",buyerName:"",productName:"",amountStart:null,amountEnd:null,invoiceType:null,taxAmountStart:null,taxAmountEnd:null},i.queryParams.periodStart=c.month,i.queryParams.periodEnd=c.month,D(),C(1)}]),vatModule.directive("vatPreviewOutputInvoice",["$log",function(e){"use strict";return e.debug("vatImportOutputInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/preview/vat-preview-output-invoice/vat-preview-output-invoice.html?_="+Math.random(),scope:{},controller:"vatPreviewOutputInvoiceController",link:function(e,t){}}}]),vatModule.controller("vatAccountMappingController",["$scope","$log","$timeout","$q","$translate","$interval","loginContext","apiInterceptor","SweetAlert","vatReductionService","vatSessionService","uiGridConstants","enums","i18nService","BSPLService","vatCommonService","$uibModal","commonWebService","vatOperationLogService","vatImportService",function(m,s,g,e,v,n,t,a,h,r,o,i,f,l,c,d,u,p,y,I){"use strict";s.debug("vatAccountMappingController.ctor()...");var C=o.month,w=(o.project.id,-1),S=o.project.name+" "+o.project.year+"年"+o.month+"月";m.moduleid=f.vatModuleEnum.Import_AccountMapping,m.periodId=o.month;var D={ID:"",OperationName:"",ModuleID:m.moduleid,OperationObject:"",OperationType:"",OperationContent:"",OriginalState:"",UpdateState:"",CreatorID:o.logUser.ID,Comment:S,IP:"",Period:m.periodId};m.isSelected=function(e){return 0<=m.filter.selected.indexOf(e)};var b=function(){m.isShowLog=!0},T=function(){r.mapStdCodeRecursiveByAccountList(C).success(function(e){if(e.result){var t=e.data;if(null===t)return;t.forEach(function(e){e.acctProp,null!=e.acctLevel&&(e.$$treeLevel=parseInt(e.acctLevel-1)),e.stdResult=O(e.stdCode,e.stdFullName)}),s.debug("InitEnterpriseSubject success"),s.debug(t),m.gridOptionsSubjectList.data=t,m.EnterpriceAccountList=t}})},x=function(e,t){m.filter.selected=[],m.filterConditionDesc="",e.target.checked&&m.filter.selected.indexOf(t.key)<0&&(m.filter.selected.push(t.key),m.filterConditionDesc=t.value),M()},M=function(){m.filter.selected;var e=m.EnterpriceAccountList,t=[];switch(m.filter.selected[0]||constant.espAccountFilter.key_0){case constant.espAccountFilter.key_0:t=e;break;case constant.espAccountFilter.key_1:t=_.filter(e,function(e){return null==e.stdCode});break;case constant.espAccountFilter.key_2:t=_.filter(e,function(e){return null!=e.stdCode});break;case constant.espAccountFilter.key_3:t=_.filter(e,function(e){return null!=e.stdCode&&"-"!=e.stdCode&&0!=e.direction&&null!=e.stdDirection&&e.directionDescription!=e.stdDirection});break;case constant.espAccountFilter.key_4:t=_.filter(e,function(e){return null!=e.stdCode&&"-"!=e.stdCode&&0!=e.enterAcctProp&&e.enterAcctProp!=e.stdAcctProp})}m.gridOptionsSubjectList.data=t},O=function(e,t){return null===e?v.instant("Unmapped"):"0000"===e?"-":e+"-"+t},E=function(){var e;m.stdCollapsed=!0,m.accountFilterList=[],m.filter={},m.filter.selected=[],(e=constant.espAccountFilter.data).forEach(function(e){e.value=v.instant(e.value)}),m.accountFilterList=e;var t=constant.espAccountFilter.data[0];m.filter.selected.push(t.key),m.filterConditionDesc=v.instant("AllMappingStatus"),g(function(){m.isLoadComplete=!0},500)},P=function(e){var t,n=(t=e,angular.element(document.getElementById(t)).scope()).childNodes(),a=function(e){if(e.collapsed)return!0;for(var t=e.childNodes(),n=0;n<t.length;n++)if(a(t[n]))return!0;return!1};return!_.some(n,a)},N=function(e){e.toggle(),e.collapsed?m.stdCollapsed=!0:P("tree-root")&&(m.stdCollapsed=!1)},A=function(){m.stdCollapsed=!m.stdCollapsed,p.expandCollapseAll("vatStadardAccountTreeTable",m.stdCollapsed)},L=function(t){for(var n in t)m.gridApiSubject.grid.rows.forEach(function(e){e.entity.code===n&&(e.entity.stdCode=t[n][0],e.entity.stdName=t[n][1],e.entity.stdResult=O(t[n][0],t[n][2]))})},R=function(e,n,a){_.isNull(n)||""==a||Ce();var i=_.where(m.stdAccountList,{code:n})[0];e.forEach(function(t){t.stdCode=n,t.stdName=a,t.stdResult=O(n,a),_.isUndefined(i)||(t.stdAcctProp=parseInt(i.acctProp),t.stdCodeName=n+"/"+i.fullName,t.stdDirection="1"===i.direction?v.instant("StandardAccountDebit"):v.instant("StandardAccountCredit"),t.stdFullName=i.fullName),_.isNull(n)&&""===a&&(t.stdAcctProp=null,t.stdCodeName=null,t.stdDirection=null,t.stdFullName=null),m.gridApiSubject.grid.rows.forEach(function(e){e.entity.parent===t.code&&(e.entity.stdCode=n,e.entity.stdName=a,e.entity.stdResult=O(n,a),F(m.gridApiSubject.grid.rows,e.entity.code,n,a))})})},F=function(e,t,n,a){m.gridApiSubject.grid.rows.forEach(function(e){e.entity.parent===t&&(e.entity.stdCode=n,e.entity.stdName=a,e.entity.stdResult=O(n,a),F(m.gridApiSubject.grid.rows,e.entity.code,n,a))})};function B(e){return e||!_.isEqual(o.project.projectStatusList[C],constant.ProjectStatusEnum.Imported)&&!_.isEqual(o.project.projectStatusList[C],constant.ProjectStatusEnum.AccountMapSubmitted)?e&&(_.isEqual(o.project.projectStatusList[C],constant.ProjectStatusEnum.Imported)||_.isEqual(o.project.projectStatusList[C],constant.ProjectStatusEnum.AccountMapSubmitted))?constant.ProjectStatusEnum.AccountMapSubmitted:o.project.projectStatusList[C]>=constant.ProjectStatusEnum.Generated?o.project.projectStatusList[C]:void 0:constant.ProjectStatusEnum.Imported}function k(){D.ID=PWC.newGuid(),D.CreateTime=new Date,D.UpdateTime=new Date,D.OperationContent="",D.OriginalState="",D.OperationName=v.instant("AutoMapping"),D.OperationType=f.vatLogOperationTypeEnum.AM_AutoMapping,r.autoMap(2,C).success(function(e){if(null!=e&&null!=e)if(e.result){Se();var t=B(!1);d.setProjectStatus(projectDbName,C,t,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),D.UpdateState=v.instant("AccountMapSuccess"),y.addOperationLog(D),h.success(v.instant("AccountMapSuccess")),T()}else h.warning(v.instant(e.resultMsg));else D.UpdateState=v.instant("AccountMapFailed"),y.addOperationLog(D),h.warning(v.instant("AccountMapFailed"))})}var V=function(){o.project.projectStatusList[C]<constant.ProjectStatusEnum.Imported&&h.warning(v.instant("AutoMapWarning")),o.project.projectStatusList[C]===constant.ProjectStatusEnum.Imported&&k(),o.project.projectStatusList[C]>constant.ProjectStatusEnum.Imported&&swal({title:v.instant("WarningTitle"),text:v.instant("IsConfirmToReMap").formatObj({status:d.getProjectStautsEnumDesc(o.project.projectStatusList[C])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Yes"),cancelButtonText:v.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?k():swal.close()})};var G=function(){o.project.projectStatusList[C]>=constant.ProjectStatusEnum.AccountMapSubmitted?swal({title:v.instant("WarningTitle"),text:v.instant("IsConfirmCancelMap").formatObj({status:d.getProjectStautsEnumDesc(o.project.projectStatusList[C])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Yes"),cancelButtonText:v.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){var t,n,a;e?(t=[],n=m.gridApiSubject.selection.getSelectedRows(),a=[],0!==n.length?(n.forEach(function(e){t.push(e.code),a.push(e.stdResult)}),D.ID=PWC.newGuid(),D.CreateTime=new Date,D.UpdateTime=new Date,D.OriginalState=a.join(","),D.UpdateState="",D.OperationContent="",D.OperationName=v.instant("CancelMapping"),D.OperationObject=t.join(","),D.OperationType=f.vatLogOperationTypeEnum.AM_CancelMapping,r.clearMap(C,t).success(function(e){if(null!=e&&null!=e)if(e.result){Se();var t=B(!1);d.setProjectStatus(project.id,C,t,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),h.success(v.instant("ClearMapSuccess")),R(n,null,""),L(e.data),m.gridApiSubject.selection.clearSelectedRows(),y.addOperationLog(D)}else D.UpdateState=v.instant("ClearMapFailed"),y.addOperationLog(D),h.warning(v.instant(e.resultMsg));else D.UpdateState=v.instant("ClearMapFailed"),y.addOperationLog(D),h.warning(v.instant("ClearMapFailed"))})):h.warning(v.instant("SelectOneAccountToClearMap"))):swal.close()}):h.warning(v.instant("CancelMapWarning"))};function j(t,n,e,a){if(!m.hasImportPermission||m.isSubmitted)return m.isSubmitted&&g(function(){h.warning(v.instant("UndoAccountMapToMap"))},300),!1;var o={},r=[],s=!1,l=!1,c=!1;o.enterpriseAccountCodes=[],o.standardAccountCode=t;var i=m.gridApiSubject.selection.getSelectedRows();if(0!==i.length){var d=e,u=a,p=[];i.forEach(function(e){o.enterpriseAccountCodes.push(e.code);var t=U(m.gridOptionsSubjectList.data,"code",e.code);r.push(t),p.push(e.stdResult);var n=e.stdCode,a=e.enterAcctProp.toString(),i=e.direction.toString();s=!_.isNull(n),l=!(-1!==a&&!_.isNull(a)&&d!==a),c=u===i}),D.ID=PWC.newGuid(),D.CreateTime=new Date,D.UpdateTime=new Date,D.OriginalState=p.join(","),D.UpdateState=t+"-"+n,D.OperationContent=t,D.OperationName=v.instant("HandleMapping"),D.OperationObject=o.enterpriseAccountCodes.join(","),D.OperationType=f.vatLogOperationTypeEnum.AM_ManualMapping,s?(H.text=v.instant("ComfirmToReMap"),H.closeOnConfirm=!(!l||!c),h.swal(H,function(e){e?l?c?W(i,o,t,n,D):(H.text=v.instant("ConfirmToMapForDiffDirection"),H.closeOnConfirm=!0,h.swal(H,function(e){e?W(i,o,t,n,D):swal.close()})):(H.text=v.instant("ConfirmToMapForDiffAcctProp"),H.closeOnConfirm=!!c,h.swal(H,function(e){e?c?W(i,o,t,n,D):(H.text=v.instant("ConfirmToMapForDiffDirection"),H.closeOnConfirm=!0,h.swal(H,function(e){e?W(i,o,t,n,D):swal.close()})):swal.close()})):swal.close()})):l?c?W(i,o,t,n,D):(H.text=v.instant("ConfirmToMapForDiffDirection"),H.closeOnConfirm=!0,h.swal(H,function(e){e?W(i,o,t,n,D):swal.close()})):(H.text=v.instant("ConfirmToMapForDiffAcctProp"),H.closeOnConfirm=!!c,h.swal(H,function(e){e?c?W(i,o,t,n,D):(H.text=v.instant("ConfirmToMapForDiffDirection"),H.closeOnConfirm=!0,h.swal(H,function(e){e?W(i,o,t,n,D):swal.close()})):swal.close()}))}else h.warning(v.instant("SelectOneAccountToMap"))}var z=function(t,n,a,i){o.project.projectStatusList[C]>=constant.ProjectStatusEnum.Imported?m.manualMapAlter?swal({title:v.instant("WarningTitle"),text:v.instant("IsConfirmToReMap").formatObj({status:d.getProjectStautsEnumDesc(o.project.projectStatusList[C])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Yes"),cancelButtonText:v.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?(m.manualMapAlter=!1,g(function(){j(t,n,a,i)},300)):swal.close()}):g(function(){j(t,n,a,i)},300):h.warning(v.instant("ManualMapWarning"))},U=function(e,t,n){for(var a=0;a<e.length;a++)if(e[a][t]==n)return a;return null},H={title:v.instant("ConfirmToContinue"),text:v.instant("ComfirmToReMap"),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Confirm"),cancelButtonText:v.instant("Cancel"),closeOnConfirm:!1,closeOnCancel:!0},W=function(n,e,a,i,o){r.mapAccount(e.standardAccountCode,C,e.enterpriseAccountCodes).success(function(e){if(!0===e.result){Se(),m.gridApiSubject.selection.clearSelectedRows(),R(n,a,i),L(e.data);var t=B(!1);d.setProjectStatus(project.id,C,t,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),_.isNull(o)||y.addOperationLog(o)}else o.UpdateState=v.instant("AccountMapFailed"),_.isNull(o)||y.addOperationLog(o),h.warning(v.instant(e.resultMsg).formatObj({code:e.data.standardAccountCode}))})};m.getGridHeight=function(){if(m.isLoadComplete)return{height:$(".subject-corresponding-container #enterprizeAccount .subject-list-grid-warp").height()+"px"}};var q=function(){if(m.isLoadComplete){var e=$("#reclassification-item-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)-$("#topMenu").height()+"px"}:{height:"0px"}}return{}},J=function(){m.ImportErrorTag=!m.ImportErrorTag,m.ImportErrorTag?parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","130px"),$(".reclassification-item-wrapper").css("height","130px")):Q()},Q=function(){$("#content-resizer").css("bottom","0px"),$(".reclassification-item-wrapper").css("height","0px")},K=function(){if(o.project.projectStatusList[C]>=constant.ProjectStatusEnum.Imported){s.debug("start manualReclassificate"),we("reMapCustStdAutoComplete"),w=f.vatReMapType.ReMapCust;var e=m.gridApiSubject.selection.getSelectedRows();if(1!==e.length)return void h.warning(v.instant("SelectOneAccountToManualReclassificate"));if(!De())return void h.warning(v.instant("NotLeafEnterpriseCode"));m.enterpriseCode=e[0].code,m.processTypeId=f.processType.Add,he(constant.Operation.Add,-1,null),D.OperationName=v.instant("AddCustRemap"),D.OperationType=f.vatLogOperationTypeEnum.AM_AddManualClass,D.OriginalState="",m.remapTitle=v.instant("AccountMappingTitle")+"  "+e[0].codeNameDesc,m.stdAccountIsLeaf=!0,m.addReclassificationItem.$setPristine(),m.selectedStdCode="",$("#manualReclassificationModal").modal("show")}else h.warning(v.instant("RemapClickWarning"))},Y=function(){if(o.project.projectStatusList[C]>=constant.ProjectStatusEnum.Imported){s.debug("start voucherReclassificate"),w=f.vatReMapType.ReMapVoucher,we("reMapStdAutoComplete");var e=m.gridApiSubject.selection.getSelectedRows();if(1!==e.length)return void h.warning(v.instant("SelectOneAccountToVoucherReclassificate"));if(!De())return void h.warning(v.instant("NotLeafEnterpriseCode"));m.gridApiReclassificationItem.selection.clearSelectedRows(),m.enterpriseCode=e[0].code,m.processTypeId=f.processType.Add,ve(constant.Operation.Add,null,-1),m.isSearching=!0,D.OperationName=v.instant("AddVoucherReMap"),D.OperationType=f.vatLogOperationTypeEnum.AM_AddVoucherClass,D.OriginalState="",m.remapTitle=v.instant("VoucherReclassificationTitle")+"  "+e[0].codeNameDesc,m.stdAccountIsLeaf=!0,m.addVoucherReclassificationItem.$setPristine(),m.selectedStdCode="",$("#voucherReclassificationModal").modal("show")}else h.warning(v.instant("RemapClickWarning"))},Z=function(e){s.debug("start showReclassificationItemGrid"),parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","20px"),$(".reclassification-item-wrapper").css("height","20px")),ve(constant.Operation.Add,null,-1),he(constant.Operation.Add,-1,null);var t=m.gridApiSubject.selection.getSelectedRows();m.enterpriseCode=t[0].code,fe(e.code)};function X(){var e;s.debug("start saveManualReclassification"),e=w,m.editManualRModel={code:m.enterpriseCode,stdCode:m.selectedStdCode,reMapName:$("#manualName").val(),reMapDebit:PWC.round($("#manualDebitBal").val(),2),reMapCredit:PWC.round($("#manualCreditBal").val(),2),reMapReason:$("#manualReason").val(),reMapTypeId:e,period:C},s.debug(m.editManualRModel);var t=_.where(m.stdAccountList,{code:m.editManualRModel.stdCode})[0],n="";_.isNull(t)||(n=t.code+"-"+t.fullName+":"+v.instant("AccountVoucher_Debit")+":"+m.editManualRModel.reMapDebit+"  "+v.instant("AccountVoucher_Credit")+":"+m.editManualRModel.reMapCredit),D.ID=PWC.newGuid(),D.CreateTime=new Date,D.UpdateTime=new Date,D.OperationObject=m.enterpriseCode,D.OperationContent=m.editManualRModel.reMapName,D.UpdateState=n,r.saveManualReclassification(m.editManualRModel).success(function(e){if(_.isNull(e)||_.isUndefined(e))D.UpdateState=v.instant("AccountReMappingFail"),y.addOperationLog(D),h.warning(v.instant("AccountReMappingFail"));else if(e.result){$("#manualReclassificationModal").modal("hide"),fe(m.editManualRModel.code);var t=B(!1);d.setProjectStatus(project.id,C,t,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),y.addOperationLog(D),T(),h.success(v.instant("CustReMappingSuccess"))}else D.UpdateState=v.instant("AccountReMappingFail"),y.addOperationLog(D),h.warning(v.instant(e.resultMsg))})}var ee=function(){o.project.projectStatusList[C]>=constant.ProjectStatusEnum.AccountMapSubmitted?swal({title:v.instant("WarningTitle"),text:v.instant("IsConfirmManualReClassify").formatObj({status:d.getProjectStautsEnumDesc(o.project.projectStatusList[C])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Yes"),cancelButtonText:v.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?X():swal.close()}):X()};function te(){s.debug("start saveVoucherReclassification "),m.isSearching=!1,function(e,t,n){var a=m.gridApiReclassificationItem.selection.getSelectedRows()[0],i="";if(!_.isNull(a)&&!_.isUndefined(a))switch(n){case f.processType.Add:i="";break;case f.processType.Edit:i=a.stdCode}m.editVoucherRModel={remapBatchId:_.isUndefined(a)?PWC.newGuid():a.remapBatchId,code:m.enterpriseCode,stdCode:m.selectedStdCode,reMapStdCode:i,reMapName:$("#voucherName").val(),reMapDebit:PWC.round($("#voucherDebit").val(),2),reMapCredit:PWC.round($("#voucherCredit").val(),2),reMapReason:$("#voucherReason").val(),reMapTypeId:t,reMapDateTime:new Date,period:C,reMapProcessTypeId:n,vouchers:e}}(m.selectedVouchers,w,m.processTypeId),s.debug(m.editVoucherRModel),s.debug(m.selectedVouchers);var e=_.where(m.stdAccountList,{code:m.editVoucherRModel.stdCode})[0],t="";_.isNull(e)||(t=e.code+"-"+e.fullName+":"+v.instant("AccountVoucher_Debit")+":"+m.editVoucherRModel.reMapDebit+"  "+v.instant("AccountVoucher_Credit")+":"+m.editVoucherRModel.reMapCredit),D.ID=PWC.newGuid(),D.CreateTime=new Date,D.UpdateTime=new Date,D.OperationObject=m.enterpriseCode,D.OperationContent=m.editVoucherRModel.reMapName,D.UpdateState=t,r.saveVoucherReclassification(m.editVoucherRModel).success(function(e){if(_.isNull(e)||_.isUndefined(e))D.UpdateState=v.instant("AccountReMappingFail"),y.addOperationLog(D),h.warning(v.instant("AccountReMappingFail"));else if(e.result){$("#voucherReclassificationModal").modal("hide"),fe(m.editVoucherRModel.code);var t=B(!1);d.setProjectStatus(project.id,C,t,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),y.addOperationLog(D),T(),h.success(v.instant("VoucherReMappingSuccess"))}else D.UpdateState=v.instant("AccountReMappingFail"),y.addOperationLog(D),h.warning(v.instant(e.resultMsg))})}var ne,ae,ie=function(){o.project.projectStatusList[C]>=constant.ProjectStatusEnum.AccountMapSubmitted?swal({title:v.instant("WarningTitle"),text:v.instant("IsConfirmVoucherReClassify").formatObj({status:d.getProjectStautsEnumDesc(o.project.projectStatusList[C])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Yes"),cancelButtonText:v.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?te():swal.close()}):te()},oe=function(){s.debug("editReMapItem"),s.debug(m.selectedVouchers),m.isSearching=!1,m.processTypeId=f.processType.Edit;var e=m.gridApiReclassificationItem.selection.getSelectedRows();if(!_.isNull(e)&&!_.isUndefined(e)){if(0===e.length)return h.warning(v.instant("AccountReMappingSelectOne")),!1;s.debug(e);var t=e[0],n=t.reMappTypeId;if(n===f.vatReMapType.ReMapVoucher){s.debug("edit voucher remap"),m.isSearching=!0,we("reMapStdAutoComplete"),(_.isNull(m.selectedVouchers)||0===m.selectedVouchers.length)&&(m.selectedVouchers=t.vouchers);var a=_.where(m.stdAccountList,{code:t.stdCode})[0],i="";_.isNull(a)||(i=a.code+"-"+a.fullName+":"+v.instant("AccountVoucher_Debit")+":"+t.remapDebit+"  "+v.instant("AccountVoucher_Credit")+":"+t.remapCredit),D.OperationName=v.instant("EditVoucherReMap"),D.OperationType=f.vatLogOperationTypeEnum.AM_EditVoucherClass,D.OriginalState=i,s.debug(m.selectedVouchers),$("#voucherReclassificationModal").modal("show")}if(n===f.vatReMapType.ReMapCust){s.debug("edit cust remap"),we("reMapCustStdAutoComplete"),he(constant.Operation.Edit,f.vatReMapType.ReMapCust,t);var o=_.where(m.stdAccountList,{code:t.stdCode})[0],r="";_.isNull(a)||(r=o.code+"-"+o.fullName+":"+v.instant("AccountVoucher_Debit")+":"+t.remapDebit+"  "+v.instant("AccountVoucher_Credit")+":"+t.remapCredit),D.OperationName=v.instant("EditCustRemap"),D.OperationType=f.vatLogOperationTypeEnum.AM_EditManualClass,D.OriginalState=r,$("#manualReclassificationModal").modal("show")}}},re=function(){s.debug("deleteReMapItem");var e=m.gridApiReclassificationItem.selection.getSelectedRows();if(m.processTypeId=f.processType.Delete,0===e.length)return h.warning(v.instant("AccountReMappingSelectOne")),!1;if(!_.isNull(e)&&!_.isUndefined(e)){var t=e[0];s.debug(t),function(t){D.ID=PWC.newGuid(),D.CreateTime=new Date,D.UpdateTime=new Date,D.OperationObject=m.enterpriseCode,D.OperationContent=t.reMappName,D.OriginalState="";var e=_.where(m.stdAccountList,{code:t.stdCode})[0],n="";_.isNull(e)||_.isUndefined(e)||(n=e.code+"-"+e.fullName+":"+v.instant("AccountVoucher_Debit")+":"+t.remapDebit+"  "+v.instant("AccountVoucher_Credit")+":"+t.remapCredit);D.UpdateState=n,t.reMappTypeId===f.vatReMapType.ReMapVoucher&&(D.OperationType=f.vatLogOperationTypeEnum.AM_DeleteVoucherClass,D.OperationName=v.instant("DeleteVoucherRemap"));t.reMappTypeId===f.vatReMapType.ReMapCust&&(D.OperationType=f.vatLogOperationTypeEnum.AM_DeleteManualClass,D.OperationName=v.instant("DeleteCustRemap"));r.deleteReMappingRecords(t).success(function(e){_.isNull(e)||_.isUndefined(e)?(D.UpdateState=v.instant("AccountReMappingFail"),y.addOperationLog(D),h.warning(v.instant("AccountReMappingFail"))):e.result?(fe(t.acctCode),y.addOperationLog(D),T(),h.success(v.instant("AccountReMappingSuccess"))):(D.UpdateState=v.instant("AccountReMappingFail"),y.addOperationLog(D),h.warning(v.instant(e.resultMsg)))})}(t)}},se=function(){if(o.project.projectStatusList[C]<constant.ProjectStatusEnum.Imported)return h.warning(v.instant("NotAllowSubmitAccountMap")),!1;r.submitAccountMapping(f.vatReMapType.ReMapVoucher,f.vatReMapType.ReMapCust).success(function(e){e.result?c.GenerateBSPL(o.project.id,o.month).success(function(){B(m.isSubmitted=!0);d.setProjectStatus(project.id,C,constant.ProjectStatusEnum.AccountMapSubmitted,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.Finished),h.success(v.instant("AccountMappingSubmitComplete"))}).error(function(){h.error("生成报表失败")}):h.error(v.instant("CallbackError").formatObj({errorMsg:e.resultMsg}))})},le=function(){if(o.project.projectStatusList[C]===constant.ProjectStatusEnum.AccountMapSubmitted){var e=B(m.isSubmitted=!1);d.setProjectStatus(project.id,C,e,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),h.success(v.instant("UndoAccountMappingComplete"))}o.project.projectStatusList[C]>=constant.ProjectStatusEnum.Generated?swal({title:v.instant("WarningTitle"),text:v.instant("IsConfirmUndoMap").formatObj({status:d.getProjectStautsEnumDesc(o.project.projectStatusList[C])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:v.instant("Yes"),cancelButtonText:v.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){if(e){var t=B(m.isSubmitted=!1);d.setProjectStatus(project.id,C,t,constant.DictionaryDictKey.WFAccountMap,f.FinishStatusEnum.NotFinished),h.success(v.instant("UndoAccountMappingComplete"))}else swal.close()}):m.isSubmitted=!1},ce=function(e){if(s.debug("onReMapGridRowSelectionChanged"),m.reMappId=e.remapId,(m.reMapItem=e).reMappTypeId===f.vatReMapType.ReMapVoucher){w=f.vatReMapType.ReMapVoucher;var t=m.gridApiReclassificationItem.selection.getSelectedRows()[0];s.debug(t),_.isNull(t)||_.isUndefined(t)||(m.selectedVouchers=t.vouchers,s.debug(m.selectedVouchers)),ve(constant.Operation.Edit,t,f.vatReMapType.ReMapVoucher)}e.reMappTypeId===f.vatReMapType.ReMapCust&&(w=f.vatReMapType.ReMapCust,he(constant.Operation.Add,-1,null))},de=function(e){var t=e.target.id;_.isUndefined(t)||_.isNull(t)||(_.isEqual(t,"btnCloseStdReMapResult")&&$("#stdReMapResultModal").modal("hide"),_.isEqual(t,"btnCloseVoucherRemap")&&(m.isSearching=!1),_.isEqual(t,"btnCloseVouchersDetail")&&$("#voucherDetailModal").modal("hide"))},ue=function(){r.getStdRemapResult(C).success(function(e){_.isUndefined(e)||_.isNull(e)?h.warning(v.instant("AccountReMappingFail")):e.result?(s.debug("getStdRemapResult success"),_.isUndefined(e.data)||_.isNull(e.data)||(s.debug(e.data),m.gridOptionsStdReMapResult.data=e.data,$("#stdReMapResultModal").modal("show"))):h.warning(v.instant(e.resultMsg))})};function pe(e){var t=_.isUndefined(e.selectedItem.code)?e.selectedItem:e.selectedItem.code,n=_.where(m.stdAccountList,{code:t})[0];_.isUndefined(n)||(m.stdAccountIsLeaf=!n.hasChildren)}function me(e){pe(e),m.selectedStdCode=_.isUndefined(e.selectedItem.code)?e.selectedItem:e.selectedItem.code}function ge(e){pe(e),m.selectedStdCode=_.isUndefined(e.selectedItem.code)?e.selectedItem:e.selectedItem.code}function ve(e,t,n){s.debug("initReMapVoucherModel"),_.isEqual(e,constant.Operation.Add)&&(m.editVoucherRModel={remapBatchId:PWC.newGuid(),code:m.enterpriseCode,stdCode:"",reMapStdCode:"",reMapName:"",reMapDebit:0,reMapCredit:0,reMapReason:"",reMapTypeId:n,reMapDateTime:new Date,period:C,reMapProcessTypeId:m.processTypeId,vouchers:_.isNull(t)||_.isUndefined(t)?null:t.vouchers},m.selectedVouchers=null),_.isEqual(e,constant.Operation.Edit)&&(m.editVoucherRModel={remapBatchId:t.remapBatchId,code:m.enterpriseCode,stdCode:t.stdCode,reMapStdCode:t.stdCode,reMapName:t.reMappName,reMapDebit:t.remapDebit,reMapCredit:t.remapCredit,reMapReason:t.reMappReason,reMapTypeId:n,reMapDateTime:new Date,period:C,reMapProcessTypeId:m.processTypeId,vouchers:_.isNull(t)||_.isUndefined(t)?null:t.vouchers},m.selectedStdCode=t.stdCode)}function he(e,t,n){_.isEqual(e,constant.Operation.Add)&&(m.editManualRModel={code:"",stdCode:"",reMapName:"",reMapDebit:0,reMapCredit:0,reMapReason:"",reMapTypeId:t,period:C},m.selectedVouchers=null),_.isEqual(e,constant.Operation.Edit)&&!_.isNull(n)&&(m.editManualRModel={code:n.acctCode,stdCode:n.stdCode,reMapName:n.reMappName,reMapDebit:n.remapDebit,reMapCredit:n.remapCredit,reMapReason:n.reMappReason,reMapTypeId:t,period:C},m.selectedStdCode=n.stdCode)}function fe(e){r.getClassificationList(e).success(function(e){_.isNull(e)||_.isUndefined(e)?h.warning(v.instant("AccountReMappingFail")):e.result?(s.debug(e.data),m.gridOptionsReclassificationItem.data=e.data,s.debug("getReMapItemByCode assigned value finished"),s.debug(m.gridOptionsReclassificationItem.data)):h.warning(v.instant(e.resultMsg))})}function ye(e){if(s.debug("showReMapVouchers"),s.debug(e),!_.isUndefined(e)&&!_.isNull(e))if(_.isNull(e.vouchers)||_.isUndefined(e.vouchers))r.getVouchersByCode(e.code,C).success(function(e){_.isNull(e)||_.isUndefined(e)?h.warning(v.instant("GetVoucherDetailsFail")):e.result?(m.gridOptionsVouchersDetail.data=e.data,$("#voucherDetailModal").modal("show")):h.warning(v.instant(e.resultMsg))});else{var t=_.filter(e.vouchers,function(t){return _.find(e.remapIdes,function(e){return e===t.remapId})});m.gridOptionsVouchersDetail.data=t,$("#voucherDetailModal").modal("show")}}function Ie(e,n){e.data.directionDesc="1"===e.data.direction?v.instant("AccountVoucher_Direction_Debit"):v.instant("AccountVoucher_Direction_Credit"),n.push(e.data),_.isNull(e.children)||_.isUndefined(e.children)||$.each(e.children,function(e,t){t.data.directionDesc="1"===t.direction?v.instant("AccountVoucher_Direction_Debit"):v.instant("AccountVoucher_Direction_Credit"),Ie(t,n)})}function Ce(){var e=$("#vatStadardAccountTreeTable").fancytree("getTree").toDict(!0);0===m.stdAccountList.length&&(m.stdAccountList=[],$.each(e.children,function(e,t){$.each(t.children,function(e,t){Ie(t,m.stdAccountList)})}))}function we(e){Ce(),$("#"+e).dxAutocomplete("instance").option("dataSource",m.stdAccountList)}function Se(){r.getEnterpriseAccountNotMapped(o.month).success(function(e){m.notMappedCount=o.enterpriseAccountNotMappedCount=e,m.$emit("notMappedCount",m.notMappedCount)})}function De(){var e=m.gridApiSubject.selection.getSelectedRows()[0];if(!_.isNull(e)&&!_.isUndefined(e))return 1===e.isLeaf}function be(e){return"rowLevel-"+e.$$treeLevel}function Te(){var n;n=[],m.gridOptionsSubjectList.data.forEach(function(e){var t={};t.code=e.code,t.stdCode=e.stdCode,t.fullName=e.fullName,t.stdFullName=e.stdFullName,t.directionDescription=e.directionDescription,t.stdDirection=e.stdDirection,n.push(t)}),m.exportDataList=n,s.debug(m.exportDataList),m.isToPrint=!0}p.initVATFancyTreeAjax("vatStadardAccountTreeTable","/AccountMapping/stdAccounts/getStdAccountHierarchy",z),Se(),m.stdAccountsCategories=[],m.stdAccountList=[],m.ImportErrorTag=!0,m.directionList=[{id:1,name:v.instant("StandardAccountDebit")},{id:-1,name:v.instant("StandardAccountCredit")}],m.acctPropList=[{id:0,name:"UnKnow"},{id:1,name:v.instant("StandardAccountAcctPropAsset")},{id:2,name:v.instant("StandardAccountAcctPropDebt")},{id:3,name:v.instant("StandardAccountAcctPropCommon")},{id:4,name:v.instant("StandardAccountAcctPropInterest")},{id:5,name:v.instant("StandardAccountAcctPropCost")},{id:6,name:v.instant("StandardAccountAcctPropProfitAndLoss")}],m.processMenuList=[{key:constant.AccountMappingProcessKey.Submit,name:v.instant("AccountMappingSubmit")},{key:constant.AccountMappingProcessKey.Undo,name:v.instant("AccountMappingUndo")}],m.currentProcess={},m.currentProcess.selected={key:constant.AccountMappingProcessKey.UnSelected,name:v.instant("AccountMappingMenuUnSelect")},m.maxStdCodeLength=constant.ReMapMaxLength.MaxStdCodeLength,m.autocompletePlaceholder=v.instant("MaxLengthTips").formatObj({maxLength:m.maxStdCodeLength})+"  "+v.instant("TypeStandardCode"),m.autocompleteSearchModeStartsWith="startswith",m.autocompleteSearchModeContains="contains",m.maxTextLength=constant.ReMapMaxLength.MaxTextLength,m.maxRemarkLength=constant.ReMapMaxLength.MaxRemarkLength,m.regexNum="/^(-)?d+(.d{1,2})?$/",m.stdAccountIsLeaf=!0,m.onSelectionChangedHandlerCustRemap=ge,m.onSelectionChangedHandlerVoucherRemap=me,m.gridOptionsSubjectList={virtualizationThreshold:50,enableColumnResizing:!0,enableRowSelection:!1,enableSelectAll:!0,rowHeight:constant.UIGrid.rowHeight,enableRowHeaderSelection:!0,modifierKeysToMultiSelect:!0,enableHorizontalScrollbar:i.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:i.scrollbars.enableVerticalScrollbar,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!0,enableFiltering:!1,showTreeExpandNoChildren:!1,enableFullRowSelection:!1,multiSelect:!0,columnDefs:[{name:v.instant("CITProject"),headerCellClass:"",width:"25%",pinnedLeft:!0,cellTemplate:'<div class="text-align-left-padding ui-grid-cell-contents"><span>{{row.entity.codeNameDesc}}<span></div>'},{name:v.instant("SubjectDirectionCol"),headerCellClass:"",width:"10%",pinnedLeft:!0,cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.directionDescription}}</span></div>'},{name:v.instant("SubjectTypeCol"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"> <span>{{row.entity.acctPropStr}}</span></div>'},{name:v.instant("DebitRelevantAmtCol"),headerCellClass:"",width:"20%",cellTemplate:'<div class="text-align-right-padding"> <span>{{row.entity.debitBal}}</span></div>'},{name:v.instant("CreditRelevantAmtCol"),headerCellClass:"",width:"20%",cellTemplate:'<div class="text-align-right-padding"> <span>{{row.entity.creditBal}}</span></div>'},{name:v.instant("DebitReclassificationCol"),headerCellClass:"",width:"15%",cellTemplate:'<div class="text-align-right-padding"> <span>{{row.entity.remapDebit}}</span></div>'},{name:v.instant("CreditReclassificationCol"),headerCellClass:"",width:"15%",cellTemplate:'<div class="text-align-right-padding"> <span>{{row.entity.remapCredit}}</span></div>'},{name:v.instant("StandardSubjectCol"),headerCellClass:"",width:"20%",cellTemplate:'<div class="text-align-left-padding"><span title="{{row.entity.stdResult}}"><i class="material-icons map-status-flag" ng-if="row.entity.stdCode == null">flag</i>{{row.entity.stdResult}}</span></div>'},{name:v.instant("RelatedVoucherCol"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding" ng-click="grid.appScope.showReMapVouchers(row.entity)"> <i class="fa fa-clipboard" style="color:#E84100;" aria-hidden="true" ng-if="row.entity.isShowVoucher"></i></div>'},{name:v.instant("IsLeafCol"),headerCellClass:"",width:"15%",visible:!1,cellTemplate:'<div class="text-align-right-padding"><span>{{row.entity.isLeaf}}</span></div>'},{name:v.instant("StdAcctPropCol"),headerCellClass:"",width:"15%",visible:!1,cellTemplate:'<div class="text-align-right-padding"><span>{{row.entity.stdAcctProp}}</span></div>'},{name:v.instant("EnterAcctPropCol"),headerCellClass:"",width:"15%",visible:!1,cellTemplate:'<div class="text-align-right-padding"><span>{{row.entity.enterAcctProp}}</span></div>'}],onRegisterApi:function(e){m.gridApiSubject=e,m.gridSelectCount=m.gridApiSubject.selection.getSelectedRows().length;var t=e.core.on.rowsRendered(null,function(){t(),PWC.triggerRowSelectOnClick("#etsGrid")});n(function(){m.gridApiSubject.core.handleWindowResize()},500,28800),m.gridApiSubject.selection.on.rowSelectionChanged(m,function(e){var t="row selected "+e.isSelected;s.debug(t),s.debug(e),e.isSelected&&m.showReclassificationItemGrid(e.entity)})}},m.gridOptionsReclassificationItem={virtualizationThreshold:50,enableColumnResizing:!0,rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:i.scrollbars.NEVER,enableRowSelection:!0,enableSelectAll:!1,enableRowHeaderSelection:!1,enableFiltering:!1,showTreeExpandNoChildren:!1,multiSelect:!1,columnDefs:[{name:v.instant("ReclassificationIdCol"),headerCellClass:"",visible:!1,cellTemplate:'<div class="text-align-left-padding" ng-show = "false"><span>{{row.entity.remapId}}<span></div>'},{name:v.instant("ReclassificationBatchIdCol"),headerCellClass:"",visible:!1,cellTemplate:'<div class="text-align-left-padding" ng-show = "false"><span>{{row.entity.remapBatchId}}<span></div>'},{name:v.instant("ImportErrorPopUpNoCol"),width:"5%",headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.num}}<span></div>'},{name:v.instant("ReclassificationNameCol"),width:"15%",headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.reMappName}}</span></div>'},{name:v.instant("AdjustmentReasonCol"),width:"15%",headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.reMappReason}}</span></div>'},{name:v.instant("AccountReMappingCustomerCode"),headerCellClass:"",visible:!1,cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.customerCode}}</span></div>'},{name:v.instant("AccountReMappingDebit"),width:"15%",headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.remapDebit}}</span></div>'},{name:v.instant("AccountReMappingCredit"),width:"15%",headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.remapCredit}}</span></div>'},{name:v.instant("STANDARDProject"),width:"15%",headerCellClass:"text-align-center",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.stdCode}}</span></div>'},{name:v.instant("AccountReMappingType"),width:"10%",headerCellClass:"text-align-center",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.reMappTypeDesc}}</span></div>'},{name:v.instant("RelatedVoucherCol"),width:"10%",headerCellClass:"",cellTemplate:'<div class="text-align-left-padding" ng-click="grid.appScope.showReMapVouchers(row.entity)"><span></span> <i class="fa fa-clipboard" style="color:#E84100;" aria-hidden="true" ng-if = "row.entity.vouchers != null" ></i></div>'}],onRegisterApi:function(e){m.gridApiReclassificationItem=e,m.gridApiReclassificationItem.selection.on.rowSelectionChanged(m,function(e){var t="row selected "+e.isSelected;s.debug(t),s.debug(e),e.isSelected&&m.onReMapGridRowSelectionChanged(e.entity)})}},m.gridOptionsStdReMapResult={virtualizationThreshold:50,enableColumnResizing:!0,rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:i.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:i.scrollbars.enableVerticalScrollbar,enableRowSelection:!0,enableSelectAll:!1,enableRowHeaderSelection:!1,enableFiltering:!1,showTreeExpandNoChildren:!1,multiSelect:!1,columnDefs:[{name:v.instant("STANDARDProject"),headerCellClass:"",width:"15%",cellTemplate:'<div class="text-align-left-padding" ><span>{{row.entity.stdCodeAndStdName}}</span></div>'},{name:v.instant("FinalDebit"),headerCellClass:"",width:"15%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.stdDebitStr}}</span></div>'},{name:v.instant("FinalCredit"),headerCellClass:"",width:"15%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.stdCreditStr}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColAcctCodeAndNameShow"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.acctCodeAndAcctName}}</span></div>'},{name:v.instant("DebitRelevantAmtCol"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.debitStr}}</span></div>'},{name:v.instant("CreditRelevantAmtCol"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.creditStr}}</span></div>'},{name:v.instant("DebitReclassificationCol"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.remapDebitStr}}</span></div>'},{name:v.instant("CreditReclassificationCol"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.remapCreditStr}}</span></div>'},{name:v.instant("ConfirmDebit"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.acctRealDebitStr}}</span></div>'},{name:v.instant("ConfirmCredit"),headerCellClass:"",width:"10%",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.acctRealCreditStr}}</span></div>'}],onRegisterApi:function(e){m.gridApiStdMapResult=e,n(function(){m.gridApiStdMapResult.core.handleWindowResize()},500,28800)}},m.gridOptionsVouchersDetail={virtualizationThreshold:50,enableColumnResizing:!0,rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:i.scrollbars.NEVER,enableRowSelection:!1,enableSelectAll:!1,enableRowHeaderSelection:!1,enableFiltering:!1,showTreeExpandNoChildren:!1,multiSelect:!1,columnDefs:[{name:v.instant("JournalQJ"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding" ><span>{{row.entity.period}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColDate"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.date | date:"yyyy-MM-dd"}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColGroup"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.group}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColVID"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.vid}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColSummary"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.summary}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColAcctCodeAndNameShow"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding" ><span>{{row.entity.acctCodeAndNameShow}}</span></div>'},{name:v.instant("AccountVoucher_DataGrid_ColStdCodeAndNameShow"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.stdCodeAndNameShow}}</span></div>'},{name:v.instant("AccountVoucher_Debit"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.debit}}</span></div>'},{name:v.instant("AccountVoucher_Credit"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.credit}}</span></div>'},{name:v.instant("AccountReMappingCustomerCode"),headerCellClass:"",cellTemplate:'<div class="text-align-left-padding"><span>{{row.entity.customerCode}}</span></div>'}],onRegisterApi:function(e){m.gridApiVouchersDetail=e,n(function(){m.gridApiVouchersDetail.core.handleWindowResize()},500,28800)}},m.dxAutocompleteOptions={CustRemapAutocomplete:{dataSource:m.stdAccountList,minSearchLength:1,maxItemCount:7,searchTimeout:50,placeholder:m.autocompletePlaceholder,valueExpr:"code",searchExpr:"code",focusStateEnabled:!0,itemTemplate:"acStdItemTemplate",onSelectionChanged:m.onSelectionChangedHandlerCustRemap,bindingOptions:{maxLength:"maxStdCodeLength",searchMode:"autocompleteSearchModeContains",value:"selectedStdCode"}},VoucherRemapAutoComplete:{dataSource:m.stdAccountList,minSearchLength:1,maxItemCount:7,searchTimeout:50,placeholder:m.autocompletePlaceholder,valueExpr:"code",searchExpr:"code",focusStateEnabled:!0,itemTemplate:"acStdItemTemplate",onSelectionChanged:m.onSelectionChangedHandlerVoucherRemap,bindingOptions:{maxLength:"maxStdCodeLength",searchMode:"autocompleteSearchModeContains",value:"selectedStdCode"}}},m.popTheParentCode=function(){m.isShowStdFilter=!0,m.selectedStdCode=""},T(),E(),Q(),I.getImportType(o.project.id,C).success(function(e){m.importTypeId=e,I.IsImportAuditAdjustOnly(o.project.id,C).success(function(e){e.result&&(m.isImportAuditAdjust=e.data)})}),m.manualMapAlter=!0,m.stateChanged=x,m.autoMap=V,m.ClearMap=G,m.toggle1=N,m.toggleStdSubject=A,m.mapStdAccount=z,m.getReclassificationItemGridHeight=q,m.toggleReclassificationGridTab=J,m.manualReclassificate=K,m.voucherReclassificate=Y,m.showReclassificationItemGrid=Z,m.saveManualReclassification=ee,m.saveVoucherReclassification=ie,m.getStdRemapResult=ue,m.closeModal=de,m.submitAccountMap=se,m.undoAccountMap=le,m.showOperateLogPop=b,ne=[],ae=constant.vatPermission.dataManage.accountMapping,ne.push(ae.importCode),m.hasImportPermission=!1,m.$root.checkUserOrganizationPermissionList(ne).success(function(e){m.hasImportPermission=e[ae.importCode]}),ve(constant.Operation.Add,null,-1),he(constant.Operation.Add,-1,null),m.showReMapVouchers=ye,m.rowLevel=be,m.editReMapItem=oe,m.deleteReMapItem=re,m.onReMapGridRowSelectionChanged=ce,m.enterpriseCode,m.selectedVouchers,m.reMappId,m.isSubmitted=!(o.project.projectStatusList[o.month]<=constant.ProjectStatusEnum.Imported),m.isSearching=!1,m.remapTitle="",m.processTypeId=f.processType.UnDefined,m.userId=o.logUser.id,m.exportData=Te,m.isToPrint=!1,m.exportDataList=[],m.$watch("selectedVouchers.length",function(e,t){var n,a,i;s.debug("start to watch selectedVouchers"),s.debug(m.selectedVouchers),n=m.selectedVouchers,i=a=0,$.each(n,function(e,t){a+=PWC.parseFloatRound(t.debit,2),i+=PWC.parseFloatRound(t.credit,2)}),m.editVoucherRModel.reMapDebit=PWC.parseFloatRound(a.toString(),2),m.editVoucherRModel.reMapCredit=PWC.parseFloatRound(i.toString(),2)}),m.$watch("selectedStdCode",function(e,t){var n,a;n=e,a=_.where(m.stdAccountList,{code:n})[0],_.isUndefined(a)||(m.stdAccountIsLeaf=!a.hasChildren)}),m.$on("ngRepeatFinished",function(e){m.isToPrint&&export_table_to_excel("exportTable","AccountMapping","xlsx",""),m.isToPrint=!1})}]),vatModule.directive("vatAccountMapping",["$log",function(e){"use strict";return e.debug("vatAccountMapping.ctor()..."),{restrict:"E",templateUrl:"/app/vat/reduction/vat-account-mapping/vat-account-mapping.html?_="+Math.random(),replace:!0,scope:{},controller:"vatAccountMappingController",link:function(e,t,n){Split(["#left-container","#right-container"],{sizes:[78,22],minSize:[750,250],onDragEnd:function(){}}),e.token=$('input[name="__RequestVerificationToken"]').val(),e.SwitchAccount=function(){$(".subject-corresponding-container").toggle(),$(".std-subject-container").toggle()},$(".filter-select").on("click",function(e){e.stopPropagation()}),e.showFilter=function(){$(".filter-select").is(":hidden")?$(".filter-select").show():$(".filter-select").hide(),$(document).one("click",function(){$(".filter-select").hide()}),event.stopPropagation()}}}}]),vatModule.controller("vatCaculateDataController",["$scope","$log","$timeout","$q","$translate","loginContext","apiInterceptor","Upload","dataImportService","SweetAlert","vatReductionService","vatSessionService","uiGridConstants","enums","modelConfigurationService","vatReportService","vatCommonService","BSPLService","vatOperationLogService","vatWorkflowService",function(a,e,n,i,o,t,r,s,l,c,d,u,p,m,g,v,h,f,y,I){"use strict";e.debug("vatCaculateDataController.ctor()...");var C=[],w=[];a.period=u.month,a.moduleid=m.vatModuleEnum.Import_CalculateData;function S(){a.readonly=!0,a.resolveRef.length=0,a.resolveRef.push({referFrom:"UpdateReportConfig",referTo:"UpdateReportConfig",resolved:!1}),w.forEach(function(e){a.resolveRef.push(angular.copy(e))}),C.forEach(function(e){e.status="unstarted",e.text=o.instant(e.status)}),a.tasks[0].items.forEach(function(e){e.doTask(),e.status="processing",e.text=o.instant(e.status)}),O(o.instant("startCaculateData"),null)}var D=function(){u.project.projectStatusList[u.month]>=constant.ProjectStatusEnum.Generated?swal({title:"warning!",text:o.instant("IsConfirmReCalcuate").formatObj({status:h.getProjectStautsEnumDesc(u.project.projectStatusList[u.month])}),type:"warning",showCancelButton:!0,confirmButtonColor:"#DD6B55",confirmButtonText:o.instant("Yes"),cancelButtonText:o.instant("No"),closeOnConfirm:!0,closeOnCancel:!0},function(e){e?S():swal.close()}):S()},b=function(e){var t,n=C.filter(function(e){return"completed"===e.status||"error"===e.status}).length;(a.progress=PWC.round(n/C.length*100,0),_.isEmpty(a.resolveRef))||_.where(a.resolveRef,{referFrom:e.id}).forEach(function(e){e.resolved=!0});a.tasks[e.seqNo].items.every(function(e){return"completed"===e.status||"error"===e.status})&&e.seqNo<a.tasks.length-1?(t=a.tasks[e.seqNo+1].items.every(function(e){return"unstarted"===e.status}))&&(_.isEmpty(a.resolveRef)?a.tasks[e.seqNo+1].items:_.reject(a.tasks[e.seqNo+1].items,function(t){return _.some(a.resolveRef,function(e){return!e.resolved&&e.referTo===t.id})})).forEach(function(e){e.doTask(),e.status="processing",e.text=o.instant(e.status)}):0<(t=_.filter(a.tasks[e.seqNo].items,function(e){return"unstarted"===e.status})).length&&(_.isEmpty(a.resolveRef)?t:_.reject(t,function(t){return _.some(a.resolveRef,function(e){return!e.resolved&&e.referTo===t.id})})).forEach(function(e){e.doTask(),e.status="processing",e.text=o.instant(e.status)});a.readonly=C.some(function(e){return"completed"!==e.status&&"error"!==e.status}),a.readonly||h.setProjectStatus(u.project.id,u.month,constant.ProjectStatusEnum.Generated,constant.DictionaryDictKey.WFDataProcess,m.FinishStatusEnum.Finished)},T=function(e,t,n){e&&e.result?t.status="completed":t.status="error",t.text=o.instant(t.status),b(t),(void 0===n||n)&&O(t.name,t.text)},x=function(e){e.status="error",e.text=o.instant(e.status),b(e),O(e.name,e.text),E(e)};a.showOperateLogPop=function(){a.isShowLog=!0};var M,O=function(e,t){var n={};n.ModuleID=a.moduleid,n.CreatorID=u.logUser.ID,n.OperationObject=o.instant("vatCaculateDataDesc"),n.Comment=u.project.name+" "+u.project.year+"年"+u.month+"月",n.Period=u.month,n.ID=PWC.newGuid(),n.CreateTime=new Date,n.UpdateTime=new Date,n.OperationContent=e,n.OperationName=e,n.OperationType=m.vatLogOperationTypeEnum.CalculateData,n.UpdateState=null==t?"":t,y.addOperationLog(n)},E=function(e){var t={};t.projectId=u.project.id,t.NodeDictKey=constant.DictionaryDictKey.DataProcess,t.TaskDictKey=constant.DictionaryDictKey.WFDataProcess,t.ExceptionDateTime=new Date,t.ExceptionMessageDetails=[];var n={};n.PeriodId=u.month,n.ExceptionIssueTitle=constant.WorkflowMessage.Issue,n.ExceptionIssueValue=constant.WorkflowMessage.ExceptionIssueValue,n.ProcessDataDtTitle=constant.WorkflowMessage.CalDateTime,n.ProcessDataDtValue=new Date,n.ExceptionDetailTitle=constant.WorkflowMessage.MessageDetail,n.ExceptionDetailValue=e.name+e.text,t.ExceptionMessageDetails.push(n),I.addExceptionMessage(t)};a.readonly=!1,a.progress=0,a.resolveRef=[],(M=function(e,t,n){this.id=e,this.name=_.isEmpty(n)?o.instant(e):n,this.status=t,this.text=o.instant(t)}).prototype.doTask=function(){var t=this;switch(t.id){case"GenerateStdTb":case"GenerateFinanceReport":case"CompareUnbilled":case"CaculateUnbilled":break;case"CaculateBuildinModel":g.getModelResult(u.project.id,m.serviceType.VAT,u.month).success(function(e){e.result=!0,T(e,t)}).error(function(){x(t)});break;case"CollectBuildinModelResult":g.migrateModelResult(u.project.organizationID,u.project.year,u.project.id,u.project.serviceTypeID).success(function(e){e.result=!0,T(e,t)}).error(function(){x(t)});break;case"UpdateReportConfig":v.updateConfig(u.project.id,!0,u.month).success(function(e){T({result:!0},t)}).error(function(){x(t)});break;case"CalculateKeyValue":v.calculateKeyValue(u.project.id,u.month).success(function(e){T(e,t)}).error(function(){x(t)});break;default:_.some(a.resolveRef,function(e){return e.referFrom===t.id||e.referTo===t.id})?i.when().then(function(){n(function(){T({result:!0},t,!1)},2e3)}):v.generateAll(u.project.id,!0,u.month,u.logUser.id?u.logUser.id:"").success(function(e){T(e,t)}).error(function(){x(t)})}},M.prototype.name=null,M.prototype.id=null,M.prototype.status=null,M.prototype.text=null,v.getTemplate(u.project.id,constant.serviceType.VAT,u.month).then(function(e){var t=[];if(t.push({name:o.instant("ProcessData"),items:[new M("UpdateReportConfig","unstarted")]}),t[t.length-1].items.forEach(function(e){e.seqNo=t.length-1}),w=[],e&&e.data&&e.data.data){t.push({name:o.instant("GenerateReport"),isReportTask:!0,items:_.map(e.data.data,function(e){return new M(e.templateId,"unstarted",e.templateName)})});for(var n=1;n<e.data.data.length-1;n++)w.push({referFrom:e.data.data[n]&&e.data.data[n].templateId,referTo:e.data.data[n+1]&&e.data.data[n+1].templateId,resolved:!1})}n=0,t.forEach(function(e){t[n].items.forEach(function(e){e.seqNo=n}),n++,C=C.concat(e.items)}),a.tasks=t}),a.startCaculate=D}]),vatModule.directive("vatCaculateData",["$log",function(e){"use strict";return e.debug("vatCaculateData.ctor()..."),{restrict:"E",templateUrl:"/app/vat/reduction/vat-caculate-data/vat-caculate-data.html?_="+Math.random(),replace:!0,scope:{},controller:"vatCaculateDataController",link:function(e,t,n){e.token=$('input[name="__RequestVerificationToken"]').val()}}}]),vatModule.controller("vatGoodsMappingController",["$scope","$log","$timeout","$q","$translate","loginContext","apiInterceptor","SweetAlert","vatSessionService","uiGridConstants","enums","vatReductionService","vatOperationLogService",function(t,e,n,a,s,i,o,l,r,c,d,u,p){"use strict";e.debug("vatGoodsMappingController.ctor()...");var m=0,g=r.project.name+" "+r.project.year+"年"+r.month+"月";t.period=r.month,t.moduleid=d.vatModuleEnum.Import_GoodsMapping;var v={ID:"",OperationName:"",ModuleID:t.moduleid,OperationObject:"",OperationType:"",OperationContent:"",OriginalState:"",UpdateState:"",CreatorID:r.logUser.ID,Comment:g,IP:"",Period:t.period};t.mappingList=[],t.stdGoodsList=[{StdId:1,StdName:s.instant("GP_TransportationService")},{StdId:2,StdName:s.instant("GP_TelecomService")},{StdId:3,StdName:s.instant("GP_BuildService")},{StdId:4,StdName:s.instant("GP_EstateLeasingService")},{StdId:5,StdName:s.instant("GP_LandUseRight")},{StdId:6,StdName:s.instant("GP_FinancialService")},{StdId:7,StdName:s.instant("GP_LifeService")},{StdId:8,StdName:s.instant("GP_InvisibleCapital")},{StdId:9,StdName:s.instant("GP_TangibleMovablesService")},{StdId:10,StdName:s.instant("GP_GoodsAndRepairService")},{StdId:11,StdName:s.instant("Other")}],t.gridLeftOptions={columns:[{caption:s.instant("CustGoodsName"),dataField:"custGoodsName",alignment:"left"},{caption:s.instant("StdGoodsName"),dataField:"stdGoodsName",alignment:"left"}],bindingOptions:{"dataSource.store.data":"mappingList"},dataSource:{store:{type:"array",key:"id"}},selection:{mode:"multiple",showCheckBoxesMode:"always"},hoverStateEnabled:!0,scrolling:{mode:"virtual"},noDataText:s.instant("AccountVoucher_DataGrid_NoDataText")},t.gridRightOptions={columns:[{caption:s.instant("StdGoodsNameList"),dataField:"StdName",alignment:"left"}],bindingOptions:{"dataSource.store.data":"stdGoodsList"},dataSource:{store:{type:"array",key:"StdId"}},remoteOperations:{sorting:!0,paging:!1},hoverStateEnabled:!0,onRowPrepared:function(e){"header"==e.rowType&&e.rowElement.css("display","none")},onCellClick:function(e){m++,setTimeout(function(){2==m&&t.hasEditPermission&&h(e.value),m=0},500)}};var h=function(n){var t=$("#gridLeft").dxDataGrid("instance");if(0<t.getSelectedRowsData().length){var a=[],i=[],o=[],r=[];t.getSelectedRowsData().forEach(function(e){o.push(e.stdGoodsName),r.push(e.custGoodsName+"-"+e.stdGoodsName),i.push(e.custGoodsName);var t=e;t.stdGoodsName=n,a.push(t)}),v.ID=PWC.newGuid(),v.CreateTime=new Date,v.UpdateTime=new Date,PWC.isNullOrEmpty(n)?(v.OperationObject=i.join(","),v.OperationContent=n,v.OperationName=s.instant("CancelMapping"),v.OperationType=d.vatLogOperationTypeEnum.GM_CancelMapping,v.OriginalState=r.join(","),v.UpdateState=i.join(",")):(v.OperationObject=i.join(","),v.OperationContent=o.join(","),v.OperationName=s.instant("HandleMapping"),v.OperationType=d.vatLogOperationTypeEnum.GM_ManualMapping,v.OriginalState=i.join(","),v.UpdateState=i.join(",")+"-"+n),u.updateGoodsMapping(a).success(function(e){e&&(p.addOperationLog(v),y(),t.refresh(),t.clearSelection())}).error(function(){l.error(s.instant("PleaseContactAdministrator"))})}else l.warning(s.instant("SelectMappTips"))},f=function(){h("")};function y(){u.getGoodsMappingList().success(function(e){e&&0<e.length&&(t.mappingList=e)}).error(function(){l.error(s.instant("PleaseContactAdministrator"))})}t.showOperateLogPop=function(){t.isShowLog=!0};var I,C;e.debug("vatGoodsMappingController.ctor()..."),I=[],C=constant.vatPermission.dataManage.goodsMapping.saveCode,I.push(C),t.$root.checkUserOrganizationPermissionList(I).success(function(e){t.hasEditPermission=e[C]}),t.cancelGoodsMapping=f,y()}]),vatModule.directive("vatGoodsMapping",["$log",function(e){"use strict";return e.debug("vatGoodsMapping.ctor()..."),{restrict:"E",templateUrl:"/app/vat/reduction/vat-goods-mapping/vat-goods-mapping.html?_="+Math.random(),replace:!0,scope:{},controller:"vatGoodsMappingController",link:function(e,t,n){e.token=$('input[name="__RequestVerificationToken"]').val()}}}]),vatModule.controller("vatUnbilledInvoiceController",["$scope","$log","$timeout","$q","$translate","$interval","loginContext","apiInterceptor","SweetAlert","vatSessionService","uiGridConstants","enums","vatReductionService",function(o,e,t,n,a,i,r,s,l,c,d,u,p){"use strict";e.debug("vatUnbilledInvoiceController.ctor()..."),o.period=c.month,o.ImportErrorTag=!0,o.TotalDebitAmount=0,o.TotalCreditAmount=0,o.TotalAmount=0,o.TotalTaxAmount=0,o.MapTotalDebitAmount=0,o.MapTotalCreditAmount=0,o.MapTotalAmount=0,o.MapTotalTaxAmount=0,o.voucherSearchTypeList=[{id:10,name:a.instant("Enum_UnBilled")},{id:20,name:a.instant("Enum_PartBilled")},{id:30,name:a.instant("Enum_Billed")}],o.invoiceSearchTypeList=[{id:40,name:a.instant("Enum_NotAccounting")},{id:50,name:a.instant("Enum_PartAccounting")},{id:60,name:a.instant("Enum_Accounting")}],o.voucherSearchType={},o.invoiceSearchType={},o.tranCode="",o.IsVoucher=!0;var m={Normal:a.instant("Normal"),Special:a.instant("Special")};o.typeToString=function(e){var t=m.Normal;switch(e){case 0:t=m.Normal;break;case 1:t=m.Special;break;default:t=m.Normal}return t};var g=[{name:a.instant("period"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.period}}<span></div>'},{name:a.instant("VoucherDate"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents" ><span>{{row.entity.date | date:"yyyy-MM-dd"}}<span></div>'},{name:a.instant("VoucherID"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.vid}}<span></div>'},{name:a.instant("VoucherAccountCode"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.acctCode}}<span></div>'},{name:a.instant("VoucherSummary"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.summary}}<span></div>'},{name:a.instant("VoucherDebitAmount"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.debit}}<span></div>'},{name:a.instant("VoucherCreditAmount"),width:"15%",headerCellClass:"right",cellTemplate:'<div class="ui-grid-cell-contents right"><span>{{row.entity.credit}}<span></div>'}],v=[{name:a.instant("period"),width:"8%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.periodID}}<span></div>'},{name:a.instant("InvoiceDate"),width:"12%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceDate | date:"yyyy-MM-dd"}}<span></div>'},{name:a.instant("InvoiceType"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{grid.appScope.typeToString(row.entity.invoiceType)}}<span></div>'},{name:a.instant("ClassCode"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.classCode}}<span></div>'},{name:a.instant("InvoiceNumber"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.invoiceNumber}}<span></div>'},{name:a.instant("BuyerName"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.buyerName}}<span></div>'},{name:a.instant("BuyerTaxNumber"),width:"15%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.buyerTaxNumber}}<span></div>'},{name:a.instant("Amount"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.amount}}<span></div>'},{name:a.instant("TaxRate"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{((row.entity.taxRate) * 100).toFixed(0) + "%"}}<span></div>'},{name:a.instant("TaxAmount"),width:"10%",cellTemplate:'<div class="ui-grid-cell-contents"><span>{{row.entity.taxAmount}}<span></div>'}];o.gridOptionsVoucher={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableColumnResizing:!0,enableRowSelection:!0,enableRowHeaderSelection:!1,multiSelect:!1,modifierKeysToMultiSelect:!1,noUnselect:!0,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:d.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:d.scrollbars.enableVerticalScrollbar,columnDefs:g,onRegisterApi:function(e){o.gridVoucherApi=e,i(function(){o.gridVoucherApi.core.handleWindowResize()},500,28800),e.selection&&e.selection.on.rowSelectionChanged(o,function(e){h(e)})}},o.gridOptionsHistoryVoucher={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableColumnResizing:!0,enableRowSelection:!0,enableRowHeaderSelection:!1,multiSelect:!1,modifierKeysToMultiSelect:!1,noUnselect:!0,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:d.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:d.scrollbars.enableVerticalScrollbar,columnDefs:g,onRegisterApi:function(e){o.gridHistoryVoucherApi=e,i(function(){o.gridHistoryVoucherApi.core.handleWindowResize()},500,28800),e.selection&&e.selection.on.rowSelectionChanged(o,function(e){h(e)})}},o.gridOptionsMapVoucher={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableColumnResizing:!0,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:d.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:d.scrollbars.enableVerticalScrollbar,columnDefs:g,onRegisterApi:function(e){o.gridMapVoucherApi=e,i(function(){o.gridMapVoucherApi.core.handleWindowResize()},500,28800)}},o.gridOptionsInvoice={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableColumnResizing:!0,enableRowSelection:!0,enableRowHeaderSelection:!1,multiSelect:!1,modifierKeysToMultiSelect:!1,noUnselect:!0,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:d.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:d.scrollbars.enableVerticalScrollbar,columnDefs:v,onRegisterApi:function(e){o.gridInvoiceApi=e,i(function(){o.gridInvoiceApi.core.handleWindowResize()},500,28800),e.selection&&e.selection.on.rowSelectionChanged(o,function(e){f(e)})}},o.gridOptionsHistoryInvoice={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableColumnResizing:!0,enableRowSelection:!0,enableRowHeaderSelection:!1,multiSelect:!1,modifierKeysToMultiSelect:!1,noUnselect:!0,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:d.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:d.scrollbars.enableVerticalScrollbar,columnDefs:v,onRegisterApi:function(e){o.gridHistoryInvoiceApi=e,i(function(){o.gridHistoryInvoiceApi.core.handleWindowResize()},500,28800),e.selection&&e.selection.on.rowSelectionChanged(o,function(e){f(e)})}},o.gridOptionsMapInvoice={rowHeight:constant.UIGrid.rowHeight,selectionRowHeaderWidth:constant.UIGrid.selectionRowHeaderWidth,enableColumnResizing:!0,enableSorting:!1,enableColumnMenus:!1,enableHorizontalScrollbar:d.scrollbars.enableHorizontalScrollbar,enableVerticalScrollbar:d.scrollbars.enableVerticalScrollbar,columnDefs:v,onRegisterApi:function(e){o.gridMapInvoiceApi=e,i(function(){o.gridMapInvoiceApi.core.handleWindowResize()},500,28800)}},o.switchVoucherTable=function(e){$(".voucher-tab span").each(function(){$(this).removeClass("active")}),$(e.target).addClass("active"),e.target.innerText==a.instant("CurrentPeriod")?($("#gridVoucher").css("display","block"),$("#gridHistoryVoucher").css("display","none"),o.isVoucherHistory=!1):($("#gridHistoryVoucher").css("display","block"),$("#gridVoucher").css("display","none"),o.isVoucherHistory=!0),x(),M(1,o.isVoucherHistory)},o.switchInvoiceTable=function(e){$(".invoice-tab span").each(function(){$(this).removeClass("active")}),$(e.target).addClass("active"),e.target.innerText==a.instant("CurrentPeriod")?($("#gridInvoice").css("display","block"),$("#gridHistoryInvoice").css("display","none"),o.isInvoiceHistory=!1):($("#gridHistoryInvoice").css("display","block"),$("#gridInvoice").css("display","none"),o.isInvoiceHistory=!0),x(),O(1,o.isInvoiceHistory)};var h=function(e){o.IsVoucher=!0,T(),C(!0),o.gridInvoiceApi.selection.clearSelectedRows(),o.gridHistoryInvoiceApi.selection.clearSelectedRows();var t={VID:e.entity.vid,Period:e.entity.period,Group:e.entity.group,ItemID:e.entity.itemID,CurPeriod:o.period};p.getVoucherMapInvoice(t).success(function(e){e&&e.tranCode?y(e):I()}).error(function(){l.error(a.instant("PleaseContactAdministrator"))})},f=function(e){o.IsVoucher=!1,C(!1),T(),o.gridVoucherApi.selection.clearSelectedRows(),o.gridHistoryVoucherApi.selection.clearSelectedRows();var t={InvoiceCode:e.entity.classCode,CurPeriod:o.period,InvoiceNumber:e.entity.invoiceNumber};p.getInvoiceMapVoucher(t).success(function(e){e&&e.tranCode?y(e):I()}).error(function(){l.error(a.instant("PleaseContactAdministrator"))})},y=function(e){var t=0,n=0;null!==e.voucherList&&e.voucherList.forEach(function(e){t+=e.debit,n+=e.credit,e.debit=PWC.round(e.debit,2),e.credit=PWC.round(e.credit,2)});var a=0,i=0;null!==e.invoiceList&&e.invoiceList.forEach(function(e){a+=e.amount,i+=e.taxAmount,e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),o.tranCode=e.tranCode,o.MapTotalDebitAmount=PWC.round(t,2),o.MapTotalCreditAmount=PWC.round(n,2),o.MapTotalAmount=PWC.round(a,2),o.MapTotalTaxAmount=PWC.round(i,2),o.gridOptionsMapVoucher.data=e.voucherList,o.gridOptionsMapInvoice.data=e.invoiceList},I=function(){o.tranCode="",o.MapTotalDebitAmount=0,o.MapTotalCreditAmount=0,o.MapTotalAmount=0,o.MapTotalTaxAmount=0,o.gridOptionsMapVoucher.data=[],o.gridOptionsMapInvoice.data=[]},C=function(e){e?($(".map-voucher-table").css("float","left"),$(".map-voucher-table").css("padding-left","20px"),$(".map-voucher-table").css("padding-right","0px"),$(".map-invoice-table").css("float","right"),$(".map-invoice-table").css("padding-left","0px"),$(".map-invoice-table").css("padding-right","20px")):($(".map-voucher-table").css("float","right"),$(".map-voucher-table").css("padding-left","0px"),$(".map-voucher-table").css("padding-right","20px"),$(".map-invoice-table").css("float","left"),$(".map-invoice-table").css("padding-left","20px"),$(".map-invoice-table").css("padding-right","0px"))},w=function(){if(o.isLoadComplete){var e=$("#map-item-wrapper").height();return e>constant.UIGrid.gapHeight?{height:(e-=constant.UIGrid.gapHeight)-40-67-30+"px"}:{height:"0px"}}return{}},S=function(){if(o.isLoadComplete){var e=$(".map-detail").height();return 140<e?{"padding-top":(e-140)/2+"px"}:{"padding-top":"0px"}}return{}},D=function(){if(o.isLoadComplete){var e=$(".map-detail").height();return 140<e?{top:(e-140)/2+"px"}:{top:"25px"}}return{}},b=function(){o.ImportErrorTag=!o.ImportErrorTag,o.ImportErrorTag?T():x()},T=function(){parseInt($("#content-resizer").css("bottom"))<100&&($("#content-resizer").css("bottom","300px"),$(".map-container").css("height","300px"))},x=function(){$("#content-resizer").css("bottom","10px"),$(".map-container").css("height","10px"),$("#detail-table-wrapper").css("bottom","5px");var e=$(".total-container").height()-5+"px";$(".detail-table").css("height",e)},M=function(e,n){o.curVoucherPage=e;var t={pageInfo:{totalCount:o.queryVoucherResult.pageInfo.totalCount,pageIndex:e,pageSize:o.queryVoucherResult.pageInfo.pageSize,totalPage:0},status:o.voucherSearchType.selected.id,period:o.period};n?p.getVoucherHistoryList(t).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++,e.debit=PWC.round(e.debit,2),e.credit=PWC.round(e.credit,2)}),o.TotalDebitAmount=PWC.round(e.debitTotalAmount,2),o.TotalCreditAmount=PWC.round(e.creditTotalAmount,2),o.gridOptionsHistoryVoucher.data=e.list,o.queryVoucherResult.pageInfo=e.pageInfo,E(n)}}).error(function(){l.error(a.instant("PleaseContactAdministrator"))}):p.getVoucherList(t).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++,e.debit=PWC.round(e.debit,2),e.credit=PWC.round(e.credit,2)}),o.TotalDebitAmount=PWC.round(e.debitTotalAmount,2),o.TotalCreditAmount=PWC.round(e.creditTotalAmount,2),o.gridOptionsVoucher.data=e.list,o.queryVoucherResult.pageInfo=e.pageInfo,E(n)}}).error(function(){l.error(a.instant("PleaseContactAdministrator"))})},O=function(e,n){o.curInvoicePage=e;var t={pageInfo:{totalCount:o.queryInvoiceResult.pageInfo.totalCount,pageIndex:e,pageSize:o.queryInvoiceResult.pageInfo.pageSize,totalPage:0},status:o.invoiceSearchType.selected.id,period:o.period};n?p.getOuputInvoiceHistoryList(t).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++,e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),o.TotalAmount=PWC.round(e.amountTotal,2),o.TotalTaxAmount=PWC.round(e.taxAmountTotal,2),o.gridOptionsHistoryInvoice.data=e.list,o.queryInvoiceResult.pageInfo=e.pageInfo,P(n)}}).error(function(){l.error(a.instant("PleaseContactAdministrator"))}):p.getOuputInvoiceList(t).success(function(e){if(e){var t=1;e.list.forEach(function(e){e.index=t++,e.amount=PWC.round(e.amount,2),e.taxAmount=PWC.round(e.taxAmount,2)}),o.TotalAmount=PWC.round(e.amountTotal,2),o.TotalTaxAmount=PWC.round(e.taxAmountTotal,2),o.gridOptionsInvoice.data=e.list,o.queryInvoiceResult.pageInfo=e.pageInfo,P(n)}}).error(function(){l.error(a.instant("PleaseContactAdministrator"))})},E=function(t){if(o.queryVoucherResult.pageInfo&&0<o.queryVoucherResult.pageInfo.totalCount){var e=parseInt(o.queryVoucherResult.pageInfo.totalCount/o.queryVoucherResult.pageInfo.pageSize);e=o.queryVoucherResult.pageInfo.totalCount%o.queryVoucherResult.pageInfo.pageSize==0?e:e+1,o.queryVoucherResult.pageInfo.totalPage=e;$("#totalVoucherPage").createPage({pageCount:e,current:o.curVoucherPage,backFn:function(e){M(e,t)}});$("#totalVoucherPage").css("display","inline-block")}else{$("#totalVoucherPage").createPage({pageCount:0,current:o.curVoucherPage,backFn:function(e){M(e,t)}});$("#totalVoucherPage").css("display","inline-block")}},P=function(t){if(o.queryInvoiceResult.pageInfo&&0<o.queryInvoiceResult.pageInfo.totalCount){var e=parseInt(o.queryInvoiceResult.pageInfo.totalCount/o.queryInvoiceResult.pageInfo.pageSize);e=o.queryInvoiceResult.pageInfo.totalCount%o.queryInvoiceResult.pageInfo.pageSize==0?e:e+1,o.queryInvoiceResult.pageInfo.totalPage=e;$("#totalInvoicePage").createPage({pageCount:e,current:o.curInvoicePage,backFn:function(e){O(e,t)}});$("#totalInvoicePage").css("display","inline-block")}else{$("#totalInvoicePage").createPage({pageCount:0,current:o.curInvoicePage,backFn:function(e){O(e,t)}});$("#totalInvoicePage").css("display","inline-block")}};function N(e){x(),M(1,o.isVoucherHistory)}function A(){x(),O(1,o.isInvoiceHistory)}e.debug("vatUnbilledInvoiceController.ctor()..."),o.changeVoucherSearchType=N,o.changeInvoiceSearchType=A,o.toggleMapGridTab=b,o.getMapGridHeight=w,o.getImgGridHeight=S,o.getTranCodeHeight=D,o.queryVoucherResult={list:[],pageInfo:{totalCount:-1,pageIndex:1,pageSize:10,totalPage:0}},o.curVoucherPage=1,o.queryInvoiceResult={list:[],pageInfo:{totalCount:-1,pageIndex:1,pageSize:10,totalPage:0}},o.curInvoicePage=1,o.voucherSearchType.selected=o.voucherSearchTypeList[0],o.invoiceSearchType.selected=o.invoiceSearchTypeList[0],o.isVoucherHistory=!1,o.isInvoiceHistory=!1,M(1,o.isVoucherHistory),O(1,o.isInvoiceHistory),t(function(){o.isLoadComplete=!0,x(),$("#gridVoucher").css("display","block"),$("#gridHistoryVoucher").css("display","none"),$("#gridInvoice").css("display","block"),$("#gridHistoryInvoice").css("display","none")},500)}]),vatModule.directive("vatUnbilledInvoice",["$log",function(e){"use strict";return e.debug("vatUnbilledInvoice.ctor()..."),{restrict:"E",templateUrl:"/app/vat/reduction/vat-unbilled-invoice/vat-unbilled-invoice.html?_="+Math.random(),replace:!0,scope:{},controller:"vatUnbilledInvoiceController",link:function(e,t,n){e.token=$('input[name="__RequestVerificationToken"]').val()}}}]),vatModule.controller("VatReportLayoutController",["$scope","$log","$q","loginContext","$translate","$location","templateGroupService","vatSessionService","vatReportService","$state",function(o,e,t,n,a,i,r,s,l,c){"use strict";e.debug("VatReportLayoutController.ctor()..."),o.$on("refreshGenerateReport",function(e,t){p()});var d,u,p=function(){var e=s.project.id;t.all([r.getGroupTemplateByGroupID(6390933830635520,e),l.getTemplate(s.project.id,constant.serviceType.VAT,s.month)]).then(function(e){if(!(_.isEmpty(e[0])||_.isEmpty(e[0].data)||_.isEmpty(e[0].data.data)||_.isEmpty(e[1])||_.isEmpty(e[1].data)||_.isEmpty(e[1].data.data))){var t=[];if(o.hasBsPlPermission&&t&&t[0]&&t[0].children&&(o.hasBsPermission||(t.children=_.reject(t[0].children,{name:"资产负债表"})),o.hasPlPermission||(t.children=_.reject(t[0].children,{name:"利润表"}))),o.hasTaxReturnPermission&&o.hasQueryTaxReturnPermission){var n={name:"TaxReturn",children:_.map(e[1].data.data,function(e){return{reportId:e.id,id:e.templateId,name:e.templateName,code:e.templateCode}}),orderIndex:t.length};t.push(n)}if(o.groups=_.chain(t).sortBy(function(e){return e.orderIndex}).map(function(e){return e.isExpand=!0,e}).value(),o.selectedTemplateId=null,s.isFromTopMenu){var a=_.first(t),i=_.first(a.children);void 0!==i.id&&(o.selectedTemplateId=i.id,c.go("vat.generateReport.reportView",{id:i.reportId,templateid:i.id,name:i.name,templatecode:i.code}),s.isFromTopMenu=!1)}}})},m=function(e){e.isExpand=!e.isExpand};d=[],u=constant.vatPermission.reportView,d.push(u.bsplCode),d.push(u.bspl.bsCode),d.push(u.bspl.plCode),d.push(u.taxReturnCode),d.push(u.taxReturn.queryCode),d.push(u.taxReturn.editCode),o.hasBsPlPermission=!1,o.hasBsPermission=!1,o.hasPlPermission=!1,o.hasTaxReturnPermission=!1,o.hasQueryTaxReturnPermission=!1,o.hasEditTaxReturnPermission=!1,o.$root.checkUserOrganizationPermissionList(d).success(function(e){o.hasBsPlPermission=e[u.bsplCode],o.hasBsPermission=e[u.bspl.bsCode],o.hasPlPermission=e[u.bspl.plCode],o.hasTaxReturnPermission=e[u.taxReturnCode],o.hasQueryTaxReturnPermission=e[u.taxReturn.queryCode],o.hasEditTaxReturnPermission=e[u.taxReturn.editCode]}),p(),o.expend=!0,o.toggleGroup=m}]),vatModule.directive("vatReportLayout",["$log","$rootScope","$timeout","enums",function(e,a,i,o){"use strict";return e.debug("vatReportLayout.ctor()..."),{restrict:"E",templateUrl:"/app/vat/report/vat-report-layout/vat-report-layout.html?_="+Math.random(),replace:!0,scope:{},controller:"VatReportLayoutController",link:function(e,t,n){Split(["#vat-report-nav-menu","#vat-report-content"],{sizes:[17,83],minSize:[1,1330],onDragEnd:function(){i(function(){a.$broadcast(o.vatEvent.layoutChanged,{})},700)}}),e.isCollapsed=!1}}}]),vatModule.controller("VatLayoutController",["$scope","$rootScope","$q","$log","$timeout","$state","$translate","projectService","SweetAlert","loginContext","vatSessionService","vatCommonService","vatWorkflowService","application","enums","$uibModal",function(c,e,a,d,n,s,u,i,l,t,p,o,r,m,g,v){"use strict";d.debug("VatLayoutController.ctor()..."),c.dateFormat=u.instant("dateFormat4YearMonth"),c.showSubMenu=!0,c.projectName=p.project.organizationName+"("+p.project.year+")",c.selectedDate=new Date(p.project.year,p.month-1,1),c.startDate=new Date(p.project.year,0,1),c.endDate=new Date(p.project.year,11,31,23,59,59);var h=[],f={title:u.instant("UnsavedChange"),text:u.instant("ComfirmIgnoreUnsavedChanges"),type:"warning",showCancelButton:!0,confirmButtonColor:"#e0301e",confirmButtonText:u.instant("ConfirmYes"),cancelButtonText:u.instant("ConfirmNo"),closeOnConfirm:!0,closeOnCancel:!0};e.$on("$stateChangeStart",function(e,t,n,a,i,o){var r=["vat.previewData","vat.reductionData","vat.analyzeLayout"];p.dataChanged?(e.preventDefault(),l.swal(f,function(e){e&&(p.dataChanged=!1,_.contains(r,t.name)?y(t):s.go(t,n,o))})):_.contains(r,t.name)&&(e.preventDefault(),y(t))}),c.changeDate=function(e){d.debug("start to change date");var t=e.date.getMonth()+1;p.month!=t&&n(function(){d.debug(c.changeDate),i.isProjectStatusExisted(p.project.id,t).success(function(e){e.result&&(_.isNull(e.data)?i.setProjectStatus(t,constant.ProjectStatusEnum.UnStarted).success(function(e){e.result?(p.project.projectStatusList[t]=constant.ProjectStatusEnum.UnStarted,w(p.project.id,p.project.id,t)):l.error(u.instant("SetProjectStatusError"))}):(p.project.projectStatusList[t]=e.data.status,w(p.project.id,p.project.id,t)))}),p.dataChanged?l.swal(f,function(e){e?(p.dataChanged=!1,p.month=t,c.selectedDate=new Date(p.project.year,t-1,1),s.reload(s.$current)):c.elePicker.datepicker("setDate",c.selectedDate)}):(p.month=t,c.selectedDate=new Date(p.project.year,t-1,1),s.$current.parent&&"vat.generateReport"===s.$current.parent.self.name?c.$broadcast("refreshGenerateReport",{templateId:s.params.templateid}):s.reload(s.$current))},100)},c.setPermissionMenu=function(){c.menus=[];var e=[constant.vatPermission.dataPreview.outputInvoice.queryCode,constant.vatPermission.dataPreview.inputInvoice.queryCode,constant.vatPermission.dataManage.caculateDataCode,constant.vatPermission.dataManage.accountMappingCode,constant.vatPermission.dataManage.goodsMappingCode,constant.vatPermission.dataManage.unbilledInvoiceCode,constant.vatPermission.reportView.bsplCode,constant.vatPermission.reportView.taxReturnCode,constant.vatPermission.dataAnalysis.modelAnalysisCode,constant.vatPermission.dataAnalysis.dashboard.dashboardCode];c.$root.checkUserOrganizationPermissionList(e).success(function(e){e&&(e[constant.vatPermission.dataPreview.inputInvoice.queryCode]?(c.menus.push({name:"previewData",state:"previewData",num:2,permission:constant.vatPermission.dataPreview.dataPreviewCode,url:"#/vat/previewData"}),h.push({name:"previewData.inputInvoice",state:"previewData.inputInvoice",num:2,permission:constant.vatPermission.dataPreview.inputInvoice.queryCode,url:"#/vat/previewData/inputInvoice"})):e[constant.vatPermission.dataPreview.outputInvoice.queryCode]&&(c.menus.push({name:"previewData",state:"previewData",num:2,permission:constant.vatPermission.dataPreview.dataPreviewCode,url:"#/vat/previewData"}),h.push({name:"previewData.outputInvoice",state:"previewData.outputInvoice",num:2,permission:constant.vatPermission.dataPreview.outputInvoice.queryCode,url:"#/vat/previewData/outputInvoice"})),e[constant.vatPermission.dataManage.caculateDataCode]?(c.menus.push({name:"reductionData",state:"reductionData",num:3,permission:constant.vatPermission.dataManage.dataManageCode,url:"#/vat/reductionData"}),h.push({name:"reductionData.caculateData",state:"reductionData.caculateData",num:3,permission:constant.vatPermission.dataManage.caculateDataCode,url:"#/vat/reductionData/caculateData"})):e[constant.vatPermission.dataManage.accountMappingCode]?(c.menus.push({name:"reductionData",state:"reductionData",num:3,permission:constant.vatPermission.dataManage.dataManageCode,url:"#/vat/reductionData"}),h.push({name:"reductionData.accountMapping",state:"reductionData.accountMapping",num:3,permission:constant.vatPermission.dataManage.accountMappingCode,url:"#/vat/reductionData/accountMapping"})):e[constant.vatPermission.dataManage.goodsMappingCode]?(c.menus.push({name:"reductionData",state:"reductionData",num:3,permission:constant.vatPermission.dataManage.dataManageCode,url:"#/vat/reductionData"}),h.push({name:"reductionData.goodsMapping",state:"reductionData.goodsMapping",num:3,permission:constant.vatPermission.dataManage.goodsMappingCode,url:"#/vat/reductionData/goodsMapping"})):e[constant.vatPermission.dataManage.unbilledInvoiceCode]&&(c.menus.push({name:"reductionData",state:"reductionData",num:3,permission:constant.vatPermission.dataManage.dataManageCode,url:"#/vat/reductionData"}),h.push({name:"reductionData.unbilledInvoice",state:"reductionData.unbilledInvoice",num:3,permission:constant.vatPermission.dataManage.unbilledInvoiceCode,url:"#/vat/reductionData/unbilledInvoice"})),(e[constant.vatPermission.reportView.bsplCode]||e[constant.vatPermission.reportView.taxReturnCode])&&(c.menus.push({name:"generateReport",state:"generateReport",num:4,permission:constant.vatPermission.reportView.reportViewCode,url:"#/vat/generateReport"}),h.push({name:"generateReport",state:"generateReport",num:4,permission:constant.vatPermission.reportView.reportViewCode,url:"#/vat/generateReport"})),e[constant.vatPermission.dataAnalysis.modelAnalysisCode]?(c.menus.push({name:"analyzeLayout",state:"analyzeLayout",num:5,permission:constant.vatPermission.dataAnalysis.dataAnalysisCode,url:"#/vat/analyzeLayout"}),h.push({name:"analyzeLayout.analyzeReport",state:"analyzeLayout.analyzeReport",num:5,permission:constant.vatPermission.dataAnalysis.modelAnalysisCode,url:"#/vat/analyzeLayout/analyzeReport"})):(c.menus.push({name:"analyzeLayout",state:"analyzeLayout",num:5,permission:constant.vatPermission.dataAnalysis.dataAnalysisCode,url:"#/vat/analyzeLayout"}),h.push({name:"analyzeLayout.vatTaxDifference",state:"analyzeLayout.vatTaxDifference",num:5,permission:constant.vatPermission.dataAnalysis.vatTaxDifferenceCode,url:"#/analyzeLayout/vatTaxDifference"})))})};var y=function(e){if(e&&e.name&&4<e.name.length&&c.menus){var a=e.name.substring(4),t=_.find(h,function(e,t,n){if(e&&0<=e.state.indexOf(a+"."))return!0});t?t.state&&0<=t.state.indexOf("analyzeOrganizeDashboard")?s.go("organizationDashboard",{id:p.project.organizationID}):s.go("vat."+t.state):s.go(e)}};function I(e){switch(d.debug("setLayoutStatusTitle"),c.statusTitle=u.instant("ProjectStatusTitle"),e){case constant.ProjectStatusEnum.UnStarted:c.statusTitle+=u.instant("ProjectStatusUnStarted");break;case constant.ProjectStatusEnum.Imported:c.statusTitle+=u.instant("ProjectStatusImported");break;case constant.ProjectStatusEnum.AccountMapSubmitted:c.statusTitle+=u.instant("ProjectStatusAcccountMapSubmitted");break;case constant.ProjectStatusEnum.Generated:c.statusTitle+=u.instant("ProjectStatusGenerated");break;case constant.ProjectStatusEnum.ReportSubmitted:c.statusTitle+=u.instant("ProjectStatusReportSubmitted");break;case constant.ProjectStatusEnum.ReportApproved:c.statusTitle+=u.instant("ProjectStatusReportApproved");break;case constant.ProjectStatusEnum.ReportRejected:c.statusTitle+=u.instant("ProjectStatusReportRejected");break;case constant.ProjectStatusEnum.Completed:c.statusTitle+=u.instant("ProejctStatusCompleted")}}function C(e){var t=p.project.projectStatusList[e];_.isUndefined(t)||(_.isEqual(t,constant.ProjectStatusEnum.UnStarted)?c.startStatusText=u.instant("ProjectStatusUnStarted"):c.startStatusText=u.instant("ProjectStatusStarted"))}function w(e,t,n){a.all([i.getProjectStatus(t,n)]).then(function(e){var t=e[0].data;t.result&&(d.debug("vat-layout.ctrl.js  initStatus set project importSubStatus"),p.project.importSubStatus=t.data.importSubStatus,c.layoutVatSession=p,c.period=p.month,I(p.project.projectStatusList[n]),C(n),d.debug(p.project.importSubStatus))})}function S(){r.execute()}c.$on(m.events.showSubMenu,function(e,t){t&&(c.showSubMenu=t.show)}),c.setReportSession=function(e){"generateReport"===e&&(p.isFromTopMenu=!0)},c.approve=function(){alert(p.project.id),alert(p.project.period)},c.showProjectStatus=function(){var e=v.open({animation:!1,ariaLabelledBy:"modal-title",ariaDescribedBy:"modal-body",templateUrl:"model-project-status.html",scope:c,windowClass:"model-project-status"});e.rendered.then(function(){d.debug("modalInstance.rendered");var e=document.querySelector("#imgProjectStatus").getBoundingClientRect(),t=document.querySelector(".model-project-status");d.debug(e),t.style.margin=0,t.style.top=e.top+"px",t.style.left=e.left+"px"}),c.closeModal=function(){e.dismiss("cancel")},function(){d.debug("setSubStatusDto"),c.subStatusList=[];var e={dispalyIndex:1,name:u.instant("balanceSheet"),isImported:p.project.importSubStatus.isTbImport},t={dispalyIndex:2,name:u.instant("JournalEntryTitle"),isImported:p.project.importSubStatus.isEntryImport},n={dispalyIndex:3,name:u.instant("erpData"),isImported:p.project.importSubStatus.isErpImport},a={dispalyIndex:4,name:u.instant("outputInvoice"),isImported:p.project.importSubStatus.isOutputInvoiceImport},i={dispalyIndex:5,name:u.instant("inputInvoice"),isImported:p.project.importSubStatus.isInputInvoiceImport},o={dispalyIndex:6,name:u.instant("customInvoice"),isImported:p.project.importSubStatus.isCustomInvoiceImport},r={dispalyIndex:7,name:u.instant("voucherMapping"),isImported:p.project.importSubStatus.isVoucherMapImport},s={dispalyIndex:8,name:u.instant("invoiceMapping"),isImported:p.project.importSubStatus.isInvoiceMapImport},l={dispalyIndex:9,name:u.instant("auditAdjust"),isImported:p.project.importSubStatus.isAdjustImport};c.subStatusList.push(e),c.subStatusList.push(t),c.subStatusList.push(n),c.subStatusList.push(a),c.subStatusList.push(i),c.subStatusList.push(o),c.subStatusList.push(r),c.subStatusList.push(s),c.subStatusList.push(l),d.debug(c.subStatusList)}(),function(){switch(d.debug("setApproveDetailDto"),c.approveDetailList=[],p.project.projectStatusList[p.month]){case constant.ProjectStatusEnum.ReportApproved:c.approveTitle=u.instant("ProjectStatusReportApproved");break;case constant.ProjectStatusEnum.ReportRejected:c.approveTitle=u.instant("ProjectStatusReportRejected");break;default:c.approveTitle=u.instant("ProjectStatusReportApproved")}var e=p.project.workflow;if(_.isNull(e))return;var t=_.where(e.workflowNodeList,{dictionaryKey:constant.DictionaryDictKey.ApproveReport})[0];_.isNull(t)||_.isUndefined(t)||($.each(t.auditReportLevelList,function(e,t){var n={orderIndex:-1,name:"",isDone:!1,finishedByUserName:"",finishedDateTime:"",finishedData:"",isRejected:!1,ngClassInActive:!1};n.orderIndex=t.orderIndex,n.name=t.name+" "+u.instant("ProjectStatusReportApproved"),n.isDone=t.isDone,n.finishedByUserName=_.isNull(t.finishedByUserName)?"":t.finishedByUserName,n.finishedDateTime=_.isNull(t.finishedDateTime)?"":new Date(t.finishedDateTime).dateTimeToString("yyyyMMdd"),n.finishedData=n.finishedByUserName+"  "+n.finishedDateTime,n.ngClassInActive=p.project.projectStatusList[p.month]<60||!n.isDone&&!n.isRejected,c.approveDetailList.push(n)}),c.approveDetailList.forEach(function(n){n.isDone||r.getWorkflowApproveReportLog(p.project.id,p.month,n.orderIndex,g.vatLogOperationTypeEnum.RejectReport,g.ReportTemplateCode.TaxDeclarationCategory).success(function(e){if(e.result&&!_.isNull(e.data)&&(n.isRejected=!0,n.name=n.name.substring(0,n.name.indexOf(" "))+" "+u.instant("HasRejected"),n.finishedByUserName=e.data.userName,n.finishedDateTime=_.isNull(e.data.createTime)?"":new Date(e.data.createTime).dateTimeToString("yyyyMMdd"),n.finishedData=n.finishedByUserName+"  "+n.finishedDateTime,n.ngClassInActive=p.project.projectStatusList[p.month]<60||!n.isDone&&!n.isRejected,60===p.project.projectStatusList[p.month]&&1<n.orderIndex)){var t=_.where(c.approveDetailList,{orderIndex:n.orderIndex-1})[0];_.isUndefined(t)||t.isDone&&n.isRejected&&(n.ngClassInActive=!0)}})}))}(),function(){d.debug("setSubmitDetailDto"),c.submitDetailDto={userId:"",userName:"",finishedDateTime:"",finishedData:"",isDone:!1};var e=p.project.workflow;if(_.isNull(e))return;var t=_.where(e.workflowNodeList,{dictionaryKey:constant.DictionaryDictKey.ViewReport})[0];if(!_.isNull(t)&&!_.isUndefined(t)){var n=_.where(t.workflowTaskList,{dictionaryKey:constant.DictionaryDictKey.WFSubmitReport})[0];_.isNull(n)||_.isUndefined(n)||(c.submitDetailDto.userId=n.userId,c.submitDetailDto.userName=n.userName,c.submitDetailDto.finishedDateTime=_.isNull(n.createTime)?"":new Date(n.createTime).dateTimeToString("yyyyMMdd"),c.submitDetailDto.isDone=n.isDone,c.submitDetailDto.finishedData=c.submitDetailDto.userName+" "+c.submitDetailDto.finishedDateTime)}}(),C(p.month)},c.showSubStatus=function(){var e=c.displaySubStatus;c.displaySubStatus=!e},c.showApproveDetail=function(){var e=c.displayApproveDetails;c.displayApproveDetails=!e},d.debug("vat-layout-crtl.js initialize() "),c.displaySubStatus=!1,c.displayApproveDetails=!1,c.triggerSchedulerJob=S,w(p.project.id,p.project.id,p.month),c.setPermissionMenu(),e.$on("statusChanged",function(e,t){d.debug("receive statusChanged"),d.debug(t.status),I(t.status)})}]),vatModule.directive("vatLayout",["$log","region","enums",function(e,i,o){"use strict";return e.debug("vatLayout.ctor()..."),{restrict:"E",templateUrl:"/app/vat/vat-layout/vat-layout.html?_="+Math.random(),replace:!0,scope:{},controller:"VatLayoutController",link:function(t,e,n){var a=$("#vatDatepicker");a.datepicker({startDate:t.startDate,endDate:t.endDate,language:i,viewMode:1,minViewMode:1,autoclose:!0,clearBtn:!1,todayBtn:!1,format:t.dateFormat}).on("changeDate",function(e){t.changeDate(e)}),a.datepicker("setDate",t.selectedDate),t.elePicker=a,t.menuStates=o.vatMenuStates,t.menuState=o.vatMenuStates.expanded,t.collapseMenu=function(e){t.menuState=e},t.headerAnimationEnd=function(e){t.menuState===o.vatMenuStates.collapsing&&angular.element(".vat-header").addClass("collapsed"),t.$apply(function(){t.menuState===o.vatMenuStates.collapsing?t.menuState=o.vatMenuStates.collapsed:t.menuState===o.vatMenuStates.expanding&&(t.menuState=o.vatMenuStates.expanded)})},t.contentAnimationEnd=function(e){t.$broadcast(o.vatEvent.layoutChanged)}}}}]);